/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.5.2(d49899a916fd99840f6f9178f2dd06e0e7013646)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/

define("vs/editor/editor.main.nls.it", {
	"vs/base/browser/ui/actionbar/actionbar": [
		"{0} ({1})",
	],
	"vs/base/browser/ui/aria/aria": [
		"{0} (nuova occorrenza)",
	],
	"vs/base/browser/ui/findinput/findInput": [
		"Usa espressione regolare",
		"Parola intera",
		"Maiuscole/minuscole",
		"input",
	],
	"vs/base/browser/ui/inputbox/inputBox": [
		"Errore: {0}",
		"Avviso: {0}",
		"Info: {0}",
	],
	"vs/base/common/errors": [
		"{0}. Codice errore: {1}",
		"Autorizzazione negata (HTTP {0})",
		"Autorizzazione negata",
		"{0} (HTTP {1}: {2})",
		"{0} (HTTP {1})",
		"Errore di connessione sconosciuto ({0})",
		"Si è verificato un errore di connessione sconosciuto. La connessione a Internet è stata interrotta oppure il server al quale si è connessi è offline.",
		"{0}: {1}",
		"Si è verificato un errore sconosciuto. Per altri dettagli, vedere il log.",
		"Si è verificato un errore di sistema ({0})",
		"Si è verificato un errore sconosciuto. Per altri dettagli, vedere il log.",
		"{0} ({1} errori in totale)",
		"Si è verificato un errore sconosciuto. Per altri dettagli, vedere il log.",
		"Non implementato",
		"Argomento non valido: {0}",
		"Argomento non valido",
		"Stato non valido: {0}",
		"Stato non valido",
		"Non è stato possibile caricare un file obbligatorio. Non si è più connessi a Internet oppure il server a cui si è connessi è offline. Per riprovare, aggiornare il browser.",
		"Non è stato possibile caricare un file obbligatorio. Riavviare l\'applicazione e riprovare. Dettagli: {0}",
	],
	"vs/base/common/json": [
		"Simbolo non valido",
		"Invalid number format",
		"Property name expected",
		"Value expected",
		"Colon expected",
		"Comma expected",
		"Closing brace expected",
		"Closing bracket expected",
		"È prevista la fine del file",
	],
	"vs/base/common/keyCodes": [
		"Windows",
		"CTRL",
		"Maiusc",
		"Alt",
		"Comando",
		"Windows",
		"Ctrl",
		"Maiusc",
		"Alt",
		"Comando",
		"Windows",
	],
	"vs/base/common/severity": [
		"Errore",
		"Avviso",
		"Informazioni",
	],
	"vs/base/parts/quickopen/browser/quickOpenModel": [
		"{0}, selezione",
		"selezione",
	],
	"vs/base/parts/quickopen/browser/quickOpenWidget": [
		"Selezione rapida. Digitare per ridurre il numero di risultati.",
		"Selezione rapida",
	],
	"vs/base/parts/tree/browser/treeDefaults": [
		"Collapse",
	],
	"vs/editor/browser/standalone/standaloneSchemas": [
		"JSON schema for ASP.NET project.json files",
		"Compilation options that are passed through to Roslyn",
		"The version of the dependency.",
		"The type of the dependency. \'build\' dependencies only exist at build time",
		"The dependencies of the application. Each entry specifes the name and the version of a Nuget package.",
		"A command line script or scripts.\r\rAvailable variables:\r%project:Directory% - The project directory\r%project:Name% - The project name\r%project:Version% - The project version",
		"The author of the application",
		"List of files to exclude from publish output (kpm bundle).",
		"Glob pattern to specify all the code files that needs to be compiled. (data type: string or array with glob pattern(s)). Example: [ \'Folder1\\*.cs\', \'Folder2\\*.cs\' ]",
		"Commands that are available for this application",
		"Configurations are named groups of compilation settings. There are 2 defaults built into the runtime namely \'Debug\' and \'Release\'.",
		"The description of the application",
		"Glob pattern to indicate all the code files to be excluded from compilation. (data type: string or array with glob pattern(s)).",
		"Target frameworks that will be built, and dependencies that are specific to the configuration.",
		"Glob pattern to indicate all the code files to be preprocessed. (data type: string with glob pattern).",
		"Glob pattern to indicate all the files that need to be compiled as resources.",
		"Scripts to execute during the various stages.",
		"Glob pattern to specify the code files to share with dependent projects. Example: [ \'Folder1\\*.cs\', \'Folder2\\*.cs\' ]",
		"The version of the application. Example: 1.2.0.0",
		"Specifying the webroot property in the project.json file specifies the web server root (aka public folder). In visual studio, this folder will be used to root IIS. Static files should be put in here.",
		"JSON schema for Bower configuration files",
		"Any property starting with _ is valid.",
		"The name of your package.",
		"Help users identify and search for your package with a brief description.",
		"A semantic version number.",
		"The primary acting files necessary to use your package.",
		"SPDX license identifier or path/url to a license.",
		"A list of files for Bower to ignore when installing your package.",
		"Used for search by keyword. Helps make your package easier to discover without people needing to know its name.",
		"A list of people that authored the contents of the package.",
		"URL to learn more about the package. Falls back to GitHub project if not specified and it\'s a GitHub endpoint.",
		"The repository in which the source code can be found.",
		"Dependencies are specified with a simple hash of package name to a semver compatible identifier or URL.",
		"Dependencies that are only needed for development of the package, e.g., test framework or building documentation.",
		"Dependency versions to automatically resolve with if conflicts occur between packages.",
		"If you set it to  true  it will refuse to publish it. This is a way to prevent accidental publication of private repositories.",
		"Used by grunt-bower-task to specify custom install locations.",
		"The types of modules this package exposes",
		"NPM configuration for this package.",
		"A person who has been involved in creating or maintaining this package",
		"Dependencies are specified with a simple hash of package name to version range. The version range is a string which has one or more space-separated descriptors. Dependencies can also be identified with a tarball or git URL.",
		"Any property starting with _ is valid.",
		"The name of the package.",
		"Version must be parseable by node-semver, which is bundled with npm as a dependency.",
		"This helps people discover your package, as it\'s listed in \'npm search\'.",
		"The relative path to the icon of the package.",
		"This helps people discover your package as it\'s listed in \'npm search\'.",
		"The url to the project homepage.",
		"The url to your project\'s issue tracker and / or the email address to which issues should be reported. These are helpful for people who encounter issues with your package.",
		"The url to your project\'s issue tracker.",
		"The email address to which issues should be reported.",
		"You should specify a license for your package so that people know how they are permitted to use it, and any restrictions you\'re placing on it.",
		"You should specify a license for your package so that people know how they are permitted to use it, and any restrictions you\'re placing on it.",
		"A list of people who contributed to this package.",
		"A list of people who maintains this package.",
		"The \'files\' field is an array of files to include in your project. If you name a folder in the array, then it will also include the files inside that folder.",
		"The main field is a module ID that is the primary entry point to your program.",
		"Specify either a single file or an array of filenames to put in place for the man program to find.",
		"If you specify a \'bin\' directory, then all the files in that folder will be used as the \'bin\' hash.",
		"Put markdown files in here. Eventually, these will be displayed nicely, maybe, someday.",
		"Put example scripts in here. Someday, it might be exposed in some clever way.",
		"Tell people where the bulk of your library is. Nothing special is done with the lib folder in any way, but it\'s useful meta info.",
		"A folder that is full of man pages. Sugar to generate a \'man\' array by walking the folder.",
		"Specify the place where your code lives. This is helpful for people who want to contribute.",
		"The \'scripts\' member is an object hash of script commands that are run at various times in the lifecycle of your package. The key is the lifecycle event, and the value is the command to run at that point.",
		"A \'config\' hash can be used to set configuration parameters used in package scripts that persist across upgrades.",
		"Array of package names that will be bundled when publishing the package.",
		"Array of package names that will be bundled when publishing the package.",
		"If your package is primarily a command-line application that should be installed globally, then set this value to true to provide a warning if it is installed locally.",
		"If set to true, then npm will refuse to publish it.",
		"JSON schema for the ASP.NET global configuration files",
		"A list of project folders relative to this file.",
		"A list of source folders relative to this file.",
		"The runtime to use.",
		"The runtime version to use.",
		"The runtime to use, e.g. coreclr",
		"The runtime architecture to use, e.g. x64.",
		"JSON schema for the TypeScript compiler\'s configuration file",
		"Instructs the TypeScript compiler how to compile .ts files",
		"The character set of the input files",
		"Generates corresponding d.ts files.",
		"Show diagnostic information.",
		"Emit a UTF-8 Byte Order Mark (BOM) in the beginning of output files.",
		"Emit a single file with source maps instead of having a separate file.",
		"Emit the source alongside the sourcemaps within a single file; requires --inlineSourceMap to be set.",
		"Print names of files part of the compilation.",
		"The locale to use to show error messages, e.g. en-us.",
		"Specifies the location where debugger should locate map files instead of generated locations",
		"Specify module code generation: \'CommonJS\', \'Amd\', \'System\', or \'UMD\'.",
		"Specifies the end of line sequence to be used when emitting files: \'CRLF\' (dos) or \'LF\' (unix).)",
		"Do not emit output.",
		"Do not emit outputs if any type checking errors were reported.",
		"Do not generate custom helper functions like __extends in compiled output.",
		"Warn on expressions and declarations with an implied \'any\' type.",
		"Do not include the default library file (lib.d.ts).",
		"Do not add triple-slash references or module import targets to the list of compiled files.",
		"Concatenate and emit output to single file.",
		"Redirect output structure to the directory.",
		"Do not erase const enum declarations in generated code.",
		"Do not emit comments to output.",
		"Specifies the root directory of input files. Use to control the output directory structure with --outDir.",
		"Generates corresponding \'.map\' file.",
		"Specifies the location where debugger should locate TypeScript files instead of source locations.",
		"Suppress noImplicitAny errors for indexing objects lacking index signatures.",
		"Specify ECMAScript target version:  \'ES3\' (default), \'ES5\', or \'ES6\' (experimental).",
		"Watch input files.",
		"Enable the JSX option (requires TypeScript 1.6):  \'preserve\', \'react\'.",
		"Emits meta data.for ES7 decorators.",
		"Supports transpiling single TS files into JS files.",
		"Enables experimental support for ES7 decorators.",
		"Enables experimental support for async functions (requires TypeScript 1.6).",
		"If no \'files\' property is present in a tsconfig.json, the compiler defaults to including all files the containing directory and subdirectories. When a \'files\' property is specified, only those files are included.",
		"JSON schema for the JavaScript configuration file",
		"Instructs the JavaScript language service how to validate .js files",
		"The character set of the input files",
		"Show diagnostic information.",
		"The locale to use to show error messages, e.g. en-us.",
		"Specifies the location where debugger should locate map files instead of generated locations",
		"Module code generation to resolve against: \'commonjs\', \'amd\', \'system\', or \'umd\'.",
		"Do not include the default library file (lib.d.ts).",
		"Specify ECMAScript target version:  \'ES3\' (default), \'ES5\', or \'ES6\' (experimental).",
		"Enables experimental support for ES7 decorators.",
		"If no \'files\' property is present in a jsconfig.json, the language service defaults to including all files the containing directory and subdirectories. When a \'files\' property is specified, only those files are included.",
		"List files and folders that should not be included. This property is not honored when the \'files\' property is present.",
	],
	"vs/editor/common/config/commonEditorConfig": [
		"Configurazione editor",
		"Controlla la famiglia di caratteri.",
		"Controlla le dimensioni del carattere.",
		"Controlla l\'altezza della riga.",
		"Controlla la visibilità dei numeri di riga",
		"Controlla la visibilità del margine del glifo",
		"Colonne in corrispondenza delle quali visualizzare i righelli verticali",
		"Caratteri che verranno usati come separatori di parola quando si eseguono operazioni o spostamenti correlati a parole",
		"Numero di spazi a cui equivale una tabulazione.",
		"È previsto \'number\'. Nota: il valore \"auto\" è stato sostituito dall\'impostazione `editor.detectIndentation`.",
		"Inserisce spazi quando si preme TAB.",
		"È previsto \'boolean\'. Nota: il valore \"auto\" è stato sostituito dall\'impostazione `editor.detectIndentation`.",
		"All\'apertura di un file, `editor.tabSize` e `editor.insertSpaces` verranno rilevati in base al contenuto del file.",
		"Controlla se gli angoli delle selezioni sono arrotondati",
		"Controlla se l\'editor scorrerà oltre l\'ultima riga",
		"Controlla il numero di caratteri dopo i quali l\'editor attiverà l\'a capo automatico alla riga successiva. Se è impostato su 0, verrà attivato l\'a capo automatico in base alla larghezza del viewport (ritorno a capo automatico). Se è impostato su -1, forzerà l\'editor a non eseguire mai il wrapping.",
		"Controlla il rientro delle righe con ritorno a capo. Può essere uno dei valori seguenti: \'none\', \'same\' o \'indent\'.",
		"Moltiplicatore da usare sui valori `deltaX` e `deltaY` degli eventi di scorrimento della rotellina del mouse",
		"Controlla se durante la digitazione verranno o meno visualizzati i suggerimenti rapidi",
		"Controlla il ritardo in ms dopo il quale verranno visualizzati i suggerimenti rapidi",
		"Enables parameter hints",
		"Controlla se l\'editor deve chiudere automaticamente le parentesi quadre dopo che sono state aperte",
		"Controlla se l\'editor deve formattare automaticamente la riga dopo la digitazione",
		"Controlla se i suggerimenti devono essere visualizzati automaticamente durante la digitazione dei caratteri trigger",
		"Controlla se i suggerimenti devono essere accettati con \'INVIO\' in aggiunta a \'TAB\'. Consente di evitare ambiguità tra l\'inserimento di nuove righe e l\'accettazione di suggerimenti.",
		"Controlla se l\'editor deve evidenziare gli elementi corrispondenti simili alla selezione",
		"Controlla il numero di effetti che possono essere visualizzati nella stessa posizione nel righello delle annotazioni",
		"Controlla l\'animazione per l\'intermittenza del cursore. I valori accettati sono: \'blink\', \'visible\' e \'hidden\'",
		"Controlla lo stile del cursore. I valori accettati sono \'block\' e \'line\'",
		"Abilita i caratteri legatura",
		"Controlla se il cursore deve essere nascosto nel righello delle annotazioni.",
		"Controlla se l\'editor deve eseguire il rendering dei spazi vuoti",
		"Controlla se l\'editor visualizza le informazioni di riferimento per le modalità supportate",
		"Controlla se per l\'editor è abilitata la riduzione del codice",
		"Inserting and deleting whitespace follows tab stops",
		"Remove trailing auto inserted whitespace",
		"Keep peek editors open even when double clicking their content or when hitting Escape.",
		"Controlla se l\'editor diff mostra le differenze affiancate o incorporate",
		"Controlla se l\'editor diff mostra come differenze le modifiche relative a spazi vuoti iniziali e finali",
		"Controlla se gli appunti primari di Linux devono essere supportati.",
	],
	"vs/editor/common/config/defaultConfig": [
		"Contenuto editor",
	],
	"vs/editor/common/controller/cursor": [
		"Eccezione imprevista durante l\'esecuzione del comando.",
	],
	"vs/editor/common/model/textModelWithTokens": [
		"Si è verificato un errore della modalità durante la suddivisione in token dell\'input.",
	],
	"vs/editor/common/modes/modesRegistry": [
		"Testo normale",
	],
	"vs/editor/common/modes/supports/suggestSupport": [
		"Enable word based suggestions.",
	],
	"vs/editor/common/services/bulkEdit": [
		"Nel frattempo questi file sono stati modificati: {0}",
	],
	"vs/editor/common/services/modeServiceImpl": [
		"Dichiarazioni del linguaggio per contributes.",
		"ID del linguaggio.",
		"Alias di nome per il linguaggio.",
		"Estensioni di file associate al linguaggio.",
		"Nomi file associati al linguaggio.",
		"Criteri GLOB dei nomi file associati al linguaggio.",
		"Tipi MIME associati al linguaggio.",
		"Espressione regolare corrispondente alla prima riga di un file del linguaggio.",
		"Percorso relativo di un file che contiene le opzioni di configurazione per il linguaggio.",
		"Il valore di `contributes.{0}` è vuoto",
		"la proprietà `{0}` è obbligatoria e deve essere di tipo `string`",
		"la proprietà `{0}` può essere omessa e deve essere di tipo `string[]`",
		"la proprietà `{0}` può essere omessa e deve essere di tipo `string[]`",
		"la proprietà `{0}` può essere omessa e deve essere di tipo `string`",
		"la proprietà `{0}` può essere omessa e deve essere di tipo `string`",
		"la proprietà `{0}` può essere omessa e deve essere di tipo `string[]`",
		"la proprietà `{0}` può essere omessa e deve essere di tipo `string[]`",
		"Il valore di `contributes.{0}` non è valido. È prevista una matrice.",
	],
	"vs/editor/common/services/modelServiceImpl": [
		"Aggiornare le impostazioni: `editor.detectIndentation` sostituisce `editor.tabSize`: \"auto\" o `editor.insertSpaces`: \"auto\"",
	],
	"vs/editor/contrib/accessibility/browser/accessibility": [
		"Visualizza la Guida sull\'accessibilità",
		"Grazie per aver provato le opzioni di accessibilità sperimentali di Visual Studio Code.",
		"Stato:",
		"Premere TAB in questo editor per spostare lo stato attivo sull\'elemento con stato attivabile successivo. Per attivare/disattivare questo comportamento, premere {0}.",
		"Premere TAB in questo editor per spostare lo stato attivo sull\'elemento con stato attivabile successivo. Il comando {0} non può essere attualmente attivato con un tasto di scelta rapida.",
		"Premere TAB in questo editor per inserire il carattere di tabulazione. Per attivare/disattivare questo comportamento, premere {0}.",
		"Premere TAB in questo editor per spostare lo stato attivo sull\'elemento con stato attivabile successivo. Il comando {0} non può essere attualmente attivato con un tasto di scelta rapida.",
		"Per chiudere questa descrizione comando e tornare all\'editor, premere ESC.",
	],
	"vs/editor/contrib/carretOperations/common/carretOperations": [
		"Move Carret Left",
		"Move Carret Right",
	],
	"vs/editor/contrib/clipboard/browser/clipboard": [
		"Taglia",
		"Copia",
		"Incolla",
	],
	"vs/editor/contrib/comment/common/comment": [
		"Attiva/Disattiva commento per la riga",
		"Aggiungi commento per la riga",
		"Rimuovi commento per la riga",
		"Attiva/Disattiva commento per il blocco",
	],
	"vs/editor/contrib/contextmenu/browser/contextmenu": [
		"Mostra il menu di scelta rapida editor",
	],
	"vs/editor/contrib/defineKeybinding/browser/defineKeybinding": [
		"Definisci tasto di scelta rapida",
		"Premere la combinazione di tasti desiderata e INVIO",
		"Definisci tasto di scelta rapida",
		"Per il layout di tastiera corrente premere ",
		"Non sarà possibile produrre questa combinazione di tasti con il layout di tastiera corrente.",
	],
	"vs/editor/contrib/find/browser/findWidget": [
		"Trova",
		"Trova",
		"Risultato precedente",
		"Risultato successivo",
		"Trova nella selezione",
		"Chiudi",
		"Sostituisci",
		"Sostituisci",
		"Sostituisci",
		"Sostituisci tutto",
		"Attiva/Disattiva modalità sostituzione",
		"Vengono evidenziati solo i primi 999 risultati, ma tutte le operazioni di ricerca funzionano sull\'intero testo.",
		"{0} di {1}",
		"Nessun risultato",
	],
	"vs/editor/contrib/find/common/findController": [
		"Seleziona tutte le occorrenze del risultato ricerca",
		"Cambia tutte le occorrenze",
		"Trova",
		"Trova successivo",
		"Trova precedente",
		"Trova selezione successiva",
		"Trova selezione precedente",
		"Sostituisci",
		"Sposta ultima selezione a risultato ricerca successivo",
		"Aggiungi selezione a risultato ricerca successivo",
	],
	"vs/editor/contrib/folding/browser/folding": [
		"Espandi",
		"Unfold Recursively",
		"Riduci",
		"Fold Recursively",
		"Riduci tutto",
		"Espandi tutto",
		"Livello riduzione 1",
		"Livello riduzione 2",
		"Livello riduzione 3",
		"Livello riduzione 4",
		"Livello riduzione 5",
	],
	"vs/editor/contrib/format/common/formatActions": [
		"Formatta codice",
	],
	"vs/editor/contrib/goToDeclaration/browser/goToDeclaration": [
		" - Definizioni di {0}",
		"Fare clic per visualizzare le {0} definizioni trovate.",
		"Visualizza la definizione",
		"Vai alla definizione",
		"Apri definizione lateralmente",
	],
	"vs/editor/contrib/gotoError/browser/gotoError": [
		"Correzioni suggerite: ",
		"Correzione suggerita: ",
		"({0}/{1}) [{2}]",
		"({0}/{1})",
		"Vai a errore o avviso successivo",
		"Vai a errore o avviso precedente",
	],
	"vs/editor/contrib/hover/browser/hover": [
		"Visualizza passaggio del mouse",
	],
	"vs/editor/contrib/hover/browser/modesContentHover": [
		"Caricamento...",
	],
	"vs/editor/contrib/inPlaceReplace/common/inPlaceReplace": [
		"Sostituisci con il valore precedente",
		"Sostituisci con il valore successivo",
	],
	"vs/editor/contrib/indentation/common/indentation": [
		"Dimensione tabulazione configurata",
		"Seleziona dimensione tabulazione per il file corrente",
		"Converti rientro in spazi",
		"Converti rientro in tabulazioni",
		"Imposta rientro con spazi",
		"Imposta rientro con tabulazioni",
		"Rileva rientro dal contenuto",
		"Attiva/Disattiva rendering spazi vuoti",
	],
	"vs/editor/contrib/linesOperations/common/linesOperations": [
		"Elimina la riga",
		"Ordinamento righe crescente",
		"Ordinamento righe decrescente",
		"Taglia spazio vuoto finale",
		"Sposta la riga in basso",
		"Sposta la riga in alto",
		"Copia la riga in basso",
		"Copia la riga in alto",
		"Imposta un rientro per la riga",
		"Riduci il rientro per la riga",
		"Inserisci la riga sopra",
		"Inserisci la riga sotto",
	],
	"vs/editor/contrib/links/browser/links": [
		"Cmd + clic per seguire il collegamento",
		"CTRL + clic per seguire il collegamento",
		"URI non valido: non è possibile aprire {0}",
		"Apri il collegamento",
	],
	"vs/editor/contrib/multicursor/common/multicursor": [
		"Aggiungi cursore sopra",
		"Aggiungi cursore sotto",
		"Crea più cursori dalle righe selezionate",
	],
	"vs/editor/contrib/parameterHints/browser/parameterHints": [
		"Attiva i suggerimenti per i parametri",
	],
	"vs/editor/contrib/parameterHints/browser/parameterHintsWidget": [
		"{0}, suggerimento",
	],
	"vs/editor/contrib/quickFix/browser/quickFix": [
		"Correzione rapida",
	],
	"vs/editor/contrib/quickFix/browser/quickFixSelectionWidget": [
		"{0}, suggerimento per correzione rapida",
		"Caricamento...",
		"Non sono disponibili suggerimenti per la correzione.",
		"Correzione rapida",
		"{0}, accettata",
	],
	"vs/editor/contrib/quickOpen/browser/gotoLine": [
		"Vai alla riga {0} e alla colonna {1}",
		"Vai alla riga {0}",
		"Digitare un numero di riga compreso tra 1 e {0} per passare a",
		"Digitare un numero di colonna compreso tra 1 e {0} per passare a",
		"Go to line {0}",
		"Vai alla riga...",
		"Digitare un numero di riga, seguito da due punti facoltativi e da un numero di colonna per passare a",
	],
	"vs/editor/contrib/quickOpen/browser/gotoLine.contribution": [
		"Vai alla riga...",
	],
	"vs/editor/contrib/quickOpen/browser/quickCommand": [
		"{0}, commands",
		"Tavolozza comandi",
		"Digitare il nome di un\'azione da eseguire",
	],
	"vs/editor/contrib/quickOpen/browser/quickCommand.contribution": [
		"Tavolozza comandi",
	],
	"vs/editor/contrib/quickOpen/browser/quickOutline": [
		"{0}, symbols",
		"Vai al simbolo...",
		"Digitare il nome di un identificatore a cui passare",
		"simboli ({0})",
		"moduli ({0})",
		"classi ({0})",
		"interfacce ({0})",
		"metodi ({0})",
		"funzioni ({0})",
		"proprietà ({0})",
		"variabili ({0})",
		"variabili ({0})",
		"costruttori ({0})",
		"chiamate ({0})",
	],
	"vs/editor/contrib/quickOpen/browser/quickOutline.contribution": [
		"Vai al simbolo...",
	],
	"vs/editor/contrib/referenceSearch/browser/referenceSearch": [
		" - Riferimenti di {0}",
		"Trova tutti i riferimenti",
		"Mostra i riferimenti",
	],
	"vs/editor/contrib/referenceSearch/browser/referencesController": [
		"Caricamento...",
	],
	"vs/editor/contrib/referenceSearch/browser/referencesWidget": [
		"Failed to resolve file.",
		"{0} riferimenti",
		"{0} riferimento",
		"no preview available",
		"Riferimenti",
		"Nessun risultato",
		"Riferimenti",
	],
	"vs/editor/contrib/rename/browser/rename": [
		"Rinomina simbolo",
	],
	"vs/editor/contrib/rename/browser/renameInputField": [
		"Consente di rinominare l\'input. Digitare il nuovo nome e premere INVIO per eseguire il commit.",
	],
	"vs/editor/contrib/rename/common/rename": [
		"Nessun risultato.",
	],
	"vs/editor/contrib/smartSelect/common/jumpToBracket": [
		"Vai alla parentesi quadra",
	],
	"vs/editor/contrib/smartSelect/common/smartSelect": [
		"Espandi SELECT",
		"Comprimi SELECT",
	],
	"vs/editor/contrib/suggest/browser/suggest": [
		"Attiva suggerimento",
	],
	"vs/editor/contrib/suggest/browser/suggestWidget": [
		"Altre informazioni...{0}",
		"{0}, suggerimento, con dettagli",
		"{0}, suggerimento",
		"Indietro",
		"Caricamento...",
		"Non ci sono suggerimenti.",
		"{0}, accettato",
		"{0}, suggerimento, con dettagli",
		"{0}, suggerimento",
	],
	"vs/editor/contrib/toggleTabFocusMode/common/toggleTabFocusMode": [
		"Attiva/Disattiva l\'uso del tasto TAB per impostare lo stato attivo",
	],
	"vs/editor/contrib/toggleWordWrap/common/toggleWordWrap": [
		"Visualizza: Attiva/Disattiva ritorno a capo automatico",
	],
	"vs/editor/contrib/zoneWidget/browser/peekViewWidget": [
		"Chiudi",
	],
	"vs/languages/html/common/html.contribution": [
		"Configurazione HTML",
		"Numero massimo di caratteri per riga (0 = disabilita).",
		"Elenco di tag, separati da virgole, che non devono essere riformattati. Con \'null\' viene usata l\'impostazione predefinita che prevede l\'uso di tutti tag inline.",
		"Imposta un rientro per le sezioni <head> e <body>.",
		"Indica se è necessario mantenere interruzioni di riga esistenti prima degli elementi. Funziona solo prima degli elementi e non all\'interno di tag o per il testo.",
		"Numero massimo di interruzioni di riga da mantenere in un unico blocco. Per non impostare un numero massimo, usare \'null\'.",
		"Applica la formattazione e imposta un rientro per {{#foo}} e {{/foo}}.",
		"Termina con un carattere di nuova riga.",
		"Elenco di tag, separati da virgole, che devono essere preceduti da un carattere di nuova riga. Con \'null\' viene usata l\'impostazione predefinita \"head, body, /html\".",
	],
	"vs/languages/json/common/json.contribution": [
		"Configurazione di JSON",
		"Associa schemi a file JSON nel progetto corrente",
		"URL di uno schema o percorso relativo di uno schema nella directory corrente",
		"Criteri dei file che possono contenere \'*\' da usare per la ricerca durante la risoluzione di file JSON in schemi.",
		"Matrice di criteri dei file da usare per la ricerca durante la risoluzione di file JSON in schemi.",
		"Definizione dello schema per l\'URL specificato. È necessario specificare lo schema per evitare accessi all\'URL dello schema.",
	],
	"vs/platform/actions/browser/menuItemActionItem": [
		"{0} ({1})",
	],
	"vs/platform/configuration/common/configurationRegistry": [
		"Impostazioni di configurazione di contributes.",
		"Riepilogo delle impostazioni. Questa etichetta verrà usata nel file di impostazioni come commento di separazione.",
		"Descrizione delle proprietà di configurazione.",
		"se impostato, \'configuration.type\' deve essere impostato su \'object",
		"\'configuration.title\' deve essere una stringa",
		"\'configuration.properties\' deve essere un oggetto",
	],
	"vs/platform/extensions/common/abstractExtensionService": [
		"L\'attivazione dell\'estensione `{1}` non è riuscita. Motivo: la dipendenza `{0}` è sconosciuta.",
		"L\'attivazione dell\'estensione `{1}` non è riuscita. Motivo: non è stato possibile attivare la dipendenza `{0}`.",
		"L\'attivazione dell\'estensione `{0}` non è riuscita. Motivo: sono presenti più di 10 livelli di dipendenze (molto probabilmente un ciclo di dipendenze).",
		"L\'attivazione dell\'estensione `{0}` non è riuscita: {1}.",
	],
	"vs/platform/extensions/common/extensionsRegistry": [
		"La descrizione dell\'estensione restituita è vuota",
		"la proprietà `{0}` è obbligatoria e deve essere di tipo `string`",
		"la proprietà `{0}` è obbligatoria e deve essere di tipo `string`",
		"la proprietà `{0}` è obbligatoria e deve essere di tipo `string`",
		"la proprietà `{0}` è obbligatoria e deve essere di tipo `object`",
		"la proprietà `{0}` è obbligatoria e deve essere di tipo `string`",
		"la proprietà `{0}` può essere omessa o deve essere di tipo `string[]`",
		"la proprietà `{0}` può essere omessa o deve essere di tipo `string[]`",
		"le proprietà `{0}` e `{1}` devono essere specificate o omesse entrambi",
		"la proprietà `{0}` può essere omessa o deve essere di tipo `string`",
		"Valore previsto di `main` ({0}) da includere nella cartella dell\'estensione ({1}). L\'estensione potrebbe non essere più portatile.",
		"le proprietà `{0}` e `{1}` devono essere specificate o omesse entrambi",
		"Nome visualizzato per l\'estensione usato nella raccolta di Visual Studio Code.",
		"Categorie usate dalla raccolta di Visual Studio Code per definire la categoria dell\'estensione.",
		"Banner usato nel marketplace di Visual Studio Code.",
		"Colore del banner nell\'intestazione pagina del marketplace di Visual Studio Code.",
		"Tema colori per il tipo di carattere usato nel banner.",
		"Editore dell\'estensione Visual Studio Code.",
		"Eventi di attivazione per l\'estensione Visual Studio Code.",
		"Dipendenze ad altre estensioni. L\'ID di un\'estensione è sempre ${publisher}.${name}. Ad esempio: vscode.csharp.",
		"Script eseguito prima che il pacchetto venga pubblicato come estensione Visual Studio Code.",
		"Tutti i contributi dell\'estensione Visual Studio Code rappresentati da questo pacchetto.",
	],
	"vs/platform/jsonschemas/common/jsonContributionRegistry": [
		"Descrive un file JSON che usa uno schema. Per altre informazioni, visitare il sito json-schema.org.",
		"Identificatore univoco per lo schema.",
		"Schema da usare per la verifica di questo documento ",
		"Titolo descrittivo dell\'elemento",
		"Descrizione lunga dell\'elemento. Usata nei menu visualizzati al passaggio del mouse e nei suggerimenti.",
		"Valore predefinito. Usato dai suggerimenti.",
		"Numero per il quale deve essere diviso perfettamente il valore corrente (ossia senza resto)",
		"Valore numerico massimo, inclusivo per impostazione predefinita.",
		"Rende esclusiva la proprietà maximum.",
		"Valore numerico minimo, inclusivo per impostazione predefinita.",
		"Rende esclusiva la proprietà minimum.",
		"Lunghezza massima di una stringa.",
		"Lunghezza minima di una stringa.",
		"Espressione regolare alla quale far corrispondere la stringa. Non è implicitamente ancorata.",
		"Per le matrici solo quando gli elementi sono impostati come una matrice. Se è uno schema, convalida gli elementi dopo quelli specificati dalla matrice di elementi. Se è false, gli elementi aggiuntivi impediranno la convalida.",
		"Per le matrici. Può essere uno schema in base al quale convalidare tutti gli elementi oppure una matrice di schemi in base alla quale convalidare ogni elemento nell\'ordine appropriato. Il primo schema convalida il primo elemento, il secondo schema convalida il secondo elemento e così via.",
		"Numero massimo di elementi che possono essere presenti in una matrice. Inclusivo.",
		"Numero minimo di elementi che possono essere presenti in una matrice. Inclusivo.",
		"Indica se tutti gli elementi nella matrice devono essere univoci. Il valore predefinito è false.",
		"Numero massimo di proprietà che un oggetto può avere. Inclusivo.",
		"Numero minimo di proprietà che un oggetto può avere. Inclusivo.",
		"Matrice di stringhe che elenca i nomi di tutte le proprietà richieste per questo oggetto.",
		"Schema o valore booleano. Se è uno schema, viene usato per convalidare tutte le proprietà che non corrispondono a \'properties\' o \'patternProperties\'. Se è false, eventuali proprietà non corrispondenti a nessuna delle due bloccheranno lo schema.",
		"Non usato per la convalida. Inserire qui i sottoschemi ai quali fare riferimento inline con $ref",
		"Mapping di nomi di proprietà a schemi per ogni proprietà.",
		"Mapping di espressioni regolari su nomi di proprietà a schemi per le proprietà corrispondenti.",
		"Mapping di nomi di proprietà a una matrice di nomi di proprietà o a uno schema. Una matrice di nomi di proprietà indica che, per essere valida, la proprietà denominata nella chiave dipende dalle proprietà nella matrice presente nell\'oggetto. Se il valore è uno schema, lo schema viene applicato solo all\'oggetto se la proprietà nella chiave esiste nell\'oggetto.",
		"Set di valori letterali validi",
		"Stringa di uno dei tipi di schema di base (numero, intero, Null, matrice, oggetto, booleano, stringa) o matrice di stringhe che specifica un subset di questi tipi.",
		"Descrive il formato previsto per il valore.",
		"Matrice di schemi che devono tutti avere una corrispondenza.",
		"Matrice di schemi, in cui almeno uno deve avere una corrispondenza.",
		"Matrice di schemi, uno dei quali deve avere una corrispondenza.",
		"Schema che non deve avere corrispondenze.",
	],
	"vs/platform/keybinding/browser/keybindingServiceImpl": [
		"Altri comandi disponibili: ",
		"È stato premuto ({0}). In attesa del secondo tasto...",
		"La combinazione di tasti ({0}, {1}) non è un comando.",
	],
	"vs/platform/message/common/message": [
		"Chiudi",
		"Annulla",
	]
});