/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.5.2(d49899a916fd99840f6f9178f2dd06e0e7013646)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/

define("vs/languages/json/common/jsonWorker.nls.de", {
	"vs/base/common/http": [
		"Bad request. The request cannot be fulfilled due to bad syntax.",
		"Unauthorized. The server is refusing to respond.",
		"Forbidden. The server is refusing to respond.",
		"Not Found. The requested location could not be found.",
		"Method not allowed. A request was made using a request method not supported by that location.",
		"Not Acceptable. The server can only generate a response that is not accepted by the client.",
		"Proxy Authentication Required. The client must first authenticate itself with the proxy.",
		"Request Timeout. The server timed out waiting for the request.",
		"Conflict. The request could not be completed because of a conflict in the request.",
		"Gone. The requested page is no longer available.",
		"Length Required. The \"Content-Length\" is not defined.",
		"Precondition Failed. The precondition given in the request evaluated to false by the server.",
		"Request Entity Too Large. The server will not accept the request, because the request entity is too large.",
		"Request-URI Too Long. The server will not accept the request, because the URL is too long.",
		"Unsupported Media Type. The server will not accept the request, because the media type is not supported.",
		"Internal Server Error.",
		"Not Implemented. The server either does not recognize the request method, or it lacks the ability to fulfill the request.",
		"Service Unavailable. The server is currently unavailable (overloaded or down).",
		"HTTP status code {0}",
	],
	"vs/languages/json/common/contributions/bowerJSONContribution": [
		"Standarddatei \"bower.json\"",
		"Fehler bei der Anforderung des Browserrepositorys: {0}",
		"Fehler bei der Anforderung des Browserrepositorys: {0}",
		"{0}",
	],
	"vs/languages/json/common/contributions/globPatternContribution": [
		"Dateien nach Erweiterung",
		"Zuordnen aller Dateien mit einer bestimmten Erweiterung.",
		"Dateien mit mehreren Erweiterungen",
		"Zuordnen aller Dateien mit einer der Dateierweiterungen.",
		"Dateien mit gleichgeordneten Elementen nach Name",
		"Zuordnen von Dateien, die gleichgeordnete Elemente mit dem gleichen Namen und einer anderen Erweiterung besitzen.",
		"Ordner nach Name (oberste Ebene)",
		"Zuordnen eines Ordners auf oberster Ebene zu einem bestimmten Namen.",
		"Ordner mit mehreren Namen (oberste Ebene)",
		"Zuordnen mehrerer Ordner auf oberster Ebene.",
		"Ordner nach Name (beliebiger Speicherort)",
		"Zuordnen eines Ordners mit einem bestimmten Namen an einem beliebigen Speicherort.",
		"True",
		"Aktivieren des Musters.",
		"False",
		"Deaktivieren des Musters.",
		"Dateien mit gleichgeordneten Elementen nach Name",
		"Zuordnen von Dateien, die gleichgeordnete Elemente mit dem gleichen Namen und einer anderen Erweiterung besitzen.",
	],
	"vs/languages/json/common/contributions/packageJSONContribution": [
		"Standard-package.json",
		"Fehler bei der Anforderung des NPM-Repositorys: {0}",
		"Fehler bei der Anforderung des NPM-Repositorys: {0}",
		"Die zurzeit aktuelle Version des Pakets.",
		"Ordnet die aktuellste Hauptversion (1.x.x) zu.",
		"Ordnet die aktuellste Nebenversion (1.2.x) zu.",
		"{0}",
		"Aktuelle Version: {0}",
	],
	"vs/languages/json/common/contributions/projectJSONContribution": [
		"Standarddatei \"project.json\"",
		"Fehler bei der Anforderung des NuGet-Repositorys: {0}",
		"Fehler bei der Anforderung des NuGet-Repositorys: {0}",
		"Die derzeit aktuelle Version des Pakets",
		"{0}",
		"Aktuelle Version: {0}",
	],
	"vs/languages/json/common/jsonIntellisense": [
		"Standardwert",
	],
	"vs/languages/json/common/jsonSchemaService": [
		"Unable to load schema from \'{0}\': No content.",
		"Unable to parse content from \'{0}\': {1}.",
		"Fehler beim Laden des Schemas für \"{0}\": {1}.",
		"$ref \'{0}\' in {1} can not be resolved.",
		"Problems loading reference \'{0}\': {1}",
	],
	"vs/languages/json/common/parser/jsonParser": [
		"Falscher Typ. Einer von {0} erwartet",
		"Falscher Typ. Erwartet wurde \"{0}\"",
		"Stimmt mit einem nicht zulässigen Schema überein.",
		"Stimmt mit mehreren Schemas überein, obwohl nur ein Schema übereinstimmen darf.",
		"Wert ist kein zulässiger Wert. Gültige Werte: {0}",
		"Array hat nach dem Schema zu viele Elemente. {0} oder weniger erwartet",
		"Array enthält zu wenige Elemente. {0} oder mehr erwartet",
		"Array enthält zu viele Elemente. {0} oder weniger erwartet",
		"Array enthält doppelte Elemente.",
		"Wert ist nicht teilbar durch {0}",
		"Wert liegt unter dem exklusiven Minimum von {0}",
		"Wert liegt unter dem Minimum von {0}",
		"Wert liegt über dem exklusiven Maximum von {0}",
		"Wert liegt über dem Maximum von {0}",
		"Zeichenfolge ist kürzer als die minimale Länge von ",
		"Zeichenfolge ist kürzer als die maximale Länge von ",
		"Die Zeichenfolge stimmt nicht mit dem Muster \"{0}\" überein",
		"Fehlende Eigenschaft \"{0}\"",
		"Eigenschaft {0} ist nicht zulässig",
		"Objekt verfügt über mehr Eigenschaften als das Limit von {0}",
		"Objekt verfügt über weniger Eigenschaften als die erforderliche Anzahl von {0}",
		"Eigenschaft {0} ist für Objekt nicht vorhanden, die für Eigenschaft {1} erforderlich ist",
		"Ungültige Unicodesequenz in Zeichenfolge",
		"Ungültiges Escapezeichen in Zeichenfolge",
		"Unerwartetes Ende der Zahl",
		"Unerwartetes Kommentarende",
		"Unerwartetes Ende der Zeichenfolge",
		"Wert erwartet",
		"Komma ode schließende Klammer erwartet.",
		"Eigenschaftsschlüssel müssen mit doppelten Anführungszeichen formatiert werden.",
		"Doppelter Objektschlüssel",
		"Doppelpunkt erwartet",
		"Wert erwartet",
		"Eigenschaft erwartet",
		"Komma oder schließende geschweifte Klammer erwartet.",
		"Ungültiges Zahlenformat",
		"Ungültiges Zahlenformat",
		"JSON-Objekt, Array oder Literal erwartet",
		"Dateiende erwartet",
	]
});