/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-typescript version: 0.5.0(1ea9e2f88b719775dbe4715d1411bcd025dbdc43)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-typescript/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/language/typescript/lib/lib-ts",[],function(){return{contents:'/*! *****************************************************************************\r\nCopyright (c) Microsoft Corporation. All rights reserved. \r\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\r\nthis file except in compliance with the License. You may obtain a copy of the\r\nLicense at http://www.apache.org/licenses/LICENSE-2.0  \r\n \r\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\r\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\r\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE, \r\nMERCHANTABLITY OR NON-INFRINGEMENT. \r\n \r\nSee the Apache Version 2.0 License for specific language governing permissions\r\nand limitations under the License.\r\n***************************************************************************** */\r\n\r\n/// <reference no-default-lib="true"/>\r\n/////////////////////////////\r\n/// ECMAScript APIs\r\n/////////////////////////////\r\n\r\ndeclare var NaN: number;\r\ndeclare var Infinity: number;\r\n\r\n/**\r\n  * Evaluates JavaScript code and executes it. \r\n  * @param x A String value that contains valid JavaScript code.\r\n  */\r\ndeclare function eval(x: string): any;\r\n\r\n/**\r\n  * Converts A string to an integer.\r\n  * @param s A string to convert into a number.\r\n  * @param radix A value between 2 and 36 that specifies the base of the number in numString. \r\n  * If this argument is not supplied, strings with a prefix of \'0x\' are considered hexadecimal.\r\n  * All other strings are considered decimal.\r\n  */\r\ndeclare function parseInt(s: string, radix?: number): number;\r\n\r\n/**\r\n  * Converts a string to a floating-point number. \r\n  * @param string A string that contains a floating-point number. \r\n  */\r\ndeclare function parseFloat(string: string): number;\r\n\r\n/**\r\n  * Returns a Boolean value that indicates whether a value is the reserved value NaN (not a number). \r\n  * @param number A numeric value.\r\n  */\r\ndeclare function isNaN(number: number): boolean;\r\n\r\n/** \r\n  * Determines whether a supplied number is finite.\r\n  * @param number Any numeric value.\r\n  */\r\ndeclare function isFinite(number: number): boolean;\r\n\r\n/**\r\n  * Gets the unencoded version of an encoded Uniform Resource Identifier (URI).\r\n  * @param encodedURI A value representing an encoded URI.\r\n  */\r\ndeclare function decodeURI(encodedURI: string): string;\r\n\r\n/**\r\n  * Gets the unencoded version of an encoded component of a Uniform Resource Identifier (URI).\r\n  * @param encodedURIComponent A value representing an encoded URI component.\r\n  */\r\ndeclare function decodeURIComponent(encodedURIComponent: string): string;\r\n\r\n/** \r\n  * Encodes a text string as a valid Uniform Resource Identifier (URI)\r\n  * @param uri A value representing an encoded URI.\r\n  */\r\ndeclare function encodeURI(uri: string): string;\r\n\r\n/**\r\n  * Encodes a text string as a valid component of a Uniform Resource Identifier (URI).\r\n  * @param uriComponent A value representing an encoded URI component.\r\n  */\r\ndeclare function encodeURIComponent(uriComponent: string): string;\r\n\r\ninterface PropertyDescriptor {\r\n    configurable?: boolean;\r\n    enumerable?: boolean;\r\n    value?: any;\r\n    writable?: boolean;\r\n    get? (): any;\r\n    set? (v: any): void;\r\n}\r\n\r\ninterface PropertyDescriptorMap {\r\n    [s: string]: PropertyDescriptor;\r\n}\r\n\r\ninterface Object {\r\n    /** The initial value of Object.prototype.constructor is the standard built-in Object constructor. */\r\n    constructor: Function;\r\n\r\n    /** Returns a string representation of an object. */\r\n    toString(): string;\r\n\r\n    /** Returns a date converted to a string using the current locale. */\r\n    toLocaleString(): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): Object;\r\n\r\n    /**\r\n      * Determines whether an object has a property with the specified name. \r\n      * @param v A property name.\r\n      */\r\n    hasOwnProperty(v: string): boolean;\r\n\r\n    /**\r\n      * Determines whether an object exists in another object\'s prototype chain. \r\n      * @param v Another object whose prototype chain is to be checked.\r\n      */\r\n    isPrototypeOf(v: Object): boolean;\r\n\r\n    /** \r\n      * Determines whether a specified property is enumerable.\r\n      * @param v A property name.\r\n      */\r\n    propertyIsEnumerable(v: string): boolean;\r\n}\r\n\r\ninterface ObjectConstructor {\r\n    new (value?: any): Object;\r\n    (): any;\r\n    (value: any): any;\r\n\r\n    /** A reference to the prototype for a class of objects. */\r\n    prototype: Object;\r\n\r\n    /** \r\n      * Returns the prototype of an object. \r\n      * @param o The object that references the prototype.\r\n      */\r\n    getPrototypeOf(o: any): any;\r\n\r\n    /**\r\n      * Gets the own property descriptor of the specified object. \r\n      * An own property descriptor is one that is defined directly on the object and is not inherited from the object\'s prototype. \r\n      * @param o Object that contains the property.\r\n      * @param p Name of the property.\r\n    */\r\n    getOwnPropertyDescriptor(o: any, p: string): PropertyDescriptor;\r\n\r\n    /** \r\n      * Returns the names of the own properties of an object. The own properties of an object are those that are defined directly \r\n      * on that object, and are not inherited from the object\'s prototype. The properties of an object include both fields (objects) and functions.\r\n      * @param o Object that contains the own properties.\r\n      */\r\n    getOwnPropertyNames(o: any): string[];\r\n\r\n    /** \r\n      * Creates an object that has the specified prototype, and that optionally contains specified properties.\r\n      * @param o Object to use as a prototype. May be null\r\n      * @param properties JavaScript object that contains one or more property descriptors. \r\n      */\r\n    create(o: any, properties?: PropertyDescriptorMap): any;\r\n\r\n    /**\r\n      * Adds a property to an object, or modifies attributes of an existing property. \r\n      * @param o Object on which to add or modify the property. This can be a native JavaScript object (that is, a user-defined object or a built in object) or a DOM object.\r\n      * @param p The property name.\r\n      * @param attributes Descriptor for the property. It can be for a data property or an accessor property.\r\n      */\r\n    defineProperty(o: any, p: string, attributes: PropertyDescriptor): any;\r\n\r\n    /**\r\n      * Adds one or more properties to an object, and/or modifies attributes of existing properties. \r\n      * @param o Object on which to add or modify the properties. This can be a native JavaScript object or a DOM object.\r\n      * @param properties JavaScript object that contains one or more descriptor objects. Each descriptor object describes a data property or an accessor property.\r\n      */\r\n    defineProperties(o: any, properties: PropertyDescriptorMap): any;\r\n\r\n    /**\r\n      * Prevents the modification of attributes of existing properties, and prevents the addition of new properties.\r\n      * @param o Object on which to lock the attributes. \r\n      */\r\n    seal<T>(o: T): T;\r\n\r\n    /**\r\n      * Prevents the modification of existing property attributes and values, and prevents the addition of new properties.\r\n      * @param o Object on which to lock the attributes.\r\n      */\r\n    freeze<T>(o: T): T;\r\n\r\n    /**\r\n      * Prevents the addition of new properties to an object.\r\n      * @param o Object to make non-extensible. \r\n      */\r\n    preventExtensions<T>(o: T): T;\r\n\r\n    /**\r\n      * Returns true if existing property attributes cannot be modified in an object and new properties cannot be added to the object.\r\n      * @param o Object to test. \r\n      */\r\n    isSealed(o: any): boolean;\r\n\r\n    /**\r\n      * Returns true if existing property attributes and values cannot be modified in an object, and new properties cannot be added to the object.\r\n      * @param o Object to test.  \r\n      */\r\n    isFrozen(o: any): boolean;\r\n\r\n    /**\r\n      * Returns a value that indicates whether new properties can be added to an object.\r\n      * @param o Object to test. \r\n      */\r\n    isExtensible(o: any): boolean;\r\n\r\n    /**\r\n      * Returns the names of the enumerable properties and methods of an object.\r\n      * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\r\n      */\r\n    keys(o: any): string[];\r\n}\r\n\r\n/**\r\n  * Provides functionality common to all JavaScript objects.\r\n  */\r\ndeclare var Object: ObjectConstructor;\r\n\r\n/**\r\n  * Creates a new function.\r\n  */\r\ninterface Function {\r\n    /**\r\n      * Calls the function, substituting the specified object for the this value of the function, and the specified array for the arguments of the function.\r\n      * @param thisArg The object to be used as the this object.\r\n      * @param argArray A set of arguments to be passed to the function.\r\n      */\r\n    apply(thisArg: any, argArray?: any): any;\r\n\r\n    /**\r\n      * Calls a method of an object, substituting another object for the current object.\r\n      * @param thisArg The object to be used as the current object.\r\n      * @param argArray A list of arguments to be passed to the method.\r\n      */\r\n    call(thisArg: any, ...argArray: any[]): any;\r\n\r\n    /**\r\n      * For a given function, creates a bound function that has the same body as the original function. \r\n      * The this object of the bound function is associated with the specified object, and has the specified initial parameters.\r\n      * @param thisArg An object to which the this keyword can refer inside the new function.\r\n      * @param argArray A list of arguments to be passed to the new function.\r\n      */\r\n    bind(thisArg: any, ...argArray: any[]): any;\r\n\r\n    prototype: any;\r\n    length: number;\r\n\r\n    // Non-standard extensions\r\n    arguments: any;\r\n    caller: Function;\r\n}\r\n\r\ninterface FunctionConstructor {\r\n    /**\r\n      * Creates a new function.\r\n      * @param args A list of arguments the function accepts.\r\n      */\r\n    new (...args: string[]): Function;\r\n    (...args: string[]): Function;\r\n    prototype: Function;\r\n}\r\n\r\ndeclare var Function: FunctionConstructor;\r\n\r\ninterface IArguments {\r\n    [index: number]: any;\r\n    length: number;\r\n    callee: Function;\r\n}\r\n\r\ninterface String {\r\n    /** Returns a string representation of a string. */\r\n    toString(): string;\r\n\r\n    /**\r\n      * Returns the character at the specified index.\r\n      * @param pos The zero-based index of the desired character.\r\n      */\r\n    charAt(pos: number): string;\r\n\r\n    /** \r\n      * Returns the Unicode value of the character at the specified location.\r\n      * @param index The zero-based index of the desired character. If there is no character at the specified index, NaN is returned.\r\n      */\r\n    charCodeAt(index: number): number;\r\n\r\n    /**\r\n      * Returns a string that contains the concatenation of two or more strings.\r\n      * @param strings The strings to append to the end of the string.  \r\n      */\r\n    concat(...strings: string[]): string;\r\n\r\n    /**\r\n      * Returns the position of the first occurrence of a substring. \r\n      * @param searchString The substring to search for in the string\r\n      * @param position The index at which to begin searching the String object. If omitted, search starts at the beginning of the string.\r\n      */\r\n    indexOf(searchString: string, position?: number): number;\r\n\r\n    /**\r\n      * Returns the last occurrence of a substring in the string.\r\n      * @param searchString The substring to search for.\r\n      * @param position The index at which to begin searching. If omitted, the search begins at the end of the string.\r\n      */\r\n    lastIndexOf(searchString: string, position?: number): number;\r\n\r\n    /**\r\n      * Determines whether two strings are equivalent in the current locale.\r\n      * @param that String to compare to target string\r\n      */\r\n    localeCompare(that: string): number;\r\n\r\n    /** \r\n      * Matches a string with a regular expression, and returns an array containing the results of that search.\r\n      * @param regexp A variable name or string literal containing the regular expression pattern and flags.\r\n      */\r\n    match(regexp: string): RegExpMatchArray;\r\n\r\n    /** \r\n      * Matches a string with a regular expression, and returns an array containing the results of that search.\r\n      * @param regexp A regular expression object that contains the regular expression pattern and applicable flags. \r\n      */\r\n    match(regexp: RegExp): RegExpMatchArray;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A string that represents the regular expression.\r\n      * @param replaceValue A string containing the text to replace for every successful match of searchValue in this string.\r\n      */\r\n    replace(searchValue: string, replaceValue: string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A string that represents the regular expression.\r\n      * @param replacer A function that returns the replacement text.\r\n      */\r\n    replace(searchValue: string, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A Regular Expression object containing the regular expression pattern and applicable flags.\r\n      * @param replaceValue A string containing the text to replace for every successful match of searchValue in this string.\r\n      */\r\n    replace(searchValue: RegExp, replaceValue: string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A Regular Expression object containing the regular expression pattern and applicable flags\r\n      * @param replacer A function that returns the replacement text.\r\n      */\r\n    replace(searchValue: RegExp, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n      * Finds the first substring match in a regular expression search.\r\n      * @param regexp The regular expression pattern and applicable flags. \r\n      */\r\n    search(regexp: string): number;\r\n\r\n    /**\r\n      * Finds the first substring match in a regular expression search.\r\n      * @param regexp The regular expression pattern and applicable flags. \r\n      */\r\n    search(regexp: RegExp): number;\r\n\r\n    /**\r\n      * Returns a section of a string.\r\n      * @param start The index to the beginning of the specified portion of stringObj. \r\n      * @param end The index to the end of the specified portion of stringObj. The substring includes the characters up to, but not including, the character indicated by end. \r\n      * If this value is not specified, the substring continues to the end of stringObj.\r\n      */\r\n    slice(start?: number, end?: number): string;\r\n\r\n    /**\r\n      * Split a string into substrings using the specified separator and return them as an array.\r\n      * @param separator A string that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned. \r\n      * @param limit A value used to limit the number of elements returned in the array.\r\n      */\r\n    split(separator: string, limit?: number): string[];\r\n\r\n    /**\r\n      * Split a string into substrings using the specified separator and return them as an array.\r\n      * @param separator A Regular Express that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned. \r\n      * @param limit A value used to limit the number of elements returned in the array.\r\n      */\r\n    split(separator: RegExp, limit?: number): string[];\r\n\r\n    /**\r\n      * Returns the substring at the specified location within a String object. \r\n      * @param start The zero-based index number indicating the beginning of the substring.\r\n      * @param end Zero-based index number indicating the end of the substring. The substring includes the characters up to, but not including, the character indicated by end.\r\n      * If end is omitted, the characters from start through the end of the original string are returned.\r\n      */\r\n    substring(start: number, end?: number): string;\r\n\r\n    /** Converts all the alphabetic characters in a string to lowercase. */\r\n    toLowerCase(): string;\r\n\r\n    /** Converts all alphabetic characters to lowercase, taking into account the host environment\'s current locale. */\r\n    toLocaleLowerCase(): string;\r\n\r\n    /** Converts all the alphabetic characters in a string to uppercase. */\r\n    toUpperCase(): string;\r\n\r\n    /** Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment\'s current locale. */\r\n    toLocaleUpperCase(): string;\r\n\r\n    /** Removes the leading and trailing white space and line terminator characters from a string. */\r\n    trim(): string;\r\n\r\n    /** Returns the length of a String object. */\r\n    length: number;\r\n\r\n    // IE extensions\r\n    /**\r\n      * Gets a substring beginning at the specified location and having the specified length.\r\n      * @param from The starting position of the desired substring. The index of the first character in the string is zero.\r\n      * @param length The number of characters to include in the returned substring.\r\n      */\r\n    substr(from: number, length?: number): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): string;\r\n\r\n    [index: number]: string;\r\n}\r\n\r\ninterface StringConstructor {\r\n    new (value?: any): String;\r\n    (value?: any): string;\r\n    prototype: String;\r\n    fromCharCode(...codes: number[]): string;\r\n}\r\n\r\n/** \r\n  * Allows manipulation and formatting of text strings and determination and location of substrings within strings. \r\n  */\r\ndeclare var String: StringConstructor;\r\n\r\ninterface Boolean {\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): boolean;\r\n}\r\n\r\ninterface BooleanConstructor {\r\n    new (value?: any): Boolean;\r\n    (value?: any): boolean;\r\n    prototype: Boolean;\r\n}\r\n\r\ndeclare var Boolean: BooleanConstructor;\r\n\r\ninterface Number {\r\n    /**\r\n      * Returns a string representation of an object.\r\n      * @param radix Specifies a radix for converting numeric values to strings. This value is only used for numbers.\r\n      */\r\n    toString(radix?: number): string;\r\n\r\n    /** \r\n      * Returns a string representing a number in fixed-point notation.\r\n      * @param fractionDigits Number of digits after the decimal point. Must be in the range 0 - 20, inclusive.\r\n      */\r\n    toFixed(fractionDigits?: number): string;\r\n\r\n    /**\r\n      * Returns a string containing a number represented in exponential notation.\r\n      * @param fractionDigits Number of digits after the decimal point. Must be in the range 0 - 20, inclusive.\r\n      */\r\n    toExponential(fractionDigits?: number): string;\r\n\r\n    /**\r\n      * Returns a string containing a number represented either in exponential or fixed-point notation with a specified number of digits.\r\n      * @param precision Number of significant digits. Must be in the range 1 - 21, inclusive.\r\n      */\r\n    toPrecision(precision?: number): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): number;\r\n}\r\n\r\ninterface NumberConstructor {\r\n    new (value?: any): Number;\r\n    (value?: any): number;\r\n    prototype: Number;\r\n\r\n    /** The largest number that can be represented in JavaScript. Equal to approximately 1.79E+308. */\r\n    MAX_VALUE: number;\r\n\r\n    /** The closest number to zero that can be represented in JavaScript. Equal to approximately 5.00E-324. */\r\n    MIN_VALUE: number;\r\n\r\n    /** \r\n      * A value that is not a number.\r\n      * In equality comparisons, NaN does not equal any value, including itself. To test whether a value is equivalent to NaN, use the isNaN function.\r\n      */\r\n    NaN: number;\r\n\r\n    /** \r\n      * A value that is less than the largest negative number that can be represented in JavaScript.\r\n      * JavaScript displays NEGATIVE_INFINITY values as -infinity. \r\n      */\r\n    NEGATIVE_INFINITY: number;\r\n\r\n    /**\r\n      * A value greater than the largest number that can be represented in JavaScript. \r\n      * JavaScript displays POSITIVE_INFINITY values as infinity. \r\n      */\r\n    POSITIVE_INFINITY: number;\r\n}\r\n\r\n/** An object that represents a number of any kind. All JavaScript numbers are 64-bit floating-point numbers. */\r\ndeclare var Number: NumberConstructor;\r\n\r\ninterface TemplateStringsArray extends Array<string> {\r\n    raw: string[];\r\n}\r\n\r\ninterface Math {\r\n    /** The mathematical constant e. This is Euler\'s number, the base of natural logarithms. */\r\n    E: number;\r\n    /** The natural logarithm of 10. */\r\n    LN10: number;\r\n    /** The natural logarithm of 2. */\r\n    LN2: number;\r\n    /** The base-2 logarithm of e. */\r\n    LOG2E: number;\r\n    /** The base-10 logarithm of e. */\r\n    LOG10E: number;\r\n    /** Pi. This is the ratio of the circumference of a circle to its diameter. */\r\n    PI: number;\r\n    /** The square root of 0.5, or, equivalently, one divided by the square root of 2. */\r\n    SQRT1_2: number;\r\n    /** The square root of 2. */\r\n    SQRT2: number;\r\n    /**\r\n      * Returns the absolute value of a number (the value without regard to whether it is positive or negative). \r\n      * For example, the absolute value of -5 is the same as the absolute value of 5.\r\n      * @param x A numeric expression for which the absolute value is needed.\r\n      */\r\n    abs(x: number): number;\r\n    /**\r\n      * Returns the arc cosine (or inverse cosine) of a number. \r\n      * @param x A numeric expression.\r\n      */\r\n    acos(x: number): number;\r\n    /** \r\n      * Returns the arcsine of a number. \r\n      * @param x A numeric expression.\r\n      */\r\n    asin(x: number): number;\r\n    /**\r\n      * Returns the arctangent of a number. \r\n      * @param x A numeric expression for which the arctangent is needed.\r\n      */\r\n    atan(x: number): number;\r\n    /**\r\n      * Returns the angle (in radians) from the X axis to a point.\r\n      * @param y A numeric expression representing the cartesian y-coordinate.\r\n      * @param x A numeric expression representing the cartesian x-coordinate.\r\n      */\r\n    atan2(y: number, x: number): number;\r\n    /**\r\n      * Returns the smallest number greater than or equal to its numeric argument. \r\n      * @param x A numeric expression.\r\n      */\r\n    ceil(x: number): number;\r\n    /**\r\n      * Returns the cosine of a number. \r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    cos(x: number): number;\r\n    /**\r\n      * Returns e (the base of natural logarithms) raised to a power. \r\n      * @param x A numeric expression representing the power of e.\r\n      */\r\n    exp(x: number): number;\r\n    /**\r\n      * Returns the greatest number less than or equal to its numeric argument. \r\n      * @param x A numeric expression.\r\n      */\r\n    floor(x: number): number;\r\n    /**\r\n      * Returns the natural logarithm (base e) of a number. \r\n      * @param x A numeric expression.\r\n      */\r\n    log(x: number): number;\r\n    /**\r\n      * Returns the larger of a set of supplied numeric expressions. \r\n      * @param values Numeric expressions to be evaluated.\r\n      */\r\n    max(...values: number[]): number;\r\n    /**\r\n      * Returns the smaller of a set of supplied numeric expressions. \r\n      * @param values Numeric expressions to be evaluated.\r\n      */\r\n    min(...values: number[]): number;\r\n    /**\r\n      * Returns the value of a base expression taken to a specified power. \r\n      * @param x The base value of the expression.\r\n      * @param y The exponent value of the expression.\r\n      */\r\n    pow(x: number, y: number): number;\r\n    /** Returns a pseudorandom number between 0 and 1. */\r\n    random(): number;\r\n    /** \r\n      * Returns a supplied numeric expression rounded to the nearest number.\r\n      * @param x The value to be rounded to the nearest number.\r\n      */\r\n    round(x: number): number;\r\n    /**\r\n      * Returns the sine of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    sin(x: number): number;\r\n    /**\r\n      * Returns the square root of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    sqrt(x: number): number;\r\n    /**\r\n      * Returns the tangent of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    tan(x: number): number;\r\n}\r\n/** An intrinsic object that provides basic mathematics functionality and constants. */\r\ndeclare var Math: Math;\r\n\r\n/** Enables basic storage and retrieval of dates and times. */\r\ninterface Date {\r\n    /** Returns a string representation of a date. The format of the string depends on the locale. */\r\n    toString(): string;\r\n    /** Returns a date as a string value. */\r\n    toDateString(): string;\r\n    /** Returns a time as a string value. */\r\n    toTimeString(): string;\r\n    /** Returns a value as a string value appropriate to the host environment\'s current locale. */\r\n    toLocaleString(): string;\r\n    /** Returns a date as a string value appropriate to the host environment\'s current locale. */\r\n    toLocaleDateString(): string;\r\n    /** Returns a time as a string value appropriate to the host environment\'s current locale. */\r\n    toLocaleTimeString(): string;\r\n    /** Returns the stored time value in milliseconds since midnight, January 1, 1970 UTC. */\r\n    valueOf(): number;\r\n    /** Gets the time value in milliseconds. */\r\n    getTime(): number;\r\n    /** Gets the year, using local time. */\r\n    getFullYear(): number;\r\n    /** Gets the year using Universal Coordinated Time (UTC). */\r\n    getUTCFullYear(): number;\r\n    /** Gets the month, using local time. */\r\n    getMonth(): number;\r\n    /** Gets the month of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCMonth(): number;\r\n    /** Gets the day-of-the-month, using local time. */\r\n    getDate(): number;\r\n    /** Gets the day-of-the-month, using Universal Coordinated Time (UTC). */\r\n    getUTCDate(): number;\r\n    /** Gets the day of the week, using local time. */\r\n    getDay(): number;\r\n    /** Gets the day of the week using Universal Coordinated Time (UTC). */\r\n    getUTCDay(): number;\r\n    /** Gets the hours in a date, using local time. */\r\n    getHours(): number;\r\n    /** Gets the hours value in a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCHours(): number;\r\n    /** Gets the minutes of a Date object, using local time. */\r\n    getMinutes(): number;\r\n    /** Gets the minutes of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCMinutes(): number;\r\n    /** Gets the seconds of a Date object, using local time. */\r\n    getSeconds(): number;\r\n    /** Gets the seconds of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCSeconds(): number;\r\n    /** Gets the milliseconds of a Date, using local time. */\r\n    getMilliseconds(): number;\r\n    /** Gets the milliseconds of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCMilliseconds(): number;\r\n    /** Gets the difference in minutes between the time on the local computer and Universal Coordinated Time (UTC). */\r\n    getTimezoneOffset(): number;\r\n    /** \r\n      * Sets the date and time value in the Date object.\r\n      * @param time A numeric value representing the number of elapsed milliseconds since midnight, January 1, 1970 GMT. \r\n      */\r\n    setTime(time: number): number;\r\n    /**\r\n      * Sets the milliseconds value in the Date object using local time. \r\n      * @param ms A numeric value equal to the millisecond value.\r\n      */\r\n    setMilliseconds(ms: number): number;\r\n    /** \r\n      * Sets the milliseconds value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param ms A numeric value equal to the millisecond value. \r\n      */\r\n    setUTCMilliseconds(ms: number): number;\r\n\r\n    /**\r\n      * Sets the seconds value in the Date object using local time. \r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setSeconds(sec: number, ms?: number): number;\r\n    /**\r\n      * Sets the seconds value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setUTCSeconds(sec: number, ms?: number): number;\r\n    /**\r\n      * Sets the minutes value in the Date object using local time. \r\n      * @param min A numeric value equal to the minutes value. \r\n      * @param sec A numeric value equal to the seconds value. \r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setMinutes(min: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the minutes value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param min A numeric value equal to the minutes value. \r\n      * @param sec A numeric value equal to the seconds value. \r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setUTCMinutes(min: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the hour value in the Date object using local time.\r\n      * @param hours A numeric value equal to the hours value.\r\n      * @param min A numeric value equal to the minutes value.\r\n      * @param sec A numeric value equal to the seconds value. \r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setHours(hours: number, min?: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the hours value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param hours A numeric value equal to the hours value.\r\n      * @param min A numeric value equal to the minutes value.\r\n      * @param sec A numeric value equal to the seconds value. \r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setUTCHours(hours: number, min?: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the numeric day-of-the-month value of the Date object using local time. \r\n      * @param date A numeric value equal to the day of the month.\r\n      */\r\n    setDate(date: number): number;\r\n    /** \r\n      * Sets the numeric day of the month in the Date object using Universal Coordinated Time (UTC).\r\n      * @param date A numeric value equal to the day of the month. \r\n      */\r\n    setUTCDate(date: number): number;\r\n    /** \r\n      * Sets the month value in the Date object using local time. \r\n      * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively. \r\n      * @param date A numeric value representing the day of the month. If this value is not supplied, the value from a call to the getDate method is used.\r\n      */\r\n    setMonth(month: number, date?: number): number;\r\n    /**\r\n      * Sets the month value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively.\r\n      * @param date A numeric value representing the day of the month. If it is not supplied, the value from a call to the getUTCDate method is used.\r\n      */\r\n    setUTCMonth(month: number, date?: number): number;\r\n    /**\r\n      * Sets the year of the Date object using local time.\r\n      * @param year A numeric value for the year.\r\n      * @param month A zero-based numeric value for the month (0 for January, 11 for December). Must be specified if numDate is specified.\r\n      * @param date A numeric value equal for the day of the month.\r\n      */\r\n    setFullYear(year: number, month?: number, date?: number): number;\r\n    /**\r\n      * Sets the year value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param year A numeric value equal to the year.\r\n      * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively. Must be supplied if numDate is supplied.\r\n      * @param date A numeric value equal to the day of the month.\r\n      */\r\n    setUTCFullYear(year: number, month?: number, date?: number): number;\r\n    /** Returns a date converted to a string using Universal Coordinated Time (UTC). */\r\n    toUTCString(): string;\r\n    /** Returns a date as a string value in ISO format. */\r\n    toISOString(): string;\r\n    /** Used by the JSON.stringify method to enable the transformation of an object\'s data for JavaScript Object Notation (JSON) serialization. */\r\n    toJSON(key?: any): string;\r\n}\r\n\r\ninterface DateConstructor {\r\n    new (): Date;\r\n    new (value: number): Date;\r\n    new (value: string): Date;\r\n    new (year: number, month: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): Date;\r\n    (): string;\r\n    prototype: Date;\r\n    /**\r\n      * Parses a string containing a date, and returns the number of milliseconds between that date and midnight, January 1, 1970.\r\n      * @param s A date string\r\n      */\r\n    parse(s: string): number;\r\n    /**\r\n      * Returns the number of milliseconds between midnight, January 1, 1970 Universal Coordinated Time (UTC) (or GMT) and the specified date. \r\n      * @param year The full year designation is required for cross-century date accuracy. If year is between 0 and 99 is used, then year is assumed to be 1900 + year.\r\n      * @param month The month as an number between 0 and 11 (January to December).\r\n      * @param date The date as an number between 1 and 31.\r\n      * @param hours Must be supplied if minutes is supplied. An number from 0 to 23 (midnight to 11pm) that specifies the hour.\r\n      * @param minutes Must be supplied if seconds is supplied. An number from 0 to 59 that specifies the minutes.\r\n      * @param seconds Must be supplied if milliseconds is supplied. An number from 0 to 59 that specifies the seconds.\r\n      * @param ms An number from 0 to 999 that specifies the milliseconds.\r\n      */\r\n    UTC(year: number, month: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): number;\r\n    now(): number;\r\n}\r\n\r\ndeclare var Date: DateConstructor;\r\n\r\ninterface RegExpMatchArray extends Array<string> {\r\n    index?: number;\r\n    input?: string;\r\n}\r\n\r\ninterface RegExpExecArray extends Array<string> {\r\n    index: number;\r\n    input: string;\r\n}\r\n\r\ninterface RegExp {\r\n    /** \r\n      * Executes a search on a string using a regular expression pattern, and returns an array containing the results of that search.\r\n      * @param string The String object or string literal on which to perform the search.\r\n      */\r\n    exec(string: string): RegExpExecArray;\r\n\r\n    /** \r\n      * Returns a Boolean value that indicates whether or not a pattern exists in a searched string.\r\n      * @param string String on which to perform the search.\r\n      */\r\n    test(string: string): boolean;\r\n\r\n    /** Returns a copy of the text of the regular expression pattern. Read-only. The regExp argument is a Regular expression object. It can be a variable name or a literal. */\r\n    source: string;\r\n\r\n    /** Returns a Boolean value indicating the state of the global flag (g) used with a regular expression. Default is false. Read-only. */\r\n    global: boolean;\r\n\r\n    /** Returns a Boolean value indicating the state of the ignoreCase flag (i) used with a regular expression. Default is false. Read-only. */\r\n    ignoreCase: boolean;\r\n\r\n    /** Returns a Boolean value indicating the state of the multiline flag (m) used with a regular expression. Default is false. Read-only. */\r\n    multiline: boolean;\r\n\r\n    lastIndex: number;\r\n\r\n    // Non-standard extensions\r\n    compile(): RegExp;\r\n}\r\n\r\ninterface RegExpConstructor {\r\n    new (pattern: string, flags?: string): RegExp;\r\n    (pattern: string, flags?: string): RegExp;\r\n    prototype: RegExp;\r\n\r\n    // Non-standard extensions\r\n    $1: string;\r\n    $2: string;\r\n    $3: string;\r\n    $4: string;\r\n    $5: string;\r\n    $6: string;\r\n    $7: string;\r\n    $8: string;\r\n    $9: string;\r\n    lastMatch: string;\r\n}\r\n\r\ndeclare var RegExp: RegExpConstructor;\r\n\r\ninterface Error {\r\n    name: string;\r\n    message: string;\r\n}\r\n\r\ninterface ErrorConstructor {\r\n    new (message?: string): Error;\r\n    (message?: string): Error;\r\n    prototype: Error;\r\n}\r\n\r\ndeclare var Error: ErrorConstructor;\r\n\r\ninterface EvalError extends Error {\r\n}\r\n\r\ninterface EvalErrorConstructor {\r\n    new (message?: string): EvalError;\r\n    (message?: string): EvalError;\r\n    prototype: EvalError;\r\n}\r\n\r\ndeclare var EvalError: EvalErrorConstructor;\r\n\r\ninterface RangeError extends Error {\r\n}\r\n\r\ninterface RangeErrorConstructor {\r\n    new (message?: string): RangeError;\r\n    (message?: string): RangeError;\r\n    prototype: RangeError;\r\n}\r\n\r\ndeclare var RangeError: RangeErrorConstructor;\r\n\r\ninterface ReferenceError extends Error {\r\n}\r\n\r\ninterface ReferenceErrorConstructor {\r\n    new (message?: string): ReferenceError;\r\n    (message?: string): ReferenceError;\r\n    prototype: ReferenceError;\r\n}\r\n\r\ndeclare var ReferenceError: ReferenceErrorConstructor;\r\n\r\ninterface SyntaxError extends Error {\r\n}\r\n\r\ninterface SyntaxErrorConstructor {\r\n    new (message?: string): SyntaxError;\r\n    (message?: string): SyntaxError;\r\n    prototype: SyntaxError;\r\n}\r\n\r\ndeclare var SyntaxError: SyntaxErrorConstructor;\r\n\r\ninterface TypeError extends Error {\r\n}\r\n\r\ninterface TypeErrorConstructor {\r\n    new (message?: string): TypeError;\r\n    (message?: string): TypeError;\r\n    prototype: TypeError;\r\n}\r\n\r\ndeclare var TypeError: TypeErrorConstructor;\r\n\r\ninterface URIError extends Error {\r\n}\r\n\r\ninterface URIErrorConstructor {\r\n    new (message?: string): URIError;\r\n    (message?: string): URIError;\r\n    prototype: URIError;\r\n}\r\n\r\ndeclare var URIError: URIErrorConstructor;\r\n\r\ninterface JSON {\r\n    /**\r\n      * Converts a JavaScript Object Notation (JSON) string into an object.\r\n      * @param text A valid JSON string.\r\n      * @param reviver A function that transforms the results. This function is called for each member of the object. \r\n      * If a member contains nested objects, the nested objects are transformed before the parent object is. \r\n      */\r\n    parse(text: string, reviver?: (key: any, value: any) => any): any;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      */\r\n    stringify(value: any): string;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer A function that transforms the results.\r\n      */\r\n    stringify(value: any, replacer: (key: string, value: any) => any): string;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer Array that transforms the results.\r\n      */\r\n    stringify(value: any, replacer: any[]): string;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer A function that transforms the results.\r\n      * @param space Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.\r\n      */\r\n    stringify(value: any, replacer: (key: string, value: any) => any, space: string | number): string;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer Array that transforms the results.\r\n      * @param space Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.\r\n      */\r\n    stringify(value: any, replacer: any[], space: string | number): string;\r\n}\r\n/**\r\n  * An intrinsic object that provides functions to convert JavaScript values to and from the JavaScript Object Notation (JSON) format.\r\n  */\r\ndeclare var JSON: JSON;\r\n\r\n\r\n/////////////////////////////\r\n/// ECMAScript Array API (specially handled by compiler)\r\n/////////////////////////////\r\n\r\ninterface Array<T> {\r\n    /**\r\n      * Gets or sets the length of the array. This is a number one higher than the highest element defined in an array.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n    toLocaleString(): string;\r\n    /**\r\n      * Appends new elements to an array, and returns the new length of the array.\r\n      * @param items New elements of the Array.\r\n      */\r\n    push(...items: T[]): number;\r\n    /**\r\n      * Removes the last element from an array and returns it.\r\n      */\r\n    pop(): T;\r\n    /**\r\n      * Combines two or more arrays.\r\n      * @param items Additional items to add to the end of array1.\r\n      */\r\n    concat<U extends T[]>(...items: U[]): T[];\r\n    /**\r\n      * Combines two or more arrays.\r\n      * @param items Additional items to add to the end of array1.\r\n      */\r\n    concat(...items: T[]): T[];\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): T[];\r\n    /**\r\n      * Removes the first element from an array and returns it.\r\n      */\r\n    shift(): T;\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): T[];\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: T, b: T) => number): T[];\r\n\r\n    /**\r\n      * Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.\r\n      * @param start The zero-based location in the array from which to start removing elements.\r\n      */\r\n    splice(start: number): T[];\r\n\r\n    /**\r\n      * Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.\r\n      * @param start The zero-based location in the array from which to start removing elements.\r\n      * @param deleteCount The number of elements to remove.\r\n      * @param items Elements to insert into the array in place of the deleted elements.\r\n      */\r\n    splice(start: number, deleteCount: number, ...items: T[]): T[];\r\n\r\n    /**\r\n      * Inserts new elements at the start of an array.\r\n      * @param items  Elements to insert at the start of the Array.\r\n      */\r\n    unshift(...items: T[]): number;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.\r\n      */\r\n    indexOf(searchElement: T, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a specified value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at the last index in the array.\r\n      */\r\n    lastIndexOf(searchElement: T, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: T, index: number, array: T[]) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: T, index: number, array: T[]) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: T, index: number, array: T[]) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map<U>(callbackfn: (value: T, index: number, array: T[]) => U, thisArg?: any): U[];\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: T, index: number, array: T[]) => boolean, thisArg?: any): T[];\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T, initialValue?: T): T;\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: T[]) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T, initialValue?: T): T;\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: T[]) => U, initialValue: U): U;\r\n\r\n    [n: number]: T;\r\n}\r\n\r\ninterface ArrayConstructor {\r\n    new (arrayLength?: number): any[];\r\n    new <T>(arrayLength: number): T[];\r\n    new <T>(...items: T[]): T[];\r\n    (arrayLength?: number): any[];\r\n    <T>(arrayLength: number): T[];\r\n    <T>(...items: T[]): T[];\r\n    isArray(arg: any): arg is Array<any>;\r\n    prototype: Array<any>;\r\n}\r\n\r\ndeclare var Array: ArrayConstructor;\r\n\r\ninterface TypedPropertyDescriptor<T> {\r\n    enumerable?: boolean;\r\n    configurable?: boolean;\r\n    writable?: boolean;\r\n    value?: T;\r\n    get?: () => T;\r\n    set?: (value: T) => void;\r\n}\r\n\r\ndeclare type ClassDecorator = <TFunction extends Function>(target: TFunction) => TFunction | void;\r\ndeclare type PropertyDecorator = (target: Object, propertyKey: string | symbol) => void;\r\ndeclare type MethodDecorator = <T>(target: Object, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<T>) => TypedPropertyDescriptor<T> | void;\r\ndeclare type ParameterDecorator = (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;\r\n\r\ndeclare type PromiseConstructorLike = new <T>(executor: (resolve: (value?: T | PromiseLike<T>) => void, reject: (reason?: any) => void) => void) => PromiseLike<T>;\r\n\r\ninterface PromiseLike<T> {\r\n    /**\r\n    * Attaches callbacks for the resolution and/or rejection of the Promise.\r\n    * @param onfulfilled The callback to execute when the Promise is resolved.\r\n    * @param onrejected The callback to execute when the Promise is rejected.\r\n    * @returns A Promise for the completion of which ever callback is executed.\r\n    */\r\n    then<TResult>(onfulfilled?: (value: T) => TResult | PromiseLike<TResult>, onrejected?: (reason: any) => TResult | PromiseLike<TResult>): PromiseLike<TResult>;\r\n    then<TResult>(onfulfilled?: (value: T) => TResult | PromiseLike<TResult>, onrejected?: (reason: any) => void): PromiseLike<TResult>;\r\n}\r\n\r\ninterface ArrayLike<T> {\r\n    length: number;\r\n    [n: number]: T;\r\n}\r\n\r\n\r\n/**\r\n  * Represents a raw buffer of binary data, which is used to store data for the \r\n  * different typed arrays. ArrayBuffers cannot be read from or written to directly, \r\n  * but can be passed to a typed array or DataView Object to interpret the raw \r\n  * buffer as needed. \r\n  */\r\ninterface ArrayBuffer {\r\n    /**\r\n      * Read-only. The length of the ArrayBuffer (in bytes).\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * Returns a section of an ArrayBuffer.\r\n      */\r\n    slice(begin:number, end?:number): ArrayBuffer;\r\n}\r\n\r\ninterface ArrayBufferConstructor {\r\n    prototype: ArrayBuffer;\r\n    new (byteLength: number): ArrayBuffer;\r\n    isView(arg: any): arg is ArrayBufferView;\r\n}\r\ndeclare var ArrayBuffer: ArrayBufferConstructor;\r\n\r\ninterface ArrayBufferView {\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n}\r\n\r\ninterface DataView {\r\n    buffer: ArrayBuffer;\r\n    byteLength: number;\r\n    byteOffset: number;\r\n    /**\r\n      * Gets the Float32 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getFloat32(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Float64 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getFloat64(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Int8 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getInt8(byteOffset: number): number;\r\n\r\n    /**\r\n      * Gets the Int16 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getInt16(byteOffset: number, littleEndian?: boolean): number;\r\n    /**\r\n      * Gets the Int32 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getInt32(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Uint8 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getUint8(byteOffset: number): number;\r\n\r\n    /**\r\n      * Gets the Uint16 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getUint16(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Uint32 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getUint32(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Stores an Float32 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setFloat32(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Float64 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setFloat64(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Int8 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      */\r\n    setInt8(byteOffset: number, value: number): void;\r\n\r\n    /**\r\n      * Stores an Int16 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setInt16(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Int32 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setInt32(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Uint8 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      */\r\n    setUint8(byteOffset: number, value: number): void;\r\n\r\n    /**\r\n      * Stores an Uint16 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setUint16(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Uint32 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setUint32(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n}\r\n\r\ninterface DataViewConstructor {\r\n    new (buffer: ArrayBuffer, byteOffset?: number, byteLength?: number): DataView;\r\n}\r\ndeclare var DataView: DataViewConstructor;\r\n\r\n/**\r\n  * A typed array of 8-bit integer values. The contents are initialized to 0. If the requested \r\n  * number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int8Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Int8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Int8Array) => boolean, thisArg?: any): Int8Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Int8Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Int8Array) => number, thisArg?: any): Int8Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int8Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int8Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Int8Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Int8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Int8Array;\r\n\r\n    /**\r\n      * Gets a new Int8Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\ninterface Int8ArrayConstructor {\r\n    prototype: Int8Array;\r\n    new (length: number): Int8Array;\r\n    new (array: ArrayLike<number>): Int8Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Int8Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Int8Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int8Array;\r\n\r\n}\r\ndeclare var Int8Array: Int8ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 8-bit unsigned integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint8Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint8Array) => boolean, thisArg?: any): Uint8Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint8Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint8Array) => number, thisArg?: any): Uint8Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Uint8Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Uint8Array;\r\n\r\n    /**\r\n      * Gets a new Uint8Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint8ArrayConstructor {\r\n    prototype: Uint8Array;\r\n    new (length: number): Uint8Array;\r\n    new (array: ArrayLike<number>): Uint8Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint8Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint8Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8Array;\r\n\r\n}\r\ndeclare var Uint8Array: Uint8ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 8-bit unsigned integer (clamped) values. The contents are initialized to 0. \r\n  * If the requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint8ClampedArray {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => boolean, thisArg?: any): Uint8ClampedArray;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => number, thisArg?: any): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: Uint8ClampedArray, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Gets a new Uint8ClampedArray view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint8ClampedArrayConstructor {\r\n    prototype: Uint8ClampedArray;\r\n    new (length: number): Uint8ClampedArray;\r\n    new (array: ArrayLike<number>): Uint8ClampedArray;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8ClampedArray;\r\n}\r\ndeclare var Uint8ClampedArray: Uint8ClampedArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 16-bit signed integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int16Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Int16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Int16Array) => boolean, thisArg?: any): Int16Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Int16Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Int16Array) => number, thisArg?: any): Int16Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Int16Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Int16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Int16Array;\r\n\r\n    /**\r\n      * Gets a new Int16Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Int16ArrayConstructor {\r\n    prototype: Int16Array;\r\n    new (length: number): Int16Array;\r\n    new (array: ArrayLike<number>): Int16Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Int16Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Int16Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int16Array;\r\n\r\n}\r\ndeclare var Int16Array: Int16ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 16-bit unsigned integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint16Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint16Array) => boolean, thisArg?: any): Uint16Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint16Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint16Array) => number, thisArg?: any): Uint16Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint16Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint16Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Uint16Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Uint16Array;\r\n\r\n    /**\r\n      * Gets a new Uint16Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint16ArrayConstructor {\r\n    prototype: Uint16Array;\r\n    new (length: number): Uint16Array;\r\n    new (array: ArrayLike<number>): Uint16Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint16Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint16Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint16Array;\r\n\r\n}\r\ndeclare var Uint16Array: Uint16ArrayConstructor;\r\n/**\r\n  * A typed array of 32-bit signed integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int32Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Int32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Int32Array) => boolean, thisArg?: any): Int32Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Int32Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Int32Array) => number, thisArg?: any): Int32Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int32Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Int32Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Int32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Int32Array;\r\n\r\n    /**\r\n      * Gets a new Int32Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Int32ArrayConstructor {\r\n    prototype: Int32Array;\r\n    new (length: number): Int32Array;\r\n    new (array: ArrayLike<number>): Int32Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Int32Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Int32Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int32Array;\r\n}\r\ndeclare var Int32Array: Int32ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 32-bit unsigned integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint32Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint32Array) => boolean, thisArg?: any): Uint32Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint32Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint32Array) => number, thisArg?: any): Uint32Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint32Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Uint32Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Uint32Array;\r\n\r\n    /**\r\n      * Gets a new Uint32Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint32ArrayConstructor {\r\n    prototype: Uint32Array;\r\n    new (length: number): Uint32Array;\r\n    new (array: ArrayLike<number>): Uint32Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint32Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint32Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint32Array;\r\n}\r\ndeclare var Uint32Array: Uint32ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 32-bit float values. The contents are initialized to 0. If the requested number\r\n  * of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Float32Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Float32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Float32Array) => boolean, thisArg?: any): Float32Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Float32Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Float32Array) => number, thisArg?: any): Float32Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float32Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Float32Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Float32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Float32Array;\r\n\r\n    /**\r\n      * Gets a new Float32Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Float32ArrayConstructor {\r\n    prototype: Float32Array;\r\n    new (length: number): Float32Array;\r\n    new (array: ArrayLike<number>): Float32Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Float32Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Float32Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float32Array;\r\n\r\n}\r\ndeclare var Float32Array: Float32ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 64-bit float values. The contents are initialized to 0. If the requested \r\n  * number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Float64Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Float64Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Float64Array) => boolean, thisArg?: any): Float64Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Float64Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Float64Array) => number, thisArg?: any): Float64Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float64Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float64Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Float64Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Float64Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Float64Array;\r\n\r\n    /**\r\n      * Gets a new Float64Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Float64ArrayConstructor {\r\n    prototype: Float64Array;\r\n    new (length: number): Float64Array;\r\n    new (array: ArrayLike<number>): Float64Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Float64Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Float64Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float64Array;\r\n}\r\ndeclare var Float64Array: Float64ArrayConstructor;\r\n/////////////////////////////\r\n/// ECMAScript Internationalization API \r\n/////////////////////////////\r\n\r\ndeclare module Intl {\r\n    interface CollatorOptions {\r\n        usage?: string;\r\n        localeMatcher?: string;\r\n        numeric?: boolean;\r\n        caseFirst?: string;\r\n        sensitivity?: string;\r\n        ignorePunctuation?: boolean;\r\n    }\r\n\r\n    interface ResolvedCollatorOptions {\r\n        locale: string;\r\n        usage: string;\r\n        sensitivity: string;\r\n        ignorePunctuation: boolean;\r\n        collation: string;\r\n        caseFirst: string;\r\n        numeric: boolean;\r\n    }\r\n\r\n    interface Collator {\r\n        compare(x: string, y: string): number;\r\n        resolvedOptions(): ResolvedCollatorOptions;\r\n    }\r\n    var Collator: {\r\n        new (locales?: string[], options?: CollatorOptions): Collator;\r\n        new (locale?: string, options?: CollatorOptions): Collator;\r\n        (locales?: string[], options?: CollatorOptions): Collator;\r\n        (locale?: string, options?: CollatorOptions): Collator;\r\n        supportedLocalesOf(locales: string[], options?: CollatorOptions): string[];\r\n        supportedLocalesOf(locale: string, options?: CollatorOptions): string[];\r\n    }\r\n\r\n    interface NumberFormatOptions {\r\n        localeMatcher?: string;\r\n        style?: string;\r\n        currency?: string;\r\n        currencyDisplay?: string;\r\n        useGrouping?: boolean;\r\n        minimumIntegerDigits?: number;\r\n        minimumFractionDigits?: number;\r\n        maximumFractionDigits?: number;\r\n        minimumSignificantDigits?: number;\r\n        maximumSignificantDigits?: number;\r\n    }\r\n\r\n    interface ResolvedNumberFormatOptions {\r\n        locale: string;\r\n        numberingSystem: string;\r\n        style: string;\r\n        currency?: string;\r\n        currencyDisplay?: string;\r\n        minimumIntegerDigits: number;\r\n        minimumFractionDigits: number;\r\n        maximumFractionDigits: number;\r\n        minimumSignificantDigits?: number;\r\n        maximumSignificantDigits?: number;\r\n        useGrouping: boolean;\r\n    }\r\n\r\n    interface NumberFormat {\r\n        format(value: number): string;\r\n        resolvedOptions(): ResolvedNumberFormatOptions;\r\n    }\r\n    var NumberFormat: {\r\n        new (locales?: string[], options?: NumberFormatOptions): NumberFormat;\r\n        new (locale?: string, options?: NumberFormatOptions): NumberFormat;\r\n        (locales?: string[], options?: NumberFormatOptions): NumberFormat;\r\n        (locale?: string, options?: NumberFormatOptions): NumberFormat;\r\n        supportedLocalesOf(locales: string[], options?: NumberFormatOptions): string[];\r\n        supportedLocalesOf(locale: string, options?: NumberFormatOptions): string[];\r\n    }\r\n\r\n    interface DateTimeFormatOptions {\r\n        localeMatcher?: string;\r\n        weekday?: string;\r\n        era?: string;\r\n        year?: string;\r\n        month?: string;\r\n        day?: string;\r\n        hour?: string;\r\n        minute?: string;\r\n        second?: string;\r\n        timeZoneName?: string;\r\n        formatMatcher?: string;\r\n        hour12?: boolean;\r\n        timeZone?: string;\r\n    }\r\n\r\n    interface ResolvedDateTimeFormatOptions {\r\n        locale: string;\r\n        calendar: string;\r\n        numberingSystem: string;\r\n        timeZone: string;\r\n        hour12?: boolean;\r\n        weekday?: string;\r\n        era?: string;\r\n        year?: string;\r\n        month?: string;\r\n        day?: string;\r\n        hour?: string;\r\n        minute?: string;\r\n        second?: string;\r\n        timeZoneName?: string;\r\n    }\r\n\r\n    interface DateTimeFormat {\r\n        format(date?: Date | number): string;\r\n        resolvedOptions(): ResolvedDateTimeFormatOptions;\r\n    }\r\n    var DateTimeFormat: {\r\n        new (locales?: string[], options?: DateTimeFormatOptions): DateTimeFormat;\r\n        new (locale?: string, options?: DateTimeFormatOptions): DateTimeFormat;\r\n        (locales?: string[], options?: DateTimeFormatOptions): DateTimeFormat;\r\n        (locale?: string, options?: DateTimeFormatOptions): DateTimeFormat;\r\n        supportedLocalesOf(locales: string[], options?: DateTimeFormatOptions): string[];\r\n        supportedLocalesOf(locale: string, options?: DateTimeFormatOptions): string[];\r\n    }\r\n}\r\n\r\ninterface String {\r\n    /**\r\n      * Determines whether two strings are equivalent in the current locale.\r\n      * @param that String to compare to target string\r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.\r\n      * @param options An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.\r\n      */\r\n    localeCompare(that: string, locales: string[], options?: Intl.CollatorOptions): number;\r\n\r\n    /**\r\n      * Determines whether two strings are equivalent in the current locale.\r\n      * @param that String to compare to target string\r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.\r\n      * @param options An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.\r\n      */\r\n    localeCompare(that: string, locale: string, options?: Intl.CollatorOptions): number;\r\n}\r\n\r\ninterface Number {\r\n    /**\r\n      * Converts a number to a string by using the current or specified locale. \r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locales?: string[], options?: Intl.NumberFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current or specified locale. \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locale?: string, options?: Intl.NumberFormatOptions): string;\r\n}\r\n\r\ninterface Date {\r\n    /**\r\n      * Converts a date and time to a string by using the current or specified locale.  \r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locales?: string[], options?: Intl.DateTimeFormatOptions): string;\r\n    /**\r\n      * Converts a date to a string by using the current or specified locale.  \r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleDateString(locales?: string[], options?: Intl.DateTimeFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a time to a string by using the current or specified locale.  \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleTimeString(locale?: string[], options?: Intl.DateTimeFormatOptions): string;\r\n    \r\n    /**\r\n      * Converts a date and time to a string by using the current or specified locale.  \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locale?: string, options?: Intl.DateTimeFormatOptions): string;\r\n    \r\n    /**\r\n      * Converts a date to a string by using the current or specified locale.  \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleDateString(locale?: string, options?: Intl.DateTimeFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a time to a string by using the current or specified locale.  \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleTimeString(locale?: string, options?: Intl.DateTimeFormatOptions): string;\r\n}\r\n\r\n\r\n/////////////////////////////\r\n/// IE DOM APIs\r\n/////////////////////////////\r\n\r\ninterface Algorithm {\r\n    name?: string;\r\n}\r\n\r\ninterface AriaRequestEventInit extends EventInit {\r\n    attributeName?: string;\r\n    attributeValue?: string;\r\n}\r\n\r\ninterface ClipboardEventInit extends EventInit {\r\n    data?: string;\r\n    dataType?: string;\r\n}\r\n\r\ninterface CommandEventInit extends EventInit {\r\n    commandName?: string;\r\n    detail?: string;\r\n}\r\n\r\ninterface CompositionEventInit extends UIEventInit {\r\n    data?: string;\r\n}\r\n\r\ninterface ConfirmSiteSpecificExceptionsInformation extends ExceptionInformation {\r\n    arrayOfDomainStrings?: string[];\r\n}\r\n\r\ninterface CustomEventInit extends EventInit {\r\n    detail?: any;\r\n}\r\n\r\ninterface DeviceAccelerationDict {\r\n    x?: number;\r\n    y?: number;\r\n    z?: number;\r\n}\r\n\r\ninterface DeviceRotationRateDict {\r\n    alpha?: number;\r\n    beta?: number;\r\n    gamma?: number;\r\n}\r\n\r\ninterface EventInit {\r\n    bubbles?: boolean;\r\n    cancelable?: boolean;\r\n}\r\n\r\ninterface ExceptionInformation {\r\n    domain?: string;\r\n}\r\n\r\ninterface FocusEventInit extends UIEventInit {\r\n    relatedTarget?: EventTarget;\r\n}\r\n\r\ninterface HashChangeEventInit extends EventInit {\r\n    newURL?: string;\r\n    oldURL?: string;\r\n}\r\n\r\ninterface KeyAlgorithm {\r\n    name?: string;\r\n}\r\n\r\ninterface KeyboardEventInit extends SharedKeyboardAndMouseEventInit {\r\n    key?: string;\r\n    location?: number;\r\n    repeat?: boolean;\r\n}\r\n\r\ninterface MouseEventInit extends SharedKeyboardAndMouseEventInit {\r\n    screenX?: number;\r\n    screenY?: number;\r\n    clientX?: number;\r\n    clientY?: number;\r\n    button?: number;\r\n    buttons?: number;\r\n    relatedTarget?: EventTarget;\r\n}\r\n\r\ninterface MsZoomToOptions {\r\n    contentX?: number;\r\n    contentY?: number;\r\n    viewportX?: string;\r\n    viewportY?: string;\r\n    scaleFactor?: number;\r\n    animate?: string;\r\n}\r\n\r\ninterface MutationObserverInit {\r\n    childList?: boolean;\r\n    attributes?: boolean;\r\n    characterData?: boolean;\r\n    subtree?: boolean;\r\n    attributeOldValue?: boolean;\r\n    characterDataOldValue?: boolean;\r\n    attributeFilter?: string[];\r\n}\r\n\r\ninterface ObjectURLOptions {\r\n    oneTimeOnly?: boolean;\r\n}\r\n\r\ninterface PointerEventInit extends MouseEventInit {\r\n    pointerId?: number;\r\n    width?: number;\r\n    height?: number;\r\n    pressure?: number;\r\n    tiltX?: number;\r\n    tiltY?: number;\r\n    pointerType?: string;\r\n    isPrimary?: boolean;\r\n}\r\n\r\ninterface PositionOptions {\r\n    enableHighAccuracy?: boolean;\r\n    timeout?: number;\r\n    maximumAge?: number;\r\n}\r\n\r\ninterface SharedKeyboardAndMouseEventInit extends UIEventInit {\r\n    ctrlKey?: boolean;\r\n    shiftKey?: boolean;\r\n    altKey?: boolean;\r\n    metaKey?: boolean;\r\n    keyModifierStateAltGraph?: boolean;\r\n    keyModifierStateCapsLock?: boolean;\r\n    keyModifierStateFn?: boolean;\r\n    keyModifierStateFnLock?: boolean;\r\n    keyModifierStateHyper?: boolean;\r\n    keyModifierStateNumLock?: boolean;\r\n    keyModifierStateOS?: boolean;\r\n    keyModifierStateScrollLock?: boolean;\r\n    keyModifierStateSuper?: boolean;\r\n    keyModifierStateSymbol?: boolean;\r\n    keyModifierStateSymbolLock?: boolean;\r\n}\r\n\r\ninterface StoreExceptionsInformation extends ExceptionInformation {\r\n    siteName?: string;\r\n    explanationString?: string;\r\n    detailURI?: string;\r\n}\r\n\r\ninterface StoreSiteSpecificExceptionsInformation extends StoreExceptionsInformation {\r\n    arrayOfDomainStrings?: string[];\r\n}\r\n\r\ninterface UIEventInit extends EventInit {\r\n    view?: Window;\r\n    detail?: number;\r\n}\r\n\r\ninterface WebGLContextAttributes {\r\n    alpha?: boolean;\r\n    depth?: boolean;\r\n    stencil?: boolean;\r\n    antialias?: boolean;\r\n    premultipliedAlpha?: boolean;\r\n    preserveDrawingBuffer?: boolean;\r\n}\r\n\r\ninterface WebGLContextEventInit extends EventInit {\r\n    statusMessage?: string;\r\n}\r\n\r\ninterface WheelEventInit extends MouseEventInit {\r\n    deltaX?: number;\r\n    deltaY?: number;\r\n    deltaZ?: number;\r\n    deltaMode?: number;\r\n}\r\n\r\ninterface EventListener {\r\n    (evt: Event): void;\r\n}\r\n\r\ninterface ANGLE_instanced_arrays {\r\n    drawArraysInstancedANGLE(mode: number, first: number, count: number, primcount: number): void;\r\n    drawElementsInstancedANGLE(mode: number, count: number, type: number, offset: number, primcount: number): void;\r\n    vertexAttribDivisorANGLE(index: number, divisor: number): void;\r\n    VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE: number;\r\n}\r\n\r\ndeclare var ANGLE_instanced_arrays: {\r\n    prototype: ANGLE_instanced_arrays;\r\n    new(): ANGLE_instanced_arrays;\r\n    VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE: number;\r\n}\r\n\r\ninterface AnalyserNode extends AudioNode {\r\n    fftSize: number;\r\n    frequencyBinCount: number;\r\n    maxDecibels: number;\r\n    minDecibels: number;\r\n    smoothingTimeConstant: number;\r\n    getByteFrequencyData(array: Uint8Array): void;\r\n    getByteTimeDomainData(array: Uint8Array): void;\r\n    getFloatFrequencyData(array: Float32Array): void;\r\n    getFloatTimeDomainData(array: Float32Array): void;\r\n}\r\n\r\ndeclare var AnalyserNode: {\r\n    prototype: AnalyserNode;\r\n    new(): AnalyserNode;\r\n}\r\n\r\ninterface AnimationEvent extends Event {\r\n    animationName: string;\r\n    elapsedTime: number;\r\n    initAnimationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, animationNameArg: string, elapsedTimeArg: number): void;\r\n}\r\n\r\ndeclare var AnimationEvent: {\r\n    prototype: AnimationEvent;\r\n    new(): AnimationEvent;\r\n}\r\n\r\ninterface ApplicationCache extends EventTarget {\r\n    oncached: (ev: Event) => any;\r\n    onchecking: (ev: Event) => any;\r\n    ondownloading: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onnoupdate: (ev: Event) => any;\r\n    onobsolete: (ev: Event) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    onupdateready: (ev: Event) => any;\r\n    status: number;\r\n    abort(): void;\r\n    swapCache(): void;\r\n    update(): void;\r\n    CHECKING: number;\r\n    DOWNLOADING: number;\r\n    IDLE: number;\r\n    OBSOLETE: number;\r\n    UNCACHED: number;\r\n    UPDATEREADY: number;\r\n    addEventListener(type: "cached", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "checking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "downloading", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "noupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "obsolete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "updateready", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var ApplicationCache: {\r\n    prototype: ApplicationCache;\r\n    new(): ApplicationCache;\r\n    CHECKING: number;\r\n    DOWNLOADING: number;\r\n    IDLE: number;\r\n    OBSOLETE: number;\r\n    UNCACHED: number;\r\n    UPDATEREADY: number;\r\n}\r\n\r\ninterface AriaRequestEvent extends Event {\r\n    attributeName: string;\r\n    attributeValue: string;\r\n}\r\n\r\ndeclare var AriaRequestEvent: {\r\n    prototype: AriaRequestEvent;\r\n    new(type: string, eventInitDict?: AriaRequestEventInit): AriaRequestEvent;\r\n}\r\n\r\ninterface Attr extends Node {\r\n    name: string;\r\n    ownerElement: Element;\r\n    specified: boolean;\r\n    value: string;\r\n}\r\n\r\ndeclare var Attr: {\r\n    prototype: Attr;\r\n    new(): Attr;\r\n}\r\n\r\ninterface AudioBuffer {\r\n    duration: number;\r\n    length: number;\r\n    numberOfChannels: number;\r\n    sampleRate: number;\r\n    getChannelData(channel: number): Float32Array;\r\n}\r\n\r\ndeclare var AudioBuffer: {\r\n    prototype: AudioBuffer;\r\n    new(): AudioBuffer;\r\n}\r\n\r\ninterface AudioBufferSourceNode extends AudioNode {\r\n    buffer: AudioBuffer;\r\n    loop: boolean;\r\n    loopEnd: number;\r\n    loopStart: number;\r\n    onended: (ev: Event) => any;\r\n    playbackRate: AudioParam;\r\n    start(when?: number, offset?: number, duration?: number): void;\r\n    stop(when?: number): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var AudioBufferSourceNode: {\r\n    prototype: AudioBufferSourceNode;\r\n    new(): AudioBufferSourceNode;\r\n}\r\n\r\ninterface AudioContext extends EventTarget {\r\n    currentTime: number;\r\n    destination: AudioDestinationNode;\r\n    listener: AudioListener;\r\n    sampleRate: number;\r\n    state: string;\r\n    createAnalyser(): AnalyserNode;\r\n    createBiquadFilter(): BiquadFilterNode;\r\n    createBuffer(numberOfChannels: number, length: number, sampleRate: number): AudioBuffer;\r\n    createBufferSource(): AudioBufferSourceNode;\r\n    createChannelMerger(numberOfInputs?: number): ChannelMergerNode;\r\n    createChannelSplitter(numberOfOutputs?: number): ChannelSplitterNode;\r\n    createConvolver(): ConvolverNode;\r\n    createDelay(maxDelayTime?: number): DelayNode;\r\n    createDynamicsCompressor(): DynamicsCompressorNode;\r\n    createGain(): GainNode;\r\n    createMediaElementSource(mediaElement: HTMLMediaElement): MediaElementAudioSourceNode;\r\n    createOscillator(): OscillatorNode;\r\n    createPanner(): PannerNode;\r\n    createPeriodicWave(real: Float32Array, imag: Float32Array): PeriodicWave;\r\n    createScriptProcessor(bufferSize?: number, numberOfInputChannels?: number, numberOfOutputChannels?: number): ScriptProcessorNode;\r\n    createStereoPanner(): StereoPannerNode;\r\n    createWaveShaper(): WaveShaperNode;\r\n    decodeAudioData(audioData: ArrayBuffer, successCallback: DecodeSuccessCallback, errorCallback?: DecodeErrorCallback): void;\r\n}\r\n\r\ndeclare var AudioContext: {\r\n    prototype: AudioContext;\r\n    new(): AudioContext;\r\n}\r\n\r\ninterface AudioDestinationNode extends AudioNode {\r\n    maxChannelCount: number;\r\n}\r\n\r\ndeclare var AudioDestinationNode: {\r\n    prototype: AudioDestinationNode;\r\n    new(): AudioDestinationNode;\r\n}\r\n\r\ninterface AudioListener {\r\n    dopplerFactor: number;\r\n    speedOfSound: number;\r\n    setOrientation(x: number, y: number, z: number, xUp: number, yUp: number, zUp: number): void;\r\n    setPosition(x: number, y: number, z: number): void;\r\n    setVelocity(x: number, y: number, z: number): void;\r\n}\r\n\r\ndeclare var AudioListener: {\r\n    prototype: AudioListener;\r\n    new(): AudioListener;\r\n}\r\n\r\ninterface AudioNode extends EventTarget {\r\n    channelCount: number;\r\n    channelCountMode: string;\r\n    channelInterpretation: string;\r\n    context: AudioContext;\r\n    numberOfInputs: number;\r\n    numberOfOutputs: number;\r\n    connect(destination: AudioNode, output?: number, input?: number): void;\r\n    disconnect(output?: number): void;\r\n}\r\n\r\ndeclare var AudioNode: {\r\n    prototype: AudioNode;\r\n    new(): AudioNode;\r\n}\r\n\r\ninterface AudioParam {\r\n    defaultValue: number;\r\n    value: number;\r\n    cancelScheduledValues(startTime: number): void;\r\n    exponentialRampToValueAtTime(value: number, endTime: number): void;\r\n    linearRampToValueAtTime(value: number, endTime: number): void;\r\n    setTargetAtTime(target: number, startTime: number, timeConstant: number): void;\r\n    setValueAtTime(value: number, startTime: number): void;\r\n    setValueCurveAtTime(values: Float32Array, startTime: number, duration: number): void;\r\n}\r\n\r\ndeclare var AudioParam: {\r\n    prototype: AudioParam;\r\n    new(): AudioParam;\r\n}\r\n\r\ninterface AudioProcessingEvent extends Event {\r\n    inputBuffer: AudioBuffer;\r\n    outputBuffer: AudioBuffer;\r\n    playbackTime: number;\r\n}\r\n\r\ndeclare var AudioProcessingEvent: {\r\n    prototype: AudioProcessingEvent;\r\n    new(): AudioProcessingEvent;\r\n}\r\n\r\ninterface AudioTrack {\r\n    enabled: boolean;\r\n    id: string;\r\n    kind: string;\r\n    label: string;\r\n    language: string;\r\n    sourceBuffer: SourceBuffer;\r\n}\r\n\r\ndeclare var AudioTrack: {\r\n    prototype: AudioTrack;\r\n    new(): AudioTrack;\r\n}\r\n\r\ninterface AudioTrackList extends EventTarget {\r\n    length: number;\r\n    onaddtrack: (ev: TrackEvent) => any;\r\n    onchange: (ev: Event) => any;\r\n    onremovetrack: (ev: TrackEvent) => any;\r\n    getTrackById(id: string): AudioTrack;\r\n    item(index: number): AudioTrack;\r\n    addEventListener(type: "addtrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "removetrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: AudioTrack;\r\n}\r\n\r\ndeclare var AudioTrackList: {\r\n    prototype: AudioTrackList;\r\n    new(): AudioTrackList;\r\n}\r\n\r\ninterface BarProp {\r\n    visible: boolean;\r\n}\r\n\r\ndeclare var BarProp: {\r\n    prototype: BarProp;\r\n    new(): BarProp;\r\n}\r\n\r\ninterface BeforeUnloadEvent extends Event {\r\n    returnValue: any;\r\n}\r\n\r\ndeclare var BeforeUnloadEvent: {\r\n    prototype: BeforeUnloadEvent;\r\n    new(): BeforeUnloadEvent;\r\n}\r\n\r\ninterface BiquadFilterNode extends AudioNode {\r\n    Q: AudioParam;\r\n    detune: AudioParam;\r\n    frequency: AudioParam;\r\n    gain: AudioParam;\r\n    type: string;\r\n    getFrequencyResponse(frequencyHz: Float32Array, magResponse: Float32Array, phaseResponse: Float32Array): void;\r\n}\r\n\r\ndeclare var BiquadFilterNode: {\r\n    prototype: BiquadFilterNode;\r\n    new(): BiquadFilterNode;\r\n}\r\n\r\ninterface Blob {\r\n    size: number;\r\n    type: string;\r\n    msClose(): void;\r\n    msDetachStream(): any;\r\n    slice(start?: number, end?: number, contentType?: string): Blob;\r\n}\r\n\r\ndeclare var Blob: {\r\n    prototype: Blob;\r\n    new (blobParts?: any[], options?: BlobPropertyBag): Blob;\r\n}\r\n\r\ninterface CDATASection extends Text {\r\n}\r\n\r\ndeclare var CDATASection: {\r\n    prototype: CDATASection;\r\n    new(): CDATASection;\r\n}\r\n\r\ninterface CSS {\r\n    supports(property: string, value?: string): boolean;\r\n}\r\ndeclare var CSS: CSS;\r\n\r\ninterface CSSConditionRule extends CSSGroupingRule {\r\n    conditionText: string;\r\n}\r\n\r\ndeclare var CSSConditionRule: {\r\n    prototype: CSSConditionRule;\r\n    new(): CSSConditionRule;\r\n}\r\n\r\ninterface CSSFontFaceRule extends CSSRule {\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSFontFaceRule: {\r\n    prototype: CSSFontFaceRule;\r\n    new(): CSSFontFaceRule;\r\n}\r\n\r\ninterface CSSGroupingRule extends CSSRule {\r\n    cssRules: CSSRuleList;\r\n    deleteRule(index?: number): void;\r\n    insertRule(rule: string, index?: number): number;\r\n}\r\n\r\ndeclare var CSSGroupingRule: {\r\n    prototype: CSSGroupingRule;\r\n    new(): CSSGroupingRule;\r\n}\r\n\r\ninterface CSSImportRule extends CSSRule {\r\n    href: string;\r\n    media: MediaList;\r\n    styleSheet: CSSStyleSheet;\r\n}\r\n\r\ndeclare var CSSImportRule: {\r\n    prototype: CSSImportRule;\r\n    new(): CSSImportRule;\r\n}\r\n\r\ninterface CSSKeyframeRule extends CSSRule {\r\n    keyText: string;\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSKeyframeRule: {\r\n    prototype: CSSKeyframeRule;\r\n    new(): CSSKeyframeRule;\r\n}\r\n\r\ninterface CSSKeyframesRule extends CSSRule {\r\n    cssRules: CSSRuleList;\r\n    name: string;\r\n    appendRule(rule: string): void;\r\n    deleteRule(rule: string): void;\r\n    findRule(rule: string): CSSKeyframeRule;\r\n}\r\n\r\ndeclare var CSSKeyframesRule: {\r\n    prototype: CSSKeyframesRule;\r\n    new(): CSSKeyframesRule;\r\n}\r\n\r\ninterface CSSMediaRule extends CSSConditionRule {\r\n    media: MediaList;\r\n}\r\n\r\ndeclare var CSSMediaRule: {\r\n    prototype: CSSMediaRule;\r\n    new(): CSSMediaRule;\r\n}\r\n\r\ninterface CSSNamespaceRule extends CSSRule {\r\n    namespaceURI: string;\r\n    prefix: string;\r\n}\r\n\r\ndeclare var CSSNamespaceRule: {\r\n    prototype: CSSNamespaceRule;\r\n    new(): CSSNamespaceRule;\r\n}\r\n\r\ninterface CSSPageRule extends CSSRule {\r\n    pseudoClass: string;\r\n    selector: string;\r\n    selectorText: string;\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSPageRule: {\r\n    prototype: CSSPageRule;\r\n    new(): CSSPageRule;\r\n}\r\n\r\ninterface CSSRule {\r\n    cssText: string;\r\n    parentRule: CSSRule;\r\n    parentStyleSheet: CSSStyleSheet;\r\n    type: number;\r\n    CHARSET_RULE: number;\r\n    FONT_FACE_RULE: number;\r\n    IMPORT_RULE: number;\r\n    KEYFRAMES_RULE: number;\r\n    KEYFRAME_RULE: number;\r\n    MEDIA_RULE: number;\r\n    NAMESPACE_RULE: number;\r\n    PAGE_RULE: number;\r\n    STYLE_RULE: number;\r\n    SUPPORTS_RULE: number;\r\n    UNKNOWN_RULE: number;\r\n    VIEWPORT_RULE: number;\r\n}\r\n\r\ndeclare var CSSRule: {\r\n    prototype: CSSRule;\r\n    new(): CSSRule;\r\n    CHARSET_RULE: number;\r\n    FONT_FACE_RULE: number;\r\n    IMPORT_RULE: number;\r\n    KEYFRAMES_RULE: number;\r\n    KEYFRAME_RULE: number;\r\n    MEDIA_RULE: number;\r\n    NAMESPACE_RULE: number;\r\n    PAGE_RULE: number;\r\n    STYLE_RULE: number;\r\n    SUPPORTS_RULE: number;\r\n    UNKNOWN_RULE: number;\r\n    VIEWPORT_RULE: number;\r\n}\r\n\r\ninterface CSSRuleList {\r\n    length: number;\r\n    item(index: number): CSSRule;\r\n    [index: number]: CSSRule;\r\n}\r\n\r\ndeclare var CSSRuleList: {\r\n    prototype: CSSRuleList;\r\n    new(): CSSRuleList;\r\n}\r\n\r\ninterface CSSStyleDeclaration {\r\n    alignContent: string;\r\n    alignItems: string;\r\n    alignSelf: string;\r\n    alignmentBaseline: string;\r\n    animation: string;\r\n    animationDelay: string;\r\n    animationDirection: string;\r\n    animationDuration: string;\r\n    animationFillMode: string;\r\n    animationIterationCount: string;\r\n    animationName: string;\r\n    animationPlayState: string;\r\n    animationTimingFunction: string;\r\n    backfaceVisibility: string;\r\n    background: string;\r\n    backgroundAttachment: string;\r\n    backgroundClip: string;\r\n    backgroundColor: string;\r\n    backgroundImage: string;\r\n    backgroundOrigin: string;\r\n    backgroundPosition: string;\r\n    backgroundPositionX: string;\r\n    backgroundPositionY: string;\r\n    backgroundRepeat: string;\r\n    backgroundSize: string;\r\n    baselineShift: string;\r\n    border: string;\r\n    borderBottom: string;\r\n    borderBottomColor: string;\r\n    borderBottomLeftRadius: string;\r\n    borderBottomRightRadius: string;\r\n    borderBottomStyle: string;\r\n    borderBottomWidth: string;\r\n    borderCollapse: string;\r\n    borderColor: string;\r\n    borderImage: string;\r\n    borderImageOutset: string;\r\n    borderImageRepeat: string;\r\n    borderImageSlice: string;\r\n    borderImageSource: string;\r\n    borderImageWidth: string;\r\n    borderLeft: string;\r\n    borderLeftColor: string;\r\n    borderLeftStyle: string;\r\n    borderLeftWidth: string;\r\n    borderRadius: string;\r\n    borderRight: string;\r\n    borderRightColor: string;\r\n    borderRightStyle: string;\r\n    borderRightWidth: string;\r\n    borderSpacing: string;\r\n    borderStyle: string;\r\n    borderTop: string;\r\n    borderTopColor: string;\r\n    borderTopLeftRadius: string;\r\n    borderTopRightRadius: string;\r\n    borderTopStyle: string;\r\n    borderTopWidth: string;\r\n    borderWidth: string;\r\n    bottom: string;\r\n    boxShadow: string;\r\n    boxSizing: string;\r\n    breakAfter: string;\r\n    breakBefore: string;\r\n    breakInside: string;\r\n    captionSide: string;\r\n    clear: string;\r\n    clip: string;\r\n    clipPath: string;\r\n    clipRule: string;\r\n    color: string;\r\n    colorInterpolationFilters: string;\r\n    columnCount: any;\r\n    columnFill: string;\r\n    columnGap: any;\r\n    columnRule: string;\r\n    columnRuleColor: any;\r\n    columnRuleStyle: string;\r\n    columnRuleWidth: any;\r\n    columnSpan: string;\r\n    columnWidth: any;\r\n    columns: string;\r\n    content: string;\r\n    counterIncrement: string;\r\n    counterReset: string;\r\n    cssFloat: string;\r\n    cssText: string;\r\n    cursor: string;\r\n    direction: string;\r\n    display: string;\r\n    dominantBaseline: string;\r\n    emptyCells: string;\r\n    enableBackground: string;\r\n    fill: string;\r\n    fillOpacity: string;\r\n    fillRule: string;\r\n    filter: string;\r\n    flex: string;\r\n    flexBasis: string;\r\n    flexDirection: string;\r\n    flexFlow: string;\r\n    flexGrow: string;\r\n    flexShrink: string;\r\n    flexWrap: string;\r\n    floodColor: string;\r\n    floodOpacity: string;\r\n    font: string;\r\n    fontFamily: string;\r\n    fontFeatureSettings: string;\r\n    fontSize: string;\r\n    fontSizeAdjust: string;\r\n    fontStretch: string;\r\n    fontStyle: string;\r\n    fontVariant: string;\r\n    fontWeight: string;\r\n    glyphOrientationHorizontal: string;\r\n    glyphOrientationVertical: string;\r\n    height: string;\r\n    imeMode: string;\r\n    justifyContent: string;\r\n    kerning: string;\r\n    left: string;\r\n    length: number;\r\n    letterSpacing: string;\r\n    lightingColor: string;\r\n    lineHeight: string;\r\n    listStyle: string;\r\n    listStyleImage: string;\r\n    listStylePosition: string;\r\n    listStyleType: string;\r\n    margin: string;\r\n    marginBottom: string;\r\n    marginLeft: string;\r\n    marginRight: string;\r\n    marginTop: string;\r\n    marker: string;\r\n    markerEnd: string;\r\n    markerMid: string;\r\n    markerStart: string;\r\n    mask: string;\r\n    maxHeight: string;\r\n    maxWidth: string;\r\n    minHeight: string;\r\n    minWidth: string;\r\n    msContentZoomChaining: string;\r\n    msContentZoomLimit: string;\r\n    msContentZoomLimitMax: any;\r\n    msContentZoomLimitMin: any;\r\n    msContentZoomSnap: string;\r\n    msContentZoomSnapPoints: string;\r\n    msContentZoomSnapType: string;\r\n    msContentZooming: string;\r\n    msFlowFrom: string;\r\n    msFlowInto: string;\r\n    msFontFeatureSettings: string;\r\n    msGridColumn: any;\r\n    msGridColumnAlign: string;\r\n    msGridColumnSpan: any;\r\n    msGridColumns: string;\r\n    msGridRow: any;\r\n    msGridRowAlign: string;\r\n    msGridRowSpan: any;\r\n    msGridRows: string;\r\n    msHighContrastAdjust: string;\r\n    msHyphenateLimitChars: string;\r\n    msHyphenateLimitLines: any;\r\n    msHyphenateLimitZone: any;\r\n    msHyphens: string;\r\n    msImeAlign: string;\r\n    msOverflowStyle: string;\r\n    msScrollChaining: string;\r\n    msScrollLimit: string;\r\n    msScrollLimitXMax: any;\r\n    msScrollLimitXMin: any;\r\n    msScrollLimitYMax: any;\r\n    msScrollLimitYMin: any;\r\n    msScrollRails: string;\r\n    msScrollSnapPointsX: string;\r\n    msScrollSnapPointsY: string;\r\n    msScrollSnapType: string;\r\n    msScrollSnapX: string;\r\n    msScrollSnapY: string;\r\n    msScrollTranslation: string;\r\n    msTextCombineHorizontal: string;\r\n    msTextSizeAdjust: any;\r\n    msTouchAction: string;\r\n    msTouchSelect: string;\r\n    msUserSelect: string;\r\n    msWrapFlow: string;\r\n    msWrapMargin: any;\r\n    msWrapThrough: string;\r\n    opacity: string;\r\n    order: string;\r\n    orphans: string;\r\n    outline: string;\r\n    outlineColor: string;\r\n    outlineStyle: string;\r\n    outlineWidth: string;\r\n    overflow: string;\r\n    overflowX: string;\r\n    overflowY: string;\r\n    padding: string;\r\n    paddingBottom: string;\r\n    paddingLeft: string;\r\n    paddingRight: string;\r\n    paddingTop: string;\r\n    pageBreakAfter: string;\r\n    pageBreakBefore: string;\r\n    pageBreakInside: string;\r\n    parentRule: CSSRule;\r\n    perspective: string;\r\n    perspectiveOrigin: string;\r\n    pointerEvents: string;\r\n    position: string;\r\n    quotes: string;\r\n    right: string;\r\n    rubyAlign: string;\r\n    rubyOverhang: string;\r\n    rubyPosition: string;\r\n    stopColor: string;\r\n    stopOpacity: string;\r\n    stroke: string;\r\n    strokeDasharray: string;\r\n    strokeDashoffset: string;\r\n    strokeLinecap: string;\r\n    strokeLinejoin: string;\r\n    strokeMiterlimit: string;\r\n    strokeOpacity: string;\r\n    strokeWidth: string;\r\n    tableLayout: string;\r\n    textAlign: string;\r\n    textAlignLast: string;\r\n    textAnchor: string;\r\n    textDecoration: string;\r\n    textFillColor: string;\r\n    textIndent: string;\r\n    textJustify: string;\r\n    textKashida: string;\r\n    textKashidaSpace: string;\r\n    textOverflow: string;\r\n    textShadow: string;\r\n    textTransform: string;\r\n    textUnderlinePosition: string;\r\n    top: string;\r\n    touchAction: string;\r\n    transform: string;\r\n    transformOrigin: string;\r\n    transformStyle: string;\r\n    transition: string;\r\n    transitionDelay: string;\r\n    transitionDuration: string;\r\n    transitionProperty: string;\r\n    transitionTimingFunction: string;\r\n    unicodeBidi: string;\r\n    verticalAlign: string;\r\n    visibility: string;\r\n    webkitAlignContent: string;\r\n    webkitAlignItems: string;\r\n    webkitAlignSelf: string;\r\n    webkitAnimation: string;\r\n    webkitAnimationDelay: string;\r\n    webkitAnimationDirection: string;\r\n    webkitAnimationDuration: string;\r\n    webkitAnimationFillMode: string;\r\n    webkitAnimationIterationCount: string;\r\n    webkitAnimationName: string;\r\n    webkitAnimationPlayState: string;\r\n    webkitAnimationTimingFunction: string;\r\n    webkitAppearance: string;\r\n    webkitBackfaceVisibility: string;\r\n    webkitBackground: string;\r\n    webkitBackgroundAttachment: string;\r\n    webkitBackgroundClip: string;\r\n    webkitBackgroundColor: string;\r\n    webkitBackgroundImage: string;\r\n    webkitBackgroundOrigin: string;\r\n    webkitBackgroundPosition: string;\r\n    webkitBackgroundPositionX: string;\r\n    webkitBackgroundPositionY: string;\r\n    webkitBackgroundRepeat: string;\r\n    webkitBackgroundSize: string;\r\n    webkitBorderBottomLeftRadius: string;\r\n    webkitBorderBottomRightRadius: string;\r\n    webkitBorderImage: string;\r\n    webkitBorderImageOutset: string;\r\n    webkitBorderImageRepeat: string;\r\n    webkitBorderImageSlice: string;\r\n    webkitBorderImageSource: string;\r\n    webkitBorderImageWidth: string;\r\n    webkitBorderRadius: string;\r\n    webkitBorderTopLeftRadius: string;\r\n    webkitBorderTopRightRadius: string;\r\n    webkitBoxAlign: string;\r\n    webkitBoxDirection: string;\r\n    webkitBoxFlex: string;\r\n    webkitBoxOrdinalGroup: string;\r\n    webkitBoxOrient: string;\r\n    webkitBoxPack: string;\r\n    webkitBoxSizing: string;\r\n    webkitColumnBreakAfter: string;\r\n    webkitColumnBreakBefore: string;\r\n    webkitColumnBreakInside: string;\r\n    webkitColumnCount: any;\r\n    webkitColumnGap: any;\r\n    webkitColumnRule: string;\r\n    webkitColumnRuleColor: any;\r\n    webkitColumnRuleStyle: string;\r\n    webkitColumnRuleWidth: any;\r\n    webkitColumnSpan: string;\r\n    webkitColumnWidth: any;\r\n    webkitColumns: string;\r\n    webkitFilter: string;\r\n    webkitFlex: string;\r\n    webkitFlexBasis: string;\r\n    webkitFlexDirection: string;\r\n    webkitFlexFlow: string;\r\n    webkitFlexGrow: string;\r\n    webkitFlexShrink: string;\r\n    webkitFlexWrap: string;\r\n    webkitJustifyContent: string;\r\n    webkitOrder: string;\r\n    webkitPerspective: string;\r\n    webkitPerspectiveOrigin: string;\r\n    webkitTapHighlightColor: string;\r\n    webkitTextFillColor: string;\r\n    webkitTextSizeAdjust: any;\r\n    webkitTransform: string;\r\n    webkitTransformOrigin: string;\r\n    webkitTransformStyle: string;\r\n    webkitTransition: string;\r\n    webkitTransitionDelay: string;\r\n    webkitTransitionDuration: string;\r\n    webkitTransitionProperty: string;\r\n    webkitTransitionTimingFunction: string;\r\n    webkitUserSelect: string;\r\n    webkitWritingMode: string;\r\n    whiteSpace: string;\r\n    widows: string;\r\n    width: string;\r\n    wordBreak: string;\r\n    wordSpacing: string;\r\n    wordWrap: string;\r\n    writingMode: string;\r\n    zIndex: string;\r\n    zoom: string;\r\n    getPropertyPriority(propertyName: string): string;\r\n    getPropertyValue(propertyName: string): string;\r\n    item(index: number): string;\r\n    removeProperty(propertyName: string): string;\r\n    setProperty(propertyName: string, value: string, priority?: string): void;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var CSSStyleDeclaration: {\r\n    prototype: CSSStyleDeclaration;\r\n    new(): CSSStyleDeclaration;\r\n}\r\n\r\ninterface CSSStyleRule extends CSSRule {\r\n    readOnly: boolean;\r\n    selectorText: string;\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSStyleRule: {\r\n    prototype: CSSStyleRule;\r\n    new(): CSSStyleRule;\r\n}\r\n\r\ninterface CSSStyleSheet extends StyleSheet {\r\n    cssRules: CSSRuleList;\r\n    cssText: string;\r\n    href: string;\r\n    id: string;\r\n    imports: StyleSheetList;\r\n    isAlternate: boolean;\r\n    isPrefAlternate: boolean;\r\n    ownerRule: CSSRule;\r\n    owningElement: Element;\r\n    pages: StyleSheetPageList;\r\n    readOnly: boolean;\r\n    rules: CSSRuleList;\r\n    addImport(bstrURL: string, lIndex?: number): number;\r\n    addPageRule(bstrSelector: string, bstrStyle: string, lIndex?: number): number;\r\n    addRule(bstrSelector: string, bstrStyle?: string, lIndex?: number): number;\r\n    deleteRule(index?: number): void;\r\n    insertRule(rule: string, index?: number): number;\r\n    removeImport(lIndex: number): void;\r\n    removeRule(lIndex: number): void;\r\n}\r\n\r\ndeclare var CSSStyleSheet: {\r\n    prototype: CSSStyleSheet;\r\n    new(): CSSStyleSheet;\r\n}\r\n\r\ninterface CSSSupportsRule extends CSSConditionRule {\r\n}\r\n\r\ndeclare var CSSSupportsRule: {\r\n    prototype: CSSSupportsRule;\r\n    new(): CSSSupportsRule;\r\n}\r\n\r\ninterface CanvasGradient {\r\n    addColorStop(offset: number, color: string): void;\r\n}\r\n\r\ndeclare var CanvasGradient: {\r\n    prototype: CanvasGradient;\r\n    new(): CanvasGradient;\r\n}\r\n\r\ninterface CanvasPattern {\r\n}\r\n\r\ndeclare var CanvasPattern: {\r\n    prototype: CanvasPattern;\r\n    new(): CanvasPattern;\r\n}\r\n\r\ninterface CanvasRenderingContext2D {\r\n    canvas: HTMLCanvasElement;\r\n    fillStyle: string | CanvasGradient | CanvasPattern;\r\n    font: string;\r\n    globalAlpha: number;\r\n    globalCompositeOperation: string;\r\n    lineCap: string;\r\n    lineDashOffset: number;\r\n    lineJoin: string;\r\n    lineWidth: number;\r\n    miterLimit: number;\r\n    msFillRule: string;\r\n    msImageSmoothingEnabled: boolean;\r\n    shadowBlur: number;\r\n    shadowColor: string;\r\n    shadowOffsetX: number;\r\n    shadowOffsetY: number;\r\n    strokeStyle: string | CanvasGradient | CanvasPattern;\r\n    textAlign: string;\r\n    textBaseline: string;\r\n    arc(x: number, y: number, radius: number, startAngle: number, endAngle: number, anticlockwise?: boolean): void;\r\n    arcTo(x1: number, y1: number, x2: number, y2: number, radius: number): void;\r\n    beginPath(): void;\r\n    bezierCurveTo(cp1x: number, cp1y: number, cp2x: number, cp2y: number, x: number, y: number): void;\r\n    clearRect(x: number, y: number, w: number, h: number): void;\r\n    clip(fillRule?: string): void;\r\n    closePath(): void;\r\n    createImageData(imageDataOrSw: number | ImageData, sh?: number): ImageData;\r\n    createLinearGradient(x0: number, y0: number, x1: number, y1: number): CanvasGradient;\r\n    createPattern(image: HTMLImageElement | HTMLCanvasElement | HTMLVideoElement, repetition: string): CanvasPattern;\r\n    createRadialGradient(x0: number, y0: number, r0: number, x1: number, y1: number, r1: number): CanvasGradient;\r\n    drawImage(image: HTMLImageElement | HTMLCanvasElement | HTMLVideoElement, offsetX: number, offsetY: number, width?: number, height?: number, canvasOffsetX?: number, canvasOffsetY?: number, canvasImageWidth?: number, canvasImageHeight?: number): void;\r\n    fill(fillRule?: string): void;\r\n    fillRect(x: number, y: number, w: number, h: number): void;\r\n    fillText(text: string, x: number, y: number, maxWidth?: number): void;\r\n    getImageData(sx: number, sy: number, sw: number, sh: number): ImageData;\r\n    getLineDash(): number[];\r\n    isPointInPath(x: number, y: number, fillRule?: string): boolean;\r\n    lineTo(x: number, y: number): void;\r\n    measureText(text: string): TextMetrics;\r\n    moveTo(x: number, y: number): void;\r\n    putImageData(imagedata: ImageData, dx: number, dy: number, dirtyX?: number, dirtyY?: number, dirtyWidth?: number, dirtyHeight?: number): void;\r\n    quadraticCurveTo(cpx: number, cpy: number, x: number, y: number): void;\r\n    rect(x: number, y: number, w: number, h: number): void;\r\n    restore(): void;\r\n    rotate(angle: number): void;\r\n    save(): void;\r\n    scale(x: number, y: number): void;\r\n    setLineDash(segments: number[]): void;\r\n    setTransform(m11: number, m12: number, m21: number, m22: number, dx: number, dy: number): void;\r\n    stroke(): void;\r\n    strokeRect(x: number, y: number, w: number, h: number): void;\r\n    strokeText(text: string, x: number, y: number, maxWidth?: number): void;\r\n    transform(m11: number, m12: number, m21: number, m22: number, dx: number, dy: number): void;\r\n    translate(x: number, y: number): void;\r\n}\r\n\r\ndeclare var CanvasRenderingContext2D: {\r\n    prototype: CanvasRenderingContext2D;\r\n    new(): CanvasRenderingContext2D;\r\n}\r\n\r\ninterface ChannelMergerNode extends AudioNode {\r\n}\r\n\r\ndeclare var ChannelMergerNode: {\r\n    prototype: ChannelMergerNode;\r\n    new(): ChannelMergerNode;\r\n}\r\n\r\ninterface ChannelSplitterNode extends AudioNode {\r\n}\r\n\r\ndeclare var ChannelSplitterNode: {\r\n    prototype: ChannelSplitterNode;\r\n    new(): ChannelSplitterNode;\r\n}\r\n\r\ninterface CharacterData extends Node, ChildNode {\r\n    data: string;\r\n    length: number;\r\n    appendData(arg: string): void;\r\n    deleteData(offset: number, count: number): void;\r\n    insertData(offset: number, arg: string): void;\r\n    replaceData(offset: number, count: number, arg: string): void;\r\n    substringData(offset: number, count: number): string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var CharacterData: {\r\n    prototype: CharacterData;\r\n    new(): CharacterData;\r\n}\r\n\r\ninterface ClientRect {\r\n    bottom: number;\r\n    height: number;\r\n    left: number;\r\n    right: number;\r\n    top: number;\r\n    width: number;\r\n}\r\n\r\ndeclare var ClientRect: {\r\n    prototype: ClientRect;\r\n    new(): ClientRect;\r\n}\r\n\r\ninterface ClientRectList {\r\n    length: number;\r\n    item(index: number): ClientRect;\r\n    [index: number]: ClientRect;\r\n}\r\n\r\ndeclare var ClientRectList: {\r\n    prototype: ClientRectList;\r\n    new(): ClientRectList;\r\n}\r\n\r\ninterface ClipboardEvent extends Event {\r\n    clipboardData: DataTransfer;\r\n}\r\n\r\ndeclare var ClipboardEvent: {\r\n    prototype: ClipboardEvent;\r\n    new(type: string, eventInitDict?: ClipboardEventInit): ClipboardEvent;\r\n}\r\n\r\ninterface CloseEvent extends Event {\r\n    code: number;\r\n    reason: string;\r\n    wasClean: boolean;\r\n    initCloseEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, wasCleanArg: boolean, codeArg: number, reasonArg: string): void;\r\n}\r\n\r\ndeclare var CloseEvent: {\r\n    prototype: CloseEvent;\r\n    new(): CloseEvent;\r\n}\r\n\r\ninterface CommandEvent extends Event {\r\n    commandName: string;\r\n    detail: string;\r\n}\r\n\r\ndeclare var CommandEvent: {\r\n    prototype: CommandEvent;\r\n    new(type: string, eventInitDict?: CommandEventInit): CommandEvent;\r\n}\r\n\r\ninterface Comment extends CharacterData {\r\n    text: string;\r\n}\r\n\r\ndeclare var Comment: {\r\n    prototype: Comment;\r\n    new(): Comment;\r\n}\r\n\r\ninterface CompositionEvent extends UIEvent {\r\n    data: string;\r\n    locale: string;\r\n    initCompositionEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, dataArg: string, locale: string): void;\r\n}\r\n\r\ndeclare var CompositionEvent: {\r\n    prototype: CompositionEvent;\r\n    new(typeArg: string, eventInitDict?: CompositionEventInit): CompositionEvent;\r\n}\r\n\r\ninterface Console {\r\n    assert(test?: boolean, message?: string, ...optionalParams: any[]): void;\r\n    clear(): void;\r\n    count(countTitle?: string): void;\r\n    debug(message?: string, ...optionalParams: any[]): void;\r\n    dir(value?: any, ...optionalParams: any[]): void;\r\n    dirxml(value: any): void;\r\n    error(message?: any, ...optionalParams: any[]): void;\r\n    group(groupTitle?: string): void;\r\n    groupCollapsed(groupTitle?: string): void;\r\n    groupEnd(): void;\r\n    info(message?: any, ...optionalParams: any[]): void;\r\n    log(message?: any, ...optionalParams: any[]): void;\r\n    msIsIndependentlyComposed(element: Element): boolean;\r\n    profile(reportName?: string): void;\r\n    profileEnd(): void;\r\n    select(element: Element): void;\r\n    time(timerName?: string): void;\r\n    timeEnd(timerName?: string): void;\r\n    trace(message?: any, ...optionalParams: any[]): void;\r\n    warn(message?: any, ...optionalParams: any[]): void;\r\n}\r\n\r\ndeclare var Console: {\r\n    prototype: Console;\r\n    new(): Console;\r\n}\r\n\r\ninterface ConvolverNode extends AudioNode {\r\n    buffer: AudioBuffer;\r\n    normalize: boolean;\r\n}\r\n\r\ndeclare var ConvolverNode: {\r\n    prototype: ConvolverNode;\r\n    new(): ConvolverNode;\r\n}\r\n\r\ninterface Coordinates {\r\n    accuracy: number;\r\n    altitude: number;\r\n    altitudeAccuracy: number;\r\n    heading: number;\r\n    latitude: number;\r\n    longitude: number;\r\n    speed: number;\r\n}\r\n\r\ndeclare var Coordinates: {\r\n    prototype: Coordinates;\r\n    new(): Coordinates;\r\n}\r\n\r\ninterface Crypto extends Object, RandomSource {\r\n    subtle: SubtleCrypto;\r\n}\r\n\r\ndeclare var Crypto: {\r\n    prototype: Crypto;\r\n    new(): Crypto;\r\n}\r\n\r\ninterface CryptoKey {\r\n    algorithm: KeyAlgorithm;\r\n    extractable: boolean;\r\n    type: string;\r\n    usages: string[];\r\n}\r\n\r\ndeclare var CryptoKey: {\r\n    prototype: CryptoKey;\r\n    new(): CryptoKey;\r\n}\r\n\r\ninterface CryptoKeyPair {\r\n    privateKey: CryptoKey;\r\n    publicKey: CryptoKey;\r\n}\r\n\r\ndeclare var CryptoKeyPair: {\r\n    prototype: CryptoKeyPair;\r\n    new(): CryptoKeyPair;\r\n}\r\n\r\ninterface CustomEvent extends Event {\r\n    detail: any;\r\n    initCustomEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, detailArg: any): void;\r\n}\r\n\r\ndeclare var CustomEvent: {\r\n    prototype: CustomEvent;\r\n    new(typeArg: string, eventInitDict?: CustomEventInit): CustomEvent;\r\n}\r\n\r\ninterface DOMError {\r\n    name: string;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var DOMError: {\r\n    prototype: DOMError;\r\n    new(): DOMError;\r\n}\r\n\r\ninterface DOMException {\r\n    code: number;\r\n    message: string;\r\n    name: string;\r\n    toString(): string;\r\n    ABORT_ERR: number;\r\n    DATA_CLONE_ERR: number;\r\n    DOMSTRING_SIZE_ERR: number;\r\n    HIERARCHY_REQUEST_ERR: number;\r\n    INDEX_SIZE_ERR: number;\r\n    INUSE_ATTRIBUTE_ERR: number;\r\n    INVALID_ACCESS_ERR: number;\r\n    INVALID_CHARACTER_ERR: number;\r\n    INVALID_MODIFICATION_ERR: number;\r\n    INVALID_NODE_TYPE_ERR: number;\r\n    INVALID_STATE_ERR: number;\r\n    NAMESPACE_ERR: number;\r\n    NETWORK_ERR: number;\r\n    NOT_FOUND_ERR: number;\r\n    NOT_SUPPORTED_ERR: number;\r\n    NO_DATA_ALLOWED_ERR: number;\r\n    NO_MODIFICATION_ALLOWED_ERR: number;\r\n    PARSE_ERR: number;\r\n    QUOTA_EXCEEDED_ERR: number;\r\n    SECURITY_ERR: number;\r\n    SERIALIZE_ERR: number;\r\n    SYNTAX_ERR: number;\r\n    TIMEOUT_ERR: number;\r\n    TYPE_MISMATCH_ERR: number;\r\n    URL_MISMATCH_ERR: number;\r\n    VALIDATION_ERR: number;\r\n    WRONG_DOCUMENT_ERR: number;\r\n}\r\n\r\ndeclare var DOMException: {\r\n    prototype: DOMException;\r\n    new(): DOMException;\r\n    ABORT_ERR: number;\r\n    DATA_CLONE_ERR: number;\r\n    DOMSTRING_SIZE_ERR: number;\r\n    HIERARCHY_REQUEST_ERR: number;\r\n    INDEX_SIZE_ERR: number;\r\n    INUSE_ATTRIBUTE_ERR: number;\r\n    INVALID_ACCESS_ERR: number;\r\n    INVALID_CHARACTER_ERR: number;\r\n    INVALID_MODIFICATION_ERR: number;\r\n    INVALID_NODE_TYPE_ERR: number;\r\n    INVALID_STATE_ERR: number;\r\n    NAMESPACE_ERR: number;\r\n    NETWORK_ERR: number;\r\n    NOT_FOUND_ERR: number;\r\n    NOT_SUPPORTED_ERR: number;\r\n    NO_DATA_ALLOWED_ERR: number;\r\n    NO_MODIFICATION_ALLOWED_ERR: number;\r\n    PARSE_ERR: number;\r\n    QUOTA_EXCEEDED_ERR: number;\r\n    SECURITY_ERR: number;\r\n    SERIALIZE_ERR: number;\r\n    SYNTAX_ERR: number;\r\n    TIMEOUT_ERR: number;\r\n    TYPE_MISMATCH_ERR: number;\r\n    URL_MISMATCH_ERR: number;\r\n    VALIDATION_ERR: number;\r\n    WRONG_DOCUMENT_ERR: number;\r\n}\r\n\r\ninterface DOMImplementation {\r\n    createDocument(namespaceURI: string, qualifiedName: string, doctype: DocumentType): Document;\r\n    createDocumentType(qualifiedName: string, publicId: string, systemId: string): DocumentType;\r\n    createHTMLDocument(title: string): Document;\r\n    hasFeature(feature: string, version: string): boolean;\r\n}\r\n\r\ndeclare var DOMImplementation: {\r\n    prototype: DOMImplementation;\r\n    new(): DOMImplementation;\r\n}\r\n\r\ninterface DOMParser {\r\n    parseFromString(source: string, mimeType: string): Document;\r\n}\r\n\r\ndeclare var DOMParser: {\r\n    prototype: DOMParser;\r\n    new(): DOMParser;\r\n}\r\n\r\ninterface DOMSettableTokenList extends DOMTokenList {\r\n    value: string;\r\n}\r\n\r\ndeclare var DOMSettableTokenList: {\r\n    prototype: DOMSettableTokenList;\r\n    new(): DOMSettableTokenList;\r\n}\r\n\r\ninterface DOMStringList {\r\n    length: number;\r\n    contains(str: string): boolean;\r\n    item(index: number): string;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var DOMStringList: {\r\n    prototype: DOMStringList;\r\n    new(): DOMStringList;\r\n}\r\n\r\ninterface DOMStringMap {\r\n    [name: string]: string;\r\n}\r\n\r\ndeclare var DOMStringMap: {\r\n    prototype: DOMStringMap;\r\n    new(): DOMStringMap;\r\n}\r\n\r\ninterface DOMTokenList {\r\n    length: number;\r\n    add(...token: string[]): void;\r\n    contains(token: string): boolean;\r\n    item(index: number): string;\r\n    remove(...token: string[]): void;\r\n    toString(): string;\r\n    toggle(token: string, force?: boolean): boolean;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var DOMTokenList: {\r\n    prototype: DOMTokenList;\r\n    new(): DOMTokenList;\r\n}\r\n\r\ninterface DataCue extends TextTrackCue {\r\n    data: ArrayBuffer;\r\n}\r\n\r\ndeclare var DataCue: {\r\n    prototype: DataCue;\r\n    new(): DataCue;\r\n}\r\n\r\ninterface DataTransfer {\r\n    dropEffect: string;\r\n    effectAllowed: string;\r\n    files: FileList;\r\n    items: DataTransferItemList;\r\n    types: DOMStringList;\r\n    clearData(format?: string): boolean;\r\n    getData(format: string): string;\r\n    setData(format: string, data: string): boolean;\r\n}\r\n\r\ndeclare var DataTransfer: {\r\n    prototype: DataTransfer;\r\n    new(): DataTransfer;\r\n}\r\n\r\ninterface DataTransferItem {\r\n    kind: string;\r\n    type: string;\r\n    getAsFile(): File;\r\n    getAsString(_callback: FunctionStringCallback): void;\r\n}\r\n\r\ndeclare var DataTransferItem: {\r\n    prototype: DataTransferItem;\r\n    new(): DataTransferItem;\r\n}\r\n\r\ninterface DataTransferItemList {\r\n    length: number;\r\n    add(data: File): DataTransferItem;\r\n    clear(): void;\r\n    item(index: number): DataTransferItem;\r\n    remove(index: number): void;\r\n    [index: number]: DataTransferItem;\r\n}\r\n\r\ndeclare var DataTransferItemList: {\r\n    prototype: DataTransferItemList;\r\n    new(): DataTransferItemList;\r\n}\r\n\r\ninterface DeferredPermissionRequest {\r\n    id: number;\r\n    type: string;\r\n    uri: string;\r\n    allow(): void;\r\n    deny(): void;\r\n}\r\n\r\ndeclare var DeferredPermissionRequest: {\r\n    prototype: DeferredPermissionRequest;\r\n    new(): DeferredPermissionRequest;\r\n}\r\n\r\ninterface DelayNode extends AudioNode {\r\n    delayTime: AudioParam;\r\n}\r\n\r\ndeclare var DelayNode: {\r\n    prototype: DelayNode;\r\n    new(): DelayNode;\r\n}\r\n\r\ninterface DeviceAcceleration {\r\n    x: number;\r\n    y: number;\r\n    z: number;\r\n}\r\n\r\ndeclare var DeviceAcceleration: {\r\n    prototype: DeviceAcceleration;\r\n    new(): DeviceAcceleration;\r\n}\r\n\r\ninterface DeviceMotionEvent extends Event {\r\n    acceleration: DeviceAcceleration;\r\n    accelerationIncludingGravity: DeviceAcceleration;\r\n    interval: number;\r\n    rotationRate: DeviceRotationRate;\r\n    initDeviceMotionEvent(type: string, bubbles: boolean, cancelable: boolean, acceleration: DeviceAccelerationDict, accelerationIncludingGravity: DeviceAccelerationDict, rotationRate: DeviceRotationRateDict, interval: number): void;\r\n}\r\n\r\ndeclare var DeviceMotionEvent: {\r\n    prototype: DeviceMotionEvent;\r\n    new(): DeviceMotionEvent;\r\n}\r\n\r\ninterface DeviceOrientationEvent extends Event {\r\n    absolute: boolean;\r\n    alpha: number;\r\n    beta: number;\r\n    gamma: number;\r\n    initDeviceOrientationEvent(type: string, bubbles: boolean, cancelable: boolean, alpha: number, beta: number, gamma: number, absolute: boolean): void;\r\n}\r\n\r\ndeclare var DeviceOrientationEvent: {\r\n    prototype: DeviceOrientationEvent;\r\n    new(): DeviceOrientationEvent;\r\n}\r\n\r\ninterface DeviceRotationRate {\r\n    alpha: number;\r\n    beta: number;\r\n    gamma: number;\r\n}\r\n\r\ndeclare var DeviceRotationRate: {\r\n    prototype: DeviceRotationRate;\r\n    new(): DeviceRotationRate;\r\n}\r\n\r\ninterface Document extends Node, GlobalEventHandlers, NodeSelector, DocumentEvent {\r\n    /**\r\n      * Sets or gets the URL for the current document. \r\n      */\r\n    URL: string;\r\n    /**\r\n      * Gets the URL for the document, stripped of any character encoding.\r\n      */\r\n    URLUnencoded: string;\r\n    /**\r\n      * Gets the object that has the focus when the parent document has focus.\r\n      */\r\n    activeElement: Element;\r\n    /**\r\n      * Sets or gets the color of all active links in the document.\r\n      */\r\n    alinkColor: string;\r\n    /**\r\n      * Returns a reference to the collection of elements contained by the object.\r\n      */\r\n    all: HTMLCollection;\r\n    /**\r\n      * Retrieves a collection of all a objects that have a name and/or id property. Objects in this collection are in HTML source order.\r\n      */\r\n    anchors: HTMLCollection;\r\n    /**\r\n      * Retrieves a collection of all applet objects in the document.\r\n      */\r\n    applets: HTMLCollection;\r\n    /**\r\n      * Deprecated. Sets or retrieves a value that indicates the background color behind the object. \r\n      */\r\n    bgColor: string;\r\n    /**\r\n      * Specifies the beginning and end of the document body.\r\n      */\r\n    body: HTMLElement;\r\n    characterSet: string;\r\n    /**\r\n      * Gets or sets the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Gets a value that indicates whether standards-compliant mode is switched on for the object.\r\n      */\r\n    compatMode: string;\r\n    cookie: string;\r\n    /**\r\n      * Gets the default character set from the current regional language settings.\r\n      */\r\n    defaultCharset: string;\r\n    defaultView: Window;\r\n    /**\r\n      * Sets or gets a value that indicates whether the document can be edited.\r\n      */\r\n    designMode: string;\r\n    /**\r\n      * Sets or retrieves a value that indicates the reading order of the object. \r\n      */\r\n    dir: string;\r\n    /**\r\n      * Gets an object representing the document type declaration associated with the current document. \r\n      */\r\n    doctype: DocumentType;\r\n    /**\r\n      * Gets a reference to the root node of the document. \r\n      */\r\n    documentElement: HTMLElement;\r\n    /**\r\n      * Sets or gets the security domain of the document. \r\n      */\r\n    domain: string;\r\n    /**\r\n      * Retrieves a collection of all embed objects in the document.\r\n      */\r\n    embeds: HTMLCollection;\r\n    /**\r\n      * Sets or gets the foreground (text) color of the document.\r\n      */\r\n    fgColor: string;\r\n    /**\r\n      * Retrieves a collection, in source order, of all form objects in the document.\r\n      */\r\n    forms: HTMLCollection;\r\n    fullscreenElement: Element;\r\n    fullscreenEnabled: boolean;\r\n    head: HTMLHeadElement;\r\n    hidden: boolean;\r\n    /**\r\n      * Retrieves a collection, in source order, of img objects in the document.\r\n      */\r\n    images: HTMLCollection;\r\n    /**\r\n      * Gets the implementation object of the current document. \r\n      */\r\n    implementation: DOMImplementation;\r\n    /**\r\n      * Returns the character encoding used to create the webpage that is loaded into the document object.\r\n      */\r\n    inputEncoding: string;\r\n    /**\r\n      * Gets the date that the page was last modified, if the page supplies one. \r\n      */\r\n    lastModified: string;\r\n    /**\r\n      * Sets or gets the color of the document links. \r\n      */\r\n    linkColor: string;\r\n    /**\r\n      * Retrieves a collection of all a objects that specify the href property and all area objects in the document.\r\n      */\r\n    links: HTMLCollection;\r\n    /**\r\n      * Contains information about the current URL. \r\n      */\r\n    location: Location;\r\n    media: string;\r\n    msCSSOMElementFloatMetrics: boolean;\r\n    msCapsLockWarningOff: boolean;\r\n    msHidden: boolean;\r\n    msVisibilityState: string;\r\n    /**\r\n      * Fires when the user aborts the download.\r\n      * @param ev The event.\r\n      */\r\n    onabort: (ev: Event) => any;\r\n    /**\r\n      * Fires when the object is set as the active element.\r\n      * @param ev The event.\r\n      */\r\n    onactivate: (ev: UIEvent) => any;\r\n    /**\r\n      * Fires immediately before the object is set as the active element.\r\n      * @param ev The event.\r\n      */\r\n    onbeforeactivate: (ev: UIEvent) => any;\r\n    /**\r\n      * Fires immediately before the activeElement is changed from the current object to another object in the parent document.\r\n      * @param ev The event.\r\n      */\r\n    onbeforedeactivate: (ev: UIEvent) => any;\r\n    /** \r\n      * Fires when the object loses the input focus. \r\n      * @param ev The focus event.\r\n      */\r\n    onblur: (ev: FocusEvent) => any;\r\n    /**\r\n      * Occurs when playback is possible, but would require further buffering. \r\n      * @param ev The event.\r\n      */\r\n    oncanplay: (ev: Event) => any;\r\n    oncanplaythrough: (ev: Event) => any;\r\n    /**\r\n      * Fires when the contents of the object or selection have changed. \r\n      * @param ev The event.\r\n      */\r\n    onchange: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user clicks the left mouse button on the object\r\n      * @param ev The mouse event.\r\n      */\r\n    onclick: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user clicks the right mouse button in the client area, opening the context menu. \r\n      * @param ev The mouse event.\r\n      */\r\n    oncontextmenu: (ev: PointerEvent) => any;\r\n    /**\r\n      * Fires when the user double-clicks the object.\r\n      * @param ev The mouse event.\r\n      */\r\n    ondblclick: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the activeElement is changed from the current object to another object in the parent document.\r\n      * @param ev The UI Event\r\n      */\r\n    ondeactivate: (ev: UIEvent) => any;\r\n    /**\r\n      * Fires on the source object continuously during a drag operation.\r\n      * @param ev The event.\r\n      */\r\n    ondrag: (ev: DragEvent) => any;\r\n    /**\r\n      * Fires on the source object when the user releases the mouse at the close of a drag operation.\r\n      * @param ev The event.\r\n      */\r\n    ondragend: (ev: DragEvent) => any;\r\n    /** \r\n      * Fires on the target element when the user drags the object to a valid drop target.\r\n      * @param ev The drag event.\r\n      */\r\n    ondragenter: (ev: DragEvent) => any;\r\n    /** \r\n      * Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.\r\n      * @param ev The drag event.\r\n      */\r\n    ondragleave: (ev: DragEvent) => any;\r\n    /**\r\n      * Fires on the target element continuously while the user drags the object over a valid drop target.\r\n      * @param ev The event.\r\n      */\r\n    ondragover: (ev: DragEvent) => any;\r\n    /**\r\n      * Fires on the source object when the user starts to drag a text selection or selected object. \r\n      * @param ev The event.\r\n      */\r\n    ondragstart: (ev: DragEvent) => any;\r\n    ondrop: (ev: DragEvent) => any;\r\n    /**\r\n      * Occurs when the duration attribute is updated. \r\n      * @param ev The event.\r\n      */\r\n    ondurationchange: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the media element is reset to its initial state. \r\n      * @param ev The event.\r\n      */\r\n    onemptied: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the end of playback is reached. \r\n      * @param ev The event\r\n      */\r\n    onended: (ev: Event) => any;\r\n    /**\r\n      * Fires when an error occurs during object loading.\r\n      * @param ev The event.\r\n      */\r\n    onerror: (ev: Event) => any;\r\n    /**\r\n      * Fires when the object receives focus. \r\n      * @param ev The event.\r\n      */\r\n    onfocus: (ev: FocusEvent) => any;\r\n    onfullscreenchange: (ev: Event) => any;\r\n    onfullscreenerror: (ev: Event) => any;\r\n    oninput: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user presses a key.\r\n      * @param ev The keyboard event\r\n      */\r\n    onkeydown: (ev: KeyboardEvent) => any;\r\n    /**\r\n      * Fires when the user presses an alphanumeric key.\r\n      * @param ev The event.\r\n      */\r\n    onkeypress: (ev: KeyboardEvent) => any;\r\n    /**\r\n      * Fires when the user releases a key.\r\n      * @param ev The keyboard event\r\n      */\r\n    onkeyup: (ev: KeyboardEvent) => any;\r\n    /**\r\n      * Fires immediately after the browser loads the object. \r\n      * @param ev The event.\r\n      */\r\n    onload: (ev: Event) => any;\r\n    /**\r\n      * Occurs when media data is loaded at the current playback position. \r\n      * @param ev The event.\r\n      */\r\n    onloadeddata: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the duration and dimensions of the media have been determined.\r\n      * @param ev The event.\r\n      */\r\n    onloadedmetadata: (ev: Event) => any;\r\n    /**\r\n      * Occurs when Internet Explorer begins looking for media data. \r\n      * @param ev The event.\r\n      */\r\n    onloadstart: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user clicks the object with either mouse button. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmousedown: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user moves the mouse over the object. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmousemove: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user moves the mouse pointer outside the boundaries of the object. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmouseout: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user moves the mouse pointer into the object.\r\n      * @param ev The mouse event.\r\n      */\r\n    onmouseover: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user releases a mouse button while the mouse is over the object. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmouseup: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the wheel button is rotated. \r\n      * @param ev The mouse event\r\n      */\r\n    onmousewheel: (ev: MouseWheelEvent) => any;\r\n    onmscontentzoom: (ev: UIEvent) => any;\r\n    onmsgesturechange: (ev: MSGestureEvent) => any;\r\n    onmsgesturedoubletap: (ev: MSGestureEvent) => any;\r\n    onmsgestureend: (ev: MSGestureEvent) => any;\r\n    onmsgesturehold: (ev: MSGestureEvent) => any;\r\n    onmsgesturestart: (ev: MSGestureEvent) => any;\r\n    onmsgesturetap: (ev: MSGestureEvent) => any;\r\n    onmsinertiastart: (ev: MSGestureEvent) => any;\r\n    onmsmanipulationstatechanged: (ev: MSManipulationEvent) => any;\r\n    onmspointercancel: (ev: MSPointerEvent) => any;\r\n    onmspointerdown: (ev: MSPointerEvent) => any;\r\n    onmspointerenter: (ev: MSPointerEvent) => any;\r\n    onmspointerleave: (ev: MSPointerEvent) => any;\r\n    onmspointermove: (ev: MSPointerEvent) => any;\r\n    onmspointerout: (ev: MSPointerEvent) => any;\r\n    onmspointerover: (ev: MSPointerEvent) => any;\r\n    onmspointerup: (ev: MSPointerEvent) => any;\r\n    /**\r\n      * Occurs when an item is removed from a Jump List of a webpage running in Site Mode. \r\n      * @param ev The event.\r\n      */\r\n    onmssitemodejumplistitemremoved: (ev: MSSiteModeEvent) => any;\r\n    /**\r\n      * Occurs when a user clicks a button in a Thumbnail Toolbar of a webpage running in Site Mode.\r\n      * @param ev The event.\r\n      */\r\n    onmsthumbnailclick: (ev: MSSiteModeEvent) => any;\r\n    /**\r\n      * Occurs when playback is paused.\r\n      * @param ev The event.\r\n      */\r\n    onpause: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the play method is requested. \r\n      * @param ev The event.\r\n      */\r\n    onplay: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the audio or video has started playing. \r\n      * @param ev The event.\r\n      */\r\n    onplaying: (ev: Event) => any;\r\n    onpointerlockchange: (ev: Event) => any;\r\n    onpointerlockerror: (ev: Event) => any;\r\n    /**\r\n      * Occurs to indicate progress while downloading media data. \r\n      * @param ev The event.\r\n      */\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    /**\r\n      * Occurs when the playback rate is increased or decreased. \r\n      * @param ev The event.\r\n      */\r\n    onratechange: (ev: Event) => any;\r\n    /**\r\n      * Fires when the state of the object has changed.\r\n      * @param ev The event\r\n      */\r\n    onreadystatechange: (ev: ProgressEvent) => any;\r\n    /**\r\n      * Fires when the user resets a form. \r\n      * @param ev The event.\r\n      */\r\n    onreset: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user repositions the scroll box in the scroll bar on the object. \r\n      * @param ev The event.\r\n      */\r\n    onscroll: (ev: UIEvent) => any;\r\n    /**\r\n      * Occurs when the seek operation ends. \r\n      * @param ev The event.\r\n      */\r\n    onseeked: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the current playback position is moved. \r\n      * @param ev The event.\r\n      */\r\n    onseeking: (ev: Event) => any;\r\n    /**\r\n      * Fires when the current selection changes.\r\n      * @param ev The event.\r\n      */\r\n    onselect: (ev: UIEvent) => any;\r\n    onselectstart: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the download has stopped. \r\n      * @param ev The event.\r\n      */\r\n    onstalled: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user clicks the Stop button or leaves the Web page.\r\n      * @param ev The event.\r\n      */\r\n    onstop: (ev: Event) => any;\r\n    onsubmit: (ev: Event) => any;\r\n    /**\r\n      * Occurs if the load operation has been intentionally halted. \r\n      * @param ev The event.\r\n      */\r\n    onsuspend: (ev: Event) => any;\r\n    /**\r\n      * Occurs to indicate the current playback position.\r\n      * @param ev The event.\r\n      */\r\n    ontimeupdate: (ev: Event) => any;\r\n    ontouchcancel: (ev: TouchEvent) => any;\r\n    ontouchend: (ev: TouchEvent) => any;\r\n    ontouchmove: (ev: TouchEvent) => any;\r\n    ontouchstart: (ev: TouchEvent) => any;\r\n    /**\r\n      * Occurs when the volume is changed, or playback is muted or unmuted.\r\n      * @param ev The event.\r\n      */\r\n    onvolumechange: (ev: Event) => any;\r\n    /**\r\n      * Occurs when playback stops because the next frame of a video resource is not available. \r\n      * @param ev The event.\r\n      */\r\n    onwaiting: (ev: Event) => any;\r\n    onwebkitfullscreenchange: (ev: Event) => any;\r\n    onwebkitfullscreenerror: (ev: Event) => any;\r\n    plugins: HTMLCollection;\r\n    pointerLockElement: Element;\r\n    /**\r\n      * Retrieves a value that indicates the current state of the object.\r\n      */\r\n    readyState: string;\r\n    /**\r\n      * Gets the URL of the location that referred the user to the current page.\r\n      */\r\n    referrer: string;\r\n    /**\r\n      * Gets the root svg element in the document hierarchy.\r\n      */\r\n    rootElement: SVGSVGElement;\r\n    /**\r\n      * Retrieves a collection of all script objects in the document.\r\n      */\r\n    scripts: HTMLCollection;\r\n    security: string;\r\n    /**\r\n      * Retrieves a collection of styleSheet objects representing the style sheets that correspond to each instance of a link or style object in the document.\r\n      */\r\n    styleSheets: StyleSheetList;\r\n    /**\r\n      * Contains the title of the document.\r\n      */\r\n    title: string;\r\n    visibilityState: string;\r\n    /** \r\n      * Sets or gets the color of the links that the user has visited.\r\n      */\r\n    vlinkColor: string;\r\n    webkitCurrentFullScreenElement: Element;\r\n    webkitFullscreenElement: Element;\r\n    webkitFullscreenEnabled: boolean;\r\n    webkitIsFullScreen: boolean;\r\n    xmlEncoding: string;\r\n    xmlStandalone: boolean;\r\n    /**\r\n      * Gets or sets the version attribute specified in the declaration of an XML document.\r\n      */\r\n    xmlVersion: string;\r\n    currentScript: HTMLScriptElement;\r\n    adoptNode(source: Node): Node;\r\n    captureEvents(): void;\r\n    clear(): void;\r\n    /**\r\n      * Closes an output stream and forces the sent data to display.\r\n      */\r\n    close(): void;\r\n    /**\r\n      * Creates an attribute object with a specified name.\r\n      * @param name String that sets the attribute object\'s name.\r\n      */\r\n    createAttribute(name: string): Attr;\r\n    createAttributeNS(namespaceURI: string, qualifiedName: string): Attr;\r\n    createCDATASection(data: string): CDATASection;\r\n    /**\r\n      * Creates a comment object with the specified data.\r\n      * @param data Sets the comment object\'s data.\r\n      */\r\n    createComment(data: string): Comment;\r\n    /**\r\n      * Creates a new document.\r\n      */\r\n    createDocumentFragment(): DocumentFragment;\r\n    /**\r\n      * Creates an instance of the element for the specified tag.\r\n      * @param tagName The name of an element.\r\n      */\r\n    createElement(tagName: "a"): HTMLAnchorElement;\r\n    createElement(tagName: "abbr"): HTMLPhraseElement;\r\n    createElement(tagName: "acronym"): HTMLPhraseElement;\r\n    createElement(tagName: "address"): HTMLBlockElement;\r\n    createElement(tagName: "applet"): HTMLAppletElement;\r\n    createElement(tagName: "area"): HTMLAreaElement;\r\n    createElement(tagName: "audio"): HTMLAudioElement;\r\n    createElement(tagName: "b"): HTMLPhraseElement;\r\n    createElement(tagName: "base"): HTMLBaseElement;\r\n    createElement(tagName: "basefont"): HTMLBaseFontElement;\r\n    createElement(tagName: "bdo"): HTMLPhraseElement;\r\n    createElement(tagName: "big"): HTMLPhraseElement;\r\n    createElement(tagName: "blockquote"): HTMLBlockElement;\r\n    createElement(tagName: "body"): HTMLBodyElement;\r\n    createElement(tagName: "br"): HTMLBRElement;\r\n    createElement(tagName: "button"): HTMLButtonElement;\r\n    createElement(tagName: "canvas"): HTMLCanvasElement;\r\n    createElement(tagName: "caption"): HTMLTableCaptionElement;\r\n    createElement(tagName: "center"): HTMLBlockElement;\r\n    createElement(tagName: "cite"): HTMLPhraseElement;\r\n    createElement(tagName: "code"): HTMLPhraseElement;\r\n    createElement(tagName: "col"): HTMLTableColElement;\r\n    createElement(tagName: "colgroup"): HTMLTableColElement;\r\n    createElement(tagName: "datalist"): HTMLDataListElement;\r\n    createElement(tagName: "dd"): HTMLDDElement;\r\n    createElement(tagName: "del"): HTMLModElement;\r\n    createElement(tagName: "dfn"): HTMLPhraseElement;\r\n    createElement(tagName: "dir"): HTMLDirectoryElement;\r\n    createElement(tagName: "div"): HTMLDivElement;\r\n    createElement(tagName: "dl"): HTMLDListElement;\r\n    createElement(tagName: "dt"): HTMLDTElement;\r\n    createElement(tagName: "em"): HTMLPhraseElement;\r\n    createElement(tagName: "embed"): HTMLEmbedElement;\r\n    createElement(tagName: "fieldset"): HTMLFieldSetElement;\r\n    createElement(tagName: "font"): HTMLFontElement;\r\n    createElement(tagName: "form"): HTMLFormElement;\r\n    createElement(tagName: "frame"): HTMLFrameElement;\r\n    createElement(tagName: "frameset"): HTMLFrameSetElement;\r\n    createElement(tagName: "h1"): HTMLHeadingElement;\r\n    createElement(tagName: "h2"): HTMLHeadingElement;\r\n    createElement(tagName: "h3"): HTMLHeadingElement;\r\n    createElement(tagName: "h4"): HTMLHeadingElement;\r\n    createElement(tagName: "h5"): HTMLHeadingElement;\r\n    createElement(tagName: "h6"): HTMLHeadingElement;\r\n    createElement(tagName: "head"): HTMLHeadElement;\r\n    createElement(tagName: "hr"): HTMLHRElement;\r\n    createElement(tagName: "html"): HTMLHtmlElement;\r\n    createElement(tagName: "i"): HTMLPhraseElement;\r\n    createElement(tagName: "iframe"): HTMLIFrameElement;\r\n    createElement(tagName: "img"): HTMLImageElement;\r\n    createElement(tagName: "input"): HTMLInputElement;\r\n    createElement(tagName: "ins"): HTMLModElement;\r\n    createElement(tagName: "isindex"): HTMLIsIndexElement;\r\n    createElement(tagName: "kbd"): HTMLPhraseElement;\r\n    createElement(tagName: "keygen"): HTMLBlockElement;\r\n    createElement(tagName: "label"): HTMLLabelElement;\r\n    createElement(tagName: "legend"): HTMLLegendElement;\r\n    createElement(tagName: "li"): HTMLLIElement;\r\n    createElement(tagName: "link"): HTMLLinkElement;\r\n    createElement(tagName: "listing"): HTMLBlockElement;\r\n    createElement(tagName: "map"): HTMLMapElement;\r\n    createElement(tagName: "marquee"): HTMLMarqueeElement;\r\n    createElement(tagName: "menu"): HTMLMenuElement;\r\n    createElement(tagName: "meta"): HTMLMetaElement;\r\n    createElement(tagName: "nextid"): HTMLNextIdElement;\r\n    createElement(tagName: "nobr"): HTMLPhraseElement;\r\n    createElement(tagName: "object"): HTMLObjectElement;\r\n    createElement(tagName: "ol"): HTMLOListElement;\r\n    createElement(tagName: "optgroup"): HTMLOptGroupElement;\r\n    createElement(tagName: "option"): HTMLOptionElement;\r\n    createElement(tagName: "p"): HTMLParagraphElement;\r\n    createElement(tagName: "param"): HTMLParamElement;\r\n    createElement(tagName: "plaintext"): HTMLBlockElement;\r\n    createElement(tagName: "pre"): HTMLPreElement;\r\n    createElement(tagName: "progress"): HTMLProgressElement;\r\n    createElement(tagName: "q"): HTMLQuoteElement;\r\n    createElement(tagName: "rt"): HTMLPhraseElement;\r\n    createElement(tagName: "ruby"): HTMLPhraseElement;\r\n    createElement(tagName: "s"): HTMLPhraseElement;\r\n    createElement(tagName: "samp"): HTMLPhraseElement;\r\n    createElement(tagName: "script"): HTMLScriptElement;\r\n    createElement(tagName: "select"): HTMLSelectElement;\r\n    createElement(tagName: "small"): HTMLPhraseElement;\r\n    createElement(tagName: "source"): HTMLSourceElement;\r\n    createElement(tagName: "span"): HTMLSpanElement;\r\n    createElement(tagName: "strike"): HTMLPhraseElement;\r\n    createElement(tagName: "strong"): HTMLPhraseElement;\r\n    createElement(tagName: "style"): HTMLStyleElement;\r\n    createElement(tagName: "sub"): HTMLPhraseElement;\r\n    createElement(tagName: "sup"): HTMLPhraseElement;\r\n    createElement(tagName: "table"): HTMLTableElement;\r\n    createElement(tagName: "tbody"): HTMLTableSectionElement;\r\n    createElement(tagName: "td"): HTMLTableDataCellElement;\r\n    createElement(tagName: "textarea"): HTMLTextAreaElement;\r\n    createElement(tagName: "tfoot"): HTMLTableSectionElement;\r\n    createElement(tagName: "th"): HTMLTableHeaderCellElement;\r\n    createElement(tagName: "thead"): HTMLTableSectionElement;\r\n    createElement(tagName: "title"): HTMLTitleElement;\r\n    createElement(tagName: "tr"): HTMLTableRowElement;\r\n    createElement(tagName: "track"): HTMLTrackElement;\r\n    createElement(tagName: "tt"): HTMLPhraseElement;\r\n    createElement(tagName: "u"): HTMLPhraseElement;\r\n    createElement(tagName: "ul"): HTMLUListElement;\r\n    createElement(tagName: "var"): HTMLPhraseElement;\r\n    createElement(tagName: "video"): HTMLVideoElement;\r\n    createElement(tagName: "x-ms-webview"): MSHTMLWebViewElement;\r\n    createElement(tagName: "xmp"): HTMLBlockElement;\r\n    createElement(tagName: string): HTMLElement;\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "a"): SVGAElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "circle"): SVGCircleElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "clipPath"): SVGClipPathElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "componentTransferFunction"): SVGComponentTransferFunctionElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "defs"): SVGDefsElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "desc"): SVGDescElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "ellipse"): SVGEllipseElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feBlend"): SVGFEBlendElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feColorMatrix"): SVGFEColorMatrixElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feComponentTransfer"): SVGFEComponentTransferElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feComposite"): SVGFECompositeElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feConvolveMatrix"): SVGFEConvolveMatrixElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feDiffuseLighting"): SVGFEDiffuseLightingElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feDisplacementMap"): SVGFEDisplacementMapElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feDistantLight"): SVGFEDistantLightElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFlood"): SVGFEFloodElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncA"): SVGFEFuncAElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncB"): SVGFEFuncBElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncG"): SVGFEFuncGElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncR"): SVGFEFuncRElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feGaussianBlur"): SVGFEGaussianBlurElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feImage"): SVGFEImageElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feMerge"): SVGFEMergeElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feMergeNode"): SVGFEMergeNodeElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feMorphology"): SVGFEMorphologyElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feOffset"): SVGFEOffsetElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "fePointLight"): SVGFEPointLightElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feSpecularLighting"): SVGFESpecularLightingElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feSpotLight"): SVGFESpotLightElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feTile"): SVGFETileElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feTurbulence"): SVGFETurbulenceElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "filter"): SVGFilterElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "foreignObject"): SVGForeignObjectElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "g"): SVGGElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "image"): SVGImageElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "gradient"): SVGGradientElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "line"): SVGLineElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "linearGradient"): SVGLinearGradientElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "marker"): SVGMarkerElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "mask"): SVGMaskElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "path"): SVGPathElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "metadata"): SVGMetadataElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "pattern"): SVGPatternElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "polygon"): SVGPolygonElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "polyline"): SVGPolylineElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "radialGradient"): SVGRadialGradientElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "rect"): SVGRectElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "svg"): SVGSVGElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "script"): SVGScriptElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "stop"): SVGStopElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "style"): SVGStyleElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "switch"): SVGSwitchElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "symbol"): SVGSymbolElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "tspan"): SVGTSpanElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "textContent"): SVGTextContentElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "text"): SVGTextElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "textPath"): SVGTextPathElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "textPositioning"): SVGTextPositioningElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "title"): SVGTitleElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "use"): SVGUseElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "view"): SVGViewElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: string): SVGElement\r\n    createElementNS(namespaceURI: string, qualifiedName: string): Element;\r\n    createExpression(expression: string, resolver: XPathNSResolver): XPathExpression;\r\n    createNSResolver(nodeResolver: Node): XPathNSResolver;\r\n    /**\r\n      * Creates a NodeIterator object that you can use to traverse filtered lists of nodes or elements in a document. \r\n      * @param root The root element or node to start traversing on.\r\n      * @param whatToShow The type of nodes or elements to appear in the node list\r\n      * @param filter A custom NodeFilter function to use. For more information, see filter. Use null for no filter.\r\n      * @param entityReferenceExpansion A flag that specifies whether entity reference nodes are expanded.\r\n      */\r\n    createNodeIterator(root: Node, whatToShow?: number, filter?: NodeFilter, entityReferenceExpansion?: boolean): NodeIterator;\r\n    createProcessingInstruction(target: string, data: string): ProcessingInstruction;\r\n    /**\r\n      *  Returns an empty range object that has both of its boundary points positioned at the beginning of the document. \r\n      */\r\n    createRange(): Range;\r\n    /**\r\n      * Creates a text string from the specified value. \r\n      * @param data String that specifies the nodeValue property of the text node.\r\n      */\r\n    createTextNode(data: string): Text;\r\n    createTouch(view: any, target: EventTarget, identifier: number, pageX: number, pageY: number, screenX: number, screenY: number): Touch;\r\n    createTouchList(...touches: Touch[]): TouchList;\r\n    /**\r\n      * Creates a TreeWalker object that you can use to traverse filtered lists of nodes or elements in a document.\r\n      * @param root The root element or node to start traversing on.\r\n      * @param whatToShow The type of nodes or elements to appear in the node list. For more information, see whatToShow.\r\n      * @param filter A custom NodeFilter function to use.\r\n      * @param entityReferenceExpansion A flag that specifies whether entity reference nodes are expanded.\r\n      */\r\n    createTreeWalker(root: Node, whatToShow?: number, filter?: NodeFilter, entityReferenceExpansion?: boolean): TreeWalker;\r\n    /**\r\n      * Returns the element for the specified x coordinate and the specified y coordinate. \r\n      * @param x The x-offset\r\n      * @param y The y-offset\r\n      */\r\n    elementFromPoint(x: number, y: number): Element;\r\n    evaluate(expression: string, contextNode: Node, resolver: XPathNSResolver, type: number, result: XPathResult): XPathResult;\r\n    /**\r\n      * Executes a command on the current document, current selection, or the given range.\r\n      * @param commandId String that specifies the command to execute. This command can be any of the command identifiers that can be executed in script.\r\n      * @param showUI Display the user interface, defaults to false.\r\n      * @param value Value to assign.\r\n      */\r\n    execCommand(commandId: string, showUI?: boolean, value?: any): boolean;\r\n    /**\r\n      * Displays help information for the given command identifier.\r\n      * @param commandId Displays help information for the given command identifier.\r\n      */\r\n    execCommandShowHelp(commandId: string): boolean;\r\n    exitFullscreen(): void;\r\n    exitPointerLock(): void;\r\n    /**\r\n      * Causes the element to receive the focus and executes the code specified by the onfocus event.\r\n      */\r\n    focus(): void;\r\n    /**\r\n      * Returns a reference to the first object with the specified value of the ID or NAME attribute.\r\n      * @param elementId String that specifies the ID value. Case-insensitive.\r\n      */\r\n    getElementById(elementId: string): HTMLElement;\r\n    getElementsByClassName(classNames: string): NodeListOf<Element>;\r\n    /**\r\n      * Gets a collection of objects based on the value of the NAME or ID attribute.\r\n      * @param elementName Gets a collection of objects based on the value of the NAME or ID attribute.\r\n      */\r\n    getElementsByName(elementName: string): NodeListOf<Element>;\r\n    /**\r\n      * Retrieves a collection of objects based on the specified element name.\r\n      * @param name Specifies the name of an element.\r\n      */\r\n    getElementsByTagName(tagname: "a"): NodeListOf<HTMLAnchorElement>;\r\n    getElementsByTagName(tagname: "abbr"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "acronym"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "address"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "applet"): NodeListOf<HTMLAppletElement>;\r\n    getElementsByTagName(tagname: "area"): NodeListOf<HTMLAreaElement>;\r\n    getElementsByTagName(tagname: "article"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "aside"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "audio"): NodeListOf<HTMLAudioElement>;\r\n    getElementsByTagName(tagname: "b"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "base"): NodeListOf<HTMLBaseElement>;\r\n    getElementsByTagName(tagname: "basefont"): NodeListOf<HTMLBaseFontElement>;\r\n    getElementsByTagName(tagname: "bdo"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "big"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "blockquote"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "body"): NodeListOf<HTMLBodyElement>;\r\n    getElementsByTagName(tagname: "br"): NodeListOf<HTMLBRElement>;\r\n    getElementsByTagName(tagname: "button"): NodeListOf<HTMLButtonElement>;\r\n    getElementsByTagName(tagname: "canvas"): NodeListOf<HTMLCanvasElement>;\r\n    getElementsByTagName(tagname: "caption"): NodeListOf<HTMLTableCaptionElement>;\r\n    getElementsByTagName(tagname: "center"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "circle"): NodeListOf<SVGCircleElement>;\r\n    getElementsByTagName(tagname: "cite"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "clippath"): NodeListOf<SVGClipPathElement>;\r\n    getElementsByTagName(tagname: "code"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "col"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(tagname: "colgroup"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(tagname: "datalist"): NodeListOf<HTMLDataListElement>;\r\n    getElementsByTagName(tagname: "dd"): NodeListOf<HTMLDDElement>;\r\n    getElementsByTagName(tagname: "defs"): NodeListOf<SVGDefsElement>;\r\n    getElementsByTagName(tagname: "del"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(tagname: "desc"): NodeListOf<SVGDescElement>;\r\n    getElementsByTagName(tagname: "dfn"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "dir"): NodeListOf<HTMLDirectoryElement>;\r\n    getElementsByTagName(tagname: "div"): NodeListOf<HTMLDivElement>;\r\n    getElementsByTagName(tagname: "dl"): NodeListOf<HTMLDListElement>;\r\n    getElementsByTagName(tagname: "dt"): NodeListOf<HTMLDTElement>;\r\n    getElementsByTagName(tagname: "ellipse"): NodeListOf<SVGEllipseElement>;\r\n    getElementsByTagName(tagname: "em"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "embed"): NodeListOf<HTMLEmbedElement>;\r\n    getElementsByTagName(tagname: "feblend"): NodeListOf<SVGFEBlendElement>;\r\n    getElementsByTagName(tagname: "fecolormatrix"): NodeListOf<SVGFEColorMatrixElement>;\r\n    getElementsByTagName(tagname: "fecomponenttransfer"): NodeListOf<SVGFEComponentTransferElement>;\r\n    getElementsByTagName(tagname: "fecomposite"): NodeListOf<SVGFECompositeElement>;\r\n    getElementsByTagName(tagname: "feconvolvematrix"): NodeListOf<SVGFEConvolveMatrixElement>;\r\n    getElementsByTagName(tagname: "fediffuselighting"): NodeListOf<SVGFEDiffuseLightingElement>;\r\n    getElementsByTagName(tagname: "fedisplacementmap"): NodeListOf<SVGFEDisplacementMapElement>;\r\n    getElementsByTagName(tagname: "fedistantlight"): NodeListOf<SVGFEDistantLightElement>;\r\n    getElementsByTagName(tagname: "feflood"): NodeListOf<SVGFEFloodElement>;\r\n    getElementsByTagName(tagname: "fefunca"): NodeListOf<SVGFEFuncAElement>;\r\n    getElementsByTagName(tagname: "fefuncb"): NodeListOf<SVGFEFuncBElement>;\r\n    getElementsByTagName(tagname: "fefuncg"): NodeListOf<SVGFEFuncGElement>;\r\n    getElementsByTagName(tagname: "fefuncr"): NodeListOf<SVGFEFuncRElement>;\r\n    getElementsByTagName(tagname: "fegaussianblur"): NodeListOf<SVGFEGaussianBlurElement>;\r\n    getElementsByTagName(tagname: "feimage"): NodeListOf<SVGFEImageElement>;\r\n    getElementsByTagName(tagname: "femerge"): NodeListOf<SVGFEMergeElement>;\r\n    getElementsByTagName(tagname: "femergenode"): NodeListOf<SVGFEMergeNodeElement>;\r\n    getElementsByTagName(tagname: "femorphology"): NodeListOf<SVGFEMorphologyElement>;\r\n    getElementsByTagName(tagname: "feoffset"): NodeListOf<SVGFEOffsetElement>;\r\n    getElementsByTagName(tagname: "fepointlight"): NodeListOf<SVGFEPointLightElement>;\r\n    getElementsByTagName(tagname: "fespecularlighting"): NodeListOf<SVGFESpecularLightingElement>;\r\n    getElementsByTagName(tagname: "fespotlight"): NodeListOf<SVGFESpotLightElement>;\r\n    getElementsByTagName(tagname: "fetile"): NodeListOf<SVGFETileElement>;\r\n    getElementsByTagName(tagname: "feturbulence"): NodeListOf<SVGFETurbulenceElement>;\r\n    getElementsByTagName(tagname: "fieldset"): NodeListOf<HTMLFieldSetElement>;\r\n    getElementsByTagName(tagname: "figcaption"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "figure"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "filter"): NodeListOf<SVGFilterElement>;\r\n    getElementsByTagName(tagname: "font"): NodeListOf<HTMLFontElement>;\r\n    getElementsByTagName(tagname: "footer"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "foreignobject"): NodeListOf<SVGForeignObjectElement>;\r\n    getElementsByTagName(tagname: "form"): NodeListOf<HTMLFormElement>;\r\n    getElementsByTagName(tagname: "frame"): NodeListOf<HTMLFrameElement>;\r\n    getElementsByTagName(tagname: "frameset"): NodeListOf<HTMLFrameSetElement>;\r\n    getElementsByTagName(tagname: "g"): NodeListOf<SVGGElement>;\r\n    getElementsByTagName(tagname: "h1"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h2"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h3"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h4"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h5"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h6"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "head"): NodeListOf<HTMLHeadElement>;\r\n    getElementsByTagName(tagname: "header"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "hgroup"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "hr"): NodeListOf<HTMLHRElement>;\r\n    getElementsByTagName(tagname: "html"): NodeListOf<HTMLHtmlElement>;\r\n    getElementsByTagName(tagname: "i"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "iframe"): NodeListOf<HTMLIFrameElement>;\r\n    getElementsByTagName(tagname: "image"): NodeListOf<SVGImageElement>;\r\n    getElementsByTagName(tagname: "img"): NodeListOf<HTMLImageElement>;\r\n    getElementsByTagName(tagname: "input"): NodeListOf<HTMLInputElement>;\r\n    getElementsByTagName(tagname: "ins"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(tagname: "isindex"): NodeListOf<HTMLIsIndexElement>;\r\n    getElementsByTagName(tagname: "kbd"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "keygen"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "label"): NodeListOf<HTMLLabelElement>;\r\n    getElementsByTagName(tagname: "legend"): NodeListOf<HTMLLegendElement>;\r\n    getElementsByTagName(tagname: "li"): NodeListOf<HTMLLIElement>;\r\n    getElementsByTagName(tagname: "line"): NodeListOf<SVGLineElement>;\r\n    getElementsByTagName(tagname: "lineargradient"): NodeListOf<SVGLinearGradientElement>;\r\n    getElementsByTagName(tagname: "link"): NodeListOf<HTMLLinkElement>;\r\n    getElementsByTagName(tagname: "listing"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "map"): NodeListOf<HTMLMapElement>;\r\n    getElementsByTagName(tagname: "mark"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "marker"): NodeListOf<SVGMarkerElement>;\r\n    getElementsByTagName(tagname: "marquee"): NodeListOf<HTMLMarqueeElement>;\r\n    getElementsByTagName(tagname: "mask"): NodeListOf<SVGMaskElement>;\r\n    getElementsByTagName(tagname: "menu"): NodeListOf<HTMLMenuElement>;\r\n    getElementsByTagName(tagname: "meta"): NodeListOf<HTMLMetaElement>;\r\n    getElementsByTagName(tagname: "metadata"): NodeListOf<SVGMetadataElement>;\r\n    getElementsByTagName(tagname: "nav"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "nextid"): NodeListOf<HTMLNextIdElement>;\r\n    getElementsByTagName(tagname: "nobr"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "noframes"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "noscript"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "object"): NodeListOf<HTMLObjectElement>;\r\n    getElementsByTagName(tagname: "ol"): NodeListOf<HTMLOListElement>;\r\n    getElementsByTagName(tagname: "optgroup"): NodeListOf<HTMLOptGroupElement>;\r\n    getElementsByTagName(tagname: "option"): NodeListOf<HTMLOptionElement>;\r\n    getElementsByTagName(tagname: "p"): NodeListOf<HTMLParagraphElement>;\r\n    getElementsByTagName(tagname: "param"): NodeListOf<HTMLParamElement>;\r\n    getElementsByTagName(tagname: "path"): NodeListOf<SVGPathElement>;\r\n    getElementsByTagName(tagname: "pattern"): NodeListOf<SVGPatternElement>;\r\n    getElementsByTagName(tagname: "plaintext"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "polygon"): NodeListOf<SVGPolygonElement>;\r\n    getElementsByTagName(tagname: "polyline"): NodeListOf<SVGPolylineElement>;\r\n    getElementsByTagName(tagname: "pre"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(tagname: "progress"): NodeListOf<HTMLProgressElement>;\r\n    getElementsByTagName(tagname: "q"): NodeListOf<HTMLQuoteElement>;\r\n    getElementsByTagName(tagname: "radialgradient"): NodeListOf<SVGRadialGradientElement>;\r\n    getElementsByTagName(tagname: "rect"): NodeListOf<SVGRectElement>;\r\n    getElementsByTagName(tagname: "rt"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "ruby"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "s"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "samp"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "script"): NodeListOf<HTMLScriptElement>;\r\n    getElementsByTagName(tagname: "section"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "select"): NodeListOf<HTMLSelectElement>;\r\n    getElementsByTagName(tagname: "small"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "source"): NodeListOf<HTMLSourceElement>;\r\n    getElementsByTagName(tagname: "span"): NodeListOf<HTMLSpanElement>;\r\n    getElementsByTagName(tagname: "stop"): NodeListOf<SVGStopElement>;\r\n    getElementsByTagName(tagname: "strike"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "strong"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "style"): NodeListOf<HTMLStyleElement>;\r\n    getElementsByTagName(tagname: "sub"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "sup"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "svg"): NodeListOf<SVGSVGElement>;\r\n    getElementsByTagName(tagname: "switch"): NodeListOf<SVGSwitchElement>;\r\n    getElementsByTagName(tagname: "symbol"): NodeListOf<SVGSymbolElement>;\r\n    getElementsByTagName(tagname: "table"): NodeListOf<HTMLTableElement>;\r\n    getElementsByTagName(tagname: "tbody"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(tagname: "td"): NodeListOf<HTMLTableDataCellElement>;\r\n    getElementsByTagName(tagname: "text"): NodeListOf<SVGTextElement>;\r\n    getElementsByTagName(tagname: "textpath"): NodeListOf<SVGTextPathElement>;\r\n    getElementsByTagName(tagname: "textarea"): NodeListOf<HTMLTextAreaElement>;\r\n    getElementsByTagName(tagname: "tfoot"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(tagname: "th"): NodeListOf<HTMLTableHeaderCellElement>;\r\n    getElementsByTagName(tagname: "thead"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(tagname: "title"): NodeListOf<HTMLTitleElement>;\r\n    getElementsByTagName(tagname: "tr"): NodeListOf<HTMLTableRowElement>;\r\n    getElementsByTagName(tagname: "track"): NodeListOf<HTMLTrackElement>;\r\n    getElementsByTagName(tagname: "tspan"): NodeListOf<SVGTSpanElement>;\r\n    getElementsByTagName(tagname: "tt"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "u"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "ul"): NodeListOf<HTMLUListElement>;\r\n    getElementsByTagName(tagname: "use"): NodeListOf<SVGUseElement>;\r\n    getElementsByTagName(tagname: "var"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "video"): NodeListOf<HTMLVideoElement>;\r\n    getElementsByTagName(tagname: "view"): NodeListOf<SVGViewElement>;\r\n    getElementsByTagName(tagname: "wbr"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "x-ms-webview"): NodeListOf<MSHTMLWebViewElement>;\r\n    getElementsByTagName(tagname: "xmp"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: string): NodeListOf<Element>;\r\n    getElementsByTagNameNS(namespaceURI: string, localName: string): NodeListOf<Element>;\r\n    /**\r\n      * Returns an object representing the current selection of the document that is loaded into the object displaying a webpage.\r\n      */\r\n    getSelection(): Selection;\r\n    /**\r\n      * Gets a value indicating whether the object currently has focus.\r\n      */\r\n    hasFocus(): boolean;\r\n    importNode(importedNode: Node, deep: boolean): Node;\r\n    msElementsFromPoint(x: number, y: number): NodeList;\r\n    msElementsFromRect(left: number, top: number, width: number, height: number): NodeList;\r\n    /**\r\n      * Opens a new window and loads a document specified by a given URL. Also, opens a new window that uses the url parameter and the name parameter to collect the output of the write method and the writeln method.\r\n      * @param url Specifies a MIME type for the document.\r\n      * @param name Specifies the name of the window. This name is used as the value for the TARGET attribute on a form or an anchor element.\r\n      * @param features Contains a list of items separated by commas. Each item consists of an option and a value, separated by an equals sign (for example, "fullscreen=yes, toolbar=yes"). The following values are supported.\r\n      * @param replace Specifies whether the existing entry for the document is replaced in the history list.\r\n      */\r\n    open(url?: string, name?: string, features?: string, replace?: boolean): Document;\r\n    /** \r\n      * Returns a Boolean value that indicates whether a specified command can be successfully executed using execCommand, given the current state of the document.\r\n      * @param commandId Specifies a command identifier.\r\n      */\r\n    queryCommandEnabled(commandId: string): boolean;\r\n    /**\r\n      * Returns a Boolean value that indicates whether the specified command is in the indeterminate state.\r\n      * @param commandId String that specifies a command identifier.\r\n      */\r\n    queryCommandIndeterm(commandId: string): boolean;\r\n    /**\r\n      * Returns a Boolean value that indicates the current state of the command.\r\n      * @param commandId String that specifies a command identifier.\r\n      */\r\n    queryCommandState(commandId: string): boolean;\r\n    /**\r\n      * Returns a Boolean value that indicates whether the current command is supported on the current range.\r\n      * @param commandId Specifies a command identifier.\r\n      */\r\n    queryCommandSupported(commandId: string): boolean;\r\n    /**\r\n      * Retrieves the string associated with a command.\r\n      * @param commandId String that contains the identifier of a command. This can be any command identifier given in the list of Command Identifiers. \r\n      */\r\n    queryCommandText(commandId: string): string;\r\n    /**\r\n      * Returns the current value of the document, range, or current selection for the given command.\r\n      * @param commandId String that specifies a command identifier.\r\n      */\r\n    queryCommandValue(commandId: string): string;\r\n    releaseEvents(): void;\r\n    /**\r\n      * Allows updating the print settings for the page.\r\n      */\r\n    updateSettings(): void;\r\n    webkitCancelFullScreen(): void;\r\n    webkitExitFullscreen(): void;\r\n    /**\r\n      * Writes one or more HTML expressions to a document in the specified window. \r\n      * @param content Specifies the text and HTML tags to write.\r\n      */\r\n    write(...content: string[]): void;\r\n    /**\r\n      * Writes one or more HTML expressions, followed by a carriage return, to a document in the specified window. \r\n      * @param content The text and HTML tags to write.\r\n      */\r\n    writeln(...content: string[]): void;\r\n    createElement(tagName: "picture"): HTMLPictureElement;\r\n    getElementsByTagName(tagname: "picture"): NodeListOf<HTMLPictureElement>;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "fullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "fullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mssitemodejumplistitemremoved", listener: (ev: MSSiteModeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "msthumbnailclick", listener: (ev: MSSiteModeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerlockchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerlockerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "readystatechange", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stop", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Document: {\r\n    prototype: Document;\r\n    new(): Document;\r\n}\r\n\r\ninterface DocumentFragment extends Node, NodeSelector {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var DocumentFragment: {\r\n    prototype: DocumentFragment;\r\n    new(): DocumentFragment;\r\n}\r\n\r\ninterface DocumentType extends Node, ChildNode {\r\n    entities: NamedNodeMap;\r\n    internalSubset: string;\r\n    name: string;\r\n    notations: NamedNodeMap;\r\n    publicId: string;\r\n    systemId: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var DocumentType: {\r\n    prototype: DocumentType;\r\n    new(): DocumentType;\r\n}\r\n\r\ninterface DragEvent extends MouseEvent {\r\n    dataTransfer: DataTransfer;\r\n    initDragEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget, dataTransferArg: DataTransfer): void;\r\n    msConvertURL(file: File, targetType: string, targetURL?: string): void;\r\n}\r\n\r\ndeclare var DragEvent: {\r\n    prototype: DragEvent;\r\n    new(): DragEvent;\r\n}\r\n\r\ninterface DynamicsCompressorNode extends AudioNode {\r\n    attack: AudioParam;\r\n    knee: AudioParam;\r\n    ratio: AudioParam;\r\n    reduction: AudioParam;\r\n    release: AudioParam;\r\n    threshold: AudioParam;\r\n}\r\n\r\ndeclare var DynamicsCompressorNode: {\r\n    prototype: DynamicsCompressorNode;\r\n    new(): DynamicsCompressorNode;\r\n}\r\n\r\ninterface EXT_texture_filter_anisotropic {\r\n    MAX_TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n    TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n}\r\n\r\ndeclare var EXT_texture_filter_anisotropic: {\r\n    prototype: EXT_texture_filter_anisotropic;\r\n    new(): EXT_texture_filter_anisotropic;\r\n    MAX_TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n    TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n}\r\n\r\ninterface Element extends Node, GlobalEventHandlers, ElementTraversal, NodeSelector, ChildNode {\r\n    classList: DOMTokenList;\r\n    clientHeight: number;\r\n    clientLeft: number;\r\n    clientTop: number;\r\n    clientWidth: number;\r\n    msContentZoomFactor: number;\r\n    msRegionOverflow: string;\r\n    onariarequest: (ev: AriaRequestEvent) => any;\r\n    oncommand: (ev: CommandEvent) => any;\r\n    ongotpointercapture: (ev: PointerEvent) => any;\r\n    onlostpointercapture: (ev: PointerEvent) => any;\r\n    onmsgesturechange: (ev: MSGestureEvent) => any;\r\n    onmsgesturedoubletap: (ev: MSGestureEvent) => any;\r\n    onmsgestureend: (ev: MSGestureEvent) => any;\r\n    onmsgesturehold: (ev: MSGestureEvent) => any;\r\n    onmsgesturestart: (ev: MSGestureEvent) => any;\r\n    onmsgesturetap: (ev: MSGestureEvent) => any;\r\n    onmsgotpointercapture: (ev: MSPointerEvent) => any;\r\n    onmsinertiastart: (ev: MSGestureEvent) => any;\r\n    onmslostpointercapture: (ev: MSPointerEvent) => any;\r\n    onmspointercancel: (ev: MSPointerEvent) => any;\r\n    onmspointerdown: (ev: MSPointerEvent) => any;\r\n    onmspointerenter: (ev: MSPointerEvent) => any;\r\n    onmspointerleave: (ev: MSPointerEvent) => any;\r\n    onmspointermove: (ev: MSPointerEvent) => any;\r\n    onmspointerout: (ev: MSPointerEvent) => any;\r\n    onmspointerover: (ev: MSPointerEvent) => any;\r\n    onmspointerup: (ev: MSPointerEvent) => any;\r\n    ontouchcancel: (ev: TouchEvent) => any;\r\n    ontouchend: (ev: TouchEvent) => any;\r\n    ontouchmove: (ev: TouchEvent) => any;\r\n    ontouchstart: (ev: TouchEvent) => any;\r\n    onwebkitfullscreenchange: (ev: Event) => any;\r\n    onwebkitfullscreenerror: (ev: Event) => any;\r\n    scrollHeight: number;\r\n    scrollLeft: number;\r\n    scrollTop: number;\r\n    scrollWidth: number;\r\n    tagName: string;\r\n    id: string;\r\n    className: string;\r\n    innerHTML: string;\r\n    getAttribute(name?: string): string;\r\n    getAttributeNS(namespaceURI: string, localName: string): string;\r\n    getAttributeNode(name: string): Attr;\r\n    getAttributeNodeNS(namespaceURI: string, localName: string): Attr;\r\n    getBoundingClientRect(): ClientRect;\r\n    getClientRects(): ClientRectList;\r\n    getElementsByTagName(name: "a"): NodeListOf<HTMLAnchorElement>;\r\n    getElementsByTagName(name: "abbr"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "acronym"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "address"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "applet"): NodeListOf<HTMLAppletElement>;\r\n    getElementsByTagName(name: "area"): NodeListOf<HTMLAreaElement>;\r\n    getElementsByTagName(name: "article"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "aside"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "audio"): NodeListOf<HTMLAudioElement>;\r\n    getElementsByTagName(name: "b"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "base"): NodeListOf<HTMLBaseElement>;\r\n    getElementsByTagName(name: "basefont"): NodeListOf<HTMLBaseFontElement>;\r\n    getElementsByTagName(name: "bdo"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "big"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "blockquote"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "body"): NodeListOf<HTMLBodyElement>;\r\n    getElementsByTagName(name: "br"): NodeListOf<HTMLBRElement>;\r\n    getElementsByTagName(name: "button"): NodeListOf<HTMLButtonElement>;\r\n    getElementsByTagName(name: "canvas"): NodeListOf<HTMLCanvasElement>;\r\n    getElementsByTagName(name: "caption"): NodeListOf<HTMLTableCaptionElement>;\r\n    getElementsByTagName(name: "center"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "circle"): NodeListOf<SVGCircleElement>;\r\n    getElementsByTagName(name: "cite"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "clippath"): NodeListOf<SVGClipPathElement>;\r\n    getElementsByTagName(name: "code"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "col"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(name: "colgroup"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(name: "datalist"): NodeListOf<HTMLDataListElement>;\r\n    getElementsByTagName(name: "dd"): NodeListOf<HTMLDDElement>;\r\n    getElementsByTagName(name: "defs"): NodeListOf<SVGDefsElement>;\r\n    getElementsByTagName(name: "del"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(name: "desc"): NodeListOf<SVGDescElement>;\r\n    getElementsByTagName(name: "dfn"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "dir"): NodeListOf<HTMLDirectoryElement>;\r\n    getElementsByTagName(name: "div"): NodeListOf<HTMLDivElement>;\r\n    getElementsByTagName(name: "dl"): NodeListOf<HTMLDListElement>;\r\n    getElementsByTagName(name: "dt"): NodeListOf<HTMLDTElement>;\r\n    getElementsByTagName(name: "ellipse"): NodeListOf<SVGEllipseElement>;\r\n    getElementsByTagName(name: "em"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "embed"): NodeListOf<HTMLEmbedElement>;\r\n    getElementsByTagName(name: "feblend"): NodeListOf<SVGFEBlendElement>;\r\n    getElementsByTagName(name: "fecolormatrix"): NodeListOf<SVGFEColorMatrixElement>;\r\n    getElementsByTagName(name: "fecomponenttransfer"): NodeListOf<SVGFEComponentTransferElement>;\r\n    getElementsByTagName(name: "fecomposite"): NodeListOf<SVGFECompositeElement>;\r\n    getElementsByTagName(name: "feconvolvematrix"): NodeListOf<SVGFEConvolveMatrixElement>;\r\n    getElementsByTagName(name: "fediffuselighting"): NodeListOf<SVGFEDiffuseLightingElement>;\r\n    getElementsByTagName(name: "fedisplacementmap"): NodeListOf<SVGFEDisplacementMapElement>;\r\n    getElementsByTagName(name: "fedistantlight"): NodeListOf<SVGFEDistantLightElement>;\r\n    getElementsByTagName(name: "feflood"): NodeListOf<SVGFEFloodElement>;\r\n    getElementsByTagName(name: "fefunca"): NodeListOf<SVGFEFuncAElement>;\r\n    getElementsByTagName(name: "fefuncb"): NodeListOf<SVGFEFuncBElement>;\r\n    getElementsByTagName(name: "fefuncg"): NodeListOf<SVGFEFuncGElement>;\r\n    getElementsByTagName(name: "fefuncr"): NodeListOf<SVGFEFuncRElement>;\r\n    getElementsByTagName(name: "fegaussianblur"): NodeListOf<SVGFEGaussianBlurElement>;\r\n    getElementsByTagName(name: "feimage"): NodeListOf<SVGFEImageElement>;\r\n    getElementsByTagName(name: "femerge"): NodeListOf<SVGFEMergeElement>;\r\n    getElementsByTagName(name: "femergenode"): NodeListOf<SVGFEMergeNodeElement>;\r\n    getElementsByTagName(name: "femorphology"): NodeListOf<SVGFEMorphologyElement>;\r\n    getElementsByTagName(name: "feoffset"): NodeListOf<SVGFEOffsetElement>;\r\n    getElementsByTagName(name: "fepointlight"): NodeListOf<SVGFEPointLightElement>;\r\n    getElementsByTagName(name: "fespecularlighting"): NodeListOf<SVGFESpecularLightingElement>;\r\n    getElementsByTagName(name: "fespotlight"): NodeListOf<SVGFESpotLightElement>;\r\n    getElementsByTagName(name: "fetile"): NodeListOf<SVGFETileElement>;\r\n    getElementsByTagName(name: "feturbulence"): NodeListOf<SVGFETurbulenceElement>;\r\n    getElementsByTagName(name: "fieldset"): NodeListOf<HTMLFieldSetElement>;\r\n    getElementsByTagName(name: "figcaption"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "figure"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "filter"): NodeListOf<SVGFilterElement>;\r\n    getElementsByTagName(name: "font"): NodeListOf<HTMLFontElement>;\r\n    getElementsByTagName(name: "footer"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "foreignobject"): NodeListOf<SVGForeignObjectElement>;\r\n    getElementsByTagName(name: "form"): NodeListOf<HTMLFormElement>;\r\n    getElementsByTagName(name: "frame"): NodeListOf<HTMLFrameElement>;\r\n    getElementsByTagName(name: "frameset"): NodeListOf<HTMLFrameSetElement>;\r\n    getElementsByTagName(name: "g"): NodeListOf<SVGGElement>;\r\n    getElementsByTagName(name: "h1"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h2"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h3"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h4"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h5"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h6"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "head"): NodeListOf<HTMLHeadElement>;\r\n    getElementsByTagName(name: "header"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "hgroup"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "hr"): NodeListOf<HTMLHRElement>;\r\n    getElementsByTagName(name: "html"): NodeListOf<HTMLHtmlElement>;\r\n    getElementsByTagName(name: "i"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "iframe"): NodeListOf<HTMLIFrameElement>;\r\n    getElementsByTagName(name: "image"): NodeListOf<SVGImageElement>;\r\n    getElementsByTagName(name: "img"): NodeListOf<HTMLImageElement>;\r\n    getElementsByTagName(name: "input"): NodeListOf<HTMLInputElement>;\r\n    getElementsByTagName(name: "ins"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(name: "isindex"): NodeListOf<HTMLIsIndexElement>;\r\n    getElementsByTagName(name: "kbd"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "keygen"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "label"): NodeListOf<HTMLLabelElement>;\r\n    getElementsByTagName(name: "legend"): NodeListOf<HTMLLegendElement>;\r\n    getElementsByTagName(name: "li"): NodeListOf<HTMLLIElement>;\r\n    getElementsByTagName(name: "line"): NodeListOf<SVGLineElement>;\r\n    getElementsByTagName(name: "lineargradient"): NodeListOf<SVGLinearGradientElement>;\r\n    getElementsByTagName(name: "link"): NodeListOf<HTMLLinkElement>;\r\n    getElementsByTagName(name: "listing"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "map"): NodeListOf<HTMLMapElement>;\r\n    getElementsByTagName(name: "mark"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "marker"): NodeListOf<SVGMarkerElement>;\r\n    getElementsByTagName(name: "marquee"): NodeListOf<HTMLMarqueeElement>;\r\n    getElementsByTagName(name: "mask"): NodeListOf<SVGMaskElement>;\r\n    getElementsByTagName(name: "menu"): NodeListOf<HTMLMenuElement>;\r\n    getElementsByTagName(name: "meta"): NodeListOf<HTMLMetaElement>;\r\n    getElementsByTagName(name: "metadata"): NodeListOf<SVGMetadataElement>;\r\n    getElementsByTagName(name: "nav"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "nextid"): NodeListOf<HTMLNextIdElement>;\r\n    getElementsByTagName(name: "nobr"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "noframes"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "noscript"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "object"): NodeListOf<HTMLObjectElement>;\r\n    getElementsByTagName(name: "ol"): NodeListOf<HTMLOListElement>;\r\n    getElementsByTagName(name: "optgroup"): NodeListOf<HTMLOptGroupElement>;\r\n    getElementsByTagName(name: "option"): NodeListOf<HTMLOptionElement>;\r\n    getElementsByTagName(name: "p"): NodeListOf<HTMLParagraphElement>;\r\n    getElementsByTagName(name: "param"): NodeListOf<HTMLParamElement>;\r\n    getElementsByTagName(name: "path"): NodeListOf<SVGPathElement>;\r\n    getElementsByTagName(name: "pattern"): NodeListOf<SVGPatternElement>;\r\n    getElementsByTagName(name: "plaintext"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "polygon"): NodeListOf<SVGPolygonElement>;\r\n    getElementsByTagName(name: "polyline"): NodeListOf<SVGPolylineElement>;\r\n    getElementsByTagName(name: "pre"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(name: "progress"): NodeListOf<HTMLProgressElement>;\r\n    getElementsByTagName(name: "q"): NodeListOf<HTMLQuoteElement>;\r\n    getElementsByTagName(name: "radialgradient"): NodeListOf<SVGRadialGradientElement>;\r\n    getElementsByTagName(name: "rect"): NodeListOf<SVGRectElement>;\r\n    getElementsByTagName(name: "rt"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "ruby"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "s"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "samp"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "script"): NodeListOf<HTMLScriptElement>;\r\n    getElementsByTagName(name: "section"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "select"): NodeListOf<HTMLSelectElement>;\r\n    getElementsByTagName(name: "small"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "source"): NodeListOf<HTMLSourceElement>;\r\n    getElementsByTagName(name: "span"): NodeListOf<HTMLSpanElement>;\r\n    getElementsByTagName(name: "stop"): NodeListOf<SVGStopElement>;\r\n    getElementsByTagName(name: "strike"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "strong"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "style"): NodeListOf<HTMLStyleElement>;\r\n    getElementsByTagName(name: "sub"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "sup"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "svg"): NodeListOf<SVGSVGElement>;\r\n    getElementsByTagName(name: "switch"): NodeListOf<SVGSwitchElement>;\r\n    getElementsByTagName(name: "symbol"): NodeListOf<SVGSymbolElement>;\r\n    getElementsByTagName(name: "table"): NodeListOf<HTMLTableElement>;\r\n    getElementsByTagName(name: "tbody"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(name: "td"): NodeListOf<HTMLTableDataCellElement>;\r\n    getElementsByTagName(name: "text"): NodeListOf<SVGTextElement>;\r\n    getElementsByTagName(name: "textpath"): NodeListOf<SVGTextPathElement>;\r\n    getElementsByTagName(name: "textarea"): NodeListOf<HTMLTextAreaElement>;\r\n    getElementsByTagName(name: "tfoot"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(name: "th"): NodeListOf<HTMLTableHeaderCellElement>;\r\n    getElementsByTagName(name: "thead"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(name: "title"): NodeListOf<HTMLTitleElement>;\r\n    getElementsByTagName(name: "tr"): NodeListOf<HTMLTableRowElement>;\r\n    getElementsByTagName(name: "track"): NodeListOf<HTMLTrackElement>;\r\n    getElementsByTagName(name: "tspan"): NodeListOf<SVGTSpanElement>;\r\n    getElementsByTagName(name: "tt"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "u"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "ul"): NodeListOf<HTMLUListElement>;\r\n    getElementsByTagName(name: "use"): NodeListOf<SVGUseElement>;\r\n    getElementsByTagName(name: "var"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "video"): NodeListOf<HTMLVideoElement>;\r\n    getElementsByTagName(name: "view"): NodeListOf<SVGViewElement>;\r\n    getElementsByTagName(name: "wbr"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "x-ms-webview"): NodeListOf<MSHTMLWebViewElement>;\r\n    getElementsByTagName(name: "xmp"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: string): NodeListOf<Element>;\r\n    getElementsByTagNameNS(namespaceURI: string, localName: string): NodeListOf<Element>;\r\n    hasAttribute(name: string): boolean;\r\n    hasAttributeNS(namespaceURI: string, localName: string): boolean;\r\n    msGetRegionContent(): MSRangeCollection;\r\n    msGetUntransformedBounds(): ClientRect;\r\n    msMatchesSelector(selectors: string): boolean;\r\n    msReleasePointerCapture(pointerId: number): void;\r\n    msSetPointerCapture(pointerId: number): void;\r\n    msZoomTo(args: MsZoomToOptions): void;\r\n    releasePointerCapture(pointerId: number): void;\r\n    removeAttribute(name?: string): void;\r\n    removeAttributeNS(namespaceURI: string, localName: string): void;\r\n    removeAttributeNode(oldAttr: Attr): Attr;\r\n    requestFullscreen(): void;\r\n    requestPointerLock(): void;\r\n    setAttribute(name: string, value: string): void;\r\n    setAttributeNS(namespaceURI: string, qualifiedName: string, value: string): void;\r\n    setAttributeNode(newAttr: Attr): Attr;\r\n    setAttributeNodeNS(newAttr: Attr): Attr;\r\n    setPointerCapture(pointerId: number): void;\r\n    webkitMatchesSelector(selectors: string): boolean;\r\n    webkitRequestFullScreen(): void;\r\n    webkitRequestFullscreen(): void;\r\n    getElementsByClassName(classNames: string): NodeListOf<Element>;\r\n    matches(selector: string): boolean;\r\n    getElementsByTagName(tagname: "picture"): NodeListOf<HTMLPictureElement>;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Element: {\r\n    prototype: Element;\r\n    new(): Element;\r\n}\r\n\r\ninterface ErrorEvent extends Event {\r\n    colno: number;\r\n    error: any;\r\n    filename: string;\r\n    lineno: number;\r\n    message: string;\r\n    initErrorEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, messageArg: string, filenameArg: string, linenoArg: number): void;\r\n}\r\n\r\ndeclare var ErrorEvent: {\r\n    prototype: ErrorEvent;\r\n    new(): ErrorEvent;\r\n}\r\n\r\ninterface Event {\r\n    bubbles: boolean;\r\n    cancelBubble: boolean;\r\n    cancelable: boolean;\r\n    currentTarget: EventTarget;\r\n    defaultPrevented: boolean;\r\n    eventPhase: number;\r\n    isTrusted: boolean;\r\n    returnValue: boolean;\r\n    srcElement: Element;\r\n    target: EventTarget;\r\n    timeStamp: number;\r\n    type: string;\r\n    initEvent(eventTypeArg: string, canBubbleArg: boolean, cancelableArg: boolean): void;\r\n    preventDefault(): void;\r\n    stopImmediatePropagation(): void;\r\n    stopPropagation(): void;\r\n    AT_TARGET: number;\r\n    BUBBLING_PHASE: number;\r\n    CAPTURING_PHASE: number;\r\n}\r\n\r\ndeclare var Event: {\r\n    prototype: Event;\r\n    new(type: string, eventInitDict?: EventInit): Event;\r\n    AT_TARGET: number;\r\n    BUBBLING_PHASE: number;\r\n    CAPTURING_PHASE: number;\r\n}\r\n\r\ninterface EventTarget {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    dispatchEvent(evt: Event): boolean;\r\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var EventTarget: {\r\n    prototype: EventTarget;\r\n    new(): EventTarget;\r\n}\r\n\r\ninterface External {\r\n}\r\n\r\ndeclare var External: {\r\n    prototype: External;\r\n    new(): External;\r\n}\r\n\r\ninterface File extends Blob {\r\n    lastModifiedDate: any;\r\n    name: string;\r\n}\r\n\r\ndeclare var File: {\r\n    prototype: File;\r\n    new (parts: (ArrayBuffer | ArrayBufferView | Blob | string)[], filename: string, properties?: FilePropertyBag): File;\r\n}\r\n\r\ninterface FileList {\r\n    length: number;\r\n    item(index: number): File;\r\n    [index: number]: File;\r\n}\r\n\r\ndeclare var FileList: {\r\n    prototype: FileList;\r\n    new(): FileList;\r\n}\r\n\r\ninterface FileReader extends EventTarget, MSBaseReader {\r\n    error: DOMError;\r\n    readAsArrayBuffer(blob: Blob): void;\r\n    readAsBinaryString(blob: Blob): void;\r\n    readAsDataURL(blob: Blob): void;\r\n    readAsText(blob: Blob, encoding?: string): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var FileReader: {\r\n    prototype: FileReader;\r\n    new(): FileReader;\r\n}\r\n\r\ninterface FocusEvent extends UIEvent {\r\n    relatedTarget: EventTarget;\r\n    initFocusEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, relatedTargetArg: EventTarget): void;\r\n}\r\n\r\ndeclare var FocusEvent: {\r\n    prototype: FocusEvent;\r\n    new(typeArg: string, eventInitDict?: FocusEventInit): FocusEvent;\r\n}\r\n\r\ninterface FormData {\r\n    append(name: any, value: any, blobName?: string): void;\r\n}\r\n\r\ndeclare var FormData: {\r\n    prototype: FormData;\r\n    new (form?: HTMLFormElement): FormData;\r\n}\r\n\r\ninterface GainNode extends AudioNode {\r\n    gain: AudioParam;\r\n}\r\n\r\ndeclare var GainNode: {\r\n    prototype: GainNode;\r\n    new(): GainNode;\r\n}\r\n\r\ninterface Gamepad {\r\n    axes: number[];\r\n    buttons: GamepadButton[];\r\n    connected: boolean;\r\n    id: string;\r\n    index: number;\r\n    mapping: string;\r\n    timestamp: number;\r\n}\r\n\r\ndeclare var Gamepad: {\r\n    prototype: Gamepad;\r\n    new(): Gamepad;\r\n}\r\n\r\ninterface GamepadButton {\r\n    pressed: boolean;\r\n    value: number;\r\n}\r\n\r\ndeclare var GamepadButton: {\r\n    prototype: GamepadButton;\r\n    new(): GamepadButton;\r\n}\r\n\r\ninterface GamepadEvent extends Event {\r\n    gamepad: Gamepad;\r\n}\r\n\r\ndeclare var GamepadEvent: {\r\n    prototype: GamepadEvent;\r\n    new(): GamepadEvent;\r\n}\r\n\r\ninterface Geolocation {\r\n    clearWatch(watchId: number): void;\r\n    getCurrentPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback, options?: PositionOptions): void;\r\n    watchPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback, options?: PositionOptions): number;\r\n}\r\n\r\ndeclare var Geolocation: {\r\n    prototype: Geolocation;\r\n    new(): Geolocation;\r\n}\r\n\r\ninterface HTMLAllCollection extends HTMLCollection {\r\n    namedItem(name: string): Element;\r\n}\r\n\r\ndeclare var HTMLAllCollection: {\r\n    prototype: HTMLAllCollection;\r\n    new(): HTMLAllCollection;\r\n}\r\n\r\ninterface HTMLAnchorElement extends HTMLElement {\r\n    Methods: string;\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Sets or retrieves the coordinates of the object.\r\n      */\r\n    coords: string;\r\n    /**\r\n      * Contains the anchor portion of the URL including the hash sign (#).\r\n      */\r\n    hash: string;\r\n    /**\r\n      * Contains the hostname and port values of the URL.\r\n      */\r\n    host: string;\r\n    /**\r\n      * Contains the hostname of a URL.\r\n      */\r\n    hostname: string;\r\n    /**\r\n      * Sets or retrieves a destination URL or an anchor point.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or retrieves the language code of the object.\r\n      */\r\n    hreflang: string;\r\n    mimeType: string;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    name: string;\r\n    nameProp: string;\r\n    /**\r\n      * Contains the pathname of the URL.\r\n      */\r\n    pathname: string;\r\n    /**\r\n      * Sets or retrieves the port number associated with a URL.\r\n      */\r\n    port: string;\r\n    /**\r\n      * Contains the protocol of the URL.\r\n      */\r\n    protocol: string;\r\n    protocolLong: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rel: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rev: string;\r\n    /**\r\n      * Sets or retrieves the substring of the href property that follows the question mark.\r\n      */\r\n    search: string;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    shape: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /**\r\n      * Retrieves or sets the text of the object as a string. \r\n      */\r\n    text: string;\r\n    type: string;\r\n    urn: string;\r\n    /** \r\n      * Returns a string representation of an object.\r\n      */\r\n    toString(): string;\r\n}\r\n\r\ndeclare var HTMLAnchorElement: {\r\n    prototype: HTMLAnchorElement;\r\n    new(): HTMLAnchorElement;\r\n}\r\n\r\ninterface HTMLAppletElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a string of the URL where the object tag can be found. This is often the href of the document that the object is in, or the value set by a base element.\r\n      */\r\n    BaseHref: string;\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Gets or sets the optional alternative HTML script to execute if the object fails to load.\r\n      */\r\n    altHtml: string;\r\n    /**\r\n      * Sets or retrieves a character string that can be used to implement your own archive functionality for the object.\r\n      */\r\n    archive: string;\r\n    border: string;\r\n    code: string;\r\n    /**\r\n      * Sets or retrieves the URL of the component.\r\n      */\r\n    codeBase: string;\r\n    /**\r\n      * Sets or retrieves the Internet media type for the code associated with the object.\r\n      */\r\n    codeType: string;\r\n    /**\r\n      * Address of a pointer to the document this page or frame contains. If there is no document, then null will be returned.\r\n      */\r\n    contentDocument: Document;\r\n    /**\r\n      * Sets or retrieves the URL that references the data of the object.\r\n      */\r\n    data: string;\r\n    /**\r\n      * Sets or retrieves a character string that can be used to implement your own declare functionality for the object.\r\n      */\r\n    declare: boolean;\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    hspace: number;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    name: string;\r\n    object: string;\r\n    /**\r\n      * Sets or retrieves a message to be displayed while an object is loading.\r\n      */\r\n    standby: string;\r\n    /**\r\n      * Returns the content type of the object.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    vspace: number;\r\n    width: number;\r\n}\r\n\r\ndeclare var HTMLAppletElement: {\r\n    prototype: HTMLAppletElement;\r\n    new(): HTMLAppletElement;\r\n}\r\n\r\ninterface HTMLAreaElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Sets or retrieves the coordinates of the object.\r\n      */\r\n    coords: string;\r\n    /**\r\n      * Sets or retrieves the subsection of the href property that follows the number sign (#).\r\n      */\r\n    hash: string;\r\n    /**\r\n      * Sets or retrieves the hostname and port number of the location or URL.\r\n      */\r\n    host: string;\r\n    /**\r\n      * Sets or retrieves the host name part of the location or URL. \r\n      */\r\n    hostname: string;\r\n    /**\r\n      * Sets or retrieves a destination URL or an anchor point.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or gets whether clicks in this region cause action.\r\n      */\r\n    noHref: boolean;\r\n    /**\r\n      * Sets or retrieves the file name or path specified by the object.\r\n      */\r\n    pathname: string;\r\n    /**\r\n      * Sets or retrieves the port number associated with a URL.\r\n      */\r\n    port: string;\r\n    /**\r\n      * Sets or retrieves the protocol portion of a URL.\r\n      */\r\n    protocol: string;\r\n    rel: string;\r\n    /**\r\n      * Sets or retrieves the substring of the href property that follows the question mark.\r\n      */\r\n    search: string;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    shape: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /** \r\n      * Returns a string representation of an object.\r\n      */\r\n    toString(): string;\r\n}\r\n\r\ndeclare var HTMLAreaElement: {\r\n    prototype: HTMLAreaElement;\r\n    new(): HTMLAreaElement;\r\n}\r\n\r\ninterface HTMLAreasCollection extends HTMLCollection {\r\n    /**\r\n      * Adds an element to the areas, controlRange, or options collection.\r\n      */\r\n    add(element: HTMLElement, before?: HTMLElement | number): void;\r\n    /**\r\n      * Removes an element from the collection.\r\n      */\r\n    remove(index?: number): void;\r\n}\r\n\r\ndeclare var HTMLAreasCollection: {\r\n    prototype: HTMLAreasCollection;\r\n    new(): HTMLAreasCollection;\r\n}\r\n\r\ninterface HTMLAudioElement extends HTMLMediaElement {\r\n}\r\n\r\ndeclare var HTMLAudioElement: {\r\n    prototype: HTMLAudioElement;\r\n    new(): HTMLAudioElement;\r\n}\r\n\r\ninterface HTMLBRElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the side on which floating objects are not to be positioned when any IHTMLBlockElement is inserted into the document.\r\n      */\r\n    clear: string;\r\n}\r\n\r\ndeclare var HTMLBRElement: {\r\n    prototype: HTMLBRElement;\r\n    new(): HTMLBRElement;\r\n}\r\n\r\ninterface HTMLBaseElement extends HTMLElement {\r\n    /**\r\n      * Gets or sets the baseline URL on which relative links are based.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n}\r\n\r\ndeclare var HTMLBaseElement: {\r\n    prototype: HTMLBaseElement;\r\n    new(): HTMLBaseElement;\r\n}\r\n\r\ninterface HTMLBaseFontElement extends HTMLElement, DOML2DeprecatedColorProperty {\r\n    /**\r\n      * Sets or retrieves the current typeface family.\r\n      */\r\n    face: string;\r\n    /**\r\n      * Sets or retrieves the font size of the object.\r\n      */\r\n    size: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLBaseFontElement: {\r\n    prototype: HTMLBaseFontElement;\r\n    new(): HTMLBaseFontElement;\r\n}\r\n\r\ninterface HTMLBlockElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n    clear: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: number;\r\n}\r\n\r\ndeclare var HTMLBlockElement: {\r\n    prototype: HTMLBlockElement;\r\n    new(): HTMLBlockElement;\r\n}\r\n\r\ninterface HTMLBodyElement extends HTMLElement {\r\n    aLink: any;\r\n    background: string;\r\n    bgColor: any;\r\n    bgProperties: string;\r\n    link: any;\r\n    noWrap: boolean;\r\n    onafterprint: (ev: Event) => any;\r\n    onbeforeprint: (ev: Event) => any;\r\n    onbeforeunload: (ev: BeforeUnloadEvent) => any;\r\n    onblur: (ev: FocusEvent) => any;\r\n    onerror: (ev: Event) => any;\r\n    onfocus: (ev: FocusEvent) => any;\r\n    onhashchange: (ev: HashChangeEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onmessage: (ev: MessageEvent) => any;\r\n    onoffline: (ev: Event) => any;\r\n    ononline: (ev: Event) => any;\r\n    onorientationchange: (ev: Event) => any;\r\n    onpagehide: (ev: PageTransitionEvent) => any;\r\n    onpageshow: (ev: PageTransitionEvent) => any;\r\n    onpopstate: (ev: PopStateEvent) => any;\r\n    onresize: (ev: UIEvent) => any;\r\n    onstorage: (ev: StorageEvent) => any;\r\n    onunload: (ev: Event) => any;\r\n    text: any;\r\n    vLink: any;\r\n    createTextRange(): TextRange;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "afterprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeunload", listener: (ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "hashchange", listener: (ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "offline", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "online", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "orientationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pagehide", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pageshow", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "popstate", listener: (ev: PopStateEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "storage", listener: (ev: StorageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "unload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLBodyElement: {\r\n    prototype: HTMLBodyElement;\r\n    new(): HTMLBodyElement;\r\n}\r\n\r\ninterface HTMLButtonElement extends HTMLElement {\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Overrides the action attribute (where the data on a form is sent) on the parent form element.\r\n      */\r\n    formAction: string;\r\n    /**\r\n      * Used to override the encoding (formEnctype attribute) specified on the form element.\r\n      */\r\n    formEnctype: string;\r\n    /**\r\n      * Overrides the submit method attribute previously specified on a form element.\r\n      */\r\n    formMethod: string;\r\n    /**\r\n      * Overrides any validation or required attributes on a form or form elements to allow it to be submitted without validation. This can be used to create a "save draft"-type submit option.\r\n      */\r\n    formNoValidate: string;\r\n    /**\r\n      * Overrides the target attribute on a form element.\r\n      */\r\n    formTarget: string;\r\n    /** \r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    status: any;\r\n    /**\r\n      * Gets the classification and default behavior of the button.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /** \r\n      * Sets or retrieves the default or selected value of the control.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Creates a TextRange object for the element.\r\n      */\r\n    createTextRange(): TextRange;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n}\r\n\r\ndeclare var HTMLButtonElement: {\r\n    prototype: HTMLButtonElement;\r\n    new(): HTMLButtonElement;\r\n}\r\n\r\ninterface HTMLCanvasElement extends HTMLElement {\r\n    /**\r\n      * Gets or sets the height of a canvas element on a document.\r\n      */\r\n    height: number;\r\n    /**\r\n      * Gets or sets the width of a canvas element on a document.\r\n      */\r\n    width: number;\r\n    /**\r\n      * Returns an object that provides methods and properties for drawing and manipulating images and graphics on a canvas element in a document. A context object includes information about colors, line widths, fonts, and other graphic parameters that can be drawn on a canvas.\r\n      * @param contextId The identifier (ID) of the type of canvas to create. Internet Explorer 9 and Internet Explorer 10 support only a 2-D context using canvas.getContext("2d"); IE11 Preview also supports 3-D or WebGL context using canvas.getContext("experimental-webgl");\r\n      */\r\n    getContext(contextId: "2d"): CanvasRenderingContext2D;\r\n    getContext(contextId: "experimental-webgl"): WebGLRenderingContext;\r\n    getContext(contextId: string, ...args: any[]): CanvasRenderingContext2D | WebGLRenderingContext;\r\n    /**\r\n      * Returns a blob object encoded as a Portable Network Graphics (PNG) format from a canvas image or drawing.\r\n      */\r\n    msToBlob(): Blob;\r\n    /**\r\n      * Returns the content of the current canvas as an image that you can use as a source for another canvas or an HTML element.\r\n      * @param type The standard MIME type for the image format to return. If you do not specify this parameter, the default value is a PNG format image.\r\n      */\r\n    toDataURL(type?: string, ...args: any[]): string;\r\n    toBlob(): Blob;\r\n}\r\n\r\ndeclare var HTMLCanvasElement: {\r\n    prototype: HTMLCanvasElement;\r\n    new(): HTMLCanvasElement;\r\n}\r\n\r\ninterface HTMLCollection {\r\n    /**\r\n      * Sets or retrieves the number of objects in a collection.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Retrieves an object from various collections.\r\n      */\r\n    item(nameOrIndex?: any, optionalIndex?: any): Element;\r\n    /**\r\n      * Retrieves a select object or an object from an options collection.\r\n      */\r\n    namedItem(name: string): Element;\r\n    [index: number]: Element;\r\n}\r\n\r\ndeclare var HTMLCollection: {\r\n    prototype: HTMLCollection;\r\n    new(): HTMLCollection;\r\n}\r\n\r\ninterface HTMLDDElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n}\r\n\r\ndeclare var HTMLDDElement: {\r\n    prototype: HTMLDDElement;\r\n    new(): HTMLDDElement;\r\n}\r\n\r\ninterface HTMLDListElement extends HTMLElement {\r\n    compact: boolean;\r\n}\r\n\r\ndeclare var HTMLDListElement: {\r\n    prototype: HTMLDListElement;\r\n    new(): HTMLDListElement;\r\n}\r\n\r\ninterface HTMLDTElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n}\r\n\r\ndeclare var HTMLDTElement: {\r\n    prototype: HTMLDTElement;\r\n    new(): HTMLDTElement;\r\n}\r\n\r\ninterface HTMLDataListElement extends HTMLElement {\r\n    options: HTMLCollection;\r\n}\r\n\r\ndeclare var HTMLDataListElement: {\r\n    prototype: HTMLDataListElement;\r\n    new(): HTMLDataListElement;\r\n}\r\n\r\ninterface HTMLDirectoryElement extends HTMLElement {\r\n    compact: boolean;\r\n}\r\n\r\ndeclare var HTMLDirectoryElement: {\r\n    prototype: HTMLDirectoryElement;\r\n    new(): HTMLDirectoryElement;\r\n}\r\n\r\ninterface HTMLDivElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text. \r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n}\r\n\r\ndeclare var HTMLDivElement: {\r\n    prototype: HTMLDivElement;\r\n    new(): HTMLDivElement;\r\n}\r\n\r\ninterface HTMLDocument extends Document {\r\n}\r\n\r\ndeclare var HTMLDocument: {\r\n    prototype: HTMLDocument;\r\n    new(): HTMLDocument;\r\n}\r\n\r\ninterface HTMLElement extends Element {\r\n    accessKey: string;\r\n    children: HTMLCollection;\r\n    contentEditable: string;\r\n    dataset: DOMStringMap;\r\n    dir: string;\r\n    draggable: boolean;\r\n    hidden: boolean;\r\n    hideFocus: boolean;\r\n    innerHTML: string;\r\n    innerText: string;\r\n    isContentEditable: boolean;\r\n    lang: string;\r\n    offsetHeight: number;\r\n    offsetLeft: number;\r\n    offsetParent: Element;\r\n    offsetTop: number;\r\n    offsetWidth: number;\r\n    onabort: (ev: Event) => any;\r\n    onactivate: (ev: UIEvent) => any;\r\n    onbeforeactivate: (ev: UIEvent) => any;\r\n    onbeforecopy: (ev: DragEvent) => any;\r\n    onbeforecut: (ev: DragEvent) => any;\r\n    onbeforedeactivate: (ev: UIEvent) => any;\r\n    onbeforepaste: (ev: DragEvent) => any;\r\n    onblur: (ev: FocusEvent) => any;\r\n    oncanplay: (ev: Event) => any;\r\n    oncanplaythrough: (ev: Event) => any;\r\n    onchange: (ev: Event) => any;\r\n    onclick: (ev: MouseEvent) => any;\r\n    oncontextmenu: (ev: PointerEvent) => any;\r\n    oncopy: (ev: DragEvent) => any;\r\n    oncuechange: (ev: Event) => any;\r\n    oncut: (ev: DragEvent) => any;\r\n    ondblclick: (ev: MouseEvent) => any;\r\n    ondeactivate: (ev: UIEvent) => any;\r\n    ondrag: (ev: DragEvent) => any;\r\n    ondragend: (ev: DragEvent) => any;\r\n    ondragenter: (ev: DragEvent) => any;\r\n    ondragleave: (ev: DragEvent) => any;\r\n    ondragover: (ev: DragEvent) => any;\r\n    ondragstart: (ev: DragEvent) => any;\r\n    ondrop: (ev: DragEvent) => any;\r\n    ondurationchange: (ev: Event) => any;\r\n    onemptied: (ev: Event) => any;\r\n    onended: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onfocus: (ev: FocusEvent) => any;\r\n    oninput: (ev: Event) => any;\r\n    onkeydown: (ev: KeyboardEvent) => any;\r\n    onkeypress: (ev: KeyboardEvent) => any;\r\n    onkeyup: (ev: KeyboardEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onloadeddata: (ev: Event) => any;\r\n    onloadedmetadata: (ev: Event) => any;\r\n    onloadstart: (ev: Event) => any;\r\n    onmousedown: (ev: MouseEvent) => any;\r\n    onmouseenter: (ev: MouseEvent) => any;\r\n    onmouseleave: (ev: MouseEvent) => any;\r\n    onmousemove: (ev: MouseEvent) => any;\r\n    onmouseout: (ev: MouseEvent) => any;\r\n    onmouseover: (ev: MouseEvent) => any;\r\n    onmouseup: (ev: MouseEvent) => any;\r\n    onmousewheel: (ev: MouseWheelEvent) => any;\r\n    onmscontentzoom: (ev: UIEvent) => any;\r\n    onmsmanipulationstatechanged: (ev: MSManipulationEvent) => any;\r\n    onpaste: (ev: DragEvent) => any;\r\n    onpause: (ev: Event) => any;\r\n    onplay: (ev: Event) => any;\r\n    onplaying: (ev: Event) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    onratechange: (ev: Event) => any;\r\n    onreset: (ev: Event) => any;\r\n    onscroll: (ev: UIEvent) => any;\r\n    onseeked: (ev: Event) => any;\r\n    onseeking: (ev: Event) => any;\r\n    onselect: (ev: UIEvent) => any;\r\n    onselectstart: (ev: Event) => any;\r\n    onstalled: (ev: Event) => any;\r\n    onsubmit: (ev: Event) => any;\r\n    onsuspend: (ev: Event) => any;\r\n    ontimeupdate: (ev: Event) => any;\r\n    onvolumechange: (ev: Event) => any;\r\n    onwaiting: (ev: Event) => any;\r\n    outerHTML: string;\r\n    outerText: string;\r\n    spellcheck: boolean;\r\n    style: CSSStyleDeclaration;\r\n    tabIndex: number;\r\n    title: string;\r\n    blur(): void;\r\n    click(): void;\r\n    dragDrop(): boolean;\r\n    focus(): void;\r\n    insertAdjacentElement(position: string, insertedElement: Element): Element;\r\n    insertAdjacentHTML(where: string, html: string): void;\r\n    insertAdjacentText(where: string, text: string): void;\r\n    msGetInputContext(): MSInputMethodContext;\r\n    scrollIntoView(top?: boolean): void;\r\n    setActive(): void;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLElement: {\r\n    prototype: HTMLElement;\r\n    new(): HTMLElement;\r\n}\r\n\r\ninterface HTMLEmbedElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    hidden: any;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    /**\r\n      * Gets or sets the path to the preferred media source. This enables the Play To target device to stream the media content, which can be DRM protected, from a different location, such as a cloud media server.\r\n      */\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    msPlayToSource: any;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Retrieves the palette used for the embedded document.\r\n      */\r\n    palette: string;\r\n    /**\r\n      * Retrieves the URL of the plug-in used to view an embedded document.\r\n      */\r\n    pluginspage: string;\r\n    readyState: string;\r\n    /**\r\n      * Sets or retrieves a URL to be loaded by the object.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Sets or retrieves the height and width units of the embed object.\r\n      */\r\n    units: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLEmbedElement: {\r\n    prototype: HTMLEmbedElement;\r\n    new(): HTMLEmbedElement;\r\n}\r\n\r\ninterface HTMLFieldSetElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n}\r\n\r\ndeclare var HTMLFieldSetElement: {\r\n    prototype: HTMLFieldSetElement;\r\n    new(): HTMLFieldSetElement;\r\n}\r\n\r\ninterface HTMLFontElement extends HTMLElement, DOML2DeprecatedColorProperty, DOML2DeprecatedSizeProperty {\r\n    /**\r\n      * Sets or retrieves the current typeface family.\r\n      */\r\n    face: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLFontElement: {\r\n    prototype: HTMLFontElement;\r\n    new(): HTMLFontElement;\r\n}\r\n\r\ninterface HTMLFormElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a list of character encodings for input data that must be accepted by the server processing the form.\r\n      */\r\n    acceptCharset: string;\r\n    /**\r\n      * Sets or retrieves the URL to which the form content is sent for processing.\r\n      */\r\n    action: string;\r\n    /**\r\n      * Specifies whether autocomplete is applied to an editable text field.\r\n      */\r\n    autocomplete: string;\r\n    /**\r\n      * Retrieves a collection, in source order, of all controls in a given form.\r\n      */\r\n    elements: HTMLCollection;\r\n    /**\r\n      * Sets or retrieves the MIME encoding for the form.\r\n      */\r\n    encoding: string;\r\n    /**\r\n      * Sets or retrieves the encoding type for the form.\r\n      */\r\n    enctype: string;\r\n    /**\r\n      * Sets or retrieves the number of objects in a collection.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Sets or retrieves how to send the form data to the server.\r\n      */\r\n    method: string;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Designates a form that is not validated when submitted.\r\n      */\r\n    noValidate: boolean;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Retrieves a form object or an object from an elements collection.\r\n      * @param name Variant of type Number or String that specifies the object or collection to retrieve. If this parameter is a Number, it is the zero-based index of the object. If this parameter is a string, all objects with matching name or id properties are retrieved, and a collection is returned if more than one match is made.\r\n      * @param index Variant of type Number that specifies the zero-based index of the object to retrieve when a collection is returned.\r\n      */\r\n    item(name?: any, index?: any): any;\r\n    /**\r\n      * Retrieves a form object or an object from an elements collection.\r\n      */\r\n    namedItem(name: string): any;\r\n    /**\r\n      * Fires when the user resets a form.\r\n      */\r\n    reset(): void;\r\n    /**\r\n      * Fires when a FORM is about to be submitted.\r\n      */\r\n    submit(): void;\r\n    [name: string]: any;\r\n}\r\n\r\ndeclare var HTMLFormElement: {\r\n    prototype: HTMLFormElement;\r\n    new(): HTMLFormElement;\r\n}\r\n\r\ninterface HTMLFrameElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Specifies the properties of a border drawn around an object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the border color of the object.\r\n      */\r\n    borderColor: any;\r\n    /**\r\n      * Retrieves the document object of the page or frame.\r\n      */\r\n    contentDocument: Document;\r\n    /**\r\n      * Retrieves the object of the specified.\r\n      */\r\n    contentWindow: Window;\r\n    /**\r\n      * Sets or retrieves whether to display a border for the frame.\r\n      */\r\n    frameBorder: string;\r\n    /**\r\n      * Sets or retrieves the amount of additional space between the frames.\r\n      */\r\n    frameSpacing: any;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string | number;\r\n    /**\r\n      * Sets or retrieves a URI to a long description of the object.\r\n      */\r\n    longDesc: string;\r\n    /**\r\n      * Sets or retrieves the top and bottom margin heights before displaying the text in a frame.\r\n      */\r\n    marginHeight: string;\r\n    /**\r\n      * Sets or retrieves the left and right margin widths before displaying the text in a frame.\r\n      */\r\n    marginWidth: string;\r\n    /**\r\n      * Sets or retrieves the frame name.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves whether the user can resize the frame.\r\n      */\r\n    noResize: boolean;\r\n    /**\r\n      * Raised when the object has been completely received from the server.\r\n      */\r\n    onload: (ev: Event) => any;\r\n    /**\r\n      * Sets or retrieves whether the frame can be scrolled.\r\n      */\r\n    scrolling: string;\r\n    /**\r\n      * Sets the value indicating whether the source file of a frame or iframe has specific security restrictions applied.\r\n      */\r\n    security: any;\r\n    /**\r\n      * Sets or retrieves a URL to be loaded by the object.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string | number;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLFrameElement: {\r\n    prototype: HTMLFrameElement;\r\n    new(): HTMLFrameElement;\r\n}\r\n\r\ninterface HTMLFrameSetElement extends HTMLElement {\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the border color of the object.\r\n      */\r\n    borderColor: any;\r\n    /**\r\n      * Sets or retrieves the frame widths of the object.\r\n      */\r\n    cols: string;\r\n    /**\r\n      * Sets or retrieves whether to display a border for the frame.\r\n      */\r\n    frameBorder: string;\r\n    /**\r\n      * Sets or retrieves the amount of additional space between the frames.\r\n      */\r\n    frameSpacing: any;\r\n    name: string;\r\n    onafterprint: (ev: Event) => any;\r\n    onbeforeprint: (ev: Event) => any;\r\n    onbeforeunload: (ev: BeforeUnloadEvent) => any;\r\n    /**\r\n      * Fires when the object loses the input focus.\r\n      */\r\n    onblur: (ev: FocusEvent) => any;\r\n    onerror: (ev: Event) => any;\r\n    /**\r\n      * Fires when the object receives focus.\r\n      */\r\n    onfocus: (ev: FocusEvent) => any;\r\n    onhashchange: (ev: HashChangeEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onmessage: (ev: MessageEvent) => any;\r\n    onoffline: (ev: Event) => any;\r\n    ononline: (ev: Event) => any;\r\n    onorientationchange: (ev: Event) => any;\r\n    onpagehide: (ev: PageTransitionEvent) => any;\r\n    onpageshow: (ev: PageTransitionEvent) => any;\r\n    onresize: (ev: UIEvent) => any;\r\n    onstorage: (ev: StorageEvent) => any;\r\n    onunload: (ev: Event) => any;\r\n    /**\r\n      * Sets or retrieves the frame heights of the object.\r\n      */\r\n    rows: string;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeunload", listener: (ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "hashchange", listener: (ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "offline", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "online", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "orientationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pagehide", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pageshow", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "storage", listener: (ev: StorageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "unload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLFrameSetElement: {\r\n    prototype: HTMLFrameSetElement;\r\n    new(): HTMLFrameSetElement;\r\n}\r\n\r\ninterface HTMLHRElement extends HTMLElement, DOML2DeprecatedColorProperty, DOML2DeprecatedSizeProperty {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves whether the horizontal rule is drawn with 3-D shading.\r\n      */\r\n    noShade: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLHRElement: {\r\n    prototype: HTMLHRElement;\r\n    new(): HTMLHRElement;\r\n}\r\n\r\ninterface HTMLHeadElement extends HTMLElement {\r\n    profile: string;\r\n}\r\n\r\ndeclare var HTMLHeadElement: {\r\n    prototype: HTMLHeadElement;\r\n    new(): HTMLHeadElement;\r\n}\r\n\r\ninterface HTMLHeadingElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a value that indicates the table alignment.\r\n      */\r\n    align: string;\r\n    clear: string;\r\n}\r\n\r\ndeclare var HTMLHeadingElement: {\r\n    prototype: HTMLHeadingElement;\r\n    new(): HTMLHeadingElement;\r\n}\r\n\r\ninterface HTMLHtmlElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the DTD version that governs the current document.\r\n      */\r\n    version: string;\r\n}\r\n\r\ndeclare var HTMLHtmlElement: {\r\n    prototype: HTMLHtmlElement;\r\n    new(): HTMLHtmlElement;\r\n}\r\n\r\ninterface HTMLIFrameElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    allowFullscreen: boolean;\r\n    /**\r\n      * Specifies the properties of a border drawn around an object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Retrieves the document object of the page or frame.\r\n      */\r\n    contentDocument: Document;\r\n    /**\r\n      * Retrieves the object of the specified.\r\n      */\r\n    contentWindow: Window;\r\n    /**\r\n      * Sets or retrieves whether to display a border for the frame.\r\n      */\r\n    frameBorder: string;\r\n    /**\r\n      * Sets or retrieves the amount of additional space between the frames.\r\n      */\r\n    frameSpacing: any;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    /**\r\n      * Sets or retrieves the horizontal margin for the object.\r\n      */\r\n    hspace: number;\r\n    /**\r\n      * Sets or retrieves a URI to a long description of the object.\r\n      */\r\n    longDesc: string;\r\n    /**\r\n      * Sets or retrieves the top and bottom margin heights before displaying the text in a frame.\r\n      */\r\n    marginHeight: string;\r\n    /**\r\n      * Sets or retrieves the left and right margin widths before displaying the text in a frame.\r\n      */\r\n    marginWidth: string;\r\n    /**\r\n      * Sets or retrieves the frame name.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves whether the user can resize the frame.\r\n      */\r\n    noResize: boolean;\r\n    /**\r\n      * Raised when the object has been completely received from the server.\r\n      */\r\n    onload: (ev: Event) => any;\r\n    sandbox: DOMSettableTokenList;\r\n    /**\r\n      * Sets or retrieves whether the frame can be scrolled.\r\n      */\r\n    scrolling: string;\r\n    /**\r\n      * Sets the value indicating whether the source file of a frame or iframe has specific security restrictions applied.\r\n      */\r\n    security: any;\r\n    /**\r\n      * Sets or retrieves a URL to be loaded by the object.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Sets or retrieves the vertical margin for the object.\r\n      */\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLIFrameElement: {\r\n    prototype: HTMLIFrameElement;\r\n    new(): HTMLIFrameElement;\r\n}\r\n\r\ninterface HTMLImageElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Specifies the properties of a border drawn around an object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Retrieves whether the object is fully loaded.\r\n      */\r\n    complete: boolean;\r\n    crossOrigin: string;\r\n    currentSrc: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: number;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    hspace: number;\r\n    /**\r\n      * Sets or retrieves whether the image is a server-side image map.\r\n      */\r\n    isMap: boolean;\r\n    /**\r\n      * Sets or retrieves a Uniform Resource Identifier (URI) to a long description of the object.\r\n      */\r\n    longDesc: string;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    msPlayToSource: any;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * The original height of the image resource before sizing.\r\n      */\r\n    naturalHeight: number;\r\n    /**\r\n      * The original width of the image resource before sizing.\r\n      */\r\n    naturalWidth: number;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    srcset: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    /**\r\n      * Sets or retrieves the vertical margin for the object.\r\n      */\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: number;\r\n    x: number;\r\n    y: number;\r\n    msGetAsCastingSource(): any;\r\n}\r\n\r\ndeclare var HTMLImageElement: {\r\n    prototype: HTMLImageElement;\r\n    new(): HTMLImageElement;\r\n    create(): HTMLImageElement;\r\n}\r\n\r\ninterface HTMLInputElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a comma-separated list of content types.\r\n      */\r\n    accept: string;\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Specifies whether autocomplete is applied to an editable text field.\r\n      */\r\n    autocomplete: string;\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the state of the check box or radio button.\r\n      */\r\n    checked: boolean;\r\n    /**\r\n      * Retrieves whether the object is fully loaded.\r\n      */\r\n    complete: boolean;\r\n    /**\r\n      * Sets or retrieves the state of the check box or radio button.\r\n      */\r\n    defaultChecked: boolean;\r\n    /**\r\n      * Sets or retrieves the initial contents of the object.\r\n      */\r\n    defaultValue: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Returns a FileList object on a file type input object.\r\n      */\r\n    files: FileList;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in. \r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Overrides the action attribute (where the data on a form is sent) on the parent form element.\r\n      */\r\n    formAction: string;\r\n    /**\r\n      * Used to override the encoding (formEnctype attribute) specified on the form element.\r\n      */\r\n    formEnctype: string;\r\n    /**\r\n      * Overrides the submit method attribute previously specified on a form element.\r\n      */\r\n    formMethod: string;\r\n    /**\r\n      * Overrides any validation or required attributes on a form or form elements to allow it to be submitted without validation. This can be used to create a "save draft"-type submit option.\r\n      */\r\n    formNoValidate: string;\r\n    /**\r\n      * Overrides the target attribute on a form element.\r\n      */\r\n    formTarget: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    hspace: number;\r\n    indeterminate: boolean;\r\n    /**\r\n      * Specifies the ID of a pre-defined datalist of options for an input element.\r\n      */\r\n    list: HTMLElement;\r\n    /**\r\n      * Defines the maximum acceptable value for an input element with type="number".When used with the min and step attributes, lets you control the range and increment (such as only even numbers) that the user can enter into an input field.\r\n      */\r\n    max: string;\r\n    /**\r\n      * Sets or retrieves the maximum number of characters that the user can enter in a text control.\r\n      */\r\n    maxLength: number;\r\n    /**\r\n      * Defines the minimum acceptable value for an input element with type="number". When used with the max and step attributes, lets you control the range and increment (such as even numbers only) that the user can enter into an input field.\r\n      */\r\n    min: string;\r\n    /**\r\n      * Sets or retrieves the Boolean value indicating whether multiple items can be selected from a list.\r\n      */\r\n    multiple: boolean;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Gets or sets a string containing a regular expression that the user\'s input must match.\r\n      */\r\n    pattern: string;\r\n    /**\r\n      * Gets or sets a text string that is displayed in an input field as a hint or prompt to users as the format or type of information they need to enter.The text appears in an input field until the user puts focus on the field.\r\n      */\r\n    placeholder: string;\r\n    readOnly: boolean;\r\n    /**\r\n      * When present, marks an element that can\'t be submitted without a value.\r\n      */\r\n    required: boolean;\r\n    /**\r\n      * Gets or sets the end position or offset of a text selection.\r\n      */\r\n    selectionEnd: number;\r\n    /**\r\n      * Gets or sets the starting position or offset of a text selection.\r\n      */\r\n    selectionStart: number;\r\n    size: number;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    status: boolean;\r\n    /**\r\n      * Defines an increment or jump between values that you want to allow the user to enter. When used with the max and min attributes, lets you control the range and increment (for example, allow only even numbers) that the user can enter into an input field.\r\n      */\r\n    step: string;\r\n    /**\r\n      * Returns the content type of the object.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /**\r\n      * Returns the value of the data at the cursor\'s current position.\r\n      */\r\n    value: string;\r\n    valueAsDate: Date;\r\n    /**\r\n      * Returns the input field value as a number.\r\n      */\r\n    valueAsNumber: number;\r\n    /**\r\n      * Sets or retrieves the vertical margin for the object.\r\n      */\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Creates a TextRange object for the element.\r\n      */\r\n    createTextRange(): TextRange;\r\n    /**\r\n      * Makes the selection equal to the current object.\r\n      */\r\n    select(): void;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    /**\r\n      * Sets the start and end positions of a selection in a text field.\r\n      * @param start The offset into the text field for the start of the selection.\r\n      * @param end The offset into the text field for the end of the selection.\r\n      */\r\n    setSelectionRange(start: number, end: number): void;\r\n    /**\r\n      * Decrements a range input control\'s value by the value given by the Step attribute. If the optional parameter is used, it will decrement the input control\'s step value multiplied by the parameter\'s value.\r\n      * @param n Value to decrement the value by.\r\n      */\r\n    stepDown(n?: number): void;\r\n    /**\r\n      * Increments a range input control\'s value by the value given by the Step attribute. If the optional parameter is used, will increment the input control\'s value by that value.\r\n      * @param n Value to increment the value by.\r\n      */\r\n    stepUp(n?: number): void;\r\n}\r\n\r\ndeclare var HTMLInputElement: {\r\n    prototype: HTMLInputElement;\r\n    new(): HTMLInputElement;\r\n}\r\n\r\ninterface HTMLIsIndexElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the URL to which the form content is sent for processing.\r\n      */\r\n    action: string;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in. \r\n      */\r\n    form: HTMLFormElement;\r\n    prompt: string;\r\n}\r\n\r\ndeclare var HTMLIsIndexElement: {\r\n    prototype: HTMLIsIndexElement;\r\n    new(): HTMLIsIndexElement;\r\n}\r\n\r\ninterface HTMLLIElement extends HTMLElement {\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the value of a list item.\r\n      */\r\n    value: number;\r\n}\r\n\r\ndeclare var HTMLLIElement: {\r\n    prototype: HTMLLIElement;\r\n    new(): HTMLLIElement;\r\n}\r\n\r\ninterface HTMLLabelElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the object to which the given label object is assigned.\r\n      */\r\n    htmlFor: string;\r\n}\r\n\r\ndeclare var HTMLLabelElement: {\r\n    prototype: HTMLLabelElement;\r\n    new(): HTMLLabelElement;\r\n}\r\n\r\ninterface HTMLLegendElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n}\r\n\r\ndeclare var HTMLLegendElement: {\r\n    prototype: HTMLLegendElement;\r\n    new(): HTMLLegendElement;\r\n}\r\n\r\ninterface HTMLLinkElement extends HTMLElement, LinkStyle {\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Sets or retrieves a destination URL or an anchor point.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or retrieves the language code of the object.\r\n      */\r\n    hreflang: string;\r\n    /**\r\n      * Sets or retrieves the media type.\r\n      */\r\n    media: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rel: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rev: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /**\r\n      * Sets or retrieves the MIME type of the object.\r\n      */\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLLinkElement: {\r\n    prototype: HTMLLinkElement;\r\n    new(): HTMLLinkElement;\r\n}\r\n\r\ninterface HTMLMapElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a collection of the area objects defined for the given map object.\r\n      */\r\n    areas: HTMLAreasCollection;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n}\r\n\r\ndeclare var HTMLMapElement: {\r\n    prototype: HTMLMapElement;\r\n    new(): HTMLMapElement;\r\n}\r\n\r\ninterface HTMLMarqueeElement extends HTMLElement {\r\n    behavior: string;\r\n    bgColor: any;\r\n    direction: string;\r\n    height: string;\r\n    hspace: number;\r\n    loop: number;\r\n    onbounce: (ev: Event) => any;\r\n    onfinish: (ev: Event) => any;\r\n    onstart: (ev: Event) => any;\r\n    scrollAmount: number;\r\n    scrollDelay: number;\r\n    trueSpeed: boolean;\r\n    vspace: number;\r\n    width: string;\r\n    start(): void;\r\n    stop(): void;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "bounce", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "finish", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "start", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLMarqueeElement: {\r\n    prototype: HTMLMarqueeElement;\r\n    new(): HTMLMarqueeElement;\r\n}\r\n\r\ninterface HTMLMediaElement extends HTMLElement {\r\n    /**\r\n      * Returns an AudioTrackList object with the audio tracks for a given video element.\r\n      */\r\n    audioTracks: AudioTrackList;\r\n    /**\r\n      * Gets or sets a value that indicates whether to start playing the media automatically.\r\n      */\r\n    autoplay: boolean;\r\n    /**\r\n      * Gets a collection of buffered time ranges.\r\n      */\r\n    buffered: TimeRanges;\r\n    /**\r\n      * Gets or sets a flag that indicates whether the client provides a set of controls for the media (in case the developer does not include controls for the player).\r\n      */\r\n    controls: boolean;\r\n    /**\r\n      * Gets the address or URL of the current media resource that is selected by IHTMLMediaElement.\r\n      */\r\n    currentSrc: string;\r\n    /**\r\n      * Gets or sets the current playback position, in seconds.\r\n      */\r\n    currentTime: number;\r\n    defaultMuted: boolean;\r\n    /**\r\n      * Gets or sets the default playback rate when the user is not using fast forward or reverse for a video or audio resource.\r\n      */\r\n    defaultPlaybackRate: number;\r\n    /**\r\n      * Returns the duration in seconds of the current media resource. A NaN value is returned if duration is not available, or Infinity if the media resource is streaming.\r\n      */\r\n    duration: number;\r\n    /**\r\n      * Gets information about whether the playback has ended or not.\r\n      */\r\n    ended: boolean;\r\n    /**\r\n      * Returns an object representing the current error state of the audio or video element.\r\n      */\r\n    error: MediaError;\r\n    /**\r\n      * Gets or sets a flag to specify whether playback should restart after it completes.\r\n      */\r\n    loop: boolean;\r\n    /**\r\n      * Specifies the purpose of the audio or video media, such as background audio or alerts.\r\n      */\r\n    msAudioCategory: string;\r\n    /**\r\n      * Specifies the output device id that the audio will be sent to.\r\n      */\r\n    msAudioDeviceType: string;\r\n    msGraphicsTrustStatus: MSGraphicsTrust;\r\n    /**\r\n      * Gets the MSMediaKeys object, which is used for decrypting media data, that is associated with this media element.\r\n      */\r\n    msKeys: MSMediaKeys;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    /**\r\n      * Gets or sets the path to the preferred media source. This enables the Play To target device to stream the media content, which can be DRM protected, from a different location, such as a cloud media server.\r\n      */\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    msPlayToSource: any;\r\n    /**\r\n      * Specifies whether or not to enable low-latency playback on the media element.\r\n      */\r\n    msRealTime: boolean;\r\n    /**\r\n      * Gets or sets a flag that indicates whether the audio (either audio or the audio track on video media) is muted.\r\n      */\r\n    muted: boolean;\r\n    /**\r\n      * Gets the current network activity for the element.\r\n      */\r\n    networkState: number;\r\n    onmsneedkey: (ev: MSMediaKeyNeededEvent) => any;\r\n    /**\r\n      * Gets a flag that specifies whether playback is paused.\r\n      */\r\n    paused: boolean;\r\n    /**\r\n      * Gets or sets the current rate of speed for the media resource to play. This speed is expressed as a multiple of the normal speed of the media resource.\r\n      */\r\n    playbackRate: number;\r\n    /**\r\n      * Gets TimeRanges for the current media resource that has been played.\r\n      */\r\n    played: TimeRanges;\r\n    /**\r\n      * Gets or sets the current playback position, in seconds.\r\n      */\r\n    preload: string;\r\n    readyState: number;\r\n    /**\r\n      * Returns a TimeRanges object that represents the ranges of the current media resource that can be seeked.\r\n      */\r\n    seekable: TimeRanges;\r\n    /**\r\n      * Gets a flag that indicates whether the the client is currently moving to a new playback position in the media resource.\r\n      */\r\n    seeking: boolean;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    textTracks: TextTrackList;\r\n    videoTracks: VideoTrackList;\r\n    /**\r\n      * Gets or sets the volume level for audio portions of the media element.\r\n      */\r\n    volume: number;\r\n    addTextTrack(kind: string, label?: string, language?: string): TextTrack;\r\n    /**\r\n      * Returns a string that specifies whether the client can play a given media resource type.\r\n      */\r\n    canPlayType(type: string): string;\r\n    /**\r\n      * Fires immediately after the client loads the object.\r\n      */\r\n    load(): void;\r\n    /**\r\n      * Clears all effects from the media pipeline.\r\n      */\r\n    msClearEffects(): void;\r\n    msGetAsCastingSource(): any;\r\n    /**\r\n      * Inserts the specified audio effect into media pipeline.\r\n      */\r\n    msInsertAudioEffect(activatableClassId: string, effectRequired: boolean, config?: any): void;\r\n    msSetMediaKeys(mediaKeys: MSMediaKeys): void;\r\n    /**\r\n      * Specifies the media protection manager for a given media pipeline.\r\n      */\r\n    msSetMediaProtectionManager(mediaProtectionManager?: any): void;\r\n    /**\r\n      * Pauses the current playback and sets paused to TRUE. This can be used to test whether the media is playing or paused. You can also use the pause or play events to tell whether the media is playing or not.\r\n      */\r\n    pause(): void;\r\n    /**\r\n      * Loads and starts playback of a media resource.\r\n      */\r\n    play(): void;\r\n    HAVE_CURRENT_DATA: number;\r\n    HAVE_ENOUGH_DATA: number;\r\n    HAVE_FUTURE_DATA: number;\r\n    HAVE_METADATA: number;\r\n    HAVE_NOTHING: number;\r\n    NETWORK_EMPTY: number;\r\n    NETWORK_IDLE: number;\r\n    NETWORK_LOADING: number;\r\n    NETWORK_NO_SOURCE: number;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "msneedkey", listener: (ev: MSMediaKeyNeededEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLMediaElement: {\r\n    prototype: HTMLMediaElement;\r\n    new(): HTMLMediaElement;\r\n    HAVE_CURRENT_DATA: number;\r\n    HAVE_ENOUGH_DATA: number;\r\n    HAVE_FUTURE_DATA: number;\r\n    HAVE_METADATA: number;\r\n    HAVE_NOTHING: number;\r\n    NETWORK_EMPTY: number;\r\n    NETWORK_IDLE: number;\r\n    NETWORK_LOADING: number;\r\n    NETWORK_NO_SOURCE: number;\r\n}\r\n\r\ninterface HTMLMenuElement extends HTMLElement {\r\n    compact: boolean;\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLMenuElement: {\r\n    prototype: HTMLMenuElement;\r\n    new(): HTMLMenuElement;\r\n}\r\n\r\ninterface HTMLMetaElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Gets or sets meta-information to associate with httpEquiv or name.\r\n      */\r\n    content: string;\r\n    /**\r\n      * Gets or sets information used to bind the value of a content attribute of a meta element to an HTTP response header.\r\n      */\r\n    httpEquiv: string;\r\n    /**\r\n      * Sets or retrieves the value specified in the content attribute of the meta object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves a scheme to be used in interpreting the value of a property specified for the object.\r\n      */\r\n    scheme: string;\r\n    /**\r\n      * Sets or retrieves the URL property that will be loaded after the specified time has elapsed. \r\n      */\r\n    url: string;\r\n}\r\n\r\ndeclare var HTMLMetaElement: {\r\n    prototype: HTMLMetaElement;\r\n    new(): HTMLMetaElement;\r\n}\r\n\r\ninterface HTMLModElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n    /**\r\n      * Sets or retrieves the date and time of a modification to the object.\r\n      */\r\n    dateTime: string;\r\n}\r\n\r\ndeclare var HTMLModElement: {\r\n    prototype: HTMLModElement;\r\n    new(): HTMLModElement;\r\n}\r\n\r\ninterface HTMLNextIdElement extends HTMLElement {\r\n    n: string;\r\n}\r\n\r\ndeclare var HTMLNextIdElement: {\r\n    prototype: HTMLNextIdElement;\r\n    new(): HTMLNextIdElement;\r\n}\r\n\r\ninterface HTMLOListElement extends HTMLElement {\r\n    compact: boolean;\r\n    /**\r\n      * The starting number.\r\n      */\r\n    start: number;\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLOListElement: {\r\n    prototype: HTMLOListElement;\r\n    new(): HTMLOListElement;\r\n}\r\n\r\ninterface HTMLObjectElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Retrieves a string of the URL where the object tag can be found. This is often the href of the document that the object is in, or the value set by a base element.\r\n      */\r\n    BaseHref: string;\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Gets or sets the optional alternative HTML script to execute if the object fails to load.\r\n      */\r\n    altHtml: string;\r\n    /**\r\n      * Sets or retrieves a character string that can be used to implement your own archive functionality for the object.\r\n      */\r\n    archive: string;\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the URL of the file containing the compiled Java class.\r\n      */\r\n    code: string;\r\n    /**\r\n      * Sets or retrieves the URL of the component.\r\n      */\r\n    codeBase: string;\r\n    /**\r\n      * Sets or retrieves the Internet media type for the code associated with the object.\r\n      */\r\n    codeType: string;\r\n    /**\r\n      * Retrieves the document object of the page or frame.\r\n      */\r\n    contentDocument: Document;\r\n    /**\r\n      * Sets or retrieves the URL that references the data of the object.\r\n      */\r\n    data: string;\r\n    declare: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    hspace: number;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    /**\r\n      * Gets or sets the path to the preferred media source. This enables the Play To target device to stream the media content, which can be DRM protected, from a different location, such as a cloud media server.\r\n      */\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    msPlayToSource: any;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Retrieves the contained object.\r\n      */\r\n    object: any;\r\n    readyState: number;\r\n    /**\r\n      * Sets or retrieves a message to be displayed while an object is loading.\r\n      */\r\n    standby: string;\r\n    /**\r\n      * Sets or retrieves the MIME type of the object.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLObjectElement: {\r\n    prototype: HTMLObjectElement;\r\n    new(): HTMLObjectElement;\r\n}\r\n\r\ninterface HTMLOptGroupElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the status of an option.\r\n      */\r\n    defaultSelected: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the ordinal position of an option in a list box.\r\n      */\r\n    index: number;\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own label functionality for the object.\r\n      */\r\n    label: string;\r\n    /**\r\n      * Sets or retrieves whether the option in the list box is the default item.\r\n      */\r\n    selected: boolean;\r\n    /**\r\n      * Sets or retrieves the text string specified by the option tag.\r\n      */\r\n    text: string;\r\n    /**\r\n      * Sets or retrieves the value which is returned to the server when the form control is submitted.\r\n      */\r\n    value: string;\r\n}\r\n\r\ndeclare var HTMLOptGroupElement: {\r\n    prototype: HTMLOptGroupElement;\r\n    new(): HTMLOptGroupElement;\r\n}\r\n\r\ninterface HTMLOptionElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the status of an option.\r\n      */\r\n    defaultSelected: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the ordinal position of an option in a list box.\r\n      */\r\n    index: number;\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own label functionality for the object.\r\n      */\r\n    label: string;\r\n    /**\r\n      * Sets or retrieves whether the option in the list box is the default item.\r\n      */\r\n    selected: boolean;\r\n    /**\r\n      * Sets or retrieves the text string specified by the option tag.\r\n      */\r\n    text: string;\r\n    /**\r\n      * Sets or retrieves the value which is returned to the server when the form control is submitted.\r\n      */\r\n    value: string;\r\n}\r\n\r\ndeclare var HTMLOptionElement: {\r\n    prototype: HTMLOptionElement;\r\n    new(): HTMLOptionElement;\r\n    create(): HTMLOptionElement;\r\n}\r\n\r\ninterface HTMLParagraphElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text. \r\n      */\r\n    align: string;\r\n    clear: string;\r\n}\r\n\r\ndeclare var HTMLParagraphElement: {\r\n    prototype: HTMLParagraphElement;\r\n    new(): HTMLParagraphElement;\r\n}\r\n\r\ninterface HTMLParamElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the name of an input parameter for an element.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves the content type of the resource designated by the value attribute.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the value of an input parameter for an element.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Sets or retrieves the data type of the value attribute.\r\n      */\r\n    valueType: string;\r\n}\r\n\r\ndeclare var HTMLParamElement: {\r\n    prototype: HTMLParamElement;\r\n    new(): HTMLParamElement;\r\n}\r\n\r\ninterface HTMLPhraseElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n    /**\r\n      * Sets or retrieves the date and time of a modification to the object.\r\n      */\r\n    dateTime: string;\r\n}\r\n\r\ndeclare var HTMLPhraseElement: {\r\n    prototype: HTMLPhraseElement;\r\n    new(): HTMLPhraseElement;\r\n}\r\n\r\ninterface HTMLPreElement extends HTMLElement {\r\n    /**\r\n      * Indicates a citation by rendering text in italic type.\r\n      */\r\n    cite: string;\r\n    clear: string;\r\n    /**\r\n      * Sets or gets a value that you can use to implement your own width functionality for the object.\r\n      */\r\n    width: number;\r\n}\r\n\r\ndeclare var HTMLPreElement: {\r\n    prototype: HTMLPreElement;\r\n    new(): HTMLPreElement;\r\n}\r\n\r\ninterface HTMLProgressElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Defines the maximum, or "done" value for a progress element.\r\n      */\r\n    max: number;\r\n    /**\r\n      * Returns the quotient of value/max when the value attribute is set (determinate progress bar), or -1 when the value attribute is missing (indeterminate progress bar).\r\n      */\r\n    position: number;\r\n    /**\r\n      * Sets or gets the current value of a progress element. The value must be a non-negative number between 0 and the max value.\r\n      */\r\n    value: number;\r\n}\r\n\r\ndeclare var HTMLProgressElement: {\r\n    prototype: HTMLProgressElement;\r\n    new(): HTMLProgressElement;\r\n}\r\n\r\ninterface HTMLQuoteElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n    /**\r\n      * Sets or retrieves the date and time of a modification to the object.\r\n      */\r\n    dateTime: string;\r\n}\r\n\r\ndeclare var HTMLQuoteElement: {\r\n    prototype: HTMLQuoteElement;\r\n    new(): HTMLQuoteElement;\r\n}\r\n\r\ninterface HTMLScriptElement extends HTMLElement {\r\n    async: boolean;\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Sets or retrieves the status of the script.\r\n      */\r\n    defer: boolean;\r\n    /**\r\n      * Sets or retrieves the event for which the script is written. \r\n      */\r\n    event: string;\r\n    /** \r\n      * Sets or retrieves the object that is bound to the event script.\r\n      */\r\n    htmlFor: string;\r\n    /**\r\n      * Retrieves the URL to an external file that contains the source code or data.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Retrieves or sets the text of the object as a string. \r\n      */\r\n    text: string;\r\n    /**\r\n      * Sets or retrieves the MIME type for the associated scripting engine.\r\n      */\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLScriptElement: {\r\n    prototype: HTMLScriptElement;\r\n    new(): HTMLScriptElement;\r\n}\r\n\r\ninterface HTMLSelectElement extends HTMLElement {\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in. \r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the number of objects in a collection.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Sets or retrieves the Boolean value indicating whether multiple items can be selected from a list.\r\n      */\r\n    multiple: boolean;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    options: HTMLCollection;\r\n    /**\r\n      * When present, marks an element that can\'t be submitted without a value.\r\n      */\r\n    required: boolean;\r\n    /**\r\n      * Sets or retrieves the index of the selected option in a select object.\r\n      */\r\n    selectedIndex: number;\r\n    /**\r\n      * Sets or retrieves the number of rows in the list box. \r\n      */\r\n    size: number;\r\n    /**\r\n      * Retrieves the type of select control based on the value of the MULTIPLE attribute.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /**\r\n      * Sets or retrieves the value which is returned to the server when the form control is submitted.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    selectedOptions: HTMLCollection;\r\n    /**\r\n      * Adds an element to the areas, controlRange, or options collection.\r\n      * @param element Variant of type Number that specifies the index position in the collection where the element is placed. If no value is given, the method places the element at the end of the collection.\r\n      * @param before Variant of type Object that specifies an element to insert before, or null to append the object to the collection. \r\n      */\r\n    add(element: HTMLElement, before?: HTMLElement | number): void;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Retrieves a select object or an object from an options collection.\r\n      * @param name Variant of type Number or String that specifies the object or collection to retrieve. If this parameter is an integer, it is the zero-based index of the object. If this parameter is a string, all objects with matching name or id properties are retrieved, and a collection is returned if more than one match is made.\r\n      * @param index Variant of type Number that specifies the zero-based index of the object to retrieve when a collection is returned.\r\n      */\r\n    item(name?: any, index?: any): any;\r\n    /**\r\n      * Retrieves a select object or an object from an options collection.\r\n      * @param namedItem A String that specifies the name or id property of the object to retrieve. A collection is returned if more than one match is made.\r\n      */\r\n    namedItem(name: string): any;\r\n    /**\r\n      * Removes an element from the collection.\r\n      * @param index Number that specifies the zero-based index of the element to remove from the collection.\r\n      */\r\n    remove(index?: number): void;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    [name: string]: any;\r\n}\r\n\r\ndeclare var HTMLSelectElement: {\r\n    prototype: HTMLSelectElement;\r\n    new(): HTMLSelectElement;\r\n}\r\n\r\ninterface HTMLSourceElement extends HTMLElement {\r\n    /**\r\n      * Gets or sets the intended media type of the media source.\r\n     */\r\n    media: string;\r\n    msKeySystem: string;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    /**\r\n     * Gets or sets the MIME type of a media resource.\r\n     */\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLSourceElement: {\r\n    prototype: HTMLSourceElement;\r\n    new(): HTMLSourceElement;\r\n}\r\n\r\ninterface HTMLSpanElement extends HTMLElement {\r\n}\r\n\r\ndeclare var HTMLSpanElement: {\r\n    prototype: HTMLSpanElement;\r\n    new(): HTMLSpanElement;\r\n}\r\n\r\ninterface HTMLStyleElement extends HTMLElement, LinkStyle {\r\n    /**\r\n      * Sets or retrieves the media type.\r\n      */\r\n    media: string;\r\n    /**\r\n      * Retrieves the CSS language in which the style sheet is written.\r\n      */\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLStyleElement: {\r\n    prototype: HTMLStyleElement;\r\n    new(): HTMLStyleElement;\r\n}\r\n\r\ninterface HTMLTableCaptionElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the alignment of the caption or legend.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves whether the caption appears at the top or bottom of the table.\r\n      */\r\n    vAlign: string;\r\n}\r\n\r\ndeclare var HTMLTableCaptionElement: {\r\n    prototype: HTMLTableCaptionElement;\r\n    new(): HTMLTableCaptionElement;\r\n}\r\n\r\ninterface HTMLTableCellElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves abbreviated text for the object.\r\n      */\r\n    abbr: string;\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a comma-delimited list of conceptual categories associated with the object.\r\n      */\r\n    axis: string;\r\n    bgColor: any;\r\n    /**\r\n      * Retrieves the position of the object in the cells collection of a row.\r\n      */\r\n    cellIndex: number;\r\n    /**\r\n      * Sets or retrieves the number columns in the table that the object should span.\r\n      */\r\n    colSpan: number;\r\n    /**\r\n      * Sets or retrieves a list of header cells that provide information for the object.\r\n      */\r\n    headers: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: any;\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n    /**\r\n      * Sets or retrieves how many rows in a table the cell should span.\r\n      */\r\n    rowSpan: number;\r\n    /**\r\n      * Sets or retrieves the group of cells in a table to which the object\'s information applies.\r\n      */\r\n    scope: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableCellElement: {\r\n    prototype: HTMLTableCellElement;\r\n    new(): HTMLTableCellElement;\r\n}\r\n\r\ninterface HTMLTableColElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves the alignment of the object relative to the display or table.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves the number of columns in the group.\r\n      */\r\n    span: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: any;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableColElement: {\r\n    prototype: HTMLTableColElement;\r\n    new(): HTMLTableColElement;\r\n}\r\n\r\ninterface HTMLTableDataCellElement extends HTMLTableCellElement {\r\n}\r\n\r\ndeclare var HTMLTableDataCellElement: {\r\n    prototype: HTMLTableDataCellElement;\r\n    new(): HTMLTableDataCellElement;\r\n}\r\n\r\ninterface HTMLTableElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a value that indicates the table alignment.\r\n      */\r\n    align: string;\r\n    bgColor: any;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the border color of the object. \r\n      */\r\n    borderColor: any;\r\n    /**\r\n      * Retrieves the caption object of a table.\r\n      */\r\n    caption: HTMLTableCaptionElement;\r\n    /**\r\n      * Sets or retrieves the amount of space between the border of the cell and the content of the cell.\r\n      */\r\n    cellPadding: string;\r\n    /**\r\n      * Sets or retrieves the amount of space between cells in a table.\r\n      */\r\n    cellSpacing: string;\r\n    /**\r\n      * Sets or retrieves the number of columns in the table.\r\n      */\r\n    cols: number;\r\n    /**\r\n      * Sets or retrieves the way the border frame around the table is displayed.\r\n      */\r\n    frame: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: any;\r\n    /**\r\n      * Sets or retrieves the number of horizontal rows contained in the object.\r\n      */\r\n    rows: HTMLCollection;\r\n    /**\r\n      * Sets or retrieves which dividing lines (inner borders) are displayed.\r\n      */\r\n    rules: string;\r\n    /**\r\n      * Sets or retrieves a description and/or structure of the object.\r\n      */\r\n    summary: string;\r\n    /**\r\n      * Retrieves a collection of all tBody objects in the table. Objects in this collection are in source order.\r\n      */\r\n    tBodies: HTMLCollection;\r\n    /**\r\n      * Retrieves the tFoot object of the table.\r\n      */\r\n    tFoot: HTMLTableSectionElement;\r\n    /**\r\n      * Retrieves the tHead object of the table.\r\n      */\r\n    tHead: HTMLTableSectionElement;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    /**\r\n      * Creates an empty caption element in the table.\r\n      */\r\n    createCaption(): HTMLTableCaptionElement;\r\n    /**\r\n      * Creates an empty tBody element in the table.\r\n      */\r\n    createTBody(): HTMLTableSectionElement;\r\n    /**\r\n      * Creates an empty tFoot element in the table.\r\n      */\r\n    createTFoot(): HTMLTableSectionElement;\r\n    /**\r\n      * Returns the tHead element object if successful, or null otherwise.\r\n      */\r\n    createTHead(): HTMLTableSectionElement;\r\n    /**\r\n      * Deletes the caption element and its contents from the table.\r\n      */\r\n    deleteCaption(): void;\r\n    /**\r\n      * Removes the specified row (tr) from the element and from the rows collection.\r\n      * @param index Number that specifies the zero-based position in the rows collection of the row to remove.\r\n      */\r\n    deleteRow(index?: number): void;\r\n    /**\r\n      * Deletes the tFoot element and its contents from the table.\r\n      */\r\n    deleteTFoot(): void;\r\n    /**\r\n      * Deletes the tHead element and its contents from the table.\r\n      */\r\n    deleteTHead(): void;\r\n    /**\r\n      * Creates a new row (tr) in the table, and adds the row to the rows collection.\r\n      * @param index Number that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.\r\n      */\r\n    insertRow(index?: number): HTMLTableRowElement;\r\n}\r\n\r\ndeclare var HTMLTableElement: {\r\n    prototype: HTMLTableElement;\r\n    new(): HTMLTableElement;\r\n}\r\n\r\ninterface HTMLTableHeaderCellElement extends HTMLTableCellElement {\r\n    /**\r\n      * Sets or retrieves the group of cells in a table to which the object\'s information applies.\r\n      */\r\n    scope: string;\r\n}\r\n\r\ndeclare var HTMLTableHeaderCellElement: {\r\n    prototype: HTMLTableHeaderCellElement;\r\n    new(): HTMLTableHeaderCellElement;\r\n}\r\n\r\ninterface HTMLTableRowElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    bgColor: any;\r\n    /**\r\n      * Retrieves a collection of all cells in the table row.\r\n      */\r\n    cells: HTMLCollection;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: any;\r\n    /**\r\n      * Retrieves the position of the object in the rows collection for the table.\r\n      */\r\n    rowIndex: number;\r\n    /**\r\n      * Retrieves the position of the object in the collection.\r\n      */\r\n    sectionRowIndex: number;\r\n    /**\r\n      * Removes the specified cell from the table row, as well as from the cells collection.\r\n      * @param index Number that specifies the zero-based position of the cell to remove from the table row. If no value is provided, the last cell in the cells collection is deleted.\r\n      */\r\n    deleteCell(index?: number): void;\r\n    /**\r\n      * Creates a new cell in the table row, and adds the cell to the cells collection.\r\n      * @param index Number that specifies where to insert the cell in the tr. The default value is -1, which appends the new cell to the end of the cells collection.\r\n      */\r\n    insertCell(index?: number): HTMLTableCellElement;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableRowElement: {\r\n    prototype: HTMLTableRowElement;\r\n    new(): HTMLTableRowElement;\r\n}\r\n\r\ninterface HTMLTableSectionElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves a value that indicates the table alignment.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves the number of horizontal rows contained in the object.\r\n      */\r\n    rows: HTMLCollection;\r\n    /**\r\n      * Removes the specified row (tr) from the element and from the rows collection.\r\n      * @param index Number that specifies the zero-based position in the rows collection of the row to remove.\r\n      */\r\n    deleteRow(index?: number): void;\r\n    /**\r\n      * Creates a new row (tr) in the table, and adds the row to the rows collection.\r\n      * @param index Number that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.\r\n      */\r\n    insertRow(index?: number): HTMLTableRowElement;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableSectionElement: {\r\n    prototype: HTMLTableSectionElement;\r\n    new(): HTMLTableSectionElement;\r\n}\r\n\r\ninterface HTMLTextAreaElement extends HTMLElement {\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    cols: number;\r\n    /**\r\n      * Sets or retrieves the initial contents of the object.\r\n      */\r\n    defaultValue: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the maximum number of characters that the user can enter in a text control.\r\n      */\r\n    maxLength: number;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Gets or sets a text string that is displayed in an input field as a hint or prompt to users as the format or type of information they need to enter.The text appears in an input field until the user puts focus on the field.\r\n      */\r\n    placeholder: string;\r\n    /**\r\n      * Sets or retrieves the value indicated whether the content of the object is read-only.\r\n      */\r\n    readOnly: boolean;\r\n    /**\r\n      * When present, marks an element that can\'t be submitted without a value.\r\n      */\r\n    required: boolean;\r\n    /**\r\n      * Sets or retrieves the number of horizontal rows contained in the object.\r\n      */\r\n    rows: number;\r\n    /**\r\n      * Gets or sets the end position or offset of a text selection.\r\n      */\r\n    selectionEnd: number;\r\n    /**\r\n      * Gets or sets the starting position or offset of a text selection.\r\n      */\r\n    selectionStart: number;\r\n    /**\r\n      * Sets or retrieves the value indicating whether the control is selected.\r\n      */\r\n    status: any;\r\n    /**\r\n      * Retrieves the type of control.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /**\r\n      * Retrieves or sets the text in the entry field of the textArea element.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Sets or retrieves how to handle wordwrapping in the object.\r\n      */\r\n    wrap: string;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Creates a TextRange object for the element.\r\n      */\r\n    createTextRange(): TextRange;\r\n    /**\r\n      * Highlights the input area of a form element.\r\n      */\r\n    select(): void;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    /**\r\n      * Sets the start and end positions of a selection in a text field.\r\n      * @param start The offset into the text field for the start of the selection.\r\n      * @param end The offset into the text field for the end of the selection.\r\n      */\r\n    setSelectionRange(start: number, end: number): void;\r\n}\r\n\r\ndeclare var HTMLTextAreaElement: {\r\n    prototype: HTMLTextAreaElement;\r\n    new(): HTMLTextAreaElement;\r\n}\r\n\r\ninterface HTMLTitleElement extends HTMLElement {\r\n    /**\r\n      * Retrieves or sets the text of the object as a string. \r\n      */\r\n    text: string;\r\n}\r\n\r\ndeclare var HTMLTitleElement: {\r\n    prototype: HTMLTitleElement;\r\n    new(): HTMLTitleElement;\r\n}\r\n\r\ninterface HTMLTrackElement extends HTMLElement {\r\n    default: boolean;\r\n    kind: string;\r\n    label: string;\r\n    readyState: number;\r\n    src: string;\r\n    srclang: string;\r\n    track: TextTrack;\r\n    ERROR: number;\r\n    LOADED: number;\r\n    LOADING: number;\r\n    NONE: number;\r\n}\r\n\r\ndeclare var HTMLTrackElement: {\r\n    prototype: HTMLTrackElement;\r\n    new(): HTMLTrackElement;\r\n    ERROR: number;\r\n    LOADED: number;\r\n    LOADING: number;\r\n    NONE: number;\r\n}\r\n\r\ninterface HTMLUListElement extends HTMLElement {\r\n    compact: boolean;\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLUListElement: {\r\n    prototype: HTMLUListElement;\r\n    new(): HTMLUListElement;\r\n}\r\n\r\ninterface HTMLUnknownElement extends HTMLElement {\r\n}\r\n\r\ndeclare var HTMLUnknownElement: {\r\n    prototype: HTMLUnknownElement;\r\n    new(): HTMLUnknownElement;\r\n}\r\n\r\ninterface HTMLVideoElement extends HTMLMediaElement {\r\n    /**\r\n      * Gets or sets the height of the video element.\r\n      */\r\n    height: number;\r\n    msHorizontalMirror: boolean;\r\n    msIsLayoutOptimalForPlayback: boolean;\r\n    msIsStereo3D: boolean;\r\n    msStereo3DPackingMode: string;\r\n    msStereo3DRenderMode: string;\r\n    msZoom: boolean;\r\n    onMSVideoFormatChanged: (ev: Event) => any;\r\n    onMSVideoFrameStepCompleted: (ev: Event) => any;\r\n    onMSVideoOptimalLayoutChanged: (ev: Event) => any;\r\n    /**\r\n      * Gets or sets a URL of an image to display, for example, like a movie poster. This can be a still frame from the video, or another image if no video data is available.\r\n      */\r\n    poster: string;\r\n    /**\r\n      * Gets the intrinsic height of a video in CSS pixels, or zero if the dimensions are not known.\r\n      */\r\n    videoHeight: number;\r\n    /**\r\n      * Gets the intrinsic width of a video in CSS pixels, or zero if the dimensions are not known.\r\n      */\r\n    videoWidth: number;\r\n    webkitDisplayingFullscreen: boolean;\r\n    webkitSupportsFullscreen: boolean;\r\n    /**\r\n      * Gets or sets the width of the video element.\r\n      */\r\n    width: number;\r\n    getVideoPlaybackQuality(): VideoPlaybackQuality;\r\n    msFrameStep(forward: boolean): void;\r\n    msInsertVideoEffect(activatableClassId: string, effectRequired: boolean, config?: any): void;\r\n    msSetVideoRectangle(left: number, top: number, right: number, bottom: number): void;\r\n    webkitEnterFullScreen(): void;\r\n    webkitEnterFullscreen(): void;\r\n    webkitExitFullScreen(): void;\r\n    webkitExitFullscreen(): void;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSVideoFormatChanged", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSVideoFrameStepCompleted", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSVideoOptimalLayoutChanged", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "msneedkey", listener: (ev: MSMediaKeyNeededEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLVideoElement: {\r\n    prototype: HTMLVideoElement;\r\n    new(): HTMLVideoElement;\r\n}\r\n\r\ninterface HashChangeEvent extends Event {\r\n    newURL: string;\r\n    oldURL: string;\r\n}\r\n\r\ndeclare var HashChangeEvent: {\r\n    prototype: HashChangeEvent;\r\n    new(type: string, eventInitDict?: HashChangeEventInit): HashChangeEvent;\r\n}\r\n\r\ninterface History {\r\n    length: number;\r\n    state: any;\r\n    back(distance?: any): void;\r\n    forward(distance?: any): void;\r\n    go(delta?: any): void;\r\n    pushState(statedata: any, title?: string, url?: string): void;\r\n    replaceState(statedata: any, title?: string, url?: string): void;\r\n}\r\n\r\ndeclare var History: {\r\n    prototype: History;\r\n    new(): History;\r\n}\r\n\r\ninterface IDBCursor {\r\n    direction: string;\r\n    key: any;\r\n    primaryKey: any;\r\n    source: any;\r\n    advance(count: number): void;\r\n    continue(key?: any): void;\r\n    delete(): IDBRequest;\r\n    update(value: any): IDBRequest;\r\n    NEXT: string;\r\n    NEXT_NO_DUPLICATE: string;\r\n    PREV: string;\r\n    PREV_NO_DUPLICATE: string;\r\n}\r\n\r\ndeclare var IDBCursor: {\r\n    prototype: IDBCursor;\r\n    new(): IDBCursor;\r\n    NEXT: string;\r\n    NEXT_NO_DUPLICATE: string;\r\n    PREV: string;\r\n    PREV_NO_DUPLICATE: string;\r\n}\r\n\r\ninterface IDBCursorWithValue extends IDBCursor {\r\n    value: any;\r\n}\r\n\r\ndeclare var IDBCursorWithValue: {\r\n    prototype: IDBCursorWithValue;\r\n    new(): IDBCursorWithValue;\r\n}\r\n\r\ninterface IDBDatabase extends EventTarget {\r\n    name: string;\r\n    objectStoreNames: DOMStringList;\r\n    onabort: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    version: number;\r\n    close(): void;\r\n    createObjectStore(name: string, optionalParameters?: IDBObjectStoreParameters): IDBObjectStore;\r\n    deleteObjectStore(name: string): void;\r\n    transaction(storeNames: any, mode?: string): IDBTransaction;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBDatabase: {\r\n    prototype: IDBDatabase;\r\n    new(): IDBDatabase;\r\n}\r\n\r\ninterface IDBFactory {\r\n    cmp(first: any, second: any): number;\r\n    deleteDatabase(name: string): IDBOpenDBRequest;\r\n    open(name: string, version?: number): IDBOpenDBRequest;\r\n}\r\n\r\ndeclare var IDBFactory: {\r\n    prototype: IDBFactory;\r\n    new(): IDBFactory;\r\n}\r\n\r\ninterface IDBIndex {\r\n    keyPath: string | string[];\r\n    name: string;\r\n    objectStore: IDBObjectStore;\r\n    unique: boolean;\r\n    multiEntry: boolean;\r\n    count(key?: any): IDBRequest;\r\n    get(key: any): IDBRequest;\r\n    getKey(key: any): IDBRequest;\r\n    openCursor(range?: IDBKeyRange, direction?: string): IDBRequest;\r\n    openKeyCursor(range?: IDBKeyRange, direction?: string): IDBRequest;\r\n}\r\n\r\ndeclare var IDBIndex: {\r\n    prototype: IDBIndex;\r\n    new(): IDBIndex;\r\n}\r\n\r\ninterface IDBKeyRange {\r\n    lower: any;\r\n    lowerOpen: boolean;\r\n    upper: any;\r\n    upperOpen: boolean;\r\n}\r\n\r\ndeclare var IDBKeyRange: {\r\n    prototype: IDBKeyRange;\r\n    new(): IDBKeyRange;\r\n    bound(lower: any, upper: any, lowerOpen?: boolean, upperOpen?: boolean): IDBKeyRange;\r\n    lowerBound(bound: any, open?: boolean): IDBKeyRange;\r\n    only(value: any): IDBKeyRange;\r\n    upperBound(bound: any, open?: boolean): IDBKeyRange;\r\n}\r\n\r\ninterface IDBObjectStore {\r\n    indexNames: DOMStringList;\r\n    keyPath: string;\r\n    name: string;\r\n    transaction: IDBTransaction;\r\n    add(value: any, key?: any): IDBRequest;\r\n    clear(): IDBRequest;\r\n    count(key?: any): IDBRequest;\r\n    createIndex(name: string, keyPath: string | string[], optionalParameters?: IDBIndexParameters): IDBIndex;\r\n    delete(key: any): IDBRequest;\r\n    deleteIndex(indexName: string): void;\r\n    get(key: any): IDBRequest;\r\n    index(name: string): IDBIndex;\r\n    openCursor(range?: any, direction?: string): IDBRequest;\r\n    put(value: any, key?: any): IDBRequest;\r\n}\r\n\r\ndeclare var IDBObjectStore: {\r\n    prototype: IDBObjectStore;\r\n    new(): IDBObjectStore;\r\n}\r\n\r\ninterface IDBOpenDBRequest extends IDBRequest {\r\n    onblocked: (ev: Event) => any;\r\n    onupgradeneeded: (ev: IDBVersionChangeEvent) => any;\r\n    addEventListener(type: "blocked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "success", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "upgradeneeded", listener: (ev: IDBVersionChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBOpenDBRequest: {\r\n    prototype: IDBOpenDBRequest;\r\n    new(): IDBOpenDBRequest;\r\n}\r\n\r\ninterface IDBRequest extends EventTarget {\r\n    error: DOMError;\r\n    onerror: (ev: Event) => any;\r\n    onsuccess: (ev: Event) => any;\r\n    readyState: string;\r\n    result: any;\r\n    source: any;\r\n    transaction: IDBTransaction;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "success", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBRequest: {\r\n    prototype: IDBRequest;\r\n    new(): IDBRequest;\r\n}\r\n\r\ninterface IDBTransaction extends EventTarget {\r\n    db: IDBDatabase;\r\n    error: DOMError;\r\n    mode: string;\r\n    onabort: (ev: Event) => any;\r\n    oncomplete: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    abort(): void;\r\n    objectStore(name: string): IDBObjectStore;\r\n    READ_ONLY: string;\r\n    READ_WRITE: string;\r\n    VERSION_CHANGE: string;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "complete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBTransaction: {\r\n    prototype: IDBTransaction;\r\n    new(): IDBTransaction;\r\n    READ_ONLY: string;\r\n    READ_WRITE: string;\r\n    VERSION_CHANGE: string;\r\n}\r\n\r\ninterface IDBVersionChangeEvent extends Event {\r\n    newVersion: number;\r\n    oldVersion: number;\r\n}\r\n\r\ndeclare var IDBVersionChangeEvent: {\r\n    prototype: IDBVersionChangeEvent;\r\n    new(): IDBVersionChangeEvent;\r\n}\r\n\r\ninterface ImageData {\r\n    data: Uint8ClampedArray;\r\n    height: number;\r\n    width: number;\r\n}\r\n\r\ndeclare var ImageData: {\r\n    prototype: ImageData;\r\n    new(width: number, height: number): ImageData;\r\n    new(array: Uint8ClampedArray, width: number, height: number): ImageData;\r\n}\r\n\r\ninterface KeyboardEvent extends UIEvent {\r\n    altKey: boolean;\r\n    char: string;\r\n    charCode: number;\r\n    ctrlKey: boolean;\r\n    key: string;\r\n    keyCode: number;\r\n    locale: string;\r\n    location: number;\r\n    metaKey: boolean;\r\n    repeat: boolean;\r\n    shiftKey: boolean;\r\n    which: number;\r\n    getModifierState(keyArg: string): boolean;\r\n    initKeyboardEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, keyArg: string, locationArg: number, modifiersListArg: string, repeat: boolean, locale: string): void;\r\n    DOM_KEY_LOCATION_JOYSTICK: number;\r\n    DOM_KEY_LOCATION_LEFT: number;\r\n    DOM_KEY_LOCATION_MOBILE: number;\r\n    DOM_KEY_LOCATION_NUMPAD: number;\r\n    DOM_KEY_LOCATION_RIGHT: number;\r\n    DOM_KEY_LOCATION_STANDARD: number;\r\n}\r\n\r\ndeclare var KeyboardEvent: {\r\n    prototype: KeyboardEvent;\r\n    new(typeArg: string, eventInitDict?: KeyboardEventInit): KeyboardEvent;\r\n    DOM_KEY_LOCATION_JOYSTICK: number;\r\n    DOM_KEY_LOCATION_LEFT: number;\r\n    DOM_KEY_LOCATION_MOBILE: number;\r\n    DOM_KEY_LOCATION_NUMPAD: number;\r\n    DOM_KEY_LOCATION_RIGHT: number;\r\n    DOM_KEY_LOCATION_STANDARD: number;\r\n}\r\n\r\ninterface Location {\r\n    hash: string;\r\n    host: string;\r\n    hostname: string;\r\n    href: string;\r\n    origin: string;\r\n    pathname: string;\r\n    port: string;\r\n    protocol: string;\r\n    search: string;\r\n    assign(url: string): void;\r\n    reload(forcedReload?: boolean): void;\r\n    replace(url: string): void;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var Location: {\r\n    prototype: Location;\r\n    new(): Location;\r\n}\r\n\r\ninterface LongRunningScriptDetectedEvent extends Event {\r\n    executionTime: number;\r\n    stopPageScriptExecution: boolean;\r\n}\r\n\r\ndeclare var LongRunningScriptDetectedEvent: {\r\n    prototype: LongRunningScriptDetectedEvent;\r\n    new(): LongRunningScriptDetectedEvent;\r\n}\r\n\r\ninterface MSApp {\r\n    clearTemporaryWebDataAsync(): MSAppAsyncOperation;\r\n    createBlobFromRandomAccessStream(type: string, seeker: any): Blob;\r\n    createDataPackage(object: any): any;\r\n    createDataPackageFromSelection(): any;\r\n    createFileFromStorageFile(storageFile: any): File;\r\n    createStreamFromInputStream(type: string, inputStream: any): MSStream;\r\n    execAsyncAtPriority(asynchronousCallback: MSExecAtPriorityFunctionCallback, priority: string, ...args: any[]): void;\r\n    execAtPriority(synchronousCallback: MSExecAtPriorityFunctionCallback, priority: string, ...args: any[]): any;\r\n    getCurrentPriority(): string;\r\n    getHtmlPrintDocumentSourceAsync(htmlDoc: any): any;\r\n    getViewId(view: any): any;\r\n    isTaskScheduledAtPriorityOrHigher(priority: string): boolean;\r\n    pageHandlesAllApplicationActivations(enabled: boolean): void;\r\n    suppressSubdownloadCredentialPrompts(suppress: boolean): void;\r\n    terminateApp(exceptionObject: any): void;\r\n    CURRENT: string;\r\n    HIGH: string;\r\n    IDLE: string;\r\n    NORMAL: string;\r\n}\r\ndeclare var MSApp: MSApp;\r\n\r\ninterface MSAppAsyncOperation extends EventTarget {\r\n    error: DOMError;\r\n    oncomplete: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    readyState: number;\r\n    result: any;\r\n    start(): void;\r\n    COMPLETED: number;\r\n    ERROR: number;\r\n    STARTED: number;\r\n    addEventListener(type: "complete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSAppAsyncOperation: {\r\n    prototype: MSAppAsyncOperation;\r\n    new(): MSAppAsyncOperation;\r\n    COMPLETED: number;\r\n    ERROR: number;\r\n    STARTED: number;\r\n}\r\n\r\ninterface MSBlobBuilder {\r\n    append(data: any, endings?: string): void;\r\n    getBlob(contentType?: string): Blob;\r\n}\r\n\r\ndeclare var MSBlobBuilder: {\r\n    prototype: MSBlobBuilder;\r\n    new(): MSBlobBuilder;\r\n}\r\n\r\ninterface MSCSSMatrix {\r\n    a: number;\r\n    b: number;\r\n    c: number;\r\n    d: number;\r\n    e: number;\r\n    f: number;\r\n    m11: number;\r\n    m12: number;\r\n    m13: number;\r\n    m14: number;\r\n    m21: number;\r\n    m22: number;\r\n    m23: number;\r\n    m24: number;\r\n    m31: number;\r\n    m32: number;\r\n    m33: number;\r\n    m34: number;\r\n    m41: number;\r\n    m42: number;\r\n    m43: number;\r\n    m44: number;\r\n    inverse(): MSCSSMatrix;\r\n    multiply(secondMatrix: MSCSSMatrix): MSCSSMatrix;\r\n    rotate(angleX: number, angleY?: number, angleZ?: number): MSCSSMatrix;\r\n    rotateAxisAngle(x: number, y: number, z: number, angle: number): MSCSSMatrix;\r\n    scale(scaleX: number, scaleY?: number, scaleZ?: number): MSCSSMatrix;\r\n    setMatrixValue(value: string): void;\r\n    skewX(angle: number): MSCSSMatrix;\r\n    skewY(angle: number): MSCSSMatrix;\r\n    toString(): string;\r\n    translate(x: number, y: number, z?: number): MSCSSMatrix;\r\n}\r\n\r\ndeclare var MSCSSMatrix: {\r\n    prototype: MSCSSMatrix;\r\n    new(text?: string): MSCSSMatrix;\r\n}\r\n\r\ninterface MSGesture {\r\n    target: Element;\r\n    addPointer(pointerId: number): void;\r\n    stop(): void;\r\n}\r\n\r\ndeclare var MSGesture: {\r\n    prototype: MSGesture;\r\n    new(): MSGesture;\r\n}\r\n\r\ninterface MSGestureEvent extends UIEvent {\r\n    clientX: number;\r\n    clientY: number;\r\n    expansion: number;\r\n    gestureObject: any;\r\n    hwTimestamp: number;\r\n    offsetX: number;\r\n    offsetY: number;\r\n    rotation: number;\r\n    scale: number;\r\n    screenX: number;\r\n    screenY: number;\r\n    translationX: number;\r\n    translationY: number;\r\n    velocityAngular: number;\r\n    velocityExpansion: number;\r\n    velocityX: number;\r\n    velocityY: number;\r\n    initGestureEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, offsetXArg: number, offsetYArg: number, translationXArg: number, translationYArg: number, scaleArg: number, expansionArg: number, rotationArg: number, velocityXArg: number, velocityYArg: number, velocityExpansionArg: number, velocityAngularArg: number, hwTimestampArg: number): void;\r\n    MSGESTURE_FLAG_BEGIN: number;\r\n    MSGESTURE_FLAG_CANCEL: number;\r\n    MSGESTURE_FLAG_END: number;\r\n    MSGESTURE_FLAG_INERTIA: number;\r\n    MSGESTURE_FLAG_NONE: number;\r\n}\r\n\r\ndeclare var MSGestureEvent: {\r\n    prototype: MSGestureEvent;\r\n    new(): MSGestureEvent;\r\n    MSGESTURE_FLAG_BEGIN: number;\r\n    MSGESTURE_FLAG_CANCEL: number;\r\n    MSGESTURE_FLAG_END: number;\r\n    MSGESTURE_FLAG_INERTIA: number;\r\n    MSGESTURE_FLAG_NONE: number;\r\n}\r\n\r\ninterface MSGraphicsTrust {\r\n    constrictionActive: boolean;\r\n    status: string;\r\n}\r\n\r\ndeclare var MSGraphicsTrust: {\r\n    prototype: MSGraphicsTrust;\r\n    new(): MSGraphicsTrust;\r\n}\r\n\r\ninterface MSHTMLWebViewElement extends HTMLElement {\r\n    canGoBack: boolean;\r\n    canGoForward: boolean;\r\n    containsFullScreenElement: boolean;\r\n    documentTitle: string;\r\n    height: number;\r\n    settings: MSWebViewSettings;\r\n    src: string;\r\n    width: number;\r\n    addWebAllowedObject(name: string, applicationObject: any): void;\r\n    buildLocalStreamUri(contentIdentifier: string, relativePath: string): string;\r\n    capturePreviewToBlobAsync(): MSWebViewAsyncOperation;\r\n    captureSelectedContentToDataPackageAsync(): MSWebViewAsyncOperation;\r\n    getDeferredPermissionRequestById(id: number): DeferredPermissionRequest;\r\n    getDeferredPermissionRequests(): DeferredPermissionRequest[];\r\n    goBack(): void;\r\n    goForward(): void;\r\n    invokeScriptAsync(scriptName: string, ...args: any[]): MSWebViewAsyncOperation;\r\n    navigate(uri: string): void;\r\n    navigateToLocalStreamUri(source: string, streamResolver: any): void;\r\n    navigateToString(contents: string): void;\r\n    navigateWithHttpRequestMessage(requestMessage: any): void;\r\n    refresh(): void;\r\n    stop(): void;\r\n}\r\n\r\ndeclare var MSHTMLWebViewElement: {\r\n    prototype: MSHTMLWebViewElement;\r\n    new(): MSHTMLWebViewElement;\r\n}\r\n\r\ninterface MSInputMethodContext extends EventTarget {\r\n    compositionEndOffset: number;\r\n    compositionStartOffset: number;\r\n    oncandidatewindowhide: (ev: Event) => any;\r\n    oncandidatewindowshow: (ev: Event) => any;\r\n    oncandidatewindowupdate: (ev: Event) => any;\r\n    target: HTMLElement;\r\n    getCandidateWindowClientRect(): ClientRect;\r\n    getCompositionAlternatives(): string[];\r\n    hasComposition(): boolean;\r\n    isCandidateWindowVisible(): boolean;\r\n    addEventListener(type: "MSCandidateWindowHide", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSCandidateWindowShow", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSCandidateWindowUpdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSInputMethodContext: {\r\n    prototype: MSInputMethodContext;\r\n    new(): MSInputMethodContext;\r\n}\r\n\r\ninterface MSManipulationEvent extends UIEvent {\r\n    currentState: number;\r\n    inertiaDestinationX: number;\r\n    inertiaDestinationY: number;\r\n    lastState: number;\r\n    initMSManipulationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, lastState: number, currentState: number): void;\r\n    MS_MANIPULATION_STATE_ACTIVE: number;\r\n    MS_MANIPULATION_STATE_CANCELLED: number;\r\n    MS_MANIPULATION_STATE_COMMITTED: number;\r\n    MS_MANIPULATION_STATE_DRAGGING: number;\r\n    MS_MANIPULATION_STATE_INERTIA: number;\r\n    MS_MANIPULATION_STATE_PRESELECT: number;\r\n    MS_MANIPULATION_STATE_SELECTING: number;\r\n    MS_MANIPULATION_STATE_STOPPED: number;\r\n}\r\n\r\ndeclare var MSManipulationEvent: {\r\n    prototype: MSManipulationEvent;\r\n    new(): MSManipulationEvent;\r\n    MS_MANIPULATION_STATE_ACTIVE: number;\r\n    MS_MANIPULATION_STATE_CANCELLED: number;\r\n    MS_MANIPULATION_STATE_COMMITTED: number;\r\n    MS_MANIPULATION_STATE_DRAGGING: number;\r\n    MS_MANIPULATION_STATE_INERTIA: number;\r\n    MS_MANIPULATION_STATE_PRESELECT: number;\r\n    MS_MANIPULATION_STATE_SELECTING: number;\r\n    MS_MANIPULATION_STATE_STOPPED: number;\r\n}\r\n\r\ninterface MSMediaKeyError {\r\n    code: number;\r\n    systemCode: number;\r\n    MS_MEDIA_KEYERR_CLIENT: number;\r\n    MS_MEDIA_KEYERR_DOMAIN: number;\r\n    MS_MEDIA_KEYERR_HARDWARECHANGE: number;\r\n    MS_MEDIA_KEYERR_OUTPUT: number;\r\n    MS_MEDIA_KEYERR_SERVICE: number;\r\n    MS_MEDIA_KEYERR_UNKNOWN: number;\r\n}\r\n\r\ndeclare var MSMediaKeyError: {\r\n    prototype: MSMediaKeyError;\r\n    new(): MSMediaKeyError;\r\n    MS_MEDIA_KEYERR_CLIENT: number;\r\n    MS_MEDIA_KEYERR_DOMAIN: number;\r\n    MS_MEDIA_KEYERR_HARDWARECHANGE: number;\r\n    MS_MEDIA_KEYERR_OUTPUT: number;\r\n    MS_MEDIA_KEYERR_SERVICE: number;\r\n    MS_MEDIA_KEYERR_UNKNOWN: number;\r\n}\r\n\r\ninterface MSMediaKeyMessageEvent extends Event {\r\n    destinationURL: string;\r\n    message: Uint8Array;\r\n}\r\n\r\ndeclare var MSMediaKeyMessageEvent: {\r\n    prototype: MSMediaKeyMessageEvent;\r\n    new(): MSMediaKeyMessageEvent;\r\n}\r\n\r\ninterface MSMediaKeyNeededEvent extends Event {\r\n    initData: Uint8Array;\r\n}\r\n\r\ndeclare var MSMediaKeyNeededEvent: {\r\n    prototype: MSMediaKeyNeededEvent;\r\n    new(): MSMediaKeyNeededEvent;\r\n}\r\n\r\ninterface MSMediaKeySession extends EventTarget {\r\n    error: MSMediaKeyError;\r\n    keySystem: string;\r\n    sessionId: string;\r\n    close(): void;\r\n    update(key: Uint8Array): void;\r\n}\r\n\r\ndeclare var MSMediaKeySession: {\r\n    prototype: MSMediaKeySession;\r\n    new(): MSMediaKeySession;\r\n}\r\n\r\ninterface MSMediaKeys {\r\n    keySystem: string;\r\n    createSession(type: string, initData: Uint8Array, cdmData?: Uint8Array): MSMediaKeySession;\r\n}\r\n\r\ndeclare var MSMediaKeys: {\r\n    prototype: MSMediaKeys;\r\n    new(keySystem: string): MSMediaKeys;\r\n    isTypeSupported(keySystem: string, type?: string): boolean;\r\n}\r\n\r\ninterface MSMimeTypesCollection {\r\n    length: number;\r\n}\r\n\r\ndeclare var MSMimeTypesCollection: {\r\n    prototype: MSMimeTypesCollection;\r\n    new(): MSMimeTypesCollection;\r\n}\r\n\r\ninterface MSPluginsCollection {\r\n    length: number;\r\n    refresh(reload?: boolean): void;\r\n}\r\n\r\ndeclare var MSPluginsCollection: {\r\n    prototype: MSPluginsCollection;\r\n    new(): MSPluginsCollection;\r\n}\r\n\r\ninterface MSPointerEvent extends MouseEvent {\r\n    currentPoint: any;\r\n    height: number;\r\n    hwTimestamp: number;\r\n    intermediatePoints: any;\r\n    isPrimary: boolean;\r\n    pointerId: number;\r\n    pointerType: any;\r\n    pressure: number;\r\n    rotation: number;\r\n    tiltX: number;\r\n    tiltY: number;\r\n    width: number;\r\n    getCurrentPoint(element: Element): void;\r\n    getIntermediatePoints(element: Element): void;\r\n    initPointerEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget, offsetXArg: number, offsetYArg: number, widthArg: number, heightArg: number, pressure: number, rotation: number, tiltX: number, tiltY: number, pointerIdArg: number, pointerType: any, hwTimestampArg: number, isPrimary: boolean): void;\r\n}\r\n\r\ndeclare var MSPointerEvent: {\r\n    prototype: MSPointerEvent;\r\n    new(typeArg: string, eventInitDict?: PointerEventInit): MSPointerEvent;\r\n}\r\n\r\ninterface MSRangeCollection {\r\n    length: number;\r\n    item(index: number): Range;\r\n    [index: number]: Range;\r\n}\r\n\r\ndeclare var MSRangeCollection: {\r\n    prototype: MSRangeCollection;\r\n    new(): MSRangeCollection;\r\n}\r\n\r\ninterface MSSiteModeEvent extends Event {\r\n    actionURL: string;\r\n    buttonID: number;\r\n}\r\n\r\ndeclare var MSSiteModeEvent: {\r\n    prototype: MSSiteModeEvent;\r\n    new(): MSSiteModeEvent;\r\n}\r\n\r\ninterface MSStream {\r\n    type: string;\r\n    msClose(): void;\r\n    msDetachStream(): any;\r\n}\r\n\r\ndeclare var MSStream: {\r\n    prototype: MSStream;\r\n    new(): MSStream;\r\n}\r\n\r\ninterface MSStreamReader extends EventTarget, MSBaseReader {\r\n    error: DOMError;\r\n    readAsArrayBuffer(stream: MSStream, size?: number): void;\r\n    readAsBinaryString(stream: MSStream, size?: number): void;\r\n    readAsBlob(stream: MSStream, size?: number): void;\r\n    readAsDataURL(stream: MSStream, size?: number): void;\r\n    readAsText(stream: MSStream, encoding?: string, size?: number): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSStreamReader: {\r\n    prototype: MSStreamReader;\r\n    new(): MSStreamReader;\r\n}\r\n\r\ninterface MSWebViewAsyncOperation extends EventTarget {\r\n    error: DOMError;\r\n    oncomplete: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    readyState: number;\r\n    result: any;\r\n    target: MSHTMLWebViewElement;\r\n    type: number;\r\n    start(): void;\r\n    COMPLETED: number;\r\n    ERROR: number;\r\n    STARTED: number;\r\n    TYPE_CAPTURE_PREVIEW_TO_RANDOM_ACCESS_STREAM: number;\r\n    TYPE_CREATE_DATA_PACKAGE_FROM_SELECTION: number;\r\n    TYPE_INVOKE_SCRIPT: number;\r\n    addEventListener(type: "complete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSWebViewAsyncOperation: {\r\n    prototype: MSWebViewAsyncOperation;\r\n    new(): MSWebViewAsyncOperation;\r\n    COMPLETED: number;\r\n    ERROR: number;\r\n    STARTED: number;\r\n    TYPE_CAPTURE_PREVIEW_TO_RANDOM_ACCESS_STREAM: number;\r\n    TYPE_CREATE_DATA_PACKAGE_FROM_SELECTION: number;\r\n    TYPE_INVOKE_SCRIPT: number;\r\n}\r\n\r\ninterface MSWebViewSettings {\r\n    isIndexedDBEnabled: boolean;\r\n    isJavaScriptEnabled: boolean;\r\n}\r\n\r\ndeclare var MSWebViewSettings: {\r\n    prototype: MSWebViewSettings;\r\n    new(): MSWebViewSettings;\r\n}\r\n\r\ninterface MediaElementAudioSourceNode extends AudioNode {\r\n}\r\n\r\ndeclare var MediaElementAudioSourceNode: {\r\n    prototype: MediaElementAudioSourceNode;\r\n    new(): MediaElementAudioSourceNode;\r\n}\r\n\r\ninterface MediaError {\r\n    code: number;\r\n    msExtendedCode: number;\r\n    MEDIA_ERR_ABORTED: number;\r\n    MEDIA_ERR_DECODE: number;\r\n    MEDIA_ERR_NETWORK: number;\r\n    MEDIA_ERR_SRC_NOT_SUPPORTED: number;\r\n    MS_MEDIA_ERR_ENCRYPTED: number;\r\n}\r\n\r\ndeclare var MediaError: {\r\n    prototype: MediaError;\r\n    new(): MediaError;\r\n    MEDIA_ERR_ABORTED: number;\r\n    MEDIA_ERR_DECODE: number;\r\n    MEDIA_ERR_NETWORK: number;\r\n    MEDIA_ERR_SRC_NOT_SUPPORTED: number;\r\n    MS_MEDIA_ERR_ENCRYPTED: number;\r\n}\r\n\r\ninterface MediaList {\r\n    length: number;\r\n    mediaText: string;\r\n    appendMedium(newMedium: string): void;\r\n    deleteMedium(oldMedium: string): void;\r\n    item(index: number): string;\r\n    toString(): string;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var MediaList: {\r\n    prototype: MediaList;\r\n    new(): MediaList;\r\n}\r\n\r\ninterface MediaQueryList {\r\n    matches: boolean;\r\n    media: string;\r\n    addListener(listener: MediaQueryListListener): void;\r\n    removeListener(listener: MediaQueryListListener): void;\r\n}\r\n\r\ndeclare var MediaQueryList: {\r\n    prototype: MediaQueryList;\r\n    new(): MediaQueryList;\r\n}\r\n\r\ninterface MediaSource extends EventTarget {\r\n    activeSourceBuffers: SourceBufferList;\r\n    duration: number;\r\n    readyState: string;\r\n    sourceBuffers: SourceBufferList;\r\n    addSourceBuffer(type: string): SourceBuffer;\r\n    endOfStream(error?: number): void;\r\n    removeSourceBuffer(sourceBuffer: SourceBuffer): void;\r\n}\r\n\r\ndeclare var MediaSource: {\r\n    prototype: MediaSource;\r\n    new(): MediaSource;\r\n    isTypeSupported(type: string): boolean;\r\n}\r\n\r\ninterface MessageChannel {\r\n    port1: MessagePort;\r\n    port2: MessagePort;\r\n}\r\n\r\ndeclare var MessageChannel: {\r\n    prototype: MessageChannel;\r\n    new(): MessageChannel;\r\n}\r\n\r\ninterface MessageEvent extends Event {\r\n    data: any;\r\n    origin: string;\r\n    ports: any;\r\n    source: Window;\r\n    initMessageEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, dataArg: any, originArg: string, lastEventIdArg: string, sourceArg: Window): void;\r\n}\r\n\r\ndeclare var MessageEvent: {\r\n    prototype: MessageEvent;\r\n    new(type: string, eventInitDict?: MessageEventInit): MessageEvent;\r\n}\r\n\r\ninterface MessagePort extends EventTarget {\r\n    onmessage: (ev: MessageEvent) => any;\r\n    close(): void;\r\n    postMessage(message?: any, ports?: any): void;\r\n    start(): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MessagePort: {\r\n    prototype: MessagePort;\r\n    new(): MessagePort;\r\n}\r\n\r\ninterface MimeType {\r\n    description: string;\r\n    enabledPlugin: Plugin;\r\n    suffixes: string;\r\n    type: string;\r\n}\r\n\r\ndeclare var MimeType: {\r\n    prototype: MimeType;\r\n    new(): MimeType;\r\n}\r\n\r\ninterface MimeTypeArray {\r\n    length: number;\r\n    item(index: number): Plugin;\r\n    namedItem(type: string): Plugin;\r\n    [index: number]: Plugin;\r\n}\r\n\r\ndeclare var MimeTypeArray: {\r\n    prototype: MimeTypeArray;\r\n    new(): MimeTypeArray;\r\n}\r\n\r\ninterface MouseEvent extends UIEvent {\r\n    altKey: boolean;\r\n    button: number;\r\n    buttons: number;\r\n    clientX: number;\r\n    clientY: number;\r\n    ctrlKey: boolean;\r\n    fromElement: Element;\r\n    layerX: number;\r\n    layerY: number;\r\n    metaKey: boolean;\r\n    movementX: number;\r\n    movementY: number;\r\n    offsetX: number;\r\n    offsetY: number;\r\n    pageX: number;\r\n    pageY: number;\r\n    relatedTarget: EventTarget;\r\n    screenX: number;\r\n    screenY: number;\r\n    shiftKey: boolean;\r\n    toElement: Element;\r\n    which: number;\r\n    x: number;\r\n    y: number;\r\n    getModifierState(keyArg: string): boolean;\r\n    initMouseEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget): void;\r\n}\r\n\r\ndeclare var MouseEvent: {\r\n    prototype: MouseEvent;\r\n    new(typeArg: string, eventInitDict?: MouseEventInit): MouseEvent;\r\n}\r\n\r\ninterface MouseWheelEvent extends MouseEvent {\r\n    wheelDelta: number;\r\n    wheelDeltaX: number;\r\n    wheelDeltaY: number;\r\n    initMouseWheelEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, buttonArg: number, relatedTargetArg: EventTarget, modifiersListArg: string, wheelDeltaArg: number): void;\r\n}\r\n\r\ndeclare var MouseWheelEvent: {\r\n    prototype: MouseWheelEvent;\r\n    new(): MouseWheelEvent;\r\n}\r\n\r\ninterface MutationEvent extends Event {\r\n    attrChange: number;\r\n    attrName: string;\r\n    newValue: string;\r\n    prevValue: string;\r\n    relatedNode: Node;\r\n    initMutationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, relatedNodeArg: Node, prevValueArg: string, newValueArg: string, attrNameArg: string, attrChangeArg: number): void;\r\n    ADDITION: number;\r\n    MODIFICATION: number;\r\n    REMOVAL: number;\r\n}\r\n\r\ndeclare var MutationEvent: {\r\n    prototype: MutationEvent;\r\n    new(): MutationEvent;\r\n    ADDITION: number;\r\n    MODIFICATION: number;\r\n    REMOVAL: number;\r\n}\r\n\r\ninterface MutationObserver {\r\n    disconnect(): void;\r\n    observe(target: Node, options: MutationObserverInit): void;\r\n    takeRecords(): MutationRecord[];\r\n}\r\n\r\ndeclare var MutationObserver: {\r\n    prototype: MutationObserver;\r\n    new(callback: MutationCallback): MutationObserver;\r\n}\r\n\r\ninterface MutationRecord {\r\n    addedNodes: NodeList;\r\n    attributeName: string;\r\n    attributeNamespace: string;\r\n    nextSibling: Node;\r\n    oldValue: string;\r\n    previousSibling: Node;\r\n    removedNodes: NodeList;\r\n    target: Node;\r\n    type: string;\r\n}\r\n\r\ndeclare var MutationRecord: {\r\n    prototype: MutationRecord;\r\n    new(): MutationRecord;\r\n}\r\n\r\ninterface NamedNodeMap {\r\n    length: number;\r\n    getNamedItem(name: string): Attr;\r\n    getNamedItemNS(namespaceURI: string, localName: string): Attr;\r\n    item(index: number): Attr;\r\n    removeNamedItem(name: string): Attr;\r\n    removeNamedItemNS(namespaceURI: string, localName: string): Attr;\r\n    setNamedItem(arg: Attr): Attr;\r\n    setNamedItemNS(arg: Attr): Attr;\r\n    [index: number]: Attr;\r\n}\r\n\r\ndeclare var NamedNodeMap: {\r\n    prototype: NamedNodeMap;\r\n    new(): NamedNodeMap;\r\n}\r\n\r\ninterface NavigationCompletedEvent extends NavigationEvent {\r\n    isSuccess: boolean;\r\n    webErrorStatus: number;\r\n}\r\n\r\ndeclare var NavigationCompletedEvent: {\r\n    prototype: NavigationCompletedEvent;\r\n    new(): NavigationCompletedEvent;\r\n}\r\n\r\ninterface NavigationEvent extends Event {\r\n    uri: string;\r\n}\r\n\r\ndeclare var NavigationEvent: {\r\n    prototype: NavigationEvent;\r\n    new(): NavigationEvent;\r\n}\r\n\r\ninterface NavigationEventWithReferrer extends NavigationEvent {\r\n    referer: string;\r\n}\r\n\r\ndeclare var NavigationEventWithReferrer: {\r\n    prototype: NavigationEventWithReferrer;\r\n    new(): NavigationEventWithReferrer;\r\n}\r\n\r\ninterface Navigator extends Object, NavigatorID, NavigatorOnLine, NavigatorContentUtils, NavigatorStorageUtils, NavigatorGeolocation, MSNavigatorDoNotTrack, MSFileSaver {\r\n    appCodeName: string;\r\n    appMinorVersion: string;\r\n    browserLanguage: string;\r\n    connectionSpeed: number;\r\n    cookieEnabled: boolean;\r\n    cpuClass: string;\r\n    language: string;\r\n    maxTouchPoints: number;\r\n    mimeTypes: MSMimeTypesCollection;\r\n    msManipulationViewsEnabled: boolean;\r\n    msMaxTouchPoints: number;\r\n    msPointerEnabled: boolean;\r\n    plugins: MSPluginsCollection;\r\n    pointerEnabled: boolean;\r\n    systemLanguage: string;\r\n    userLanguage: string;\r\n    webdriver: boolean;\r\n    getGamepads(): Gamepad[];\r\n    javaEnabled(): boolean;\r\n    msLaunchUri(uri: string, successCallback?: MSLaunchUriCallback, noHandlerCallback?: MSLaunchUriCallback): void;\r\n    vibrate(pattern: number | number[]): boolean;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Navigator: {\r\n    prototype: Navigator;\r\n    new(): Navigator;\r\n}\r\n\r\ninterface Node extends EventTarget {\r\n    attributes: NamedNodeMap;\r\n    baseURI: string;\r\n    childNodes: NodeList;\r\n    firstChild: Node;\r\n    lastChild: Node;\r\n    localName: string;\r\n    namespaceURI: string;\r\n    nextSibling: Node;\r\n    nodeName: string;\r\n    nodeType: number;\r\n    nodeValue: string;\r\n    ownerDocument: Document;\r\n    parentElement: HTMLElement;\r\n    parentNode: Node;\r\n    prefix: string;\r\n    previousSibling: Node;\r\n    textContent: string;\r\n    appendChild(newChild: Node): Node;\r\n    cloneNode(deep?: boolean): Node;\r\n    compareDocumentPosition(other: Node): number;\r\n    hasAttributes(): boolean;\r\n    hasChildNodes(): boolean;\r\n    insertBefore(newChild: Node, refChild?: Node): Node;\r\n    isDefaultNamespace(namespaceURI: string): boolean;\r\n    isEqualNode(arg: Node): boolean;\r\n    isSameNode(other: Node): boolean;\r\n    lookupNamespaceURI(prefix: string): string;\r\n    lookupPrefix(namespaceURI: string): string;\r\n    normalize(): void;\r\n    removeChild(oldChild: Node): Node;\r\n    replaceChild(newChild: Node, oldChild: Node): Node;\r\n    contains(node: Node): boolean;\r\n    ATTRIBUTE_NODE: number;\r\n    CDATA_SECTION_NODE: number;\r\n    COMMENT_NODE: number;\r\n    DOCUMENT_FRAGMENT_NODE: number;\r\n    DOCUMENT_NODE: number;\r\n    DOCUMENT_POSITION_CONTAINED_BY: number;\r\n    DOCUMENT_POSITION_CONTAINS: number;\r\n    DOCUMENT_POSITION_DISCONNECTED: number;\r\n    DOCUMENT_POSITION_FOLLOWING: number;\r\n    DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;\r\n    DOCUMENT_POSITION_PRECEDING: number;\r\n    DOCUMENT_TYPE_NODE: number;\r\n    ELEMENT_NODE: number;\r\n    ENTITY_NODE: number;\r\n    ENTITY_REFERENCE_NODE: number;\r\n    NOTATION_NODE: number;\r\n    PROCESSING_INSTRUCTION_NODE: number;\r\n    TEXT_NODE: number;\r\n}\r\n\r\ndeclare var Node: {\r\n    prototype: Node;\r\n    new(): Node;\r\n    ATTRIBUTE_NODE: number;\r\n    CDATA_SECTION_NODE: number;\r\n    COMMENT_NODE: number;\r\n    DOCUMENT_FRAGMENT_NODE: number;\r\n    DOCUMENT_NODE: number;\r\n    DOCUMENT_POSITION_CONTAINED_BY: number;\r\n    DOCUMENT_POSITION_CONTAINS: number;\r\n    DOCUMENT_POSITION_DISCONNECTED: number;\r\n    DOCUMENT_POSITION_FOLLOWING: number;\r\n    DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;\r\n    DOCUMENT_POSITION_PRECEDING: number;\r\n    DOCUMENT_TYPE_NODE: number;\r\n    ELEMENT_NODE: number;\r\n    ENTITY_NODE: number;\r\n    ENTITY_REFERENCE_NODE: number;\r\n    NOTATION_NODE: number;\r\n    PROCESSING_INSTRUCTION_NODE: number;\r\n    TEXT_NODE: number;\r\n}\r\n\r\ninterface NodeFilter {\r\n    acceptNode(n: Node): number;\r\n}\r\n\r\ndeclare var NodeFilter: {\r\n    FILTER_ACCEPT: number;\r\n    FILTER_REJECT: number;\r\n    FILTER_SKIP: number;\r\n    SHOW_ALL: number;\r\n    SHOW_ATTRIBUTE: number;\r\n    SHOW_CDATA_SECTION: number;\r\n    SHOW_COMMENT: number;\r\n    SHOW_DOCUMENT: number;\r\n    SHOW_DOCUMENT_FRAGMENT: number;\r\n    SHOW_DOCUMENT_TYPE: number;\r\n    SHOW_ELEMENT: number;\r\n    SHOW_ENTITY: number;\r\n    SHOW_ENTITY_REFERENCE: number;\r\n    SHOW_NOTATION: number;\r\n    SHOW_PROCESSING_INSTRUCTION: number;\r\n    SHOW_TEXT: number;\r\n}\r\n\r\ninterface NodeIterator {\r\n    expandEntityReferences: boolean;\r\n    filter: NodeFilter;\r\n    root: Node;\r\n    whatToShow: number;\r\n    detach(): void;\r\n    nextNode(): Node;\r\n    previousNode(): Node;\r\n}\r\n\r\ndeclare var NodeIterator: {\r\n    prototype: NodeIterator;\r\n    new(): NodeIterator;\r\n}\r\n\r\ninterface NodeList {\r\n    length: number;\r\n    item(index: number): Node;\r\n    [index: number]: Node;\r\n}\r\n\r\ndeclare var NodeList: {\r\n    prototype: NodeList;\r\n    new(): NodeList;\r\n}\r\n\r\ninterface OES_element_index_uint {\r\n}\r\n\r\ndeclare var OES_element_index_uint: {\r\n    prototype: OES_element_index_uint;\r\n    new(): OES_element_index_uint;\r\n}\r\n\r\ninterface OES_standard_derivatives {\r\n    FRAGMENT_SHADER_DERIVATIVE_HINT_OES: number;\r\n}\r\n\r\ndeclare var OES_standard_derivatives: {\r\n    prototype: OES_standard_derivatives;\r\n    new(): OES_standard_derivatives;\r\n    FRAGMENT_SHADER_DERIVATIVE_HINT_OES: number;\r\n}\r\n\r\ninterface OES_texture_float {\r\n}\r\n\r\ndeclare var OES_texture_float: {\r\n    prototype: OES_texture_float;\r\n    new(): OES_texture_float;\r\n}\r\n\r\ninterface OES_texture_float_linear {\r\n}\r\n\r\ndeclare var OES_texture_float_linear: {\r\n    prototype: OES_texture_float_linear;\r\n    new(): OES_texture_float_linear;\r\n}\r\n\r\ninterface OfflineAudioCompletionEvent extends Event {\r\n    renderedBuffer: AudioBuffer;\r\n}\r\n\r\ndeclare var OfflineAudioCompletionEvent: {\r\n    prototype: OfflineAudioCompletionEvent;\r\n    new(): OfflineAudioCompletionEvent;\r\n}\r\n\r\ninterface OfflineAudioContext extends AudioContext {\r\n    oncomplete: (ev: Event) => any;\r\n    startRendering(): void;\r\n    addEventListener(type: "complete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var OfflineAudioContext: {\r\n    prototype: OfflineAudioContext;\r\n    new(numberOfChannels: number, length: number, sampleRate: number): OfflineAudioContext;\r\n}\r\n\r\ninterface OscillatorNode extends AudioNode {\r\n    detune: AudioParam;\r\n    frequency: AudioParam;\r\n    onended: (ev: Event) => any;\r\n    type: string;\r\n    setPeriodicWave(periodicWave: PeriodicWave): void;\r\n    start(when?: number): void;\r\n    stop(when?: number): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var OscillatorNode: {\r\n    prototype: OscillatorNode;\r\n    new(): OscillatorNode;\r\n}\r\n\r\ninterface PageTransitionEvent extends Event {\r\n    persisted: boolean;\r\n}\r\n\r\ndeclare var PageTransitionEvent: {\r\n    prototype: PageTransitionEvent;\r\n    new(): PageTransitionEvent;\r\n}\r\n\r\ninterface PannerNode extends AudioNode {\r\n    coneInnerAngle: number;\r\n    coneOuterAngle: number;\r\n    coneOuterGain: number;\r\n    distanceModel: string;\r\n    maxDistance: number;\r\n    panningModel: string;\r\n    refDistance: number;\r\n    rolloffFactor: number;\r\n    setOrientation(x: number, y: number, z: number): void;\r\n    setPosition(x: number, y: number, z: number): void;\r\n    setVelocity(x: number, y: number, z: number): void;\r\n}\r\n\r\ndeclare var PannerNode: {\r\n    prototype: PannerNode;\r\n    new(): PannerNode;\r\n}\r\n\r\ninterface PerfWidgetExternal {\r\n    activeNetworkRequestCount: number;\r\n    averageFrameTime: number;\r\n    averagePaintTime: number;\r\n    extraInformationEnabled: boolean;\r\n    independentRenderingEnabled: boolean;\r\n    irDisablingContentString: string;\r\n    irStatusAvailable: boolean;\r\n    maxCpuSpeed: number;\r\n    paintRequestsPerSecond: number;\r\n    performanceCounter: number;\r\n    performanceCounterFrequency: number;\r\n    addEventListener(eventType: string, callback: Function): void;\r\n    getMemoryUsage(): number;\r\n    getProcessCpuUsage(): number;\r\n    getRecentCpuUsage(last: number): any;\r\n    getRecentFrames(last: number): any;\r\n    getRecentMemoryUsage(last: number): any;\r\n    getRecentPaintRequests(last: number): any;\r\n    removeEventListener(eventType: string, callback: Function): void;\r\n    repositionWindow(x: number, y: number): void;\r\n    resizeWindow(width: number, height: number): void;\r\n}\r\n\r\ndeclare var PerfWidgetExternal: {\r\n    prototype: PerfWidgetExternal;\r\n    new(): PerfWidgetExternal;\r\n}\r\n\r\ninterface Performance {\r\n    navigation: PerformanceNavigation;\r\n    timing: PerformanceTiming;\r\n    clearMarks(markName?: string): void;\r\n    clearMeasures(measureName?: string): void;\r\n    clearResourceTimings(): void;\r\n    getEntries(): any;\r\n    getEntriesByName(name: string, entryType?: string): any;\r\n    getEntriesByType(entryType: string): any;\r\n    getMarks(markName?: string): any;\r\n    getMeasures(measureName?: string): any;\r\n    mark(markName: string): void;\r\n    measure(measureName: string, startMarkName?: string, endMarkName?: string): void;\r\n    now(): number;\r\n    setResourceTimingBufferSize(maxSize: number): void;\r\n    toJSON(): any;\r\n}\r\n\r\ndeclare var Performance: {\r\n    prototype: Performance;\r\n    new(): Performance;\r\n}\r\n\r\ninterface PerformanceEntry {\r\n    duration: number;\r\n    entryType: string;\r\n    name: string;\r\n    startTime: number;\r\n}\r\n\r\ndeclare var PerformanceEntry: {\r\n    prototype: PerformanceEntry;\r\n    new(): PerformanceEntry;\r\n}\r\n\r\ninterface PerformanceMark extends PerformanceEntry {\r\n}\r\n\r\ndeclare var PerformanceMark: {\r\n    prototype: PerformanceMark;\r\n    new(): PerformanceMark;\r\n}\r\n\r\ninterface PerformanceMeasure extends PerformanceEntry {\r\n}\r\n\r\ndeclare var PerformanceMeasure: {\r\n    prototype: PerformanceMeasure;\r\n    new(): PerformanceMeasure;\r\n}\r\n\r\ninterface PerformanceNavigation {\r\n    redirectCount: number;\r\n    type: number;\r\n    toJSON(): any;\r\n    TYPE_BACK_FORWARD: number;\r\n    TYPE_NAVIGATE: number;\r\n    TYPE_RELOAD: number;\r\n    TYPE_RESERVED: number;\r\n}\r\n\r\ndeclare var PerformanceNavigation: {\r\n    prototype: PerformanceNavigation;\r\n    new(): PerformanceNavigation;\r\n    TYPE_BACK_FORWARD: number;\r\n    TYPE_NAVIGATE: number;\r\n    TYPE_RELOAD: number;\r\n    TYPE_RESERVED: number;\r\n}\r\n\r\ninterface PerformanceNavigationTiming extends PerformanceEntry {\r\n    connectEnd: number;\r\n    connectStart: number;\r\n    domComplete: number;\r\n    domContentLoadedEventEnd: number;\r\n    domContentLoadedEventStart: number;\r\n    domInteractive: number;\r\n    domLoading: number;\r\n    domainLookupEnd: number;\r\n    domainLookupStart: number;\r\n    fetchStart: number;\r\n    loadEventEnd: number;\r\n    loadEventStart: number;\r\n    navigationStart: number;\r\n    redirectCount: number;\r\n    redirectEnd: number;\r\n    redirectStart: number;\r\n    requestStart: number;\r\n    responseEnd: number;\r\n    responseStart: number;\r\n    type: string;\r\n    unloadEventEnd: number;\r\n    unloadEventStart: number;\r\n}\r\n\r\ndeclare var PerformanceNavigationTiming: {\r\n    prototype: PerformanceNavigationTiming;\r\n    new(): PerformanceNavigationTiming;\r\n}\r\n\r\ninterface PerformanceResourceTiming extends PerformanceEntry {\r\n    connectEnd: number;\r\n    connectStart: number;\r\n    domainLookupEnd: number;\r\n    domainLookupStart: number;\r\n    fetchStart: number;\r\n    initiatorType: string;\r\n    redirectEnd: number;\r\n    redirectStart: number;\r\n    requestStart: number;\r\n    responseEnd: number;\r\n    responseStart: number;\r\n}\r\n\r\ndeclare var PerformanceResourceTiming: {\r\n    prototype: PerformanceResourceTiming;\r\n    new(): PerformanceResourceTiming;\r\n}\r\n\r\ninterface PerformanceTiming {\r\n    connectEnd: number;\r\n    connectStart: number;\r\n    domComplete: number;\r\n    domContentLoadedEventEnd: number;\r\n    domContentLoadedEventStart: number;\r\n    domInteractive: number;\r\n    domLoading: number;\r\n    domainLookupEnd: number;\r\n    domainLookupStart: number;\r\n    fetchStart: number;\r\n    loadEventEnd: number;\r\n    loadEventStart: number;\r\n    msFirstPaint: number;\r\n    navigationStart: number;\r\n    redirectEnd: number;\r\n    redirectStart: number;\r\n    requestStart: number;\r\n    responseEnd: number;\r\n    responseStart: number;\r\n    unloadEventEnd: number;\r\n    unloadEventStart: number;\r\n    toJSON(): any;\r\n}\r\n\r\ndeclare var PerformanceTiming: {\r\n    prototype: PerformanceTiming;\r\n    new(): PerformanceTiming;\r\n}\r\n\r\ninterface PeriodicWave {\r\n}\r\n\r\ndeclare var PeriodicWave: {\r\n    prototype: PeriodicWave;\r\n    new(): PeriodicWave;\r\n}\r\n\r\ninterface PermissionRequest extends DeferredPermissionRequest {\r\n    state: string;\r\n    defer(): void;\r\n}\r\n\r\ndeclare var PermissionRequest: {\r\n    prototype: PermissionRequest;\r\n    new(): PermissionRequest;\r\n}\r\n\r\ninterface PermissionRequestedEvent extends Event {\r\n    permissionRequest: PermissionRequest;\r\n}\r\n\r\ndeclare var PermissionRequestedEvent: {\r\n    prototype: PermissionRequestedEvent;\r\n    new(): PermissionRequestedEvent;\r\n}\r\n\r\ninterface Plugin {\r\n    description: string;\r\n    filename: string;\r\n    length: number;\r\n    name: string;\r\n    version: string;\r\n    item(index: number): MimeType;\r\n    namedItem(type: string): MimeType;\r\n    [index: number]: MimeType;\r\n}\r\n\r\ndeclare var Plugin: {\r\n    prototype: Plugin;\r\n    new(): Plugin;\r\n}\r\n\r\ninterface PluginArray {\r\n    length: number;\r\n    item(index: number): Plugin;\r\n    namedItem(name: string): Plugin;\r\n    refresh(reload?: boolean): void;\r\n    [index: number]: Plugin;\r\n}\r\n\r\ndeclare var PluginArray: {\r\n    prototype: PluginArray;\r\n    new(): PluginArray;\r\n}\r\n\r\ninterface PointerEvent extends MouseEvent {\r\n    currentPoint: any;\r\n    height: number;\r\n    hwTimestamp: number;\r\n    intermediatePoints: any;\r\n    isPrimary: boolean;\r\n    pointerId: number;\r\n    pointerType: any;\r\n    pressure: number;\r\n    rotation: number;\r\n    tiltX: number;\r\n    tiltY: number;\r\n    width: number;\r\n    getCurrentPoint(element: Element): void;\r\n    getIntermediatePoints(element: Element): void;\r\n    initPointerEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget, offsetXArg: number, offsetYArg: number, widthArg: number, heightArg: number, pressure: number, rotation: number, tiltX: number, tiltY: number, pointerIdArg: number, pointerType: any, hwTimestampArg: number, isPrimary: boolean): void;\r\n}\r\n\r\ndeclare var PointerEvent: {\r\n    prototype: PointerEvent;\r\n    new(typeArg: string, eventInitDict?: PointerEventInit): PointerEvent;\r\n}\r\n\r\ninterface PopStateEvent extends Event {\r\n    state: any;\r\n    initPopStateEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, stateArg: any): void;\r\n}\r\n\r\ndeclare var PopStateEvent: {\r\n    prototype: PopStateEvent;\r\n    new(): PopStateEvent;\r\n}\r\n\r\ninterface Position {\r\n    coords: Coordinates;\r\n    timestamp: number;\r\n}\r\n\r\ndeclare var Position: {\r\n    prototype: Position;\r\n    new(): Position;\r\n}\r\n\r\ninterface PositionError {\r\n    code: number;\r\n    message: string;\r\n    toString(): string;\r\n    PERMISSION_DENIED: number;\r\n    POSITION_UNAVAILABLE: number;\r\n    TIMEOUT: number;\r\n}\r\n\r\ndeclare var PositionError: {\r\n    prototype: PositionError;\r\n    new(): PositionError;\r\n    PERMISSION_DENIED: number;\r\n    POSITION_UNAVAILABLE: number;\r\n    TIMEOUT: number;\r\n}\r\n\r\ninterface ProcessingInstruction extends CharacterData {\r\n    target: string;\r\n}\r\n\r\ndeclare var ProcessingInstruction: {\r\n    prototype: ProcessingInstruction;\r\n    new(): ProcessingInstruction;\r\n}\r\n\r\ninterface ProgressEvent extends Event {\r\n    lengthComputable: boolean;\r\n    loaded: number;\r\n    total: number;\r\n    initProgressEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, lengthComputableArg: boolean, loadedArg: number, totalArg: number): void;\r\n}\r\n\r\ndeclare var ProgressEvent: {\r\n    prototype: ProgressEvent;\r\n    new(type: string, eventInitDict?: ProgressEventInit): ProgressEvent;\r\n}\r\n\r\ninterface Range {\r\n    collapsed: boolean;\r\n    commonAncestorContainer: Node;\r\n    endContainer: Node;\r\n    endOffset: number;\r\n    startContainer: Node;\r\n    startOffset: number;\r\n    cloneContents(): DocumentFragment;\r\n    cloneRange(): Range;\r\n    collapse(toStart: boolean): void;\r\n    compareBoundaryPoints(how: number, sourceRange: Range): number;\r\n    createContextualFragment(fragment: string): DocumentFragment;\r\n    deleteContents(): void;\r\n    detach(): void;\r\n    expand(Unit: string): boolean;\r\n    extractContents(): DocumentFragment;\r\n    getBoundingClientRect(): ClientRect;\r\n    getClientRects(): ClientRectList;\r\n    insertNode(newNode: Node): void;\r\n    selectNode(refNode: Node): void;\r\n    selectNodeContents(refNode: Node): void;\r\n    setEnd(refNode: Node, offset: number): void;\r\n    setEndAfter(refNode: Node): void;\r\n    setEndBefore(refNode: Node): void;\r\n    setStart(refNode: Node, offset: number): void;\r\n    setStartAfter(refNode: Node): void;\r\n    setStartBefore(refNode: Node): void;\r\n    surroundContents(newParent: Node): void;\r\n    toString(): string;\r\n    END_TO_END: number;\r\n    END_TO_START: number;\r\n    START_TO_END: number;\r\n    START_TO_START: number;\r\n}\r\n\r\ndeclare var Range: {\r\n    prototype: Range;\r\n    new(): Range;\r\n    END_TO_END: number;\r\n    END_TO_START: number;\r\n    START_TO_END: number;\r\n    START_TO_START: number;\r\n}\r\n\r\ninterface SVGAElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGURIReference {\r\n    target: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGAElement: {\r\n    prototype: SVGAElement;\r\n    new(): SVGAElement;\r\n}\r\n\r\ninterface SVGAngle {\r\n    unitType: number;\r\n    value: number;\r\n    valueAsString: string;\r\n    valueInSpecifiedUnits: number;\r\n    convertToSpecifiedUnits(unitType: number): void;\r\n    newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void;\r\n    SVG_ANGLETYPE_DEG: number;\r\n    SVG_ANGLETYPE_GRAD: number;\r\n    SVG_ANGLETYPE_RAD: number;\r\n    SVG_ANGLETYPE_UNKNOWN: number;\r\n    SVG_ANGLETYPE_UNSPECIFIED: number;\r\n}\r\n\r\ndeclare var SVGAngle: {\r\n    prototype: SVGAngle;\r\n    new(): SVGAngle;\r\n    SVG_ANGLETYPE_DEG: number;\r\n    SVG_ANGLETYPE_GRAD: number;\r\n    SVG_ANGLETYPE_RAD: number;\r\n    SVG_ANGLETYPE_UNKNOWN: number;\r\n    SVG_ANGLETYPE_UNSPECIFIED: number;\r\n}\r\n\r\ninterface SVGAnimatedAngle {\r\n    animVal: SVGAngle;\r\n    baseVal: SVGAngle;\r\n}\r\n\r\ndeclare var SVGAnimatedAngle: {\r\n    prototype: SVGAnimatedAngle;\r\n    new(): SVGAnimatedAngle;\r\n}\r\n\r\ninterface SVGAnimatedBoolean {\r\n    animVal: boolean;\r\n    baseVal: boolean;\r\n}\r\n\r\ndeclare var SVGAnimatedBoolean: {\r\n    prototype: SVGAnimatedBoolean;\r\n    new(): SVGAnimatedBoolean;\r\n}\r\n\r\ninterface SVGAnimatedEnumeration {\r\n    animVal: number;\r\n    baseVal: number;\r\n}\r\n\r\ndeclare var SVGAnimatedEnumeration: {\r\n    prototype: SVGAnimatedEnumeration;\r\n    new(): SVGAnimatedEnumeration;\r\n}\r\n\r\ninterface SVGAnimatedInteger {\r\n    animVal: number;\r\n    baseVal: number;\r\n}\r\n\r\ndeclare var SVGAnimatedInteger: {\r\n    prototype: SVGAnimatedInteger;\r\n    new(): SVGAnimatedInteger;\r\n}\r\n\r\ninterface SVGAnimatedLength {\r\n    animVal: SVGLength;\r\n    baseVal: SVGLength;\r\n}\r\n\r\ndeclare var SVGAnimatedLength: {\r\n    prototype: SVGAnimatedLength;\r\n    new(): SVGAnimatedLength;\r\n}\r\n\r\ninterface SVGAnimatedLengthList {\r\n    animVal: SVGLengthList;\r\n    baseVal: SVGLengthList;\r\n}\r\n\r\ndeclare var SVGAnimatedLengthList: {\r\n    prototype: SVGAnimatedLengthList;\r\n    new(): SVGAnimatedLengthList;\r\n}\r\n\r\ninterface SVGAnimatedNumber {\r\n    animVal: number;\r\n    baseVal: number;\r\n}\r\n\r\ndeclare var SVGAnimatedNumber: {\r\n    prototype: SVGAnimatedNumber;\r\n    new(): SVGAnimatedNumber;\r\n}\r\n\r\ninterface SVGAnimatedNumberList {\r\n    animVal: SVGNumberList;\r\n    baseVal: SVGNumberList;\r\n}\r\n\r\ndeclare var SVGAnimatedNumberList: {\r\n    prototype: SVGAnimatedNumberList;\r\n    new(): SVGAnimatedNumberList;\r\n}\r\n\r\ninterface SVGAnimatedPreserveAspectRatio {\r\n    animVal: SVGPreserveAspectRatio;\r\n    baseVal: SVGPreserveAspectRatio;\r\n}\r\n\r\ndeclare var SVGAnimatedPreserveAspectRatio: {\r\n    prototype: SVGAnimatedPreserveAspectRatio;\r\n    new(): SVGAnimatedPreserveAspectRatio;\r\n}\r\n\r\ninterface SVGAnimatedRect {\r\n    animVal: SVGRect;\r\n    baseVal: SVGRect;\r\n}\r\n\r\ndeclare var SVGAnimatedRect: {\r\n    prototype: SVGAnimatedRect;\r\n    new(): SVGAnimatedRect;\r\n}\r\n\r\ninterface SVGAnimatedString {\r\n    animVal: string;\r\n    baseVal: string;\r\n}\r\n\r\ndeclare var SVGAnimatedString: {\r\n    prototype: SVGAnimatedString;\r\n    new(): SVGAnimatedString;\r\n}\r\n\r\ninterface SVGAnimatedTransformList {\r\n    animVal: SVGTransformList;\r\n    baseVal: SVGTransformList;\r\n}\r\n\r\ndeclare var SVGAnimatedTransformList: {\r\n    prototype: SVGAnimatedTransformList;\r\n    new(): SVGAnimatedTransformList;\r\n}\r\n\r\ninterface SVGCircleElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    cx: SVGAnimatedLength;\r\n    cy: SVGAnimatedLength;\r\n    r: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGCircleElement: {\r\n    prototype: SVGCircleElement;\r\n    new(): SVGCircleElement;\r\n}\r\n\r\ninterface SVGClipPathElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGUnitTypes {\r\n    clipPathUnits: SVGAnimatedEnumeration;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGClipPathElement: {\r\n    prototype: SVGClipPathElement;\r\n    new(): SVGClipPathElement;\r\n}\r\n\r\ninterface SVGComponentTransferFunctionElement extends SVGElement {\r\n    amplitude: SVGAnimatedNumber;\r\n    exponent: SVGAnimatedNumber;\r\n    intercept: SVGAnimatedNumber;\r\n    offset: SVGAnimatedNumber;\r\n    slope: SVGAnimatedNumber;\r\n    tableValues: SVGAnimatedNumberList;\r\n    type: SVGAnimatedEnumeration;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_GAMMA: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_LINEAR: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_TABLE: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGComponentTransferFunctionElement: {\r\n    prototype: SVGComponentTransferFunctionElement;\r\n    new(): SVGComponentTransferFunctionElement;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_GAMMA: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_LINEAR: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_TABLE: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGDefsElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGDefsElement: {\r\n    prototype: SVGDefsElement;\r\n    new(): SVGDefsElement;\r\n}\r\n\r\ninterface SVGDescElement extends SVGElement, SVGStylable, SVGLangSpace {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGDescElement: {\r\n    prototype: SVGDescElement;\r\n    new(): SVGDescElement;\r\n}\r\n\r\ninterface SVGElement extends Element {\r\n    id: string;\r\n    onclick: (ev: MouseEvent) => any;\r\n    ondblclick: (ev: MouseEvent) => any;\r\n    onfocusin: (ev: FocusEvent) => any;\r\n    onfocusout: (ev: FocusEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onmousedown: (ev: MouseEvent) => any;\r\n    onmousemove: (ev: MouseEvent) => any;\r\n    onmouseout: (ev: MouseEvent) => any;\r\n    onmouseover: (ev: MouseEvent) => any;\r\n    onmouseup: (ev: MouseEvent) => any;\r\n    ownerSVGElement: SVGSVGElement;\r\n    viewportElement: SVGElement;\r\n    xmlbase: string;\r\n    className: any;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focusin", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focusout", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGElement: {\r\n    prototype: SVGElement;\r\n    new(): SVGElement;\r\n}\r\n\r\ninterface SVGElementInstance extends EventTarget {\r\n    childNodes: SVGElementInstanceList;\r\n    correspondingElement: SVGElement;\r\n    correspondingUseElement: SVGUseElement;\r\n    firstChild: SVGElementInstance;\r\n    lastChild: SVGElementInstance;\r\n    nextSibling: SVGElementInstance;\r\n    parentNode: SVGElementInstance;\r\n    previousSibling: SVGElementInstance;\r\n}\r\n\r\ndeclare var SVGElementInstance: {\r\n    prototype: SVGElementInstance;\r\n    new(): SVGElementInstance;\r\n}\r\n\r\ninterface SVGElementInstanceList {\r\n    length: number;\r\n    item(index: number): SVGElementInstance;\r\n}\r\n\r\ndeclare var SVGElementInstanceList: {\r\n    prototype: SVGElementInstanceList;\r\n    new(): SVGElementInstanceList;\r\n}\r\n\r\ninterface SVGEllipseElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    cx: SVGAnimatedLength;\r\n    cy: SVGAnimatedLength;\r\n    rx: SVGAnimatedLength;\r\n    ry: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGEllipseElement: {\r\n    prototype: SVGEllipseElement;\r\n    new(): SVGEllipseElement;\r\n}\r\n\r\ninterface SVGFEBlendElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    in2: SVGAnimatedString;\r\n    mode: SVGAnimatedEnumeration;\r\n    SVG_FEBLEND_MODE_COLOR: number;\r\n    SVG_FEBLEND_MODE_COLOR_BURN: number;\r\n    SVG_FEBLEND_MODE_COLOR_DODGE: number;\r\n    SVG_FEBLEND_MODE_DARKEN: number;\r\n    SVG_FEBLEND_MODE_DIFFERENCE: number;\r\n    SVG_FEBLEND_MODE_EXCLUSION: number;\r\n    SVG_FEBLEND_MODE_HARD_LIGHT: number;\r\n    SVG_FEBLEND_MODE_HUE: number;\r\n    SVG_FEBLEND_MODE_LIGHTEN: number;\r\n    SVG_FEBLEND_MODE_LUMINOSITY: number;\r\n    SVG_FEBLEND_MODE_MULTIPLY: number;\r\n    SVG_FEBLEND_MODE_NORMAL: number;\r\n    SVG_FEBLEND_MODE_OVERLAY: number;\r\n    SVG_FEBLEND_MODE_SATURATION: number;\r\n    SVG_FEBLEND_MODE_SCREEN: number;\r\n    SVG_FEBLEND_MODE_SOFT_LIGHT: number;\r\n    SVG_FEBLEND_MODE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEBlendElement: {\r\n    prototype: SVGFEBlendElement;\r\n    new(): SVGFEBlendElement;\r\n    SVG_FEBLEND_MODE_COLOR: number;\r\n    SVG_FEBLEND_MODE_COLOR_BURN: number;\r\n    SVG_FEBLEND_MODE_COLOR_DODGE: number;\r\n    SVG_FEBLEND_MODE_DARKEN: number;\r\n    SVG_FEBLEND_MODE_DIFFERENCE: number;\r\n    SVG_FEBLEND_MODE_EXCLUSION: number;\r\n    SVG_FEBLEND_MODE_HARD_LIGHT: number;\r\n    SVG_FEBLEND_MODE_HUE: number;\r\n    SVG_FEBLEND_MODE_LIGHTEN: number;\r\n    SVG_FEBLEND_MODE_LUMINOSITY: number;\r\n    SVG_FEBLEND_MODE_MULTIPLY: number;\r\n    SVG_FEBLEND_MODE_NORMAL: number;\r\n    SVG_FEBLEND_MODE_OVERLAY: number;\r\n    SVG_FEBLEND_MODE_SATURATION: number;\r\n    SVG_FEBLEND_MODE_SCREEN: number;\r\n    SVG_FEBLEND_MODE_SOFT_LIGHT: number;\r\n    SVG_FEBLEND_MODE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEColorMatrixElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    type: SVGAnimatedEnumeration;\r\n    values: SVGAnimatedNumberList;\r\n    SVG_FECOLORMATRIX_TYPE_HUEROTATE: number;\r\n    SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA: number;\r\n    SVG_FECOLORMATRIX_TYPE_MATRIX: number;\r\n    SVG_FECOLORMATRIX_TYPE_SATURATE: number;\r\n    SVG_FECOLORMATRIX_TYPE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEColorMatrixElement: {\r\n    prototype: SVGFEColorMatrixElement;\r\n    new(): SVGFEColorMatrixElement;\r\n    SVG_FECOLORMATRIX_TYPE_HUEROTATE: number;\r\n    SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA: number;\r\n    SVG_FECOLORMATRIX_TYPE_MATRIX: number;\r\n    SVG_FECOLORMATRIX_TYPE_SATURATE: number;\r\n    SVG_FECOLORMATRIX_TYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEComponentTransferElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEComponentTransferElement: {\r\n    prototype: SVGFEComponentTransferElement;\r\n    new(): SVGFEComponentTransferElement;\r\n}\r\n\r\ninterface SVGFECompositeElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    in2: SVGAnimatedString;\r\n    k1: SVGAnimatedNumber;\r\n    k2: SVGAnimatedNumber;\r\n    k3: SVGAnimatedNumber;\r\n    k4: SVGAnimatedNumber;\r\n    operator: SVGAnimatedEnumeration;\r\n    SVG_FECOMPOSITE_OPERATOR_ARITHMETIC: number;\r\n    SVG_FECOMPOSITE_OPERATOR_ATOP: number;\r\n    SVG_FECOMPOSITE_OPERATOR_IN: number;\r\n    SVG_FECOMPOSITE_OPERATOR_OUT: number;\r\n    SVG_FECOMPOSITE_OPERATOR_OVER: number;\r\n    SVG_FECOMPOSITE_OPERATOR_UNKNOWN: number;\r\n    SVG_FECOMPOSITE_OPERATOR_XOR: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFECompositeElement: {\r\n    prototype: SVGFECompositeElement;\r\n    new(): SVGFECompositeElement;\r\n    SVG_FECOMPOSITE_OPERATOR_ARITHMETIC: number;\r\n    SVG_FECOMPOSITE_OPERATOR_ATOP: number;\r\n    SVG_FECOMPOSITE_OPERATOR_IN: number;\r\n    SVG_FECOMPOSITE_OPERATOR_OUT: number;\r\n    SVG_FECOMPOSITE_OPERATOR_OVER: number;\r\n    SVG_FECOMPOSITE_OPERATOR_UNKNOWN: number;\r\n    SVG_FECOMPOSITE_OPERATOR_XOR: number;\r\n}\r\n\r\ninterface SVGFEConvolveMatrixElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    bias: SVGAnimatedNumber;\r\n    divisor: SVGAnimatedNumber;\r\n    edgeMode: SVGAnimatedEnumeration;\r\n    in1: SVGAnimatedString;\r\n    kernelMatrix: SVGAnimatedNumberList;\r\n    kernelUnitLengthX: SVGAnimatedNumber;\r\n    kernelUnitLengthY: SVGAnimatedNumber;\r\n    orderX: SVGAnimatedInteger;\r\n    orderY: SVGAnimatedInteger;\r\n    preserveAlpha: SVGAnimatedBoolean;\r\n    targetX: SVGAnimatedInteger;\r\n    targetY: SVGAnimatedInteger;\r\n    SVG_EDGEMODE_DUPLICATE: number;\r\n    SVG_EDGEMODE_NONE: number;\r\n    SVG_EDGEMODE_UNKNOWN: number;\r\n    SVG_EDGEMODE_WRAP: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEConvolveMatrixElement: {\r\n    prototype: SVGFEConvolveMatrixElement;\r\n    new(): SVGFEConvolveMatrixElement;\r\n    SVG_EDGEMODE_DUPLICATE: number;\r\n    SVG_EDGEMODE_NONE: number;\r\n    SVG_EDGEMODE_UNKNOWN: number;\r\n    SVG_EDGEMODE_WRAP: number;\r\n}\r\n\r\ninterface SVGFEDiffuseLightingElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    diffuseConstant: SVGAnimatedNumber;\r\n    in1: SVGAnimatedString;\r\n    kernelUnitLengthX: SVGAnimatedNumber;\r\n    kernelUnitLengthY: SVGAnimatedNumber;\r\n    surfaceScale: SVGAnimatedNumber;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEDiffuseLightingElement: {\r\n    prototype: SVGFEDiffuseLightingElement;\r\n    new(): SVGFEDiffuseLightingElement;\r\n}\r\n\r\ninterface SVGFEDisplacementMapElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    in2: SVGAnimatedString;\r\n    scale: SVGAnimatedNumber;\r\n    xChannelSelector: SVGAnimatedEnumeration;\r\n    yChannelSelector: SVGAnimatedEnumeration;\r\n    SVG_CHANNEL_A: number;\r\n    SVG_CHANNEL_B: number;\r\n    SVG_CHANNEL_G: number;\r\n    SVG_CHANNEL_R: number;\r\n    SVG_CHANNEL_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEDisplacementMapElement: {\r\n    prototype: SVGFEDisplacementMapElement;\r\n    new(): SVGFEDisplacementMapElement;\r\n    SVG_CHANNEL_A: number;\r\n    SVG_CHANNEL_B: number;\r\n    SVG_CHANNEL_G: number;\r\n    SVG_CHANNEL_R: number;\r\n    SVG_CHANNEL_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEDistantLightElement extends SVGElement {\r\n    azimuth: SVGAnimatedNumber;\r\n    elevation: SVGAnimatedNumber;\r\n}\r\n\r\ndeclare var SVGFEDistantLightElement: {\r\n    prototype: SVGFEDistantLightElement;\r\n    new(): SVGFEDistantLightElement;\r\n}\r\n\r\ninterface SVGFEFloodElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEFloodElement: {\r\n    prototype: SVGFEFloodElement;\r\n    new(): SVGFEFloodElement;\r\n}\r\n\r\ninterface SVGFEFuncAElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncAElement: {\r\n    prototype: SVGFEFuncAElement;\r\n    new(): SVGFEFuncAElement;\r\n}\r\n\r\ninterface SVGFEFuncBElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncBElement: {\r\n    prototype: SVGFEFuncBElement;\r\n    new(): SVGFEFuncBElement;\r\n}\r\n\r\ninterface SVGFEFuncGElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncGElement: {\r\n    prototype: SVGFEFuncGElement;\r\n    new(): SVGFEFuncGElement;\r\n}\r\n\r\ninterface SVGFEFuncRElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncRElement: {\r\n    prototype: SVGFEFuncRElement;\r\n    new(): SVGFEFuncRElement;\r\n}\r\n\r\ninterface SVGFEGaussianBlurElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    stdDeviationX: SVGAnimatedNumber;\r\n    stdDeviationY: SVGAnimatedNumber;\r\n    setStdDeviation(stdDeviationX: number, stdDeviationY: number): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEGaussianBlurElement: {\r\n    prototype: SVGFEGaussianBlurElement;\r\n    new(): SVGFEGaussianBlurElement;\r\n}\r\n\r\ninterface SVGFEImageElement extends SVGElement, SVGFilterPrimitiveStandardAttributes, SVGLangSpace, SVGURIReference, SVGExternalResourcesRequired {\r\n    preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEImageElement: {\r\n    prototype: SVGFEImageElement;\r\n    new(): SVGFEImageElement;\r\n}\r\n\r\ninterface SVGFEMergeElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEMergeElement: {\r\n    prototype: SVGFEMergeElement;\r\n    new(): SVGFEMergeElement;\r\n}\r\n\r\ninterface SVGFEMergeNodeElement extends SVGElement {\r\n    in1: SVGAnimatedString;\r\n}\r\n\r\ndeclare var SVGFEMergeNodeElement: {\r\n    prototype: SVGFEMergeNodeElement;\r\n    new(): SVGFEMergeNodeElement;\r\n}\r\n\r\ninterface SVGFEMorphologyElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    operator: SVGAnimatedEnumeration;\r\n    radiusX: SVGAnimatedNumber;\r\n    radiusY: SVGAnimatedNumber;\r\n    SVG_MORPHOLOGY_OPERATOR_DILATE: number;\r\n    SVG_MORPHOLOGY_OPERATOR_ERODE: number;\r\n    SVG_MORPHOLOGY_OPERATOR_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEMorphologyElement: {\r\n    prototype: SVGFEMorphologyElement;\r\n    new(): SVGFEMorphologyElement;\r\n    SVG_MORPHOLOGY_OPERATOR_DILATE: number;\r\n    SVG_MORPHOLOGY_OPERATOR_ERODE: number;\r\n    SVG_MORPHOLOGY_OPERATOR_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEOffsetElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    dx: SVGAnimatedNumber;\r\n    dy: SVGAnimatedNumber;\r\n    in1: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEOffsetElement: {\r\n    prototype: SVGFEOffsetElement;\r\n    new(): SVGFEOffsetElement;\r\n}\r\n\r\ninterface SVGFEPointLightElement extends SVGElement {\r\n    x: SVGAnimatedNumber;\r\n    y: SVGAnimatedNumber;\r\n    z: SVGAnimatedNumber;\r\n}\r\n\r\ndeclare var SVGFEPointLightElement: {\r\n    prototype: SVGFEPointLightElement;\r\n    new(): SVGFEPointLightElement;\r\n}\r\n\r\ninterface SVGFESpecularLightingElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    kernelUnitLengthX: SVGAnimatedNumber;\r\n    kernelUnitLengthY: SVGAnimatedNumber;\r\n    specularConstant: SVGAnimatedNumber;\r\n    specularExponent: SVGAnimatedNumber;\r\n    surfaceScale: SVGAnimatedNumber;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFESpecularLightingElement: {\r\n    prototype: SVGFESpecularLightingElement;\r\n    new(): SVGFESpecularLightingElement;\r\n}\r\n\r\ninterface SVGFESpotLightElement extends SVGElement {\r\n    limitingConeAngle: SVGAnimatedNumber;\r\n    pointsAtX: SVGAnimatedNumber;\r\n    pointsAtY: SVGAnimatedNumber;\r\n    pointsAtZ: SVGAnimatedNumber;\r\n    specularExponent: SVGAnimatedNumber;\r\n    x: SVGAnimatedNumber;\r\n    y: SVGAnimatedNumber;\r\n    z: SVGAnimatedNumber;\r\n}\r\n\r\ndeclare var SVGFESpotLightElement: {\r\n    prototype: SVGFESpotLightElement;\r\n    new(): SVGFESpotLightElement;\r\n}\r\n\r\ninterface SVGFETileElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFETileElement: {\r\n    prototype: SVGFETileElement;\r\n    new(): SVGFETileElement;\r\n}\r\n\r\ninterface SVGFETurbulenceElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    baseFrequencyX: SVGAnimatedNumber;\r\n    baseFrequencyY: SVGAnimatedNumber;\r\n    numOctaves: SVGAnimatedInteger;\r\n    seed: SVGAnimatedNumber;\r\n    stitchTiles: SVGAnimatedEnumeration;\r\n    type: SVGAnimatedEnumeration;\r\n    SVG_STITCHTYPE_NOSTITCH: number;\r\n    SVG_STITCHTYPE_STITCH: number;\r\n    SVG_STITCHTYPE_UNKNOWN: number;\r\n    SVG_TURBULENCE_TYPE_FRACTALNOISE: number;\r\n    SVG_TURBULENCE_TYPE_TURBULENCE: number;\r\n    SVG_TURBULENCE_TYPE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFETurbulenceElement: {\r\n    prototype: SVGFETurbulenceElement;\r\n    new(): SVGFETurbulenceElement;\r\n    SVG_STITCHTYPE_NOSTITCH: number;\r\n    SVG_STITCHTYPE_STITCH: number;\r\n    SVG_STITCHTYPE_UNKNOWN: number;\r\n    SVG_TURBULENCE_TYPE_FRACTALNOISE: number;\r\n    SVG_TURBULENCE_TYPE_TURBULENCE: number;\r\n    SVG_TURBULENCE_TYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFilterElement extends SVGElement, SVGUnitTypes, SVGStylable, SVGLangSpace, SVGURIReference, SVGExternalResourcesRequired {\r\n    filterResX: SVGAnimatedInteger;\r\n    filterResY: SVGAnimatedInteger;\r\n    filterUnits: SVGAnimatedEnumeration;\r\n    height: SVGAnimatedLength;\r\n    primitiveUnits: SVGAnimatedEnumeration;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    setFilterRes(filterResX: number, filterResY: number): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFilterElement: {\r\n    prototype: SVGFilterElement;\r\n    new(): SVGFilterElement;\r\n}\r\n\r\ninterface SVGForeignObjectElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    height: SVGAnimatedLength;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGForeignObjectElement: {\r\n    prototype: SVGForeignObjectElement;\r\n    new(): SVGForeignObjectElement;\r\n}\r\n\r\ninterface SVGGElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGGElement: {\r\n    prototype: SVGGElement;\r\n    new(): SVGGElement;\r\n}\r\n\r\ninterface SVGGradientElement extends SVGElement, SVGStylable, SVGExternalResourcesRequired, SVGURIReference, SVGUnitTypes {\r\n    gradientTransform: SVGAnimatedTransformList;\r\n    gradientUnits: SVGAnimatedEnumeration;\r\n    spreadMethod: SVGAnimatedEnumeration;\r\n    SVG_SPREADMETHOD_PAD: number;\r\n    SVG_SPREADMETHOD_REFLECT: number;\r\n    SVG_SPREADMETHOD_REPEAT: number;\r\n    SVG_SPREADMETHOD_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGGradientElement: {\r\n    prototype: SVGGradientElement;\r\n    new(): SVGGradientElement;\r\n    SVG_SPREADMETHOD_PAD: number;\r\n    SVG_SPREADMETHOD_REFLECT: number;\r\n    SVG_SPREADMETHOD_REPEAT: number;\r\n    SVG_SPREADMETHOD_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGImageElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGURIReference {\r\n    height: SVGAnimatedLength;\r\n    preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGImageElement: {\r\n    prototype: SVGImageElement;\r\n    new(): SVGImageElement;\r\n}\r\n\r\ninterface SVGLength {\r\n    unitType: number;\r\n    value: number;\r\n    valueAsString: string;\r\n    valueInSpecifiedUnits: number;\r\n    convertToSpecifiedUnits(unitType: number): void;\r\n    newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void;\r\n    SVG_LENGTHTYPE_CM: number;\r\n    SVG_LENGTHTYPE_EMS: number;\r\n    SVG_LENGTHTYPE_EXS: number;\r\n    SVG_LENGTHTYPE_IN: number;\r\n    SVG_LENGTHTYPE_MM: number;\r\n    SVG_LENGTHTYPE_NUMBER: number;\r\n    SVG_LENGTHTYPE_PC: number;\r\n    SVG_LENGTHTYPE_PERCENTAGE: number;\r\n    SVG_LENGTHTYPE_PT: number;\r\n    SVG_LENGTHTYPE_PX: number;\r\n    SVG_LENGTHTYPE_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGLength: {\r\n    prototype: SVGLength;\r\n    new(): SVGLength;\r\n    SVG_LENGTHTYPE_CM: number;\r\n    SVG_LENGTHTYPE_EMS: number;\r\n    SVG_LENGTHTYPE_EXS: number;\r\n    SVG_LENGTHTYPE_IN: number;\r\n    SVG_LENGTHTYPE_MM: number;\r\n    SVG_LENGTHTYPE_NUMBER: number;\r\n    SVG_LENGTHTYPE_PC: number;\r\n    SVG_LENGTHTYPE_PERCENTAGE: number;\r\n    SVG_LENGTHTYPE_PT: number;\r\n    SVG_LENGTHTYPE_PX: number;\r\n    SVG_LENGTHTYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGLengthList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGLength): SVGLength;\r\n    clear(): void;\r\n    getItem(index: number): SVGLength;\r\n    initialize(newItem: SVGLength): SVGLength;\r\n    insertItemBefore(newItem: SVGLength, index: number): SVGLength;\r\n    removeItem(index: number): SVGLength;\r\n    replaceItem(newItem: SVGLength, index: number): SVGLength;\r\n}\r\n\r\ndeclare var SVGLengthList: {\r\n    prototype: SVGLengthList;\r\n    new(): SVGLengthList;\r\n}\r\n\r\ninterface SVGLineElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    x1: SVGAnimatedLength;\r\n    x2: SVGAnimatedLength;\r\n    y1: SVGAnimatedLength;\r\n    y2: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGLineElement: {\r\n    prototype: SVGLineElement;\r\n    new(): SVGLineElement;\r\n}\r\n\r\ninterface SVGLinearGradientElement extends SVGGradientElement {\r\n    x1: SVGAnimatedLength;\r\n    x2: SVGAnimatedLength;\r\n    y1: SVGAnimatedLength;\r\n    y2: SVGAnimatedLength;\r\n}\r\n\r\ndeclare var SVGLinearGradientElement: {\r\n    prototype: SVGLinearGradientElement;\r\n    new(): SVGLinearGradientElement;\r\n}\r\n\r\ninterface SVGMarkerElement extends SVGElement, SVGStylable, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox {\r\n    markerHeight: SVGAnimatedLength;\r\n    markerUnits: SVGAnimatedEnumeration;\r\n    markerWidth: SVGAnimatedLength;\r\n    orientAngle: SVGAnimatedAngle;\r\n    orientType: SVGAnimatedEnumeration;\r\n    refX: SVGAnimatedLength;\r\n    refY: SVGAnimatedLength;\r\n    setOrientToAngle(angle: SVGAngle): void;\r\n    setOrientToAuto(): void;\r\n    SVG_MARKERUNITS_STROKEWIDTH: number;\r\n    SVG_MARKERUNITS_UNKNOWN: number;\r\n    SVG_MARKERUNITS_USERSPACEONUSE: number;\r\n    SVG_MARKER_ORIENT_ANGLE: number;\r\n    SVG_MARKER_ORIENT_AUTO: number;\r\n    SVG_MARKER_ORIENT_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGMarkerElement: {\r\n    prototype: SVGMarkerElement;\r\n    new(): SVGMarkerElement;\r\n    SVG_MARKERUNITS_STROKEWIDTH: number;\r\n    SVG_MARKERUNITS_UNKNOWN: number;\r\n    SVG_MARKERUNITS_USERSPACEONUSE: number;\r\n    SVG_MARKER_ORIENT_ANGLE: number;\r\n    SVG_MARKER_ORIENT_AUTO: number;\r\n    SVG_MARKER_ORIENT_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGMaskElement extends SVGElement, SVGStylable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGUnitTypes {\r\n    height: SVGAnimatedLength;\r\n    maskContentUnits: SVGAnimatedEnumeration;\r\n    maskUnits: SVGAnimatedEnumeration;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGMaskElement: {\r\n    prototype: SVGMaskElement;\r\n    new(): SVGMaskElement;\r\n}\r\n\r\ninterface SVGMatrix {\r\n    a: number;\r\n    b: number;\r\n    c: number;\r\n    d: number;\r\n    e: number;\r\n    f: number;\r\n    flipX(): SVGMatrix;\r\n    flipY(): SVGMatrix;\r\n    inverse(): SVGMatrix;\r\n    multiply(secondMatrix: SVGMatrix): SVGMatrix;\r\n    rotate(angle: number): SVGMatrix;\r\n    rotateFromVector(x: number, y: number): SVGMatrix;\r\n    scale(scaleFactor: number): SVGMatrix;\r\n    scaleNonUniform(scaleFactorX: number, scaleFactorY: number): SVGMatrix;\r\n    skewX(angle: number): SVGMatrix;\r\n    skewY(angle: number): SVGMatrix;\r\n    translate(x: number, y: number): SVGMatrix;\r\n}\r\n\r\ndeclare var SVGMatrix: {\r\n    prototype: SVGMatrix;\r\n    new(): SVGMatrix;\r\n}\r\n\r\ninterface SVGMetadataElement extends SVGElement {\r\n}\r\n\r\ndeclare var SVGMetadataElement: {\r\n    prototype: SVGMetadataElement;\r\n    new(): SVGMetadataElement;\r\n}\r\n\r\ninterface SVGNumber {\r\n    value: number;\r\n}\r\n\r\ndeclare var SVGNumber: {\r\n    prototype: SVGNumber;\r\n    new(): SVGNumber;\r\n}\r\n\r\ninterface SVGNumberList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGNumber): SVGNumber;\r\n    clear(): void;\r\n    getItem(index: number): SVGNumber;\r\n    initialize(newItem: SVGNumber): SVGNumber;\r\n    insertItemBefore(newItem: SVGNumber, index: number): SVGNumber;\r\n    removeItem(index: number): SVGNumber;\r\n    replaceItem(newItem: SVGNumber, index: number): SVGNumber;\r\n}\r\n\r\ndeclare var SVGNumberList: {\r\n    prototype: SVGNumberList;\r\n    new(): SVGNumberList;\r\n}\r\n\r\ninterface SVGPathElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGAnimatedPathData {\r\n    createSVGPathSegArcAbs(x: number, y: number, r1: number, r2: number, angle: number, largeArcFlag: boolean, sweepFlag: boolean): SVGPathSegArcAbs;\r\n    createSVGPathSegArcRel(x: number, y: number, r1: number, r2: number, angle: number, largeArcFlag: boolean, sweepFlag: boolean): SVGPathSegArcRel;\r\n    createSVGPathSegClosePath(): SVGPathSegClosePath;\r\n    createSVGPathSegCurvetoCubicAbs(x: number, y: number, x1: number, y1: number, x2: number, y2: number): SVGPathSegCurvetoCubicAbs;\r\n    createSVGPathSegCurvetoCubicRel(x: number, y: number, x1: number, y1: number, x2: number, y2: number): SVGPathSegCurvetoCubicRel;\r\n    createSVGPathSegCurvetoCubicSmoothAbs(x: number, y: number, x2: number, y2: number): SVGPathSegCurvetoCubicSmoothAbs;\r\n    createSVGPathSegCurvetoCubicSmoothRel(x: number, y: number, x2: number, y2: number): SVGPathSegCurvetoCubicSmoothRel;\r\n    createSVGPathSegCurvetoQuadraticAbs(x: number, y: number, x1: number, y1: number): SVGPathSegCurvetoQuadraticAbs;\r\n    createSVGPathSegCurvetoQuadraticRel(x: number, y: number, x1: number, y1: number): SVGPathSegCurvetoQuadraticRel;\r\n    createSVGPathSegCurvetoQuadraticSmoothAbs(x: number, y: number): SVGPathSegCurvetoQuadraticSmoothAbs;\r\n    createSVGPathSegCurvetoQuadraticSmoothRel(x: number, y: number): SVGPathSegCurvetoQuadraticSmoothRel;\r\n    createSVGPathSegLinetoAbs(x: number, y: number): SVGPathSegLinetoAbs;\r\n    createSVGPathSegLinetoHorizontalAbs(x: number): SVGPathSegLinetoHorizontalAbs;\r\n    createSVGPathSegLinetoHorizontalRel(x: number): SVGPathSegLinetoHorizontalRel;\r\n    createSVGPathSegLinetoRel(x: number, y: number): SVGPathSegLinetoRel;\r\n    createSVGPathSegLinetoVerticalAbs(y: number): SVGPathSegLinetoVerticalAbs;\r\n    createSVGPathSegLinetoVerticalRel(y: number): SVGPathSegLinetoVerticalRel;\r\n    createSVGPathSegMovetoAbs(x: number, y: number): SVGPathSegMovetoAbs;\r\n    createSVGPathSegMovetoRel(x: number, y: number): SVGPathSegMovetoRel;\r\n    getPathSegAtLength(distance: number): number;\r\n    getPointAtLength(distance: number): SVGPoint;\r\n    getTotalLength(): number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPathElement: {\r\n    prototype: SVGPathElement;\r\n    new(): SVGPathElement;\r\n}\r\n\r\ninterface SVGPathSeg {\r\n    pathSegType: number;\r\n    pathSegTypeAsLetter: string;\r\n    PATHSEG_ARC_ABS: number;\r\n    PATHSEG_ARC_REL: number;\r\n    PATHSEG_CLOSEPATH: number;\r\n    PATHSEG_CURVETO_CUBIC_ABS: number;\r\n    PATHSEG_CURVETO_CUBIC_REL: number;\r\n    PATHSEG_CURVETO_CUBIC_SMOOTH_ABS: number;\r\n    PATHSEG_CURVETO_CUBIC_SMOOTH_REL: number;\r\n    PATHSEG_CURVETO_QUADRATIC_ABS: number;\r\n    PATHSEG_CURVETO_QUADRATIC_REL: number;\r\n    PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS: number;\r\n    PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL: number;\r\n    PATHSEG_LINETO_ABS: number;\r\n    PATHSEG_LINETO_HORIZONTAL_ABS: number;\r\n    PATHSEG_LINETO_HORIZONTAL_REL: number;\r\n    PATHSEG_LINETO_REL: number;\r\n    PATHSEG_LINETO_VERTICAL_ABS: number;\r\n    PATHSEG_LINETO_VERTICAL_REL: number;\r\n    PATHSEG_MOVETO_ABS: number;\r\n    PATHSEG_MOVETO_REL: number;\r\n    PATHSEG_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGPathSeg: {\r\n    prototype: SVGPathSeg;\r\n    new(): SVGPathSeg;\r\n    PATHSEG_ARC_ABS: number;\r\n    PATHSEG_ARC_REL: number;\r\n    PATHSEG_CLOSEPATH: number;\r\n    PATHSEG_CURVETO_CUBIC_ABS: number;\r\n    PATHSEG_CURVETO_CUBIC_REL: number;\r\n    PATHSEG_CURVETO_CUBIC_SMOOTH_ABS: number;\r\n    PATHSEG_CURVETO_CUBIC_SMOOTH_REL: number;\r\n    PATHSEG_CURVETO_QUADRATIC_ABS: number;\r\n    PATHSEG_CURVETO_QUADRATIC_REL: number;\r\n    PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS: number;\r\n    PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL: number;\r\n    PATHSEG_LINETO_ABS: number;\r\n    PATHSEG_LINETO_HORIZONTAL_ABS: number;\r\n    PATHSEG_LINETO_HORIZONTAL_REL: number;\r\n    PATHSEG_LINETO_REL: number;\r\n    PATHSEG_LINETO_VERTICAL_ABS: number;\r\n    PATHSEG_LINETO_VERTICAL_REL: number;\r\n    PATHSEG_MOVETO_ABS: number;\r\n    PATHSEG_MOVETO_REL: number;\r\n    PATHSEG_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGPathSegArcAbs extends SVGPathSeg {\r\n    angle: number;\r\n    largeArcFlag: boolean;\r\n    r1: number;\r\n    r2: number;\r\n    sweepFlag: boolean;\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegArcAbs: {\r\n    prototype: SVGPathSegArcAbs;\r\n    new(): SVGPathSegArcAbs;\r\n}\r\n\r\ninterface SVGPathSegArcRel extends SVGPathSeg {\r\n    angle: number;\r\n    largeArcFlag: boolean;\r\n    r1: number;\r\n    r2: number;\r\n    sweepFlag: boolean;\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegArcRel: {\r\n    prototype: SVGPathSegArcRel;\r\n    new(): SVGPathSegArcRel;\r\n}\r\n\r\ninterface SVGPathSegClosePath extends SVGPathSeg {\r\n}\r\n\r\ndeclare var SVGPathSegClosePath: {\r\n    prototype: SVGPathSegClosePath;\r\n    new(): SVGPathSegClosePath;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicAbs extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    x2: number;\r\n    y: number;\r\n    y1: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicAbs: {\r\n    prototype: SVGPathSegCurvetoCubicAbs;\r\n    new(): SVGPathSegCurvetoCubicAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicRel extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    x2: number;\r\n    y: number;\r\n    y1: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicRel: {\r\n    prototype: SVGPathSegCurvetoCubicRel;\r\n    new(): SVGPathSegCurvetoCubicRel;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicSmoothAbs extends SVGPathSeg {\r\n    x: number;\r\n    x2: number;\r\n    y: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicSmoothAbs: {\r\n    prototype: SVGPathSegCurvetoCubicSmoothAbs;\r\n    new(): SVGPathSegCurvetoCubicSmoothAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicSmoothRel extends SVGPathSeg {\r\n    x: number;\r\n    x2: number;\r\n    y: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicSmoothRel: {\r\n    prototype: SVGPathSegCurvetoCubicSmoothRel;\r\n    new(): SVGPathSegCurvetoCubicSmoothRel;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticAbs extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    y: number;\r\n    y1: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticAbs: {\r\n    prototype: SVGPathSegCurvetoQuadraticAbs;\r\n    new(): SVGPathSegCurvetoQuadraticAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticRel extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    y: number;\r\n    y1: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticRel: {\r\n    prototype: SVGPathSegCurvetoQuadraticRel;\r\n    new(): SVGPathSegCurvetoQuadraticRel;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticSmoothAbs extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticSmoothAbs: {\r\n    prototype: SVGPathSegCurvetoQuadraticSmoothAbs;\r\n    new(): SVGPathSegCurvetoQuadraticSmoothAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticSmoothRel extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticSmoothRel: {\r\n    prototype: SVGPathSegCurvetoQuadraticSmoothRel;\r\n    new(): SVGPathSegCurvetoQuadraticSmoothRel;\r\n}\r\n\r\ninterface SVGPathSegLinetoAbs extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoAbs: {\r\n    prototype: SVGPathSegLinetoAbs;\r\n    new(): SVGPathSegLinetoAbs;\r\n}\r\n\r\ninterface SVGPathSegLinetoHorizontalAbs extends SVGPathSeg {\r\n    x: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoHorizontalAbs: {\r\n    prototype: SVGPathSegLinetoHorizontalAbs;\r\n    new(): SVGPathSegLinetoHorizontalAbs;\r\n}\r\n\r\ninterface SVGPathSegLinetoHorizontalRel extends SVGPathSeg {\r\n    x: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoHorizontalRel: {\r\n    prototype: SVGPathSegLinetoHorizontalRel;\r\n    new(): SVGPathSegLinetoHorizontalRel;\r\n}\r\n\r\ninterface SVGPathSegLinetoRel extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoRel: {\r\n    prototype: SVGPathSegLinetoRel;\r\n    new(): SVGPathSegLinetoRel;\r\n}\r\n\r\ninterface SVGPathSegLinetoVerticalAbs extends SVGPathSeg {\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoVerticalAbs: {\r\n    prototype: SVGPathSegLinetoVerticalAbs;\r\n    new(): SVGPathSegLinetoVerticalAbs;\r\n}\r\n\r\ninterface SVGPathSegLinetoVerticalRel extends SVGPathSeg {\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoVerticalRel: {\r\n    prototype: SVGPathSegLinetoVerticalRel;\r\n    new(): SVGPathSegLinetoVerticalRel;\r\n}\r\n\r\ninterface SVGPathSegList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGPathSeg): SVGPathSeg;\r\n    clear(): void;\r\n    getItem(index: number): SVGPathSeg;\r\n    initialize(newItem: SVGPathSeg): SVGPathSeg;\r\n    insertItemBefore(newItem: SVGPathSeg, index: number): SVGPathSeg;\r\n    removeItem(index: number): SVGPathSeg;\r\n    replaceItem(newItem: SVGPathSeg, index: number): SVGPathSeg;\r\n}\r\n\r\ndeclare var SVGPathSegList: {\r\n    prototype: SVGPathSegList;\r\n    new(): SVGPathSegList;\r\n}\r\n\r\ninterface SVGPathSegMovetoAbs extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegMovetoAbs: {\r\n    prototype: SVGPathSegMovetoAbs;\r\n    new(): SVGPathSegMovetoAbs;\r\n}\r\n\r\ninterface SVGPathSegMovetoRel extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegMovetoRel: {\r\n    prototype: SVGPathSegMovetoRel;\r\n    new(): SVGPathSegMovetoRel;\r\n}\r\n\r\ninterface SVGPatternElement extends SVGElement, SVGStylable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox, SVGURIReference, SVGUnitTypes {\r\n    height: SVGAnimatedLength;\r\n    patternContentUnits: SVGAnimatedEnumeration;\r\n    patternTransform: SVGAnimatedTransformList;\r\n    patternUnits: SVGAnimatedEnumeration;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPatternElement: {\r\n    prototype: SVGPatternElement;\r\n    new(): SVGPatternElement;\r\n}\r\n\r\ninterface SVGPoint {\r\n    x: number;\r\n    y: number;\r\n    matrixTransform(matrix: SVGMatrix): SVGPoint;\r\n}\r\n\r\ndeclare var SVGPoint: {\r\n    prototype: SVGPoint;\r\n    new(): SVGPoint;\r\n}\r\n\r\ninterface SVGPointList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGPoint): SVGPoint;\r\n    clear(): void;\r\n    getItem(index: number): SVGPoint;\r\n    initialize(newItem: SVGPoint): SVGPoint;\r\n    insertItemBefore(newItem: SVGPoint, index: number): SVGPoint;\r\n    removeItem(index: number): SVGPoint;\r\n    replaceItem(newItem: SVGPoint, index: number): SVGPoint;\r\n}\r\n\r\ndeclare var SVGPointList: {\r\n    prototype: SVGPointList;\r\n    new(): SVGPointList;\r\n}\r\n\r\ninterface SVGPolygonElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGAnimatedPoints {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPolygonElement: {\r\n    prototype: SVGPolygonElement;\r\n    new(): SVGPolygonElement;\r\n}\r\n\r\ninterface SVGPolylineElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGAnimatedPoints {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPolylineElement: {\r\n    prototype: SVGPolylineElement;\r\n    new(): SVGPolylineElement;\r\n}\r\n\r\ninterface SVGPreserveAspectRatio {\r\n    align: number;\r\n    meetOrSlice: number;\r\n    SVG_MEETORSLICE_MEET: number;\r\n    SVG_MEETORSLICE_SLICE: number;\r\n    SVG_MEETORSLICE_UNKNOWN: number;\r\n    SVG_PRESERVEASPECTRATIO_NONE: number;\r\n    SVG_PRESERVEASPECTRATIO_UNKNOWN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMIN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMIN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMIN: number;\r\n}\r\n\r\ndeclare var SVGPreserveAspectRatio: {\r\n    prototype: SVGPreserveAspectRatio;\r\n    new(): SVGPreserveAspectRatio;\r\n    SVG_MEETORSLICE_MEET: number;\r\n    SVG_MEETORSLICE_SLICE: number;\r\n    SVG_MEETORSLICE_UNKNOWN: number;\r\n    SVG_PRESERVEASPECTRATIO_NONE: number;\r\n    SVG_PRESERVEASPECTRATIO_UNKNOWN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMIN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMIN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMIN: number;\r\n}\r\n\r\ninterface SVGRadialGradientElement extends SVGGradientElement {\r\n    cx: SVGAnimatedLength;\r\n    cy: SVGAnimatedLength;\r\n    fx: SVGAnimatedLength;\r\n    fy: SVGAnimatedLength;\r\n    r: SVGAnimatedLength;\r\n}\r\n\r\ndeclare var SVGRadialGradientElement: {\r\n    prototype: SVGRadialGradientElement;\r\n    new(): SVGRadialGradientElement;\r\n}\r\n\r\ninterface SVGRect {\r\n    height: number;\r\n    width: number;\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGRect: {\r\n    prototype: SVGRect;\r\n    new(): SVGRect;\r\n}\r\n\r\ninterface SVGRectElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    height: SVGAnimatedLength;\r\n    rx: SVGAnimatedLength;\r\n    ry: SVGAnimatedLength;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGRectElement: {\r\n    prototype: SVGRectElement;\r\n    new(): SVGRectElement;\r\n}\r\n\r\ninterface SVGSVGElement extends SVGElement, DocumentEvent, SVGLocatable, SVGTests, SVGStylable, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox, SVGZoomAndPan {\r\n    contentScriptType: string;\r\n    contentStyleType: string;\r\n    currentScale: number;\r\n    currentTranslate: SVGPoint;\r\n    height: SVGAnimatedLength;\r\n    onabort: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onresize: (ev: UIEvent) => any;\r\n    onscroll: (ev: UIEvent) => any;\r\n    onunload: (ev: Event) => any;\r\n    onzoom: (ev: SVGZoomEvent) => any;\r\n    pixelUnitToMillimeterX: number;\r\n    pixelUnitToMillimeterY: number;\r\n    screenPixelToMillimeterX: number;\r\n    screenPixelToMillimeterY: number;\r\n    viewport: SVGRect;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    checkEnclosure(element: SVGElement, rect: SVGRect): boolean;\r\n    checkIntersection(element: SVGElement, rect: SVGRect): boolean;\r\n    createSVGAngle(): SVGAngle;\r\n    createSVGLength(): SVGLength;\r\n    createSVGMatrix(): SVGMatrix;\r\n    createSVGNumber(): SVGNumber;\r\n    createSVGPoint(): SVGPoint;\r\n    createSVGRect(): SVGRect;\r\n    createSVGTransform(): SVGTransform;\r\n    createSVGTransformFromMatrix(matrix: SVGMatrix): SVGTransform;\r\n    deselectAll(): void;\r\n    forceRedraw(): void;\r\n    getComputedStyle(elt: Element, pseudoElt?: string): CSSStyleDeclaration;\r\n    getCurrentTime(): number;\r\n    getElementById(elementId: string): Element;\r\n    getEnclosureList(rect: SVGRect, referenceElement: SVGElement): NodeList;\r\n    getIntersectionList(rect: SVGRect, referenceElement: SVGElement): NodeList;\r\n    pauseAnimations(): void;\r\n    setCurrentTime(seconds: number): void;\r\n    suspendRedraw(maxWaitMilliseconds: number): number;\r\n    unpauseAnimations(): void;\r\n    unsuspendRedraw(suspendHandleID: number): void;\r\n    unsuspendRedrawAll(): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "SVGAbort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "SVGError", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "SVGUnload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "SVGZoom", listener: (ev: SVGZoomEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focusin", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focusout", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGSVGElement: {\r\n    prototype: SVGSVGElement;\r\n    new(): SVGSVGElement;\r\n}\r\n\r\ninterface SVGScriptElement extends SVGElement, SVGExternalResourcesRequired, SVGURIReference {\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGScriptElement: {\r\n    prototype: SVGScriptElement;\r\n    new(): SVGScriptElement;\r\n}\r\n\r\ninterface SVGStopElement extends SVGElement, SVGStylable {\r\n    offset: SVGAnimatedNumber;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGStopElement: {\r\n    prototype: SVGStopElement;\r\n    new(): SVGStopElement;\r\n}\r\n\r\ninterface SVGStringList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: string): string;\r\n    clear(): void;\r\n    getItem(index: number): string;\r\n    initialize(newItem: string): string;\r\n    insertItemBefore(newItem: string, index: number): string;\r\n    removeItem(index: number): string;\r\n    replaceItem(newItem: string, index: number): string;\r\n}\r\n\r\ndeclare var SVGStringList: {\r\n    prototype: SVGStringList;\r\n    new(): SVGStringList;\r\n}\r\n\r\ninterface SVGStyleElement extends SVGElement, SVGLangSpace {\r\n    media: string;\r\n    title: string;\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGStyleElement: {\r\n    prototype: SVGStyleElement;\r\n    new(): SVGStyleElement;\r\n}\r\n\r\ninterface SVGSwitchElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGSwitchElement: {\r\n    prototype: SVGSwitchElement;\r\n    new(): SVGSwitchElement;\r\n}\r\n\r\ninterface SVGSymbolElement extends SVGElement, SVGStylable, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGSymbolElement: {\r\n    prototype: SVGSymbolElement;\r\n    new(): SVGSymbolElement;\r\n}\r\n\r\ninterface SVGTSpanElement extends SVGTextPositioningElement {\r\n}\r\n\r\ndeclare var SVGTSpanElement: {\r\n    prototype: SVGTSpanElement;\r\n    new(): SVGTSpanElement;\r\n}\r\n\r\ninterface SVGTextContentElement extends SVGElement, SVGStylable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    lengthAdjust: SVGAnimatedEnumeration;\r\n    textLength: SVGAnimatedLength;\r\n    getCharNumAtPosition(point: SVGPoint): number;\r\n    getComputedTextLength(): number;\r\n    getEndPositionOfChar(charnum: number): SVGPoint;\r\n    getExtentOfChar(charnum: number): SVGRect;\r\n    getNumberOfChars(): number;\r\n    getRotationOfChar(charnum: number): number;\r\n    getStartPositionOfChar(charnum: number): SVGPoint;\r\n    getSubStringLength(charnum: number, nchars: number): number;\r\n    selectSubString(charnum: number, nchars: number): void;\r\n    LENGTHADJUST_SPACING: number;\r\n    LENGTHADJUST_SPACINGANDGLYPHS: number;\r\n    LENGTHADJUST_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTextContentElement: {\r\n    prototype: SVGTextContentElement;\r\n    new(): SVGTextContentElement;\r\n    LENGTHADJUST_SPACING: number;\r\n    LENGTHADJUST_SPACINGANDGLYPHS: number;\r\n    LENGTHADJUST_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGTextElement extends SVGTextPositioningElement, SVGTransformable {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTextElement: {\r\n    prototype: SVGTextElement;\r\n    new(): SVGTextElement;\r\n}\r\n\r\ninterface SVGTextPathElement extends SVGTextContentElement, SVGURIReference {\r\n    method: SVGAnimatedEnumeration;\r\n    spacing: SVGAnimatedEnumeration;\r\n    startOffset: SVGAnimatedLength;\r\n    TEXTPATH_METHODTYPE_ALIGN: number;\r\n    TEXTPATH_METHODTYPE_STRETCH: number;\r\n    TEXTPATH_METHODTYPE_UNKNOWN: number;\r\n    TEXTPATH_SPACINGTYPE_AUTO: number;\r\n    TEXTPATH_SPACINGTYPE_EXACT: number;\r\n    TEXTPATH_SPACINGTYPE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTextPathElement: {\r\n    prototype: SVGTextPathElement;\r\n    new(): SVGTextPathElement;\r\n    TEXTPATH_METHODTYPE_ALIGN: number;\r\n    TEXTPATH_METHODTYPE_STRETCH: number;\r\n    TEXTPATH_METHODTYPE_UNKNOWN: number;\r\n    TEXTPATH_SPACINGTYPE_AUTO: number;\r\n    TEXTPATH_SPACINGTYPE_EXACT: number;\r\n    TEXTPATH_SPACINGTYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGTextPositioningElement extends SVGTextContentElement {\r\n    dx: SVGAnimatedLengthList;\r\n    dy: SVGAnimatedLengthList;\r\n    rotate: SVGAnimatedNumberList;\r\n    x: SVGAnimatedLengthList;\r\n    y: SVGAnimatedLengthList;\r\n}\r\n\r\ndeclare var SVGTextPositioningElement: {\r\n    prototype: SVGTextPositioningElement;\r\n    new(): SVGTextPositioningElement;\r\n}\r\n\r\ninterface SVGTitleElement extends SVGElement, SVGStylable, SVGLangSpace {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTitleElement: {\r\n    prototype: SVGTitleElement;\r\n    new(): SVGTitleElement;\r\n}\r\n\r\ninterface SVGTransform {\r\n    angle: number;\r\n    matrix: SVGMatrix;\r\n    type: number;\r\n    setMatrix(matrix: SVGMatrix): void;\r\n    setRotate(angle: number, cx: number, cy: number): void;\r\n    setScale(sx: number, sy: number): void;\r\n    setSkewX(angle: number): void;\r\n    setSkewY(angle: number): void;\r\n    setTranslate(tx: number, ty: number): void;\r\n    SVG_TRANSFORM_MATRIX: number;\r\n    SVG_TRANSFORM_ROTATE: number;\r\n    SVG_TRANSFORM_SCALE: number;\r\n    SVG_TRANSFORM_SKEWX: number;\r\n    SVG_TRANSFORM_SKEWY: number;\r\n    SVG_TRANSFORM_TRANSLATE: number;\r\n    SVG_TRANSFORM_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGTransform: {\r\n    prototype: SVGTransform;\r\n    new(): SVGTransform;\r\n    SVG_TRANSFORM_MATRIX: number;\r\n    SVG_TRANSFORM_ROTATE: number;\r\n    SVG_TRANSFORM_SCALE: number;\r\n    SVG_TRANSFORM_SKEWX: number;\r\n    SVG_TRANSFORM_SKEWY: number;\r\n    SVG_TRANSFORM_TRANSLATE: number;\r\n    SVG_TRANSFORM_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGTransformList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGTransform): SVGTransform;\r\n    clear(): void;\r\n    consolidate(): SVGTransform;\r\n    createSVGTransformFromMatrix(matrix: SVGMatrix): SVGTransform;\r\n    getItem(index: number): SVGTransform;\r\n    initialize(newItem: SVGTransform): SVGTransform;\r\n    insertItemBefore(newItem: SVGTransform, index: number): SVGTransform;\r\n    removeItem(index: number): SVGTransform;\r\n    replaceItem(newItem: SVGTransform, index: number): SVGTransform;\r\n}\r\n\r\ndeclare var SVGTransformList: {\r\n    prototype: SVGTransformList;\r\n    new(): SVGTransformList;\r\n}\r\n\r\ninterface SVGUnitTypes {\r\n    SVG_UNIT_TYPE_OBJECTBOUNDINGBOX: number;\r\n    SVG_UNIT_TYPE_UNKNOWN: number;\r\n    SVG_UNIT_TYPE_USERSPACEONUSE: number;\r\n}\r\ndeclare var SVGUnitTypes: SVGUnitTypes;\r\n\r\ninterface SVGUseElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGURIReference {\r\n    animatedInstanceRoot: SVGElementInstance;\r\n    height: SVGAnimatedLength;\r\n    instanceRoot: SVGElementInstance;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGUseElement: {\r\n    prototype: SVGUseElement;\r\n    new(): SVGUseElement;\r\n}\r\n\r\ninterface SVGViewElement extends SVGElement, SVGExternalResourcesRequired, SVGFitToViewBox, SVGZoomAndPan {\r\n    viewTarget: SVGStringList;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGViewElement: {\r\n    prototype: SVGViewElement;\r\n    new(): SVGViewElement;\r\n}\r\n\r\ninterface SVGZoomAndPan {\r\n    SVG_ZOOMANDPAN_DISABLE: number;\r\n    SVG_ZOOMANDPAN_MAGNIFY: number;\r\n    SVG_ZOOMANDPAN_UNKNOWN: number;\r\n}\r\ndeclare var SVGZoomAndPan: SVGZoomAndPan;\r\n\r\ninterface SVGZoomEvent extends UIEvent {\r\n    newScale: number;\r\n    newTranslate: SVGPoint;\r\n    previousScale: number;\r\n    previousTranslate: SVGPoint;\r\n    zoomRectScreen: SVGRect;\r\n}\r\n\r\ndeclare var SVGZoomEvent: {\r\n    prototype: SVGZoomEvent;\r\n    new(): SVGZoomEvent;\r\n}\r\n\r\ninterface Screen extends EventTarget {\r\n    availHeight: number;\r\n    availWidth: number;\r\n    bufferDepth: number;\r\n    colorDepth: number;\r\n    deviceXDPI: number;\r\n    deviceYDPI: number;\r\n    fontSmoothingEnabled: boolean;\r\n    height: number;\r\n    logicalXDPI: number;\r\n    logicalYDPI: number;\r\n    msOrientation: string;\r\n    onmsorientationchange: (ev: Event) => any;\r\n    pixelDepth: number;\r\n    systemXDPI: number;\r\n    systemYDPI: number;\r\n    width: number;\r\n    msLockOrientation(orientations: string | string[]): boolean;\r\n    msUnlockOrientation(): void;\r\n    addEventListener(type: "MSOrientationChange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Screen: {\r\n    prototype: Screen;\r\n    new(): Screen;\r\n}\r\n\r\ninterface ScriptNotifyEvent extends Event {\r\n    callingUri: string;\r\n    value: string;\r\n}\r\n\r\ndeclare var ScriptNotifyEvent: {\r\n    prototype: ScriptNotifyEvent;\r\n    new(): ScriptNotifyEvent;\r\n}\r\n\r\ninterface ScriptProcessorNode extends AudioNode {\r\n    bufferSize: number;\r\n    onaudioprocess: (ev: AudioProcessingEvent) => any;\r\n    addEventListener(type: "audioprocess", listener: (ev: AudioProcessingEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var ScriptProcessorNode: {\r\n    prototype: ScriptProcessorNode;\r\n    new(): ScriptProcessorNode;\r\n}\r\n\r\ninterface Selection {\r\n    anchorNode: Node;\r\n    anchorOffset: number;\r\n    focusNode: Node;\r\n    focusOffset: number;\r\n    isCollapsed: boolean;\r\n    rangeCount: number;\r\n    type: string;\r\n    addRange(range: Range): void;\r\n    collapse(parentNode: Node, offset: number): void;\r\n    collapseToEnd(): void;\r\n    collapseToStart(): void;\r\n    containsNode(node: Node, partlyContained: boolean): boolean;\r\n    deleteFromDocument(): void;\r\n    empty(): void;\r\n    extend(newNode: Node, offset: number): void;\r\n    getRangeAt(index: number): Range;\r\n    removeAllRanges(): void;\r\n    removeRange(range: Range): void;\r\n    selectAllChildren(parentNode: Node): void;\r\n    setBaseAndExtent(baseNode: Node, baseOffset: number, extentNode: Node, extentOffset: number): void;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var Selection: {\r\n    prototype: Selection;\r\n    new(): Selection;\r\n}\r\n\r\ninterface SourceBuffer extends EventTarget {\r\n    appendWindowEnd: number;\r\n    appendWindowStart: number;\r\n    audioTracks: AudioTrackList;\r\n    buffered: TimeRanges;\r\n    mode: string;\r\n    timestampOffset: number;\r\n    updating: boolean;\r\n    videoTracks: VideoTrackList;\r\n    abort(): void;\r\n    appendBuffer(data: ArrayBuffer | ArrayBufferView): void;\r\n    appendStream(stream: MSStream, maxSize?: number): void;\r\n    remove(start: number, end: number): void;\r\n}\r\n\r\ndeclare var SourceBuffer: {\r\n    prototype: SourceBuffer;\r\n    new(): SourceBuffer;\r\n}\r\n\r\ninterface SourceBufferList extends EventTarget {\r\n    length: number;\r\n    item(index: number): SourceBuffer;\r\n    [index: number]: SourceBuffer;\r\n}\r\n\r\ndeclare var SourceBufferList: {\r\n    prototype: SourceBufferList;\r\n    new(): SourceBufferList;\r\n}\r\n\r\ninterface StereoPannerNode extends AudioNode {\r\n    pan: AudioParam;\r\n}\r\n\r\ndeclare var StereoPannerNode: {\r\n    prototype: StereoPannerNode;\r\n    new(): StereoPannerNode;\r\n}\r\n\r\ninterface Storage {\r\n    length: number;\r\n    clear(): void;\r\n    getItem(key: string): any;\r\n    key(index: number): string;\r\n    removeItem(key: string): void;\r\n    setItem(key: string, data: string): void;\r\n    [key: string]: any;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var Storage: {\r\n    prototype: Storage;\r\n    new(): Storage;\r\n}\r\n\r\ninterface StorageEvent extends Event {\r\n    url: string;\r\n    key?: string;\r\n    oldValue?: string;\r\n    newValue?: string;\r\n    storageArea?: Storage;\r\n}\r\n\r\ndeclare var StorageEvent: {\r\n    prototype: StorageEvent;\r\n    new (type: string, eventInitDict?: StorageEventInit): StorageEvent;\r\n}\r\n\r\ninterface StyleMedia {\r\n    type: string;\r\n    matchMedium(mediaquery: string): boolean;\r\n}\r\n\r\ndeclare var StyleMedia: {\r\n    prototype: StyleMedia;\r\n    new(): StyleMedia;\r\n}\r\n\r\ninterface StyleSheet {\r\n    disabled: boolean;\r\n    href: string;\r\n    media: MediaList;\r\n    ownerNode: Node;\r\n    parentStyleSheet: StyleSheet;\r\n    title: string;\r\n    type: string;\r\n}\r\n\r\ndeclare var StyleSheet: {\r\n    prototype: StyleSheet;\r\n    new(): StyleSheet;\r\n}\r\n\r\ninterface StyleSheetList {\r\n    length: number;\r\n    item(index?: number): StyleSheet;\r\n    [index: number]: StyleSheet;\r\n}\r\n\r\ndeclare var StyleSheetList: {\r\n    prototype: StyleSheetList;\r\n    new(): StyleSheetList;\r\n}\r\n\r\ninterface StyleSheetPageList {\r\n    length: number;\r\n    item(index: number): CSSPageRule;\r\n    [index: number]: CSSPageRule;\r\n}\r\n\r\ndeclare var StyleSheetPageList: {\r\n    prototype: StyleSheetPageList;\r\n    new(): StyleSheetPageList;\r\n}\r\n\r\ninterface SubtleCrypto {\r\n    decrypt(algorithm: string | Algorithm, key: CryptoKey, data: ArrayBufferView): any;\r\n    deriveBits(algorithm: string | Algorithm, baseKey: CryptoKey, length: number): any;\r\n    deriveKey(algorithm: string | Algorithm, baseKey: CryptoKey, derivedKeyType: string | Algorithm, extractable: boolean, keyUsages: string[]): any;\r\n    digest(algorithm: string | Algorithm, data: ArrayBufferView): any;\r\n    encrypt(algorithm: string | Algorithm, key: CryptoKey, data: ArrayBufferView): any;\r\n    exportKey(format: string, key: CryptoKey): any;\r\n    generateKey(algorithm: string | Algorithm, extractable: boolean, keyUsages: string[]): any;\r\n    importKey(format: string, keyData: ArrayBufferView, algorithm: string | Algorithm, extractable: boolean, keyUsages: string[]): any;\r\n    sign(algorithm: string | Algorithm, key: CryptoKey, data: ArrayBufferView): any;\r\n    unwrapKey(format: string, wrappedKey: ArrayBufferView, unwrappingKey: CryptoKey, unwrapAlgorithm: string | Algorithm, unwrappedKeyAlgorithm: string | Algorithm, extractable: boolean, keyUsages: string[]): any;\r\n    verify(algorithm: string | Algorithm, key: CryptoKey, signature: ArrayBufferView, data: ArrayBufferView): any;\r\n    wrapKey(format: string, key: CryptoKey, wrappingKey: CryptoKey, wrapAlgorithm: string | Algorithm): any;\r\n}\r\n\r\ndeclare var SubtleCrypto: {\r\n    prototype: SubtleCrypto;\r\n    new(): SubtleCrypto;\r\n}\r\n\r\ninterface Text extends CharacterData {\r\n    wholeText: string;\r\n    replaceWholeText(content: string): Text;\r\n    splitText(offset: number): Text;\r\n}\r\n\r\ndeclare var Text: {\r\n    prototype: Text;\r\n    new(): Text;\r\n}\r\n\r\ninterface TextEvent extends UIEvent {\r\n    data: string;\r\n    inputMethod: number;\r\n    locale: string;\r\n    initTextEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, dataArg: string, inputMethod: number, locale: string): void;\r\n    DOM_INPUT_METHOD_DROP: number;\r\n    DOM_INPUT_METHOD_HANDWRITING: number;\r\n    DOM_INPUT_METHOD_IME: number;\r\n    DOM_INPUT_METHOD_KEYBOARD: number;\r\n    DOM_INPUT_METHOD_MULTIMODAL: number;\r\n    DOM_INPUT_METHOD_OPTION: number;\r\n    DOM_INPUT_METHOD_PASTE: number;\r\n    DOM_INPUT_METHOD_SCRIPT: number;\r\n    DOM_INPUT_METHOD_UNKNOWN: number;\r\n    DOM_INPUT_METHOD_VOICE: number;\r\n}\r\n\r\ndeclare var TextEvent: {\r\n    prototype: TextEvent;\r\n    new(): TextEvent;\r\n    DOM_INPUT_METHOD_DROP: number;\r\n    DOM_INPUT_METHOD_HANDWRITING: number;\r\n    DOM_INPUT_METHOD_IME: number;\r\n    DOM_INPUT_METHOD_KEYBOARD: number;\r\n    DOM_INPUT_METHOD_MULTIMODAL: number;\r\n    DOM_INPUT_METHOD_OPTION: number;\r\n    DOM_INPUT_METHOD_PASTE: number;\r\n    DOM_INPUT_METHOD_SCRIPT: number;\r\n    DOM_INPUT_METHOD_UNKNOWN: number;\r\n    DOM_INPUT_METHOD_VOICE: number;\r\n}\r\n\r\ninterface TextMetrics {\r\n    width: number;\r\n}\r\n\r\ndeclare var TextMetrics: {\r\n    prototype: TextMetrics;\r\n    new(): TextMetrics;\r\n}\r\n\r\ninterface TextRange {\r\n    boundingHeight: number;\r\n    boundingLeft: number;\r\n    boundingTop: number;\r\n    boundingWidth: number;\r\n    htmlText: string;\r\n    offsetLeft: number;\r\n    offsetTop: number;\r\n    text: string;\r\n    collapse(start?: boolean): void;\r\n    compareEndPoints(how: string, sourceRange: TextRange): number;\r\n    duplicate(): TextRange;\r\n    execCommand(cmdID: string, showUI?: boolean, value?: any): boolean;\r\n    execCommandShowHelp(cmdID: string): boolean;\r\n    expand(Unit: string): boolean;\r\n    findText(string: string, count?: number, flags?: number): boolean;\r\n    getBookmark(): string;\r\n    getBoundingClientRect(): ClientRect;\r\n    getClientRects(): ClientRectList;\r\n    inRange(range: TextRange): boolean;\r\n    isEqual(range: TextRange): boolean;\r\n    move(unit: string, count?: number): number;\r\n    moveEnd(unit: string, count?: number): number;\r\n    moveStart(unit: string, count?: number): number;\r\n    moveToBookmark(bookmark: string): boolean;\r\n    moveToElementText(element: Element): void;\r\n    moveToPoint(x: number, y: number): void;\r\n    parentElement(): Element;\r\n    pasteHTML(html: string): void;\r\n    queryCommandEnabled(cmdID: string): boolean;\r\n    queryCommandIndeterm(cmdID: string): boolean;\r\n    queryCommandState(cmdID: string): boolean;\r\n    queryCommandSupported(cmdID: string): boolean;\r\n    queryCommandText(cmdID: string): string;\r\n    queryCommandValue(cmdID: string): any;\r\n    scrollIntoView(fStart?: boolean): void;\r\n    select(): void;\r\n    setEndPoint(how: string, SourceRange: TextRange): void;\r\n}\r\n\r\ndeclare var TextRange: {\r\n    prototype: TextRange;\r\n    new(): TextRange;\r\n}\r\n\r\ninterface TextRangeCollection {\r\n    length: number;\r\n    item(index: number): TextRange;\r\n    [index: number]: TextRange;\r\n}\r\n\r\ndeclare var TextRangeCollection: {\r\n    prototype: TextRangeCollection;\r\n    new(): TextRangeCollection;\r\n}\r\n\r\ninterface TextTrack extends EventTarget {\r\n    activeCues: TextTrackCueList;\r\n    cues: TextTrackCueList;\r\n    inBandMetadataTrackDispatchType: string;\r\n    kind: string;\r\n    label: string;\r\n    language: string;\r\n    mode: any;\r\n    oncuechange: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onload: (ev: Event) => any;\r\n    readyState: number;\r\n    addCue(cue: TextTrackCue): void;\r\n    removeCue(cue: TextTrackCue): void;\r\n    DISABLED: number;\r\n    ERROR: number;\r\n    HIDDEN: number;\r\n    LOADED: number;\r\n    LOADING: number;\r\n    NONE: number;\r\n    SHOWING: number;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var TextTrack: {\r\n    prototype: TextTrack;\r\n    new(): TextTrack;\r\n    DISABLED: number;\r\n    ERROR: number;\r\n    HIDDEN: number;\r\n    LOADED: number;\r\n    LOADING: number;\r\n    NONE: number;\r\n    SHOWING: number;\r\n}\r\n\r\ninterface TextTrackCue extends EventTarget {\r\n    endTime: number;\r\n    id: string;\r\n    onenter: (ev: Event) => any;\r\n    onexit: (ev: Event) => any;\r\n    pauseOnExit: boolean;\r\n    startTime: number;\r\n    text: string;\r\n    track: TextTrack;\r\n    getCueAsHTML(): DocumentFragment;\r\n    addEventListener(type: "enter", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "exit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var TextTrackCue: {\r\n    prototype: TextTrackCue;\r\n    new(startTime: number, endTime: number, text: string): TextTrackCue;\r\n}\r\n\r\ninterface TextTrackCueList {\r\n    length: number;\r\n    getCueById(id: string): TextTrackCue;\r\n    item(index: number): TextTrackCue;\r\n    [index: number]: TextTrackCue;\r\n}\r\n\r\ndeclare var TextTrackCueList: {\r\n    prototype: TextTrackCueList;\r\n    new(): TextTrackCueList;\r\n}\r\n\r\ninterface TextTrackList extends EventTarget {\r\n    length: number;\r\n    onaddtrack: (ev: TrackEvent) => any;\r\n    item(index: number): TextTrack;\r\n    addEventListener(type: "addtrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: TextTrack;\r\n}\r\n\r\ndeclare var TextTrackList: {\r\n    prototype: TextTrackList;\r\n    new(): TextTrackList;\r\n}\r\n\r\ninterface TimeRanges {\r\n    length: number;\r\n    end(index: number): number;\r\n    start(index: number): number;\r\n}\r\n\r\ndeclare var TimeRanges: {\r\n    prototype: TimeRanges;\r\n    new(): TimeRanges;\r\n}\r\n\r\ninterface Touch {\r\n    clientX: number;\r\n    clientY: number;\r\n    identifier: number;\r\n    pageX: number;\r\n    pageY: number;\r\n    screenX: number;\r\n    screenY: number;\r\n    target: EventTarget;\r\n}\r\n\r\ndeclare var Touch: {\r\n    prototype: Touch;\r\n    new(): Touch;\r\n}\r\n\r\ninterface TouchEvent extends UIEvent {\r\n    altKey: boolean;\r\n    changedTouches: TouchList;\r\n    ctrlKey: boolean;\r\n    metaKey: boolean;\r\n    shiftKey: boolean;\r\n    targetTouches: TouchList;\r\n    touches: TouchList;\r\n}\r\n\r\ndeclare var TouchEvent: {\r\n    prototype: TouchEvent;\r\n    new(): TouchEvent;\r\n}\r\n\r\ninterface TouchList {\r\n    length: number;\r\n    item(index: number): Touch;\r\n    [index: number]: Touch;\r\n}\r\n\r\ndeclare var TouchList: {\r\n    prototype: TouchList;\r\n    new(): TouchList;\r\n}\r\n\r\ninterface TrackEvent extends Event {\r\n    track: any;\r\n}\r\n\r\ndeclare var TrackEvent: {\r\n    prototype: TrackEvent;\r\n    new(): TrackEvent;\r\n}\r\n\r\ninterface TransitionEvent extends Event {\r\n    elapsedTime: number;\r\n    propertyName: string;\r\n    initTransitionEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, propertyNameArg: string, elapsedTimeArg: number): void;\r\n}\r\n\r\ndeclare var TransitionEvent: {\r\n    prototype: TransitionEvent;\r\n    new(): TransitionEvent;\r\n}\r\n\r\ninterface TreeWalker {\r\n    currentNode: Node;\r\n    expandEntityReferences: boolean;\r\n    filter: NodeFilter;\r\n    root: Node;\r\n    whatToShow: number;\r\n    firstChild(): Node;\r\n    lastChild(): Node;\r\n    nextNode(): Node;\r\n    nextSibling(): Node;\r\n    parentNode(): Node;\r\n    previousNode(): Node;\r\n    previousSibling(): Node;\r\n}\r\n\r\ndeclare var TreeWalker: {\r\n    prototype: TreeWalker;\r\n    new(): TreeWalker;\r\n}\r\n\r\ninterface UIEvent extends Event {\r\n    detail: number;\r\n    view: Window;\r\n    initUIEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number): void;\r\n}\r\n\r\ndeclare var UIEvent: {\r\n    prototype: UIEvent;\r\n    new(type: string, eventInitDict?: UIEventInit): UIEvent;\r\n}\r\n\r\ninterface URL {\r\n    createObjectURL(object: any, options?: ObjectURLOptions): string;\r\n    revokeObjectURL(url: string): void;\r\n}\r\ndeclare var URL: URL;\r\n\r\ninterface UnviewableContentIdentifiedEvent extends NavigationEventWithReferrer {\r\n    mediaType: string;\r\n}\r\n\r\ndeclare var UnviewableContentIdentifiedEvent: {\r\n    prototype: UnviewableContentIdentifiedEvent;\r\n    new(): UnviewableContentIdentifiedEvent;\r\n}\r\n\r\ninterface ValidityState {\r\n    badInput: boolean;\r\n    customError: boolean;\r\n    patternMismatch: boolean;\r\n    rangeOverflow: boolean;\r\n    rangeUnderflow: boolean;\r\n    stepMismatch: boolean;\r\n    tooLong: boolean;\r\n    typeMismatch: boolean;\r\n    valid: boolean;\r\n    valueMissing: boolean;\r\n}\r\n\r\ndeclare var ValidityState: {\r\n    prototype: ValidityState;\r\n    new(): ValidityState;\r\n}\r\n\r\ninterface VideoPlaybackQuality {\r\n    corruptedVideoFrames: number;\r\n    creationTime: number;\r\n    droppedVideoFrames: number;\r\n    totalFrameDelay: number;\r\n    totalVideoFrames: number;\r\n}\r\n\r\ndeclare var VideoPlaybackQuality: {\r\n    prototype: VideoPlaybackQuality;\r\n    new(): VideoPlaybackQuality;\r\n}\r\n\r\ninterface VideoTrack {\r\n    id: string;\r\n    kind: string;\r\n    label: string;\r\n    language: string;\r\n    selected: boolean;\r\n    sourceBuffer: SourceBuffer;\r\n}\r\n\r\ndeclare var VideoTrack: {\r\n    prototype: VideoTrack;\r\n    new(): VideoTrack;\r\n}\r\n\r\ninterface VideoTrackList extends EventTarget {\r\n    length: number;\r\n    onaddtrack: (ev: TrackEvent) => any;\r\n    onchange: (ev: Event) => any;\r\n    onremovetrack: (ev: TrackEvent) => any;\r\n    selectedIndex: number;\r\n    getTrackById(id: string): VideoTrack;\r\n    item(index: number): VideoTrack;\r\n    addEventListener(type: "addtrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "removetrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: VideoTrack;\r\n}\r\n\r\ndeclare var VideoTrackList: {\r\n    prototype: VideoTrackList;\r\n    new(): VideoTrackList;\r\n}\r\n\r\ninterface WEBGL_compressed_texture_s3tc {\r\n    COMPRESSED_RGBA_S3TC_DXT1_EXT: number;\r\n    COMPRESSED_RGBA_S3TC_DXT3_EXT: number;\r\n    COMPRESSED_RGBA_S3TC_DXT5_EXT: number;\r\n    COMPRESSED_RGB_S3TC_DXT1_EXT: number;\r\n}\r\n\r\ndeclare var WEBGL_compressed_texture_s3tc: {\r\n    prototype: WEBGL_compressed_texture_s3tc;\r\n    new(): WEBGL_compressed_texture_s3tc;\r\n    COMPRESSED_RGBA_S3TC_DXT1_EXT: number;\r\n    COMPRESSED_RGBA_S3TC_DXT3_EXT: number;\r\n    COMPRESSED_RGBA_S3TC_DXT5_EXT: number;\r\n    COMPRESSED_RGB_S3TC_DXT1_EXT: number;\r\n}\r\n\r\ninterface WEBGL_debug_renderer_info {\r\n    UNMASKED_RENDERER_WEBGL: number;\r\n    UNMASKED_VENDOR_WEBGL: number;\r\n}\r\n\r\ndeclare var WEBGL_debug_renderer_info: {\r\n    prototype: WEBGL_debug_renderer_info;\r\n    new(): WEBGL_debug_renderer_info;\r\n    UNMASKED_RENDERER_WEBGL: number;\r\n    UNMASKED_VENDOR_WEBGL: number;\r\n}\r\n\r\ninterface WEBGL_depth_texture {\r\n    UNSIGNED_INT_24_8_WEBGL: number;\r\n}\r\n\r\ndeclare var WEBGL_depth_texture: {\r\n    prototype: WEBGL_depth_texture;\r\n    new(): WEBGL_depth_texture;\r\n    UNSIGNED_INT_24_8_WEBGL: number;\r\n}\r\n\r\ninterface WaveShaperNode extends AudioNode {\r\n    curve: Float32Array;\r\n    oversample: string;\r\n}\r\n\r\ndeclare var WaveShaperNode: {\r\n    prototype: WaveShaperNode;\r\n    new(): WaveShaperNode;\r\n}\r\n\r\ninterface WebGLActiveInfo {\r\n    name: string;\r\n    size: number;\r\n    type: number;\r\n}\r\n\r\ndeclare var WebGLActiveInfo: {\r\n    prototype: WebGLActiveInfo;\r\n    new(): WebGLActiveInfo;\r\n}\r\n\r\ninterface WebGLBuffer extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLBuffer: {\r\n    prototype: WebGLBuffer;\r\n    new(): WebGLBuffer;\r\n}\r\n\r\ninterface WebGLContextEvent extends Event {\r\n    statusMessage: string;\r\n}\r\n\r\ndeclare var WebGLContextEvent: {\r\n    prototype: WebGLContextEvent;\r\n    new(): WebGLContextEvent;\r\n}\r\n\r\ninterface WebGLFramebuffer extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLFramebuffer: {\r\n    prototype: WebGLFramebuffer;\r\n    new(): WebGLFramebuffer;\r\n}\r\n\r\ninterface WebGLObject {\r\n}\r\n\r\ndeclare var WebGLObject: {\r\n    prototype: WebGLObject;\r\n    new(): WebGLObject;\r\n}\r\n\r\ninterface WebGLProgram extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLProgram: {\r\n    prototype: WebGLProgram;\r\n    new(): WebGLProgram;\r\n}\r\n\r\ninterface WebGLRenderbuffer extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLRenderbuffer: {\r\n    prototype: WebGLRenderbuffer;\r\n    new(): WebGLRenderbuffer;\r\n}\r\n\r\ninterface WebGLRenderingContext {\r\n    canvas: HTMLCanvasElement;\r\n    drawingBufferHeight: number;\r\n    drawingBufferWidth: number;\r\n    activeTexture(texture: number): void;\r\n    attachShader(program: WebGLProgram, shader: WebGLShader): void;\r\n    bindAttribLocation(program: WebGLProgram, index: number, name: string): void;\r\n    bindBuffer(target: number, buffer: WebGLBuffer): void;\r\n    bindFramebuffer(target: number, framebuffer: WebGLFramebuffer): void;\r\n    bindRenderbuffer(target: number, renderbuffer: WebGLRenderbuffer): void;\r\n    bindTexture(target: number, texture: WebGLTexture): void;\r\n    blendColor(red: number, green: number, blue: number, alpha: number): void;\r\n    blendEquation(mode: number): void;\r\n    blendEquationSeparate(modeRGB: number, modeAlpha: number): void;\r\n    blendFunc(sfactor: number, dfactor: number): void;\r\n    blendFuncSeparate(srcRGB: number, dstRGB: number, srcAlpha: number, dstAlpha: number): void;\r\n    bufferData(target: number, size: number | ArrayBufferView | ArrayBuffer, usage: number): void;\r\n    bufferSubData(target: number, offset: number, data: ArrayBufferView | ArrayBuffer): void;\r\n    checkFramebufferStatus(target: number): number;\r\n    clear(mask: number): void;\r\n    clearColor(red: number, green: number, blue: number, alpha: number): void;\r\n    clearDepth(depth: number): void;\r\n    clearStencil(s: number): void;\r\n    colorMask(red: boolean, green: boolean, blue: boolean, alpha: boolean): void;\r\n    compileShader(shader: WebGLShader): void;\r\n    compressedTexImage2D(target: number, level: number, internalformat: number, width: number, height: number, border: number, data: ArrayBufferView): void;\r\n    compressedTexSubImage2D(target: number, level: number, xoffset: number, yoffset: number, width: number, height: number, format: number, data: ArrayBufferView): void;\r\n    copyTexImage2D(target: number, level: number, internalformat: number, x: number, y: number, width: number, height: number, border: number): void;\r\n    copyTexSubImage2D(target: number, level: number, xoffset: number, yoffset: number, x: number, y: number, width: number, height: number): void;\r\n    createBuffer(): WebGLBuffer;\r\n    createFramebuffer(): WebGLFramebuffer;\r\n    createProgram(): WebGLProgram;\r\n    createRenderbuffer(): WebGLRenderbuffer;\r\n    createShader(type: number): WebGLShader;\r\n    createTexture(): WebGLTexture;\r\n    cullFace(mode: number): void;\r\n    deleteBuffer(buffer: WebGLBuffer): void;\r\n    deleteFramebuffer(framebuffer: WebGLFramebuffer): void;\r\n    deleteProgram(program: WebGLProgram): void;\r\n    deleteRenderbuffer(renderbuffer: WebGLRenderbuffer): void;\r\n    deleteShader(shader: WebGLShader): void;\r\n    deleteTexture(texture: WebGLTexture): void;\r\n    depthFunc(func: number): void;\r\n    depthMask(flag: boolean): void;\r\n    depthRange(zNear: number, zFar: number): void;\r\n    detachShader(program: WebGLProgram, shader: WebGLShader): void;\r\n    disable(cap: number): void;\r\n    disableVertexAttribArray(index: number): void;\r\n    drawArrays(mode: number, first: number, count: number): void;\r\n    drawElements(mode: number, count: number, type: number, offset: number): void;\r\n    enable(cap: number): void;\r\n    enableVertexAttribArray(index: number): void;\r\n    finish(): void;\r\n    flush(): void;\r\n    framebufferRenderbuffer(target: number, attachment: number, renderbuffertarget: number, renderbuffer: WebGLRenderbuffer): void;\r\n    framebufferTexture2D(target: number, attachment: number, textarget: number, texture: WebGLTexture, level: number): void;\r\n    frontFace(mode: number): void;\r\n    generateMipmap(target: number): void;\r\n    getActiveAttrib(program: WebGLProgram, index: number): WebGLActiveInfo;\r\n    getActiveUniform(program: WebGLProgram, index: number): WebGLActiveInfo;\r\n    getAttachedShaders(program: WebGLProgram): WebGLShader[];\r\n    getAttribLocation(program: WebGLProgram, name: string): number;\r\n    getBufferParameter(target: number, pname: number): any;\r\n    getContextAttributes(): WebGLContextAttributes;\r\n    getError(): number;\r\n    getExtension(name: string): any;\r\n    getFramebufferAttachmentParameter(target: number, attachment: number, pname: number): any;\r\n    getParameter(pname: number): any;\r\n    getProgramInfoLog(program: WebGLProgram): string;\r\n    getProgramParameter(program: WebGLProgram, pname: number): any;\r\n    getRenderbufferParameter(target: number, pname: number): any;\r\n    getShaderInfoLog(shader: WebGLShader): string;\r\n    getShaderParameter(shader: WebGLShader, pname: number): any;\r\n    getShaderPrecisionFormat(shadertype: number, precisiontype: number): WebGLShaderPrecisionFormat;\r\n    getShaderSource(shader: WebGLShader): string;\r\n    getSupportedExtensions(): string[];\r\n    getTexParameter(target: number, pname: number): any;\r\n    getUniform(program: WebGLProgram, location: WebGLUniformLocation): any;\r\n    getUniformLocation(program: WebGLProgram, name: string): WebGLUniformLocation;\r\n    getVertexAttrib(index: number, pname: number): any;\r\n    getVertexAttribOffset(index: number, pname: number): number;\r\n    hint(target: number, mode: number): void;\r\n    isBuffer(buffer: WebGLBuffer): boolean;\r\n    isContextLost(): boolean;\r\n    isEnabled(cap: number): boolean;\r\n    isFramebuffer(framebuffer: WebGLFramebuffer): boolean;\r\n    isProgram(program: WebGLProgram): boolean;\r\n    isRenderbuffer(renderbuffer: WebGLRenderbuffer): boolean;\r\n    isShader(shader: WebGLShader): boolean;\r\n    isTexture(texture: WebGLTexture): boolean;\r\n    lineWidth(width: number): void;\r\n    linkProgram(program: WebGLProgram): void;\r\n    pixelStorei(pname: number, param: number): void;\r\n    polygonOffset(factor: number, units: number): void;\r\n    readPixels(x: number, y: number, width: number, height: number, format: number, type: number, pixels: ArrayBufferView): void;\r\n    renderbufferStorage(target: number, internalformat: number, width: number, height: number): void;\r\n    sampleCoverage(value: number, invert: boolean): void;\r\n    scissor(x: number, y: number, width: number, height: number): void;\r\n    shaderSource(shader: WebGLShader, source: string): void;\r\n    stencilFunc(func: number, ref: number, mask: number): void;\r\n    stencilFuncSeparate(face: number, func: number, ref: number, mask: number): void;\r\n    stencilMask(mask: number): void;\r\n    stencilMaskSeparate(face: number, mask: number): void;\r\n    stencilOp(fail: number, zfail: number, zpass: number): void;\r\n    stencilOpSeparate(face: number, fail: number, zfail: number, zpass: number): void;\r\n    texImage2D(target: number, level: number, internalformat: number, width: number, height: number, border: number, format: number, type: number, pixels: ArrayBufferView): void;\r\n    texImage2D(target: number, level: number, internalformat: number, format: number, type: number, image: HTMLImageElement): void;\r\n    texImage2D(target: number, level: number, internalformat: number, format: number, type: number, canvas: HTMLCanvasElement): void;\r\n    texImage2D(target: number, level: number, internalformat: number, format: number, type: number, video: HTMLVideoElement): void;\r\n    texImage2D(target: number, level: number, internalformat: number, format: number, type: number, pixels: ImageData): void;\r\n    texParameterf(target: number, pname: number, param: number): void;\r\n    texParameteri(target: number, pname: number, param: number): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, width: number, height: number, format: number, type: number, pixels: ArrayBufferView): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, format: number, type: number, image: HTMLImageElement): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, format: number, type: number, canvas: HTMLCanvasElement): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, format: number, type: number, video: HTMLVideoElement): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, format: number, type: number, pixels: ImageData): void;\r\n    uniform1f(location: WebGLUniformLocation, x: number): void;\r\n    uniform1fv(location: WebGLUniformLocation, v: Float32Array): void;\r\n    uniform1i(location: WebGLUniformLocation, x: number): void;\r\n    uniform1iv(location: WebGLUniformLocation, v: Int32Array): void;\r\n    uniform2f(location: WebGLUniformLocation, x: number, y: number): void;\r\n    uniform2fv(location: WebGLUniformLocation, v: Float32Array): void;\r\n    uniform2i(location: WebGLUniformLocation, x: number, y: number): void;\r\n    uniform2iv(location: WebGLUniformLocation, v: Int32Array): void;\r\n    uniform3f(location: WebGLUniformLocation, x: number, y: number, z: number): void;\r\n    uniform3fv(location: WebGLUniformLocation, v: Float32Array): void;\r\n    uniform3i(location: WebGLUniformLocation, x: number, y: number, z: number): void;\r\n    uniform3iv(location: WebGLUniformLocation, v: Int32Array): void;\r\n    uniform4f(location: WebGLUniformLocation, x: number, y: number, z: number, w: number): void;\r\n    uniform4fv(location: WebGLUniformLocation, v: Float32Array): void;\r\n    uniform4i(location: WebGLUniformLocation, x: number, y: number, z: number, w: number): void;\r\n    uniform4iv(location: WebGLUniformLocation, v: Int32Array): void;\r\n    uniformMatrix2fv(location: WebGLUniformLocation, transpose: boolean, value: Float32Array): void;\r\n    uniformMatrix3fv(location: WebGLUniformLocation, transpose: boolean, value: Float32Array): void;\r\n    uniformMatrix4fv(location: WebGLUniformLocation, transpose: boolean, value: Float32Array): void;\r\n    useProgram(program: WebGLProgram): void;\r\n    validateProgram(program: WebGLProgram): void;\r\n    vertexAttrib1f(indx: number, x: number): void;\r\n    vertexAttrib1fv(indx: number, values: Float32Array): void;\r\n    vertexAttrib2f(indx: number, x: number, y: number): void;\r\n    vertexAttrib2fv(indx: number, values: Float32Array): void;\r\n    vertexAttrib3f(indx: number, x: number, y: number, z: number): void;\r\n    vertexAttrib3fv(indx: number, values: Float32Array): void;\r\n    vertexAttrib4f(indx: number, x: number, y: number, z: number, w: number): void;\r\n    vertexAttrib4fv(indx: number, values: Float32Array): void;\r\n    vertexAttribPointer(indx: number, size: number, type: number, normalized: boolean, stride: number, offset: number): void;\r\n    viewport(x: number, y: number, width: number, height: number): void;\r\n    ACTIVE_ATTRIBUTES: number;\r\n    ACTIVE_TEXTURE: number;\r\n    ACTIVE_UNIFORMS: number;\r\n    ALIASED_LINE_WIDTH_RANGE: number;\r\n    ALIASED_POINT_SIZE_RANGE: number;\r\n    ALPHA: number;\r\n    ALPHA_BITS: number;\r\n    ALWAYS: number;\r\n    ARRAY_BUFFER: number;\r\n    ARRAY_BUFFER_BINDING: number;\r\n    ATTACHED_SHADERS: number;\r\n    BACK: number;\r\n    BLEND: number;\r\n    BLEND_COLOR: number;\r\n    BLEND_DST_ALPHA: number;\r\n    BLEND_DST_RGB: number;\r\n    BLEND_EQUATION: number;\r\n    BLEND_EQUATION_ALPHA: number;\r\n    BLEND_EQUATION_RGB: number;\r\n    BLEND_SRC_ALPHA: number;\r\n    BLEND_SRC_RGB: number;\r\n    BLUE_BITS: number;\r\n    BOOL: number;\r\n    BOOL_VEC2: number;\r\n    BOOL_VEC3: number;\r\n    BOOL_VEC4: number;\r\n    BROWSER_DEFAULT_WEBGL: number;\r\n    BUFFER_SIZE: number;\r\n    BUFFER_USAGE: number;\r\n    BYTE: number;\r\n    CCW: number;\r\n    CLAMP_TO_EDGE: number;\r\n    COLOR_ATTACHMENT0: number;\r\n    COLOR_BUFFER_BIT: number;\r\n    COLOR_CLEAR_VALUE: number;\r\n    COLOR_WRITEMASK: number;\r\n    COMPILE_STATUS: number;\r\n    COMPRESSED_TEXTURE_FORMATS: number;\r\n    CONSTANT_ALPHA: number;\r\n    CONSTANT_COLOR: number;\r\n    CONTEXT_LOST_WEBGL: number;\r\n    CULL_FACE: number;\r\n    CULL_FACE_MODE: number;\r\n    CURRENT_PROGRAM: number;\r\n    CURRENT_VERTEX_ATTRIB: number;\r\n    CW: number;\r\n    DECR: number;\r\n    DECR_WRAP: number;\r\n    DELETE_STATUS: number;\r\n    DEPTH_ATTACHMENT: number;\r\n    DEPTH_BITS: number;\r\n    DEPTH_BUFFER_BIT: number;\r\n    DEPTH_CLEAR_VALUE: number;\r\n    DEPTH_COMPONENT: number;\r\n    DEPTH_COMPONENT16: number;\r\n    DEPTH_FUNC: number;\r\n    DEPTH_RANGE: number;\r\n    DEPTH_STENCIL: number;\r\n    DEPTH_STENCIL_ATTACHMENT: number;\r\n    DEPTH_TEST: number;\r\n    DEPTH_WRITEMASK: number;\r\n    DITHER: number;\r\n    DONT_CARE: number;\r\n    DST_ALPHA: number;\r\n    DST_COLOR: number;\r\n    DYNAMIC_DRAW: number;\r\n    ELEMENT_ARRAY_BUFFER: number;\r\n    ELEMENT_ARRAY_BUFFER_BINDING: number;\r\n    EQUAL: number;\r\n    FASTEST: number;\r\n    FLOAT: number;\r\n    FLOAT_MAT2: number;\r\n    FLOAT_MAT3: number;\r\n    FLOAT_MAT4: number;\r\n    FLOAT_VEC2: number;\r\n    FLOAT_VEC3: number;\r\n    FLOAT_VEC4: number;\r\n    FRAGMENT_SHADER: number;\r\n    FRAMEBUFFER: number;\r\n    FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: number;\r\n    FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: number;\r\n    FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: number;\r\n    FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: number;\r\n    FRAMEBUFFER_BINDING: number;\r\n    FRAMEBUFFER_COMPLETE: number;\r\n    FRAMEBUFFER_INCOMPLETE_ATTACHMENT: number;\r\n    FRAMEBUFFER_INCOMPLETE_DIMENSIONS: number;\r\n    FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: number;\r\n    FRAMEBUFFER_UNSUPPORTED: number;\r\n    FRONT: number;\r\n    FRONT_AND_BACK: number;\r\n    FRONT_FACE: number;\r\n    FUNC_ADD: number;\r\n    FUNC_REVERSE_SUBTRACT: number;\r\n    FUNC_SUBTRACT: number;\r\n    GENERATE_MIPMAP_HINT: number;\r\n    GEQUAL: number;\r\n    GREATER: number;\r\n    GREEN_BITS: number;\r\n    HIGH_FLOAT: number;\r\n    HIGH_INT: number;\r\n    IMPLEMENTATION_COLOR_READ_FORMAT: number;\r\n    IMPLEMENTATION_COLOR_READ_TYPE: number;\r\n    INCR: number;\r\n    INCR_WRAP: number;\r\n    INT: number;\r\n    INT_VEC2: number;\r\n    INT_VEC3: number;\r\n    INT_VEC4: number;\r\n    INVALID_ENUM: number;\r\n    INVALID_FRAMEBUFFER_OPERATION: number;\r\n    INVALID_OPERATION: number;\r\n    INVALID_VALUE: number;\r\n    INVERT: number;\r\n    KEEP: number;\r\n    LEQUAL: number;\r\n    LESS: number;\r\n    LINEAR: number;\r\n    LINEAR_MIPMAP_LINEAR: number;\r\n    LINEAR_MIPMAP_NEAREST: number;\r\n    LINES: number;\r\n    LINE_LOOP: number;\r\n    LINE_STRIP: number;\r\n    LINE_WIDTH: number;\r\n    LINK_STATUS: number;\r\n    LOW_FLOAT: number;\r\n    LOW_INT: number;\r\n    LUMINANCE: number;\r\n    LUMINANCE_ALPHA: number;\r\n    MAX_COMBINED_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_CUBE_MAP_TEXTURE_SIZE: number;\r\n    MAX_FRAGMENT_UNIFORM_VECTORS: number;\r\n    MAX_RENDERBUFFER_SIZE: number;\r\n    MAX_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_TEXTURE_SIZE: number;\r\n    MAX_VARYING_VECTORS: number;\r\n    MAX_VERTEX_ATTRIBS: number;\r\n    MAX_VERTEX_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_VERTEX_UNIFORM_VECTORS: number;\r\n    MAX_VIEWPORT_DIMS: number;\r\n    MEDIUM_FLOAT: number;\r\n    MEDIUM_INT: number;\r\n    MIRRORED_REPEAT: number;\r\n    NEAREST: number;\r\n    NEAREST_MIPMAP_LINEAR: number;\r\n    NEAREST_MIPMAP_NEAREST: number;\r\n    NEVER: number;\r\n    NICEST: number;\r\n    NONE: number;\r\n    NOTEQUAL: number;\r\n    NO_ERROR: number;\r\n    ONE: number;\r\n    ONE_MINUS_CONSTANT_ALPHA: number;\r\n    ONE_MINUS_CONSTANT_COLOR: number;\r\n    ONE_MINUS_DST_ALPHA: number;\r\n    ONE_MINUS_DST_COLOR: number;\r\n    ONE_MINUS_SRC_ALPHA: number;\r\n    ONE_MINUS_SRC_COLOR: number;\r\n    OUT_OF_MEMORY: number;\r\n    PACK_ALIGNMENT: number;\r\n    POINTS: number;\r\n    POLYGON_OFFSET_FACTOR: number;\r\n    POLYGON_OFFSET_FILL: number;\r\n    POLYGON_OFFSET_UNITS: number;\r\n    RED_BITS: number;\r\n    RENDERBUFFER: number;\r\n    RENDERBUFFER_ALPHA_SIZE: number;\r\n    RENDERBUFFER_BINDING: number;\r\n    RENDERBUFFER_BLUE_SIZE: number;\r\n    RENDERBUFFER_DEPTH_SIZE: number;\r\n    RENDERBUFFER_GREEN_SIZE: number;\r\n    RENDERBUFFER_HEIGHT: number;\r\n    RENDERBUFFER_INTERNAL_FORMAT: number;\r\n    RENDERBUFFER_RED_SIZE: number;\r\n    RENDERBUFFER_STENCIL_SIZE: number;\r\n    RENDERBUFFER_WIDTH: number;\r\n    RENDERER: number;\r\n    REPEAT: number;\r\n    REPLACE: number;\r\n    RGB: number;\r\n    RGB565: number;\r\n    RGB5_A1: number;\r\n    RGBA: number;\r\n    RGBA4: number;\r\n    SAMPLER_2D: number;\r\n    SAMPLER_CUBE: number;\r\n    SAMPLES: number;\r\n    SAMPLE_ALPHA_TO_COVERAGE: number;\r\n    SAMPLE_BUFFERS: number;\r\n    SAMPLE_COVERAGE: number;\r\n    SAMPLE_COVERAGE_INVERT: number;\r\n    SAMPLE_COVERAGE_VALUE: number;\r\n    SCISSOR_BOX: number;\r\n    SCISSOR_TEST: number;\r\n    SHADER_TYPE: number;\r\n    SHADING_LANGUAGE_VERSION: number;\r\n    SHORT: number;\r\n    SRC_ALPHA: number;\r\n    SRC_ALPHA_SATURATE: number;\r\n    SRC_COLOR: number;\r\n    STATIC_DRAW: number;\r\n    STENCIL_ATTACHMENT: number;\r\n    STENCIL_BACK_FAIL: number;\r\n    STENCIL_BACK_FUNC: number;\r\n    STENCIL_BACK_PASS_DEPTH_FAIL: number;\r\n    STENCIL_BACK_PASS_DEPTH_PASS: number;\r\n    STENCIL_BACK_REF: number;\r\n    STENCIL_BACK_VALUE_MASK: number;\r\n    STENCIL_BACK_WRITEMASK: number;\r\n    STENCIL_BITS: number;\r\n    STENCIL_BUFFER_BIT: number;\r\n    STENCIL_CLEAR_VALUE: number;\r\n    STENCIL_FAIL: number;\r\n    STENCIL_FUNC: number;\r\n    STENCIL_INDEX: number;\r\n    STENCIL_INDEX8: number;\r\n    STENCIL_PASS_DEPTH_FAIL: number;\r\n    STENCIL_PASS_DEPTH_PASS: number;\r\n    STENCIL_REF: number;\r\n    STENCIL_TEST: number;\r\n    STENCIL_VALUE_MASK: number;\r\n    STENCIL_WRITEMASK: number;\r\n    STREAM_DRAW: number;\r\n    SUBPIXEL_BITS: number;\r\n    TEXTURE: number;\r\n    TEXTURE0: number;\r\n    TEXTURE1: number;\r\n    TEXTURE10: number;\r\n    TEXTURE11: number;\r\n    TEXTURE12: number;\r\n    TEXTURE13: number;\r\n    TEXTURE14: number;\r\n    TEXTURE15: number;\r\n    TEXTURE16: number;\r\n    TEXTURE17: number;\r\n    TEXTURE18: number;\r\n    TEXTURE19: number;\r\n    TEXTURE2: number;\r\n    TEXTURE20: number;\r\n    TEXTURE21: number;\r\n    TEXTURE22: number;\r\n    TEXTURE23: number;\r\n    TEXTURE24: number;\r\n    TEXTURE25: number;\r\n    TEXTURE26: number;\r\n    TEXTURE27: number;\r\n    TEXTURE28: number;\r\n    TEXTURE29: number;\r\n    TEXTURE3: number;\r\n    TEXTURE30: number;\r\n    TEXTURE31: number;\r\n    TEXTURE4: number;\r\n    TEXTURE5: number;\r\n    TEXTURE6: number;\r\n    TEXTURE7: number;\r\n    TEXTURE8: number;\r\n    TEXTURE9: number;\r\n    TEXTURE_2D: number;\r\n    TEXTURE_BINDING_2D: number;\r\n    TEXTURE_BINDING_CUBE_MAP: number;\r\n    TEXTURE_CUBE_MAP: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_X: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_Y: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_Z: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_X: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_Y: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_Z: number;\r\n    TEXTURE_MAG_FILTER: number;\r\n    TEXTURE_MIN_FILTER: number;\r\n    TEXTURE_WRAP_S: number;\r\n    TEXTURE_WRAP_T: number;\r\n    TRIANGLES: number;\r\n    TRIANGLE_FAN: number;\r\n    TRIANGLE_STRIP: number;\r\n    UNPACK_ALIGNMENT: number;\r\n    UNPACK_COLORSPACE_CONVERSION_WEBGL: number;\r\n    UNPACK_FLIP_Y_WEBGL: number;\r\n    UNPACK_PREMULTIPLY_ALPHA_WEBGL: number;\r\n    UNSIGNED_BYTE: number;\r\n    UNSIGNED_INT: number;\r\n    UNSIGNED_SHORT: number;\r\n    UNSIGNED_SHORT_4_4_4_4: number;\r\n    UNSIGNED_SHORT_5_5_5_1: number;\r\n    UNSIGNED_SHORT_5_6_5: number;\r\n    VALIDATE_STATUS: number;\r\n    VENDOR: number;\r\n    VERSION: number;\r\n    VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: number;\r\n    VERTEX_ATTRIB_ARRAY_ENABLED: number;\r\n    VERTEX_ATTRIB_ARRAY_NORMALIZED: number;\r\n    VERTEX_ATTRIB_ARRAY_POINTER: number;\r\n    VERTEX_ATTRIB_ARRAY_SIZE: number;\r\n    VERTEX_ATTRIB_ARRAY_STRIDE: number;\r\n    VERTEX_ATTRIB_ARRAY_TYPE: number;\r\n    VERTEX_SHADER: number;\r\n    VIEWPORT: number;\r\n    ZERO: number;\r\n}\r\n\r\ndeclare var WebGLRenderingContext: {\r\n    prototype: WebGLRenderingContext;\r\n    new(): WebGLRenderingContext;\r\n    ACTIVE_ATTRIBUTES: number;\r\n    ACTIVE_TEXTURE: number;\r\n    ACTIVE_UNIFORMS: number;\r\n    ALIASED_LINE_WIDTH_RANGE: number;\r\n    ALIASED_POINT_SIZE_RANGE: number;\r\n    ALPHA: number;\r\n    ALPHA_BITS: number;\r\n    ALWAYS: number;\r\n    ARRAY_BUFFER: number;\r\n    ARRAY_BUFFER_BINDING: number;\r\n    ATTACHED_SHADERS: number;\r\n    BACK: number;\r\n    BLEND: number;\r\n    BLEND_COLOR: number;\r\n    BLEND_DST_ALPHA: number;\r\n    BLEND_DST_RGB: number;\r\n    BLEND_EQUATION: number;\r\n    BLEND_EQUATION_ALPHA: number;\r\n    BLEND_EQUATION_RGB: number;\r\n    BLEND_SRC_ALPHA: number;\r\n    BLEND_SRC_RGB: number;\r\n    BLUE_BITS: number;\r\n    BOOL: number;\r\n    BOOL_VEC2: number;\r\n    BOOL_VEC3: number;\r\n    BOOL_VEC4: number;\r\n    BROWSER_DEFAULT_WEBGL: number;\r\n    BUFFER_SIZE: number;\r\n    BUFFER_USAGE: number;\r\n    BYTE: number;\r\n    CCW: number;\r\n    CLAMP_TO_EDGE: number;\r\n    COLOR_ATTACHMENT0: number;\r\n    COLOR_BUFFER_BIT: number;\r\n    COLOR_CLEAR_VALUE: number;\r\n    COLOR_WRITEMASK: number;\r\n    COMPILE_STATUS: number;\r\n    COMPRESSED_TEXTURE_FORMATS: number;\r\n    CONSTANT_ALPHA: number;\r\n    CONSTANT_COLOR: number;\r\n    CONTEXT_LOST_WEBGL: number;\r\n    CULL_FACE: number;\r\n    CULL_FACE_MODE: number;\r\n    CURRENT_PROGRAM: number;\r\n    CURRENT_VERTEX_ATTRIB: number;\r\n    CW: number;\r\n    DECR: number;\r\n    DECR_WRAP: number;\r\n    DELETE_STATUS: number;\r\n    DEPTH_ATTACHMENT: number;\r\n    DEPTH_BITS: number;\r\n    DEPTH_BUFFER_BIT: number;\r\n    DEPTH_CLEAR_VALUE: number;\r\n    DEPTH_COMPONENT: number;\r\n    DEPTH_COMPONENT16: number;\r\n    DEPTH_FUNC: number;\r\n    DEPTH_RANGE: number;\r\n    DEPTH_STENCIL: number;\r\n    DEPTH_STENCIL_ATTACHMENT: number;\r\n    DEPTH_TEST: number;\r\n    DEPTH_WRITEMASK: number;\r\n    DITHER: number;\r\n    DONT_CARE: number;\r\n    DST_ALPHA: number;\r\n    DST_COLOR: number;\r\n    DYNAMIC_DRAW: number;\r\n    ELEMENT_ARRAY_BUFFER: number;\r\n    ELEMENT_ARRAY_BUFFER_BINDING: number;\r\n    EQUAL: number;\r\n    FASTEST: number;\r\n    FLOAT: number;\r\n    FLOAT_MAT2: number;\r\n    FLOAT_MAT3: number;\r\n    FLOAT_MAT4: number;\r\n    FLOAT_VEC2: number;\r\n    FLOAT_VEC3: number;\r\n    FLOAT_VEC4: number;\r\n    FRAGMENT_SHADER: number;\r\n    FRAMEBUFFER: number;\r\n    FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: number;\r\n    FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: number;\r\n    FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: number;\r\n    FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: number;\r\n    FRAMEBUFFER_BINDING: number;\r\n    FRAMEBUFFER_COMPLETE: number;\r\n    FRAMEBUFFER_INCOMPLETE_ATTACHMENT: number;\r\n    FRAMEBUFFER_INCOMPLETE_DIMENSIONS: number;\r\n    FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: number;\r\n    FRAMEBUFFER_UNSUPPORTED: number;\r\n    FRONT: number;\r\n    FRONT_AND_BACK: number;\r\n    FRONT_FACE: number;\r\n    FUNC_ADD: number;\r\n    FUNC_REVERSE_SUBTRACT: number;\r\n    FUNC_SUBTRACT: number;\r\n    GENERATE_MIPMAP_HINT: number;\r\n    GEQUAL: number;\r\n    GREATER: number;\r\n    GREEN_BITS: number;\r\n    HIGH_FLOAT: number;\r\n    HIGH_INT: number;\r\n    IMPLEMENTATION_COLOR_READ_FORMAT: number;\r\n    IMPLEMENTATION_COLOR_READ_TYPE: number;\r\n    INCR: number;\r\n    INCR_WRAP: number;\r\n    INT: number;\r\n    INT_VEC2: number;\r\n    INT_VEC3: number;\r\n    INT_VEC4: number;\r\n    INVALID_ENUM: number;\r\n    INVALID_FRAMEBUFFER_OPERATION: number;\r\n    INVALID_OPERATION: number;\r\n    INVALID_VALUE: number;\r\n    INVERT: number;\r\n    KEEP: number;\r\n    LEQUAL: number;\r\n    LESS: number;\r\n    LINEAR: number;\r\n    LINEAR_MIPMAP_LINEAR: number;\r\n    LINEAR_MIPMAP_NEAREST: number;\r\n    LINES: number;\r\n    LINE_LOOP: number;\r\n    LINE_STRIP: number;\r\n    LINE_WIDTH: number;\r\n    LINK_STATUS: number;\r\n    LOW_FLOAT: number;\r\n    LOW_INT: number;\r\n    LUMINANCE: number;\r\n    LUMINANCE_ALPHA: number;\r\n    MAX_COMBINED_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_CUBE_MAP_TEXTURE_SIZE: number;\r\n    MAX_FRAGMENT_UNIFORM_VECTORS: number;\r\n    MAX_RENDERBUFFER_SIZE: number;\r\n    MAX_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_TEXTURE_SIZE: number;\r\n    MAX_VARYING_VECTORS: number;\r\n    MAX_VERTEX_ATTRIBS: number;\r\n    MAX_VERTEX_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_VERTEX_UNIFORM_VECTORS: number;\r\n    MAX_VIEWPORT_DIMS: number;\r\n    MEDIUM_FLOAT: number;\r\n    MEDIUM_INT: number;\r\n    MIRRORED_REPEAT: number;\r\n    NEAREST: number;\r\n    NEAREST_MIPMAP_LINEAR: number;\r\n    NEAREST_MIPMAP_NEAREST: number;\r\n    NEVER: number;\r\n    NICEST: number;\r\n    NONE: number;\r\n    NOTEQUAL: number;\r\n    NO_ERROR: number;\r\n    ONE: number;\r\n    ONE_MINUS_CONSTANT_ALPHA: number;\r\n    ONE_MINUS_CONSTANT_COLOR: number;\r\n    ONE_MINUS_DST_ALPHA: number;\r\n    ONE_MINUS_DST_COLOR: number;\r\n    ONE_MINUS_SRC_ALPHA: number;\r\n    ONE_MINUS_SRC_COLOR: number;\r\n    OUT_OF_MEMORY: number;\r\n    PACK_ALIGNMENT: number;\r\n    POINTS: number;\r\n    POLYGON_OFFSET_FACTOR: number;\r\n    POLYGON_OFFSET_FILL: number;\r\n    POLYGON_OFFSET_UNITS: number;\r\n    RED_BITS: number;\r\n    RENDERBUFFER: number;\r\n    RENDERBUFFER_ALPHA_SIZE: number;\r\n    RENDERBUFFER_BINDING: number;\r\n    RENDERBUFFER_BLUE_SIZE: number;\r\n    RENDERBUFFER_DEPTH_SIZE: number;\r\n    RENDERBUFFER_GREEN_SIZE: number;\r\n    RENDERBUFFER_HEIGHT: number;\r\n    RENDERBUFFER_INTERNAL_FORMAT: number;\r\n    RENDERBUFFER_RED_SIZE: number;\r\n    RENDERBUFFER_STENCIL_SIZE: number;\r\n    RENDERBUFFER_WIDTH: number;\r\n    RENDERER: number;\r\n    REPEAT: number;\r\n    REPLACE: number;\r\n    RGB: number;\r\n    RGB565: number;\r\n    RGB5_A1: number;\r\n    RGBA: number;\r\n    RGBA4: number;\r\n    SAMPLER_2D: number;\r\n    SAMPLER_CUBE: number;\r\n    SAMPLES: number;\r\n    SAMPLE_ALPHA_TO_COVERAGE: number;\r\n    SAMPLE_BUFFERS: number;\r\n    SAMPLE_COVERAGE: number;\r\n    SAMPLE_COVERAGE_INVERT: number;\r\n    SAMPLE_COVERAGE_VALUE: number;\r\n    SCISSOR_BOX: number;\r\n    SCISSOR_TEST: number;\r\n    SHADER_TYPE: number;\r\n    SHADING_LANGUAGE_VERSION: number;\r\n    SHORT: number;\r\n    SRC_ALPHA: number;\r\n    SRC_ALPHA_SATURATE: number;\r\n    SRC_COLOR: number;\r\n    STATIC_DRAW: number;\r\n    STENCIL_ATTACHMENT: number;\r\n    STENCIL_BACK_FAIL: number;\r\n    STENCIL_BACK_FUNC: number;\r\n    STENCIL_BACK_PASS_DEPTH_FAIL: number;\r\n    STENCIL_BACK_PASS_DEPTH_PASS: number;\r\n    STENCIL_BACK_REF: number;\r\n    STENCIL_BACK_VALUE_MASK: number;\r\n    STENCIL_BACK_WRITEMASK: number;\r\n    STENCIL_BITS: number;\r\n    STENCIL_BUFFER_BIT: number;\r\n    STENCIL_CLEAR_VALUE: number;\r\n    STENCIL_FAIL: number;\r\n    STENCIL_FUNC: number;\r\n    STENCIL_INDEX: number;\r\n    STENCIL_INDEX8: number;\r\n    STENCIL_PASS_DEPTH_FAIL: number;\r\n    STENCIL_PASS_DEPTH_PASS: number;\r\n    STENCIL_REF: number;\r\n    STENCIL_TEST: number;\r\n    STENCIL_VALUE_MASK: number;\r\n    STENCIL_WRITEMASK: number;\r\n    STREAM_DRAW: number;\r\n    SUBPIXEL_BITS: number;\r\n    TEXTURE: number;\r\n    TEXTURE0: number;\r\n    TEXTURE1: number;\r\n    TEXTURE10: number;\r\n    TEXTURE11: number;\r\n    TEXTURE12: number;\r\n    TEXTURE13: number;\r\n    TEXTURE14: number;\r\n    TEXTURE15: number;\r\n    TEXTURE16: number;\r\n    TEXTURE17: number;\r\n    TEXTURE18: number;\r\n    TEXTURE19: number;\r\n    TEXTURE2: number;\r\n    TEXTURE20: number;\r\n    TEXTURE21: number;\r\n    TEXTURE22: number;\r\n    TEXTURE23: number;\r\n    TEXTURE24: number;\r\n    TEXTURE25: number;\r\n    TEXTURE26: number;\r\n    TEXTURE27: number;\r\n    TEXTURE28: number;\r\n    TEXTURE29: number;\r\n    TEXTURE3: number;\r\n    TEXTURE30: number;\r\n    TEXTURE31: number;\r\n    TEXTURE4: number;\r\n    TEXTURE5: number;\r\n    TEXTURE6: number;\r\n    TEXTURE7: number;\r\n    TEXTURE8: number;\r\n    TEXTURE9: number;\r\n    TEXTURE_2D: number;\r\n    TEXTURE_BINDING_2D: number;\r\n    TEXTURE_BINDING_CUBE_MAP: number;\r\n    TEXTURE_CUBE_MAP: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_X: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_Y: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_Z: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_X: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_Y: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_Z: number;\r\n    TEXTURE_MAG_FILTER: number;\r\n    TEXTURE_MIN_FILTER: number;\r\n    TEXTURE_WRAP_S: number;\r\n    TEXTURE_WRAP_T: number;\r\n    TRIANGLES: number;\r\n    TRIANGLE_FAN: number;\r\n    TRIANGLE_STRIP: number;\r\n    UNPACK_ALIGNMENT: number;\r\n    UNPACK_COLORSPACE_CONVERSION_WEBGL: number;\r\n    UNPACK_FLIP_Y_WEBGL: number;\r\n    UNPACK_PREMULTIPLY_ALPHA_WEBGL: number;\r\n    UNSIGNED_BYTE: number;\r\n    UNSIGNED_INT: number;\r\n    UNSIGNED_SHORT: number;\r\n    UNSIGNED_SHORT_4_4_4_4: number;\r\n    UNSIGNED_SHORT_5_5_5_1: number;\r\n    UNSIGNED_SHORT_5_6_5: number;\r\n    VALIDATE_STATUS: number;\r\n    VENDOR: number;\r\n    VERSION: number;\r\n    VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: number;\r\n    VERTEX_ATTRIB_ARRAY_ENABLED: number;\r\n    VERTEX_ATTRIB_ARRAY_NORMALIZED: number;\r\n    VERTEX_ATTRIB_ARRAY_POINTER: number;\r\n    VERTEX_ATTRIB_ARRAY_SIZE: number;\r\n    VERTEX_ATTRIB_ARRAY_STRIDE: number;\r\n    VERTEX_ATTRIB_ARRAY_TYPE: number;\r\n    VERTEX_SHADER: number;\r\n    VIEWPORT: number;\r\n    ZERO: number;\r\n}\r\n\r\ninterface WebGLShader extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLShader: {\r\n    prototype: WebGLShader;\r\n    new(): WebGLShader;\r\n}\r\n\r\ninterface WebGLShaderPrecisionFormat {\r\n    precision: number;\r\n    rangeMax: number;\r\n    rangeMin: number;\r\n}\r\n\r\ndeclare var WebGLShaderPrecisionFormat: {\r\n    prototype: WebGLShaderPrecisionFormat;\r\n    new(): WebGLShaderPrecisionFormat;\r\n}\r\n\r\ninterface WebGLTexture extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLTexture: {\r\n    prototype: WebGLTexture;\r\n    new(): WebGLTexture;\r\n}\r\n\r\ninterface WebGLUniformLocation {\r\n}\r\n\r\ndeclare var WebGLUniformLocation: {\r\n    prototype: WebGLUniformLocation;\r\n    new(): WebGLUniformLocation;\r\n}\r\n\r\ninterface WebKitCSSMatrix {\r\n    a: number;\r\n    b: number;\r\n    c: number;\r\n    d: number;\r\n    e: number;\r\n    f: number;\r\n    m11: number;\r\n    m12: number;\r\n    m13: number;\r\n    m14: number;\r\n    m21: number;\r\n    m22: number;\r\n    m23: number;\r\n    m24: number;\r\n    m31: number;\r\n    m32: number;\r\n    m33: number;\r\n    m34: number;\r\n    m41: number;\r\n    m42: number;\r\n    m43: number;\r\n    m44: number;\r\n    inverse(): WebKitCSSMatrix;\r\n    multiply(secondMatrix: WebKitCSSMatrix): WebKitCSSMatrix;\r\n    rotate(angleX: number, angleY?: number, angleZ?: number): WebKitCSSMatrix;\r\n    rotateAxisAngle(x: number, y: number, z: number, angle: number): WebKitCSSMatrix;\r\n    scale(scaleX: number, scaleY?: number, scaleZ?: number): WebKitCSSMatrix;\r\n    setMatrixValue(value: string): void;\r\n    skewX(angle: number): WebKitCSSMatrix;\r\n    skewY(angle: number): WebKitCSSMatrix;\r\n    toString(): string;\r\n    translate(x: number, y: number, z?: number): WebKitCSSMatrix;\r\n}\r\n\r\ndeclare var WebKitCSSMatrix: {\r\n    prototype: WebKitCSSMatrix;\r\n    new(text?: string): WebKitCSSMatrix;\r\n}\r\n\r\ninterface WebKitPoint {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var WebKitPoint: {\r\n    prototype: WebKitPoint;\r\n    new(x?: number, y?: number): WebKitPoint;\r\n}\r\n\r\ninterface WebSocket extends EventTarget {\r\n    binaryType: string;\r\n    bufferedAmount: number;\r\n    extensions: string;\r\n    onclose: (ev: CloseEvent) => any;\r\n    onerror: (ev: Event) => any;\r\n    onmessage: (ev: MessageEvent) => any;\r\n    onopen: (ev: Event) => any;\r\n    protocol: string;\r\n    readyState: number;\r\n    url: string;\r\n    close(code?: number, reason?: string): void;\r\n    send(data: any): void;\r\n    CLOSED: number;\r\n    CLOSING: number;\r\n    CONNECTING: number;\r\n    OPEN: number;\r\n    addEventListener(type: "close", listener: (ev: CloseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "open", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var WebSocket: {\r\n    prototype: WebSocket;\r\n    new(url: string, protocols?: string | string[]): WebSocket;\r\n    CLOSED: number;\r\n    CLOSING: number;\r\n    CONNECTING: number;\r\n    OPEN: number;\r\n}\r\n\r\ninterface WheelEvent extends MouseEvent {\r\n    deltaMode: number;\r\n    deltaX: number;\r\n    deltaY: number;\r\n    deltaZ: number;\r\n    getCurrentPoint(element: Element): void;\r\n    initWheelEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, buttonArg: number, relatedTargetArg: EventTarget, modifiersListArg: string, deltaXArg: number, deltaYArg: number, deltaZArg: number, deltaMode: number): void;\r\n    DOM_DELTA_LINE: number;\r\n    DOM_DELTA_PAGE: number;\r\n    DOM_DELTA_PIXEL: number;\r\n}\r\n\r\ndeclare var WheelEvent: {\r\n    prototype: WheelEvent;\r\n    new(typeArg: string, eventInitDict?: WheelEventInit): WheelEvent;\r\n    DOM_DELTA_LINE: number;\r\n    DOM_DELTA_PAGE: number;\r\n    DOM_DELTA_PIXEL: number;\r\n}\r\n\r\ninterface Window extends EventTarget, WindowTimers, WindowSessionStorage, WindowLocalStorage, WindowConsole, GlobalEventHandlers, IDBEnvironment, WindowBase64 {\r\n    animationStartTime: number;\r\n    applicationCache: ApplicationCache;\r\n    clientInformation: Navigator;\r\n    closed: boolean;\r\n    crypto: Crypto;\r\n    defaultStatus: string;\r\n    devicePixelRatio: number;\r\n    doNotTrack: string;\r\n    document: Document;\r\n    event: Event;\r\n    external: External;\r\n    frameElement: Element;\r\n    frames: Window;\r\n    history: History;\r\n    innerHeight: number;\r\n    innerWidth: number;\r\n    length: number;\r\n    location: Location;\r\n    locationbar: BarProp;\r\n    menubar: BarProp;\r\n    msAnimationStartTime: number;\r\n    name: string;\r\n    navigator: Navigator;\r\n    offscreenBuffering: string | boolean;\r\n    onabort: (ev: Event) => any;\r\n    onafterprint: (ev: Event) => any;\r\n    onbeforeprint: (ev: Event) => any;\r\n    onbeforeunload: (ev: BeforeUnloadEvent) => any;\r\n    onblur: (ev: FocusEvent) => any;\r\n    oncanplay: (ev: Event) => any;\r\n    oncanplaythrough: (ev: Event) => any;\r\n    onchange: (ev: Event) => any;\r\n    onclick: (ev: MouseEvent) => any;\r\n    oncompassneedscalibration: (ev: Event) => any;\r\n    oncontextmenu: (ev: PointerEvent) => any;\r\n    ondblclick: (ev: MouseEvent) => any;\r\n    ondevicemotion: (ev: DeviceMotionEvent) => any;\r\n    ondeviceorientation: (ev: DeviceOrientationEvent) => any;\r\n    ondrag: (ev: DragEvent) => any;\r\n    ondragend: (ev: DragEvent) => any;\r\n    ondragenter: (ev: DragEvent) => any;\r\n    ondragleave: (ev: DragEvent) => any;\r\n    ondragover: (ev: DragEvent) => any;\r\n    ondragstart: (ev: DragEvent) => any;\r\n    ondrop: (ev: DragEvent) => any;\r\n    ondurationchange: (ev: Event) => any;\r\n    onemptied: (ev: Event) => any;\r\n    onended: (ev: Event) => any;\r\n    onerror: ErrorEventHandler;\r\n    onfocus: (ev: FocusEvent) => any;\r\n    onhashchange: (ev: HashChangeEvent) => any;\r\n    oninput: (ev: Event) => any;\r\n    onkeydown: (ev: KeyboardEvent) => any;\r\n    onkeypress: (ev: KeyboardEvent) => any;\r\n    onkeyup: (ev: KeyboardEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onloadeddata: (ev: Event) => any;\r\n    onloadedmetadata: (ev: Event) => any;\r\n    onloadstart: (ev: Event) => any;\r\n    onmessage: (ev: MessageEvent) => any;\r\n    onmousedown: (ev: MouseEvent) => any;\r\n    onmouseenter: (ev: MouseEvent) => any;\r\n    onmouseleave: (ev: MouseEvent) => any;\r\n    onmousemove: (ev: MouseEvent) => any;\r\n    onmouseout: (ev: MouseEvent) => any;\r\n    onmouseover: (ev: MouseEvent) => any;\r\n    onmouseup: (ev: MouseEvent) => any;\r\n    onmousewheel: (ev: MouseWheelEvent) => any;\r\n    onmsgesturechange: (ev: MSGestureEvent) => any;\r\n    onmsgesturedoubletap: (ev: MSGestureEvent) => any;\r\n    onmsgestureend: (ev: MSGestureEvent) => any;\r\n    onmsgesturehold: (ev: MSGestureEvent) => any;\r\n    onmsgesturestart: (ev: MSGestureEvent) => any;\r\n    onmsgesturetap: (ev: MSGestureEvent) => any;\r\n    onmsinertiastart: (ev: MSGestureEvent) => any;\r\n    onmspointercancel: (ev: MSPointerEvent) => any;\r\n    onmspointerdown: (ev: MSPointerEvent) => any;\r\n    onmspointerenter: (ev: MSPointerEvent) => any;\r\n    onmspointerleave: (ev: MSPointerEvent) => any;\r\n    onmspointermove: (ev: MSPointerEvent) => any;\r\n    onmspointerout: (ev: MSPointerEvent) => any;\r\n    onmspointerover: (ev: MSPointerEvent) => any;\r\n    onmspointerup: (ev: MSPointerEvent) => any;\r\n    onoffline: (ev: Event) => any;\r\n    ononline: (ev: Event) => any;\r\n    onorientationchange: (ev: Event) => any;\r\n    onpagehide: (ev: PageTransitionEvent) => any;\r\n    onpageshow: (ev: PageTransitionEvent) => any;\r\n    onpause: (ev: Event) => any;\r\n    onplay: (ev: Event) => any;\r\n    onplaying: (ev: Event) => any;\r\n    onpopstate: (ev: PopStateEvent) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    onratechange: (ev: Event) => any;\r\n    onreadystatechange: (ev: ProgressEvent) => any;\r\n    onreset: (ev: Event) => any;\r\n    onresize: (ev: UIEvent) => any;\r\n    onscroll: (ev: UIEvent) => any;\r\n    onseeked: (ev: Event) => any;\r\n    onseeking: (ev: Event) => any;\r\n    onselect: (ev: UIEvent) => any;\r\n    onstalled: (ev: Event) => any;\r\n    onstorage: (ev: StorageEvent) => any;\r\n    onsubmit: (ev: Event) => any;\r\n    onsuspend: (ev: Event) => any;\r\n    ontimeupdate: (ev: Event) => any;\r\n    ontouchcancel: any;\r\n    ontouchend: any;\r\n    ontouchmove: any;\r\n    ontouchstart: any;\r\n    onunload: (ev: Event) => any;\r\n    onvolumechange: (ev: Event) => any;\r\n    onwaiting: (ev: Event) => any;\r\n    opener: Window;\r\n    orientation: string | number;\r\n    outerHeight: number;\r\n    outerWidth: number;\r\n    pageXOffset: number;\r\n    pageYOffset: number;\r\n    parent: Window;\r\n    performance: Performance;\r\n    personalbar: BarProp;\r\n    screen: Screen;\r\n    screenLeft: number;\r\n    screenTop: number;\r\n    screenX: number;\r\n    screenY: number;\r\n    scrollX: number;\r\n    scrollY: number;\r\n    scrollbars: BarProp;\r\n    self: Window;\r\n    status: string;\r\n    statusbar: BarProp;\r\n    styleMedia: StyleMedia;\r\n    toolbar: BarProp;\r\n    top: Window;\r\n    window: Window;\r\n    URL: URL;\r\n    alert(message?: any): void;\r\n    blur(): void;\r\n    cancelAnimationFrame(handle: number): void;\r\n    captureEvents(): void;\r\n    close(): void;\r\n    confirm(message?: string): boolean;\r\n    focus(): void;\r\n    getComputedStyle(elt: Element, pseudoElt?: string): CSSStyleDeclaration;\r\n    getMatchedCSSRules(elt: Element, pseudoElt?: string): CSSRuleList;\r\n    getSelection(): Selection;\r\n    matchMedia(mediaQuery: string): MediaQueryList;\r\n    moveBy(x?: number, y?: number): void;\r\n    moveTo(x?: number, y?: number): void;\r\n    msCancelRequestAnimationFrame(handle: number): void;\r\n    msMatchMedia(mediaQuery: string): MediaQueryList;\r\n    msRequestAnimationFrame(callback: FrameRequestCallback): number;\r\n    msWriteProfilerMark(profilerMarkName: string): void;\r\n    open(url?: string, target?: string, features?: string, replace?: boolean): Window;\r\n    postMessage(message: any, targetOrigin: string, ports?: any): void;\r\n    print(): void;\r\n    prompt(message?: string, _default?: string): string;\r\n    releaseEvents(): void;\r\n    requestAnimationFrame(callback: FrameRequestCallback): number;\r\n    resizeBy(x?: number, y?: number): void;\r\n    resizeTo(x?: number, y?: number): void;\r\n    scroll(x?: number, y?: number): void;\r\n    scrollBy(x?: number, y?: number): void;\r\n    scrollTo(x?: number, y?: number): void;\r\n    webkitConvertPointFromNodeToPage(node: Node, pt: WebKitPoint): WebKitPoint;\r\n    webkitConvertPointFromPageToNode(node: Node, pt: WebKitPoint): WebKitPoint;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "afterprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeunload", listener: (ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "compassneedscalibration", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "devicemotion", listener: (ev: DeviceMotionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deviceorientation", listener: (ev: DeviceOrientationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "hashchange", listener: (ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "offline", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "online", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "orientationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pagehide", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pageshow", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "popstate", listener: (ev: PopStateEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "readystatechange", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "storage", listener: (ev: StorageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "unload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: Window;\r\n}\r\n\r\ndeclare var Window: {\r\n    prototype: Window;\r\n    new(): Window;\r\n}\r\n\r\ninterface Worker extends EventTarget, AbstractWorker {\r\n    onmessage: (ev: MessageEvent) => any;\r\n    postMessage(message: any, ports?: any): void;\r\n    terminate(): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Worker: {\r\n    prototype: Worker;\r\n    new(stringUrl: string): Worker;\r\n}\r\n\r\ninterface XMLDocument extends Document {\r\n}\r\n\r\ndeclare var XMLDocument: {\r\n    prototype: XMLDocument;\r\n    new(): XMLDocument;\r\n}\r\n\r\ninterface XMLHttpRequest extends EventTarget, XMLHttpRequestEventTarget {\r\n    msCaching: string;\r\n    onreadystatechange: (ev: ProgressEvent) => any;\r\n    readyState: number;\r\n    response: any;\r\n    responseBody: any;\r\n    responseText: string;\r\n    responseType: string;\r\n    responseXML: any;\r\n    status: number;\r\n    statusText: string;\r\n    timeout: number;\r\n    upload: XMLHttpRequestUpload;\r\n    withCredentials: boolean;\r\n    abort(): void;\r\n    getAllResponseHeaders(): string;\r\n    getResponseHeader(header: string): string;\r\n    msCachingEnabled(): boolean;\r\n    open(method: string, url: string, async?: boolean, user?: string, password?: string): void;\r\n    overrideMimeType(mime: string): void;\r\n    send(data?: Document): void;\r\n    send(data?: string): void;\r\n    send(data?: any): void;\r\n    setRequestHeader(header: string, value: string): void;\r\n    DONE: number;\r\n    HEADERS_RECEIVED: number;\r\n    LOADING: number;\r\n    OPENED: number;\r\n    UNSENT: number;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadend", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "readystatechange", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeout", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var XMLHttpRequest: {\r\n    prototype: XMLHttpRequest;\r\n    new(): XMLHttpRequest;\r\n    DONE: number;\r\n    HEADERS_RECEIVED: number;\r\n    LOADING: number;\r\n    OPENED: number;\r\n    UNSENT: number;\r\n    create(): XMLHttpRequest;\r\n}\r\n\r\ninterface XMLHttpRequestUpload extends EventTarget, XMLHttpRequestEventTarget {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var XMLHttpRequestUpload: {\r\n    prototype: XMLHttpRequestUpload;\r\n    new(): XMLHttpRequestUpload;\r\n}\r\n\r\ninterface XMLSerializer {\r\n    serializeToString(target: Node): string;\r\n}\r\n\r\ndeclare var XMLSerializer: {\r\n    prototype: XMLSerializer;\r\n    new(): XMLSerializer;\r\n}\r\n\r\ninterface XPathEvaluator {\r\n    createExpression(expression: string, resolver: XPathNSResolver): XPathExpression;\r\n    createNSResolver(nodeResolver?: Node): XPathNSResolver;\r\n    evaluate(expression: string, contextNode: Node, resolver: XPathNSResolver, type: number, result: XPathResult): XPathResult;\r\n}\r\n\r\ndeclare var XPathEvaluator: {\r\n    prototype: XPathEvaluator;\r\n    new(): XPathEvaluator;\r\n}\r\n\r\ninterface XPathExpression {\r\n    evaluate(contextNode: Node, type: number, result: XPathResult): XPathExpression;\r\n}\r\n\r\ndeclare var XPathExpression: {\r\n    prototype: XPathExpression;\r\n    new(): XPathExpression;\r\n}\r\n\r\ninterface XPathNSResolver {\r\n    lookupNamespaceURI(prefix: string): string;\r\n}\r\n\r\ndeclare var XPathNSResolver: {\r\n    prototype: XPathNSResolver;\r\n    new(): XPathNSResolver;\r\n}\r\n\r\ninterface XPathResult {\r\n    booleanValue: boolean;\r\n    invalidIteratorState: boolean;\r\n    numberValue: number;\r\n    resultType: number;\r\n    singleNodeValue: Node;\r\n    snapshotLength: number;\r\n    stringValue: string;\r\n    iterateNext(): Node;\r\n    snapshotItem(index: number): Node;\r\n    ANY_TYPE: number;\r\n    ANY_UNORDERED_NODE_TYPE: number;\r\n    BOOLEAN_TYPE: number;\r\n    FIRST_ORDERED_NODE_TYPE: number;\r\n    NUMBER_TYPE: number;\r\n    ORDERED_NODE_ITERATOR_TYPE: number;\r\n    ORDERED_NODE_SNAPSHOT_TYPE: number;\r\n    STRING_TYPE: number;\r\n    UNORDERED_NODE_ITERATOR_TYPE: number;\r\n    UNORDERED_NODE_SNAPSHOT_TYPE: number;\r\n}\r\n\r\ndeclare var XPathResult: {\r\n    prototype: XPathResult;\r\n    new(): XPathResult;\r\n    ANY_TYPE: number;\r\n    ANY_UNORDERED_NODE_TYPE: number;\r\n    BOOLEAN_TYPE: number;\r\n    FIRST_ORDERED_NODE_TYPE: number;\r\n    NUMBER_TYPE: number;\r\n    ORDERED_NODE_ITERATOR_TYPE: number;\r\n    ORDERED_NODE_SNAPSHOT_TYPE: number;\r\n    STRING_TYPE: number;\r\n    UNORDERED_NODE_ITERATOR_TYPE: number;\r\n    UNORDERED_NODE_SNAPSHOT_TYPE: number;\r\n}\r\n\r\ninterface XSLTProcessor {\r\n    clearParameters(): void;\r\n    getParameter(namespaceURI: string, localName: string): any;\r\n    importStylesheet(style: Node): void;\r\n    removeParameter(namespaceURI: string, localName: string): void;\r\n    reset(): void;\r\n    setParameter(namespaceURI: string, localName: string, value: any): void;\r\n    transformToDocument(source: Node): Document;\r\n    transformToFragment(source: Node, document: Document): DocumentFragment;\r\n}\r\n\r\ndeclare var XSLTProcessor: {\r\n    prototype: XSLTProcessor;\r\n    new(): XSLTProcessor;\r\n}\r\n\r\ninterface AbstractWorker {\r\n    onerror: (ev: Event) => any;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface ChildNode {\r\n    remove(): void;\r\n}\r\n\r\ninterface DOML2DeprecatedColorProperty {\r\n    color: string;\r\n}\r\n\r\ninterface DOML2DeprecatedSizeProperty {\r\n    size: number;\r\n}\r\n\r\ninterface DocumentEvent {\r\n    createEvent(eventInterface:"AnimationEvent"): AnimationEvent;\r\n    createEvent(eventInterface:"AriaRequestEvent"): AriaRequestEvent;\r\n    createEvent(eventInterface:"AudioProcessingEvent"): AudioProcessingEvent;\r\n    createEvent(eventInterface:"BeforeUnloadEvent"): BeforeUnloadEvent;\r\n    createEvent(eventInterface:"ClipboardEvent"): ClipboardEvent;\r\n    createEvent(eventInterface:"CloseEvent"): CloseEvent;\r\n    createEvent(eventInterface:"CommandEvent"): CommandEvent;\r\n    createEvent(eventInterface:"CompositionEvent"): CompositionEvent;\r\n    createEvent(eventInterface:"CustomEvent"): CustomEvent;\r\n    createEvent(eventInterface:"DeviceMotionEvent"): DeviceMotionEvent;\r\n    createEvent(eventInterface:"DeviceOrientationEvent"): DeviceOrientationEvent;\r\n    createEvent(eventInterface:"DragEvent"): DragEvent;\r\n    createEvent(eventInterface:"ErrorEvent"): ErrorEvent;\r\n    createEvent(eventInterface:"Event"): Event;\r\n    createEvent(eventInterface:"Events"): Event;\r\n    createEvent(eventInterface:"FocusEvent"): FocusEvent;\r\n    createEvent(eventInterface:"GamepadEvent"): GamepadEvent;\r\n    createEvent(eventInterface:"HashChangeEvent"): HashChangeEvent;\r\n    createEvent(eventInterface:"IDBVersionChangeEvent"): IDBVersionChangeEvent;\r\n    createEvent(eventInterface:"KeyboardEvent"): KeyboardEvent;\r\n    createEvent(eventInterface:"LongRunningScriptDetectedEvent"): LongRunningScriptDetectedEvent;\r\n    createEvent(eventInterface:"MSGestureEvent"): MSGestureEvent;\r\n    createEvent(eventInterface:"MSManipulationEvent"): MSManipulationEvent;\r\n    createEvent(eventInterface:"MSMediaKeyMessageEvent"): MSMediaKeyMessageEvent;\r\n    createEvent(eventInterface:"MSMediaKeyNeededEvent"): MSMediaKeyNeededEvent;\r\n    createEvent(eventInterface:"MSPointerEvent"): MSPointerEvent;\r\n    createEvent(eventInterface:"MSSiteModeEvent"): MSSiteModeEvent;\r\n    createEvent(eventInterface:"MessageEvent"): MessageEvent;\r\n    createEvent(eventInterface:"MouseEvent"): MouseEvent;\r\n    createEvent(eventInterface:"MouseEvents"): MouseEvent;\r\n    createEvent(eventInterface:"MouseWheelEvent"): MouseWheelEvent;\r\n    createEvent(eventInterface:"MutationEvent"): MutationEvent;\r\n    createEvent(eventInterface:"MutationEvents"): MutationEvent;\r\n    createEvent(eventInterface:"NavigationCompletedEvent"): NavigationCompletedEvent;\r\n    createEvent(eventInterface:"NavigationEvent"): NavigationEvent;\r\n    createEvent(eventInterface:"NavigationEventWithReferrer"): NavigationEventWithReferrer;\r\n    createEvent(eventInterface:"OfflineAudioCompletionEvent"): OfflineAudioCompletionEvent;\r\n    createEvent(eventInterface:"PageTransitionEvent"): PageTransitionEvent;\r\n    createEvent(eventInterface:"PermissionRequestedEvent"): PermissionRequestedEvent;\r\n    createEvent(eventInterface:"PointerEvent"): PointerEvent;\r\n    createEvent(eventInterface:"PopStateEvent"): PopStateEvent;\r\n    createEvent(eventInterface:"ProgressEvent"): ProgressEvent;\r\n    createEvent(eventInterface:"SVGZoomEvent"): SVGZoomEvent;\r\n    createEvent(eventInterface:"SVGZoomEvents"): SVGZoomEvent;\r\n    createEvent(eventInterface:"ScriptNotifyEvent"): ScriptNotifyEvent;\r\n    createEvent(eventInterface:"StorageEvent"): StorageEvent;\r\n    createEvent(eventInterface:"TextEvent"): TextEvent;\r\n    createEvent(eventInterface:"TouchEvent"): TouchEvent;\r\n    createEvent(eventInterface:"TrackEvent"): TrackEvent;\r\n    createEvent(eventInterface:"TransitionEvent"): TransitionEvent;\r\n    createEvent(eventInterface:"UIEvent"): UIEvent;\r\n    createEvent(eventInterface:"UIEvents"): UIEvent;\r\n    createEvent(eventInterface:"UnviewableContentIdentifiedEvent"): UnviewableContentIdentifiedEvent;\r\n    createEvent(eventInterface:"WebGLContextEvent"): WebGLContextEvent;\r\n    createEvent(eventInterface:"WheelEvent"): WheelEvent;\r\n    createEvent(eventInterface: string): Event;\r\n}\r\n\r\ninterface ElementTraversal {\r\n    childElementCount: number;\r\n    firstElementChild: Element;\r\n    lastElementChild: Element;\r\n    nextElementSibling: Element;\r\n    previousElementSibling: Element;\r\n}\r\n\r\ninterface GetSVGDocument {\r\n    getSVGDocument(): Document;\r\n}\r\n\r\ninterface GlobalEventHandlers {\r\n    onpointercancel: (ev: PointerEvent) => any;\r\n    onpointerdown: (ev: PointerEvent) => any;\r\n    onpointerenter: (ev: PointerEvent) => any;\r\n    onpointerleave: (ev: PointerEvent) => any;\r\n    onpointermove: (ev: PointerEvent) => any;\r\n    onpointerout: (ev: PointerEvent) => any;\r\n    onpointerover: (ev: PointerEvent) => any;\r\n    onpointerup: (ev: PointerEvent) => any;\r\n    onwheel: (ev: WheelEvent) => any;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own ch functionality for the object.\r\n      */\r\n    ch: string;\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own chOff functionality for the object.\r\n      */\r\n    chOff: string;\r\n    /**\r\n      * Sets or retrieves how text and other content are vertically aligned within the object that contains them.\r\n      */\r\n    vAlign: string;\r\n}\r\n\r\ninterface IDBEnvironment {\r\n    indexedDB: IDBFactory;\r\n    msIndexedDB: IDBFactory;\r\n}\r\n\r\ninterface LinkStyle {\r\n    sheet: StyleSheet;\r\n}\r\n\r\ninterface MSBaseReader {\r\n    onabort: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onload: (ev: Event) => any;\r\n    onloadend: (ev: ProgressEvent) => any;\r\n    onloadstart: (ev: Event) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    readyState: number;\r\n    result: any;\r\n    abort(): void;\r\n    DONE: number;\r\n    EMPTY: number;\r\n    LOADING: number;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadend", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface MSFileSaver {\r\n    msSaveBlob(blob: any, defaultName?: string): boolean;\r\n    msSaveOrOpenBlob(blob: any, defaultName?: string): boolean;\r\n}\r\n\r\ninterface MSNavigatorDoNotTrack {\r\n    confirmSiteSpecificTrackingException(args: ConfirmSiteSpecificExceptionsInformation): boolean;\r\n    confirmWebWideTrackingException(args: ExceptionInformation): boolean;\r\n    removeSiteSpecificTrackingException(args: ExceptionInformation): void;\r\n    removeWebWideTrackingException(args: ExceptionInformation): void;\r\n    storeSiteSpecificTrackingException(args: StoreSiteSpecificExceptionsInformation): void;\r\n    storeWebWideTrackingException(args: StoreExceptionsInformation): void;\r\n}\r\n\r\ninterface NavigatorContentUtils {\r\n}\r\n\r\ninterface NavigatorGeolocation {\r\n    geolocation: Geolocation;\r\n}\r\n\r\ninterface NavigatorID {\r\n    appName: string;\r\n    appVersion: string;\r\n    platform: string;\r\n    product: string;\r\n    productSub: string;\r\n    userAgent: string;\r\n    vendor: string;\r\n    vendorSub: string;\r\n}\r\n\r\ninterface NavigatorOnLine {\r\n    onLine: boolean;\r\n}\r\n\r\ninterface NavigatorStorageUtils {\r\n}\r\n\r\ninterface NodeSelector {\r\n    querySelector(selectors: string): Element;\r\n    querySelectorAll(selectors: string): NodeListOf<Element>;\r\n}\r\n\r\ninterface RandomSource {\r\n    getRandomValues(array: ArrayBufferView): ArrayBufferView;\r\n}\r\n\r\ninterface SVGAnimatedPathData {\r\n    pathSegList: SVGPathSegList;\r\n}\r\n\r\ninterface SVGAnimatedPoints {\r\n    animatedPoints: SVGPointList;\r\n    points: SVGPointList;\r\n}\r\n\r\ninterface SVGExternalResourcesRequired {\r\n    externalResourcesRequired: SVGAnimatedBoolean;\r\n}\r\n\r\ninterface SVGFilterPrimitiveStandardAttributes extends SVGStylable {\r\n    height: SVGAnimatedLength;\r\n    result: SVGAnimatedString;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n}\r\n\r\ninterface SVGFitToViewBox {\r\n    preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\r\n    viewBox: SVGAnimatedRect;\r\n}\r\n\r\ninterface SVGLangSpace {\r\n    xmllang: string;\r\n    xmlspace: string;\r\n}\r\n\r\ninterface SVGLocatable {\r\n    farthestViewportElement: SVGElement;\r\n    nearestViewportElement: SVGElement;\r\n    getBBox(): SVGRect;\r\n    getCTM(): SVGMatrix;\r\n    getScreenCTM(): SVGMatrix;\r\n    getTransformToElement(element: SVGElement): SVGMatrix;\r\n}\r\n\r\ninterface SVGStylable {\r\n    className: any;\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ninterface SVGTests {\r\n    requiredExtensions: SVGStringList;\r\n    requiredFeatures: SVGStringList;\r\n    systemLanguage: SVGStringList;\r\n    hasExtension(extension: string): boolean;\r\n}\r\n\r\ninterface SVGTransformable extends SVGLocatable {\r\n    transform: SVGAnimatedTransformList;\r\n}\r\n\r\ninterface SVGURIReference {\r\n    href: SVGAnimatedString;\r\n}\r\n\r\ninterface WindowBase64 {\r\n    atob(encodedString: string): string;\r\n    btoa(rawString: string): string;\r\n}\r\n\r\ninterface WindowConsole {\r\n    console: Console;\r\n}\r\n\r\ninterface WindowLocalStorage {\r\n    localStorage: Storage;\r\n}\r\n\r\ninterface WindowSessionStorage {\r\n    sessionStorage: Storage;\r\n}\r\n\r\ninterface WindowTimers extends Object, WindowTimersExtension {\r\n    clearInterval(handle: number): void;\r\n    clearTimeout(handle: number): void;\r\n    setInterval(handler: any, timeout?: any, ...args: any[]): number;\r\n    setTimeout(handler: any, timeout?: any, ...args: any[]): number;\r\n}\r\n\r\ninterface WindowTimersExtension {\r\n    clearImmediate(handle: number): void;\r\n    msClearImmediate(handle: number): void;\r\n    msSetImmediate(expression: any, ...args: any[]): number;\r\n    setImmediate(expression: any, ...args: any[]): number;\r\n}\r\n\r\ninterface XMLHttpRequestEventTarget {\r\n    onabort: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onload: (ev: Event) => any;\r\n    onloadend: (ev: ProgressEvent) => any;\r\n    onloadstart: (ev: Event) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    ontimeout: (ev: ProgressEvent) => any;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadend", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeout", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface StorageEventInit extends EventInit {\r\n    key?: string;\r\n    oldValue?: string;\r\n    newValue?: string;\r\n    url: string;\r\n    storageArea?: Storage;\r\n}\r\n\r\ninterface IDBObjectStoreParameters {\r\n    keyPath?: string | string[];\r\n    autoIncrement?: boolean;\r\n}\r\n\r\ninterface IDBIndexParameters {\r\n    unique?: boolean;\r\n    multiEntry?: boolean;\r\n}\r\n\r\ninterface NodeListOf<TNode extends Node> extends NodeList {\r\n    length: number;\r\n    item(index: number): TNode;\r\n    [index: number]: TNode;\r\n}\r\n\r\ninterface BlobPropertyBag {\r\n    type?: string;\r\n    endings?: string;\r\n}\r\n\r\ninterface FilePropertyBag {\r\n    type?: string;\r\n    lastModified?: number;\r\n}\r\n\r\ninterface EventListenerObject {\r\n    handleEvent(evt: Event): void;\r\n}\r\n\r\ninterface MessageEventInit extends EventInit {\r\n    data?: any;\r\n    origin?: string;\r\n    lastEventId?: string;\r\n    channel?: string;\r\n    source?: any;\r\n    ports?: MessagePort[];\r\n}\r\n\r\ninterface ProgressEventInit extends EventInit {\r\n    lengthComputable?: boolean;\r\n    loaded?: number;\r\n    total?: number;\r\n}\r\n\r\ninterface HTMLTemplateElement extends HTMLElement {\r\n    content: DocumentFragment;\r\n}\r\n\r\ndeclare var HTMLTemplateElement: {\r\n    prototype: HTMLTemplateElement;\r\n    new(): HTMLTemplateElement;\r\n}\r\n\r\ninterface HTMLPictureElement extends HTMLElement {\r\n}\r\n\r\ndeclare var HTMLPictureElement: {\r\n    prototype: HTMLPictureElement;\r\n    new(): HTMLPictureElement;\r\n}\r\n\r\ndeclare type EventListenerOrEventListenerObject = EventListener | EventListenerObject;\r\n\r\ninterface ErrorEventHandler {\r\n    (message: string, filename?: string, lineno?: number, colno?: number, error?:Error): void;\r\n}\r\ninterface PositionCallback {\r\n    (position: Position): void;\r\n}\r\ninterface PositionErrorCallback {\r\n    (error: PositionError): void;\r\n}\r\ninterface MediaQueryListListener {\r\n    (mql: MediaQueryList): void;\r\n}\r\ninterface MSLaunchUriCallback {\r\n    (): void;\r\n}\r\ninterface FrameRequestCallback {\r\n    (time: number): void;\r\n}\r\ninterface MSUnsafeFunctionCallback {\r\n    (): any;\r\n}\r\ninterface MSExecAtPriorityFunctionCallback {\r\n    (...args: any[]): any;\r\n}\r\ninterface MutationCallback {\r\n    (mutations: MutationRecord[], observer: MutationObserver): void;\r\n}\r\ninterface DecodeSuccessCallback {\r\n    (decodedData: AudioBuffer): void;\r\n}\r\ninterface DecodeErrorCallback {\r\n    (): void;\r\n}\r\ninterface FunctionStringCallback {\r\n    (data: string): void;\r\n}\r\ndeclare var Audio: {new(src?: string): HTMLAudioElement; };\r\ndeclare var Image: {new(width?: number, height?: number): HTMLImageElement; };\r\ndeclare var Option: {new(text?: string, value?: string, defaultSelected?: boolean, selected?: boolean): HTMLOptionElement; };\r\ndeclare var animationStartTime: number;\r\ndeclare var applicationCache: ApplicationCache;\r\ndeclare var clientInformation: Navigator;\r\ndeclare var closed: boolean;\r\ndeclare var crypto: Crypto;\r\ndeclare var defaultStatus: string;\r\ndeclare var devicePixelRatio: number;\r\ndeclare var doNotTrack: string;\r\ndeclare var document: Document;\r\ndeclare var event: Event;\r\ndeclare var external: External;\r\ndeclare var frameElement: Element;\r\ndeclare var frames: Window;\r\ndeclare var history: History;\r\ndeclare var innerHeight: number;\r\ndeclare var innerWidth: number;\r\ndeclare var length: number;\r\ndeclare var location: Location;\r\ndeclare var locationbar: BarProp;\r\ndeclare var menubar: BarProp;\r\ndeclare var msAnimationStartTime: number;\r\ndeclare var name: string;\r\ndeclare var navigator: Navigator;\r\ndeclare var offscreenBuffering: string | boolean;\r\ndeclare var onabort: (ev: Event) => any;\r\ndeclare var onafterprint: (ev: Event) => any;\r\ndeclare var onbeforeprint: (ev: Event) => any;\r\ndeclare var onbeforeunload: (ev: BeforeUnloadEvent) => any;\r\ndeclare var onblur: (ev: FocusEvent) => any;\r\ndeclare var oncanplay: (ev: Event) => any;\r\ndeclare var oncanplaythrough: (ev: Event) => any;\r\ndeclare var onchange: (ev: Event) => any;\r\ndeclare var onclick: (ev: MouseEvent) => any;\r\ndeclare var oncompassneedscalibration: (ev: Event) => any;\r\ndeclare var oncontextmenu: (ev: PointerEvent) => any;\r\ndeclare var ondblclick: (ev: MouseEvent) => any;\r\ndeclare var ondevicemotion: (ev: DeviceMotionEvent) => any;\r\ndeclare var ondeviceorientation: (ev: DeviceOrientationEvent) => any;\r\ndeclare var ondrag: (ev: DragEvent) => any;\r\ndeclare var ondragend: (ev: DragEvent) => any;\r\ndeclare var ondragenter: (ev: DragEvent) => any;\r\ndeclare var ondragleave: (ev: DragEvent) => any;\r\ndeclare var ondragover: (ev: DragEvent) => any;\r\ndeclare var ondragstart: (ev: DragEvent) => any;\r\ndeclare var ondrop: (ev: DragEvent) => any;\r\ndeclare var ondurationchange: (ev: Event) => any;\r\ndeclare var onemptied: (ev: Event) => any;\r\ndeclare var onended: (ev: Event) => any;\r\ndeclare var onerror: ErrorEventHandler;\r\ndeclare var onfocus: (ev: FocusEvent) => any;\r\ndeclare var onhashchange: (ev: HashChangeEvent) => any;\r\ndeclare var oninput: (ev: Event) => any;\r\ndeclare var onkeydown: (ev: KeyboardEvent) => any;\r\ndeclare var onkeypress: (ev: KeyboardEvent) => any;\r\ndeclare var onkeyup: (ev: KeyboardEvent) => any;\r\ndeclare var onload: (ev: Event) => any;\r\ndeclare var onloadeddata: (ev: Event) => any;\r\ndeclare var onloadedmetadata: (ev: Event) => any;\r\ndeclare var onloadstart: (ev: Event) => any;\r\ndeclare var onmessage: (ev: MessageEvent) => any;\r\ndeclare var onmousedown: (ev: MouseEvent) => any;\r\ndeclare var onmouseenter: (ev: MouseEvent) => any;\r\ndeclare var onmouseleave: (ev: MouseEvent) => any;\r\ndeclare var onmousemove: (ev: MouseEvent) => any;\r\ndeclare var onmouseout: (ev: MouseEvent) => any;\r\ndeclare var onmouseover: (ev: MouseEvent) => any;\r\ndeclare var onmouseup: (ev: MouseEvent) => any;\r\ndeclare var onmousewheel: (ev: MouseWheelEvent) => any;\r\ndeclare var onmsgesturechange: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturedoubletap: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgestureend: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturehold: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturestart: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturetap: (ev: MSGestureEvent) => any;\r\ndeclare var onmsinertiastart: (ev: MSGestureEvent) => any;\r\ndeclare var onmspointercancel: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerdown: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerenter: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerleave: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointermove: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerout: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerover: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerup: (ev: MSPointerEvent) => any;\r\ndeclare var onoffline: (ev: Event) => any;\r\ndeclare var ononline: (ev: Event) => any;\r\ndeclare var onorientationchange: (ev: Event) => any;\r\ndeclare var onpagehide: (ev: PageTransitionEvent) => any;\r\ndeclare var onpageshow: (ev: PageTransitionEvent) => any;\r\ndeclare var onpause: (ev: Event) => any;\r\ndeclare var onplay: (ev: Event) => any;\r\ndeclare var onplaying: (ev: Event) => any;\r\ndeclare var onpopstate: (ev: PopStateEvent) => any;\r\ndeclare var onprogress: (ev: ProgressEvent) => any;\r\ndeclare var onratechange: (ev: Event) => any;\r\ndeclare var onreadystatechange: (ev: ProgressEvent) => any;\r\ndeclare var onreset: (ev: Event) => any;\r\ndeclare var onresize: (ev: UIEvent) => any;\r\ndeclare var onscroll: (ev: UIEvent) => any;\r\ndeclare var onseeked: (ev: Event) => any;\r\ndeclare var onseeking: (ev: Event) => any;\r\ndeclare var onselect: (ev: UIEvent) => any;\r\ndeclare var onstalled: (ev: Event) => any;\r\ndeclare var onstorage: (ev: StorageEvent) => any;\r\ndeclare var onsubmit: (ev: Event) => any;\r\ndeclare var onsuspend: (ev: Event) => any;\r\ndeclare var ontimeupdate: (ev: Event) => any;\r\ndeclare var ontouchcancel: any;\r\ndeclare var ontouchend: any;\r\ndeclare var ontouchmove: any;\r\ndeclare var ontouchstart: any;\r\ndeclare var onunload: (ev: Event) => any;\r\ndeclare var onvolumechange: (ev: Event) => any;\r\ndeclare var onwaiting: (ev: Event) => any;\r\ndeclare var opener: Window;\r\ndeclare var orientation: string | number;\r\ndeclare var outerHeight: number;\r\ndeclare var outerWidth: number;\r\ndeclare var pageXOffset: number;\r\ndeclare var pageYOffset: number;\r\ndeclare var parent: Window;\r\ndeclare var performance: Performance;\r\ndeclare var personalbar: BarProp;\r\ndeclare var screen: Screen;\r\ndeclare var screenLeft: number;\r\ndeclare var screenTop: number;\r\ndeclare var screenX: number;\r\ndeclare var screenY: number;\r\ndeclare var scrollX: number;\r\ndeclare var scrollY: number;\r\ndeclare var scrollbars: BarProp;\r\ndeclare var self: Window;\r\ndeclare var status: string;\r\ndeclare var statusbar: BarProp;\r\ndeclare var styleMedia: StyleMedia;\r\ndeclare var toolbar: BarProp;\r\ndeclare var top: Window;\r\ndeclare var window: Window;\r\ndeclare var URL: URL;\r\ndeclare function alert(message?: any): void;\r\ndeclare function blur(): void;\r\ndeclare function cancelAnimationFrame(handle: number): void;\r\ndeclare function captureEvents(): void;\r\ndeclare function close(): void;\r\ndeclare function confirm(message?: string): boolean;\r\ndeclare function focus(): void;\r\ndeclare function getComputedStyle(elt: Element, pseudoElt?: string): CSSStyleDeclaration;\r\ndeclare function getMatchedCSSRules(elt: Element, pseudoElt?: string): CSSRuleList;\r\ndeclare function getSelection(): Selection;\r\ndeclare function matchMedia(mediaQuery: string): MediaQueryList;\r\ndeclare function moveBy(x?: number, y?: number): void;\r\ndeclare function moveTo(x?: number, y?: number): void;\r\ndeclare function msCancelRequestAnimationFrame(handle: number): void;\r\ndeclare function msMatchMedia(mediaQuery: string): MediaQueryList;\r\ndeclare function msRequestAnimationFrame(callback: FrameRequestCallback): number;\r\ndeclare function msWriteProfilerMark(profilerMarkName: string): void;\r\ndeclare function open(url?: string, target?: string, features?: string, replace?: boolean): Window;\r\ndeclare function postMessage(message: any, targetOrigin: string, ports?: any): void;\r\ndeclare function print(): void;\r\ndeclare function prompt(message?: string, _default?: string): string;\r\ndeclare function releaseEvents(): void;\r\ndeclare function requestAnimationFrame(callback: FrameRequestCallback): number;\r\ndeclare function resizeBy(x?: number, y?: number): void;\r\ndeclare function resizeTo(x?: number, y?: number): void;\r\ndeclare function scroll(x?: number, y?: number): void;\r\ndeclare function scrollBy(x?: number, y?: number): void;\r\ndeclare function scrollTo(x?: number, y?: number): void;\r\ndeclare function webkitConvertPointFromNodeToPage(node: Node, pt: WebKitPoint): WebKitPoint;\r\ndeclare function webkitConvertPointFromPageToNode(node: Node, pt: WebKitPoint): WebKitPoint;\r\ndeclare function toString(): string;\r\ndeclare function addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\ndeclare function dispatchEvent(evt: Event): boolean;\r\ndeclare function removeEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\ndeclare function clearInterval(handle: number): void;\r\ndeclare function clearTimeout(handle: number): void;\r\ndeclare function setInterval(handler: any, timeout?: any, ...args: any[]): number;\r\ndeclare function setTimeout(handler: any, timeout?: any, ...args: any[]): number;\r\ndeclare function clearImmediate(handle: number): void;\r\ndeclare function msClearImmediate(handle: number): void;\r\ndeclare function msSetImmediate(expression: any, ...args: any[]): number;\r\ndeclare function setImmediate(expression: any, ...args: any[]): number;\r\ndeclare var sessionStorage: Storage;\r\ndeclare var localStorage: Storage;\r\ndeclare var console: Console;\r\ndeclare var onpointercancel: (ev: PointerEvent) => any;\r\ndeclare var onpointerdown: (ev: PointerEvent) => any;\r\ndeclare var onpointerenter: (ev: PointerEvent) => any;\r\ndeclare var onpointerleave: (ev: PointerEvent) => any;\r\ndeclare var onpointermove: (ev: PointerEvent) => any;\r\ndeclare var onpointerout: (ev: PointerEvent) => any;\r\ndeclare var onpointerover: (ev: PointerEvent) => any;\r\ndeclare var onpointerup: (ev: PointerEvent) => any;\r\ndeclare var onwheel: (ev: WheelEvent) => any;\r\ndeclare var indexedDB: IDBFactory;\r\ndeclare var msIndexedDB: IDBFactory;\r\ndeclare function atob(encodedString: string): string;\r\ndeclare function btoa(rawString: string): string;\r\ndeclare function addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "afterprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "beforeprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "beforeunload", listener: (ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "compassneedscalibration", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "devicemotion", listener: (ev: DeviceMotionEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "deviceorientation", listener: (ev: DeviceOrientationEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "hashchange", listener: (ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "offline", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "online", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "orientationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pagehide", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pageshow", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "popstate", listener: (ev: PopStateEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "readystatechange", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "storage", listener: (ev: StorageEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "unload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n/////////////////////////////\r\n/// WorkerGlobalScope APIs \r\n/////////////////////////////\r\n// These are only available in a Web Worker \r\ndeclare function importScripts(...urls: string[]): void;\r\n\r\n\r\n/////////////////////////////\r\n/// Windows Script Host APIS\r\n/////////////////////////////\r\n\r\n\r\ninterface ActiveXObject {\r\n    new (s: string): any;\r\n}\r\ndeclare var ActiveXObject: ActiveXObject;\r\n\r\ninterface ITextWriter {\r\n    Write(s: string): void;\r\n    WriteLine(s: string): void;\r\n    Close(): void;\r\n}\r\n\r\ninterface TextStreamBase {\r\n    /**\r\n     * The column number of the current character position in an input stream.\r\n     */\r\n    Column: number;\r\n\r\n    /**\r\n     * The current line number in an input stream.\r\n     */\r\n    Line: number;\r\n\r\n    /**\r\n     * Closes a text stream.\r\n     * It is not necessary to close standard streams; they close automatically when the process ends. If \r\n     * you close a standard stream, be aware that any other pointers to that standard stream become invalid.\r\n     */\r\n    Close(): void;\r\n}\r\n\r\ninterface TextStreamWriter extends TextStreamBase {\r\n    /**\r\n     * Sends a string to an output stream.\r\n     */\r\n    Write(s: string): void;\r\n\r\n    /**\r\n     * Sends a specified number of blank lines (newline characters) to an output stream.\r\n     */\r\n    WriteBlankLines(intLines: number): void;\r\n\r\n    /**\r\n     * Sends a string followed by a newline character to an output stream.\r\n     */\r\n    WriteLine(s: string): void;\r\n}\r\n\r\ninterface TextStreamReader extends TextStreamBase {\r\n    /**\r\n     * Returns a specified number of characters from an input stream, starting at the current pointer position.\r\n     * Does not return until the ENTER key is pressed.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     */\r\n    Read(characters: number): string;\r\n\r\n    /**\r\n     * Returns all characters from an input stream.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     */\r\n    ReadAll(): string;\r\n\r\n    /**\r\n     * Returns an entire line from an input stream.\r\n     * Although this method extracts the newline character, it does not add it to the returned string.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     */\r\n    ReadLine(): string;\r\n\r\n    /**\r\n     * Skips a specified number of characters when reading from an input text stream.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     * @param characters Positive number of characters to skip forward. (Backward skipping is not supported.)\r\n     */\r\n    Skip(characters: number): void;\r\n\r\n    /**\r\n     * Skips the next line when reading from an input text stream.\r\n     * Can only be used on a stream in reading mode, not writing or appending mode.\r\n     */\r\n    SkipLine(): void;\r\n\r\n    /**\r\n     * Indicates whether the stream pointer position is at the end of a line.\r\n     */\r\n    AtEndOfLine: boolean;\r\n\r\n    /**\r\n     * Indicates whether the stream pointer position is at the end of a stream.\r\n     */\r\n    AtEndOfStream: boolean;\r\n}\r\n\r\ndeclare var WScript: {\r\n    /**\r\n    * Outputs text to either a message box (under WScript.exe) or the command console window followed by\r\n    * a newline (under CScript.exe).\r\n    */\r\n    Echo(s: any): void;\r\n\r\n    /**\r\n     * Exposes the write-only error output stream for the current script.\r\n     * Can be accessed only while using CScript.exe.\r\n     */\r\n    StdErr: TextStreamWriter;\r\n\r\n    /**\r\n     * Exposes the write-only output stream for the current script.\r\n     * Can be accessed only while using CScript.exe.\r\n     */\r\n    StdOut: TextStreamWriter;\r\n    Arguments: { length: number; Item(n: number): string; };\r\n\r\n    /**\r\n     *  The full path of the currently running script.\r\n     */\r\n    ScriptFullName: string;\r\n\r\n    /**\r\n     * Forces the script to stop immediately, with an optional exit code.\r\n     */\r\n    Quit(exitCode?: number): number;\r\n\r\n    /**\r\n     * The Windows Script Host build version number.\r\n     */\r\n    BuildVersion: number;\r\n\r\n    /**\r\n     * Fully qualified path of the host executable.\r\n     */\r\n    FullName: string;\r\n\r\n    /**\r\n     * Gets/sets the script mode - interactive(true) or batch(false).\r\n     */\r\n    Interactive: boolean;\r\n\r\n    /**\r\n     * The name of the host executable (WScript.exe or CScript.exe).\r\n     */\r\n    Name: string;\r\n\r\n    /**\r\n     * Path of the directory containing the host executable.\r\n     */\r\n    Path: string;\r\n\r\n    /**\r\n     * The filename of the currently running script.\r\n     */\r\n    ScriptName: string;\r\n\r\n    /**\r\n     * Exposes the read-only input stream for the current script.\r\n     * Can be accessed only while using CScript.exe.\r\n     */\r\n    StdIn: TextStreamReader;\r\n\r\n    /**\r\n     * Windows Script Host version\r\n     */\r\n    Version: string;\r\n\r\n    /**\r\n     * Connects a COM object\'s event sources to functions named with a given prefix, in the form prefix_event.\r\n     */\r\n    ConnectObject(objEventSource: any, strPrefix: string): void;\r\n\r\n    /**\r\n     * Creates a COM object.\r\n     * @param strProgiID\r\n     * @param strPrefix Function names in the form prefix_event will be bound to this object\'s COM events.\r\n     */\r\n    CreateObject(strProgID: string, strPrefix?: string): any;\r\n\r\n    /**\r\n     * Disconnects a COM object from its event sources.\r\n     */\r\n    DisconnectObject(obj: any): void;\r\n\r\n    /**\r\n     * Retrieves an existing object with the specified ProgID from memory, or creates a new one from a file.\r\n     * @param strPathname Fully qualified path to the file containing the object persisted to disk.\r\n     *                       For objects in memory, pass a zero-length string.\r\n     * @param strProgID\r\n     * @param strPrefix Function names in the form prefix_event will be bound to this object\'s COM events.\r\n     */\r\n    GetObject(strPathname: string, strProgID?: string, strPrefix?: string): any;\r\n\r\n    /**\r\n     * Suspends script execution for a specified length of time, then continues execution.\r\n     * @param intTime Interval (in milliseconds) to suspend script execution.\r\n     */\r\n    Sleep(intTime: number): void;\r\n};\r\n\r\n/**\r\n * Allows enumerating over a COM collection, which may not have indexed item access.\r\n */\r\ninterface Enumerator<T> {\r\n    /**\r\n     * Returns true if the current item is the last one in the collection, or the collection is empty,\r\n     * or the current item is undefined.\r\n     */\r\n    atEnd(): boolean;\r\n\r\n    /**\r\n     * Returns the current item in the collection\r\n     */\r\n    item(): T;\r\n\r\n    /**\r\n     * Resets the current item in the collection to the first item. If there are no items in the collection,\r\n     * the current item is set to undefined.\r\n     */\r\n    moveFirst(): void;\r\n\r\n    /**\r\n     * Moves the current item to the next item in the collection. If the enumerator is at the end of\r\n     * the collection or the collection is empty, the current item is set to undefined.\r\n     */\r\n    moveNext(): void;\r\n}\r\n\r\ninterface EnumeratorConstructor {\r\n    new <T>(collection: any): Enumerator<T>;\r\n    new (collection: any): Enumerator<any>;\r\n}\r\n\r\ndeclare var Enumerator: EnumeratorConstructor;\r\n\r\n/**\r\n * Enables reading from a COM safe array, which might have an alternate lower bound, or multiple dimensions.\r\n */\r\ninterface VBArray<T> {\r\n    /**\r\n     * Returns the number of dimensions (1-based).\r\n     */\r\n    dimensions(): number;\r\n\r\n    /**\r\n     * Takes an index for each dimension in the array, and returns the item at the corresponding location.\r\n     */\r\n    getItem(dimension1Index: number, ...dimensionNIndexes: number[]): T;\r\n\r\n    /**\r\n     * Returns the smallest available index for a given dimension.\r\n     * @param dimension 1-based dimension (defaults to 1)\r\n     */\r\n    lbound(dimension?: number): number;\r\n\r\n    /**\r\n     * Returns the largest available index for a given dimension.\r\n     * @param dimension 1-based dimension (defaults to 1)\r\n     */\r\n    ubound(dimension?: number): number;\r\n\r\n    /**\r\n     * Returns a Javascript array with all the elements in the VBArray. If there are multiple dimensions,\r\n     * each successive dimension is appended to the end of the array.\r\n     * Example: [[1,2,3],[4,5,6]] becomes [1,2,3,4,5,6]\r\n     */\r\n    toArray(): T[];\r\n}\r\n\r\ninterface VBArrayConstructor {\r\n    new <T>(safeArray: any): VBArray<T>;\r\n    new (safeArray: any): VBArray<any>;\r\n}\r\n\r\ndeclare var VBArray: VBArrayConstructor;\r\n'
}}),define("vs/language/typescript/lib/lib-es6-ts",[],function(){return{contents:'/*! *****************************************************************************\r\nCopyright (c) Microsoft Corporation. All rights reserved. \r\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\r\nthis file except in compliance with the License. You may obtain a copy of the\r\nLicense at http://www.apache.org/licenses/LICENSE-2.0  \r\n \r\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\r\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\r\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE, \r\nMERCHANTABLITY OR NON-INFRINGEMENT. \r\n \r\nSee the Apache Version 2.0 License for specific language governing permissions\r\nand limitations under the License.\r\n***************************************************************************** */\r\n\r\n/// <reference no-default-lib="true"/>\r\ndeclare type PropertyKey = string | number | symbol;\r\n\r\ninterface Symbol {\r\n    /** Returns a string representation of an object. */\r\n    toString(): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): Object;\r\n\r\n    [Symbol.toStringTag]: "Symbol";\r\n}\r\n\r\ninterface SymbolConstructor {\r\n    /** \r\n      * A reference to the prototype. \r\n      */\r\n    prototype: Symbol;\r\n\r\n    /**\r\n      * Returns a new unique Symbol value.\r\n      * @param  description Description of the new Symbol object.\r\n      */\r\n    (description?: string|number): symbol;\r\n\r\n    /**\r\n      * Returns a Symbol object from the global symbol registry matching the given key if found. \r\n      * Otherwise, returns a new symbol with this key.\r\n      * @param key key to search for.\r\n      */\r\n    for(key: string): symbol;\r\n\r\n    /**\r\n      * Returns a key from the global symbol registry matching the given Symbol if found. \r\n      * Otherwise, returns a undefined.\r\n      * @param sym Symbol to find the key for.\r\n      */\r\n    keyFor(sym: symbol): string;\r\n\r\n    // Well-known Symbols\r\n\r\n    /** \r\n      * A method that determines if a constructor object recognizes an object as one of the \r\n      * constructor’s instances. Called by the semantics of the instanceof operator. \r\n      */\r\n    hasInstance: symbol;\r\n\r\n    /** \r\n      * A Boolean value that if true indicates that an object should flatten to its array elements\r\n      * by Array.prototype.concat.\r\n      */\r\n    isConcatSpreadable: symbol;\r\n\r\n    /** \r\n      * A method that returns the default iterator for an object. Called by the semantics of the \r\n      * for-of statement.\r\n      */\r\n    iterator: symbol;\r\n\r\n    /**\r\n      * A regular expression method that matches the regular expression against a string. Called \r\n      * by the String.prototype.match method. \r\n      */\r\n    match: symbol;\r\n\r\n    /** \r\n      * A regular expression method that replaces matched substrings of a string. Called by the \r\n      * String.prototype.replace method.\r\n      */\r\n    replace: symbol;\r\n\r\n    /**\r\n      * A regular expression method that returns the index within a string that matches the \r\n      * regular expression. Called by the String.prototype.search method.\r\n      */\r\n    search: symbol;\r\n\r\n    /** \r\n      * A function valued property that is the constructor function that is used to create \r\n      * derived objects.\r\n      */\r\n    species: symbol;\r\n\r\n    /**\r\n      * A regular expression method that splits a string at the indices that match the regular \r\n      * expression. Called by the String.prototype.split method.\r\n      */\r\n    split: symbol;\r\n\r\n    /** \r\n      * A method that converts an object to a corresponding primitive value.\r\n      * Called by the ToPrimitive abstract operation.\r\n      */\r\n    toPrimitive: symbol;\r\n\r\n    /** \r\n      * A String value that is used in the creation of the default string description of an object.\r\n      * Called by the built-in method Object.prototype.toString.\r\n      */\r\n    toStringTag: symbol;\r\n\r\n    /**\r\n      * An Object whose own property names are property names that are excluded from the \'with\'\r\n      * environment bindings of the associated objects.\r\n      */\r\n    unscopables: symbol;\r\n}\r\ndeclare var Symbol: SymbolConstructor;\r\n\r\ninterface Object {\r\n    /**\r\n      * Determines whether an object has a property with the specified name. \r\n      * @param v A property name.\r\n      */\r\n    hasOwnProperty(v: PropertyKey): boolean;\r\n\r\n    /** \r\n      * Determines whether a specified property is enumerable.\r\n      * @param v A property name.\r\n      */\r\n    propertyIsEnumerable(v: PropertyKey): boolean;\r\n}\r\n\r\ninterface ObjectConstructor {\r\n    /**\r\n      * Copy the values of all of the enumerable own properties from one or more source objects to a \r\n      * target object. Returns the target object.\r\n      * @param target The target object to copy to.\r\n      * @param source The source object from which to copy properties.\r\n      */\r\n    assign<T, U>(target: T, source: U): T & U;\r\n\r\n    /**\r\n      * Copy the values of all of the enumerable own properties from one or more source objects to a \r\n      * target object. Returns the target object.\r\n      * @param target The target object to copy to.\r\n      * @param source1 The first source object from which to copy properties.\r\n      * @param source2 The second source object from which to copy properties.\r\n      */\r\n    assign<T, U, V>(target: T, source1: U, source2: V): T & U & V;\r\n\r\n    /**\r\n      * Copy the values of all of the enumerable own properties from one or more source objects to a \r\n      * target object. Returns the target object.\r\n      * @param target The target object to copy to.\r\n      * @param source1 The first source object from which to copy properties.\r\n      * @param source2 The second source object from which to copy properties.\r\n      * @param source3 The third source object from which to copy properties.\r\n      */\r\n    assign<T, U, V, W>(target: T, source1: U, source2: V, source3: W): T & U & V & W;\r\n\r\n    /**\r\n      * Copy the values of all of the enumerable own properties from one or more source objects to a \r\n      * target object. Returns the target object.\r\n      * @param target The target object to copy to.\r\n      * @param sources One or more source objects from which to copy properties\r\n      */\r\n    assign(target: any, ...sources: any[]): any;\r\n\r\n    /**\r\n      * Returns an array of all symbol properties found directly on object o.\r\n      * @param o Object to retrieve the symbols from.\r\n      */\r\n    getOwnPropertySymbols(o: any): symbol[];\r\n\r\n    /**\r\n      * Returns true if the values are the same value, false otherwise.\r\n      * @param value1 The first value.\r\n      * @param value2 The second value.\r\n      */\r\n    is(value1: any, value2: any): boolean;\r\n\r\n    /**\r\n      * Sets the prototype of a specified object o to  object proto or null. Returns the object o.\r\n      * @param o The object to change its prototype.\r\n      * @param proto The value of the new prototype or null.\r\n      */\r\n    setPrototypeOf(o: any, proto: any): any;\r\n\r\n    /**\r\n      * Gets the own property descriptor of the specified object. \r\n      * An own property descriptor is one that is defined directly on the object and is not \r\n      * inherited from the object\'s prototype. \r\n      * @param o Object that contains the property.\r\n      * @param p Name of the property.\r\n    */\r\n    getOwnPropertyDescriptor(o: any, propertyKey: PropertyKey): PropertyDescriptor;\r\n\r\n    /**\r\n      * Adds a property to an object, or modifies attributes of an existing property. \r\n      * @param o Object on which to add or modify the property. This can be a native JavaScript \r\n      * object (that is, a user-defined object or a built in object) or a DOM object.\r\n      * @param p The property name.\r\n      * @param attributes Descriptor for the property. It can be for a data property or an accessor\r\n      *  property.\r\n      */\r\n    defineProperty(o: any, propertyKey: PropertyKey, attributes: PropertyDescriptor): any;\r\n}\r\n\r\ninterface Function {\r\n    /**\r\n      * Returns the name of the function. Function names are read-only and can not be changed.\r\n      */\r\n    name: string;\r\n\r\n    /**\r\n     * Determines whether the given value inherits from this function if this function was used\r\n     * as a constructor function.\r\n     *\r\n     * A constructor function can control which objects are recognized as its instances by\r\n     * \'instanceof\' by overriding this method.\r\n     */\r\n    [Symbol.hasInstance](value: any): boolean;\r\n}\r\n\r\ninterface NumberConstructor {\r\n    /**\r\n      * The value of Number.EPSILON is the difference between 1 and the smallest value greater than 1\r\n      * that is representable as a Number value, which is approximately: \r\n      * 2.2204460492503130808472633361816 x 10‍−‍16.\r\n      */\r\n    EPSILON: number;\r\n\r\n    /**\r\n      * Returns true if passed value is finite.\r\n      * Unlike the global isFininte, Number.isFinite doesn\'t forcibly convert the parameter to a \r\n      * number. Only finite values of the type number, result in true.\r\n      * @param number A numeric value.\r\n      */\r\n    isFinite(number: number): boolean;\r\n\r\n    /**\r\n      * Returns true if the value passed is an integer, false otherwise.\r\n      * @param number A numeric value.\r\n      */\r\n    isInteger(number: number): boolean;\r\n\r\n    /**\r\n      * Returns a Boolean value that indicates whether a value is the reserved value NaN (not a \r\n      * number). Unlike the global isNaN(), Number.isNaN() doesn\'t forcefully convert the parameter\r\n      * to a number. Only values of the type number, that are also NaN, result in true.\r\n      * @param number A numeric value.\r\n      */\r\n    isNaN(number: number): boolean;\r\n\r\n    /**\r\n      * Returns true if the value passed is a safe integer.\r\n      * @param number A numeric value.\r\n      */\r\n    isSafeInteger(number: number): boolean;\r\n\r\n    /** \r\n      * The value of the largest integer n such that n and n + 1 are both exactly representable as \r\n      * a Number value. \r\n      * The value of Number.MIN_SAFE_INTEGER is 9007199254740991 2^53 − 1.\r\n      */\r\n    MAX_SAFE_INTEGER: number;\r\n\r\n    /** \r\n      * The value of the smallest integer n such that n and n − 1 are both exactly representable as \r\n      * a Number value. \r\n      * The value of Number.MIN_SAFE_INTEGER is −9007199254740991 (−(2^53 − 1)).\r\n      */\r\n    MIN_SAFE_INTEGER: number;\r\n\r\n    /**\r\n      * Converts a string to a floating-point number. \r\n      * @param string A string that contains a floating-point number. \r\n      */\r\n    parseFloat(string: string): number;\r\n\r\n    /**\r\n      * Converts A string to an integer.\r\n      * @param s A string to convert into a number.\r\n      * @param radix A value between 2 and 36 that specifies the base of the number in numString. \r\n      * If this argument is not supplied, strings with a prefix of \'0x\' are considered hexadecimal.\r\n      * All other strings are considered decimal.\r\n      */\r\n    parseInt(string: string, radix?: number): number;\r\n}\r\n\r\ninterface Array<T> {\r\n    /** Iterator */\r\n    [Symbol.iterator](): IterableIterator<T>;\r\n\r\n    /**\r\n     * Returns an object whose properties have the value \'true\'\r\n     * when they will be absent when used in a \'with\' statement.\r\n     */\r\n    [Symbol.unscopables](): {\r\n        copyWithin: boolean;\r\n        entries: boolean;\r\n        fill: boolean;\r\n        find: boolean;\r\n        findIndex: boolean;\r\n        keys: boolean;\r\n        values: boolean;\r\n    };\r\n\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, T]>;\r\n\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<T>;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: T, index: number, obj: Array<T>) => boolean, thisArg?: any): T;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: T) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Returns the this object after filling the section identified by start and end with value\r\n      * @param value value to fill array section with\r\n      * @param start index to start filling the array at. If start is negative, it is treated as \r\n      * length+start where length is the length of the array. \r\n      * @param end index to stop filling the array at. If end is negative, it is treated as \r\n      * length+end.\r\n      */\r\n    fill(value: T, start?: number, end?: number): T[];\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): T[];\r\n}\r\n\r\ninterface IArguments {\r\n    /** Iterator */\r\n    [Symbol.iterator](): IterableIterator<any>;\r\n}\r\n\r\ninterface ArrayConstructor {\r\n    /**\r\n      * Creates an array from an array-like object.\r\n      * @param arrayLike An array-like object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from<T, U>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): Array<U>;\r\n\r\n    /**\r\n      * Creates an array from an iterable object.\r\n      * @param iterable An iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from<T, U>(iterable: Iterable<T>, mapfn: (v: T, k: number) => U, thisArg?: any): Array<U>;\r\n\r\n    /**\r\n      * Creates an array from an array-like object.\r\n      * @param arrayLike An array-like object to convert to an array.\r\n      */\r\n    from<T>(arrayLike: ArrayLike<T>): Array<T>;\r\n\r\n    /**\r\n      * Creates an array from an iterable object.\r\n      * @param iterable An iterable object to convert to an array.\r\n      */\r\n    from<T>(iterable: Iterable<T>): Array<T>;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of<T>(...items: T[]): Array<T>;\r\n}\r\n\r\ninterface String {\r\n    /** Iterator */\r\n    [Symbol.iterator](): IterableIterator<string>;\r\n\r\n    /**\r\n      * Returns a nonnegative integer Number less than 1114112 (0x110000) that is the code point \r\n      * value of the UTF-16 encoded code point starting at the string element at position pos in \r\n      * the String resulting from converting this object to a String. \r\n      * If there is no element at that position, the result is undefined. \r\n      * If a valid UTF-16 surrogate pair does not begin at pos, the result is the code unit at pos.\r\n      */\r\n    codePointAt(pos: number): number;\r\n\r\n    /**\r\n      * Returns true if searchString appears as a substring of the result of converting this \r\n      * object to a String, at one or more positions that are \r\n      * greater than or equal to position; otherwise, returns false.\r\n      * @param searchString search string \r\n      * @param position If position is undefined, 0 is assumed, so as to search all of the String.\r\n      */\r\n    includes(searchString: string, position?: number): boolean;\r\n\r\n    /**\r\n      * Returns true if the sequence of elements of searchString converted to a String is the \r\n      * same as the corresponding elements of this object (converted to a String) starting at \r\n      * endPosition – length(this). Otherwise returns false.\r\n      */\r\n    endsWith(searchString: string, endPosition?: number): boolean;\r\n\r\n    /**\r\n      * Returns the String value result of normalizing the string into the normalization form \r\n      * named by form as specified in Unicode Standard Annex #15, Unicode Normalization Forms.\r\n      * @param form Applicable values: "NFC", "NFD", "NFKC", or "NFKD", If not specified default\r\n      * is "NFC"\r\n      */\r\n    normalize(form?: string): string;\r\n\r\n    /**\r\n      * Returns a String value that is made from count copies appended together. If count is 0, \r\n      * T is the empty String is returned.\r\n      * @param count number of copies to append\r\n      */\r\n    repeat(count: number): string;\r\n\r\n    /**\r\n      * Returns true if the sequence of elements of searchString converted to a String is the \r\n      * same as the corresponding elements of this object (converted to a String) starting at \r\n      * position. Otherwise returns false.\r\n      */\r\n    startsWith(searchString: string, position?: number): boolean;\r\n\r\n    // Overloads for objects with methods of well-known symbols.\r\n\r\n    /**\r\n      * Matches a string an object that supports being matched against, and returns an array containing the results of that search.\r\n      * @param matcher An object that supports being matched against.\r\n      */\r\n    match(matcher: { [Symbol.match](string: string): RegExpMatchArray; }): RegExpMatchArray;\r\n\r\n    /**\r\n      * Replaces text in a string, using an object that supports replacement within a string.\r\n      * @param searchValue A object can search for and replace matches within a string.\r\n      * @param replaceValue A string containing the text to replace for every successful match of searchValue in this string.\r\n      */\r\n    replace(searchValue: { [Symbol.replace](string: string, replaceValue: string): string; }, replaceValue: string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using an object that supports replacement within a string.\r\n      * @param searchValue A object can search for and replace matches within a string.\r\n      * @param replacer A function that returns the replacement text.\r\n      */\r\n    replace(searchValue: { [Symbol.replace](string: string, replacer: (substring: string, ...args: any[]) => string): string; }, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n      * Finds the first substring match in a regular expression search.\r\n      * @param searcher An object which supports searching within a string.\r\n      */\r\n    search(searcher: { [Symbol.search](string: string): number; }): number;\r\n\r\n    /**\r\n      * Split a string into substrings using the specified separator and return them as an array.\r\n      * @param splitter An object that can split a string.\r\n      * @param limit A value used to limit the number of elements returned in the array.\r\n      */\r\n    split(splitter: { [Symbol.split](string: string, limit?: number): string[]; }, limit?: number): string[];\r\n\r\n    /**\r\n      * Returns an <a> HTML anchor element and sets the name attribute to the text value\r\n      * @param name\r\n      */\r\n    anchor(name: string): string;\r\n\r\n    /** Returns a <big> HTML element */\r\n    big(): string;\r\n\r\n    /** Returns a <blink> HTML element */\r\n    blink(): string;\r\n\r\n    /** Returns a <b> HTML element */\r\n    bold(): string;\r\n\r\n    /** Returns a <tt> HTML element */\r\n    fixed(): string\r\n\r\n    /** Returns a <font> HTML element and sets the color attribute value */\r\n    fontcolor(color: string): string\r\n\r\n    /** Returns a <font> HTML element and sets the size attribute value */\r\n    fontsize(size: number): string;\r\n\r\n    /** Returns a <font> HTML element and sets the size attribute value */\r\n    fontsize(size: string): string;\r\n\r\n    /** Returns an <i> HTML element */\r\n    italics(): string;\r\n\r\n    /** Returns an <a> HTML element and sets the href attribute value */\r\n    link(url: string): string;\r\n\r\n    /** Returns a <small> HTML element */\r\n    small(): string;\r\n\r\n    /** Returns a <strike> HTML element */\r\n    strike(): string;\r\n\r\n    /** Returns a <sub> HTML element */\r\n    sub(): string;\r\n\r\n    /** Returns a <sup> HTML element */\r\n    sup(): string;\r\n}\r\n\r\ninterface StringConstructor {\r\n    /**\r\n      * Return the String value whose elements are, in order, the elements in the List elements.\r\n      * If length is 0, the empty string is returned.\r\n      */\r\n    fromCodePoint(...codePoints: number[]): string;\r\n\r\n    /**\r\n      * String.raw is intended for use as a tag function of a Tagged Template String. When called\r\n      * as such the first argument will be a well formed template call site object and the rest \r\n      * parameter will contain the substitution values.\r\n      * @param template A well-formed template string call site representation.\r\n      * @param substitutions A set of substitution values.\r\n      */\r\n    raw(template: TemplateStringsArray, ...substitutions: any[]): string;\r\n}\r\n\r\ninterface IteratorResult<T> {\r\n    done: boolean;\r\n    value?: T;\r\n}\r\n\r\ninterface Iterator<T> {\r\n    next(value?: any): IteratorResult<T>;\r\n    return?(value?: any): IteratorResult<T>;\r\n    throw?(e?: any): IteratorResult<T>;\r\n}\r\n\r\ninterface Iterable<T> {\r\n    [Symbol.iterator](): Iterator<T>;\r\n}\r\n\r\ninterface IterableIterator<T> extends Iterator<T> {\r\n    [Symbol.iterator](): IterableIterator<T>;\r\n}\r\n\r\ninterface GeneratorFunction extends Function {\r\n    [Symbol.toStringTag]: "GeneratorFunction";\r\n}\r\n\r\ninterface GeneratorFunctionConstructor {\r\n    /**\r\n      * Creates a new Generator function.\r\n      * @param args A list of arguments the function accepts.\r\n      */\r\n    new (...args: string[]): GeneratorFunction;\r\n    (...args: string[]): GeneratorFunction;\r\n    prototype: GeneratorFunction;\r\n}\r\ndeclare var GeneratorFunction: GeneratorFunctionConstructor;\r\n\r\ninterface Math {\r\n    /**\r\n      * Returns the number of leading zero bits in the 32-bit binary representation of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    clz32(x: number): number;\r\n\r\n    /**\r\n      * Returns the result of 32-bit multiplication of two numbers.\r\n      * @param x First number\r\n      * @param y Second number\r\n      */\r\n    imul(x: number, y: number): number;\r\n\r\n    /**\r\n      * Returns the sign of the x, indicating whether x is positive, negative or zero.\r\n      * @param x The numeric expression to test\r\n      */\r\n    sign(x: number): number;\r\n\r\n    /**\r\n      * Returns the base 10 logarithm of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    log10(x: number): number;\r\n\r\n    /**\r\n      * Returns the base 2 logarithm of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    log2(x: number): number;\r\n\r\n    /**\r\n      * Returns the natural logarithm of 1 + x.\r\n      * @param x A numeric expression.\r\n      */\r\n    log1p(x: number): number;\r\n\r\n    /**\r\n      * Returns the result of (e^x - 1) of x (e raised to the power of x, where e is the base of \r\n      * the natural logarithms).\r\n      * @param x A numeric expression.\r\n      */\r\n    expm1(x: number): number;\r\n\r\n    /**\r\n      * Returns the hyperbolic cosine of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    cosh(x: number): number;\r\n\r\n    /**\r\n      * Returns the hyperbolic sine of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    sinh(x: number): number;\r\n\r\n    /**\r\n      * Returns the hyperbolic tangent of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    tanh(x: number): number;\r\n\r\n    /**\r\n      * Returns the inverse hyperbolic cosine of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    acosh(x: number): number;\r\n\r\n    /**\r\n      * Returns the inverse hyperbolic sine of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    asinh(x: number): number;\r\n\r\n    /**\r\n      * Returns the inverse hyperbolic tangent of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    atanh(x: number): number;\r\n\r\n    /**\r\n      * Returns the square root of the sum of squares of its arguments.\r\n      * @param values Values to compute the square root for.\r\n      *     If no arguments are passed, the result is +0.\r\n      *     If there is only one argument, the result is the absolute value.\r\n      *     If any argument is +Infinity or -Infinity, the result is +Infinity.\r\n      *     If any argument is NaN, the result is NaN.\r\n      *     If all arguments are either +0 or −0, the result is +0.\r\n      */\r\n    hypot(...values: number[] ): number;\r\n\r\n    /**\r\n      * Returns the integral part of the a numeric expression, x, removing any fractional digits.\r\n      * If x is already an integer, the result is x.\r\n      * @param x A numeric expression.\r\n      */\r\n    trunc(x: number): number;\r\n\r\n    /**\r\n      * Returns the nearest single precision float representation of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    fround(x: number): number;\r\n\r\n    /**\r\n      * Returns an implementation-dependent approximation to the cube root of number.\r\n      * @param x A numeric expression.\r\n      */\r\n    cbrt(x: number): number;\r\n\r\n    [Symbol.toStringTag]: "Math";\r\n}\r\n\r\ninterface Date {\r\n    /**\r\n     * Converts a Date object to a string.\r\n     */\r\n    [Symbol.toPrimitive](hint: "default"): string;\r\n    /**\r\n     * Converts a Date object to a string.\r\n     */\r\n    [Symbol.toPrimitive](hint: "string"): string;\r\n    /**\r\n     * Converts a Date object to a number.\r\n     */\r\n    [Symbol.toPrimitive](hint: "number"): number;\r\n    /**\r\n     * Converts a Date object to a string or number.\r\n     *\r\n     * @param hint The strings "number", "string", or "default" to specify what primitive to return.\r\n     *\r\n     * @throws {TypeError} If \'hint\' was given something other than "number", "string", or "default".\r\n     * @returns A number if \'hint\' was "number", a string if \'hint\' was "string" or "default".\r\n     */\r\n    [Symbol.toPrimitive](hint: string): string | number;\r\n}\r\n\r\ninterface RegExp {\r\n    /**\r\n      * Matches a string with this regular expression, and returns an array containing the results of\r\n      * that search.\r\n      * @param string A string to search within.\r\n      */\r\n    [Symbol.match](string: string): RegExpMatchArray;\r\n\r\n    /**\r\n      * Replaces text in a string, using this regular expression.\r\n      * @param string A String object or string literal whose contents matching against\r\n      *               this regular expression will be replaced\r\n      * @param replaceValue A String object or string literal containing the text to replace for every \r\n      *                     successful match of this regular expression.\r\n      */\r\n    [Symbol.replace](string: string, replaceValue: string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using this regular expression.\r\n      * @param string A String object or string literal whose contents matching against\r\n      *               this regular expression will be replaced\r\n      * @param replacer A function that returns the replacement text.\r\n      */\r\n    [Symbol.replace](string: string, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n      * Finds the position beginning first substring match in a regular expression search\r\n      * using this regular expression.\r\n      *\r\n      * @param string The string to search within.\r\n      */\r\n    [Symbol.search](string: string): number;\r\n\r\n    /**\r\n      * Returns an array of substrings that were delimited by strings in the original input that\r\n      * match against this regular expression.\r\n      *\r\n      * If the regular expression contains capturing parentheses, then each time this\r\n      * regular expression matches, the results (including any undefined results) of the\r\n      * capturing parentheses are spliced.\r\n      *\r\n      * @param string string value to split\r\n      * @param limit if not undefined, the output array is truncated so that it contains no more\r\n      * than \'limit\' elements.\r\n      */\r\n    [Symbol.split](string: string, limit?: number): string[];\r\n\r\n    /**\r\n      * Returns a string indicating the flags of the regular expression in question. This field is read-only.\r\n      * The characters in this string are sequenced and concatenated in the following order:\r\n      *\r\n      *    - "g" for global\r\n      *    - "i" for ignoreCase\r\n      *    - "m" for multiline\r\n      *    - "u" for unicode\r\n      *    - "y" for sticky\r\n      *\r\n      * If no flags are set, the value is the empty string.\r\n      */\r\n    flags: string;\r\n\r\n    /** \r\n      * Returns a Boolean value indicating the state of the sticky flag (y) used with a regular \r\n      * expression. Default is false. Read-only. \r\n      */\r\n    sticky: boolean;\r\n\r\n    /** \r\n      * Returns a Boolean value indicating the state of the Unicode flag (u) used with a regular \r\n      * expression. Default is false. Read-only. \r\n      */\r\n    unicode: boolean;\r\n}\r\n\r\ninterface RegExpConstructor {\r\n    [Symbol.species](): RegExpConstructor;\r\n}\r\n\r\ninterface Map<K, V> {\r\n    clear(): void;\r\n    delete(key: K): boolean;\r\n    entries(): IterableIterator<[K, V]>;\r\n    forEach(callbackfn: (value: V, index: K, map: Map<K, V>) => void, thisArg?: any): void;\r\n    get(key: K): V;\r\n    has(key: K): boolean;\r\n    keys(): IterableIterator<K>;\r\n    set(key: K, value?: V): Map<K, V>;\r\n    size: number;\r\n    values(): IterableIterator<V>;\r\n    [Symbol.iterator]():IterableIterator<[K,V]>;\r\n    [Symbol.toStringTag]: "Map";\r\n}\r\n\r\ninterface MapConstructor {\r\n    new (): Map<any, any>;\r\n    new <K, V>(): Map<K, V>;\r\n    new <K, V>(iterable: Iterable<[K, V]>): Map<K, V>;\r\n    prototype: Map<any, any>;\r\n}\r\ndeclare var Map: MapConstructor;\r\n\r\ninterface WeakMap<K, V> {\r\n    delete(key: K): boolean;\r\n    get(key: K): V;\r\n    has(key: K): boolean;\r\n    set(key: K, value?: V): WeakMap<K, V>;\r\n    [Symbol.toStringTag]: "WeakMap";\r\n}\r\n\r\ninterface WeakMapConstructor {\r\n    new (): WeakMap<any, any>;\r\n    new <K, V>(): WeakMap<K, V>;\r\n    new <K, V>(iterable: Iterable<[K, V]>): WeakMap<K, V>;\r\n    prototype: WeakMap<any, any>;\r\n}\r\ndeclare var WeakMap: WeakMapConstructor;\r\n\r\ninterface Set<T> {\r\n    add(value: T): Set<T>;\r\n    clear(): void;\r\n    delete(value: T): boolean;\r\n    entries(): IterableIterator<[T, T]>;\r\n    forEach(callbackfn: (value: T, index: T, set: Set<T>) => void, thisArg?: any): void;\r\n    has(value: T): boolean;\r\n    keys(): IterableIterator<T>;\r\n    size: number;\r\n    values(): IterableIterator<T>;\r\n    [Symbol.iterator]():IterableIterator<T>;\r\n    [Symbol.toStringTag]: "Set";\r\n}\r\n\r\ninterface SetConstructor {\r\n    new (): Set<any>;\r\n    new <T>(): Set<T>;\r\n    new <T>(iterable: Iterable<T>): Set<T>;\r\n    prototype: Set<any>;\r\n}\r\ndeclare var Set: SetConstructor;\r\n\r\ninterface WeakSet<T> {\r\n    add(value: T): WeakSet<T>;\r\n    delete(value: T): boolean;\r\n    has(value: T): boolean;\r\n    [Symbol.toStringTag]: "WeakSet";\r\n}\r\n\r\ninterface WeakSetConstructor {\r\n    new (): WeakSet<any>;\r\n    new <T>(): WeakSet<T>;\r\n    new <T>(iterable: Iterable<T>): WeakSet<T>;\r\n    prototype: WeakSet<any>;\r\n}\r\ndeclare var WeakSet: WeakSetConstructor;\r\n\r\ninterface JSON {\r\n    [Symbol.toStringTag]: "JSON";\r\n}\r\n\r\n/**\r\n  * Represents a raw buffer of binary data, which is used to store data for the \r\n  * different typed arrays. ArrayBuffers cannot be read from or written to directly, \r\n  * but can be passed to a typed array or DataView Object to interpret the raw \r\n  * buffer as needed. \r\n  */\r\ninterface ArrayBuffer {\r\n    [Symbol.toStringTag]: "ArrayBuffer";\r\n}\r\n\r\ninterface DataView {\r\n    [Symbol.toStringTag]: "DataView";\r\n}\r\n\r\n/**\r\n  * A typed array of 8-bit integer values. The contents are initialized to 0. If the requested \r\n  * number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int8Array {\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, number]>;\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<number>;\r\n    [Symbol.iterator](): IterableIterator<number>;\r\n    [Symbol.toStringTag]: "Int8Array";\r\n}\r\n\r\ninterface Int8ArrayConstructor {\r\n    new (elements: Iterable<number>): Int8Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int8Array;\r\n}\r\n\r\n/**\r\n  * A typed array of 8-bit unsigned integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint8Array {\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, number]>;\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<number>;\r\n    [Symbol.iterator](): IterableIterator<number>;\r\n    [Symbol.toStringTag]: "UInt8Array";\r\n}\r\n\r\ninterface Uint8ArrayConstructor {\r\n    new (elements: Iterable<number>): Uint8Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8Array;\r\n}\r\n\r\n/**\r\n  * A typed array of 8-bit unsigned integer (clamped) values. The contents are initialized to 0. \r\n  * If the requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint8ClampedArray {\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, number]>;\r\n\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<number>;\r\n\r\n    [Symbol.iterator](): IterableIterator<number>;\r\n    [Symbol.toStringTag]: "Uint8ClampedArray";\r\n}\r\n\r\ninterface Uint8ClampedArrayConstructor {\r\n    new (elements: Iterable<number>): Uint8ClampedArray;\r\n\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8ClampedArray;\r\n}\r\n\r\n/**\r\n  * A typed array of 16-bit signed integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int16Array {\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, number]>;\r\n\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<number>;\r\n\r\n\r\n    [Symbol.iterator](): IterableIterator<number>;\r\n    [Symbol.toStringTag]: "Int16Array";\r\n}\r\n\r\ninterface Int16ArrayConstructor {\r\n    new (elements: Iterable<number>): Int16Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int16Array;\r\n}\r\n\r\n/**\r\n  * A typed array of 16-bit unsigned integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint16Array {\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, number]>;\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<number>;\r\n    [Symbol.iterator](): IterableIterator<number>;\r\n    [Symbol.toStringTag]: "Uint16Array";\r\n}\r\n\r\ninterface Uint16ArrayConstructor {\r\n    new (elements: Iterable<number>): Uint16Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint16Array;\r\n}\r\n\r\n/**\r\n  * A typed array of 32-bit signed integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int32Array {\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, number]>;\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<number>;\r\n    [Symbol.iterator](): IterableIterator<number>;\r\n    [Symbol.toStringTag]: "Int32Array";\r\n}\r\n\r\ninterface Int32ArrayConstructor {\r\n    new (elements: Iterable<number>): Int32Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int32Array;\r\n}\r\n\r\n/**\r\n  * A typed array of 32-bit unsigned integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint32Array {\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, number]>;\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<number>;\r\n    [Symbol.iterator](): IterableIterator<number>;\r\n    [Symbol.toStringTag]: "Uint32Array";\r\n}\r\n\r\ninterface Uint32ArrayConstructor {\r\n    new (elements: Iterable<number>): Uint32Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint32Array;\r\n}\r\n\r\n/**\r\n  * A typed array of 32-bit float values. The contents are initialized to 0. If the requested number\r\n  * of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Float32Array {\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, number]>;\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<number>;\r\n    [Symbol.iterator](): IterableIterator<number>;\r\n    [Symbol.toStringTag]: "Float32Array";\r\n}\r\n\r\ninterface Float32ArrayConstructor {\r\n    new (elements: Iterable<number>): Float32Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float32Array;\r\n}\r\n\r\n/**\r\n  * A typed array of 64-bit float values. The contents are initialized to 0. If the requested \r\n  * number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Float64Array {\r\n    /** \r\n      * Returns an array of key, value pairs for every entry in the array\r\n      */\r\n    entries(): IterableIterator<[number, number]>;\r\n    /** \r\n      * Returns an list of keys in the array\r\n      */\r\n    keys(): IterableIterator<number>;\r\n    /** \r\n      * Returns an list of values in the array\r\n      */\r\n    values(): IterableIterator<number>;\r\n    [Symbol.iterator](): IterableIterator<number>;\r\n    [Symbol.toStringTag]: "Float64Array";\r\n}\r\n\r\ninterface Float64ArrayConstructor {\r\n    new (elements: Iterable<number>): Float64Array;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float64Array;\r\n}\r\n\r\ninterface ProxyHandler<T> {\r\n    getPrototypeOf? (target: T): any;\r\n    setPrototypeOf? (target: T, v: any): boolean;\r\n    isExtensible? (target: T): boolean;\r\n    preventExtensions? (target: T): boolean;\r\n    getOwnPropertyDescriptor? (target: T, p: PropertyKey): PropertyDescriptor;\r\n    has? (target: T, p: PropertyKey): boolean;\r\n    get? (target: T, p: PropertyKey, receiver: any): any;\r\n    set? (target: T, p: PropertyKey, value: any, receiver: any): boolean;\r\n    deleteProperty? (target: T, p: PropertyKey): boolean;\r\n    defineProperty? (target: T, p: PropertyKey, attributes: PropertyDescriptor): boolean;\r\n    enumerate? (target: T): PropertyKey[];\r\n    ownKeys? (target: T): PropertyKey[];\r\n    apply? (target: T, thisArg: any, argArray?: any): any;\r\n    construct? (target: T, thisArg: any, argArray?: any): any;\r\n}\r\n\r\ninterface ProxyConstructor {\r\n    revocable<T>(target: T, handler: ProxyHandler<T>): { proxy: T; revoke: () => void; };\r\n    new <T>(target: T, handler: ProxyHandler<T>): T\r\n}\r\ndeclare var Proxy: ProxyConstructor;\r\n\r\ndeclare namespace Reflect {\r\n    function apply(target: Function, thisArgument: any, argumentsList: ArrayLike<any>): any;\r\n    function construct(target: Function, argumentsList: ArrayLike<any>, newTarget?: any): any;\r\n    function defineProperty(target: any, propertyKey: PropertyKey, attributes: PropertyDescriptor): boolean;\r\n    function deleteProperty(target: any, propertyKey: PropertyKey): boolean;\r\n    function enumerate(target: any): IterableIterator<any>;\r\n    function get(target: any, propertyKey: PropertyKey, receiver?: any): any;\r\n    function getOwnPropertyDescriptor(target: any, propertyKey: PropertyKey): PropertyDescriptor;\r\n    function getPrototypeOf(target: any): any;\r\n    function has(target: any, propertyKey: string): boolean;\r\n    function has(target: any, propertyKey: symbol): boolean;\r\n    function isExtensible(target: any): boolean;\r\n    function ownKeys(target: any): Array<PropertyKey>;\r\n    function preventExtensions(target: any): boolean;\r\n    function set(target: any, propertyKey: PropertyKey, value: any, receiver?: any): boolean;\r\n    function setPrototypeOf(target: any, proto: any): boolean;\r\n}\r\n\r\n/**\r\n * Represents the completion of an asynchronous operation\r\n */\r\ninterface Promise<T> {\r\n    /**\r\n    * Attaches callbacks for the resolution and/or rejection of the Promise.\r\n    * @param onfulfilled The callback to execute when the Promise is resolved.\r\n    * @param onrejected The callback to execute when the Promise is rejected.\r\n    * @returns A Promise for the completion of which ever callback is executed.\r\n    */\r\n    then<TResult>(onfulfilled?: (value: T) => TResult | PromiseLike<TResult>, onrejected?: (reason: any) => TResult | PromiseLike<TResult>): Promise<TResult>;\r\n    then<TResult>(onfulfilled?: (value: T) => TResult | PromiseLike<TResult>, onrejected?: (reason: any) => void): Promise<TResult>;\r\n\r\n    /**\r\n     * Attaches a callback for only the rejection of the Promise.\r\n     * @param onrejected The callback to execute when the Promise is rejected.\r\n     * @returns A Promise for the completion of the callback.\r\n     */\r\n    catch(onrejected?: (reason: any) => T | PromiseLike<T>): Promise<T>;\r\n    catch(onrejected?: (reason: any) => void): Promise<T>;\r\n\r\n    [Symbol.toStringTag]: "Promise";\r\n}\r\n\r\ninterface PromiseConstructor {\r\n    /** \r\n      * A reference to the prototype. \r\n      */\r\n    prototype: Promise<any>;\r\n\r\n    /**\r\n     * Creates a new Promise.\r\n     * @param executor A callback used to initialize the promise. This callback is passed two arguments: \r\n     * a resolve callback used resolve the promise with a value or the result of another promise, \r\n     * and a reject callback used to reject the promise with a provided reason or error.\r\n     */\r\n    new <T>(executor: (resolve: (value?: T | PromiseLike<T>) => void, reject: (reason?: any) => void) => void): Promise<T>;\r\n\r\n    /**\r\n     * Creates a Promise that is resolved with an array of results when all of the provided Promises \r\n     * resolve, or rejected when any Promise is rejected.\r\n     * @param values An array of Promises.\r\n     * @returns A new Promise.\r\n     */\r\n    all<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike <T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>, T10 | PromiseLike<T10>]): Promise<[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10]>;\r\n    all<T1, T2, T3, T4, T5, T6, T7, T8, T9>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike <T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>]): Promise<[T1, T2, T3, T4, T5, T6, T7, T8, T9]>;\r\n    all<T1, T2, T3, T4, T5, T6, T7, T8>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike <T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>]): Promise<[T1, T2, T3, T4, T5, T6, T7, T8]>;\r\n    all<T1, T2, T3, T4, T5, T6, T7>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike <T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>]): Promise<[T1, T2, T3, T4, T5, T6, T7]>;\r\n    all<T1, T2, T3, T4, T5, T6>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike <T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>]): Promise<[T1, T2, T3, T4, T5, T6]>;\r\n    all<T1, T2, T3, T4, T5>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike <T4>, T5 | PromiseLike<T5>]): Promise<[T1, T2, T3, T4, T5]>;\r\n    all<T1, T2, T3, T4>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike <T4>]): Promise<[T1, T2, T3, T4]>;\r\n    all<T1, T2, T3>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>]): Promise<[T1, T2, T3]>;\r\n    all<T1, T2>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>]): Promise<[T1, T2]>;\r\n    all<TAll>(values: Iterable<TAll | PromiseLike<TAll>>): Promise<TAll[]>;\r\n\r\n    /**\r\n     * Creates a Promise that is resolved or rejected when any of the provided Promises are resolved \r\n     * or rejected.\r\n     * @param values An array of Promises.\r\n     * @returns A new Promise.\r\n     */\r\n    race<T>(values: Iterable<T | PromiseLike<T>>): Promise<T>;\r\n\r\n    /**\r\n     * Creates a new rejected promise for the provided reason.\r\n     * @param reason The reason the promise was rejected.\r\n     * @returns A new rejected Promise.\r\n     */\r\n    reject(reason: any): Promise<void>;\r\n\r\n    /**\r\n     * Creates a new rejected promise for the provided reason.\r\n     * @param reason The reason the promise was rejected.\r\n     * @returns A new rejected Promise.\r\n     */\r\n    reject<T>(reason: any): Promise<T>;\r\n\r\n    /**\r\n      * Creates a new resolved promise for the provided value.\r\n      * @param value A promise.\r\n      * @returns A promise whose internal state matches the provided promise.\r\n      */\r\n    resolve<T>(value: T | PromiseLike<T>): Promise<T>;\r\n\r\n    /**\r\n     * Creates a new resolved promise .\r\n     * @returns A resolved promise.\r\n     */\r\n    resolve(): Promise<void>;\r\n\r\n    [Symbol.species]: Function;\r\n}\r\n\r\ndeclare var Promise: PromiseConstructor;\r\n/////////////////////////////\r\n/// ECMAScript APIs\r\n/////////////////////////////\r\n\r\ndeclare var NaN: number;\r\ndeclare var Infinity: number;\r\n\r\n/**\r\n  * Evaluates JavaScript code and executes it. \r\n  * @param x A String value that contains valid JavaScript code.\r\n  */\r\ndeclare function eval(x: string): any;\r\n\r\n/**\r\n  * Converts A string to an integer.\r\n  * @param s A string to convert into a number.\r\n  * @param radix A value between 2 and 36 that specifies the base of the number in numString. \r\n  * If this argument is not supplied, strings with a prefix of \'0x\' are considered hexadecimal.\r\n  * All other strings are considered decimal.\r\n  */\r\ndeclare function parseInt(s: string, radix?: number): number;\r\n\r\n/**\r\n  * Converts a string to a floating-point number. \r\n  * @param string A string that contains a floating-point number. \r\n  */\r\ndeclare function parseFloat(string: string): number;\r\n\r\n/**\r\n  * Returns a Boolean value that indicates whether a value is the reserved value NaN (not a number). \r\n  * @param number A numeric value.\r\n  */\r\ndeclare function isNaN(number: number): boolean;\r\n\r\n/** \r\n  * Determines whether a supplied number is finite.\r\n  * @param number Any numeric value.\r\n  */\r\ndeclare function isFinite(number: number): boolean;\r\n\r\n/**\r\n  * Gets the unencoded version of an encoded Uniform Resource Identifier (URI).\r\n  * @param encodedURI A value representing an encoded URI.\r\n  */\r\ndeclare function decodeURI(encodedURI: string): string;\r\n\r\n/**\r\n  * Gets the unencoded version of an encoded component of a Uniform Resource Identifier (URI).\r\n  * @param encodedURIComponent A value representing an encoded URI component.\r\n  */\r\ndeclare function decodeURIComponent(encodedURIComponent: string): string;\r\n\r\n/** \r\n  * Encodes a text string as a valid Uniform Resource Identifier (URI)\r\n  * @param uri A value representing an encoded URI.\r\n  */\r\ndeclare function encodeURI(uri: string): string;\r\n\r\n/**\r\n  * Encodes a text string as a valid component of a Uniform Resource Identifier (URI).\r\n  * @param uriComponent A value representing an encoded URI component.\r\n  */\r\ndeclare function encodeURIComponent(uriComponent: string): string;\r\n\r\ninterface PropertyDescriptor {\r\n    configurable?: boolean;\r\n    enumerable?: boolean;\r\n    value?: any;\r\n    writable?: boolean;\r\n    get? (): any;\r\n    set? (v: any): void;\r\n}\r\n\r\ninterface PropertyDescriptorMap {\r\n    [s: string]: PropertyDescriptor;\r\n}\r\n\r\ninterface Object {\r\n    /** The initial value of Object.prototype.constructor is the standard built-in Object constructor. */\r\n    constructor: Function;\r\n\r\n    /** Returns a string representation of an object. */\r\n    toString(): string;\r\n\r\n    /** Returns a date converted to a string using the current locale. */\r\n    toLocaleString(): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): Object;\r\n\r\n    /**\r\n      * Determines whether an object has a property with the specified name. \r\n      * @param v A property name.\r\n      */\r\n    hasOwnProperty(v: string): boolean;\r\n\r\n    /**\r\n      * Determines whether an object exists in another object\'s prototype chain. \r\n      * @param v Another object whose prototype chain is to be checked.\r\n      */\r\n    isPrototypeOf(v: Object): boolean;\r\n\r\n    /** \r\n      * Determines whether a specified property is enumerable.\r\n      * @param v A property name.\r\n      */\r\n    propertyIsEnumerable(v: string): boolean;\r\n}\r\n\r\ninterface ObjectConstructor {\r\n    new (value?: any): Object;\r\n    (): any;\r\n    (value: any): any;\r\n\r\n    /** A reference to the prototype for a class of objects. */\r\n    prototype: Object;\r\n\r\n    /** \r\n      * Returns the prototype of an object. \r\n      * @param o The object that references the prototype.\r\n      */\r\n    getPrototypeOf(o: any): any;\r\n\r\n    /**\r\n      * Gets the own property descriptor of the specified object. \r\n      * An own property descriptor is one that is defined directly on the object and is not inherited from the object\'s prototype. \r\n      * @param o Object that contains the property.\r\n      * @param p Name of the property.\r\n    */\r\n    getOwnPropertyDescriptor(o: any, p: string): PropertyDescriptor;\r\n\r\n    /** \r\n      * Returns the names of the own properties of an object. The own properties of an object are those that are defined directly \r\n      * on that object, and are not inherited from the object\'s prototype. The properties of an object include both fields (objects) and functions.\r\n      * @param o Object that contains the own properties.\r\n      */\r\n    getOwnPropertyNames(o: any): string[];\r\n\r\n    /** \r\n      * Creates an object that has the specified prototype, and that optionally contains specified properties.\r\n      * @param o Object to use as a prototype. May be null\r\n      * @param properties JavaScript object that contains one or more property descriptors. \r\n      */\r\n    create(o: any, properties?: PropertyDescriptorMap): any;\r\n\r\n    /**\r\n      * Adds a property to an object, or modifies attributes of an existing property. \r\n      * @param o Object on which to add or modify the property. This can be a native JavaScript object (that is, a user-defined object or a built in object) or a DOM object.\r\n      * @param p The property name.\r\n      * @param attributes Descriptor for the property. It can be for a data property or an accessor property.\r\n      */\r\n    defineProperty(o: any, p: string, attributes: PropertyDescriptor): any;\r\n\r\n    /**\r\n      * Adds one or more properties to an object, and/or modifies attributes of existing properties. \r\n      * @param o Object on which to add or modify the properties. This can be a native JavaScript object or a DOM object.\r\n      * @param properties JavaScript object that contains one or more descriptor objects. Each descriptor object describes a data property or an accessor property.\r\n      */\r\n    defineProperties(o: any, properties: PropertyDescriptorMap): any;\r\n\r\n    /**\r\n      * Prevents the modification of attributes of existing properties, and prevents the addition of new properties.\r\n      * @param o Object on which to lock the attributes. \r\n      */\r\n    seal<T>(o: T): T;\r\n\r\n    /**\r\n      * Prevents the modification of existing property attributes and values, and prevents the addition of new properties.\r\n      * @param o Object on which to lock the attributes.\r\n      */\r\n    freeze<T>(o: T): T;\r\n\r\n    /**\r\n      * Prevents the addition of new properties to an object.\r\n      * @param o Object to make non-extensible. \r\n      */\r\n    preventExtensions<T>(o: T): T;\r\n\r\n    /**\r\n      * Returns true if existing property attributes cannot be modified in an object and new properties cannot be added to the object.\r\n      * @param o Object to test. \r\n      */\r\n    isSealed(o: any): boolean;\r\n\r\n    /**\r\n      * Returns true if existing property attributes and values cannot be modified in an object, and new properties cannot be added to the object.\r\n      * @param o Object to test.  \r\n      */\r\n    isFrozen(o: any): boolean;\r\n\r\n    /**\r\n      * Returns a value that indicates whether new properties can be added to an object.\r\n      * @param o Object to test. \r\n      */\r\n    isExtensible(o: any): boolean;\r\n\r\n    /**\r\n      * Returns the names of the enumerable properties and methods of an object.\r\n      * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\r\n      */\r\n    keys(o: any): string[];\r\n}\r\n\r\n/**\r\n  * Provides functionality common to all JavaScript objects.\r\n  */\r\ndeclare var Object: ObjectConstructor;\r\n\r\n/**\r\n  * Creates a new function.\r\n  */\r\ninterface Function {\r\n    /**\r\n      * Calls the function, substituting the specified object for the this value of the function, and the specified array for the arguments of the function.\r\n      * @param thisArg The object to be used as the this object.\r\n      * @param argArray A set of arguments to be passed to the function.\r\n      */\r\n    apply(thisArg: any, argArray?: any): any;\r\n\r\n    /**\r\n      * Calls a method of an object, substituting another object for the current object.\r\n      * @param thisArg The object to be used as the current object.\r\n      * @param argArray A list of arguments to be passed to the method.\r\n      */\r\n    call(thisArg: any, ...argArray: any[]): any;\r\n\r\n    /**\r\n      * For a given function, creates a bound function that has the same body as the original function. \r\n      * The this object of the bound function is associated with the specified object, and has the specified initial parameters.\r\n      * @param thisArg An object to which the this keyword can refer inside the new function.\r\n      * @param argArray A list of arguments to be passed to the new function.\r\n      */\r\n    bind(thisArg: any, ...argArray: any[]): any;\r\n\r\n    prototype: any;\r\n    length: number;\r\n\r\n    // Non-standard extensions\r\n    arguments: any;\r\n    caller: Function;\r\n}\r\n\r\ninterface FunctionConstructor {\r\n    /**\r\n      * Creates a new function.\r\n      * @param args A list of arguments the function accepts.\r\n      */\r\n    new (...args: string[]): Function;\r\n    (...args: string[]): Function;\r\n    prototype: Function;\r\n}\r\n\r\ndeclare var Function: FunctionConstructor;\r\n\r\ninterface IArguments {\r\n    [index: number]: any;\r\n    length: number;\r\n    callee: Function;\r\n}\r\n\r\ninterface String {\r\n    /** Returns a string representation of a string. */\r\n    toString(): string;\r\n\r\n    /**\r\n      * Returns the character at the specified index.\r\n      * @param pos The zero-based index of the desired character.\r\n      */\r\n    charAt(pos: number): string;\r\n\r\n    /** \r\n      * Returns the Unicode value of the character at the specified location.\r\n      * @param index The zero-based index of the desired character. If there is no character at the specified index, NaN is returned.\r\n      */\r\n    charCodeAt(index: number): number;\r\n\r\n    /**\r\n      * Returns a string that contains the concatenation of two or more strings.\r\n      * @param strings The strings to append to the end of the string.  \r\n      */\r\n    concat(...strings: string[]): string;\r\n\r\n    /**\r\n      * Returns the position of the first occurrence of a substring. \r\n      * @param searchString The substring to search for in the string\r\n      * @param position The index at which to begin searching the String object. If omitted, search starts at the beginning of the string.\r\n      */\r\n    indexOf(searchString: string, position?: number): number;\r\n\r\n    /**\r\n      * Returns the last occurrence of a substring in the string.\r\n      * @param searchString The substring to search for.\r\n      * @param position The index at which to begin searching. If omitted, the search begins at the end of the string.\r\n      */\r\n    lastIndexOf(searchString: string, position?: number): number;\r\n\r\n    /**\r\n      * Determines whether two strings are equivalent in the current locale.\r\n      * @param that String to compare to target string\r\n      */\r\n    localeCompare(that: string): number;\r\n\r\n    /** \r\n      * Matches a string with a regular expression, and returns an array containing the results of that search.\r\n      * @param regexp A variable name or string literal containing the regular expression pattern and flags.\r\n      */\r\n    match(regexp: string): RegExpMatchArray;\r\n\r\n    /** \r\n      * Matches a string with a regular expression, and returns an array containing the results of that search.\r\n      * @param regexp A regular expression object that contains the regular expression pattern and applicable flags. \r\n      */\r\n    match(regexp: RegExp): RegExpMatchArray;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A string that represents the regular expression.\r\n      * @param replaceValue A string containing the text to replace for every successful match of searchValue in this string.\r\n      */\r\n    replace(searchValue: string, replaceValue: string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A string that represents the regular expression.\r\n      * @param replacer A function that returns the replacement text.\r\n      */\r\n    replace(searchValue: string, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A Regular Expression object containing the regular expression pattern and applicable flags.\r\n      * @param replaceValue A string containing the text to replace for every successful match of searchValue in this string.\r\n      */\r\n    replace(searchValue: RegExp, replaceValue: string): string;\r\n\r\n    /**\r\n      * Replaces text in a string, using a regular expression or search string.\r\n      * @param searchValue A Regular Expression object containing the regular expression pattern and applicable flags\r\n      * @param replacer A function that returns the replacement text.\r\n      */\r\n    replace(searchValue: RegExp, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n      * Finds the first substring match in a regular expression search.\r\n      * @param regexp The regular expression pattern and applicable flags. \r\n      */\r\n    search(regexp: string): number;\r\n\r\n    /**\r\n      * Finds the first substring match in a regular expression search.\r\n      * @param regexp The regular expression pattern and applicable flags. \r\n      */\r\n    search(regexp: RegExp): number;\r\n\r\n    /**\r\n      * Returns a section of a string.\r\n      * @param start The index to the beginning of the specified portion of stringObj. \r\n      * @param end The index to the end of the specified portion of stringObj. The substring includes the characters up to, but not including, the character indicated by end. \r\n      * If this value is not specified, the substring continues to the end of stringObj.\r\n      */\r\n    slice(start?: number, end?: number): string;\r\n\r\n    /**\r\n      * Split a string into substrings using the specified separator and return them as an array.\r\n      * @param separator A string that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned. \r\n      * @param limit A value used to limit the number of elements returned in the array.\r\n      */\r\n    split(separator: string, limit?: number): string[];\r\n\r\n    /**\r\n      * Split a string into substrings using the specified separator and return them as an array.\r\n      * @param separator A Regular Express that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned. \r\n      * @param limit A value used to limit the number of elements returned in the array.\r\n      */\r\n    split(separator: RegExp, limit?: number): string[];\r\n\r\n    /**\r\n      * Returns the substring at the specified location within a String object. \r\n      * @param start The zero-based index number indicating the beginning of the substring.\r\n      * @param end Zero-based index number indicating the end of the substring. The substring includes the characters up to, but not including, the character indicated by end.\r\n      * If end is omitted, the characters from start through the end of the original string are returned.\r\n      */\r\n    substring(start: number, end?: number): string;\r\n\r\n    /** Converts all the alphabetic characters in a string to lowercase. */\r\n    toLowerCase(): string;\r\n\r\n    /** Converts all alphabetic characters to lowercase, taking into account the host environment\'s current locale. */\r\n    toLocaleLowerCase(): string;\r\n\r\n    /** Converts all the alphabetic characters in a string to uppercase. */\r\n    toUpperCase(): string;\r\n\r\n    /** Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment\'s current locale. */\r\n    toLocaleUpperCase(): string;\r\n\r\n    /** Removes the leading and trailing white space and line terminator characters from a string. */\r\n    trim(): string;\r\n\r\n    /** Returns the length of a String object. */\r\n    length: number;\r\n\r\n    // IE extensions\r\n    /**\r\n      * Gets a substring beginning at the specified location and having the specified length.\r\n      * @param from The starting position of the desired substring. The index of the first character in the string is zero.\r\n      * @param length The number of characters to include in the returned substring.\r\n      */\r\n    substr(from: number, length?: number): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): string;\r\n\r\n    [index: number]: string;\r\n}\r\n\r\ninterface StringConstructor {\r\n    new (value?: any): String;\r\n    (value?: any): string;\r\n    prototype: String;\r\n    fromCharCode(...codes: number[]): string;\r\n}\r\n\r\n/** \r\n  * Allows manipulation and formatting of text strings and determination and location of substrings within strings. \r\n  */\r\ndeclare var String: StringConstructor;\r\n\r\ninterface Boolean {\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): boolean;\r\n}\r\n\r\ninterface BooleanConstructor {\r\n    new (value?: any): Boolean;\r\n    (value?: any): boolean;\r\n    prototype: Boolean;\r\n}\r\n\r\ndeclare var Boolean: BooleanConstructor;\r\n\r\ninterface Number {\r\n    /**\r\n      * Returns a string representation of an object.\r\n      * @param radix Specifies a radix for converting numeric values to strings. This value is only used for numbers.\r\n      */\r\n    toString(radix?: number): string;\r\n\r\n    /** \r\n      * Returns a string representing a number in fixed-point notation.\r\n      * @param fractionDigits Number of digits after the decimal point. Must be in the range 0 - 20, inclusive.\r\n      */\r\n    toFixed(fractionDigits?: number): string;\r\n\r\n    /**\r\n      * Returns a string containing a number represented in exponential notation.\r\n      * @param fractionDigits Number of digits after the decimal point. Must be in the range 0 - 20, inclusive.\r\n      */\r\n    toExponential(fractionDigits?: number): string;\r\n\r\n    /**\r\n      * Returns a string containing a number represented either in exponential or fixed-point notation with a specified number of digits.\r\n      * @param precision Number of significant digits. Must be in the range 1 - 21, inclusive.\r\n      */\r\n    toPrecision(precision?: number): string;\r\n\r\n    /** Returns the primitive value of the specified object. */\r\n    valueOf(): number;\r\n}\r\n\r\ninterface NumberConstructor {\r\n    new (value?: any): Number;\r\n    (value?: any): number;\r\n    prototype: Number;\r\n\r\n    /** The largest number that can be represented in JavaScript. Equal to approximately 1.79E+308. */\r\n    MAX_VALUE: number;\r\n\r\n    /** The closest number to zero that can be represented in JavaScript. Equal to approximately 5.00E-324. */\r\n    MIN_VALUE: number;\r\n\r\n    /** \r\n      * A value that is not a number.\r\n      * In equality comparisons, NaN does not equal any value, including itself. To test whether a value is equivalent to NaN, use the isNaN function.\r\n      */\r\n    NaN: number;\r\n\r\n    /** \r\n      * A value that is less than the largest negative number that can be represented in JavaScript.\r\n      * JavaScript displays NEGATIVE_INFINITY values as -infinity. \r\n      */\r\n    NEGATIVE_INFINITY: number;\r\n\r\n    /**\r\n      * A value greater than the largest number that can be represented in JavaScript. \r\n      * JavaScript displays POSITIVE_INFINITY values as infinity. \r\n      */\r\n    POSITIVE_INFINITY: number;\r\n}\r\n\r\n/** An object that represents a number of any kind. All JavaScript numbers are 64-bit floating-point numbers. */\r\ndeclare var Number: NumberConstructor;\r\n\r\ninterface TemplateStringsArray extends Array<string> {\r\n    raw: string[];\r\n}\r\n\r\ninterface Math {\r\n    /** The mathematical constant e. This is Euler\'s number, the base of natural logarithms. */\r\n    E: number;\r\n    /** The natural logarithm of 10. */\r\n    LN10: number;\r\n    /** The natural logarithm of 2. */\r\n    LN2: number;\r\n    /** The base-2 logarithm of e. */\r\n    LOG2E: number;\r\n    /** The base-10 logarithm of e. */\r\n    LOG10E: number;\r\n    /** Pi. This is the ratio of the circumference of a circle to its diameter. */\r\n    PI: number;\r\n    /** The square root of 0.5, or, equivalently, one divided by the square root of 2. */\r\n    SQRT1_2: number;\r\n    /** The square root of 2. */\r\n    SQRT2: number;\r\n    /**\r\n      * Returns the absolute value of a number (the value without regard to whether it is positive or negative). \r\n      * For example, the absolute value of -5 is the same as the absolute value of 5.\r\n      * @param x A numeric expression for which the absolute value is needed.\r\n      */\r\n    abs(x: number): number;\r\n    /**\r\n      * Returns the arc cosine (or inverse cosine) of a number. \r\n      * @param x A numeric expression.\r\n      */\r\n    acos(x: number): number;\r\n    /** \r\n      * Returns the arcsine of a number. \r\n      * @param x A numeric expression.\r\n      */\r\n    asin(x: number): number;\r\n    /**\r\n      * Returns the arctangent of a number. \r\n      * @param x A numeric expression for which the arctangent is needed.\r\n      */\r\n    atan(x: number): number;\r\n    /**\r\n      * Returns the angle (in radians) from the X axis to a point.\r\n      * @param y A numeric expression representing the cartesian y-coordinate.\r\n      * @param x A numeric expression representing the cartesian x-coordinate.\r\n      */\r\n    atan2(y: number, x: number): number;\r\n    /**\r\n      * Returns the smallest number greater than or equal to its numeric argument. \r\n      * @param x A numeric expression.\r\n      */\r\n    ceil(x: number): number;\r\n    /**\r\n      * Returns the cosine of a number. \r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    cos(x: number): number;\r\n    /**\r\n      * Returns e (the base of natural logarithms) raised to a power. \r\n      * @param x A numeric expression representing the power of e.\r\n      */\r\n    exp(x: number): number;\r\n    /**\r\n      * Returns the greatest number less than or equal to its numeric argument. \r\n      * @param x A numeric expression.\r\n      */\r\n    floor(x: number): number;\r\n    /**\r\n      * Returns the natural logarithm (base e) of a number. \r\n      * @param x A numeric expression.\r\n      */\r\n    log(x: number): number;\r\n    /**\r\n      * Returns the larger of a set of supplied numeric expressions. \r\n      * @param values Numeric expressions to be evaluated.\r\n      */\r\n    max(...values: number[]): number;\r\n    /**\r\n      * Returns the smaller of a set of supplied numeric expressions. \r\n      * @param values Numeric expressions to be evaluated.\r\n      */\r\n    min(...values: number[]): number;\r\n    /**\r\n      * Returns the value of a base expression taken to a specified power. \r\n      * @param x The base value of the expression.\r\n      * @param y The exponent value of the expression.\r\n      */\r\n    pow(x: number, y: number): number;\r\n    /** Returns a pseudorandom number between 0 and 1. */\r\n    random(): number;\r\n    /** \r\n      * Returns a supplied numeric expression rounded to the nearest number.\r\n      * @param x The value to be rounded to the nearest number.\r\n      */\r\n    round(x: number): number;\r\n    /**\r\n      * Returns the sine of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    sin(x: number): number;\r\n    /**\r\n      * Returns the square root of a number.\r\n      * @param x A numeric expression.\r\n      */\r\n    sqrt(x: number): number;\r\n    /**\r\n      * Returns the tangent of a number.\r\n      * @param x A numeric expression that contains an angle measured in radians.\r\n      */\r\n    tan(x: number): number;\r\n}\r\n/** An intrinsic object that provides basic mathematics functionality and constants. */\r\ndeclare var Math: Math;\r\n\r\n/** Enables basic storage and retrieval of dates and times. */\r\ninterface Date {\r\n    /** Returns a string representation of a date. The format of the string depends on the locale. */\r\n    toString(): string;\r\n    /** Returns a date as a string value. */\r\n    toDateString(): string;\r\n    /** Returns a time as a string value. */\r\n    toTimeString(): string;\r\n    /** Returns a value as a string value appropriate to the host environment\'s current locale. */\r\n    toLocaleString(): string;\r\n    /** Returns a date as a string value appropriate to the host environment\'s current locale. */\r\n    toLocaleDateString(): string;\r\n    /** Returns a time as a string value appropriate to the host environment\'s current locale. */\r\n    toLocaleTimeString(): string;\r\n    /** Returns the stored time value in milliseconds since midnight, January 1, 1970 UTC. */\r\n    valueOf(): number;\r\n    /** Gets the time value in milliseconds. */\r\n    getTime(): number;\r\n    /** Gets the year, using local time. */\r\n    getFullYear(): number;\r\n    /** Gets the year using Universal Coordinated Time (UTC). */\r\n    getUTCFullYear(): number;\r\n    /** Gets the month, using local time. */\r\n    getMonth(): number;\r\n    /** Gets the month of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCMonth(): number;\r\n    /** Gets the day-of-the-month, using local time. */\r\n    getDate(): number;\r\n    /** Gets the day-of-the-month, using Universal Coordinated Time (UTC). */\r\n    getUTCDate(): number;\r\n    /** Gets the day of the week, using local time. */\r\n    getDay(): number;\r\n    /** Gets the day of the week using Universal Coordinated Time (UTC). */\r\n    getUTCDay(): number;\r\n    /** Gets the hours in a date, using local time. */\r\n    getHours(): number;\r\n    /** Gets the hours value in a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCHours(): number;\r\n    /** Gets the minutes of a Date object, using local time. */\r\n    getMinutes(): number;\r\n    /** Gets the minutes of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCMinutes(): number;\r\n    /** Gets the seconds of a Date object, using local time. */\r\n    getSeconds(): number;\r\n    /** Gets the seconds of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCSeconds(): number;\r\n    /** Gets the milliseconds of a Date, using local time. */\r\n    getMilliseconds(): number;\r\n    /** Gets the milliseconds of a Date object using Universal Coordinated Time (UTC). */\r\n    getUTCMilliseconds(): number;\r\n    /** Gets the difference in minutes between the time on the local computer and Universal Coordinated Time (UTC). */\r\n    getTimezoneOffset(): number;\r\n    /** \r\n      * Sets the date and time value in the Date object.\r\n      * @param time A numeric value representing the number of elapsed milliseconds since midnight, January 1, 1970 GMT. \r\n      */\r\n    setTime(time: number): number;\r\n    /**\r\n      * Sets the milliseconds value in the Date object using local time. \r\n      * @param ms A numeric value equal to the millisecond value.\r\n      */\r\n    setMilliseconds(ms: number): number;\r\n    /** \r\n      * Sets the milliseconds value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param ms A numeric value equal to the millisecond value. \r\n      */\r\n    setUTCMilliseconds(ms: number): number;\r\n\r\n    /**\r\n      * Sets the seconds value in the Date object using local time. \r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setSeconds(sec: number, ms?: number): number;\r\n    /**\r\n      * Sets the seconds value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param sec A numeric value equal to the seconds value.\r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setUTCSeconds(sec: number, ms?: number): number;\r\n    /**\r\n      * Sets the minutes value in the Date object using local time. \r\n      * @param min A numeric value equal to the minutes value. \r\n      * @param sec A numeric value equal to the seconds value. \r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setMinutes(min: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the minutes value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param min A numeric value equal to the minutes value. \r\n      * @param sec A numeric value equal to the seconds value. \r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setUTCMinutes(min: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the hour value in the Date object using local time.\r\n      * @param hours A numeric value equal to the hours value.\r\n      * @param min A numeric value equal to the minutes value.\r\n      * @param sec A numeric value equal to the seconds value. \r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setHours(hours: number, min?: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the hours value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param hours A numeric value equal to the hours value.\r\n      * @param min A numeric value equal to the minutes value.\r\n      * @param sec A numeric value equal to the seconds value. \r\n      * @param ms A numeric value equal to the milliseconds value.\r\n      */\r\n    setUTCHours(hours: number, min?: number, sec?: number, ms?: number): number;\r\n    /**\r\n      * Sets the numeric day-of-the-month value of the Date object using local time. \r\n      * @param date A numeric value equal to the day of the month.\r\n      */\r\n    setDate(date: number): number;\r\n    /** \r\n      * Sets the numeric day of the month in the Date object using Universal Coordinated Time (UTC).\r\n      * @param date A numeric value equal to the day of the month. \r\n      */\r\n    setUTCDate(date: number): number;\r\n    /** \r\n      * Sets the month value in the Date object using local time. \r\n      * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively. \r\n      * @param date A numeric value representing the day of the month. If this value is not supplied, the value from a call to the getDate method is used.\r\n      */\r\n    setMonth(month: number, date?: number): number;\r\n    /**\r\n      * Sets the month value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively.\r\n      * @param date A numeric value representing the day of the month. If it is not supplied, the value from a call to the getUTCDate method is used.\r\n      */\r\n    setUTCMonth(month: number, date?: number): number;\r\n    /**\r\n      * Sets the year of the Date object using local time.\r\n      * @param year A numeric value for the year.\r\n      * @param month A zero-based numeric value for the month (0 for January, 11 for December). Must be specified if numDate is specified.\r\n      * @param date A numeric value equal for the day of the month.\r\n      */\r\n    setFullYear(year: number, month?: number, date?: number): number;\r\n    /**\r\n      * Sets the year value in the Date object using Universal Coordinated Time (UTC).\r\n      * @param year A numeric value equal to the year.\r\n      * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively. Must be supplied if numDate is supplied.\r\n      * @param date A numeric value equal to the day of the month.\r\n      */\r\n    setUTCFullYear(year: number, month?: number, date?: number): number;\r\n    /** Returns a date converted to a string using Universal Coordinated Time (UTC). */\r\n    toUTCString(): string;\r\n    /** Returns a date as a string value in ISO format. */\r\n    toISOString(): string;\r\n    /** Used by the JSON.stringify method to enable the transformation of an object\'s data for JavaScript Object Notation (JSON) serialization. */\r\n    toJSON(key?: any): string;\r\n}\r\n\r\ninterface DateConstructor {\r\n    new (): Date;\r\n    new (value: number): Date;\r\n    new (value: string): Date;\r\n    new (year: number, month: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): Date;\r\n    (): string;\r\n    prototype: Date;\r\n    /**\r\n      * Parses a string containing a date, and returns the number of milliseconds between that date and midnight, January 1, 1970.\r\n      * @param s A date string\r\n      */\r\n    parse(s: string): number;\r\n    /**\r\n      * Returns the number of milliseconds between midnight, January 1, 1970 Universal Coordinated Time (UTC) (or GMT) and the specified date. \r\n      * @param year The full year designation is required for cross-century date accuracy. If year is between 0 and 99 is used, then year is assumed to be 1900 + year.\r\n      * @param month The month as an number between 0 and 11 (January to December).\r\n      * @param date The date as an number between 1 and 31.\r\n      * @param hours Must be supplied if minutes is supplied. An number from 0 to 23 (midnight to 11pm) that specifies the hour.\r\n      * @param minutes Must be supplied if seconds is supplied. An number from 0 to 59 that specifies the minutes.\r\n      * @param seconds Must be supplied if milliseconds is supplied. An number from 0 to 59 that specifies the seconds.\r\n      * @param ms An number from 0 to 999 that specifies the milliseconds.\r\n      */\r\n    UTC(year: number, month: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): number;\r\n    now(): number;\r\n}\r\n\r\ndeclare var Date: DateConstructor;\r\n\r\ninterface RegExpMatchArray extends Array<string> {\r\n    index?: number;\r\n    input?: string;\r\n}\r\n\r\ninterface RegExpExecArray extends Array<string> {\r\n    index: number;\r\n    input: string;\r\n}\r\n\r\ninterface RegExp {\r\n    /** \r\n      * Executes a search on a string using a regular expression pattern, and returns an array containing the results of that search.\r\n      * @param string The String object or string literal on which to perform the search.\r\n      */\r\n    exec(string: string): RegExpExecArray;\r\n\r\n    /** \r\n      * Returns a Boolean value that indicates whether or not a pattern exists in a searched string.\r\n      * @param string String on which to perform the search.\r\n      */\r\n    test(string: string): boolean;\r\n\r\n    /** Returns a copy of the text of the regular expression pattern. Read-only. The regExp argument is a Regular expression object. It can be a variable name or a literal. */\r\n    source: string;\r\n\r\n    /** Returns a Boolean value indicating the state of the global flag (g) used with a regular expression. Default is false. Read-only. */\r\n    global: boolean;\r\n\r\n    /** Returns a Boolean value indicating the state of the ignoreCase flag (i) used with a regular expression. Default is false. Read-only. */\r\n    ignoreCase: boolean;\r\n\r\n    /** Returns a Boolean value indicating the state of the multiline flag (m) used with a regular expression. Default is false. Read-only. */\r\n    multiline: boolean;\r\n\r\n    lastIndex: number;\r\n\r\n    // Non-standard extensions\r\n    compile(): RegExp;\r\n}\r\n\r\ninterface RegExpConstructor {\r\n    new (pattern: string, flags?: string): RegExp;\r\n    (pattern: string, flags?: string): RegExp;\r\n    prototype: RegExp;\r\n\r\n    // Non-standard extensions\r\n    $1: string;\r\n    $2: string;\r\n    $3: string;\r\n    $4: string;\r\n    $5: string;\r\n    $6: string;\r\n    $7: string;\r\n    $8: string;\r\n    $9: string;\r\n    lastMatch: string;\r\n}\r\n\r\ndeclare var RegExp: RegExpConstructor;\r\n\r\ninterface Error {\r\n    name: string;\r\n    message: string;\r\n}\r\n\r\ninterface ErrorConstructor {\r\n    new (message?: string): Error;\r\n    (message?: string): Error;\r\n    prototype: Error;\r\n}\r\n\r\ndeclare var Error: ErrorConstructor;\r\n\r\ninterface EvalError extends Error {\r\n}\r\n\r\ninterface EvalErrorConstructor {\r\n    new (message?: string): EvalError;\r\n    (message?: string): EvalError;\r\n    prototype: EvalError;\r\n}\r\n\r\ndeclare var EvalError: EvalErrorConstructor;\r\n\r\ninterface RangeError extends Error {\r\n}\r\n\r\ninterface RangeErrorConstructor {\r\n    new (message?: string): RangeError;\r\n    (message?: string): RangeError;\r\n    prototype: RangeError;\r\n}\r\n\r\ndeclare var RangeError: RangeErrorConstructor;\r\n\r\ninterface ReferenceError extends Error {\r\n}\r\n\r\ninterface ReferenceErrorConstructor {\r\n    new (message?: string): ReferenceError;\r\n    (message?: string): ReferenceError;\r\n    prototype: ReferenceError;\r\n}\r\n\r\ndeclare var ReferenceError: ReferenceErrorConstructor;\r\n\r\ninterface SyntaxError extends Error {\r\n}\r\n\r\ninterface SyntaxErrorConstructor {\r\n    new (message?: string): SyntaxError;\r\n    (message?: string): SyntaxError;\r\n    prototype: SyntaxError;\r\n}\r\n\r\ndeclare var SyntaxError: SyntaxErrorConstructor;\r\n\r\ninterface TypeError extends Error {\r\n}\r\n\r\ninterface TypeErrorConstructor {\r\n    new (message?: string): TypeError;\r\n    (message?: string): TypeError;\r\n    prototype: TypeError;\r\n}\r\n\r\ndeclare var TypeError: TypeErrorConstructor;\r\n\r\ninterface URIError extends Error {\r\n}\r\n\r\ninterface URIErrorConstructor {\r\n    new (message?: string): URIError;\r\n    (message?: string): URIError;\r\n    prototype: URIError;\r\n}\r\n\r\ndeclare var URIError: URIErrorConstructor;\r\n\r\ninterface JSON {\r\n    /**\r\n      * Converts a JavaScript Object Notation (JSON) string into an object.\r\n      * @param text A valid JSON string.\r\n      * @param reviver A function that transforms the results. This function is called for each member of the object. \r\n      * If a member contains nested objects, the nested objects are transformed before the parent object is. \r\n      */\r\n    parse(text: string, reviver?: (key: any, value: any) => any): any;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      */\r\n    stringify(value: any): string;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer A function that transforms the results.\r\n      */\r\n    stringify(value: any, replacer: (key: string, value: any) => any): string;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer Array that transforms the results.\r\n      */\r\n    stringify(value: any, replacer: any[]): string;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer A function that transforms the results.\r\n      * @param space Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.\r\n      */\r\n    stringify(value: any, replacer: (key: string, value: any) => any, space: string | number): string;\r\n    /**\r\n      * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\r\n      * @param value A JavaScript value, usually an object or array, to be converted.\r\n      * @param replacer Array that transforms the results.\r\n      * @param space Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.\r\n      */\r\n    stringify(value: any, replacer: any[], space: string | number): string;\r\n}\r\n/**\r\n  * An intrinsic object that provides functions to convert JavaScript values to and from the JavaScript Object Notation (JSON) format.\r\n  */\r\ndeclare var JSON: JSON;\r\n\r\n\r\n/////////////////////////////\r\n/// ECMAScript Array API (specially handled by compiler)\r\n/////////////////////////////\r\n\r\ninterface Array<T> {\r\n    /**\r\n      * Gets or sets the length of the array. This is a number one higher than the highest element defined in an array.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n    toLocaleString(): string;\r\n    /**\r\n      * Appends new elements to an array, and returns the new length of the array.\r\n      * @param items New elements of the Array.\r\n      */\r\n    push(...items: T[]): number;\r\n    /**\r\n      * Removes the last element from an array and returns it.\r\n      */\r\n    pop(): T;\r\n    /**\r\n      * Combines two or more arrays.\r\n      * @param items Additional items to add to the end of array1.\r\n      */\r\n    concat<U extends T[]>(...items: U[]): T[];\r\n    /**\r\n      * Combines two or more arrays.\r\n      * @param items Additional items to add to the end of array1.\r\n      */\r\n    concat(...items: T[]): T[];\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): T[];\r\n    /**\r\n      * Removes the first element from an array and returns it.\r\n      */\r\n    shift(): T;\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): T[];\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: T, b: T) => number): T[];\r\n\r\n    /**\r\n      * Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.\r\n      * @param start The zero-based location in the array from which to start removing elements.\r\n      */\r\n    splice(start: number): T[];\r\n\r\n    /**\r\n      * Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.\r\n      * @param start The zero-based location in the array from which to start removing elements.\r\n      * @param deleteCount The number of elements to remove.\r\n      * @param items Elements to insert into the array in place of the deleted elements.\r\n      */\r\n    splice(start: number, deleteCount: number, ...items: T[]): T[];\r\n\r\n    /**\r\n      * Inserts new elements at the start of an array.\r\n      * @param items  Elements to insert at the start of the Array.\r\n      */\r\n    unshift(...items: T[]): number;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.\r\n      */\r\n    indexOf(searchElement: T, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a specified value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at the last index in the array.\r\n      */\r\n    lastIndexOf(searchElement: T, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: T, index: number, array: T[]) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: T, index: number, array: T[]) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: T, index: number, array: T[]) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map<U>(callbackfn: (value: T, index: number, array: T[]) => U, thisArg?: any): U[];\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: T, index: number, array: T[]) => boolean, thisArg?: any): T[];\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T, initialValue?: T): T;\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: T[]) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T, initialValue?: T): T;\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: T[]) => U, initialValue: U): U;\r\n\r\n    [n: number]: T;\r\n}\r\n\r\ninterface ArrayConstructor {\r\n    new (arrayLength?: number): any[];\r\n    new <T>(arrayLength: number): T[];\r\n    new <T>(...items: T[]): T[];\r\n    (arrayLength?: number): any[];\r\n    <T>(arrayLength: number): T[];\r\n    <T>(...items: T[]): T[];\r\n    isArray(arg: any): arg is Array<any>;\r\n    prototype: Array<any>;\r\n}\r\n\r\ndeclare var Array: ArrayConstructor;\r\n\r\ninterface TypedPropertyDescriptor<T> {\r\n    enumerable?: boolean;\r\n    configurable?: boolean;\r\n    writable?: boolean;\r\n    value?: T;\r\n    get?: () => T;\r\n    set?: (value: T) => void;\r\n}\r\n\r\ndeclare type ClassDecorator = <TFunction extends Function>(target: TFunction) => TFunction | void;\r\ndeclare type PropertyDecorator = (target: Object, propertyKey: string | symbol) => void;\r\ndeclare type MethodDecorator = <T>(target: Object, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<T>) => TypedPropertyDescriptor<T> | void;\r\ndeclare type ParameterDecorator = (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;\r\n\r\ndeclare type PromiseConstructorLike = new <T>(executor: (resolve: (value?: T | PromiseLike<T>) => void, reject: (reason?: any) => void) => void) => PromiseLike<T>;\r\n\r\ninterface PromiseLike<T> {\r\n    /**\r\n    * Attaches callbacks for the resolution and/or rejection of the Promise.\r\n    * @param onfulfilled The callback to execute when the Promise is resolved.\r\n    * @param onrejected The callback to execute when the Promise is rejected.\r\n    * @returns A Promise for the completion of which ever callback is executed.\r\n    */\r\n    then<TResult>(onfulfilled?: (value: T) => TResult | PromiseLike<TResult>, onrejected?: (reason: any) => TResult | PromiseLike<TResult>): PromiseLike<TResult>;\r\n    then<TResult>(onfulfilled?: (value: T) => TResult | PromiseLike<TResult>, onrejected?: (reason: any) => void): PromiseLike<TResult>;\r\n}\r\n\r\ninterface ArrayLike<T> {\r\n    length: number;\r\n    [n: number]: T;\r\n}\r\n\r\n\r\n/**\r\n  * Represents a raw buffer of binary data, which is used to store data for the \r\n  * different typed arrays. ArrayBuffers cannot be read from or written to directly, \r\n  * but can be passed to a typed array or DataView Object to interpret the raw \r\n  * buffer as needed. \r\n  */\r\ninterface ArrayBuffer {\r\n    /**\r\n      * Read-only. The length of the ArrayBuffer (in bytes).\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * Returns a section of an ArrayBuffer.\r\n      */\r\n    slice(begin:number, end?:number): ArrayBuffer;\r\n}\r\n\r\ninterface ArrayBufferConstructor {\r\n    prototype: ArrayBuffer;\r\n    new (byteLength: number): ArrayBuffer;\r\n    isView(arg: any): arg is ArrayBufferView;\r\n}\r\ndeclare var ArrayBuffer: ArrayBufferConstructor;\r\n\r\ninterface ArrayBufferView {\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n}\r\n\r\ninterface DataView {\r\n    buffer: ArrayBuffer;\r\n    byteLength: number;\r\n    byteOffset: number;\r\n    /**\r\n      * Gets the Float32 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getFloat32(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Float64 value at the specified byte offset from the start of the view. There is\r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getFloat64(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Int8 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getInt8(byteOffset: number): number;\r\n\r\n    /**\r\n      * Gets the Int16 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getInt16(byteOffset: number, littleEndian?: boolean): number;\r\n    /**\r\n      * Gets the Int32 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getInt32(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Uint8 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getUint8(byteOffset: number): number;\r\n\r\n    /**\r\n      * Gets the Uint16 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getUint16(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Gets the Uint32 value at the specified byte offset from the start of the view. There is \r\n      * no alignment constraint; multi-byte values may be fetched from any offset. \r\n      * @param byteOffset The place in the buffer at which the value should be retrieved.\r\n      */\r\n    getUint32(byteOffset: number, littleEndian?: boolean): number;\r\n\r\n    /**\r\n      * Stores an Float32 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setFloat32(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Float64 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setFloat64(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Int8 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      */\r\n    setInt8(byteOffset: number, value: number): void;\r\n\r\n    /**\r\n      * Stores an Int16 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setInt16(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Int32 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setInt32(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Uint8 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      */\r\n    setUint8(byteOffset: number, value: number): void;\r\n\r\n    /**\r\n      * Stores an Uint16 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setUint16(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n\r\n    /**\r\n      * Stores an Uint32 value at the specified byte offset from the start of the view. \r\n      * @param byteOffset The place in the buffer at which the value should be set.\r\n      * @param value The value to set.\r\n      * @param littleEndian If false or undefined, a big-endian value should be written, \r\n      * otherwise a little-endian value should be written.\r\n      */\r\n    setUint32(byteOffset: number, value: number, littleEndian?: boolean): void;\r\n}\r\n\r\ninterface DataViewConstructor {\r\n    new (buffer: ArrayBuffer, byteOffset?: number, byteLength?: number): DataView;\r\n}\r\ndeclare var DataView: DataViewConstructor;\r\n\r\n/**\r\n  * A typed array of 8-bit integer values. The contents are initialized to 0. If the requested \r\n  * number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int8Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Int8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Int8Array) => boolean, thisArg?: any): Int8Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Int8Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Int8Array) => number, thisArg?: any): Int8Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int8Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int8Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Int8Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Int8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Int8Array;\r\n\r\n    /**\r\n      * Gets a new Int8Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Int8Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\ninterface Int8ArrayConstructor {\r\n    prototype: Int8Array;\r\n    new (length: number): Int8Array;\r\n    new (array: ArrayLike<number>): Int8Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Int8Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Int8Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int8Array;\r\n\r\n}\r\ndeclare var Int8Array: Int8ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 8-bit unsigned integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint8Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint8Array) => boolean, thisArg?: any): Uint8Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint8Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint8Array) => number, thisArg?: any): Uint8Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Uint8Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint8Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Uint8Array;\r\n\r\n    /**\r\n      * Gets a new Uint8Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint8Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint8ArrayConstructor {\r\n    prototype: Uint8Array;\r\n    new (length: number): Uint8Array;\r\n    new (array: ArrayLike<number>): Uint8Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint8Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint8Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8Array;\r\n\r\n}\r\ndeclare var Uint8Array: Uint8ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 8-bit unsigned integer (clamped) values. The contents are initialized to 0. \r\n  * If the requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint8ClampedArray {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => boolean, thisArg?: any): Uint8ClampedArray;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => number, thisArg?: any): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: Uint8ClampedArray, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Gets a new Uint8ClampedArray view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint8ClampedArrayConstructor {\r\n    prototype: Uint8ClampedArray;\r\n    new (length: number): Uint8ClampedArray;\r\n    new (array: ArrayLike<number>): Uint8ClampedArray;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint8ClampedArray;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint8ClampedArray;\r\n\r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8ClampedArray;\r\n}\r\ndeclare var Uint8ClampedArray: Uint8ClampedArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 16-bit signed integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int16Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Int16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Int16Array) => boolean, thisArg?: any): Int16Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Int16Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Int16Array) => number, thisArg?: any): Int16Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Int16Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Int16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Int16Array;\r\n\r\n    /**\r\n      * Gets a new Int16Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Int16Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Int16ArrayConstructor {\r\n    prototype: Int16Array;\r\n    new (length: number): Int16Array;\r\n    new (array: ArrayLike<number>): Int16Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Int16Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Int16Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int16Array;\r\n\r\n}\r\ndeclare var Int16Array: Int16ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 16-bit unsigned integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint16Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint16Array) => boolean, thisArg?: any): Uint16Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint16Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint16Array) => number, thisArg?: any): Uint16Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint16Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint16Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Uint16Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint16Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Uint16Array;\r\n\r\n    /**\r\n      * Gets a new Uint16Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint16Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint16ArrayConstructor {\r\n    prototype: Uint16Array;\r\n    new (length: number): Uint16Array;\r\n    new (array: ArrayLike<number>): Uint16Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint16Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint16Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint16Array;\r\n\r\n}\r\ndeclare var Uint16Array: Uint16ArrayConstructor;\r\n/**\r\n  * A typed array of 32-bit signed integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Int32Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Int32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Int32Array) => boolean, thisArg?: any): Int32Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Int32Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Int32Array) => number, thisArg?: any): Int32Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int32Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Int32Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Int32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Int32Array;\r\n\r\n    /**\r\n      * Gets a new Int32Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Int32Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Int32ArrayConstructor {\r\n    prototype: Int32Array;\r\n    new (length: number): Int32Array;\r\n    new (array: ArrayLike<number>): Int32Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Int32Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Int32Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int32Array;\r\n}\r\ndeclare var Int32Array: Int32ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 32-bit unsigned integer values. The contents are initialized to 0. If the \r\n  * requested number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Uint32Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Uint32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Uint32Array) => boolean, thisArg?: any): Uint32Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Uint32Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Uint32Array) => number, thisArg?: any): Uint32Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint32Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Uint32Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Uint32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Uint32Array;\r\n\r\n    /**\r\n      * Gets a new Uint32Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Uint32Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Uint32ArrayConstructor {\r\n    prototype: Uint32Array;\r\n    new (length: number): Uint32Array;\r\n    new (array: ArrayLike<number>): Uint32Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Uint32Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Uint32Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint32Array;\r\n}\r\ndeclare var Uint32Array: Uint32ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 32-bit float values. The contents are initialized to 0. If the requested number\r\n  * of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Float32Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Float32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Float32Array) => boolean, thisArg?: any): Float32Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Float32Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Float32Array) => number, thisArg?: any): Float32Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float32Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float32Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Float32Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Float32Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Float32Array;\r\n\r\n    /**\r\n      * Gets a new Float32Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Float32Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Float32ArrayConstructor {\r\n    prototype: Float32Array;\r\n    new (length: number): Float32Array;\r\n    new (array: ArrayLike<number>): Float32Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Float32Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Float32Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float32Array;\r\n\r\n}\r\ndeclare var Float32Array: Float32ArrayConstructor;\r\n\r\n/**\r\n  * A typed array of 64-bit float values. The contents are initialized to 0. If the requested \r\n  * number of bytes could not be allocated an exception is raised.\r\n  */\r\ninterface Float64Array {\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * The ArrayBuffer instance referenced by the array. \r\n      */\r\n    buffer: ArrayBuffer;\r\n\r\n    /**\r\n      * The length in bytes of the array.\r\n      */\r\n    byteLength: number;\r\n\r\n    /**\r\n      * The offset in bytes of the array.\r\n      */\r\n    byteOffset: number;\r\n\r\n    /** \r\n      * Returns the this object after copying a section of the array identified by start and end\r\n      * to the same array starting at position target\r\n      * @param target If target is negative, it is treated as length+target where length is the \r\n      * length of the array. \r\n      * @param start If start is negative, it is treated as length+start. If end is negative, it \r\n      * is treated as length+end.\r\n      * @param end If not specified, length of the this object is used as its default value. \r\n      */\r\n    copyWithin(target: number, start: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Determines whether all the members of an array satisfy the specified test.\r\n      * @param callbackfn A function that accepts up to three arguments. The every method calls \r\n      * the callbackfn function for each element in array1 until the callbackfn returns false, \r\n      * or until the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function.\r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    every(callbackfn: (value: number, index: number, array: Float64Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n        * Returns the this object after filling the section identified by start and end with value\r\n        * @param value value to fill array section with\r\n        * @param start index to start filling the array at. If start is negative, it is treated as \r\n        * length+start where length is the length of the array. \r\n        * @param end index to stop filling the array at. If end is negative, it is treated as \r\n        * length+end.\r\n        */\r\n    fill(value: number, start?: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Returns the elements of an array that meet the condition specified in a callback function. \r\n      * @param callbackfn A function that accepts up to three arguments. The filter method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    filter(callbackfn: (value: number, index: number, array: Float64Array) => boolean, thisArg?: any): Float64Array;\r\n\r\n    /** \r\n      * Returns the value of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    find(predicate: (value: number, index: number, obj: Array<number>) => boolean, thisArg?: any): number;\r\n\r\n    /** \r\n      * Returns the index of the first element in the array where predicate is true, and undefined \r\n      * otherwise.\r\n      * @param predicate find calls predicate once for each element of the array, in ascending \r\n      * order, until it finds one where predicate returns true. If such an element is found, find \r\n      * immediately returns that element value. Otherwise, find returns undefined.\r\n      * @param thisArg If provided, it will be used as the this value for each invocation of \r\n      * predicate. If it is not provided, undefined is used instead.\r\n      */\r\n    findIndex(predicate: (value: number) => boolean, thisArg?: any): number;\r\n\r\n    /**\r\n      * Performs the specified action for each element in an array.\r\n      * @param callbackfn  A function that accepts up to three arguments. forEach calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg  An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    forEach(callbackfn: (value: number, index: number, array: Float64Array) => void, thisArg?: any): void;\r\n\r\n    /**\r\n      * Returns the index of the first occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\r\n      *  search starts at index 0.\r\n      */\r\n    indexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * Adds all the elements of an array separated by the specified separator string.\r\n      * @param separator A string used to separate one element of an array from the next in the \r\n      * resulting String. If omitted, the array elements are separated with a comma.\r\n      */\r\n    join(separator?: string): string;\r\n\r\n    /**\r\n      * Returns the index of the last occurrence of a value in an array.\r\n      * @param searchElement The value to locate in the array.\r\n      * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the \r\n      * search starts at index 0.\r\n      */\r\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\r\n\r\n    /**\r\n      * The length of the array.\r\n      */\r\n    length: number;\r\n\r\n    /**\r\n      * Calls a defined callback function on each element of an array, and returns an array that \r\n      * contains the results.\r\n      * @param callbackfn A function that accepts up to three arguments. The map method calls the \r\n      * callbackfn function one time for each element in the array. \r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    map(callbackfn: (value: number, index: number, array: Float64Array) => number, thisArg?: any): Float64Array;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number, initialValue?: number): number;\r\n\r\n    /**\r\n      * Calls the specified callback function for all the elements in an array. The return value of \r\n      * the callback function is the accumulated result, and is provided as an argument in the next \r\n      * call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduce method calls the \r\n      * callbackfn function one time for each element in the array.\r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument \r\n      * instead of an array value.\r\n      */\r\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float64Array) => U, initialValue: U): U;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls \r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an \r\n      * argument instead of an array value.\r\n      */\r\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number, initialValue?: number): number;\r\n\r\n    /** \r\n      * Calls the specified callback function for all the elements in an array, in descending order. \r\n      * The return value of the callback function is the accumulated result, and is provided as an \r\n      * argument in the next call to the callback function.\r\n      * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\r\n      * the callbackfn function one time for each element in the array. \r\n      * @param initialValue If initialValue is specified, it is used as the initial value to start \r\n      * the accumulation. The first call to the callbackfn function provides this value as an argument\r\n      * instead of an array value.\r\n      */\r\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float64Array) => U, initialValue: U): U;\r\n\r\n    /**\r\n      * Reverses the elements in an Array. \r\n      */\r\n    reverse(): Float64Array;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param index The index of the location to set.\r\n      * @param value The value to set.\r\n      */\r\n    set(index: number, value: number): void;\r\n\r\n    /**\r\n      * Sets a value or an array of values.\r\n      * @param array A typed or untyped array of values to set.\r\n      * @param offset The index in the current array at which the values are to be written.\r\n      */\r\n    set(array: ArrayLike<number>, offset?: number): void;\r\n\r\n    /** \r\n      * Returns a section of an array.\r\n      * @param start The beginning of the specified portion of the array.\r\n      * @param end The end of the specified portion of the array.\r\n      */\r\n    slice(start?: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Determines whether the specified callback function returns true for any element of an array.\r\n      * @param callbackfn A function that accepts up to three arguments. The some method calls the \r\n      * callbackfn function for each element in array1 until the callbackfn returns true, or until \r\n      * the end of the array.\r\n      * @param thisArg An object to which the this keyword can refer in the callbackfn function. \r\n      * If thisArg is omitted, undefined is used as the this value.\r\n      */\r\n    some(callbackfn: (value: number, index: number, array: Float64Array) => boolean, thisArg?: any): boolean;\r\n\r\n    /**\r\n      * Sorts an array.\r\n      * @param compareFn The name of the function used to determine the order of the elements. If \r\n      * omitted, the elements are sorted in ascending, ASCII character order.\r\n      */\r\n    sort(compareFn?: (a: number, b: number) => number): Float64Array;\r\n\r\n    /**\r\n      * Gets a new Float64Array view of the ArrayBuffer store for this array, referencing the elements\r\n      * at begin, inclusive, up to end, exclusive. \r\n      * @param begin The index of the beginning of the array.\r\n      * @param end The index of the end of the array.\r\n      */\r\n    subarray(begin: number, end?: number): Float64Array;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current locale. \r\n      */\r\n    toLocaleString(): string;\r\n\r\n    /**\r\n      * Returns a string representation of an array.\r\n      */\r\n    toString(): string;\r\n\r\n    [index: number]: number;\r\n}\r\n\r\ninterface Float64ArrayConstructor {\r\n    prototype: Float64Array;\r\n    new (length: number): Float64Array;\r\n    new (array: ArrayLike<number>): Float64Array;\r\n    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): Float64Array;\r\n\r\n    /**\r\n      * The size in bytes of each element in the array. \r\n      */\r\n    BYTES_PER_ELEMENT: number;\r\n\r\n    /**\r\n      * Returns a new array from a set of elements.\r\n      * @param items A set of elements to include in the new array object.\r\n      */\r\n    of(...items: number[]): Float64Array;\r\n    \r\n    /**\r\n      * Creates an array from an array-like or iterable object.\r\n      * @param arrayLike An array-like or iterable object to convert to an array.\r\n      * @param mapfn A mapping function to call on every element of the array.\r\n      * @param thisArg Value of \'this\' used to invoke the mapfn.\r\n      */\r\n    from(arrayLike: ArrayLike<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float64Array;\r\n}\r\ndeclare var Float64Array: Float64ArrayConstructor;\r\n/////////////////////////////\r\n/// ECMAScript Internationalization API \r\n/////////////////////////////\r\n\r\ndeclare module Intl {\r\n    interface CollatorOptions {\r\n        usage?: string;\r\n        localeMatcher?: string;\r\n        numeric?: boolean;\r\n        caseFirst?: string;\r\n        sensitivity?: string;\r\n        ignorePunctuation?: boolean;\r\n    }\r\n\r\n    interface ResolvedCollatorOptions {\r\n        locale: string;\r\n        usage: string;\r\n        sensitivity: string;\r\n        ignorePunctuation: boolean;\r\n        collation: string;\r\n        caseFirst: string;\r\n        numeric: boolean;\r\n    }\r\n\r\n    interface Collator {\r\n        compare(x: string, y: string): number;\r\n        resolvedOptions(): ResolvedCollatorOptions;\r\n    }\r\n    var Collator: {\r\n        new (locales?: string[], options?: CollatorOptions): Collator;\r\n        new (locale?: string, options?: CollatorOptions): Collator;\r\n        (locales?: string[], options?: CollatorOptions): Collator;\r\n        (locale?: string, options?: CollatorOptions): Collator;\r\n        supportedLocalesOf(locales: string[], options?: CollatorOptions): string[];\r\n        supportedLocalesOf(locale: string, options?: CollatorOptions): string[];\r\n    }\r\n\r\n    interface NumberFormatOptions {\r\n        localeMatcher?: string;\r\n        style?: string;\r\n        currency?: string;\r\n        currencyDisplay?: string;\r\n        useGrouping?: boolean;\r\n        minimumIntegerDigits?: number;\r\n        minimumFractionDigits?: number;\r\n        maximumFractionDigits?: number;\r\n        minimumSignificantDigits?: number;\r\n        maximumSignificantDigits?: number;\r\n    }\r\n\r\n    interface ResolvedNumberFormatOptions {\r\n        locale: string;\r\n        numberingSystem: string;\r\n        style: string;\r\n        currency?: string;\r\n        currencyDisplay?: string;\r\n        minimumIntegerDigits: number;\r\n        minimumFractionDigits: number;\r\n        maximumFractionDigits: number;\r\n        minimumSignificantDigits?: number;\r\n        maximumSignificantDigits?: number;\r\n        useGrouping: boolean;\r\n    }\r\n\r\n    interface NumberFormat {\r\n        format(value: number): string;\r\n        resolvedOptions(): ResolvedNumberFormatOptions;\r\n    }\r\n    var NumberFormat: {\r\n        new (locales?: string[], options?: NumberFormatOptions): NumberFormat;\r\n        new (locale?: string, options?: NumberFormatOptions): NumberFormat;\r\n        (locales?: string[], options?: NumberFormatOptions): NumberFormat;\r\n        (locale?: string, options?: NumberFormatOptions): NumberFormat;\r\n        supportedLocalesOf(locales: string[], options?: NumberFormatOptions): string[];\r\n        supportedLocalesOf(locale: string, options?: NumberFormatOptions): string[];\r\n    }\r\n\r\n    interface DateTimeFormatOptions {\r\n        localeMatcher?: string;\r\n        weekday?: string;\r\n        era?: string;\r\n        year?: string;\r\n        month?: string;\r\n        day?: string;\r\n        hour?: string;\r\n        minute?: string;\r\n        second?: string;\r\n        timeZoneName?: string;\r\n        formatMatcher?: string;\r\n        hour12?: boolean;\r\n        timeZone?: string;\r\n    }\r\n\r\n    interface ResolvedDateTimeFormatOptions {\r\n        locale: string;\r\n        calendar: string;\r\n        numberingSystem: string;\r\n        timeZone: string;\r\n        hour12?: boolean;\r\n        weekday?: string;\r\n        era?: string;\r\n        year?: string;\r\n        month?: string;\r\n        day?: string;\r\n        hour?: string;\r\n        minute?: string;\r\n        second?: string;\r\n        timeZoneName?: string;\r\n    }\r\n\r\n    interface DateTimeFormat {\r\n        format(date?: Date | number): string;\r\n        resolvedOptions(): ResolvedDateTimeFormatOptions;\r\n    }\r\n    var DateTimeFormat: {\r\n        new (locales?: string[], options?: DateTimeFormatOptions): DateTimeFormat;\r\n        new (locale?: string, options?: DateTimeFormatOptions): DateTimeFormat;\r\n        (locales?: string[], options?: DateTimeFormatOptions): DateTimeFormat;\r\n        (locale?: string, options?: DateTimeFormatOptions): DateTimeFormat;\r\n        supportedLocalesOf(locales: string[], options?: DateTimeFormatOptions): string[];\r\n        supportedLocalesOf(locale: string, options?: DateTimeFormatOptions): string[];\r\n    }\r\n}\r\n\r\ninterface String {\r\n    /**\r\n      * Determines whether two strings are equivalent in the current locale.\r\n      * @param that String to compare to target string\r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.\r\n      * @param options An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.\r\n      */\r\n    localeCompare(that: string, locales: string[], options?: Intl.CollatorOptions): number;\r\n\r\n    /**\r\n      * Determines whether two strings are equivalent in the current locale.\r\n      * @param that String to compare to target string\r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.\r\n      * @param options An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.\r\n      */\r\n    localeCompare(that: string, locale: string, options?: Intl.CollatorOptions): number;\r\n}\r\n\r\ninterface Number {\r\n    /**\r\n      * Converts a number to a string by using the current or specified locale. \r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locales?: string[], options?: Intl.NumberFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a number to a string by using the current or specified locale. \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locale?: string, options?: Intl.NumberFormatOptions): string;\r\n}\r\n\r\ninterface Date {\r\n    /**\r\n      * Converts a date and time to a string by using the current or specified locale.  \r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locales?: string[], options?: Intl.DateTimeFormatOptions): string;\r\n    /**\r\n      * Converts a date to a string by using the current or specified locale.  \r\n      * @param locales An array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleDateString(locales?: string[], options?: Intl.DateTimeFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a time to a string by using the current or specified locale.  \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleTimeString(locale?: string[], options?: Intl.DateTimeFormatOptions): string;\r\n    \r\n    /**\r\n      * Converts a date and time to a string by using the current or specified locale.  \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleString(locale?: string, options?: Intl.DateTimeFormatOptions): string;\r\n    \r\n    /**\r\n      * Converts a date to a string by using the current or specified locale.  \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleDateString(locale?: string, options?: Intl.DateTimeFormatOptions): string;\r\n\r\n    /**\r\n      * Converts a time to a string by using the current or specified locale.  \r\n      * @param locale Locale tag. If you omit this parameter, the default locale of the JavaScript runtime is used.\r\n      * @param options An object that contains one or more properties that specify comparison options.\r\n      */\r\n    toLocaleTimeString(locale?: string, options?: Intl.DateTimeFormatOptions): string;\r\n}\r\n\r\n\r\n/////////////////////////////\r\n/// IE DOM APIs\r\n/////////////////////////////\r\n\r\ninterface Algorithm {\r\n    name?: string;\r\n}\r\n\r\ninterface AriaRequestEventInit extends EventInit {\r\n    attributeName?: string;\r\n    attributeValue?: string;\r\n}\r\n\r\ninterface ClipboardEventInit extends EventInit {\r\n    data?: string;\r\n    dataType?: string;\r\n}\r\n\r\ninterface CommandEventInit extends EventInit {\r\n    commandName?: string;\r\n    detail?: string;\r\n}\r\n\r\ninterface CompositionEventInit extends UIEventInit {\r\n    data?: string;\r\n}\r\n\r\ninterface ConfirmSiteSpecificExceptionsInformation extends ExceptionInformation {\r\n    arrayOfDomainStrings?: string[];\r\n}\r\n\r\ninterface CustomEventInit extends EventInit {\r\n    detail?: any;\r\n}\r\n\r\ninterface DeviceAccelerationDict {\r\n    x?: number;\r\n    y?: number;\r\n    z?: number;\r\n}\r\n\r\ninterface DeviceRotationRateDict {\r\n    alpha?: number;\r\n    beta?: number;\r\n    gamma?: number;\r\n}\r\n\r\ninterface EventInit {\r\n    bubbles?: boolean;\r\n    cancelable?: boolean;\r\n}\r\n\r\ninterface ExceptionInformation {\r\n    domain?: string;\r\n}\r\n\r\ninterface FocusEventInit extends UIEventInit {\r\n    relatedTarget?: EventTarget;\r\n}\r\n\r\ninterface HashChangeEventInit extends EventInit {\r\n    newURL?: string;\r\n    oldURL?: string;\r\n}\r\n\r\ninterface KeyAlgorithm {\r\n    name?: string;\r\n}\r\n\r\ninterface KeyboardEventInit extends SharedKeyboardAndMouseEventInit {\r\n    key?: string;\r\n    location?: number;\r\n    repeat?: boolean;\r\n}\r\n\r\ninterface MouseEventInit extends SharedKeyboardAndMouseEventInit {\r\n    screenX?: number;\r\n    screenY?: number;\r\n    clientX?: number;\r\n    clientY?: number;\r\n    button?: number;\r\n    buttons?: number;\r\n    relatedTarget?: EventTarget;\r\n}\r\n\r\ninterface MsZoomToOptions {\r\n    contentX?: number;\r\n    contentY?: number;\r\n    viewportX?: string;\r\n    viewportY?: string;\r\n    scaleFactor?: number;\r\n    animate?: string;\r\n}\r\n\r\ninterface MutationObserverInit {\r\n    childList?: boolean;\r\n    attributes?: boolean;\r\n    characterData?: boolean;\r\n    subtree?: boolean;\r\n    attributeOldValue?: boolean;\r\n    characterDataOldValue?: boolean;\r\n    attributeFilter?: string[];\r\n}\r\n\r\ninterface ObjectURLOptions {\r\n    oneTimeOnly?: boolean;\r\n}\r\n\r\ninterface PointerEventInit extends MouseEventInit {\r\n    pointerId?: number;\r\n    width?: number;\r\n    height?: number;\r\n    pressure?: number;\r\n    tiltX?: number;\r\n    tiltY?: number;\r\n    pointerType?: string;\r\n    isPrimary?: boolean;\r\n}\r\n\r\ninterface PositionOptions {\r\n    enableHighAccuracy?: boolean;\r\n    timeout?: number;\r\n    maximumAge?: number;\r\n}\r\n\r\ninterface SharedKeyboardAndMouseEventInit extends UIEventInit {\r\n    ctrlKey?: boolean;\r\n    shiftKey?: boolean;\r\n    altKey?: boolean;\r\n    metaKey?: boolean;\r\n    keyModifierStateAltGraph?: boolean;\r\n    keyModifierStateCapsLock?: boolean;\r\n    keyModifierStateFn?: boolean;\r\n    keyModifierStateFnLock?: boolean;\r\n    keyModifierStateHyper?: boolean;\r\n    keyModifierStateNumLock?: boolean;\r\n    keyModifierStateOS?: boolean;\r\n    keyModifierStateScrollLock?: boolean;\r\n    keyModifierStateSuper?: boolean;\r\n    keyModifierStateSymbol?: boolean;\r\n    keyModifierStateSymbolLock?: boolean;\r\n}\r\n\r\ninterface StoreExceptionsInformation extends ExceptionInformation {\r\n    siteName?: string;\r\n    explanationString?: string;\r\n    detailURI?: string;\r\n}\r\n\r\ninterface StoreSiteSpecificExceptionsInformation extends StoreExceptionsInformation {\r\n    arrayOfDomainStrings?: string[];\r\n}\r\n\r\ninterface UIEventInit extends EventInit {\r\n    view?: Window;\r\n    detail?: number;\r\n}\r\n\r\ninterface WebGLContextAttributes {\r\n    alpha?: boolean;\r\n    depth?: boolean;\r\n    stencil?: boolean;\r\n    antialias?: boolean;\r\n    premultipliedAlpha?: boolean;\r\n    preserveDrawingBuffer?: boolean;\r\n}\r\n\r\ninterface WebGLContextEventInit extends EventInit {\r\n    statusMessage?: string;\r\n}\r\n\r\ninterface WheelEventInit extends MouseEventInit {\r\n    deltaX?: number;\r\n    deltaY?: number;\r\n    deltaZ?: number;\r\n    deltaMode?: number;\r\n}\r\n\r\ninterface EventListener {\r\n    (evt: Event): void;\r\n}\r\n\r\ninterface ANGLE_instanced_arrays {\r\n    drawArraysInstancedANGLE(mode: number, first: number, count: number, primcount: number): void;\r\n    drawElementsInstancedANGLE(mode: number, count: number, type: number, offset: number, primcount: number): void;\r\n    vertexAttribDivisorANGLE(index: number, divisor: number): void;\r\n    VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE: number;\r\n}\r\n\r\ndeclare var ANGLE_instanced_arrays: {\r\n    prototype: ANGLE_instanced_arrays;\r\n    new(): ANGLE_instanced_arrays;\r\n    VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE: number;\r\n}\r\n\r\ninterface AnalyserNode extends AudioNode {\r\n    fftSize: number;\r\n    frequencyBinCount: number;\r\n    maxDecibels: number;\r\n    minDecibels: number;\r\n    smoothingTimeConstant: number;\r\n    getByteFrequencyData(array: Uint8Array): void;\r\n    getByteTimeDomainData(array: Uint8Array): void;\r\n    getFloatFrequencyData(array: Float32Array): void;\r\n    getFloatTimeDomainData(array: Float32Array): void;\r\n}\r\n\r\ndeclare var AnalyserNode: {\r\n    prototype: AnalyserNode;\r\n    new(): AnalyserNode;\r\n}\r\n\r\ninterface AnimationEvent extends Event {\r\n    animationName: string;\r\n    elapsedTime: number;\r\n    initAnimationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, animationNameArg: string, elapsedTimeArg: number): void;\r\n}\r\n\r\ndeclare var AnimationEvent: {\r\n    prototype: AnimationEvent;\r\n    new(): AnimationEvent;\r\n}\r\n\r\ninterface ApplicationCache extends EventTarget {\r\n    oncached: (ev: Event) => any;\r\n    onchecking: (ev: Event) => any;\r\n    ondownloading: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onnoupdate: (ev: Event) => any;\r\n    onobsolete: (ev: Event) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    onupdateready: (ev: Event) => any;\r\n    status: number;\r\n    abort(): void;\r\n    swapCache(): void;\r\n    update(): void;\r\n    CHECKING: number;\r\n    DOWNLOADING: number;\r\n    IDLE: number;\r\n    OBSOLETE: number;\r\n    UNCACHED: number;\r\n    UPDATEREADY: number;\r\n    addEventListener(type: "cached", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "checking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "downloading", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "noupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "obsolete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "updateready", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var ApplicationCache: {\r\n    prototype: ApplicationCache;\r\n    new(): ApplicationCache;\r\n    CHECKING: number;\r\n    DOWNLOADING: number;\r\n    IDLE: number;\r\n    OBSOLETE: number;\r\n    UNCACHED: number;\r\n    UPDATEREADY: number;\r\n}\r\n\r\ninterface AriaRequestEvent extends Event {\r\n    attributeName: string;\r\n    attributeValue: string;\r\n}\r\n\r\ndeclare var AriaRequestEvent: {\r\n    prototype: AriaRequestEvent;\r\n    new(type: string, eventInitDict?: AriaRequestEventInit): AriaRequestEvent;\r\n}\r\n\r\ninterface Attr extends Node {\r\n    name: string;\r\n    ownerElement: Element;\r\n    specified: boolean;\r\n    value: string;\r\n}\r\n\r\ndeclare var Attr: {\r\n    prototype: Attr;\r\n    new(): Attr;\r\n}\r\n\r\ninterface AudioBuffer {\r\n    duration: number;\r\n    length: number;\r\n    numberOfChannels: number;\r\n    sampleRate: number;\r\n    getChannelData(channel: number): Float32Array;\r\n}\r\n\r\ndeclare var AudioBuffer: {\r\n    prototype: AudioBuffer;\r\n    new(): AudioBuffer;\r\n}\r\n\r\ninterface AudioBufferSourceNode extends AudioNode {\r\n    buffer: AudioBuffer;\r\n    loop: boolean;\r\n    loopEnd: number;\r\n    loopStart: number;\r\n    onended: (ev: Event) => any;\r\n    playbackRate: AudioParam;\r\n    start(when?: number, offset?: number, duration?: number): void;\r\n    stop(when?: number): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var AudioBufferSourceNode: {\r\n    prototype: AudioBufferSourceNode;\r\n    new(): AudioBufferSourceNode;\r\n}\r\n\r\ninterface AudioContext extends EventTarget {\r\n    currentTime: number;\r\n    destination: AudioDestinationNode;\r\n    listener: AudioListener;\r\n    sampleRate: number;\r\n    state: string;\r\n    createAnalyser(): AnalyserNode;\r\n    createBiquadFilter(): BiquadFilterNode;\r\n    createBuffer(numberOfChannels: number, length: number, sampleRate: number): AudioBuffer;\r\n    createBufferSource(): AudioBufferSourceNode;\r\n    createChannelMerger(numberOfInputs?: number): ChannelMergerNode;\r\n    createChannelSplitter(numberOfOutputs?: number): ChannelSplitterNode;\r\n    createConvolver(): ConvolverNode;\r\n    createDelay(maxDelayTime?: number): DelayNode;\r\n    createDynamicsCompressor(): DynamicsCompressorNode;\r\n    createGain(): GainNode;\r\n    createMediaElementSource(mediaElement: HTMLMediaElement): MediaElementAudioSourceNode;\r\n    createOscillator(): OscillatorNode;\r\n    createPanner(): PannerNode;\r\n    createPeriodicWave(real: Float32Array, imag: Float32Array): PeriodicWave;\r\n    createScriptProcessor(bufferSize?: number, numberOfInputChannels?: number, numberOfOutputChannels?: number): ScriptProcessorNode;\r\n    createStereoPanner(): StereoPannerNode;\r\n    createWaveShaper(): WaveShaperNode;\r\n    decodeAudioData(audioData: ArrayBuffer, successCallback: DecodeSuccessCallback, errorCallback?: DecodeErrorCallback): void;\r\n}\r\n\r\ndeclare var AudioContext: {\r\n    prototype: AudioContext;\r\n    new(): AudioContext;\r\n}\r\n\r\ninterface AudioDestinationNode extends AudioNode {\r\n    maxChannelCount: number;\r\n}\r\n\r\ndeclare var AudioDestinationNode: {\r\n    prototype: AudioDestinationNode;\r\n    new(): AudioDestinationNode;\r\n}\r\n\r\ninterface AudioListener {\r\n    dopplerFactor: number;\r\n    speedOfSound: number;\r\n    setOrientation(x: number, y: number, z: number, xUp: number, yUp: number, zUp: number): void;\r\n    setPosition(x: number, y: number, z: number): void;\r\n    setVelocity(x: number, y: number, z: number): void;\r\n}\r\n\r\ndeclare var AudioListener: {\r\n    prototype: AudioListener;\r\n    new(): AudioListener;\r\n}\r\n\r\ninterface AudioNode extends EventTarget {\r\n    channelCount: number;\r\n    channelCountMode: string;\r\n    channelInterpretation: string;\r\n    context: AudioContext;\r\n    numberOfInputs: number;\r\n    numberOfOutputs: number;\r\n    connect(destination: AudioNode, output?: number, input?: number): void;\r\n    disconnect(output?: number): void;\r\n}\r\n\r\ndeclare var AudioNode: {\r\n    prototype: AudioNode;\r\n    new(): AudioNode;\r\n}\r\n\r\ninterface AudioParam {\r\n    defaultValue: number;\r\n    value: number;\r\n    cancelScheduledValues(startTime: number): void;\r\n    exponentialRampToValueAtTime(value: number, endTime: number): void;\r\n    linearRampToValueAtTime(value: number, endTime: number): void;\r\n    setTargetAtTime(target: number, startTime: number, timeConstant: number): void;\r\n    setValueAtTime(value: number, startTime: number): void;\r\n    setValueCurveAtTime(values: Float32Array, startTime: number, duration: number): void;\r\n}\r\n\r\ndeclare var AudioParam: {\r\n    prototype: AudioParam;\r\n    new(): AudioParam;\r\n}\r\n\r\ninterface AudioProcessingEvent extends Event {\r\n    inputBuffer: AudioBuffer;\r\n    outputBuffer: AudioBuffer;\r\n    playbackTime: number;\r\n}\r\n\r\ndeclare var AudioProcessingEvent: {\r\n    prototype: AudioProcessingEvent;\r\n    new(): AudioProcessingEvent;\r\n}\r\n\r\ninterface AudioTrack {\r\n    enabled: boolean;\r\n    id: string;\r\n    kind: string;\r\n    label: string;\r\n    language: string;\r\n    sourceBuffer: SourceBuffer;\r\n}\r\n\r\ndeclare var AudioTrack: {\r\n    prototype: AudioTrack;\r\n    new(): AudioTrack;\r\n}\r\n\r\ninterface AudioTrackList extends EventTarget {\r\n    length: number;\r\n    onaddtrack: (ev: TrackEvent) => any;\r\n    onchange: (ev: Event) => any;\r\n    onremovetrack: (ev: TrackEvent) => any;\r\n    getTrackById(id: string): AudioTrack;\r\n    item(index: number): AudioTrack;\r\n    addEventListener(type: "addtrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "removetrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: AudioTrack;\r\n}\r\n\r\ndeclare var AudioTrackList: {\r\n    prototype: AudioTrackList;\r\n    new(): AudioTrackList;\r\n}\r\n\r\ninterface BarProp {\r\n    visible: boolean;\r\n}\r\n\r\ndeclare var BarProp: {\r\n    prototype: BarProp;\r\n    new(): BarProp;\r\n}\r\n\r\ninterface BeforeUnloadEvent extends Event {\r\n    returnValue: any;\r\n}\r\n\r\ndeclare var BeforeUnloadEvent: {\r\n    prototype: BeforeUnloadEvent;\r\n    new(): BeforeUnloadEvent;\r\n}\r\n\r\ninterface BiquadFilterNode extends AudioNode {\r\n    Q: AudioParam;\r\n    detune: AudioParam;\r\n    frequency: AudioParam;\r\n    gain: AudioParam;\r\n    type: string;\r\n    getFrequencyResponse(frequencyHz: Float32Array, magResponse: Float32Array, phaseResponse: Float32Array): void;\r\n}\r\n\r\ndeclare var BiquadFilterNode: {\r\n    prototype: BiquadFilterNode;\r\n    new(): BiquadFilterNode;\r\n}\r\n\r\ninterface Blob {\r\n    size: number;\r\n    type: string;\r\n    msClose(): void;\r\n    msDetachStream(): any;\r\n    slice(start?: number, end?: number, contentType?: string): Blob;\r\n}\r\n\r\ndeclare var Blob: {\r\n    prototype: Blob;\r\n    new (blobParts?: any[], options?: BlobPropertyBag): Blob;\r\n}\r\n\r\ninterface CDATASection extends Text {\r\n}\r\n\r\ndeclare var CDATASection: {\r\n    prototype: CDATASection;\r\n    new(): CDATASection;\r\n}\r\n\r\ninterface CSS {\r\n    supports(property: string, value?: string): boolean;\r\n}\r\ndeclare var CSS: CSS;\r\n\r\ninterface CSSConditionRule extends CSSGroupingRule {\r\n    conditionText: string;\r\n}\r\n\r\ndeclare var CSSConditionRule: {\r\n    prototype: CSSConditionRule;\r\n    new(): CSSConditionRule;\r\n}\r\n\r\ninterface CSSFontFaceRule extends CSSRule {\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSFontFaceRule: {\r\n    prototype: CSSFontFaceRule;\r\n    new(): CSSFontFaceRule;\r\n}\r\n\r\ninterface CSSGroupingRule extends CSSRule {\r\n    cssRules: CSSRuleList;\r\n    deleteRule(index?: number): void;\r\n    insertRule(rule: string, index?: number): number;\r\n}\r\n\r\ndeclare var CSSGroupingRule: {\r\n    prototype: CSSGroupingRule;\r\n    new(): CSSGroupingRule;\r\n}\r\n\r\ninterface CSSImportRule extends CSSRule {\r\n    href: string;\r\n    media: MediaList;\r\n    styleSheet: CSSStyleSheet;\r\n}\r\n\r\ndeclare var CSSImportRule: {\r\n    prototype: CSSImportRule;\r\n    new(): CSSImportRule;\r\n}\r\n\r\ninterface CSSKeyframeRule extends CSSRule {\r\n    keyText: string;\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSKeyframeRule: {\r\n    prototype: CSSKeyframeRule;\r\n    new(): CSSKeyframeRule;\r\n}\r\n\r\ninterface CSSKeyframesRule extends CSSRule {\r\n    cssRules: CSSRuleList;\r\n    name: string;\r\n    appendRule(rule: string): void;\r\n    deleteRule(rule: string): void;\r\n    findRule(rule: string): CSSKeyframeRule;\r\n}\r\n\r\ndeclare var CSSKeyframesRule: {\r\n    prototype: CSSKeyframesRule;\r\n    new(): CSSKeyframesRule;\r\n}\r\n\r\ninterface CSSMediaRule extends CSSConditionRule {\r\n    media: MediaList;\r\n}\r\n\r\ndeclare var CSSMediaRule: {\r\n    prototype: CSSMediaRule;\r\n    new(): CSSMediaRule;\r\n}\r\n\r\ninterface CSSNamespaceRule extends CSSRule {\r\n    namespaceURI: string;\r\n    prefix: string;\r\n}\r\n\r\ndeclare var CSSNamespaceRule: {\r\n    prototype: CSSNamespaceRule;\r\n    new(): CSSNamespaceRule;\r\n}\r\n\r\ninterface CSSPageRule extends CSSRule {\r\n    pseudoClass: string;\r\n    selector: string;\r\n    selectorText: string;\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSPageRule: {\r\n    prototype: CSSPageRule;\r\n    new(): CSSPageRule;\r\n}\r\n\r\ninterface CSSRule {\r\n    cssText: string;\r\n    parentRule: CSSRule;\r\n    parentStyleSheet: CSSStyleSheet;\r\n    type: number;\r\n    CHARSET_RULE: number;\r\n    FONT_FACE_RULE: number;\r\n    IMPORT_RULE: number;\r\n    KEYFRAMES_RULE: number;\r\n    KEYFRAME_RULE: number;\r\n    MEDIA_RULE: number;\r\n    NAMESPACE_RULE: number;\r\n    PAGE_RULE: number;\r\n    STYLE_RULE: number;\r\n    SUPPORTS_RULE: number;\r\n    UNKNOWN_RULE: number;\r\n    VIEWPORT_RULE: number;\r\n}\r\n\r\ndeclare var CSSRule: {\r\n    prototype: CSSRule;\r\n    new(): CSSRule;\r\n    CHARSET_RULE: number;\r\n    FONT_FACE_RULE: number;\r\n    IMPORT_RULE: number;\r\n    KEYFRAMES_RULE: number;\r\n    KEYFRAME_RULE: number;\r\n    MEDIA_RULE: number;\r\n    NAMESPACE_RULE: number;\r\n    PAGE_RULE: number;\r\n    STYLE_RULE: number;\r\n    SUPPORTS_RULE: number;\r\n    UNKNOWN_RULE: number;\r\n    VIEWPORT_RULE: number;\r\n}\r\n\r\ninterface CSSRuleList {\r\n    length: number;\r\n    item(index: number): CSSRule;\r\n    [index: number]: CSSRule;\r\n}\r\n\r\ndeclare var CSSRuleList: {\r\n    prototype: CSSRuleList;\r\n    new(): CSSRuleList;\r\n}\r\n\r\ninterface CSSStyleDeclaration {\r\n    alignContent: string;\r\n    alignItems: string;\r\n    alignSelf: string;\r\n    alignmentBaseline: string;\r\n    animation: string;\r\n    animationDelay: string;\r\n    animationDirection: string;\r\n    animationDuration: string;\r\n    animationFillMode: string;\r\n    animationIterationCount: string;\r\n    animationName: string;\r\n    animationPlayState: string;\r\n    animationTimingFunction: string;\r\n    backfaceVisibility: string;\r\n    background: string;\r\n    backgroundAttachment: string;\r\n    backgroundClip: string;\r\n    backgroundColor: string;\r\n    backgroundImage: string;\r\n    backgroundOrigin: string;\r\n    backgroundPosition: string;\r\n    backgroundPositionX: string;\r\n    backgroundPositionY: string;\r\n    backgroundRepeat: string;\r\n    backgroundSize: string;\r\n    baselineShift: string;\r\n    border: string;\r\n    borderBottom: string;\r\n    borderBottomColor: string;\r\n    borderBottomLeftRadius: string;\r\n    borderBottomRightRadius: string;\r\n    borderBottomStyle: string;\r\n    borderBottomWidth: string;\r\n    borderCollapse: string;\r\n    borderColor: string;\r\n    borderImage: string;\r\n    borderImageOutset: string;\r\n    borderImageRepeat: string;\r\n    borderImageSlice: string;\r\n    borderImageSource: string;\r\n    borderImageWidth: string;\r\n    borderLeft: string;\r\n    borderLeftColor: string;\r\n    borderLeftStyle: string;\r\n    borderLeftWidth: string;\r\n    borderRadius: string;\r\n    borderRight: string;\r\n    borderRightColor: string;\r\n    borderRightStyle: string;\r\n    borderRightWidth: string;\r\n    borderSpacing: string;\r\n    borderStyle: string;\r\n    borderTop: string;\r\n    borderTopColor: string;\r\n    borderTopLeftRadius: string;\r\n    borderTopRightRadius: string;\r\n    borderTopStyle: string;\r\n    borderTopWidth: string;\r\n    borderWidth: string;\r\n    bottom: string;\r\n    boxShadow: string;\r\n    boxSizing: string;\r\n    breakAfter: string;\r\n    breakBefore: string;\r\n    breakInside: string;\r\n    captionSide: string;\r\n    clear: string;\r\n    clip: string;\r\n    clipPath: string;\r\n    clipRule: string;\r\n    color: string;\r\n    colorInterpolationFilters: string;\r\n    columnCount: any;\r\n    columnFill: string;\r\n    columnGap: any;\r\n    columnRule: string;\r\n    columnRuleColor: any;\r\n    columnRuleStyle: string;\r\n    columnRuleWidth: any;\r\n    columnSpan: string;\r\n    columnWidth: any;\r\n    columns: string;\r\n    content: string;\r\n    counterIncrement: string;\r\n    counterReset: string;\r\n    cssFloat: string;\r\n    cssText: string;\r\n    cursor: string;\r\n    direction: string;\r\n    display: string;\r\n    dominantBaseline: string;\r\n    emptyCells: string;\r\n    enableBackground: string;\r\n    fill: string;\r\n    fillOpacity: string;\r\n    fillRule: string;\r\n    filter: string;\r\n    flex: string;\r\n    flexBasis: string;\r\n    flexDirection: string;\r\n    flexFlow: string;\r\n    flexGrow: string;\r\n    flexShrink: string;\r\n    flexWrap: string;\r\n    floodColor: string;\r\n    floodOpacity: string;\r\n    font: string;\r\n    fontFamily: string;\r\n    fontFeatureSettings: string;\r\n    fontSize: string;\r\n    fontSizeAdjust: string;\r\n    fontStretch: string;\r\n    fontStyle: string;\r\n    fontVariant: string;\r\n    fontWeight: string;\r\n    glyphOrientationHorizontal: string;\r\n    glyphOrientationVertical: string;\r\n    height: string;\r\n    imeMode: string;\r\n    justifyContent: string;\r\n    kerning: string;\r\n    left: string;\r\n    length: number;\r\n    letterSpacing: string;\r\n    lightingColor: string;\r\n    lineHeight: string;\r\n    listStyle: string;\r\n    listStyleImage: string;\r\n    listStylePosition: string;\r\n    listStyleType: string;\r\n    margin: string;\r\n    marginBottom: string;\r\n    marginLeft: string;\r\n    marginRight: string;\r\n    marginTop: string;\r\n    marker: string;\r\n    markerEnd: string;\r\n    markerMid: string;\r\n    markerStart: string;\r\n    mask: string;\r\n    maxHeight: string;\r\n    maxWidth: string;\r\n    minHeight: string;\r\n    minWidth: string;\r\n    msContentZoomChaining: string;\r\n    msContentZoomLimit: string;\r\n    msContentZoomLimitMax: any;\r\n    msContentZoomLimitMin: any;\r\n    msContentZoomSnap: string;\r\n    msContentZoomSnapPoints: string;\r\n    msContentZoomSnapType: string;\r\n    msContentZooming: string;\r\n    msFlowFrom: string;\r\n    msFlowInto: string;\r\n    msFontFeatureSettings: string;\r\n    msGridColumn: any;\r\n    msGridColumnAlign: string;\r\n    msGridColumnSpan: any;\r\n    msGridColumns: string;\r\n    msGridRow: any;\r\n    msGridRowAlign: string;\r\n    msGridRowSpan: any;\r\n    msGridRows: string;\r\n    msHighContrastAdjust: string;\r\n    msHyphenateLimitChars: string;\r\n    msHyphenateLimitLines: any;\r\n    msHyphenateLimitZone: any;\r\n    msHyphens: string;\r\n    msImeAlign: string;\r\n    msOverflowStyle: string;\r\n    msScrollChaining: string;\r\n    msScrollLimit: string;\r\n    msScrollLimitXMax: any;\r\n    msScrollLimitXMin: any;\r\n    msScrollLimitYMax: any;\r\n    msScrollLimitYMin: any;\r\n    msScrollRails: string;\r\n    msScrollSnapPointsX: string;\r\n    msScrollSnapPointsY: string;\r\n    msScrollSnapType: string;\r\n    msScrollSnapX: string;\r\n    msScrollSnapY: string;\r\n    msScrollTranslation: string;\r\n    msTextCombineHorizontal: string;\r\n    msTextSizeAdjust: any;\r\n    msTouchAction: string;\r\n    msTouchSelect: string;\r\n    msUserSelect: string;\r\n    msWrapFlow: string;\r\n    msWrapMargin: any;\r\n    msWrapThrough: string;\r\n    opacity: string;\r\n    order: string;\r\n    orphans: string;\r\n    outline: string;\r\n    outlineColor: string;\r\n    outlineStyle: string;\r\n    outlineWidth: string;\r\n    overflow: string;\r\n    overflowX: string;\r\n    overflowY: string;\r\n    padding: string;\r\n    paddingBottom: string;\r\n    paddingLeft: string;\r\n    paddingRight: string;\r\n    paddingTop: string;\r\n    pageBreakAfter: string;\r\n    pageBreakBefore: string;\r\n    pageBreakInside: string;\r\n    parentRule: CSSRule;\r\n    perspective: string;\r\n    perspectiveOrigin: string;\r\n    pointerEvents: string;\r\n    position: string;\r\n    quotes: string;\r\n    right: string;\r\n    rubyAlign: string;\r\n    rubyOverhang: string;\r\n    rubyPosition: string;\r\n    stopColor: string;\r\n    stopOpacity: string;\r\n    stroke: string;\r\n    strokeDasharray: string;\r\n    strokeDashoffset: string;\r\n    strokeLinecap: string;\r\n    strokeLinejoin: string;\r\n    strokeMiterlimit: string;\r\n    strokeOpacity: string;\r\n    strokeWidth: string;\r\n    tableLayout: string;\r\n    textAlign: string;\r\n    textAlignLast: string;\r\n    textAnchor: string;\r\n    textDecoration: string;\r\n    textFillColor: string;\r\n    textIndent: string;\r\n    textJustify: string;\r\n    textKashida: string;\r\n    textKashidaSpace: string;\r\n    textOverflow: string;\r\n    textShadow: string;\r\n    textTransform: string;\r\n    textUnderlinePosition: string;\r\n    top: string;\r\n    touchAction: string;\r\n    transform: string;\r\n    transformOrigin: string;\r\n    transformStyle: string;\r\n    transition: string;\r\n    transitionDelay: string;\r\n    transitionDuration: string;\r\n    transitionProperty: string;\r\n    transitionTimingFunction: string;\r\n    unicodeBidi: string;\r\n    verticalAlign: string;\r\n    visibility: string;\r\n    webkitAlignContent: string;\r\n    webkitAlignItems: string;\r\n    webkitAlignSelf: string;\r\n    webkitAnimation: string;\r\n    webkitAnimationDelay: string;\r\n    webkitAnimationDirection: string;\r\n    webkitAnimationDuration: string;\r\n    webkitAnimationFillMode: string;\r\n    webkitAnimationIterationCount: string;\r\n    webkitAnimationName: string;\r\n    webkitAnimationPlayState: string;\r\n    webkitAnimationTimingFunction: string;\r\n    webkitAppearance: string;\r\n    webkitBackfaceVisibility: string;\r\n    webkitBackground: string;\r\n    webkitBackgroundAttachment: string;\r\n    webkitBackgroundClip: string;\r\n    webkitBackgroundColor: string;\r\n    webkitBackgroundImage: string;\r\n    webkitBackgroundOrigin: string;\r\n    webkitBackgroundPosition: string;\r\n    webkitBackgroundPositionX: string;\r\n    webkitBackgroundPositionY: string;\r\n    webkitBackgroundRepeat: string;\r\n    webkitBackgroundSize: string;\r\n    webkitBorderBottomLeftRadius: string;\r\n    webkitBorderBottomRightRadius: string;\r\n    webkitBorderImage: string;\r\n    webkitBorderImageOutset: string;\r\n    webkitBorderImageRepeat: string;\r\n    webkitBorderImageSlice: string;\r\n    webkitBorderImageSource: string;\r\n    webkitBorderImageWidth: string;\r\n    webkitBorderRadius: string;\r\n    webkitBorderTopLeftRadius: string;\r\n    webkitBorderTopRightRadius: string;\r\n    webkitBoxAlign: string;\r\n    webkitBoxDirection: string;\r\n    webkitBoxFlex: string;\r\n    webkitBoxOrdinalGroup: string;\r\n    webkitBoxOrient: string;\r\n    webkitBoxPack: string;\r\n    webkitBoxSizing: string;\r\n    webkitColumnBreakAfter: string;\r\n    webkitColumnBreakBefore: string;\r\n    webkitColumnBreakInside: string;\r\n    webkitColumnCount: any;\r\n    webkitColumnGap: any;\r\n    webkitColumnRule: string;\r\n    webkitColumnRuleColor: any;\r\n    webkitColumnRuleStyle: string;\r\n    webkitColumnRuleWidth: any;\r\n    webkitColumnSpan: string;\r\n    webkitColumnWidth: any;\r\n    webkitColumns: string;\r\n    webkitFilter: string;\r\n    webkitFlex: string;\r\n    webkitFlexBasis: string;\r\n    webkitFlexDirection: string;\r\n    webkitFlexFlow: string;\r\n    webkitFlexGrow: string;\r\n    webkitFlexShrink: string;\r\n    webkitFlexWrap: string;\r\n    webkitJustifyContent: string;\r\n    webkitOrder: string;\r\n    webkitPerspective: string;\r\n    webkitPerspectiveOrigin: string;\r\n    webkitTapHighlightColor: string;\r\n    webkitTextFillColor: string;\r\n    webkitTextSizeAdjust: any;\r\n    webkitTransform: string;\r\n    webkitTransformOrigin: string;\r\n    webkitTransformStyle: string;\r\n    webkitTransition: string;\r\n    webkitTransitionDelay: string;\r\n    webkitTransitionDuration: string;\r\n    webkitTransitionProperty: string;\r\n    webkitTransitionTimingFunction: string;\r\n    webkitUserSelect: string;\r\n    webkitWritingMode: string;\r\n    whiteSpace: string;\r\n    widows: string;\r\n    width: string;\r\n    wordBreak: string;\r\n    wordSpacing: string;\r\n    wordWrap: string;\r\n    writingMode: string;\r\n    zIndex: string;\r\n    zoom: string;\r\n    getPropertyPriority(propertyName: string): string;\r\n    getPropertyValue(propertyName: string): string;\r\n    item(index: number): string;\r\n    removeProperty(propertyName: string): string;\r\n    setProperty(propertyName: string, value: string, priority?: string): void;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var CSSStyleDeclaration: {\r\n    prototype: CSSStyleDeclaration;\r\n    new(): CSSStyleDeclaration;\r\n}\r\n\r\ninterface CSSStyleRule extends CSSRule {\r\n    readOnly: boolean;\r\n    selectorText: string;\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ndeclare var CSSStyleRule: {\r\n    prototype: CSSStyleRule;\r\n    new(): CSSStyleRule;\r\n}\r\n\r\ninterface CSSStyleSheet extends StyleSheet {\r\n    cssRules: CSSRuleList;\r\n    cssText: string;\r\n    href: string;\r\n    id: string;\r\n    imports: StyleSheetList;\r\n    isAlternate: boolean;\r\n    isPrefAlternate: boolean;\r\n    ownerRule: CSSRule;\r\n    owningElement: Element;\r\n    pages: StyleSheetPageList;\r\n    readOnly: boolean;\r\n    rules: CSSRuleList;\r\n    addImport(bstrURL: string, lIndex?: number): number;\r\n    addPageRule(bstrSelector: string, bstrStyle: string, lIndex?: number): number;\r\n    addRule(bstrSelector: string, bstrStyle?: string, lIndex?: number): number;\r\n    deleteRule(index?: number): void;\r\n    insertRule(rule: string, index?: number): number;\r\n    removeImport(lIndex: number): void;\r\n    removeRule(lIndex: number): void;\r\n}\r\n\r\ndeclare var CSSStyleSheet: {\r\n    prototype: CSSStyleSheet;\r\n    new(): CSSStyleSheet;\r\n}\r\n\r\ninterface CSSSupportsRule extends CSSConditionRule {\r\n}\r\n\r\ndeclare var CSSSupportsRule: {\r\n    prototype: CSSSupportsRule;\r\n    new(): CSSSupportsRule;\r\n}\r\n\r\ninterface CanvasGradient {\r\n    addColorStop(offset: number, color: string): void;\r\n}\r\n\r\ndeclare var CanvasGradient: {\r\n    prototype: CanvasGradient;\r\n    new(): CanvasGradient;\r\n}\r\n\r\ninterface CanvasPattern {\r\n}\r\n\r\ndeclare var CanvasPattern: {\r\n    prototype: CanvasPattern;\r\n    new(): CanvasPattern;\r\n}\r\n\r\ninterface CanvasRenderingContext2D {\r\n    canvas: HTMLCanvasElement;\r\n    fillStyle: string | CanvasGradient | CanvasPattern;\r\n    font: string;\r\n    globalAlpha: number;\r\n    globalCompositeOperation: string;\r\n    lineCap: string;\r\n    lineDashOffset: number;\r\n    lineJoin: string;\r\n    lineWidth: number;\r\n    miterLimit: number;\r\n    msFillRule: string;\r\n    msImageSmoothingEnabled: boolean;\r\n    shadowBlur: number;\r\n    shadowColor: string;\r\n    shadowOffsetX: number;\r\n    shadowOffsetY: number;\r\n    strokeStyle: string | CanvasGradient | CanvasPattern;\r\n    textAlign: string;\r\n    textBaseline: string;\r\n    arc(x: number, y: number, radius: number, startAngle: number, endAngle: number, anticlockwise?: boolean): void;\r\n    arcTo(x1: number, y1: number, x2: number, y2: number, radius: number): void;\r\n    beginPath(): void;\r\n    bezierCurveTo(cp1x: number, cp1y: number, cp2x: number, cp2y: number, x: number, y: number): void;\r\n    clearRect(x: number, y: number, w: number, h: number): void;\r\n    clip(fillRule?: string): void;\r\n    closePath(): void;\r\n    createImageData(imageDataOrSw: number | ImageData, sh?: number): ImageData;\r\n    createLinearGradient(x0: number, y0: number, x1: number, y1: number): CanvasGradient;\r\n    createPattern(image: HTMLImageElement | HTMLCanvasElement | HTMLVideoElement, repetition: string): CanvasPattern;\r\n    createRadialGradient(x0: number, y0: number, r0: number, x1: number, y1: number, r1: number): CanvasGradient;\r\n    drawImage(image: HTMLImageElement | HTMLCanvasElement | HTMLVideoElement, offsetX: number, offsetY: number, width?: number, height?: number, canvasOffsetX?: number, canvasOffsetY?: number, canvasImageWidth?: number, canvasImageHeight?: number): void;\r\n    fill(fillRule?: string): void;\r\n    fillRect(x: number, y: number, w: number, h: number): void;\r\n    fillText(text: string, x: number, y: number, maxWidth?: number): void;\r\n    getImageData(sx: number, sy: number, sw: number, sh: number): ImageData;\r\n    getLineDash(): number[];\r\n    isPointInPath(x: number, y: number, fillRule?: string): boolean;\r\n    lineTo(x: number, y: number): void;\r\n    measureText(text: string): TextMetrics;\r\n    moveTo(x: number, y: number): void;\r\n    putImageData(imagedata: ImageData, dx: number, dy: number, dirtyX?: number, dirtyY?: number, dirtyWidth?: number, dirtyHeight?: number): void;\r\n    quadraticCurveTo(cpx: number, cpy: number, x: number, y: number): void;\r\n    rect(x: number, y: number, w: number, h: number): void;\r\n    restore(): void;\r\n    rotate(angle: number): void;\r\n    save(): void;\r\n    scale(x: number, y: number): void;\r\n    setLineDash(segments: number[]): void;\r\n    setTransform(m11: number, m12: number, m21: number, m22: number, dx: number, dy: number): void;\r\n    stroke(): void;\r\n    strokeRect(x: number, y: number, w: number, h: number): void;\r\n    strokeText(text: string, x: number, y: number, maxWidth?: number): void;\r\n    transform(m11: number, m12: number, m21: number, m22: number, dx: number, dy: number): void;\r\n    translate(x: number, y: number): void;\r\n}\r\n\r\ndeclare var CanvasRenderingContext2D: {\r\n    prototype: CanvasRenderingContext2D;\r\n    new(): CanvasRenderingContext2D;\r\n}\r\n\r\ninterface ChannelMergerNode extends AudioNode {\r\n}\r\n\r\ndeclare var ChannelMergerNode: {\r\n    prototype: ChannelMergerNode;\r\n    new(): ChannelMergerNode;\r\n}\r\n\r\ninterface ChannelSplitterNode extends AudioNode {\r\n}\r\n\r\ndeclare var ChannelSplitterNode: {\r\n    prototype: ChannelSplitterNode;\r\n    new(): ChannelSplitterNode;\r\n}\r\n\r\ninterface CharacterData extends Node, ChildNode {\r\n    data: string;\r\n    length: number;\r\n    appendData(arg: string): void;\r\n    deleteData(offset: number, count: number): void;\r\n    insertData(offset: number, arg: string): void;\r\n    replaceData(offset: number, count: number, arg: string): void;\r\n    substringData(offset: number, count: number): string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var CharacterData: {\r\n    prototype: CharacterData;\r\n    new(): CharacterData;\r\n}\r\n\r\ninterface ClientRect {\r\n    bottom: number;\r\n    height: number;\r\n    left: number;\r\n    right: number;\r\n    top: number;\r\n    width: number;\r\n}\r\n\r\ndeclare var ClientRect: {\r\n    prototype: ClientRect;\r\n    new(): ClientRect;\r\n}\r\n\r\ninterface ClientRectList {\r\n    length: number;\r\n    item(index: number): ClientRect;\r\n    [index: number]: ClientRect;\r\n}\r\n\r\ndeclare var ClientRectList: {\r\n    prototype: ClientRectList;\r\n    new(): ClientRectList;\r\n}\r\n\r\ninterface ClipboardEvent extends Event {\r\n    clipboardData: DataTransfer;\r\n}\r\n\r\ndeclare var ClipboardEvent: {\r\n    prototype: ClipboardEvent;\r\n    new(type: string, eventInitDict?: ClipboardEventInit): ClipboardEvent;\r\n}\r\n\r\ninterface CloseEvent extends Event {\r\n    code: number;\r\n    reason: string;\r\n    wasClean: boolean;\r\n    initCloseEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, wasCleanArg: boolean, codeArg: number, reasonArg: string): void;\r\n}\r\n\r\ndeclare var CloseEvent: {\r\n    prototype: CloseEvent;\r\n    new(): CloseEvent;\r\n}\r\n\r\ninterface CommandEvent extends Event {\r\n    commandName: string;\r\n    detail: string;\r\n}\r\n\r\ndeclare var CommandEvent: {\r\n    prototype: CommandEvent;\r\n    new(type: string, eventInitDict?: CommandEventInit): CommandEvent;\r\n}\r\n\r\ninterface Comment extends CharacterData {\r\n    text: string;\r\n}\r\n\r\ndeclare var Comment: {\r\n    prototype: Comment;\r\n    new(): Comment;\r\n}\r\n\r\ninterface CompositionEvent extends UIEvent {\r\n    data: string;\r\n    locale: string;\r\n    initCompositionEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, dataArg: string, locale: string): void;\r\n}\r\n\r\ndeclare var CompositionEvent: {\r\n    prototype: CompositionEvent;\r\n    new(typeArg: string, eventInitDict?: CompositionEventInit): CompositionEvent;\r\n}\r\n\r\ninterface Console {\r\n    assert(test?: boolean, message?: string, ...optionalParams: any[]): void;\r\n    clear(): void;\r\n    count(countTitle?: string): void;\r\n    debug(message?: string, ...optionalParams: any[]): void;\r\n    dir(value?: any, ...optionalParams: any[]): void;\r\n    dirxml(value: any): void;\r\n    error(message?: any, ...optionalParams: any[]): void;\r\n    group(groupTitle?: string): void;\r\n    groupCollapsed(groupTitle?: string): void;\r\n    groupEnd(): void;\r\n    info(message?: any, ...optionalParams: any[]): void;\r\n    log(message?: any, ...optionalParams: any[]): void;\r\n    msIsIndependentlyComposed(element: Element): boolean;\r\n    profile(reportName?: string): void;\r\n    profileEnd(): void;\r\n    select(element: Element): void;\r\n    time(timerName?: string): void;\r\n    timeEnd(timerName?: string): void;\r\n    trace(message?: any, ...optionalParams: any[]): void;\r\n    warn(message?: any, ...optionalParams: any[]): void;\r\n}\r\n\r\ndeclare var Console: {\r\n    prototype: Console;\r\n    new(): Console;\r\n}\r\n\r\ninterface ConvolverNode extends AudioNode {\r\n    buffer: AudioBuffer;\r\n    normalize: boolean;\r\n}\r\n\r\ndeclare var ConvolverNode: {\r\n    prototype: ConvolverNode;\r\n    new(): ConvolverNode;\r\n}\r\n\r\ninterface Coordinates {\r\n    accuracy: number;\r\n    altitude: number;\r\n    altitudeAccuracy: number;\r\n    heading: number;\r\n    latitude: number;\r\n    longitude: number;\r\n    speed: number;\r\n}\r\n\r\ndeclare var Coordinates: {\r\n    prototype: Coordinates;\r\n    new(): Coordinates;\r\n}\r\n\r\ninterface Crypto extends Object, RandomSource {\r\n    subtle: SubtleCrypto;\r\n}\r\n\r\ndeclare var Crypto: {\r\n    prototype: Crypto;\r\n    new(): Crypto;\r\n}\r\n\r\ninterface CryptoKey {\r\n    algorithm: KeyAlgorithm;\r\n    extractable: boolean;\r\n    type: string;\r\n    usages: string[];\r\n}\r\n\r\ndeclare var CryptoKey: {\r\n    prototype: CryptoKey;\r\n    new(): CryptoKey;\r\n}\r\n\r\ninterface CryptoKeyPair {\r\n    privateKey: CryptoKey;\r\n    publicKey: CryptoKey;\r\n}\r\n\r\ndeclare var CryptoKeyPair: {\r\n    prototype: CryptoKeyPair;\r\n    new(): CryptoKeyPair;\r\n}\r\n\r\ninterface CustomEvent extends Event {\r\n    detail: any;\r\n    initCustomEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, detailArg: any): void;\r\n}\r\n\r\ndeclare var CustomEvent: {\r\n    prototype: CustomEvent;\r\n    new(typeArg: string, eventInitDict?: CustomEventInit): CustomEvent;\r\n}\r\n\r\ninterface DOMError {\r\n    name: string;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var DOMError: {\r\n    prototype: DOMError;\r\n    new(): DOMError;\r\n}\r\n\r\ninterface DOMException {\r\n    code: number;\r\n    message: string;\r\n    name: string;\r\n    toString(): string;\r\n    ABORT_ERR: number;\r\n    DATA_CLONE_ERR: number;\r\n    DOMSTRING_SIZE_ERR: number;\r\n    HIERARCHY_REQUEST_ERR: number;\r\n    INDEX_SIZE_ERR: number;\r\n    INUSE_ATTRIBUTE_ERR: number;\r\n    INVALID_ACCESS_ERR: number;\r\n    INVALID_CHARACTER_ERR: number;\r\n    INVALID_MODIFICATION_ERR: number;\r\n    INVALID_NODE_TYPE_ERR: number;\r\n    INVALID_STATE_ERR: number;\r\n    NAMESPACE_ERR: number;\r\n    NETWORK_ERR: number;\r\n    NOT_FOUND_ERR: number;\r\n    NOT_SUPPORTED_ERR: number;\r\n    NO_DATA_ALLOWED_ERR: number;\r\n    NO_MODIFICATION_ALLOWED_ERR: number;\r\n    PARSE_ERR: number;\r\n    QUOTA_EXCEEDED_ERR: number;\r\n    SECURITY_ERR: number;\r\n    SERIALIZE_ERR: number;\r\n    SYNTAX_ERR: number;\r\n    TIMEOUT_ERR: number;\r\n    TYPE_MISMATCH_ERR: number;\r\n    URL_MISMATCH_ERR: number;\r\n    VALIDATION_ERR: number;\r\n    WRONG_DOCUMENT_ERR: number;\r\n}\r\n\r\ndeclare var DOMException: {\r\n    prototype: DOMException;\r\n    new(): DOMException;\r\n    ABORT_ERR: number;\r\n    DATA_CLONE_ERR: number;\r\n    DOMSTRING_SIZE_ERR: number;\r\n    HIERARCHY_REQUEST_ERR: number;\r\n    INDEX_SIZE_ERR: number;\r\n    INUSE_ATTRIBUTE_ERR: number;\r\n    INVALID_ACCESS_ERR: number;\r\n    INVALID_CHARACTER_ERR: number;\r\n    INVALID_MODIFICATION_ERR: number;\r\n    INVALID_NODE_TYPE_ERR: number;\r\n    INVALID_STATE_ERR: number;\r\n    NAMESPACE_ERR: number;\r\n    NETWORK_ERR: number;\r\n    NOT_FOUND_ERR: number;\r\n    NOT_SUPPORTED_ERR: number;\r\n    NO_DATA_ALLOWED_ERR: number;\r\n    NO_MODIFICATION_ALLOWED_ERR: number;\r\n    PARSE_ERR: number;\r\n    QUOTA_EXCEEDED_ERR: number;\r\n    SECURITY_ERR: number;\r\n    SERIALIZE_ERR: number;\r\n    SYNTAX_ERR: number;\r\n    TIMEOUT_ERR: number;\r\n    TYPE_MISMATCH_ERR: number;\r\n    URL_MISMATCH_ERR: number;\r\n    VALIDATION_ERR: number;\r\n    WRONG_DOCUMENT_ERR: number;\r\n}\r\n\r\ninterface DOMImplementation {\r\n    createDocument(namespaceURI: string, qualifiedName: string, doctype: DocumentType): Document;\r\n    createDocumentType(qualifiedName: string, publicId: string, systemId: string): DocumentType;\r\n    createHTMLDocument(title: string): Document;\r\n    hasFeature(feature: string, version: string): boolean;\r\n}\r\n\r\ndeclare var DOMImplementation: {\r\n    prototype: DOMImplementation;\r\n    new(): DOMImplementation;\r\n}\r\n\r\ninterface DOMParser {\r\n    parseFromString(source: string, mimeType: string): Document;\r\n}\r\n\r\ndeclare var DOMParser: {\r\n    prototype: DOMParser;\r\n    new(): DOMParser;\r\n}\r\n\r\ninterface DOMSettableTokenList extends DOMTokenList {\r\n    value: string;\r\n}\r\n\r\ndeclare var DOMSettableTokenList: {\r\n    prototype: DOMSettableTokenList;\r\n    new(): DOMSettableTokenList;\r\n}\r\n\r\ninterface DOMStringList {\r\n    length: number;\r\n    contains(str: string): boolean;\r\n    item(index: number): string;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var DOMStringList: {\r\n    prototype: DOMStringList;\r\n    new(): DOMStringList;\r\n}\r\n\r\ninterface DOMStringMap {\r\n    [name: string]: string;\r\n}\r\n\r\ndeclare var DOMStringMap: {\r\n    prototype: DOMStringMap;\r\n    new(): DOMStringMap;\r\n}\r\n\r\ninterface DOMTokenList {\r\n    length: number;\r\n    add(...token: string[]): void;\r\n    contains(token: string): boolean;\r\n    item(index: number): string;\r\n    remove(...token: string[]): void;\r\n    toString(): string;\r\n    toggle(token: string, force?: boolean): boolean;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var DOMTokenList: {\r\n    prototype: DOMTokenList;\r\n    new(): DOMTokenList;\r\n}\r\n\r\ninterface DataCue extends TextTrackCue {\r\n    data: ArrayBuffer;\r\n}\r\n\r\ndeclare var DataCue: {\r\n    prototype: DataCue;\r\n    new(): DataCue;\r\n}\r\n\r\ninterface DataTransfer {\r\n    dropEffect: string;\r\n    effectAllowed: string;\r\n    files: FileList;\r\n    items: DataTransferItemList;\r\n    types: DOMStringList;\r\n    clearData(format?: string): boolean;\r\n    getData(format: string): string;\r\n    setData(format: string, data: string): boolean;\r\n}\r\n\r\ndeclare var DataTransfer: {\r\n    prototype: DataTransfer;\r\n    new(): DataTransfer;\r\n}\r\n\r\ninterface DataTransferItem {\r\n    kind: string;\r\n    type: string;\r\n    getAsFile(): File;\r\n    getAsString(_callback: FunctionStringCallback): void;\r\n}\r\n\r\ndeclare var DataTransferItem: {\r\n    prototype: DataTransferItem;\r\n    new(): DataTransferItem;\r\n}\r\n\r\ninterface DataTransferItemList {\r\n    length: number;\r\n    add(data: File): DataTransferItem;\r\n    clear(): void;\r\n    item(index: number): DataTransferItem;\r\n    remove(index: number): void;\r\n    [index: number]: DataTransferItem;\r\n}\r\n\r\ndeclare var DataTransferItemList: {\r\n    prototype: DataTransferItemList;\r\n    new(): DataTransferItemList;\r\n}\r\n\r\ninterface DeferredPermissionRequest {\r\n    id: number;\r\n    type: string;\r\n    uri: string;\r\n    allow(): void;\r\n    deny(): void;\r\n}\r\n\r\ndeclare var DeferredPermissionRequest: {\r\n    prototype: DeferredPermissionRequest;\r\n    new(): DeferredPermissionRequest;\r\n}\r\n\r\ninterface DelayNode extends AudioNode {\r\n    delayTime: AudioParam;\r\n}\r\n\r\ndeclare var DelayNode: {\r\n    prototype: DelayNode;\r\n    new(): DelayNode;\r\n}\r\n\r\ninterface DeviceAcceleration {\r\n    x: number;\r\n    y: number;\r\n    z: number;\r\n}\r\n\r\ndeclare var DeviceAcceleration: {\r\n    prototype: DeviceAcceleration;\r\n    new(): DeviceAcceleration;\r\n}\r\n\r\ninterface DeviceMotionEvent extends Event {\r\n    acceleration: DeviceAcceleration;\r\n    accelerationIncludingGravity: DeviceAcceleration;\r\n    interval: number;\r\n    rotationRate: DeviceRotationRate;\r\n    initDeviceMotionEvent(type: string, bubbles: boolean, cancelable: boolean, acceleration: DeviceAccelerationDict, accelerationIncludingGravity: DeviceAccelerationDict, rotationRate: DeviceRotationRateDict, interval: number): void;\r\n}\r\n\r\ndeclare var DeviceMotionEvent: {\r\n    prototype: DeviceMotionEvent;\r\n    new(): DeviceMotionEvent;\r\n}\r\n\r\ninterface DeviceOrientationEvent extends Event {\r\n    absolute: boolean;\r\n    alpha: number;\r\n    beta: number;\r\n    gamma: number;\r\n    initDeviceOrientationEvent(type: string, bubbles: boolean, cancelable: boolean, alpha: number, beta: number, gamma: number, absolute: boolean): void;\r\n}\r\n\r\ndeclare var DeviceOrientationEvent: {\r\n    prototype: DeviceOrientationEvent;\r\n    new(): DeviceOrientationEvent;\r\n}\r\n\r\ninterface DeviceRotationRate {\r\n    alpha: number;\r\n    beta: number;\r\n    gamma: number;\r\n}\r\n\r\ndeclare var DeviceRotationRate: {\r\n    prototype: DeviceRotationRate;\r\n    new(): DeviceRotationRate;\r\n}\r\n\r\ninterface Document extends Node, GlobalEventHandlers, NodeSelector, DocumentEvent {\r\n    /**\r\n      * Sets or gets the URL for the current document. \r\n      */\r\n    URL: string;\r\n    /**\r\n      * Gets the URL for the document, stripped of any character encoding.\r\n      */\r\n    URLUnencoded: string;\r\n    /**\r\n      * Gets the object that has the focus when the parent document has focus.\r\n      */\r\n    activeElement: Element;\r\n    /**\r\n      * Sets or gets the color of all active links in the document.\r\n      */\r\n    alinkColor: string;\r\n    /**\r\n      * Returns a reference to the collection of elements contained by the object.\r\n      */\r\n    all: HTMLCollection;\r\n    /**\r\n      * Retrieves a collection of all a objects that have a name and/or id property. Objects in this collection are in HTML source order.\r\n      */\r\n    anchors: HTMLCollection;\r\n    /**\r\n      * Retrieves a collection of all applet objects in the document.\r\n      */\r\n    applets: HTMLCollection;\r\n    /**\r\n      * Deprecated. Sets or retrieves a value that indicates the background color behind the object. \r\n      */\r\n    bgColor: string;\r\n    /**\r\n      * Specifies the beginning and end of the document body.\r\n      */\r\n    body: HTMLElement;\r\n    characterSet: string;\r\n    /**\r\n      * Gets or sets the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Gets a value that indicates whether standards-compliant mode is switched on for the object.\r\n      */\r\n    compatMode: string;\r\n    cookie: string;\r\n    /**\r\n      * Gets the default character set from the current regional language settings.\r\n      */\r\n    defaultCharset: string;\r\n    defaultView: Window;\r\n    /**\r\n      * Sets or gets a value that indicates whether the document can be edited.\r\n      */\r\n    designMode: string;\r\n    /**\r\n      * Sets or retrieves a value that indicates the reading order of the object. \r\n      */\r\n    dir: string;\r\n    /**\r\n      * Gets an object representing the document type declaration associated with the current document. \r\n      */\r\n    doctype: DocumentType;\r\n    /**\r\n      * Gets a reference to the root node of the document. \r\n      */\r\n    documentElement: HTMLElement;\r\n    /**\r\n      * Sets or gets the security domain of the document. \r\n      */\r\n    domain: string;\r\n    /**\r\n      * Retrieves a collection of all embed objects in the document.\r\n      */\r\n    embeds: HTMLCollection;\r\n    /**\r\n      * Sets or gets the foreground (text) color of the document.\r\n      */\r\n    fgColor: string;\r\n    /**\r\n      * Retrieves a collection, in source order, of all form objects in the document.\r\n      */\r\n    forms: HTMLCollection;\r\n    fullscreenElement: Element;\r\n    fullscreenEnabled: boolean;\r\n    head: HTMLHeadElement;\r\n    hidden: boolean;\r\n    /**\r\n      * Retrieves a collection, in source order, of img objects in the document.\r\n      */\r\n    images: HTMLCollection;\r\n    /**\r\n      * Gets the implementation object of the current document. \r\n      */\r\n    implementation: DOMImplementation;\r\n    /**\r\n      * Returns the character encoding used to create the webpage that is loaded into the document object.\r\n      */\r\n    inputEncoding: string;\r\n    /**\r\n      * Gets the date that the page was last modified, if the page supplies one. \r\n      */\r\n    lastModified: string;\r\n    /**\r\n      * Sets or gets the color of the document links. \r\n      */\r\n    linkColor: string;\r\n    /**\r\n      * Retrieves a collection of all a objects that specify the href property and all area objects in the document.\r\n      */\r\n    links: HTMLCollection;\r\n    /**\r\n      * Contains information about the current URL. \r\n      */\r\n    location: Location;\r\n    media: string;\r\n    msCSSOMElementFloatMetrics: boolean;\r\n    msCapsLockWarningOff: boolean;\r\n    msHidden: boolean;\r\n    msVisibilityState: string;\r\n    /**\r\n      * Fires when the user aborts the download.\r\n      * @param ev The event.\r\n      */\r\n    onabort: (ev: Event) => any;\r\n    /**\r\n      * Fires when the object is set as the active element.\r\n      * @param ev The event.\r\n      */\r\n    onactivate: (ev: UIEvent) => any;\r\n    /**\r\n      * Fires immediately before the object is set as the active element.\r\n      * @param ev The event.\r\n      */\r\n    onbeforeactivate: (ev: UIEvent) => any;\r\n    /**\r\n      * Fires immediately before the activeElement is changed from the current object to another object in the parent document.\r\n      * @param ev The event.\r\n      */\r\n    onbeforedeactivate: (ev: UIEvent) => any;\r\n    /** \r\n      * Fires when the object loses the input focus. \r\n      * @param ev The focus event.\r\n      */\r\n    onblur: (ev: FocusEvent) => any;\r\n    /**\r\n      * Occurs when playback is possible, but would require further buffering. \r\n      * @param ev The event.\r\n      */\r\n    oncanplay: (ev: Event) => any;\r\n    oncanplaythrough: (ev: Event) => any;\r\n    /**\r\n      * Fires when the contents of the object or selection have changed. \r\n      * @param ev The event.\r\n      */\r\n    onchange: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user clicks the left mouse button on the object\r\n      * @param ev The mouse event.\r\n      */\r\n    onclick: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user clicks the right mouse button in the client area, opening the context menu. \r\n      * @param ev The mouse event.\r\n      */\r\n    oncontextmenu: (ev: PointerEvent) => any;\r\n    /**\r\n      * Fires when the user double-clicks the object.\r\n      * @param ev The mouse event.\r\n      */\r\n    ondblclick: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the activeElement is changed from the current object to another object in the parent document.\r\n      * @param ev The UI Event\r\n      */\r\n    ondeactivate: (ev: UIEvent) => any;\r\n    /**\r\n      * Fires on the source object continuously during a drag operation.\r\n      * @param ev The event.\r\n      */\r\n    ondrag: (ev: DragEvent) => any;\r\n    /**\r\n      * Fires on the source object when the user releases the mouse at the close of a drag operation.\r\n      * @param ev The event.\r\n      */\r\n    ondragend: (ev: DragEvent) => any;\r\n    /** \r\n      * Fires on the target element when the user drags the object to a valid drop target.\r\n      * @param ev The drag event.\r\n      */\r\n    ondragenter: (ev: DragEvent) => any;\r\n    /** \r\n      * Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.\r\n      * @param ev The drag event.\r\n      */\r\n    ondragleave: (ev: DragEvent) => any;\r\n    /**\r\n      * Fires on the target element continuously while the user drags the object over a valid drop target.\r\n      * @param ev The event.\r\n      */\r\n    ondragover: (ev: DragEvent) => any;\r\n    /**\r\n      * Fires on the source object when the user starts to drag a text selection or selected object. \r\n      * @param ev The event.\r\n      */\r\n    ondragstart: (ev: DragEvent) => any;\r\n    ondrop: (ev: DragEvent) => any;\r\n    /**\r\n      * Occurs when the duration attribute is updated. \r\n      * @param ev The event.\r\n      */\r\n    ondurationchange: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the media element is reset to its initial state. \r\n      * @param ev The event.\r\n      */\r\n    onemptied: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the end of playback is reached. \r\n      * @param ev The event\r\n      */\r\n    onended: (ev: Event) => any;\r\n    /**\r\n      * Fires when an error occurs during object loading.\r\n      * @param ev The event.\r\n      */\r\n    onerror: (ev: Event) => any;\r\n    /**\r\n      * Fires when the object receives focus. \r\n      * @param ev The event.\r\n      */\r\n    onfocus: (ev: FocusEvent) => any;\r\n    onfullscreenchange: (ev: Event) => any;\r\n    onfullscreenerror: (ev: Event) => any;\r\n    oninput: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user presses a key.\r\n      * @param ev The keyboard event\r\n      */\r\n    onkeydown: (ev: KeyboardEvent) => any;\r\n    /**\r\n      * Fires when the user presses an alphanumeric key.\r\n      * @param ev The event.\r\n      */\r\n    onkeypress: (ev: KeyboardEvent) => any;\r\n    /**\r\n      * Fires when the user releases a key.\r\n      * @param ev The keyboard event\r\n      */\r\n    onkeyup: (ev: KeyboardEvent) => any;\r\n    /**\r\n      * Fires immediately after the browser loads the object. \r\n      * @param ev The event.\r\n      */\r\n    onload: (ev: Event) => any;\r\n    /**\r\n      * Occurs when media data is loaded at the current playback position. \r\n      * @param ev The event.\r\n      */\r\n    onloadeddata: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the duration and dimensions of the media have been determined.\r\n      * @param ev The event.\r\n      */\r\n    onloadedmetadata: (ev: Event) => any;\r\n    /**\r\n      * Occurs when Internet Explorer begins looking for media data. \r\n      * @param ev The event.\r\n      */\r\n    onloadstart: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user clicks the object with either mouse button. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmousedown: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user moves the mouse over the object. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmousemove: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user moves the mouse pointer outside the boundaries of the object. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmouseout: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user moves the mouse pointer into the object.\r\n      * @param ev The mouse event.\r\n      */\r\n    onmouseover: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the user releases a mouse button while the mouse is over the object. \r\n      * @param ev The mouse event.\r\n      */\r\n    onmouseup: (ev: MouseEvent) => any;\r\n    /**\r\n      * Fires when the wheel button is rotated. \r\n      * @param ev The mouse event\r\n      */\r\n    onmousewheel: (ev: MouseWheelEvent) => any;\r\n    onmscontentzoom: (ev: UIEvent) => any;\r\n    onmsgesturechange: (ev: MSGestureEvent) => any;\r\n    onmsgesturedoubletap: (ev: MSGestureEvent) => any;\r\n    onmsgestureend: (ev: MSGestureEvent) => any;\r\n    onmsgesturehold: (ev: MSGestureEvent) => any;\r\n    onmsgesturestart: (ev: MSGestureEvent) => any;\r\n    onmsgesturetap: (ev: MSGestureEvent) => any;\r\n    onmsinertiastart: (ev: MSGestureEvent) => any;\r\n    onmsmanipulationstatechanged: (ev: MSManipulationEvent) => any;\r\n    onmspointercancel: (ev: MSPointerEvent) => any;\r\n    onmspointerdown: (ev: MSPointerEvent) => any;\r\n    onmspointerenter: (ev: MSPointerEvent) => any;\r\n    onmspointerleave: (ev: MSPointerEvent) => any;\r\n    onmspointermove: (ev: MSPointerEvent) => any;\r\n    onmspointerout: (ev: MSPointerEvent) => any;\r\n    onmspointerover: (ev: MSPointerEvent) => any;\r\n    onmspointerup: (ev: MSPointerEvent) => any;\r\n    /**\r\n      * Occurs when an item is removed from a Jump List of a webpage running in Site Mode. \r\n      * @param ev The event.\r\n      */\r\n    onmssitemodejumplistitemremoved: (ev: MSSiteModeEvent) => any;\r\n    /**\r\n      * Occurs when a user clicks a button in a Thumbnail Toolbar of a webpage running in Site Mode.\r\n      * @param ev The event.\r\n      */\r\n    onmsthumbnailclick: (ev: MSSiteModeEvent) => any;\r\n    /**\r\n      * Occurs when playback is paused.\r\n      * @param ev The event.\r\n      */\r\n    onpause: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the play method is requested. \r\n      * @param ev The event.\r\n      */\r\n    onplay: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the audio or video has started playing. \r\n      * @param ev The event.\r\n      */\r\n    onplaying: (ev: Event) => any;\r\n    onpointerlockchange: (ev: Event) => any;\r\n    onpointerlockerror: (ev: Event) => any;\r\n    /**\r\n      * Occurs to indicate progress while downloading media data. \r\n      * @param ev The event.\r\n      */\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    /**\r\n      * Occurs when the playback rate is increased or decreased. \r\n      * @param ev The event.\r\n      */\r\n    onratechange: (ev: Event) => any;\r\n    /**\r\n      * Fires when the state of the object has changed.\r\n      * @param ev The event\r\n      */\r\n    onreadystatechange: (ev: ProgressEvent) => any;\r\n    /**\r\n      * Fires when the user resets a form. \r\n      * @param ev The event.\r\n      */\r\n    onreset: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user repositions the scroll box in the scroll bar on the object. \r\n      * @param ev The event.\r\n      */\r\n    onscroll: (ev: UIEvent) => any;\r\n    /**\r\n      * Occurs when the seek operation ends. \r\n      * @param ev The event.\r\n      */\r\n    onseeked: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the current playback position is moved. \r\n      * @param ev The event.\r\n      */\r\n    onseeking: (ev: Event) => any;\r\n    /**\r\n      * Fires when the current selection changes.\r\n      * @param ev The event.\r\n      */\r\n    onselect: (ev: UIEvent) => any;\r\n    onselectstart: (ev: Event) => any;\r\n    /**\r\n      * Occurs when the download has stopped. \r\n      * @param ev The event.\r\n      */\r\n    onstalled: (ev: Event) => any;\r\n    /**\r\n      * Fires when the user clicks the Stop button or leaves the Web page.\r\n      * @param ev The event.\r\n      */\r\n    onstop: (ev: Event) => any;\r\n    onsubmit: (ev: Event) => any;\r\n    /**\r\n      * Occurs if the load operation has been intentionally halted. \r\n      * @param ev The event.\r\n      */\r\n    onsuspend: (ev: Event) => any;\r\n    /**\r\n      * Occurs to indicate the current playback position.\r\n      * @param ev The event.\r\n      */\r\n    ontimeupdate: (ev: Event) => any;\r\n    ontouchcancel: (ev: TouchEvent) => any;\r\n    ontouchend: (ev: TouchEvent) => any;\r\n    ontouchmove: (ev: TouchEvent) => any;\r\n    ontouchstart: (ev: TouchEvent) => any;\r\n    /**\r\n      * Occurs when the volume is changed, or playback is muted or unmuted.\r\n      * @param ev The event.\r\n      */\r\n    onvolumechange: (ev: Event) => any;\r\n    /**\r\n      * Occurs when playback stops because the next frame of a video resource is not available. \r\n      * @param ev The event.\r\n      */\r\n    onwaiting: (ev: Event) => any;\r\n    onwebkitfullscreenchange: (ev: Event) => any;\r\n    onwebkitfullscreenerror: (ev: Event) => any;\r\n    plugins: HTMLCollection;\r\n    pointerLockElement: Element;\r\n    /**\r\n      * Retrieves a value that indicates the current state of the object.\r\n      */\r\n    readyState: string;\r\n    /**\r\n      * Gets the URL of the location that referred the user to the current page.\r\n      */\r\n    referrer: string;\r\n    /**\r\n      * Gets the root svg element in the document hierarchy.\r\n      */\r\n    rootElement: SVGSVGElement;\r\n    /**\r\n      * Retrieves a collection of all script objects in the document.\r\n      */\r\n    scripts: HTMLCollection;\r\n    security: string;\r\n    /**\r\n      * Retrieves a collection of styleSheet objects representing the style sheets that correspond to each instance of a link or style object in the document.\r\n      */\r\n    styleSheets: StyleSheetList;\r\n    /**\r\n      * Contains the title of the document.\r\n      */\r\n    title: string;\r\n    visibilityState: string;\r\n    /** \r\n      * Sets or gets the color of the links that the user has visited.\r\n      */\r\n    vlinkColor: string;\r\n    webkitCurrentFullScreenElement: Element;\r\n    webkitFullscreenElement: Element;\r\n    webkitFullscreenEnabled: boolean;\r\n    webkitIsFullScreen: boolean;\r\n    xmlEncoding: string;\r\n    xmlStandalone: boolean;\r\n    /**\r\n      * Gets or sets the version attribute specified in the declaration of an XML document.\r\n      */\r\n    xmlVersion: string;\r\n    currentScript: HTMLScriptElement;\r\n    adoptNode(source: Node): Node;\r\n    captureEvents(): void;\r\n    clear(): void;\r\n    /**\r\n      * Closes an output stream and forces the sent data to display.\r\n      */\r\n    close(): void;\r\n    /**\r\n      * Creates an attribute object with a specified name.\r\n      * @param name String that sets the attribute object\'s name.\r\n      */\r\n    createAttribute(name: string): Attr;\r\n    createAttributeNS(namespaceURI: string, qualifiedName: string): Attr;\r\n    createCDATASection(data: string): CDATASection;\r\n    /**\r\n      * Creates a comment object with the specified data.\r\n      * @param data Sets the comment object\'s data.\r\n      */\r\n    createComment(data: string): Comment;\r\n    /**\r\n      * Creates a new document.\r\n      */\r\n    createDocumentFragment(): DocumentFragment;\r\n    /**\r\n      * Creates an instance of the element for the specified tag.\r\n      * @param tagName The name of an element.\r\n      */\r\n    createElement(tagName: "a"): HTMLAnchorElement;\r\n    createElement(tagName: "abbr"): HTMLPhraseElement;\r\n    createElement(tagName: "acronym"): HTMLPhraseElement;\r\n    createElement(tagName: "address"): HTMLBlockElement;\r\n    createElement(tagName: "applet"): HTMLAppletElement;\r\n    createElement(tagName: "area"): HTMLAreaElement;\r\n    createElement(tagName: "audio"): HTMLAudioElement;\r\n    createElement(tagName: "b"): HTMLPhraseElement;\r\n    createElement(tagName: "base"): HTMLBaseElement;\r\n    createElement(tagName: "basefont"): HTMLBaseFontElement;\r\n    createElement(tagName: "bdo"): HTMLPhraseElement;\r\n    createElement(tagName: "big"): HTMLPhraseElement;\r\n    createElement(tagName: "blockquote"): HTMLBlockElement;\r\n    createElement(tagName: "body"): HTMLBodyElement;\r\n    createElement(tagName: "br"): HTMLBRElement;\r\n    createElement(tagName: "button"): HTMLButtonElement;\r\n    createElement(tagName: "canvas"): HTMLCanvasElement;\r\n    createElement(tagName: "caption"): HTMLTableCaptionElement;\r\n    createElement(tagName: "center"): HTMLBlockElement;\r\n    createElement(tagName: "cite"): HTMLPhraseElement;\r\n    createElement(tagName: "code"): HTMLPhraseElement;\r\n    createElement(tagName: "col"): HTMLTableColElement;\r\n    createElement(tagName: "colgroup"): HTMLTableColElement;\r\n    createElement(tagName: "datalist"): HTMLDataListElement;\r\n    createElement(tagName: "dd"): HTMLDDElement;\r\n    createElement(tagName: "del"): HTMLModElement;\r\n    createElement(tagName: "dfn"): HTMLPhraseElement;\r\n    createElement(tagName: "dir"): HTMLDirectoryElement;\r\n    createElement(tagName: "div"): HTMLDivElement;\r\n    createElement(tagName: "dl"): HTMLDListElement;\r\n    createElement(tagName: "dt"): HTMLDTElement;\r\n    createElement(tagName: "em"): HTMLPhraseElement;\r\n    createElement(tagName: "embed"): HTMLEmbedElement;\r\n    createElement(tagName: "fieldset"): HTMLFieldSetElement;\r\n    createElement(tagName: "font"): HTMLFontElement;\r\n    createElement(tagName: "form"): HTMLFormElement;\r\n    createElement(tagName: "frame"): HTMLFrameElement;\r\n    createElement(tagName: "frameset"): HTMLFrameSetElement;\r\n    createElement(tagName: "h1"): HTMLHeadingElement;\r\n    createElement(tagName: "h2"): HTMLHeadingElement;\r\n    createElement(tagName: "h3"): HTMLHeadingElement;\r\n    createElement(tagName: "h4"): HTMLHeadingElement;\r\n    createElement(tagName: "h5"): HTMLHeadingElement;\r\n    createElement(tagName: "h6"): HTMLHeadingElement;\r\n    createElement(tagName: "head"): HTMLHeadElement;\r\n    createElement(tagName: "hr"): HTMLHRElement;\r\n    createElement(tagName: "html"): HTMLHtmlElement;\r\n    createElement(tagName: "i"): HTMLPhraseElement;\r\n    createElement(tagName: "iframe"): HTMLIFrameElement;\r\n    createElement(tagName: "img"): HTMLImageElement;\r\n    createElement(tagName: "input"): HTMLInputElement;\r\n    createElement(tagName: "ins"): HTMLModElement;\r\n    createElement(tagName: "isindex"): HTMLIsIndexElement;\r\n    createElement(tagName: "kbd"): HTMLPhraseElement;\r\n    createElement(tagName: "keygen"): HTMLBlockElement;\r\n    createElement(tagName: "label"): HTMLLabelElement;\r\n    createElement(tagName: "legend"): HTMLLegendElement;\r\n    createElement(tagName: "li"): HTMLLIElement;\r\n    createElement(tagName: "link"): HTMLLinkElement;\r\n    createElement(tagName: "listing"): HTMLBlockElement;\r\n    createElement(tagName: "map"): HTMLMapElement;\r\n    createElement(tagName: "marquee"): HTMLMarqueeElement;\r\n    createElement(tagName: "menu"): HTMLMenuElement;\r\n    createElement(tagName: "meta"): HTMLMetaElement;\r\n    createElement(tagName: "nextid"): HTMLNextIdElement;\r\n    createElement(tagName: "nobr"): HTMLPhraseElement;\r\n    createElement(tagName: "object"): HTMLObjectElement;\r\n    createElement(tagName: "ol"): HTMLOListElement;\r\n    createElement(tagName: "optgroup"): HTMLOptGroupElement;\r\n    createElement(tagName: "option"): HTMLOptionElement;\r\n    createElement(tagName: "p"): HTMLParagraphElement;\r\n    createElement(tagName: "param"): HTMLParamElement;\r\n    createElement(tagName: "plaintext"): HTMLBlockElement;\r\n    createElement(tagName: "pre"): HTMLPreElement;\r\n    createElement(tagName: "progress"): HTMLProgressElement;\r\n    createElement(tagName: "q"): HTMLQuoteElement;\r\n    createElement(tagName: "rt"): HTMLPhraseElement;\r\n    createElement(tagName: "ruby"): HTMLPhraseElement;\r\n    createElement(tagName: "s"): HTMLPhraseElement;\r\n    createElement(tagName: "samp"): HTMLPhraseElement;\r\n    createElement(tagName: "script"): HTMLScriptElement;\r\n    createElement(tagName: "select"): HTMLSelectElement;\r\n    createElement(tagName: "small"): HTMLPhraseElement;\r\n    createElement(tagName: "source"): HTMLSourceElement;\r\n    createElement(tagName: "span"): HTMLSpanElement;\r\n    createElement(tagName: "strike"): HTMLPhraseElement;\r\n    createElement(tagName: "strong"): HTMLPhraseElement;\r\n    createElement(tagName: "style"): HTMLStyleElement;\r\n    createElement(tagName: "sub"): HTMLPhraseElement;\r\n    createElement(tagName: "sup"): HTMLPhraseElement;\r\n    createElement(tagName: "table"): HTMLTableElement;\r\n    createElement(tagName: "tbody"): HTMLTableSectionElement;\r\n    createElement(tagName: "td"): HTMLTableDataCellElement;\r\n    createElement(tagName: "textarea"): HTMLTextAreaElement;\r\n    createElement(tagName: "tfoot"): HTMLTableSectionElement;\r\n    createElement(tagName: "th"): HTMLTableHeaderCellElement;\r\n    createElement(tagName: "thead"): HTMLTableSectionElement;\r\n    createElement(tagName: "title"): HTMLTitleElement;\r\n    createElement(tagName: "tr"): HTMLTableRowElement;\r\n    createElement(tagName: "track"): HTMLTrackElement;\r\n    createElement(tagName: "tt"): HTMLPhraseElement;\r\n    createElement(tagName: "u"): HTMLPhraseElement;\r\n    createElement(tagName: "ul"): HTMLUListElement;\r\n    createElement(tagName: "var"): HTMLPhraseElement;\r\n    createElement(tagName: "video"): HTMLVideoElement;\r\n    createElement(tagName: "x-ms-webview"): MSHTMLWebViewElement;\r\n    createElement(tagName: "xmp"): HTMLBlockElement;\r\n    createElement(tagName: string): HTMLElement;\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "a"): SVGAElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "circle"): SVGCircleElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "clipPath"): SVGClipPathElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "componentTransferFunction"): SVGComponentTransferFunctionElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "defs"): SVGDefsElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "desc"): SVGDescElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "ellipse"): SVGEllipseElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feBlend"): SVGFEBlendElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feColorMatrix"): SVGFEColorMatrixElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feComponentTransfer"): SVGFEComponentTransferElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feComposite"): SVGFECompositeElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feConvolveMatrix"): SVGFEConvolveMatrixElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feDiffuseLighting"): SVGFEDiffuseLightingElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feDisplacementMap"): SVGFEDisplacementMapElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feDistantLight"): SVGFEDistantLightElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFlood"): SVGFEFloodElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncA"): SVGFEFuncAElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncB"): SVGFEFuncBElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncG"): SVGFEFuncGElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncR"): SVGFEFuncRElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feGaussianBlur"): SVGFEGaussianBlurElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feImage"): SVGFEImageElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feMerge"): SVGFEMergeElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feMergeNode"): SVGFEMergeNodeElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feMorphology"): SVGFEMorphologyElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feOffset"): SVGFEOffsetElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "fePointLight"): SVGFEPointLightElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feSpecularLighting"): SVGFESpecularLightingElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feSpotLight"): SVGFESpotLightElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feTile"): SVGFETileElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feTurbulence"): SVGFETurbulenceElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "filter"): SVGFilterElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "foreignObject"): SVGForeignObjectElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "g"): SVGGElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "image"): SVGImageElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "gradient"): SVGGradientElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "line"): SVGLineElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "linearGradient"): SVGLinearGradientElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "marker"): SVGMarkerElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "mask"): SVGMaskElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "path"): SVGPathElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "metadata"): SVGMetadataElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "pattern"): SVGPatternElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "polygon"): SVGPolygonElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "polyline"): SVGPolylineElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "radialGradient"): SVGRadialGradientElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "rect"): SVGRectElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "svg"): SVGSVGElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "script"): SVGScriptElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "stop"): SVGStopElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "style"): SVGStyleElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "switch"): SVGSwitchElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "symbol"): SVGSymbolElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "tspan"): SVGTSpanElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "textContent"): SVGTextContentElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "text"): SVGTextElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "textPath"): SVGTextPathElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "textPositioning"): SVGTextPositioningElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "title"): SVGTitleElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "use"): SVGUseElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "view"): SVGViewElement\r\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: string): SVGElement\r\n    createElementNS(namespaceURI: string, qualifiedName: string): Element;\r\n    createExpression(expression: string, resolver: XPathNSResolver): XPathExpression;\r\n    createNSResolver(nodeResolver: Node): XPathNSResolver;\r\n    /**\r\n      * Creates a NodeIterator object that you can use to traverse filtered lists of nodes or elements in a document. \r\n      * @param root The root element or node to start traversing on.\r\n      * @param whatToShow The type of nodes or elements to appear in the node list\r\n      * @param filter A custom NodeFilter function to use. For more information, see filter. Use null for no filter.\r\n      * @param entityReferenceExpansion A flag that specifies whether entity reference nodes are expanded.\r\n      */\r\n    createNodeIterator(root: Node, whatToShow?: number, filter?: NodeFilter, entityReferenceExpansion?: boolean): NodeIterator;\r\n    createProcessingInstruction(target: string, data: string): ProcessingInstruction;\r\n    /**\r\n      *  Returns an empty range object that has both of its boundary points positioned at the beginning of the document. \r\n      */\r\n    createRange(): Range;\r\n    /**\r\n      * Creates a text string from the specified value. \r\n      * @param data String that specifies the nodeValue property of the text node.\r\n      */\r\n    createTextNode(data: string): Text;\r\n    createTouch(view: any, target: EventTarget, identifier: number, pageX: number, pageY: number, screenX: number, screenY: number): Touch;\r\n    createTouchList(...touches: Touch[]): TouchList;\r\n    /**\r\n      * Creates a TreeWalker object that you can use to traverse filtered lists of nodes or elements in a document.\r\n      * @param root The root element or node to start traversing on.\r\n      * @param whatToShow The type of nodes or elements to appear in the node list. For more information, see whatToShow.\r\n      * @param filter A custom NodeFilter function to use.\r\n      * @param entityReferenceExpansion A flag that specifies whether entity reference nodes are expanded.\r\n      */\r\n    createTreeWalker(root: Node, whatToShow?: number, filter?: NodeFilter, entityReferenceExpansion?: boolean): TreeWalker;\r\n    /**\r\n      * Returns the element for the specified x coordinate and the specified y coordinate. \r\n      * @param x The x-offset\r\n      * @param y The y-offset\r\n      */\r\n    elementFromPoint(x: number, y: number): Element;\r\n    evaluate(expression: string, contextNode: Node, resolver: XPathNSResolver, type: number, result: XPathResult): XPathResult;\r\n    /**\r\n      * Executes a command on the current document, current selection, or the given range.\r\n      * @param commandId String that specifies the command to execute. This command can be any of the command identifiers that can be executed in script.\r\n      * @param showUI Display the user interface, defaults to false.\r\n      * @param value Value to assign.\r\n      */\r\n    execCommand(commandId: string, showUI?: boolean, value?: any): boolean;\r\n    /**\r\n      * Displays help information for the given command identifier.\r\n      * @param commandId Displays help information for the given command identifier.\r\n      */\r\n    execCommandShowHelp(commandId: string): boolean;\r\n    exitFullscreen(): void;\r\n    exitPointerLock(): void;\r\n    /**\r\n      * Causes the element to receive the focus and executes the code specified by the onfocus event.\r\n      */\r\n    focus(): void;\r\n    /**\r\n      * Returns a reference to the first object with the specified value of the ID or NAME attribute.\r\n      * @param elementId String that specifies the ID value. Case-insensitive.\r\n      */\r\n    getElementById(elementId: string): HTMLElement;\r\n    getElementsByClassName(classNames: string): NodeListOf<Element>;\r\n    /**\r\n      * Gets a collection of objects based on the value of the NAME or ID attribute.\r\n      * @param elementName Gets a collection of objects based on the value of the NAME or ID attribute.\r\n      */\r\n    getElementsByName(elementName: string): NodeListOf<Element>;\r\n    /**\r\n      * Retrieves a collection of objects based on the specified element name.\r\n      * @param name Specifies the name of an element.\r\n      */\r\n    getElementsByTagName(tagname: "a"): NodeListOf<HTMLAnchorElement>;\r\n    getElementsByTagName(tagname: "abbr"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "acronym"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "address"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "applet"): NodeListOf<HTMLAppletElement>;\r\n    getElementsByTagName(tagname: "area"): NodeListOf<HTMLAreaElement>;\r\n    getElementsByTagName(tagname: "article"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "aside"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "audio"): NodeListOf<HTMLAudioElement>;\r\n    getElementsByTagName(tagname: "b"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "base"): NodeListOf<HTMLBaseElement>;\r\n    getElementsByTagName(tagname: "basefont"): NodeListOf<HTMLBaseFontElement>;\r\n    getElementsByTagName(tagname: "bdo"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "big"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "blockquote"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "body"): NodeListOf<HTMLBodyElement>;\r\n    getElementsByTagName(tagname: "br"): NodeListOf<HTMLBRElement>;\r\n    getElementsByTagName(tagname: "button"): NodeListOf<HTMLButtonElement>;\r\n    getElementsByTagName(tagname: "canvas"): NodeListOf<HTMLCanvasElement>;\r\n    getElementsByTagName(tagname: "caption"): NodeListOf<HTMLTableCaptionElement>;\r\n    getElementsByTagName(tagname: "center"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "circle"): NodeListOf<SVGCircleElement>;\r\n    getElementsByTagName(tagname: "cite"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "clippath"): NodeListOf<SVGClipPathElement>;\r\n    getElementsByTagName(tagname: "code"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "col"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(tagname: "colgroup"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(tagname: "datalist"): NodeListOf<HTMLDataListElement>;\r\n    getElementsByTagName(tagname: "dd"): NodeListOf<HTMLDDElement>;\r\n    getElementsByTagName(tagname: "defs"): NodeListOf<SVGDefsElement>;\r\n    getElementsByTagName(tagname: "del"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(tagname: "desc"): NodeListOf<SVGDescElement>;\r\n    getElementsByTagName(tagname: "dfn"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "dir"): NodeListOf<HTMLDirectoryElement>;\r\n    getElementsByTagName(tagname: "div"): NodeListOf<HTMLDivElement>;\r\n    getElementsByTagName(tagname: "dl"): NodeListOf<HTMLDListElement>;\r\n    getElementsByTagName(tagname: "dt"): NodeListOf<HTMLDTElement>;\r\n    getElementsByTagName(tagname: "ellipse"): NodeListOf<SVGEllipseElement>;\r\n    getElementsByTagName(tagname: "em"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "embed"): NodeListOf<HTMLEmbedElement>;\r\n    getElementsByTagName(tagname: "feblend"): NodeListOf<SVGFEBlendElement>;\r\n    getElementsByTagName(tagname: "fecolormatrix"): NodeListOf<SVGFEColorMatrixElement>;\r\n    getElementsByTagName(tagname: "fecomponenttransfer"): NodeListOf<SVGFEComponentTransferElement>;\r\n    getElementsByTagName(tagname: "fecomposite"): NodeListOf<SVGFECompositeElement>;\r\n    getElementsByTagName(tagname: "feconvolvematrix"): NodeListOf<SVGFEConvolveMatrixElement>;\r\n    getElementsByTagName(tagname: "fediffuselighting"): NodeListOf<SVGFEDiffuseLightingElement>;\r\n    getElementsByTagName(tagname: "fedisplacementmap"): NodeListOf<SVGFEDisplacementMapElement>;\r\n    getElementsByTagName(tagname: "fedistantlight"): NodeListOf<SVGFEDistantLightElement>;\r\n    getElementsByTagName(tagname: "feflood"): NodeListOf<SVGFEFloodElement>;\r\n    getElementsByTagName(tagname: "fefunca"): NodeListOf<SVGFEFuncAElement>;\r\n    getElementsByTagName(tagname: "fefuncb"): NodeListOf<SVGFEFuncBElement>;\r\n    getElementsByTagName(tagname: "fefuncg"): NodeListOf<SVGFEFuncGElement>;\r\n    getElementsByTagName(tagname: "fefuncr"): NodeListOf<SVGFEFuncRElement>;\r\n    getElementsByTagName(tagname: "fegaussianblur"): NodeListOf<SVGFEGaussianBlurElement>;\r\n    getElementsByTagName(tagname: "feimage"): NodeListOf<SVGFEImageElement>;\r\n    getElementsByTagName(tagname: "femerge"): NodeListOf<SVGFEMergeElement>;\r\n    getElementsByTagName(tagname: "femergenode"): NodeListOf<SVGFEMergeNodeElement>;\r\n    getElementsByTagName(tagname: "femorphology"): NodeListOf<SVGFEMorphologyElement>;\r\n    getElementsByTagName(tagname: "feoffset"): NodeListOf<SVGFEOffsetElement>;\r\n    getElementsByTagName(tagname: "fepointlight"): NodeListOf<SVGFEPointLightElement>;\r\n    getElementsByTagName(tagname: "fespecularlighting"): NodeListOf<SVGFESpecularLightingElement>;\r\n    getElementsByTagName(tagname: "fespotlight"): NodeListOf<SVGFESpotLightElement>;\r\n    getElementsByTagName(tagname: "fetile"): NodeListOf<SVGFETileElement>;\r\n    getElementsByTagName(tagname: "feturbulence"): NodeListOf<SVGFETurbulenceElement>;\r\n    getElementsByTagName(tagname: "fieldset"): NodeListOf<HTMLFieldSetElement>;\r\n    getElementsByTagName(tagname: "figcaption"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "figure"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "filter"): NodeListOf<SVGFilterElement>;\r\n    getElementsByTagName(tagname: "font"): NodeListOf<HTMLFontElement>;\r\n    getElementsByTagName(tagname: "footer"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "foreignobject"): NodeListOf<SVGForeignObjectElement>;\r\n    getElementsByTagName(tagname: "form"): NodeListOf<HTMLFormElement>;\r\n    getElementsByTagName(tagname: "frame"): NodeListOf<HTMLFrameElement>;\r\n    getElementsByTagName(tagname: "frameset"): NodeListOf<HTMLFrameSetElement>;\r\n    getElementsByTagName(tagname: "g"): NodeListOf<SVGGElement>;\r\n    getElementsByTagName(tagname: "h1"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h2"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h3"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h4"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h5"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "h6"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(tagname: "head"): NodeListOf<HTMLHeadElement>;\r\n    getElementsByTagName(tagname: "header"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "hgroup"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "hr"): NodeListOf<HTMLHRElement>;\r\n    getElementsByTagName(tagname: "html"): NodeListOf<HTMLHtmlElement>;\r\n    getElementsByTagName(tagname: "i"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "iframe"): NodeListOf<HTMLIFrameElement>;\r\n    getElementsByTagName(tagname: "image"): NodeListOf<SVGImageElement>;\r\n    getElementsByTagName(tagname: "img"): NodeListOf<HTMLImageElement>;\r\n    getElementsByTagName(tagname: "input"): NodeListOf<HTMLInputElement>;\r\n    getElementsByTagName(tagname: "ins"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(tagname: "isindex"): NodeListOf<HTMLIsIndexElement>;\r\n    getElementsByTagName(tagname: "kbd"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "keygen"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "label"): NodeListOf<HTMLLabelElement>;\r\n    getElementsByTagName(tagname: "legend"): NodeListOf<HTMLLegendElement>;\r\n    getElementsByTagName(tagname: "li"): NodeListOf<HTMLLIElement>;\r\n    getElementsByTagName(tagname: "line"): NodeListOf<SVGLineElement>;\r\n    getElementsByTagName(tagname: "lineargradient"): NodeListOf<SVGLinearGradientElement>;\r\n    getElementsByTagName(tagname: "link"): NodeListOf<HTMLLinkElement>;\r\n    getElementsByTagName(tagname: "listing"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "map"): NodeListOf<HTMLMapElement>;\r\n    getElementsByTagName(tagname: "mark"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "marker"): NodeListOf<SVGMarkerElement>;\r\n    getElementsByTagName(tagname: "marquee"): NodeListOf<HTMLMarqueeElement>;\r\n    getElementsByTagName(tagname: "mask"): NodeListOf<SVGMaskElement>;\r\n    getElementsByTagName(tagname: "menu"): NodeListOf<HTMLMenuElement>;\r\n    getElementsByTagName(tagname: "meta"): NodeListOf<HTMLMetaElement>;\r\n    getElementsByTagName(tagname: "metadata"): NodeListOf<SVGMetadataElement>;\r\n    getElementsByTagName(tagname: "nav"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "nextid"): NodeListOf<HTMLNextIdElement>;\r\n    getElementsByTagName(tagname: "nobr"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "noframes"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "noscript"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "object"): NodeListOf<HTMLObjectElement>;\r\n    getElementsByTagName(tagname: "ol"): NodeListOf<HTMLOListElement>;\r\n    getElementsByTagName(tagname: "optgroup"): NodeListOf<HTMLOptGroupElement>;\r\n    getElementsByTagName(tagname: "option"): NodeListOf<HTMLOptionElement>;\r\n    getElementsByTagName(tagname: "p"): NodeListOf<HTMLParagraphElement>;\r\n    getElementsByTagName(tagname: "param"): NodeListOf<HTMLParamElement>;\r\n    getElementsByTagName(tagname: "path"): NodeListOf<SVGPathElement>;\r\n    getElementsByTagName(tagname: "pattern"): NodeListOf<SVGPatternElement>;\r\n    getElementsByTagName(tagname: "plaintext"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: "polygon"): NodeListOf<SVGPolygonElement>;\r\n    getElementsByTagName(tagname: "polyline"): NodeListOf<SVGPolylineElement>;\r\n    getElementsByTagName(tagname: "pre"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(tagname: "progress"): NodeListOf<HTMLProgressElement>;\r\n    getElementsByTagName(tagname: "q"): NodeListOf<HTMLQuoteElement>;\r\n    getElementsByTagName(tagname: "radialgradient"): NodeListOf<SVGRadialGradientElement>;\r\n    getElementsByTagName(tagname: "rect"): NodeListOf<SVGRectElement>;\r\n    getElementsByTagName(tagname: "rt"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "ruby"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "s"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "samp"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "script"): NodeListOf<HTMLScriptElement>;\r\n    getElementsByTagName(tagname: "section"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "select"): NodeListOf<HTMLSelectElement>;\r\n    getElementsByTagName(tagname: "small"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "source"): NodeListOf<HTMLSourceElement>;\r\n    getElementsByTagName(tagname: "span"): NodeListOf<HTMLSpanElement>;\r\n    getElementsByTagName(tagname: "stop"): NodeListOf<SVGStopElement>;\r\n    getElementsByTagName(tagname: "strike"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "strong"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "style"): NodeListOf<HTMLStyleElement>;\r\n    getElementsByTagName(tagname: "sub"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "sup"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "svg"): NodeListOf<SVGSVGElement>;\r\n    getElementsByTagName(tagname: "switch"): NodeListOf<SVGSwitchElement>;\r\n    getElementsByTagName(tagname: "symbol"): NodeListOf<SVGSymbolElement>;\r\n    getElementsByTagName(tagname: "table"): NodeListOf<HTMLTableElement>;\r\n    getElementsByTagName(tagname: "tbody"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(tagname: "td"): NodeListOf<HTMLTableDataCellElement>;\r\n    getElementsByTagName(tagname: "text"): NodeListOf<SVGTextElement>;\r\n    getElementsByTagName(tagname: "textpath"): NodeListOf<SVGTextPathElement>;\r\n    getElementsByTagName(tagname: "textarea"): NodeListOf<HTMLTextAreaElement>;\r\n    getElementsByTagName(tagname: "tfoot"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(tagname: "th"): NodeListOf<HTMLTableHeaderCellElement>;\r\n    getElementsByTagName(tagname: "thead"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(tagname: "title"): NodeListOf<HTMLTitleElement>;\r\n    getElementsByTagName(tagname: "tr"): NodeListOf<HTMLTableRowElement>;\r\n    getElementsByTagName(tagname: "track"): NodeListOf<HTMLTrackElement>;\r\n    getElementsByTagName(tagname: "tspan"): NodeListOf<SVGTSpanElement>;\r\n    getElementsByTagName(tagname: "tt"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "u"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "ul"): NodeListOf<HTMLUListElement>;\r\n    getElementsByTagName(tagname: "use"): NodeListOf<SVGUseElement>;\r\n    getElementsByTagName(tagname: "var"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(tagname: "video"): NodeListOf<HTMLVideoElement>;\r\n    getElementsByTagName(tagname: "view"): NodeListOf<SVGViewElement>;\r\n    getElementsByTagName(tagname: "wbr"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(tagname: "x-ms-webview"): NodeListOf<MSHTMLWebViewElement>;\r\n    getElementsByTagName(tagname: "xmp"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(tagname: string): NodeListOf<Element>;\r\n    getElementsByTagNameNS(namespaceURI: string, localName: string): NodeListOf<Element>;\r\n    /**\r\n      * Returns an object representing the current selection of the document that is loaded into the object displaying a webpage.\r\n      */\r\n    getSelection(): Selection;\r\n    /**\r\n      * Gets a value indicating whether the object currently has focus.\r\n      */\r\n    hasFocus(): boolean;\r\n    importNode(importedNode: Node, deep: boolean): Node;\r\n    msElementsFromPoint(x: number, y: number): NodeList;\r\n    msElementsFromRect(left: number, top: number, width: number, height: number): NodeList;\r\n    /**\r\n      * Opens a new window and loads a document specified by a given URL. Also, opens a new window that uses the url parameter and the name parameter to collect the output of the write method and the writeln method.\r\n      * @param url Specifies a MIME type for the document.\r\n      * @param name Specifies the name of the window. This name is used as the value for the TARGET attribute on a form or an anchor element.\r\n      * @param features Contains a list of items separated by commas. Each item consists of an option and a value, separated by an equals sign (for example, "fullscreen=yes, toolbar=yes"). The following values are supported.\r\n      * @param replace Specifies whether the existing entry for the document is replaced in the history list.\r\n      */\r\n    open(url?: string, name?: string, features?: string, replace?: boolean): Document;\r\n    /** \r\n      * Returns a Boolean value that indicates whether a specified command can be successfully executed using execCommand, given the current state of the document.\r\n      * @param commandId Specifies a command identifier.\r\n      */\r\n    queryCommandEnabled(commandId: string): boolean;\r\n    /**\r\n      * Returns a Boolean value that indicates whether the specified command is in the indeterminate state.\r\n      * @param commandId String that specifies a command identifier.\r\n      */\r\n    queryCommandIndeterm(commandId: string): boolean;\r\n    /**\r\n      * Returns a Boolean value that indicates the current state of the command.\r\n      * @param commandId String that specifies a command identifier.\r\n      */\r\n    queryCommandState(commandId: string): boolean;\r\n    /**\r\n      * Returns a Boolean value that indicates whether the current command is supported on the current range.\r\n      * @param commandId Specifies a command identifier.\r\n      */\r\n    queryCommandSupported(commandId: string): boolean;\r\n    /**\r\n      * Retrieves the string associated with a command.\r\n      * @param commandId String that contains the identifier of a command. This can be any command identifier given in the list of Command Identifiers. \r\n      */\r\n    queryCommandText(commandId: string): string;\r\n    /**\r\n      * Returns the current value of the document, range, or current selection for the given command.\r\n      * @param commandId String that specifies a command identifier.\r\n      */\r\n    queryCommandValue(commandId: string): string;\r\n    releaseEvents(): void;\r\n    /**\r\n      * Allows updating the print settings for the page.\r\n      */\r\n    updateSettings(): void;\r\n    webkitCancelFullScreen(): void;\r\n    webkitExitFullscreen(): void;\r\n    /**\r\n      * Writes one or more HTML expressions to a document in the specified window. \r\n      * @param content Specifies the text and HTML tags to write.\r\n      */\r\n    write(...content: string[]): void;\r\n    /**\r\n      * Writes one or more HTML expressions, followed by a carriage return, to a document in the specified window. \r\n      * @param content The text and HTML tags to write.\r\n      */\r\n    writeln(...content: string[]): void;\r\n    createElement(tagName: "picture"): HTMLPictureElement;\r\n    getElementsByTagName(tagname: "picture"): NodeListOf<HTMLPictureElement>;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "fullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "fullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mssitemodejumplistitemremoved", listener: (ev: MSSiteModeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "msthumbnailclick", listener: (ev: MSSiteModeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerlockchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerlockerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "readystatechange", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stop", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Document: {\r\n    prototype: Document;\r\n    new(): Document;\r\n}\r\n\r\ninterface DocumentFragment extends Node, NodeSelector {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var DocumentFragment: {\r\n    prototype: DocumentFragment;\r\n    new(): DocumentFragment;\r\n}\r\n\r\ninterface DocumentType extends Node, ChildNode {\r\n    entities: NamedNodeMap;\r\n    internalSubset: string;\r\n    name: string;\r\n    notations: NamedNodeMap;\r\n    publicId: string;\r\n    systemId: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var DocumentType: {\r\n    prototype: DocumentType;\r\n    new(): DocumentType;\r\n}\r\n\r\ninterface DragEvent extends MouseEvent {\r\n    dataTransfer: DataTransfer;\r\n    initDragEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget, dataTransferArg: DataTransfer): void;\r\n    msConvertURL(file: File, targetType: string, targetURL?: string): void;\r\n}\r\n\r\ndeclare var DragEvent: {\r\n    prototype: DragEvent;\r\n    new(): DragEvent;\r\n}\r\n\r\ninterface DynamicsCompressorNode extends AudioNode {\r\n    attack: AudioParam;\r\n    knee: AudioParam;\r\n    ratio: AudioParam;\r\n    reduction: AudioParam;\r\n    release: AudioParam;\r\n    threshold: AudioParam;\r\n}\r\n\r\ndeclare var DynamicsCompressorNode: {\r\n    prototype: DynamicsCompressorNode;\r\n    new(): DynamicsCompressorNode;\r\n}\r\n\r\ninterface EXT_texture_filter_anisotropic {\r\n    MAX_TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n    TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n}\r\n\r\ndeclare var EXT_texture_filter_anisotropic: {\r\n    prototype: EXT_texture_filter_anisotropic;\r\n    new(): EXT_texture_filter_anisotropic;\r\n    MAX_TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n    TEXTURE_MAX_ANISOTROPY_EXT: number;\r\n}\r\n\r\ninterface Element extends Node, GlobalEventHandlers, ElementTraversal, NodeSelector, ChildNode {\r\n    classList: DOMTokenList;\r\n    clientHeight: number;\r\n    clientLeft: number;\r\n    clientTop: number;\r\n    clientWidth: number;\r\n    msContentZoomFactor: number;\r\n    msRegionOverflow: string;\r\n    onariarequest: (ev: AriaRequestEvent) => any;\r\n    oncommand: (ev: CommandEvent) => any;\r\n    ongotpointercapture: (ev: PointerEvent) => any;\r\n    onlostpointercapture: (ev: PointerEvent) => any;\r\n    onmsgesturechange: (ev: MSGestureEvent) => any;\r\n    onmsgesturedoubletap: (ev: MSGestureEvent) => any;\r\n    onmsgestureend: (ev: MSGestureEvent) => any;\r\n    onmsgesturehold: (ev: MSGestureEvent) => any;\r\n    onmsgesturestart: (ev: MSGestureEvent) => any;\r\n    onmsgesturetap: (ev: MSGestureEvent) => any;\r\n    onmsgotpointercapture: (ev: MSPointerEvent) => any;\r\n    onmsinertiastart: (ev: MSGestureEvent) => any;\r\n    onmslostpointercapture: (ev: MSPointerEvent) => any;\r\n    onmspointercancel: (ev: MSPointerEvent) => any;\r\n    onmspointerdown: (ev: MSPointerEvent) => any;\r\n    onmspointerenter: (ev: MSPointerEvent) => any;\r\n    onmspointerleave: (ev: MSPointerEvent) => any;\r\n    onmspointermove: (ev: MSPointerEvent) => any;\r\n    onmspointerout: (ev: MSPointerEvent) => any;\r\n    onmspointerover: (ev: MSPointerEvent) => any;\r\n    onmspointerup: (ev: MSPointerEvent) => any;\r\n    ontouchcancel: (ev: TouchEvent) => any;\r\n    ontouchend: (ev: TouchEvent) => any;\r\n    ontouchmove: (ev: TouchEvent) => any;\r\n    ontouchstart: (ev: TouchEvent) => any;\r\n    onwebkitfullscreenchange: (ev: Event) => any;\r\n    onwebkitfullscreenerror: (ev: Event) => any;\r\n    scrollHeight: number;\r\n    scrollLeft: number;\r\n    scrollTop: number;\r\n    scrollWidth: number;\r\n    tagName: string;\r\n    id: string;\r\n    className: string;\r\n    innerHTML: string;\r\n    getAttribute(name?: string): string;\r\n    getAttributeNS(namespaceURI: string, localName: string): string;\r\n    getAttributeNode(name: string): Attr;\r\n    getAttributeNodeNS(namespaceURI: string, localName: string): Attr;\r\n    getBoundingClientRect(): ClientRect;\r\n    getClientRects(): ClientRectList;\r\n    getElementsByTagName(name: "a"): NodeListOf<HTMLAnchorElement>;\r\n    getElementsByTagName(name: "abbr"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "acronym"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "address"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "applet"): NodeListOf<HTMLAppletElement>;\r\n    getElementsByTagName(name: "area"): NodeListOf<HTMLAreaElement>;\r\n    getElementsByTagName(name: "article"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "aside"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "audio"): NodeListOf<HTMLAudioElement>;\r\n    getElementsByTagName(name: "b"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "base"): NodeListOf<HTMLBaseElement>;\r\n    getElementsByTagName(name: "basefont"): NodeListOf<HTMLBaseFontElement>;\r\n    getElementsByTagName(name: "bdo"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "big"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "blockquote"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "body"): NodeListOf<HTMLBodyElement>;\r\n    getElementsByTagName(name: "br"): NodeListOf<HTMLBRElement>;\r\n    getElementsByTagName(name: "button"): NodeListOf<HTMLButtonElement>;\r\n    getElementsByTagName(name: "canvas"): NodeListOf<HTMLCanvasElement>;\r\n    getElementsByTagName(name: "caption"): NodeListOf<HTMLTableCaptionElement>;\r\n    getElementsByTagName(name: "center"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "circle"): NodeListOf<SVGCircleElement>;\r\n    getElementsByTagName(name: "cite"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "clippath"): NodeListOf<SVGClipPathElement>;\r\n    getElementsByTagName(name: "code"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "col"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(name: "colgroup"): NodeListOf<HTMLTableColElement>;\r\n    getElementsByTagName(name: "datalist"): NodeListOf<HTMLDataListElement>;\r\n    getElementsByTagName(name: "dd"): NodeListOf<HTMLDDElement>;\r\n    getElementsByTagName(name: "defs"): NodeListOf<SVGDefsElement>;\r\n    getElementsByTagName(name: "del"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(name: "desc"): NodeListOf<SVGDescElement>;\r\n    getElementsByTagName(name: "dfn"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "dir"): NodeListOf<HTMLDirectoryElement>;\r\n    getElementsByTagName(name: "div"): NodeListOf<HTMLDivElement>;\r\n    getElementsByTagName(name: "dl"): NodeListOf<HTMLDListElement>;\r\n    getElementsByTagName(name: "dt"): NodeListOf<HTMLDTElement>;\r\n    getElementsByTagName(name: "ellipse"): NodeListOf<SVGEllipseElement>;\r\n    getElementsByTagName(name: "em"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "embed"): NodeListOf<HTMLEmbedElement>;\r\n    getElementsByTagName(name: "feblend"): NodeListOf<SVGFEBlendElement>;\r\n    getElementsByTagName(name: "fecolormatrix"): NodeListOf<SVGFEColorMatrixElement>;\r\n    getElementsByTagName(name: "fecomponenttransfer"): NodeListOf<SVGFEComponentTransferElement>;\r\n    getElementsByTagName(name: "fecomposite"): NodeListOf<SVGFECompositeElement>;\r\n    getElementsByTagName(name: "feconvolvematrix"): NodeListOf<SVGFEConvolveMatrixElement>;\r\n    getElementsByTagName(name: "fediffuselighting"): NodeListOf<SVGFEDiffuseLightingElement>;\r\n    getElementsByTagName(name: "fedisplacementmap"): NodeListOf<SVGFEDisplacementMapElement>;\r\n    getElementsByTagName(name: "fedistantlight"): NodeListOf<SVGFEDistantLightElement>;\r\n    getElementsByTagName(name: "feflood"): NodeListOf<SVGFEFloodElement>;\r\n    getElementsByTagName(name: "fefunca"): NodeListOf<SVGFEFuncAElement>;\r\n    getElementsByTagName(name: "fefuncb"): NodeListOf<SVGFEFuncBElement>;\r\n    getElementsByTagName(name: "fefuncg"): NodeListOf<SVGFEFuncGElement>;\r\n    getElementsByTagName(name: "fefuncr"): NodeListOf<SVGFEFuncRElement>;\r\n    getElementsByTagName(name: "fegaussianblur"): NodeListOf<SVGFEGaussianBlurElement>;\r\n    getElementsByTagName(name: "feimage"): NodeListOf<SVGFEImageElement>;\r\n    getElementsByTagName(name: "femerge"): NodeListOf<SVGFEMergeElement>;\r\n    getElementsByTagName(name: "femergenode"): NodeListOf<SVGFEMergeNodeElement>;\r\n    getElementsByTagName(name: "femorphology"): NodeListOf<SVGFEMorphologyElement>;\r\n    getElementsByTagName(name: "feoffset"): NodeListOf<SVGFEOffsetElement>;\r\n    getElementsByTagName(name: "fepointlight"): NodeListOf<SVGFEPointLightElement>;\r\n    getElementsByTagName(name: "fespecularlighting"): NodeListOf<SVGFESpecularLightingElement>;\r\n    getElementsByTagName(name: "fespotlight"): NodeListOf<SVGFESpotLightElement>;\r\n    getElementsByTagName(name: "fetile"): NodeListOf<SVGFETileElement>;\r\n    getElementsByTagName(name: "feturbulence"): NodeListOf<SVGFETurbulenceElement>;\r\n    getElementsByTagName(name: "fieldset"): NodeListOf<HTMLFieldSetElement>;\r\n    getElementsByTagName(name: "figcaption"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "figure"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "filter"): NodeListOf<SVGFilterElement>;\r\n    getElementsByTagName(name: "font"): NodeListOf<HTMLFontElement>;\r\n    getElementsByTagName(name: "footer"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "foreignobject"): NodeListOf<SVGForeignObjectElement>;\r\n    getElementsByTagName(name: "form"): NodeListOf<HTMLFormElement>;\r\n    getElementsByTagName(name: "frame"): NodeListOf<HTMLFrameElement>;\r\n    getElementsByTagName(name: "frameset"): NodeListOf<HTMLFrameSetElement>;\r\n    getElementsByTagName(name: "g"): NodeListOf<SVGGElement>;\r\n    getElementsByTagName(name: "h1"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h2"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h3"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h4"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h5"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "h6"): NodeListOf<HTMLHeadingElement>;\r\n    getElementsByTagName(name: "head"): NodeListOf<HTMLHeadElement>;\r\n    getElementsByTagName(name: "header"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "hgroup"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "hr"): NodeListOf<HTMLHRElement>;\r\n    getElementsByTagName(name: "html"): NodeListOf<HTMLHtmlElement>;\r\n    getElementsByTagName(name: "i"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "iframe"): NodeListOf<HTMLIFrameElement>;\r\n    getElementsByTagName(name: "image"): NodeListOf<SVGImageElement>;\r\n    getElementsByTagName(name: "img"): NodeListOf<HTMLImageElement>;\r\n    getElementsByTagName(name: "input"): NodeListOf<HTMLInputElement>;\r\n    getElementsByTagName(name: "ins"): NodeListOf<HTMLModElement>;\r\n    getElementsByTagName(name: "isindex"): NodeListOf<HTMLIsIndexElement>;\r\n    getElementsByTagName(name: "kbd"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "keygen"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "label"): NodeListOf<HTMLLabelElement>;\r\n    getElementsByTagName(name: "legend"): NodeListOf<HTMLLegendElement>;\r\n    getElementsByTagName(name: "li"): NodeListOf<HTMLLIElement>;\r\n    getElementsByTagName(name: "line"): NodeListOf<SVGLineElement>;\r\n    getElementsByTagName(name: "lineargradient"): NodeListOf<SVGLinearGradientElement>;\r\n    getElementsByTagName(name: "link"): NodeListOf<HTMLLinkElement>;\r\n    getElementsByTagName(name: "listing"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "map"): NodeListOf<HTMLMapElement>;\r\n    getElementsByTagName(name: "mark"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "marker"): NodeListOf<SVGMarkerElement>;\r\n    getElementsByTagName(name: "marquee"): NodeListOf<HTMLMarqueeElement>;\r\n    getElementsByTagName(name: "mask"): NodeListOf<SVGMaskElement>;\r\n    getElementsByTagName(name: "menu"): NodeListOf<HTMLMenuElement>;\r\n    getElementsByTagName(name: "meta"): NodeListOf<HTMLMetaElement>;\r\n    getElementsByTagName(name: "metadata"): NodeListOf<SVGMetadataElement>;\r\n    getElementsByTagName(name: "nav"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "nextid"): NodeListOf<HTMLNextIdElement>;\r\n    getElementsByTagName(name: "nobr"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "noframes"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "noscript"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "object"): NodeListOf<HTMLObjectElement>;\r\n    getElementsByTagName(name: "ol"): NodeListOf<HTMLOListElement>;\r\n    getElementsByTagName(name: "optgroup"): NodeListOf<HTMLOptGroupElement>;\r\n    getElementsByTagName(name: "option"): NodeListOf<HTMLOptionElement>;\r\n    getElementsByTagName(name: "p"): NodeListOf<HTMLParagraphElement>;\r\n    getElementsByTagName(name: "param"): NodeListOf<HTMLParamElement>;\r\n    getElementsByTagName(name: "path"): NodeListOf<SVGPathElement>;\r\n    getElementsByTagName(name: "pattern"): NodeListOf<SVGPatternElement>;\r\n    getElementsByTagName(name: "plaintext"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: "polygon"): NodeListOf<SVGPolygonElement>;\r\n    getElementsByTagName(name: "polyline"): NodeListOf<SVGPolylineElement>;\r\n    getElementsByTagName(name: "pre"): NodeListOf<HTMLPreElement>;\r\n    getElementsByTagName(name: "progress"): NodeListOf<HTMLProgressElement>;\r\n    getElementsByTagName(name: "q"): NodeListOf<HTMLQuoteElement>;\r\n    getElementsByTagName(name: "radialgradient"): NodeListOf<SVGRadialGradientElement>;\r\n    getElementsByTagName(name: "rect"): NodeListOf<SVGRectElement>;\r\n    getElementsByTagName(name: "rt"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "ruby"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "s"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "samp"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "script"): NodeListOf<HTMLScriptElement>;\r\n    getElementsByTagName(name: "section"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "select"): NodeListOf<HTMLSelectElement>;\r\n    getElementsByTagName(name: "small"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "source"): NodeListOf<HTMLSourceElement>;\r\n    getElementsByTagName(name: "span"): NodeListOf<HTMLSpanElement>;\r\n    getElementsByTagName(name: "stop"): NodeListOf<SVGStopElement>;\r\n    getElementsByTagName(name: "strike"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "strong"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "style"): NodeListOf<HTMLStyleElement>;\r\n    getElementsByTagName(name: "sub"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "sup"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "svg"): NodeListOf<SVGSVGElement>;\r\n    getElementsByTagName(name: "switch"): NodeListOf<SVGSwitchElement>;\r\n    getElementsByTagName(name: "symbol"): NodeListOf<SVGSymbolElement>;\r\n    getElementsByTagName(name: "table"): NodeListOf<HTMLTableElement>;\r\n    getElementsByTagName(name: "tbody"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(name: "td"): NodeListOf<HTMLTableDataCellElement>;\r\n    getElementsByTagName(name: "text"): NodeListOf<SVGTextElement>;\r\n    getElementsByTagName(name: "textpath"): NodeListOf<SVGTextPathElement>;\r\n    getElementsByTagName(name: "textarea"): NodeListOf<HTMLTextAreaElement>;\r\n    getElementsByTagName(name: "tfoot"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(name: "th"): NodeListOf<HTMLTableHeaderCellElement>;\r\n    getElementsByTagName(name: "thead"): NodeListOf<HTMLTableSectionElement>;\r\n    getElementsByTagName(name: "title"): NodeListOf<HTMLTitleElement>;\r\n    getElementsByTagName(name: "tr"): NodeListOf<HTMLTableRowElement>;\r\n    getElementsByTagName(name: "track"): NodeListOf<HTMLTrackElement>;\r\n    getElementsByTagName(name: "tspan"): NodeListOf<SVGTSpanElement>;\r\n    getElementsByTagName(name: "tt"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "u"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "ul"): NodeListOf<HTMLUListElement>;\r\n    getElementsByTagName(name: "use"): NodeListOf<SVGUseElement>;\r\n    getElementsByTagName(name: "var"): NodeListOf<HTMLPhraseElement>;\r\n    getElementsByTagName(name: "video"): NodeListOf<HTMLVideoElement>;\r\n    getElementsByTagName(name: "view"): NodeListOf<SVGViewElement>;\r\n    getElementsByTagName(name: "wbr"): NodeListOf<HTMLElement>;\r\n    getElementsByTagName(name: "x-ms-webview"): NodeListOf<MSHTMLWebViewElement>;\r\n    getElementsByTagName(name: "xmp"): NodeListOf<HTMLBlockElement>;\r\n    getElementsByTagName(name: string): NodeListOf<Element>;\r\n    getElementsByTagNameNS(namespaceURI: string, localName: string): NodeListOf<Element>;\r\n    hasAttribute(name: string): boolean;\r\n    hasAttributeNS(namespaceURI: string, localName: string): boolean;\r\n    msGetRegionContent(): MSRangeCollection;\r\n    msGetUntransformedBounds(): ClientRect;\r\n    msMatchesSelector(selectors: string): boolean;\r\n    msReleasePointerCapture(pointerId: number): void;\r\n    msSetPointerCapture(pointerId: number): void;\r\n    msZoomTo(args: MsZoomToOptions): void;\r\n    releasePointerCapture(pointerId: number): void;\r\n    removeAttribute(name?: string): void;\r\n    removeAttributeNS(namespaceURI: string, localName: string): void;\r\n    removeAttributeNode(oldAttr: Attr): Attr;\r\n    requestFullscreen(): void;\r\n    requestPointerLock(): void;\r\n    setAttribute(name: string, value: string): void;\r\n    setAttributeNS(namespaceURI: string, qualifiedName: string, value: string): void;\r\n    setAttributeNode(newAttr: Attr): Attr;\r\n    setAttributeNodeNS(newAttr: Attr): Attr;\r\n    setPointerCapture(pointerId: number): void;\r\n    webkitMatchesSelector(selectors: string): boolean;\r\n    webkitRequestFullScreen(): void;\r\n    webkitRequestFullscreen(): void;\r\n    getElementsByClassName(classNames: string): NodeListOf<Element>;\r\n    matches(selector: string): boolean;\r\n    getElementsByTagName(tagname: "picture"): NodeListOf<HTMLPictureElement>;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Element: {\r\n    prototype: Element;\r\n    new(): Element;\r\n}\r\n\r\ninterface ErrorEvent extends Event {\r\n    colno: number;\r\n    error: any;\r\n    filename: string;\r\n    lineno: number;\r\n    message: string;\r\n    initErrorEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, messageArg: string, filenameArg: string, linenoArg: number): void;\r\n}\r\n\r\ndeclare var ErrorEvent: {\r\n    prototype: ErrorEvent;\r\n    new(): ErrorEvent;\r\n}\r\n\r\ninterface Event {\r\n    bubbles: boolean;\r\n    cancelBubble: boolean;\r\n    cancelable: boolean;\r\n    currentTarget: EventTarget;\r\n    defaultPrevented: boolean;\r\n    eventPhase: number;\r\n    isTrusted: boolean;\r\n    returnValue: boolean;\r\n    srcElement: Element;\r\n    target: EventTarget;\r\n    timeStamp: number;\r\n    type: string;\r\n    initEvent(eventTypeArg: string, canBubbleArg: boolean, cancelableArg: boolean): void;\r\n    preventDefault(): void;\r\n    stopImmediatePropagation(): void;\r\n    stopPropagation(): void;\r\n    AT_TARGET: number;\r\n    BUBBLING_PHASE: number;\r\n    CAPTURING_PHASE: number;\r\n}\r\n\r\ndeclare var Event: {\r\n    prototype: Event;\r\n    new(type: string, eventInitDict?: EventInit): Event;\r\n    AT_TARGET: number;\r\n    BUBBLING_PHASE: number;\r\n    CAPTURING_PHASE: number;\r\n}\r\n\r\ninterface EventTarget {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    dispatchEvent(evt: Event): boolean;\r\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var EventTarget: {\r\n    prototype: EventTarget;\r\n    new(): EventTarget;\r\n}\r\n\r\ninterface External {\r\n}\r\n\r\ndeclare var External: {\r\n    prototype: External;\r\n    new(): External;\r\n}\r\n\r\ninterface File extends Blob {\r\n    lastModifiedDate: any;\r\n    name: string;\r\n}\r\n\r\ndeclare var File: {\r\n    prototype: File;\r\n    new (parts: (ArrayBuffer | ArrayBufferView | Blob | string)[], filename: string, properties?: FilePropertyBag): File;\r\n}\r\n\r\ninterface FileList {\r\n    length: number;\r\n    item(index: number): File;\r\n    [index: number]: File;\r\n}\r\n\r\ndeclare var FileList: {\r\n    prototype: FileList;\r\n    new(): FileList;\r\n}\r\n\r\ninterface FileReader extends EventTarget, MSBaseReader {\r\n    error: DOMError;\r\n    readAsArrayBuffer(blob: Blob): void;\r\n    readAsBinaryString(blob: Blob): void;\r\n    readAsDataURL(blob: Blob): void;\r\n    readAsText(blob: Blob, encoding?: string): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var FileReader: {\r\n    prototype: FileReader;\r\n    new(): FileReader;\r\n}\r\n\r\ninterface FocusEvent extends UIEvent {\r\n    relatedTarget: EventTarget;\r\n    initFocusEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, relatedTargetArg: EventTarget): void;\r\n}\r\n\r\ndeclare var FocusEvent: {\r\n    prototype: FocusEvent;\r\n    new(typeArg: string, eventInitDict?: FocusEventInit): FocusEvent;\r\n}\r\n\r\ninterface FormData {\r\n    append(name: any, value: any, blobName?: string): void;\r\n}\r\n\r\ndeclare var FormData: {\r\n    prototype: FormData;\r\n    new (form?: HTMLFormElement): FormData;\r\n}\r\n\r\ninterface GainNode extends AudioNode {\r\n    gain: AudioParam;\r\n}\r\n\r\ndeclare var GainNode: {\r\n    prototype: GainNode;\r\n    new(): GainNode;\r\n}\r\n\r\ninterface Gamepad {\r\n    axes: number[];\r\n    buttons: GamepadButton[];\r\n    connected: boolean;\r\n    id: string;\r\n    index: number;\r\n    mapping: string;\r\n    timestamp: number;\r\n}\r\n\r\ndeclare var Gamepad: {\r\n    prototype: Gamepad;\r\n    new(): Gamepad;\r\n}\r\n\r\ninterface GamepadButton {\r\n    pressed: boolean;\r\n    value: number;\r\n}\r\n\r\ndeclare var GamepadButton: {\r\n    prototype: GamepadButton;\r\n    new(): GamepadButton;\r\n}\r\n\r\ninterface GamepadEvent extends Event {\r\n    gamepad: Gamepad;\r\n}\r\n\r\ndeclare var GamepadEvent: {\r\n    prototype: GamepadEvent;\r\n    new(): GamepadEvent;\r\n}\r\n\r\ninterface Geolocation {\r\n    clearWatch(watchId: number): void;\r\n    getCurrentPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback, options?: PositionOptions): void;\r\n    watchPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback, options?: PositionOptions): number;\r\n}\r\n\r\ndeclare var Geolocation: {\r\n    prototype: Geolocation;\r\n    new(): Geolocation;\r\n}\r\n\r\ninterface HTMLAllCollection extends HTMLCollection {\r\n    namedItem(name: string): Element;\r\n}\r\n\r\ndeclare var HTMLAllCollection: {\r\n    prototype: HTMLAllCollection;\r\n    new(): HTMLAllCollection;\r\n}\r\n\r\ninterface HTMLAnchorElement extends HTMLElement {\r\n    Methods: string;\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Sets or retrieves the coordinates of the object.\r\n      */\r\n    coords: string;\r\n    /**\r\n      * Contains the anchor portion of the URL including the hash sign (#).\r\n      */\r\n    hash: string;\r\n    /**\r\n      * Contains the hostname and port values of the URL.\r\n      */\r\n    host: string;\r\n    /**\r\n      * Contains the hostname of a URL.\r\n      */\r\n    hostname: string;\r\n    /**\r\n      * Sets or retrieves a destination URL or an anchor point.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or retrieves the language code of the object.\r\n      */\r\n    hreflang: string;\r\n    mimeType: string;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    name: string;\r\n    nameProp: string;\r\n    /**\r\n      * Contains the pathname of the URL.\r\n      */\r\n    pathname: string;\r\n    /**\r\n      * Sets or retrieves the port number associated with a URL.\r\n      */\r\n    port: string;\r\n    /**\r\n      * Contains the protocol of the URL.\r\n      */\r\n    protocol: string;\r\n    protocolLong: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rel: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rev: string;\r\n    /**\r\n      * Sets or retrieves the substring of the href property that follows the question mark.\r\n      */\r\n    search: string;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    shape: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /**\r\n      * Retrieves or sets the text of the object as a string. \r\n      */\r\n    text: string;\r\n    type: string;\r\n    urn: string;\r\n    /** \r\n      * Returns a string representation of an object.\r\n      */\r\n    toString(): string;\r\n}\r\n\r\ndeclare var HTMLAnchorElement: {\r\n    prototype: HTMLAnchorElement;\r\n    new(): HTMLAnchorElement;\r\n}\r\n\r\ninterface HTMLAppletElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a string of the URL where the object tag can be found. This is often the href of the document that the object is in, or the value set by a base element.\r\n      */\r\n    BaseHref: string;\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Gets or sets the optional alternative HTML script to execute if the object fails to load.\r\n      */\r\n    altHtml: string;\r\n    /**\r\n      * Sets or retrieves a character string that can be used to implement your own archive functionality for the object.\r\n      */\r\n    archive: string;\r\n    border: string;\r\n    code: string;\r\n    /**\r\n      * Sets or retrieves the URL of the component.\r\n      */\r\n    codeBase: string;\r\n    /**\r\n      * Sets or retrieves the Internet media type for the code associated with the object.\r\n      */\r\n    codeType: string;\r\n    /**\r\n      * Address of a pointer to the document this page or frame contains. If there is no document, then null will be returned.\r\n      */\r\n    contentDocument: Document;\r\n    /**\r\n      * Sets or retrieves the URL that references the data of the object.\r\n      */\r\n    data: string;\r\n    /**\r\n      * Sets or retrieves a character string that can be used to implement your own declare functionality for the object.\r\n      */\r\n    declare: boolean;\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    hspace: number;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    name: string;\r\n    object: string;\r\n    /**\r\n      * Sets or retrieves a message to be displayed while an object is loading.\r\n      */\r\n    standby: string;\r\n    /**\r\n      * Returns the content type of the object.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    vspace: number;\r\n    width: number;\r\n}\r\n\r\ndeclare var HTMLAppletElement: {\r\n    prototype: HTMLAppletElement;\r\n    new(): HTMLAppletElement;\r\n}\r\n\r\ninterface HTMLAreaElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Sets or retrieves the coordinates of the object.\r\n      */\r\n    coords: string;\r\n    /**\r\n      * Sets or retrieves the subsection of the href property that follows the number sign (#).\r\n      */\r\n    hash: string;\r\n    /**\r\n      * Sets or retrieves the hostname and port number of the location or URL.\r\n      */\r\n    host: string;\r\n    /**\r\n      * Sets or retrieves the host name part of the location or URL. \r\n      */\r\n    hostname: string;\r\n    /**\r\n      * Sets or retrieves a destination URL or an anchor point.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or gets whether clicks in this region cause action.\r\n      */\r\n    noHref: boolean;\r\n    /**\r\n      * Sets or retrieves the file name or path specified by the object.\r\n      */\r\n    pathname: string;\r\n    /**\r\n      * Sets or retrieves the port number associated with a URL.\r\n      */\r\n    port: string;\r\n    /**\r\n      * Sets or retrieves the protocol portion of a URL.\r\n      */\r\n    protocol: string;\r\n    rel: string;\r\n    /**\r\n      * Sets or retrieves the substring of the href property that follows the question mark.\r\n      */\r\n    search: string;\r\n    /**\r\n      * Sets or retrieves the shape of the object.\r\n      */\r\n    shape: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /** \r\n      * Returns a string representation of an object.\r\n      */\r\n    toString(): string;\r\n}\r\n\r\ndeclare var HTMLAreaElement: {\r\n    prototype: HTMLAreaElement;\r\n    new(): HTMLAreaElement;\r\n}\r\n\r\ninterface HTMLAreasCollection extends HTMLCollection {\r\n    /**\r\n      * Adds an element to the areas, controlRange, or options collection.\r\n      */\r\n    add(element: HTMLElement, before?: HTMLElement | number): void;\r\n    /**\r\n      * Removes an element from the collection.\r\n      */\r\n    remove(index?: number): void;\r\n}\r\n\r\ndeclare var HTMLAreasCollection: {\r\n    prototype: HTMLAreasCollection;\r\n    new(): HTMLAreasCollection;\r\n}\r\n\r\ninterface HTMLAudioElement extends HTMLMediaElement {\r\n}\r\n\r\ndeclare var HTMLAudioElement: {\r\n    prototype: HTMLAudioElement;\r\n    new(): HTMLAudioElement;\r\n}\r\n\r\ninterface HTMLBRElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the side on which floating objects are not to be positioned when any IHTMLBlockElement is inserted into the document.\r\n      */\r\n    clear: string;\r\n}\r\n\r\ndeclare var HTMLBRElement: {\r\n    prototype: HTMLBRElement;\r\n    new(): HTMLBRElement;\r\n}\r\n\r\ninterface HTMLBaseElement extends HTMLElement {\r\n    /**\r\n      * Gets or sets the baseline URL on which relative links are based.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n}\r\n\r\ndeclare var HTMLBaseElement: {\r\n    prototype: HTMLBaseElement;\r\n    new(): HTMLBaseElement;\r\n}\r\n\r\ninterface HTMLBaseFontElement extends HTMLElement, DOML2DeprecatedColorProperty {\r\n    /**\r\n      * Sets or retrieves the current typeface family.\r\n      */\r\n    face: string;\r\n    /**\r\n      * Sets or retrieves the font size of the object.\r\n      */\r\n    size: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLBaseFontElement: {\r\n    prototype: HTMLBaseFontElement;\r\n    new(): HTMLBaseFontElement;\r\n}\r\n\r\ninterface HTMLBlockElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n    clear: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: number;\r\n}\r\n\r\ndeclare var HTMLBlockElement: {\r\n    prototype: HTMLBlockElement;\r\n    new(): HTMLBlockElement;\r\n}\r\n\r\ninterface HTMLBodyElement extends HTMLElement {\r\n    aLink: any;\r\n    background: string;\r\n    bgColor: any;\r\n    bgProperties: string;\r\n    link: any;\r\n    noWrap: boolean;\r\n    onafterprint: (ev: Event) => any;\r\n    onbeforeprint: (ev: Event) => any;\r\n    onbeforeunload: (ev: BeforeUnloadEvent) => any;\r\n    onblur: (ev: FocusEvent) => any;\r\n    onerror: (ev: Event) => any;\r\n    onfocus: (ev: FocusEvent) => any;\r\n    onhashchange: (ev: HashChangeEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onmessage: (ev: MessageEvent) => any;\r\n    onoffline: (ev: Event) => any;\r\n    ononline: (ev: Event) => any;\r\n    onorientationchange: (ev: Event) => any;\r\n    onpagehide: (ev: PageTransitionEvent) => any;\r\n    onpageshow: (ev: PageTransitionEvent) => any;\r\n    onpopstate: (ev: PopStateEvent) => any;\r\n    onresize: (ev: UIEvent) => any;\r\n    onstorage: (ev: StorageEvent) => any;\r\n    onunload: (ev: Event) => any;\r\n    text: any;\r\n    vLink: any;\r\n    createTextRange(): TextRange;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "afterprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeunload", listener: (ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "hashchange", listener: (ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "offline", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "online", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "orientationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pagehide", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pageshow", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "popstate", listener: (ev: PopStateEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "storage", listener: (ev: StorageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "unload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLBodyElement: {\r\n    prototype: HTMLBodyElement;\r\n    new(): HTMLBodyElement;\r\n}\r\n\r\ninterface HTMLButtonElement extends HTMLElement {\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Overrides the action attribute (where the data on a form is sent) on the parent form element.\r\n      */\r\n    formAction: string;\r\n    /**\r\n      * Used to override the encoding (formEnctype attribute) specified on the form element.\r\n      */\r\n    formEnctype: string;\r\n    /**\r\n      * Overrides the submit method attribute previously specified on a form element.\r\n      */\r\n    formMethod: string;\r\n    /**\r\n      * Overrides any validation or required attributes on a form or form elements to allow it to be submitted without validation. This can be used to create a "save draft"-type submit option.\r\n      */\r\n    formNoValidate: string;\r\n    /**\r\n      * Overrides the target attribute on a form element.\r\n      */\r\n    formTarget: string;\r\n    /** \r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    status: any;\r\n    /**\r\n      * Gets the classification and default behavior of the button.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /** \r\n      * Sets or retrieves the default or selected value of the control.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Creates a TextRange object for the element.\r\n      */\r\n    createTextRange(): TextRange;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n}\r\n\r\ndeclare var HTMLButtonElement: {\r\n    prototype: HTMLButtonElement;\r\n    new(): HTMLButtonElement;\r\n}\r\n\r\ninterface HTMLCanvasElement extends HTMLElement {\r\n    /**\r\n      * Gets or sets the height of a canvas element on a document.\r\n      */\r\n    height: number;\r\n    /**\r\n      * Gets or sets the width of a canvas element on a document.\r\n      */\r\n    width: number;\r\n    /**\r\n      * Returns an object that provides methods and properties for drawing and manipulating images and graphics on a canvas element in a document. A context object includes information about colors, line widths, fonts, and other graphic parameters that can be drawn on a canvas.\r\n      * @param contextId The identifier (ID) of the type of canvas to create. Internet Explorer 9 and Internet Explorer 10 support only a 2-D context using canvas.getContext("2d"); IE11 Preview also supports 3-D or WebGL context using canvas.getContext("experimental-webgl");\r\n      */\r\n    getContext(contextId: "2d"): CanvasRenderingContext2D;\r\n    getContext(contextId: "experimental-webgl"): WebGLRenderingContext;\r\n    getContext(contextId: string, ...args: any[]): CanvasRenderingContext2D | WebGLRenderingContext;\r\n    /**\r\n      * Returns a blob object encoded as a Portable Network Graphics (PNG) format from a canvas image or drawing.\r\n      */\r\n    msToBlob(): Blob;\r\n    /**\r\n      * Returns the content of the current canvas as an image that you can use as a source for another canvas or an HTML element.\r\n      * @param type The standard MIME type for the image format to return. If you do not specify this parameter, the default value is a PNG format image.\r\n      */\r\n    toDataURL(type?: string, ...args: any[]): string;\r\n    toBlob(): Blob;\r\n}\r\n\r\ndeclare var HTMLCanvasElement: {\r\n    prototype: HTMLCanvasElement;\r\n    new(): HTMLCanvasElement;\r\n}\r\n\r\ninterface HTMLCollection {\r\n    /**\r\n      * Sets or retrieves the number of objects in a collection.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Retrieves an object from various collections.\r\n      */\r\n    item(nameOrIndex?: any, optionalIndex?: any): Element;\r\n    /**\r\n      * Retrieves a select object or an object from an options collection.\r\n      */\r\n    namedItem(name: string): Element;\r\n    [index: number]: Element;\r\n}\r\n\r\ndeclare var HTMLCollection: {\r\n    prototype: HTMLCollection;\r\n    new(): HTMLCollection;\r\n}\r\n\r\ninterface HTMLDDElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n}\r\n\r\ndeclare var HTMLDDElement: {\r\n    prototype: HTMLDDElement;\r\n    new(): HTMLDDElement;\r\n}\r\n\r\ninterface HTMLDListElement extends HTMLElement {\r\n    compact: boolean;\r\n}\r\n\r\ndeclare var HTMLDListElement: {\r\n    prototype: HTMLDListElement;\r\n    new(): HTMLDListElement;\r\n}\r\n\r\ninterface HTMLDTElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n}\r\n\r\ndeclare var HTMLDTElement: {\r\n    prototype: HTMLDTElement;\r\n    new(): HTMLDTElement;\r\n}\r\n\r\ninterface HTMLDataListElement extends HTMLElement {\r\n    options: HTMLCollection;\r\n}\r\n\r\ndeclare var HTMLDataListElement: {\r\n    prototype: HTMLDataListElement;\r\n    new(): HTMLDataListElement;\r\n}\r\n\r\ninterface HTMLDirectoryElement extends HTMLElement {\r\n    compact: boolean;\r\n}\r\n\r\ndeclare var HTMLDirectoryElement: {\r\n    prototype: HTMLDirectoryElement;\r\n    new(): HTMLDirectoryElement;\r\n}\r\n\r\ninterface HTMLDivElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text. \r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n}\r\n\r\ndeclare var HTMLDivElement: {\r\n    prototype: HTMLDivElement;\r\n    new(): HTMLDivElement;\r\n}\r\n\r\ninterface HTMLDocument extends Document {\r\n}\r\n\r\ndeclare var HTMLDocument: {\r\n    prototype: HTMLDocument;\r\n    new(): HTMLDocument;\r\n}\r\n\r\ninterface HTMLElement extends Element {\r\n    accessKey: string;\r\n    children: HTMLCollection;\r\n    contentEditable: string;\r\n    dataset: DOMStringMap;\r\n    dir: string;\r\n    draggable: boolean;\r\n    hidden: boolean;\r\n    hideFocus: boolean;\r\n    innerHTML: string;\r\n    innerText: string;\r\n    isContentEditable: boolean;\r\n    lang: string;\r\n    offsetHeight: number;\r\n    offsetLeft: number;\r\n    offsetParent: Element;\r\n    offsetTop: number;\r\n    offsetWidth: number;\r\n    onabort: (ev: Event) => any;\r\n    onactivate: (ev: UIEvent) => any;\r\n    onbeforeactivate: (ev: UIEvent) => any;\r\n    onbeforecopy: (ev: DragEvent) => any;\r\n    onbeforecut: (ev: DragEvent) => any;\r\n    onbeforedeactivate: (ev: UIEvent) => any;\r\n    onbeforepaste: (ev: DragEvent) => any;\r\n    onblur: (ev: FocusEvent) => any;\r\n    oncanplay: (ev: Event) => any;\r\n    oncanplaythrough: (ev: Event) => any;\r\n    onchange: (ev: Event) => any;\r\n    onclick: (ev: MouseEvent) => any;\r\n    oncontextmenu: (ev: PointerEvent) => any;\r\n    oncopy: (ev: DragEvent) => any;\r\n    oncuechange: (ev: Event) => any;\r\n    oncut: (ev: DragEvent) => any;\r\n    ondblclick: (ev: MouseEvent) => any;\r\n    ondeactivate: (ev: UIEvent) => any;\r\n    ondrag: (ev: DragEvent) => any;\r\n    ondragend: (ev: DragEvent) => any;\r\n    ondragenter: (ev: DragEvent) => any;\r\n    ondragleave: (ev: DragEvent) => any;\r\n    ondragover: (ev: DragEvent) => any;\r\n    ondragstart: (ev: DragEvent) => any;\r\n    ondrop: (ev: DragEvent) => any;\r\n    ondurationchange: (ev: Event) => any;\r\n    onemptied: (ev: Event) => any;\r\n    onended: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onfocus: (ev: FocusEvent) => any;\r\n    oninput: (ev: Event) => any;\r\n    onkeydown: (ev: KeyboardEvent) => any;\r\n    onkeypress: (ev: KeyboardEvent) => any;\r\n    onkeyup: (ev: KeyboardEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onloadeddata: (ev: Event) => any;\r\n    onloadedmetadata: (ev: Event) => any;\r\n    onloadstart: (ev: Event) => any;\r\n    onmousedown: (ev: MouseEvent) => any;\r\n    onmouseenter: (ev: MouseEvent) => any;\r\n    onmouseleave: (ev: MouseEvent) => any;\r\n    onmousemove: (ev: MouseEvent) => any;\r\n    onmouseout: (ev: MouseEvent) => any;\r\n    onmouseover: (ev: MouseEvent) => any;\r\n    onmouseup: (ev: MouseEvent) => any;\r\n    onmousewheel: (ev: MouseWheelEvent) => any;\r\n    onmscontentzoom: (ev: UIEvent) => any;\r\n    onmsmanipulationstatechanged: (ev: MSManipulationEvent) => any;\r\n    onpaste: (ev: DragEvent) => any;\r\n    onpause: (ev: Event) => any;\r\n    onplay: (ev: Event) => any;\r\n    onplaying: (ev: Event) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    onratechange: (ev: Event) => any;\r\n    onreset: (ev: Event) => any;\r\n    onscroll: (ev: UIEvent) => any;\r\n    onseeked: (ev: Event) => any;\r\n    onseeking: (ev: Event) => any;\r\n    onselect: (ev: UIEvent) => any;\r\n    onselectstart: (ev: Event) => any;\r\n    onstalled: (ev: Event) => any;\r\n    onsubmit: (ev: Event) => any;\r\n    onsuspend: (ev: Event) => any;\r\n    ontimeupdate: (ev: Event) => any;\r\n    onvolumechange: (ev: Event) => any;\r\n    onwaiting: (ev: Event) => any;\r\n    outerHTML: string;\r\n    outerText: string;\r\n    spellcheck: boolean;\r\n    style: CSSStyleDeclaration;\r\n    tabIndex: number;\r\n    title: string;\r\n    blur(): void;\r\n    click(): void;\r\n    dragDrop(): boolean;\r\n    focus(): void;\r\n    insertAdjacentElement(position: string, insertedElement: Element): Element;\r\n    insertAdjacentHTML(where: string, html: string): void;\r\n    insertAdjacentText(where: string, text: string): void;\r\n    msGetInputContext(): MSInputMethodContext;\r\n    scrollIntoView(top?: boolean): void;\r\n    setActive(): void;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLElement: {\r\n    prototype: HTMLElement;\r\n    new(): HTMLElement;\r\n}\r\n\r\ninterface HTMLEmbedElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    hidden: any;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    /**\r\n      * Gets or sets the path to the preferred media source. This enables the Play To target device to stream the media content, which can be DRM protected, from a different location, such as a cloud media server.\r\n      */\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    msPlayToSource: any;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Retrieves the palette used for the embedded document.\r\n      */\r\n    palette: string;\r\n    /**\r\n      * Retrieves the URL of the plug-in used to view an embedded document.\r\n      */\r\n    pluginspage: string;\r\n    readyState: string;\r\n    /**\r\n      * Sets or retrieves a URL to be loaded by the object.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Sets or retrieves the height and width units of the embed object.\r\n      */\r\n    units: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLEmbedElement: {\r\n    prototype: HTMLEmbedElement;\r\n    new(): HTMLEmbedElement;\r\n}\r\n\r\ninterface HTMLFieldSetElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n}\r\n\r\ndeclare var HTMLFieldSetElement: {\r\n    prototype: HTMLFieldSetElement;\r\n    new(): HTMLFieldSetElement;\r\n}\r\n\r\ninterface HTMLFontElement extends HTMLElement, DOML2DeprecatedColorProperty, DOML2DeprecatedSizeProperty {\r\n    /**\r\n      * Sets or retrieves the current typeface family.\r\n      */\r\n    face: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLFontElement: {\r\n    prototype: HTMLFontElement;\r\n    new(): HTMLFontElement;\r\n}\r\n\r\ninterface HTMLFormElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a list of character encodings for input data that must be accepted by the server processing the form.\r\n      */\r\n    acceptCharset: string;\r\n    /**\r\n      * Sets or retrieves the URL to which the form content is sent for processing.\r\n      */\r\n    action: string;\r\n    /**\r\n      * Specifies whether autocomplete is applied to an editable text field.\r\n      */\r\n    autocomplete: string;\r\n    /**\r\n      * Retrieves a collection, in source order, of all controls in a given form.\r\n      */\r\n    elements: HTMLCollection;\r\n    /**\r\n      * Sets or retrieves the MIME encoding for the form.\r\n      */\r\n    encoding: string;\r\n    /**\r\n      * Sets or retrieves the encoding type for the form.\r\n      */\r\n    enctype: string;\r\n    /**\r\n      * Sets or retrieves the number of objects in a collection.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Sets or retrieves how to send the form data to the server.\r\n      */\r\n    method: string;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Designates a form that is not validated when submitted.\r\n      */\r\n    noValidate: boolean;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Retrieves a form object or an object from an elements collection.\r\n      * @param name Variant of type Number or String that specifies the object or collection to retrieve. If this parameter is a Number, it is the zero-based index of the object. If this parameter is a string, all objects with matching name or id properties are retrieved, and a collection is returned if more than one match is made.\r\n      * @param index Variant of type Number that specifies the zero-based index of the object to retrieve when a collection is returned.\r\n      */\r\n    item(name?: any, index?: any): any;\r\n    /**\r\n      * Retrieves a form object or an object from an elements collection.\r\n      */\r\n    namedItem(name: string): any;\r\n    /**\r\n      * Fires when the user resets a form.\r\n      */\r\n    reset(): void;\r\n    /**\r\n      * Fires when a FORM is about to be submitted.\r\n      */\r\n    submit(): void;\r\n    [name: string]: any;\r\n}\r\n\r\ndeclare var HTMLFormElement: {\r\n    prototype: HTMLFormElement;\r\n    new(): HTMLFormElement;\r\n}\r\n\r\ninterface HTMLFrameElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Specifies the properties of a border drawn around an object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the border color of the object.\r\n      */\r\n    borderColor: any;\r\n    /**\r\n      * Retrieves the document object of the page or frame.\r\n      */\r\n    contentDocument: Document;\r\n    /**\r\n      * Retrieves the object of the specified.\r\n      */\r\n    contentWindow: Window;\r\n    /**\r\n      * Sets or retrieves whether to display a border for the frame.\r\n      */\r\n    frameBorder: string;\r\n    /**\r\n      * Sets or retrieves the amount of additional space between the frames.\r\n      */\r\n    frameSpacing: any;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string | number;\r\n    /**\r\n      * Sets or retrieves a URI to a long description of the object.\r\n      */\r\n    longDesc: string;\r\n    /**\r\n      * Sets or retrieves the top and bottom margin heights before displaying the text in a frame.\r\n      */\r\n    marginHeight: string;\r\n    /**\r\n      * Sets or retrieves the left and right margin widths before displaying the text in a frame.\r\n      */\r\n    marginWidth: string;\r\n    /**\r\n      * Sets or retrieves the frame name.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves whether the user can resize the frame.\r\n      */\r\n    noResize: boolean;\r\n    /**\r\n      * Raised when the object has been completely received from the server.\r\n      */\r\n    onload: (ev: Event) => any;\r\n    /**\r\n      * Sets or retrieves whether the frame can be scrolled.\r\n      */\r\n    scrolling: string;\r\n    /**\r\n      * Sets the value indicating whether the source file of a frame or iframe has specific security restrictions applied.\r\n      */\r\n    security: any;\r\n    /**\r\n      * Sets or retrieves a URL to be loaded by the object.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string | number;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLFrameElement: {\r\n    prototype: HTMLFrameElement;\r\n    new(): HTMLFrameElement;\r\n}\r\n\r\ninterface HTMLFrameSetElement extends HTMLElement {\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the border color of the object.\r\n      */\r\n    borderColor: any;\r\n    /**\r\n      * Sets or retrieves the frame widths of the object.\r\n      */\r\n    cols: string;\r\n    /**\r\n      * Sets or retrieves whether to display a border for the frame.\r\n      */\r\n    frameBorder: string;\r\n    /**\r\n      * Sets or retrieves the amount of additional space between the frames.\r\n      */\r\n    frameSpacing: any;\r\n    name: string;\r\n    onafterprint: (ev: Event) => any;\r\n    onbeforeprint: (ev: Event) => any;\r\n    onbeforeunload: (ev: BeforeUnloadEvent) => any;\r\n    /**\r\n      * Fires when the object loses the input focus.\r\n      */\r\n    onblur: (ev: FocusEvent) => any;\r\n    onerror: (ev: Event) => any;\r\n    /**\r\n      * Fires when the object receives focus.\r\n      */\r\n    onfocus: (ev: FocusEvent) => any;\r\n    onhashchange: (ev: HashChangeEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onmessage: (ev: MessageEvent) => any;\r\n    onoffline: (ev: Event) => any;\r\n    ononline: (ev: Event) => any;\r\n    onorientationchange: (ev: Event) => any;\r\n    onpagehide: (ev: PageTransitionEvent) => any;\r\n    onpageshow: (ev: PageTransitionEvent) => any;\r\n    onresize: (ev: UIEvent) => any;\r\n    onstorage: (ev: StorageEvent) => any;\r\n    onunload: (ev: Event) => any;\r\n    /**\r\n      * Sets or retrieves the frame heights of the object.\r\n      */\r\n    rows: string;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeunload", listener: (ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "hashchange", listener: (ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "offline", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "online", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "orientationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pagehide", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pageshow", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "storage", listener: (ev: StorageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "unload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLFrameSetElement: {\r\n    prototype: HTMLFrameSetElement;\r\n    new(): HTMLFrameSetElement;\r\n}\r\n\r\ninterface HTMLHRElement extends HTMLElement, DOML2DeprecatedColorProperty, DOML2DeprecatedSizeProperty {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves whether the horizontal rule is drawn with 3-D shading.\r\n      */\r\n    noShade: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLHRElement: {\r\n    prototype: HTMLHRElement;\r\n    new(): HTMLHRElement;\r\n}\r\n\r\ninterface HTMLHeadElement extends HTMLElement {\r\n    profile: string;\r\n}\r\n\r\ndeclare var HTMLHeadElement: {\r\n    prototype: HTMLHeadElement;\r\n    new(): HTMLHeadElement;\r\n}\r\n\r\ninterface HTMLHeadingElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a value that indicates the table alignment.\r\n      */\r\n    align: string;\r\n    clear: string;\r\n}\r\n\r\ndeclare var HTMLHeadingElement: {\r\n    prototype: HTMLHeadingElement;\r\n    new(): HTMLHeadingElement;\r\n}\r\n\r\ninterface HTMLHtmlElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the DTD version that governs the current document.\r\n      */\r\n    version: string;\r\n}\r\n\r\ndeclare var HTMLHtmlElement: {\r\n    prototype: HTMLHtmlElement;\r\n    new(): HTMLHtmlElement;\r\n}\r\n\r\ninterface HTMLIFrameElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    allowFullscreen: boolean;\r\n    /**\r\n      * Specifies the properties of a border drawn around an object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Retrieves the document object of the page or frame.\r\n      */\r\n    contentDocument: Document;\r\n    /**\r\n      * Retrieves the object of the specified.\r\n      */\r\n    contentWindow: Window;\r\n    /**\r\n      * Sets or retrieves whether to display a border for the frame.\r\n      */\r\n    frameBorder: string;\r\n    /**\r\n      * Sets or retrieves the amount of additional space between the frames.\r\n      */\r\n    frameSpacing: any;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    /**\r\n      * Sets or retrieves the horizontal margin for the object.\r\n      */\r\n    hspace: number;\r\n    /**\r\n      * Sets or retrieves a URI to a long description of the object.\r\n      */\r\n    longDesc: string;\r\n    /**\r\n      * Sets or retrieves the top and bottom margin heights before displaying the text in a frame.\r\n      */\r\n    marginHeight: string;\r\n    /**\r\n      * Sets or retrieves the left and right margin widths before displaying the text in a frame.\r\n      */\r\n    marginWidth: string;\r\n    /**\r\n      * Sets or retrieves the frame name.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves whether the user can resize the frame.\r\n      */\r\n    noResize: boolean;\r\n    /**\r\n      * Raised when the object has been completely received from the server.\r\n      */\r\n    onload: (ev: Event) => any;\r\n    sandbox: DOMSettableTokenList;\r\n    /**\r\n      * Sets or retrieves whether the frame can be scrolled.\r\n      */\r\n    scrolling: string;\r\n    /**\r\n      * Sets the value indicating whether the source file of a frame or iframe has specific security restrictions applied.\r\n      */\r\n    security: any;\r\n    /**\r\n      * Sets or retrieves a URL to be loaded by the object.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Sets or retrieves the vertical margin for the object.\r\n      */\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLIFrameElement: {\r\n    prototype: HTMLIFrameElement;\r\n    new(): HTMLIFrameElement;\r\n}\r\n\r\ninterface HTMLImageElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Specifies the properties of a border drawn around an object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Retrieves whether the object is fully loaded.\r\n      */\r\n    complete: boolean;\r\n    crossOrigin: string;\r\n    currentSrc: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: number;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    hspace: number;\r\n    /**\r\n      * Sets or retrieves whether the image is a server-side image map.\r\n      */\r\n    isMap: boolean;\r\n    /**\r\n      * Sets or retrieves a Uniform Resource Identifier (URI) to a long description of the object.\r\n      */\r\n    longDesc: string;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    msPlayToSource: any;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * The original height of the image resource before sizing.\r\n      */\r\n    naturalHeight: number;\r\n    /**\r\n      * The original width of the image resource before sizing.\r\n      */\r\n    naturalWidth: number;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    srcset: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    /**\r\n      * Sets or retrieves the vertical margin for the object.\r\n      */\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: number;\r\n    x: number;\r\n    y: number;\r\n    msGetAsCastingSource(): any;\r\n}\r\n\r\ndeclare var HTMLImageElement: {\r\n    prototype: HTMLImageElement;\r\n    new(): HTMLImageElement;\r\n    create(): HTMLImageElement;\r\n}\r\n\r\ninterface HTMLInputElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a comma-separated list of content types.\r\n      */\r\n    accept: string;\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Specifies whether autocomplete is applied to an editable text field.\r\n      */\r\n    autocomplete: string;\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the state of the check box or radio button.\r\n      */\r\n    checked: boolean;\r\n    /**\r\n      * Retrieves whether the object is fully loaded.\r\n      */\r\n    complete: boolean;\r\n    /**\r\n      * Sets or retrieves the state of the check box or radio button.\r\n      */\r\n    defaultChecked: boolean;\r\n    /**\r\n      * Sets or retrieves the initial contents of the object.\r\n      */\r\n    defaultValue: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Returns a FileList object on a file type input object.\r\n      */\r\n    files: FileList;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in. \r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Overrides the action attribute (where the data on a form is sent) on the parent form element.\r\n      */\r\n    formAction: string;\r\n    /**\r\n      * Used to override the encoding (formEnctype attribute) specified on the form element.\r\n      */\r\n    formEnctype: string;\r\n    /**\r\n      * Overrides the submit method attribute previously specified on a form element.\r\n      */\r\n    formMethod: string;\r\n    /**\r\n      * Overrides any validation or required attributes on a form or form elements to allow it to be submitted without validation. This can be used to create a "save draft"-type submit option.\r\n      */\r\n    formNoValidate: string;\r\n    /**\r\n      * Overrides the target attribute on a form element.\r\n      */\r\n    formTarget: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    hspace: number;\r\n    indeterminate: boolean;\r\n    /**\r\n      * Specifies the ID of a pre-defined datalist of options for an input element.\r\n      */\r\n    list: HTMLElement;\r\n    /**\r\n      * Defines the maximum acceptable value for an input element with type="number".When used with the min and step attributes, lets you control the range and increment (such as only even numbers) that the user can enter into an input field.\r\n      */\r\n    max: string;\r\n    /**\r\n      * Sets or retrieves the maximum number of characters that the user can enter in a text control.\r\n      */\r\n    maxLength: number;\r\n    /**\r\n      * Defines the minimum acceptable value for an input element with type="number". When used with the max and step attributes, lets you control the range and increment (such as even numbers only) that the user can enter into an input field.\r\n      */\r\n    min: string;\r\n    /**\r\n      * Sets or retrieves the Boolean value indicating whether multiple items can be selected from a list.\r\n      */\r\n    multiple: boolean;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Gets or sets a string containing a regular expression that the user\'s input must match.\r\n      */\r\n    pattern: string;\r\n    /**\r\n      * Gets or sets a text string that is displayed in an input field as a hint or prompt to users as the format or type of information they need to enter.The text appears in an input field until the user puts focus on the field.\r\n      */\r\n    placeholder: string;\r\n    readOnly: boolean;\r\n    /**\r\n      * When present, marks an element that can\'t be submitted without a value.\r\n      */\r\n    required: boolean;\r\n    /**\r\n      * Gets or sets the end position or offset of a text selection.\r\n      */\r\n    selectionEnd: number;\r\n    /**\r\n      * Gets or sets the starting position or offset of a text selection.\r\n      */\r\n    selectionStart: number;\r\n    size: number;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    status: boolean;\r\n    /**\r\n      * Defines an increment or jump between values that you want to allow the user to enter. When used with the max and min attributes, lets you control the range and increment (for example, allow only even numbers) that the user can enter into an input field.\r\n      */\r\n    step: string;\r\n    /**\r\n      * Returns the content type of the object.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /**\r\n      * Returns the value of the data at the cursor\'s current position.\r\n      */\r\n    value: string;\r\n    valueAsDate: Date;\r\n    /**\r\n      * Returns the input field value as a number.\r\n      */\r\n    valueAsNumber: number;\r\n    /**\r\n      * Sets or retrieves the vertical margin for the object.\r\n      */\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Creates a TextRange object for the element.\r\n      */\r\n    createTextRange(): TextRange;\r\n    /**\r\n      * Makes the selection equal to the current object.\r\n      */\r\n    select(): void;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    /**\r\n      * Sets the start and end positions of a selection in a text field.\r\n      * @param start The offset into the text field for the start of the selection.\r\n      * @param end The offset into the text field for the end of the selection.\r\n      */\r\n    setSelectionRange(start: number, end: number): void;\r\n    /**\r\n      * Decrements a range input control\'s value by the value given by the Step attribute. If the optional parameter is used, it will decrement the input control\'s step value multiplied by the parameter\'s value.\r\n      * @param n Value to decrement the value by.\r\n      */\r\n    stepDown(n?: number): void;\r\n    /**\r\n      * Increments a range input control\'s value by the value given by the Step attribute. If the optional parameter is used, will increment the input control\'s value by that value.\r\n      * @param n Value to increment the value by.\r\n      */\r\n    stepUp(n?: number): void;\r\n}\r\n\r\ndeclare var HTMLInputElement: {\r\n    prototype: HTMLInputElement;\r\n    new(): HTMLInputElement;\r\n}\r\n\r\ninterface HTMLIsIndexElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the URL to which the form content is sent for processing.\r\n      */\r\n    action: string;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in. \r\n      */\r\n    form: HTMLFormElement;\r\n    prompt: string;\r\n}\r\n\r\ndeclare var HTMLIsIndexElement: {\r\n    prototype: HTMLIsIndexElement;\r\n    new(): HTMLIsIndexElement;\r\n}\r\n\r\ninterface HTMLLIElement extends HTMLElement {\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the value of a list item.\r\n      */\r\n    value: number;\r\n}\r\n\r\ndeclare var HTMLLIElement: {\r\n    prototype: HTMLLIElement;\r\n    new(): HTMLLIElement;\r\n}\r\n\r\ninterface HTMLLabelElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the object to which the given label object is assigned.\r\n      */\r\n    htmlFor: string;\r\n}\r\n\r\ndeclare var HTMLLabelElement: {\r\n    prototype: HTMLLabelElement;\r\n    new(): HTMLLabelElement;\r\n}\r\n\r\ninterface HTMLLegendElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n}\r\n\r\ndeclare var HTMLLegendElement: {\r\n    prototype: HTMLLegendElement;\r\n    new(): HTMLLegendElement;\r\n}\r\n\r\ninterface HTMLLinkElement extends HTMLElement, LinkStyle {\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Sets or retrieves a destination URL or an anchor point.\r\n      */\r\n    href: string;\r\n    /**\r\n      * Sets or retrieves the language code of the object.\r\n      */\r\n    hreflang: string;\r\n    /**\r\n      * Sets or retrieves the media type.\r\n      */\r\n    media: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rel: string;\r\n    /**\r\n      * Sets or retrieves the relationship between the object and the destination of the link.\r\n      */\r\n    rev: string;\r\n    /**\r\n      * Sets or retrieves the window or frame at which to target content.\r\n      */\r\n    target: string;\r\n    /**\r\n      * Sets or retrieves the MIME type of the object.\r\n      */\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLLinkElement: {\r\n    prototype: HTMLLinkElement;\r\n    new(): HTMLLinkElement;\r\n}\r\n\r\ninterface HTMLMapElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a collection of the area objects defined for the given map object.\r\n      */\r\n    areas: HTMLAreasCollection;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n}\r\n\r\ndeclare var HTMLMapElement: {\r\n    prototype: HTMLMapElement;\r\n    new(): HTMLMapElement;\r\n}\r\n\r\ninterface HTMLMarqueeElement extends HTMLElement {\r\n    behavior: string;\r\n    bgColor: any;\r\n    direction: string;\r\n    height: string;\r\n    hspace: number;\r\n    loop: number;\r\n    onbounce: (ev: Event) => any;\r\n    onfinish: (ev: Event) => any;\r\n    onstart: (ev: Event) => any;\r\n    scrollAmount: number;\r\n    scrollDelay: number;\r\n    trueSpeed: boolean;\r\n    vspace: number;\r\n    width: string;\r\n    start(): void;\r\n    stop(): void;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "bounce", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "finish", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "start", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLMarqueeElement: {\r\n    prototype: HTMLMarqueeElement;\r\n    new(): HTMLMarqueeElement;\r\n}\r\n\r\ninterface HTMLMediaElement extends HTMLElement {\r\n    /**\r\n      * Returns an AudioTrackList object with the audio tracks for a given video element.\r\n      */\r\n    audioTracks: AudioTrackList;\r\n    /**\r\n      * Gets or sets a value that indicates whether to start playing the media automatically.\r\n      */\r\n    autoplay: boolean;\r\n    /**\r\n      * Gets a collection of buffered time ranges.\r\n      */\r\n    buffered: TimeRanges;\r\n    /**\r\n      * Gets or sets a flag that indicates whether the client provides a set of controls for the media (in case the developer does not include controls for the player).\r\n      */\r\n    controls: boolean;\r\n    /**\r\n      * Gets the address or URL of the current media resource that is selected by IHTMLMediaElement.\r\n      */\r\n    currentSrc: string;\r\n    /**\r\n      * Gets or sets the current playback position, in seconds.\r\n      */\r\n    currentTime: number;\r\n    defaultMuted: boolean;\r\n    /**\r\n      * Gets or sets the default playback rate when the user is not using fast forward or reverse for a video or audio resource.\r\n      */\r\n    defaultPlaybackRate: number;\r\n    /**\r\n      * Returns the duration in seconds of the current media resource. A NaN value is returned if duration is not available, or Infinity if the media resource is streaming.\r\n      */\r\n    duration: number;\r\n    /**\r\n      * Gets information about whether the playback has ended or not.\r\n      */\r\n    ended: boolean;\r\n    /**\r\n      * Returns an object representing the current error state of the audio or video element.\r\n      */\r\n    error: MediaError;\r\n    /**\r\n      * Gets or sets a flag to specify whether playback should restart after it completes.\r\n      */\r\n    loop: boolean;\r\n    /**\r\n      * Specifies the purpose of the audio or video media, such as background audio or alerts.\r\n      */\r\n    msAudioCategory: string;\r\n    /**\r\n      * Specifies the output device id that the audio will be sent to.\r\n      */\r\n    msAudioDeviceType: string;\r\n    msGraphicsTrustStatus: MSGraphicsTrust;\r\n    /**\r\n      * Gets the MSMediaKeys object, which is used for decrypting media data, that is associated with this media element.\r\n      */\r\n    msKeys: MSMediaKeys;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    /**\r\n      * Gets or sets the path to the preferred media source. This enables the Play To target device to stream the media content, which can be DRM protected, from a different location, such as a cloud media server.\r\n      */\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    msPlayToSource: any;\r\n    /**\r\n      * Specifies whether or not to enable low-latency playback on the media element.\r\n      */\r\n    msRealTime: boolean;\r\n    /**\r\n      * Gets or sets a flag that indicates whether the audio (either audio or the audio track on video media) is muted.\r\n      */\r\n    muted: boolean;\r\n    /**\r\n      * Gets the current network activity for the element.\r\n      */\r\n    networkState: number;\r\n    onmsneedkey: (ev: MSMediaKeyNeededEvent) => any;\r\n    /**\r\n      * Gets a flag that specifies whether playback is paused.\r\n      */\r\n    paused: boolean;\r\n    /**\r\n      * Gets or sets the current rate of speed for the media resource to play. This speed is expressed as a multiple of the normal speed of the media resource.\r\n      */\r\n    playbackRate: number;\r\n    /**\r\n      * Gets TimeRanges for the current media resource that has been played.\r\n      */\r\n    played: TimeRanges;\r\n    /**\r\n      * Gets or sets the current playback position, in seconds.\r\n      */\r\n    preload: string;\r\n    readyState: number;\r\n    /**\r\n      * Returns a TimeRanges object that represents the ranges of the current media resource that can be seeked.\r\n      */\r\n    seekable: TimeRanges;\r\n    /**\r\n      * Gets a flag that indicates whether the the client is currently moving to a new playback position in the media resource.\r\n      */\r\n    seeking: boolean;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    textTracks: TextTrackList;\r\n    videoTracks: VideoTrackList;\r\n    /**\r\n      * Gets or sets the volume level for audio portions of the media element.\r\n      */\r\n    volume: number;\r\n    addTextTrack(kind: string, label?: string, language?: string): TextTrack;\r\n    /**\r\n      * Returns a string that specifies whether the client can play a given media resource type.\r\n      */\r\n    canPlayType(type: string): string;\r\n    /**\r\n      * Fires immediately after the client loads the object.\r\n      */\r\n    load(): void;\r\n    /**\r\n      * Clears all effects from the media pipeline.\r\n      */\r\n    msClearEffects(): void;\r\n    msGetAsCastingSource(): any;\r\n    /**\r\n      * Inserts the specified audio effect into media pipeline.\r\n      */\r\n    msInsertAudioEffect(activatableClassId: string, effectRequired: boolean, config?: any): void;\r\n    msSetMediaKeys(mediaKeys: MSMediaKeys): void;\r\n    /**\r\n      * Specifies the media protection manager for a given media pipeline.\r\n      */\r\n    msSetMediaProtectionManager(mediaProtectionManager?: any): void;\r\n    /**\r\n      * Pauses the current playback and sets paused to TRUE. This can be used to test whether the media is playing or paused. You can also use the pause or play events to tell whether the media is playing or not.\r\n      */\r\n    pause(): void;\r\n    /**\r\n      * Loads and starts playback of a media resource.\r\n      */\r\n    play(): void;\r\n    HAVE_CURRENT_DATA: number;\r\n    HAVE_ENOUGH_DATA: number;\r\n    HAVE_FUTURE_DATA: number;\r\n    HAVE_METADATA: number;\r\n    HAVE_NOTHING: number;\r\n    NETWORK_EMPTY: number;\r\n    NETWORK_IDLE: number;\r\n    NETWORK_LOADING: number;\r\n    NETWORK_NO_SOURCE: number;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "msneedkey", listener: (ev: MSMediaKeyNeededEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLMediaElement: {\r\n    prototype: HTMLMediaElement;\r\n    new(): HTMLMediaElement;\r\n    HAVE_CURRENT_DATA: number;\r\n    HAVE_ENOUGH_DATA: number;\r\n    HAVE_FUTURE_DATA: number;\r\n    HAVE_METADATA: number;\r\n    HAVE_NOTHING: number;\r\n    NETWORK_EMPTY: number;\r\n    NETWORK_IDLE: number;\r\n    NETWORK_LOADING: number;\r\n    NETWORK_NO_SOURCE: number;\r\n}\r\n\r\ninterface HTMLMenuElement extends HTMLElement {\r\n    compact: boolean;\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLMenuElement: {\r\n    prototype: HTMLMenuElement;\r\n    new(): HTMLMenuElement;\r\n}\r\n\r\ninterface HTMLMetaElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Gets or sets meta-information to associate with httpEquiv or name.\r\n      */\r\n    content: string;\r\n    /**\r\n      * Gets or sets information used to bind the value of a content attribute of a meta element to an HTTP response header.\r\n      */\r\n    httpEquiv: string;\r\n    /**\r\n      * Sets or retrieves the value specified in the content attribute of the meta object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves a scheme to be used in interpreting the value of a property specified for the object.\r\n      */\r\n    scheme: string;\r\n    /**\r\n      * Sets or retrieves the URL property that will be loaded after the specified time has elapsed. \r\n      */\r\n    url: string;\r\n}\r\n\r\ndeclare var HTMLMetaElement: {\r\n    prototype: HTMLMetaElement;\r\n    new(): HTMLMetaElement;\r\n}\r\n\r\ninterface HTMLModElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n    /**\r\n      * Sets or retrieves the date and time of a modification to the object.\r\n      */\r\n    dateTime: string;\r\n}\r\n\r\ndeclare var HTMLModElement: {\r\n    prototype: HTMLModElement;\r\n    new(): HTMLModElement;\r\n}\r\n\r\ninterface HTMLNextIdElement extends HTMLElement {\r\n    n: string;\r\n}\r\n\r\ndeclare var HTMLNextIdElement: {\r\n    prototype: HTMLNextIdElement;\r\n    new(): HTMLNextIdElement;\r\n}\r\n\r\ninterface HTMLOListElement extends HTMLElement {\r\n    compact: boolean;\r\n    /**\r\n      * The starting number.\r\n      */\r\n    start: number;\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLOListElement: {\r\n    prototype: HTMLOListElement;\r\n    new(): HTMLOListElement;\r\n}\r\n\r\ninterface HTMLObjectElement extends HTMLElement, GetSVGDocument {\r\n    /**\r\n      * Retrieves a string of the URL where the object tag can be found. This is often the href of the document that the object is in, or the value set by a base element.\r\n      */\r\n    BaseHref: string;\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a text alternative to the graphic.\r\n      */\r\n    alt: string;\r\n    /**\r\n      * Gets or sets the optional alternative HTML script to execute if the object fails to load.\r\n      */\r\n    altHtml: string;\r\n    /**\r\n      * Sets or retrieves a character string that can be used to implement your own archive functionality for the object.\r\n      */\r\n    archive: string;\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the URL of the file containing the compiled Java class.\r\n      */\r\n    code: string;\r\n    /**\r\n      * Sets or retrieves the URL of the component.\r\n      */\r\n    codeBase: string;\r\n    /**\r\n      * Sets or retrieves the Internet media type for the code associated with the object.\r\n      */\r\n    codeType: string;\r\n    /**\r\n      * Retrieves the document object of the page or frame.\r\n      */\r\n    contentDocument: Document;\r\n    /**\r\n      * Sets or retrieves the URL that references the data of the object.\r\n      */\r\n    data: string;\r\n    declare: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: string;\r\n    hspace: number;\r\n    /**\r\n      * Gets or sets whether the DLNA PlayTo device is available.\r\n      */\r\n    msPlayToDisabled: boolean;\r\n    /**\r\n      * Gets or sets the path to the preferred media source. This enables the Play To target device to stream the media content, which can be DRM protected, from a different location, such as a cloud media server.\r\n      */\r\n    msPlayToPreferredSourceUri: string;\r\n    /**\r\n      * Gets or sets the primary DLNA PlayTo device.\r\n      */\r\n    msPlayToPrimary: boolean;\r\n    /**\r\n      * Gets the source associated with the media element for use by the PlayToManager.\r\n      */\r\n    msPlayToSource: any;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Retrieves the contained object.\r\n      */\r\n    object: any;\r\n    readyState: number;\r\n    /**\r\n      * Sets or retrieves a message to be displayed while an object is loading.\r\n      */\r\n    standby: string;\r\n    /**\r\n      * Sets or retrieves the MIME type of the object.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\r\n      */\r\n    useMap: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    vspace: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLObjectElement: {\r\n    prototype: HTMLObjectElement;\r\n    new(): HTMLObjectElement;\r\n}\r\n\r\ninterface HTMLOptGroupElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the status of an option.\r\n      */\r\n    defaultSelected: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the ordinal position of an option in a list box.\r\n      */\r\n    index: number;\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own label functionality for the object.\r\n      */\r\n    label: string;\r\n    /**\r\n      * Sets or retrieves whether the option in the list box is the default item.\r\n      */\r\n    selected: boolean;\r\n    /**\r\n      * Sets or retrieves the text string specified by the option tag.\r\n      */\r\n    text: string;\r\n    /**\r\n      * Sets or retrieves the value which is returned to the server when the form control is submitted.\r\n      */\r\n    value: string;\r\n}\r\n\r\ndeclare var HTMLOptGroupElement: {\r\n    prototype: HTMLOptGroupElement;\r\n    new(): HTMLOptGroupElement;\r\n}\r\n\r\ninterface HTMLOptionElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the status of an option.\r\n      */\r\n    defaultSelected: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the ordinal position of an option in a list box.\r\n      */\r\n    index: number;\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own label functionality for the object.\r\n      */\r\n    label: string;\r\n    /**\r\n      * Sets or retrieves whether the option in the list box is the default item.\r\n      */\r\n    selected: boolean;\r\n    /**\r\n      * Sets or retrieves the text string specified by the option tag.\r\n      */\r\n    text: string;\r\n    /**\r\n      * Sets or retrieves the value which is returned to the server when the form control is submitted.\r\n      */\r\n    value: string;\r\n}\r\n\r\ndeclare var HTMLOptionElement: {\r\n    prototype: HTMLOptionElement;\r\n    new(): HTMLOptionElement;\r\n    create(): HTMLOptionElement;\r\n}\r\n\r\ninterface HTMLParagraphElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text. \r\n      */\r\n    align: string;\r\n    clear: string;\r\n}\r\n\r\ndeclare var HTMLParagraphElement: {\r\n    prototype: HTMLParagraphElement;\r\n    new(): HTMLParagraphElement;\r\n}\r\n\r\ninterface HTMLParamElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the name of an input parameter for an element.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Sets or retrieves the content type of the resource designated by the value attribute.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Sets or retrieves the value of an input parameter for an element.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Sets or retrieves the data type of the value attribute.\r\n      */\r\n    valueType: string;\r\n}\r\n\r\ndeclare var HTMLParamElement: {\r\n    prototype: HTMLParamElement;\r\n    new(): HTMLParamElement;\r\n}\r\n\r\ninterface HTMLPhraseElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n    /**\r\n      * Sets or retrieves the date and time of a modification to the object.\r\n      */\r\n    dateTime: string;\r\n}\r\n\r\ndeclare var HTMLPhraseElement: {\r\n    prototype: HTMLPhraseElement;\r\n    new(): HTMLPhraseElement;\r\n}\r\n\r\ninterface HTMLPreElement extends HTMLElement {\r\n    /**\r\n      * Indicates a citation by rendering text in italic type.\r\n      */\r\n    cite: string;\r\n    clear: string;\r\n    /**\r\n      * Sets or gets a value that you can use to implement your own width functionality for the object.\r\n      */\r\n    width: number;\r\n}\r\n\r\ndeclare var HTMLPreElement: {\r\n    prototype: HTMLPreElement;\r\n    new(): HTMLPreElement;\r\n}\r\n\r\ninterface HTMLProgressElement extends HTMLElement {\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Defines the maximum, or "done" value for a progress element.\r\n      */\r\n    max: number;\r\n    /**\r\n      * Returns the quotient of value/max when the value attribute is set (determinate progress bar), or -1 when the value attribute is missing (indeterminate progress bar).\r\n      */\r\n    position: number;\r\n    /**\r\n      * Sets or gets the current value of a progress element. The value must be a non-negative number between 0 and the max value.\r\n      */\r\n    value: number;\r\n}\r\n\r\ndeclare var HTMLProgressElement: {\r\n    prototype: HTMLProgressElement;\r\n    new(): HTMLProgressElement;\r\n}\r\n\r\ninterface HTMLQuoteElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves reference information about the object.\r\n      */\r\n    cite: string;\r\n    /**\r\n      * Sets or retrieves the date and time of a modification to the object.\r\n      */\r\n    dateTime: string;\r\n}\r\n\r\ndeclare var HTMLQuoteElement: {\r\n    prototype: HTMLQuoteElement;\r\n    new(): HTMLQuoteElement;\r\n}\r\n\r\ninterface HTMLScriptElement extends HTMLElement {\r\n    async: boolean;\r\n    /**\r\n      * Sets or retrieves the character set used to encode the object.\r\n      */\r\n    charset: string;\r\n    /**\r\n      * Sets or retrieves the status of the script.\r\n      */\r\n    defer: boolean;\r\n    /**\r\n      * Sets or retrieves the event for which the script is written. \r\n      */\r\n    event: string;\r\n    /** \r\n      * Sets or retrieves the object that is bound to the event script.\r\n      */\r\n    htmlFor: string;\r\n    /**\r\n      * Retrieves the URL to an external file that contains the source code or data.\r\n      */\r\n    src: string;\r\n    /**\r\n      * Retrieves or sets the text of the object as a string. \r\n      */\r\n    text: string;\r\n    /**\r\n      * Sets or retrieves the MIME type for the associated scripting engine.\r\n      */\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLScriptElement: {\r\n    prototype: HTMLScriptElement;\r\n    new(): HTMLScriptElement;\r\n}\r\n\r\ninterface HTMLSelectElement extends HTMLElement {\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in. \r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the number of objects in a collection.\r\n      */\r\n    length: number;\r\n    /**\r\n      * Sets or retrieves the Boolean value indicating whether multiple items can be selected from a list.\r\n      */\r\n    multiple: boolean;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    options: HTMLCollection;\r\n    /**\r\n      * When present, marks an element that can\'t be submitted without a value.\r\n      */\r\n    required: boolean;\r\n    /**\r\n      * Sets or retrieves the index of the selected option in a select object.\r\n      */\r\n    selectedIndex: number;\r\n    /**\r\n      * Sets or retrieves the number of rows in the list box. \r\n      */\r\n    size: number;\r\n    /**\r\n      * Retrieves the type of select control based on the value of the MULTIPLE attribute.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /**\r\n      * Sets or retrieves the value which is returned to the server when the form control is submitted.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    selectedOptions: HTMLCollection;\r\n    /**\r\n      * Adds an element to the areas, controlRange, or options collection.\r\n      * @param element Variant of type Number that specifies the index position in the collection where the element is placed. If no value is given, the method places the element at the end of the collection.\r\n      * @param before Variant of type Object that specifies an element to insert before, or null to append the object to the collection. \r\n      */\r\n    add(element: HTMLElement, before?: HTMLElement | number): void;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Retrieves a select object or an object from an options collection.\r\n      * @param name Variant of type Number or String that specifies the object or collection to retrieve. If this parameter is an integer, it is the zero-based index of the object. If this parameter is a string, all objects with matching name or id properties are retrieved, and a collection is returned if more than one match is made.\r\n      * @param index Variant of type Number that specifies the zero-based index of the object to retrieve when a collection is returned.\r\n      */\r\n    item(name?: any, index?: any): any;\r\n    /**\r\n      * Retrieves a select object or an object from an options collection.\r\n      * @param namedItem A String that specifies the name or id property of the object to retrieve. A collection is returned if more than one match is made.\r\n      */\r\n    namedItem(name: string): any;\r\n    /**\r\n      * Removes an element from the collection.\r\n      * @param index Number that specifies the zero-based index of the element to remove from the collection.\r\n      */\r\n    remove(index?: number): void;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    [name: string]: any;\r\n}\r\n\r\ndeclare var HTMLSelectElement: {\r\n    prototype: HTMLSelectElement;\r\n    new(): HTMLSelectElement;\r\n}\r\n\r\ninterface HTMLSourceElement extends HTMLElement {\r\n    /**\r\n      * Gets or sets the intended media type of the media source.\r\n     */\r\n    media: string;\r\n    msKeySystem: string;\r\n    /**\r\n      * The address or URL of the a media resource that is to be considered.\r\n      */\r\n    src: string;\r\n    /**\r\n     * Gets or sets the MIME type of a media resource.\r\n     */\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLSourceElement: {\r\n    prototype: HTMLSourceElement;\r\n    new(): HTMLSourceElement;\r\n}\r\n\r\ninterface HTMLSpanElement extends HTMLElement {\r\n}\r\n\r\ndeclare var HTMLSpanElement: {\r\n    prototype: HTMLSpanElement;\r\n    new(): HTMLSpanElement;\r\n}\r\n\r\ninterface HTMLStyleElement extends HTMLElement, LinkStyle {\r\n    /**\r\n      * Sets or retrieves the media type.\r\n      */\r\n    media: string;\r\n    /**\r\n      * Retrieves the CSS language in which the style sheet is written.\r\n      */\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLStyleElement: {\r\n    prototype: HTMLStyleElement;\r\n    new(): HTMLStyleElement;\r\n}\r\n\r\ninterface HTMLTableCaptionElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves the alignment of the caption or legend.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves whether the caption appears at the top or bottom of the table.\r\n      */\r\n    vAlign: string;\r\n}\r\n\r\ndeclare var HTMLTableCaptionElement: {\r\n    prototype: HTMLTableCaptionElement;\r\n    new(): HTMLTableCaptionElement;\r\n}\r\n\r\ninterface HTMLTableCellElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves abbreviated text for the object.\r\n      */\r\n    abbr: string;\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves a comma-delimited list of conceptual categories associated with the object.\r\n      */\r\n    axis: string;\r\n    bgColor: any;\r\n    /**\r\n      * Retrieves the position of the object in the cells collection of a row.\r\n      */\r\n    cellIndex: number;\r\n    /**\r\n      * Sets or retrieves the number columns in the table that the object should span.\r\n      */\r\n    colSpan: number;\r\n    /**\r\n      * Sets or retrieves a list of header cells that provide information for the object.\r\n      */\r\n    headers: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: any;\r\n    /**\r\n      * Sets or retrieves whether the browser automatically performs wordwrap.\r\n      */\r\n    noWrap: boolean;\r\n    /**\r\n      * Sets or retrieves how many rows in a table the cell should span.\r\n      */\r\n    rowSpan: number;\r\n    /**\r\n      * Sets or retrieves the group of cells in a table to which the object\'s information applies.\r\n      */\r\n    scope: string;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableCellElement: {\r\n    prototype: HTMLTableCellElement;\r\n    new(): HTMLTableCellElement;\r\n}\r\n\r\ninterface HTMLTableColElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves the alignment of the object relative to the display or table.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves the number of columns in the group.\r\n      */\r\n    span: number;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: any;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableColElement: {\r\n    prototype: HTMLTableColElement;\r\n    new(): HTMLTableColElement;\r\n}\r\n\r\ninterface HTMLTableDataCellElement extends HTMLTableCellElement {\r\n}\r\n\r\ndeclare var HTMLTableDataCellElement: {\r\n    prototype: HTMLTableDataCellElement;\r\n    new(): HTMLTableDataCellElement;\r\n}\r\n\r\ninterface HTMLTableElement extends HTMLElement {\r\n    /**\r\n      * Sets or retrieves a value that indicates the table alignment.\r\n      */\r\n    align: string;\r\n    bgColor: any;\r\n    /**\r\n      * Sets or retrieves the width of the border to draw around the object.\r\n      */\r\n    border: string;\r\n    /**\r\n      * Sets or retrieves the border color of the object. \r\n      */\r\n    borderColor: any;\r\n    /**\r\n      * Retrieves the caption object of a table.\r\n      */\r\n    caption: HTMLTableCaptionElement;\r\n    /**\r\n      * Sets or retrieves the amount of space between the border of the cell and the content of the cell.\r\n      */\r\n    cellPadding: string;\r\n    /**\r\n      * Sets or retrieves the amount of space between cells in a table.\r\n      */\r\n    cellSpacing: string;\r\n    /**\r\n      * Sets or retrieves the number of columns in the table.\r\n      */\r\n    cols: number;\r\n    /**\r\n      * Sets or retrieves the way the border frame around the table is displayed.\r\n      */\r\n    frame: string;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: any;\r\n    /**\r\n      * Sets or retrieves the number of horizontal rows contained in the object.\r\n      */\r\n    rows: HTMLCollection;\r\n    /**\r\n      * Sets or retrieves which dividing lines (inner borders) are displayed.\r\n      */\r\n    rules: string;\r\n    /**\r\n      * Sets or retrieves a description and/or structure of the object.\r\n      */\r\n    summary: string;\r\n    /**\r\n      * Retrieves a collection of all tBody objects in the table. Objects in this collection are in source order.\r\n      */\r\n    tBodies: HTMLCollection;\r\n    /**\r\n      * Retrieves the tFoot object of the table.\r\n      */\r\n    tFoot: HTMLTableSectionElement;\r\n    /**\r\n      * Retrieves the tHead object of the table.\r\n      */\r\n    tHead: HTMLTableSectionElement;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    width: string;\r\n    /**\r\n      * Creates an empty caption element in the table.\r\n      */\r\n    createCaption(): HTMLTableCaptionElement;\r\n    /**\r\n      * Creates an empty tBody element in the table.\r\n      */\r\n    createTBody(): HTMLTableSectionElement;\r\n    /**\r\n      * Creates an empty tFoot element in the table.\r\n      */\r\n    createTFoot(): HTMLTableSectionElement;\r\n    /**\r\n      * Returns the tHead element object if successful, or null otherwise.\r\n      */\r\n    createTHead(): HTMLTableSectionElement;\r\n    /**\r\n      * Deletes the caption element and its contents from the table.\r\n      */\r\n    deleteCaption(): void;\r\n    /**\r\n      * Removes the specified row (tr) from the element and from the rows collection.\r\n      * @param index Number that specifies the zero-based position in the rows collection of the row to remove.\r\n      */\r\n    deleteRow(index?: number): void;\r\n    /**\r\n      * Deletes the tFoot element and its contents from the table.\r\n      */\r\n    deleteTFoot(): void;\r\n    /**\r\n      * Deletes the tHead element and its contents from the table.\r\n      */\r\n    deleteTHead(): void;\r\n    /**\r\n      * Creates a new row (tr) in the table, and adds the row to the rows collection.\r\n      * @param index Number that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.\r\n      */\r\n    insertRow(index?: number): HTMLTableRowElement;\r\n}\r\n\r\ndeclare var HTMLTableElement: {\r\n    prototype: HTMLTableElement;\r\n    new(): HTMLTableElement;\r\n}\r\n\r\ninterface HTMLTableHeaderCellElement extends HTMLTableCellElement {\r\n    /**\r\n      * Sets or retrieves the group of cells in a table to which the object\'s information applies.\r\n      */\r\n    scope: string;\r\n}\r\n\r\ndeclare var HTMLTableHeaderCellElement: {\r\n    prototype: HTMLTableHeaderCellElement;\r\n    new(): HTMLTableHeaderCellElement;\r\n}\r\n\r\ninterface HTMLTableRowElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves how the object is aligned with adjacent text.\r\n      */\r\n    align: string;\r\n    bgColor: any;\r\n    /**\r\n      * Retrieves a collection of all cells in the table row.\r\n      */\r\n    cells: HTMLCollection;\r\n    /**\r\n      * Sets or retrieves the height of the object.\r\n      */\r\n    height: any;\r\n    /**\r\n      * Retrieves the position of the object in the rows collection for the table.\r\n      */\r\n    rowIndex: number;\r\n    /**\r\n      * Retrieves the position of the object in the collection.\r\n      */\r\n    sectionRowIndex: number;\r\n    /**\r\n      * Removes the specified cell from the table row, as well as from the cells collection.\r\n      * @param index Number that specifies the zero-based position of the cell to remove from the table row. If no value is provided, the last cell in the cells collection is deleted.\r\n      */\r\n    deleteCell(index?: number): void;\r\n    /**\r\n      * Creates a new cell in the table row, and adds the cell to the cells collection.\r\n      * @param index Number that specifies where to insert the cell in the tr. The default value is -1, which appends the new cell to the end of the cells collection.\r\n      */\r\n    insertCell(index?: number): HTMLTableCellElement;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableRowElement: {\r\n    prototype: HTMLTableRowElement;\r\n    new(): HTMLTableRowElement;\r\n}\r\n\r\ninterface HTMLTableSectionElement extends HTMLElement, HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves a value that indicates the table alignment.\r\n      */\r\n    align: string;\r\n    /**\r\n      * Sets or retrieves the number of horizontal rows contained in the object.\r\n      */\r\n    rows: HTMLCollection;\r\n    /**\r\n      * Removes the specified row (tr) from the element and from the rows collection.\r\n      * @param index Number that specifies the zero-based position in the rows collection of the row to remove.\r\n      */\r\n    deleteRow(index?: number): void;\r\n    /**\r\n      * Creates a new row (tr) in the table, and adds the row to the rows collection.\r\n      * @param index Number that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.\r\n      */\r\n    insertRow(index?: number): HTMLTableRowElement;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLTableSectionElement: {\r\n    prototype: HTMLTableSectionElement;\r\n    new(): HTMLTableSectionElement;\r\n}\r\n\r\ninterface HTMLTextAreaElement extends HTMLElement {\r\n    /**\r\n      * Provides a way to direct a user to a specific field when a document loads. This can provide both direction and convenience for a user, reducing the need to click or tab to a field when a page opens. This attribute is true when present on an element, and false when missing.\r\n      */\r\n    autofocus: boolean;\r\n    /**\r\n      * Sets or retrieves the width of the object.\r\n      */\r\n    cols: number;\r\n    /**\r\n      * Sets or retrieves the initial contents of the object.\r\n      */\r\n    defaultValue: string;\r\n    disabled: boolean;\r\n    /**\r\n      * Retrieves a reference to the form that the object is embedded in.\r\n      */\r\n    form: HTMLFormElement;\r\n    /**\r\n      * Sets or retrieves the maximum number of characters that the user can enter in a text control.\r\n      */\r\n    maxLength: number;\r\n    /**\r\n      * Sets or retrieves the name of the object.\r\n      */\r\n    name: string;\r\n    /**\r\n      * Gets or sets a text string that is displayed in an input field as a hint or prompt to users as the format or type of information they need to enter.The text appears in an input field until the user puts focus on the field.\r\n      */\r\n    placeholder: string;\r\n    /**\r\n      * Sets or retrieves the value indicated whether the content of the object is read-only.\r\n      */\r\n    readOnly: boolean;\r\n    /**\r\n      * When present, marks an element that can\'t be submitted without a value.\r\n      */\r\n    required: boolean;\r\n    /**\r\n      * Sets or retrieves the number of horizontal rows contained in the object.\r\n      */\r\n    rows: number;\r\n    /**\r\n      * Gets or sets the end position or offset of a text selection.\r\n      */\r\n    selectionEnd: number;\r\n    /**\r\n      * Gets or sets the starting position or offset of a text selection.\r\n      */\r\n    selectionStart: number;\r\n    /**\r\n      * Sets or retrieves the value indicating whether the control is selected.\r\n      */\r\n    status: any;\r\n    /**\r\n      * Retrieves the type of control.\r\n      */\r\n    type: string;\r\n    /**\r\n      * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\r\n      */\r\n    validationMessage: string;\r\n    /**\r\n      * Returns a  ValidityState object that represents the validity states of an element.\r\n      */\r\n    validity: ValidityState;\r\n    /**\r\n      * Retrieves or sets the text in the entry field of the textArea element.\r\n      */\r\n    value: string;\r\n    /**\r\n      * Returns whether an element will successfully validate based on forms validation rules and constraints.\r\n      */\r\n    willValidate: boolean;\r\n    /**\r\n      * Sets or retrieves how to handle wordwrapping in the object.\r\n      */\r\n    wrap: string;\r\n    /**\r\n      * Returns whether a form will validate when it is submitted, without having to submit it.\r\n      */\r\n    checkValidity(): boolean;\r\n    /**\r\n      * Creates a TextRange object for the element.\r\n      */\r\n    createTextRange(): TextRange;\r\n    /**\r\n      * Highlights the input area of a form element.\r\n      */\r\n    select(): void;\r\n    /**\r\n      * Sets a custom error message that is displayed when a form is submitted.\r\n      * @param error Sets a custom error message that is displayed when a form is submitted.\r\n      */\r\n    setCustomValidity(error: string): void;\r\n    /**\r\n      * Sets the start and end positions of a selection in a text field.\r\n      * @param start The offset into the text field for the start of the selection.\r\n      * @param end The offset into the text field for the end of the selection.\r\n      */\r\n    setSelectionRange(start: number, end: number): void;\r\n}\r\n\r\ndeclare var HTMLTextAreaElement: {\r\n    prototype: HTMLTextAreaElement;\r\n    new(): HTMLTextAreaElement;\r\n}\r\n\r\ninterface HTMLTitleElement extends HTMLElement {\r\n    /**\r\n      * Retrieves or sets the text of the object as a string. \r\n      */\r\n    text: string;\r\n}\r\n\r\ndeclare var HTMLTitleElement: {\r\n    prototype: HTMLTitleElement;\r\n    new(): HTMLTitleElement;\r\n}\r\n\r\ninterface HTMLTrackElement extends HTMLElement {\r\n    default: boolean;\r\n    kind: string;\r\n    label: string;\r\n    readyState: number;\r\n    src: string;\r\n    srclang: string;\r\n    track: TextTrack;\r\n    ERROR: number;\r\n    LOADED: number;\r\n    LOADING: number;\r\n    NONE: number;\r\n}\r\n\r\ndeclare var HTMLTrackElement: {\r\n    prototype: HTMLTrackElement;\r\n    new(): HTMLTrackElement;\r\n    ERROR: number;\r\n    LOADED: number;\r\n    LOADING: number;\r\n    NONE: number;\r\n}\r\n\r\ninterface HTMLUListElement extends HTMLElement {\r\n    compact: boolean;\r\n    type: string;\r\n}\r\n\r\ndeclare var HTMLUListElement: {\r\n    prototype: HTMLUListElement;\r\n    new(): HTMLUListElement;\r\n}\r\n\r\ninterface HTMLUnknownElement extends HTMLElement {\r\n}\r\n\r\ndeclare var HTMLUnknownElement: {\r\n    prototype: HTMLUnknownElement;\r\n    new(): HTMLUnknownElement;\r\n}\r\n\r\ninterface HTMLVideoElement extends HTMLMediaElement {\r\n    /**\r\n      * Gets or sets the height of the video element.\r\n      */\r\n    height: number;\r\n    msHorizontalMirror: boolean;\r\n    msIsLayoutOptimalForPlayback: boolean;\r\n    msIsStereo3D: boolean;\r\n    msStereo3DPackingMode: string;\r\n    msStereo3DRenderMode: string;\r\n    msZoom: boolean;\r\n    onMSVideoFormatChanged: (ev: Event) => any;\r\n    onMSVideoFrameStepCompleted: (ev: Event) => any;\r\n    onMSVideoOptimalLayoutChanged: (ev: Event) => any;\r\n    /**\r\n      * Gets or sets a URL of an image to display, for example, like a movie poster. This can be a still frame from the video, or another image if no video data is available.\r\n      */\r\n    poster: string;\r\n    /**\r\n      * Gets the intrinsic height of a video in CSS pixels, or zero if the dimensions are not known.\r\n      */\r\n    videoHeight: number;\r\n    /**\r\n      * Gets the intrinsic width of a video in CSS pixels, or zero if the dimensions are not known.\r\n      */\r\n    videoWidth: number;\r\n    webkitDisplayingFullscreen: boolean;\r\n    webkitSupportsFullscreen: boolean;\r\n    /**\r\n      * Gets or sets the width of the video element.\r\n      */\r\n    width: number;\r\n    getVideoPlaybackQuality(): VideoPlaybackQuality;\r\n    msFrameStep(forward: boolean): void;\r\n    msInsertVideoEffect(activatableClassId: string, effectRequired: boolean, config?: any): void;\r\n    msSetVideoRectangle(left: number, top: number, right: number, bottom: number): void;\r\n    webkitEnterFullScreen(): void;\r\n    webkitEnterFullscreen(): void;\r\n    webkitExitFullScreen(): void;\r\n    webkitExitFullscreen(): void;\r\n    addEventListener(type: "MSContentZoom", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSManipulationStateChanged", listener: (ev: MSManipulationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSVideoFormatChanged", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSVideoFrameStepCompleted", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSVideoOptimalLayoutChanged", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "activate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecopy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforecut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforedeactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforepaste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "copy", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "cut", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deactivate", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "msneedkey", listener: (ev: MSMediaKeyNeededEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "paste", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "selectstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var HTMLVideoElement: {\r\n    prototype: HTMLVideoElement;\r\n    new(): HTMLVideoElement;\r\n}\r\n\r\ninterface HashChangeEvent extends Event {\r\n    newURL: string;\r\n    oldURL: string;\r\n}\r\n\r\ndeclare var HashChangeEvent: {\r\n    prototype: HashChangeEvent;\r\n    new(type: string, eventInitDict?: HashChangeEventInit): HashChangeEvent;\r\n}\r\n\r\ninterface History {\r\n    length: number;\r\n    state: any;\r\n    back(distance?: any): void;\r\n    forward(distance?: any): void;\r\n    go(delta?: any): void;\r\n    pushState(statedata: any, title?: string, url?: string): void;\r\n    replaceState(statedata: any, title?: string, url?: string): void;\r\n}\r\n\r\ndeclare var History: {\r\n    prototype: History;\r\n    new(): History;\r\n}\r\n\r\ninterface IDBCursor {\r\n    direction: string;\r\n    key: any;\r\n    primaryKey: any;\r\n    source: any;\r\n    advance(count: number): void;\r\n    continue(key?: any): void;\r\n    delete(): IDBRequest;\r\n    update(value: any): IDBRequest;\r\n    NEXT: string;\r\n    NEXT_NO_DUPLICATE: string;\r\n    PREV: string;\r\n    PREV_NO_DUPLICATE: string;\r\n}\r\n\r\ndeclare var IDBCursor: {\r\n    prototype: IDBCursor;\r\n    new(): IDBCursor;\r\n    NEXT: string;\r\n    NEXT_NO_DUPLICATE: string;\r\n    PREV: string;\r\n    PREV_NO_DUPLICATE: string;\r\n}\r\n\r\ninterface IDBCursorWithValue extends IDBCursor {\r\n    value: any;\r\n}\r\n\r\ndeclare var IDBCursorWithValue: {\r\n    prototype: IDBCursorWithValue;\r\n    new(): IDBCursorWithValue;\r\n}\r\n\r\ninterface IDBDatabase extends EventTarget {\r\n    name: string;\r\n    objectStoreNames: DOMStringList;\r\n    onabort: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    version: number;\r\n    close(): void;\r\n    createObjectStore(name: string, optionalParameters?: IDBObjectStoreParameters): IDBObjectStore;\r\n    deleteObjectStore(name: string): void;\r\n    transaction(storeNames: any, mode?: string): IDBTransaction;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBDatabase: {\r\n    prototype: IDBDatabase;\r\n    new(): IDBDatabase;\r\n}\r\n\r\ninterface IDBFactory {\r\n    cmp(first: any, second: any): number;\r\n    deleteDatabase(name: string): IDBOpenDBRequest;\r\n    open(name: string, version?: number): IDBOpenDBRequest;\r\n}\r\n\r\ndeclare var IDBFactory: {\r\n    prototype: IDBFactory;\r\n    new(): IDBFactory;\r\n}\r\n\r\ninterface IDBIndex {\r\n    keyPath: string | string[];\r\n    name: string;\r\n    objectStore: IDBObjectStore;\r\n    unique: boolean;\r\n    multiEntry: boolean;\r\n    count(key?: any): IDBRequest;\r\n    get(key: any): IDBRequest;\r\n    getKey(key: any): IDBRequest;\r\n    openCursor(range?: IDBKeyRange, direction?: string): IDBRequest;\r\n    openKeyCursor(range?: IDBKeyRange, direction?: string): IDBRequest;\r\n}\r\n\r\ndeclare var IDBIndex: {\r\n    prototype: IDBIndex;\r\n    new(): IDBIndex;\r\n}\r\n\r\ninterface IDBKeyRange {\r\n    lower: any;\r\n    lowerOpen: boolean;\r\n    upper: any;\r\n    upperOpen: boolean;\r\n}\r\n\r\ndeclare var IDBKeyRange: {\r\n    prototype: IDBKeyRange;\r\n    new(): IDBKeyRange;\r\n    bound(lower: any, upper: any, lowerOpen?: boolean, upperOpen?: boolean): IDBKeyRange;\r\n    lowerBound(bound: any, open?: boolean): IDBKeyRange;\r\n    only(value: any): IDBKeyRange;\r\n    upperBound(bound: any, open?: boolean): IDBKeyRange;\r\n}\r\n\r\ninterface IDBObjectStore {\r\n    indexNames: DOMStringList;\r\n    keyPath: string;\r\n    name: string;\r\n    transaction: IDBTransaction;\r\n    add(value: any, key?: any): IDBRequest;\r\n    clear(): IDBRequest;\r\n    count(key?: any): IDBRequest;\r\n    createIndex(name: string, keyPath: string | string[], optionalParameters?: IDBIndexParameters): IDBIndex;\r\n    delete(key: any): IDBRequest;\r\n    deleteIndex(indexName: string): void;\r\n    get(key: any): IDBRequest;\r\n    index(name: string): IDBIndex;\r\n    openCursor(range?: any, direction?: string): IDBRequest;\r\n    put(value: any, key?: any): IDBRequest;\r\n}\r\n\r\ndeclare var IDBObjectStore: {\r\n    prototype: IDBObjectStore;\r\n    new(): IDBObjectStore;\r\n}\r\n\r\ninterface IDBOpenDBRequest extends IDBRequest {\r\n    onblocked: (ev: Event) => any;\r\n    onupgradeneeded: (ev: IDBVersionChangeEvent) => any;\r\n    addEventListener(type: "blocked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "success", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "upgradeneeded", listener: (ev: IDBVersionChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBOpenDBRequest: {\r\n    prototype: IDBOpenDBRequest;\r\n    new(): IDBOpenDBRequest;\r\n}\r\n\r\ninterface IDBRequest extends EventTarget {\r\n    error: DOMError;\r\n    onerror: (ev: Event) => any;\r\n    onsuccess: (ev: Event) => any;\r\n    readyState: string;\r\n    result: any;\r\n    source: any;\r\n    transaction: IDBTransaction;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "success", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBRequest: {\r\n    prototype: IDBRequest;\r\n    new(): IDBRequest;\r\n}\r\n\r\ninterface IDBTransaction extends EventTarget {\r\n    db: IDBDatabase;\r\n    error: DOMError;\r\n    mode: string;\r\n    onabort: (ev: Event) => any;\r\n    oncomplete: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    abort(): void;\r\n    objectStore(name: string): IDBObjectStore;\r\n    READ_ONLY: string;\r\n    READ_WRITE: string;\r\n    VERSION_CHANGE: string;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "complete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var IDBTransaction: {\r\n    prototype: IDBTransaction;\r\n    new(): IDBTransaction;\r\n    READ_ONLY: string;\r\n    READ_WRITE: string;\r\n    VERSION_CHANGE: string;\r\n}\r\n\r\ninterface IDBVersionChangeEvent extends Event {\r\n    newVersion: number;\r\n    oldVersion: number;\r\n}\r\n\r\ndeclare var IDBVersionChangeEvent: {\r\n    prototype: IDBVersionChangeEvent;\r\n    new(): IDBVersionChangeEvent;\r\n}\r\n\r\ninterface ImageData {\r\n    data: Uint8ClampedArray;\r\n    height: number;\r\n    width: number;\r\n}\r\n\r\ndeclare var ImageData: {\r\n    prototype: ImageData;\r\n    new(width: number, height: number): ImageData;\r\n    new(array: Uint8ClampedArray, width: number, height: number): ImageData;\r\n}\r\n\r\ninterface KeyboardEvent extends UIEvent {\r\n    altKey: boolean;\r\n    char: string;\r\n    charCode: number;\r\n    ctrlKey: boolean;\r\n    key: string;\r\n    keyCode: number;\r\n    locale: string;\r\n    location: number;\r\n    metaKey: boolean;\r\n    repeat: boolean;\r\n    shiftKey: boolean;\r\n    which: number;\r\n    getModifierState(keyArg: string): boolean;\r\n    initKeyboardEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, keyArg: string, locationArg: number, modifiersListArg: string, repeat: boolean, locale: string): void;\r\n    DOM_KEY_LOCATION_JOYSTICK: number;\r\n    DOM_KEY_LOCATION_LEFT: number;\r\n    DOM_KEY_LOCATION_MOBILE: number;\r\n    DOM_KEY_LOCATION_NUMPAD: number;\r\n    DOM_KEY_LOCATION_RIGHT: number;\r\n    DOM_KEY_LOCATION_STANDARD: number;\r\n}\r\n\r\ndeclare var KeyboardEvent: {\r\n    prototype: KeyboardEvent;\r\n    new(typeArg: string, eventInitDict?: KeyboardEventInit): KeyboardEvent;\r\n    DOM_KEY_LOCATION_JOYSTICK: number;\r\n    DOM_KEY_LOCATION_LEFT: number;\r\n    DOM_KEY_LOCATION_MOBILE: number;\r\n    DOM_KEY_LOCATION_NUMPAD: number;\r\n    DOM_KEY_LOCATION_RIGHT: number;\r\n    DOM_KEY_LOCATION_STANDARD: number;\r\n}\r\n\r\ninterface Location {\r\n    hash: string;\r\n    host: string;\r\n    hostname: string;\r\n    href: string;\r\n    origin: string;\r\n    pathname: string;\r\n    port: string;\r\n    protocol: string;\r\n    search: string;\r\n    assign(url: string): void;\r\n    reload(forcedReload?: boolean): void;\r\n    replace(url: string): void;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var Location: {\r\n    prototype: Location;\r\n    new(): Location;\r\n}\r\n\r\ninterface LongRunningScriptDetectedEvent extends Event {\r\n    executionTime: number;\r\n    stopPageScriptExecution: boolean;\r\n}\r\n\r\ndeclare var LongRunningScriptDetectedEvent: {\r\n    prototype: LongRunningScriptDetectedEvent;\r\n    new(): LongRunningScriptDetectedEvent;\r\n}\r\n\r\ninterface MSApp {\r\n    clearTemporaryWebDataAsync(): MSAppAsyncOperation;\r\n    createBlobFromRandomAccessStream(type: string, seeker: any): Blob;\r\n    createDataPackage(object: any): any;\r\n    createDataPackageFromSelection(): any;\r\n    createFileFromStorageFile(storageFile: any): File;\r\n    createStreamFromInputStream(type: string, inputStream: any): MSStream;\r\n    execAsyncAtPriority(asynchronousCallback: MSExecAtPriorityFunctionCallback, priority: string, ...args: any[]): void;\r\n    execAtPriority(synchronousCallback: MSExecAtPriorityFunctionCallback, priority: string, ...args: any[]): any;\r\n    getCurrentPriority(): string;\r\n    getHtmlPrintDocumentSourceAsync(htmlDoc: any): any;\r\n    getViewId(view: any): any;\r\n    isTaskScheduledAtPriorityOrHigher(priority: string): boolean;\r\n    pageHandlesAllApplicationActivations(enabled: boolean): void;\r\n    suppressSubdownloadCredentialPrompts(suppress: boolean): void;\r\n    terminateApp(exceptionObject: any): void;\r\n    CURRENT: string;\r\n    HIGH: string;\r\n    IDLE: string;\r\n    NORMAL: string;\r\n}\r\ndeclare var MSApp: MSApp;\r\n\r\ninterface MSAppAsyncOperation extends EventTarget {\r\n    error: DOMError;\r\n    oncomplete: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    readyState: number;\r\n    result: any;\r\n    start(): void;\r\n    COMPLETED: number;\r\n    ERROR: number;\r\n    STARTED: number;\r\n    addEventListener(type: "complete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSAppAsyncOperation: {\r\n    prototype: MSAppAsyncOperation;\r\n    new(): MSAppAsyncOperation;\r\n    COMPLETED: number;\r\n    ERROR: number;\r\n    STARTED: number;\r\n}\r\n\r\ninterface MSBlobBuilder {\r\n    append(data: any, endings?: string): void;\r\n    getBlob(contentType?: string): Blob;\r\n}\r\n\r\ndeclare var MSBlobBuilder: {\r\n    prototype: MSBlobBuilder;\r\n    new(): MSBlobBuilder;\r\n}\r\n\r\ninterface MSCSSMatrix {\r\n    a: number;\r\n    b: number;\r\n    c: number;\r\n    d: number;\r\n    e: number;\r\n    f: number;\r\n    m11: number;\r\n    m12: number;\r\n    m13: number;\r\n    m14: number;\r\n    m21: number;\r\n    m22: number;\r\n    m23: number;\r\n    m24: number;\r\n    m31: number;\r\n    m32: number;\r\n    m33: number;\r\n    m34: number;\r\n    m41: number;\r\n    m42: number;\r\n    m43: number;\r\n    m44: number;\r\n    inverse(): MSCSSMatrix;\r\n    multiply(secondMatrix: MSCSSMatrix): MSCSSMatrix;\r\n    rotate(angleX: number, angleY?: number, angleZ?: number): MSCSSMatrix;\r\n    rotateAxisAngle(x: number, y: number, z: number, angle: number): MSCSSMatrix;\r\n    scale(scaleX: number, scaleY?: number, scaleZ?: number): MSCSSMatrix;\r\n    setMatrixValue(value: string): void;\r\n    skewX(angle: number): MSCSSMatrix;\r\n    skewY(angle: number): MSCSSMatrix;\r\n    toString(): string;\r\n    translate(x: number, y: number, z?: number): MSCSSMatrix;\r\n}\r\n\r\ndeclare var MSCSSMatrix: {\r\n    prototype: MSCSSMatrix;\r\n    new(text?: string): MSCSSMatrix;\r\n}\r\n\r\ninterface MSGesture {\r\n    target: Element;\r\n    addPointer(pointerId: number): void;\r\n    stop(): void;\r\n}\r\n\r\ndeclare var MSGesture: {\r\n    prototype: MSGesture;\r\n    new(): MSGesture;\r\n}\r\n\r\ninterface MSGestureEvent extends UIEvent {\r\n    clientX: number;\r\n    clientY: number;\r\n    expansion: number;\r\n    gestureObject: any;\r\n    hwTimestamp: number;\r\n    offsetX: number;\r\n    offsetY: number;\r\n    rotation: number;\r\n    scale: number;\r\n    screenX: number;\r\n    screenY: number;\r\n    translationX: number;\r\n    translationY: number;\r\n    velocityAngular: number;\r\n    velocityExpansion: number;\r\n    velocityX: number;\r\n    velocityY: number;\r\n    initGestureEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, offsetXArg: number, offsetYArg: number, translationXArg: number, translationYArg: number, scaleArg: number, expansionArg: number, rotationArg: number, velocityXArg: number, velocityYArg: number, velocityExpansionArg: number, velocityAngularArg: number, hwTimestampArg: number): void;\r\n    MSGESTURE_FLAG_BEGIN: number;\r\n    MSGESTURE_FLAG_CANCEL: number;\r\n    MSGESTURE_FLAG_END: number;\r\n    MSGESTURE_FLAG_INERTIA: number;\r\n    MSGESTURE_FLAG_NONE: number;\r\n}\r\n\r\ndeclare var MSGestureEvent: {\r\n    prototype: MSGestureEvent;\r\n    new(): MSGestureEvent;\r\n    MSGESTURE_FLAG_BEGIN: number;\r\n    MSGESTURE_FLAG_CANCEL: number;\r\n    MSGESTURE_FLAG_END: number;\r\n    MSGESTURE_FLAG_INERTIA: number;\r\n    MSGESTURE_FLAG_NONE: number;\r\n}\r\n\r\ninterface MSGraphicsTrust {\r\n    constrictionActive: boolean;\r\n    status: string;\r\n}\r\n\r\ndeclare var MSGraphicsTrust: {\r\n    prototype: MSGraphicsTrust;\r\n    new(): MSGraphicsTrust;\r\n}\r\n\r\ninterface MSHTMLWebViewElement extends HTMLElement {\r\n    canGoBack: boolean;\r\n    canGoForward: boolean;\r\n    containsFullScreenElement: boolean;\r\n    documentTitle: string;\r\n    height: number;\r\n    settings: MSWebViewSettings;\r\n    src: string;\r\n    width: number;\r\n    addWebAllowedObject(name: string, applicationObject: any): void;\r\n    buildLocalStreamUri(contentIdentifier: string, relativePath: string): string;\r\n    capturePreviewToBlobAsync(): MSWebViewAsyncOperation;\r\n    captureSelectedContentToDataPackageAsync(): MSWebViewAsyncOperation;\r\n    getDeferredPermissionRequestById(id: number): DeferredPermissionRequest;\r\n    getDeferredPermissionRequests(): DeferredPermissionRequest[];\r\n    goBack(): void;\r\n    goForward(): void;\r\n    invokeScriptAsync(scriptName: string, ...args: any[]): MSWebViewAsyncOperation;\r\n    navigate(uri: string): void;\r\n    navigateToLocalStreamUri(source: string, streamResolver: any): void;\r\n    navigateToString(contents: string): void;\r\n    navigateWithHttpRequestMessage(requestMessage: any): void;\r\n    refresh(): void;\r\n    stop(): void;\r\n}\r\n\r\ndeclare var MSHTMLWebViewElement: {\r\n    prototype: MSHTMLWebViewElement;\r\n    new(): MSHTMLWebViewElement;\r\n}\r\n\r\ninterface MSInputMethodContext extends EventTarget {\r\n    compositionEndOffset: number;\r\n    compositionStartOffset: number;\r\n    oncandidatewindowhide: (ev: Event) => any;\r\n    oncandidatewindowshow: (ev: Event) => any;\r\n    oncandidatewindowupdate: (ev: Event) => any;\r\n    target: HTMLElement;\r\n    getCandidateWindowClientRect(): ClientRect;\r\n    getCompositionAlternatives(): string[];\r\n    hasComposition(): boolean;\r\n    isCandidateWindowVisible(): boolean;\r\n    addEventListener(type: "MSCandidateWindowHide", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSCandidateWindowShow", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSCandidateWindowUpdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSInputMethodContext: {\r\n    prototype: MSInputMethodContext;\r\n    new(): MSInputMethodContext;\r\n}\r\n\r\ninterface MSManipulationEvent extends UIEvent {\r\n    currentState: number;\r\n    inertiaDestinationX: number;\r\n    inertiaDestinationY: number;\r\n    lastState: number;\r\n    initMSManipulationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, lastState: number, currentState: number): void;\r\n    MS_MANIPULATION_STATE_ACTIVE: number;\r\n    MS_MANIPULATION_STATE_CANCELLED: number;\r\n    MS_MANIPULATION_STATE_COMMITTED: number;\r\n    MS_MANIPULATION_STATE_DRAGGING: number;\r\n    MS_MANIPULATION_STATE_INERTIA: number;\r\n    MS_MANIPULATION_STATE_PRESELECT: number;\r\n    MS_MANIPULATION_STATE_SELECTING: number;\r\n    MS_MANIPULATION_STATE_STOPPED: number;\r\n}\r\n\r\ndeclare var MSManipulationEvent: {\r\n    prototype: MSManipulationEvent;\r\n    new(): MSManipulationEvent;\r\n    MS_MANIPULATION_STATE_ACTIVE: number;\r\n    MS_MANIPULATION_STATE_CANCELLED: number;\r\n    MS_MANIPULATION_STATE_COMMITTED: number;\r\n    MS_MANIPULATION_STATE_DRAGGING: number;\r\n    MS_MANIPULATION_STATE_INERTIA: number;\r\n    MS_MANIPULATION_STATE_PRESELECT: number;\r\n    MS_MANIPULATION_STATE_SELECTING: number;\r\n    MS_MANIPULATION_STATE_STOPPED: number;\r\n}\r\n\r\ninterface MSMediaKeyError {\r\n    code: number;\r\n    systemCode: number;\r\n    MS_MEDIA_KEYERR_CLIENT: number;\r\n    MS_MEDIA_KEYERR_DOMAIN: number;\r\n    MS_MEDIA_KEYERR_HARDWARECHANGE: number;\r\n    MS_MEDIA_KEYERR_OUTPUT: number;\r\n    MS_MEDIA_KEYERR_SERVICE: number;\r\n    MS_MEDIA_KEYERR_UNKNOWN: number;\r\n}\r\n\r\ndeclare var MSMediaKeyError: {\r\n    prototype: MSMediaKeyError;\r\n    new(): MSMediaKeyError;\r\n    MS_MEDIA_KEYERR_CLIENT: number;\r\n    MS_MEDIA_KEYERR_DOMAIN: number;\r\n    MS_MEDIA_KEYERR_HARDWARECHANGE: number;\r\n    MS_MEDIA_KEYERR_OUTPUT: number;\r\n    MS_MEDIA_KEYERR_SERVICE: number;\r\n    MS_MEDIA_KEYERR_UNKNOWN: number;\r\n}\r\n\r\ninterface MSMediaKeyMessageEvent extends Event {\r\n    destinationURL: string;\r\n    message: Uint8Array;\r\n}\r\n\r\ndeclare var MSMediaKeyMessageEvent: {\r\n    prototype: MSMediaKeyMessageEvent;\r\n    new(): MSMediaKeyMessageEvent;\r\n}\r\n\r\ninterface MSMediaKeyNeededEvent extends Event {\r\n    initData: Uint8Array;\r\n}\r\n\r\ndeclare var MSMediaKeyNeededEvent: {\r\n    prototype: MSMediaKeyNeededEvent;\r\n    new(): MSMediaKeyNeededEvent;\r\n}\r\n\r\ninterface MSMediaKeySession extends EventTarget {\r\n    error: MSMediaKeyError;\r\n    keySystem: string;\r\n    sessionId: string;\r\n    close(): void;\r\n    update(key: Uint8Array): void;\r\n}\r\n\r\ndeclare var MSMediaKeySession: {\r\n    prototype: MSMediaKeySession;\r\n    new(): MSMediaKeySession;\r\n}\r\n\r\ninterface MSMediaKeys {\r\n    keySystem: string;\r\n    createSession(type: string, initData: Uint8Array, cdmData?: Uint8Array): MSMediaKeySession;\r\n}\r\n\r\ndeclare var MSMediaKeys: {\r\n    prototype: MSMediaKeys;\r\n    new(keySystem: string): MSMediaKeys;\r\n    isTypeSupported(keySystem: string, type?: string): boolean;\r\n}\r\n\r\ninterface MSMimeTypesCollection {\r\n    length: number;\r\n}\r\n\r\ndeclare var MSMimeTypesCollection: {\r\n    prototype: MSMimeTypesCollection;\r\n    new(): MSMimeTypesCollection;\r\n}\r\n\r\ninterface MSPluginsCollection {\r\n    length: number;\r\n    refresh(reload?: boolean): void;\r\n}\r\n\r\ndeclare var MSPluginsCollection: {\r\n    prototype: MSPluginsCollection;\r\n    new(): MSPluginsCollection;\r\n}\r\n\r\ninterface MSPointerEvent extends MouseEvent {\r\n    currentPoint: any;\r\n    height: number;\r\n    hwTimestamp: number;\r\n    intermediatePoints: any;\r\n    isPrimary: boolean;\r\n    pointerId: number;\r\n    pointerType: any;\r\n    pressure: number;\r\n    rotation: number;\r\n    tiltX: number;\r\n    tiltY: number;\r\n    width: number;\r\n    getCurrentPoint(element: Element): void;\r\n    getIntermediatePoints(element: Element): void;\r\n    initPointerEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget, offsetXArg: number, offsetYArg: number, widthArg: number, heightArg: number, pressure: number, rotation: number, tiltX: number, tiltY: number, pointerIdArg: number, pointerType: any, hwTimestampArg: number, isPrimary: boolean): void;\r\n}\r\n\r\ndeclare var MSPointerEvent: {\r\n    prototype: MSPointerEvent;\r\n    new(typeArg: string, eventInitDict?: PointerEventInit): MSPointerEvent;\r\n}\r\n\r\ninterface MSRangeCollection {\r\n    length: number;\r\n    item(index: number): Range;\r\n    [index: number]: Range;\r\n}\r\n\r\ndeclare var MSRangeCollection: {\r\n    prototype: MSRangeCollection;\r\n    new(): MSRangeCollection;\r\n}\r\n\r\ninterface MSSiteModeEvent extends Event {\r\n    actionURL: string;\r\n    buttonID: number;\r\n}\r\n\r\ndeclare var MSSiteModeEvent: {\r\n    prototype: MSSiteModeEvent;\r\n    new(): MSSiteModeEvent;\r\n}\r\n\r\ninterface MSStream {\r\n    type: string;\r\n    msClose(): void;\r\n    msDetachStream(): any;\r\n}\r\n\r\ndeclare var MSStream: {\r\n    prototype: MSStream;\r\n    new(): MSStream;\r\n}\r\n\r\ninterface MSStreamReader extends EventTarget, MSBaseReader {\r\n    error: DOMError;\r\n    readAsArrayBuffer(stream: MSStream, size?: number): void;\r\n    readAsBinaryString(stream: MSStream, size?: number): void;\r\n    readAsBlob(stream: MSStream, size?: number): void;\r\n    readAsDataURL(stream: MSStream, size?: number): void;\r\n    readAsText(stream: MSStream, encoding?: string, size?: number): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSStreamReader: {\r\n    prototype: MSStreamReader;\r\n    new(): MSStreamReader;\r\n}\r\n\r\ninterface MSWebViewAsyncOperation extends EventTarget {\r\n    error: DOMError;\r\n    oncomplete: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    readyState: number;\r\n    result: any;\r\n    target: MSHTMLWebViewElement;\r\n    type: number;\r\n    start(): void;\r\n    COMPLETED: number;\r\n    ERROR: number;\r\n    STARTED: number;\r\n    TYPE_CAPTURE_PREVIEW_TO_RANDOM_ACCESS_STREAM: number;\r\n    TYPE_CREATE_DATA_PACKAGE_FROM_SELECTION: number;\r\n    TYPE_INVOKE_SCRIPT: number;\r\n    addEventListener(type: "complete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MSWebViewAsyncOperation: {\r\n    prototype: MSWebViewAsyncOperation;\r\n    new(): MSWebViewAsyncOperation;\r\n    COMPLETED: number;\r\n    ERROR: number;\r\n    STARTED: number;\r\n    TYPE_CAPTURE_PREVIEW_TO_RANDOM_ACCESS_STREAM: number;\r\n    TYPE_CREATE_DATA_PACKAGE_FROM_SELECTION: number;\r\n    TYPE_INVOKE_SCRIPT: number;\r\n}\r\n\r\ninterface MSWebViewSettings {\r\n    isIndexedDBEnabled: boolean;\r\n    isJavaScriptEnabled: boolean;\r\n}\r\n\r\ndeclare var MSWebViewSettings: {\r\n    prototype: MSWebViewSettings;\r\n    new(): MSWebViewSettings;\r\n}\r\n\r\ninterface MediaElementAudioSourceNode extends AudioNode {\r\n}\r\n\r\ndeclare var MediaElementAudioSourceNode: {\r\n    prototype: MediaElementAudioSourceNode;\r\n    new(): MediaElementAudioSourceNode;\r\n}\r\n\r\ninterface MediaError {\r\n    code: number;\r\n    msExtendedCode: number;\r\n    MEDIA_ERR_ABORTED: number;\r\n    MEDIA_ERR_DECODE: number;\r\n    MEDIA_ERR_NETWORK: number;\r\n    MEDIA_ERR_SRC_NOT_SUPPORTED: number;\r\n    MS_MEDIA_ERR_ENCRYPTED: number;\r\n}\r\n\r\ndeclare var MediaError: {\r\n    prototype: MediaError;\r\n    new(): MediaError;\r\n    MEDIA_ERR_ABORTED: number;\r\n    MEDIA_ERR_DECODE: number;\r\n    MEDIA_ERR_NETWORK: number;\r\n    MEDIA_ERR_SRC_NOT_SUPPORTED: number;\r\n    MS_MEDIA_ERR_ENCRYPTED: number;\r\n}\r\n\r\ninterface MediaList {\r\n    length: number;\r\n    mediaText: string;\r\n    appendMedium(newMedium: string): void;\r\n    deleteMedium(oldMedium: string): void;\r\n    item(index: number): string;\r\n    toString(): string;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var MediaList: {\r\n    prototype: MediaList;\r\n    new(): MediaList;\r\n}\r\n\r\ninterface MediaQueryList {\r\n    matches: boolean;\r\n    media: string;\r\n    addListener(listener: MediaQueryListListener): void;\r\n    removeListener(listener: MediaQueryListListener): void;\r\n}\r\n\r\ndeclare var MediaQueryList: {\r\n    prototype: MediaQueryList;\r\n    new(): MediaQueryList;\r\n}\r\n\r\ninterface MediaSource extends EventTarget {\r\n    activeSourceBuffers: SourceBufferList;\r\n    duration: number;\r\n    readyState: string;\r\n    sourceBuffers: SourceBufferList;\r\n    addSourceBuffer(type: string): SourceBuffer;\r\n    endOfStream(error?: number): void;\r\n    removeSourceBuffer(sourceBuffer: SourceBuffer): void;\r\n}\r\n\r\ndeclare var MediaSource: {\r\n    prototype: MediaSource;\r\n    new(): MediaSource;\r\n    isTypeSupported(type: string): boolean;\r\n}\r\n\r\ninterface MessageChannel {\r\n    port1: MessagePort;\r\n    port2: MessagePort;\r\n}\r\n\r\ndeclare var MessageChannel: {\r\n    prototype: MessageChannel;\r\n    new(): MessageChannel;\r\n}\r\n\r\ninterface MessageEvent extends Event {\r\n    data: any;\r\n    origin: string;\r\n    ports: any;\r\n    source: Window;\r\n    initMessageEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, dataArg: any, originArg: string, lastEventIdArg: string, sourceArg: Window): void;\r\n}\r\n\r\ndeclare var MessageEvent: {\r\n    prototype: MessageEvent;\r\n    new(type: string, eventInitDict?: MessageEventInit): MessageEvent;\r\n}\r\n\r\ninterface MessagePort extends EventTarget {\r\n    onmessage: (ev: MessageEvent) => any;\r\n    close(): void;\r\n    postMessage(message?: any, ports?: any): void;\r\n    start(): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var MessagePort: {\r\n    prototype: MessagePort;\r\n    new(): MessagePort;\r\n}\r\n\r\ninterface MimeType {\r\n    description: string;\r\n    enabledPlugin: Plugin;\r\n    suffixes: string;\r\n    type: string;\r\n}\r\n\r\ndeclare var MimeType: {\r\n    prototype: MimeType;\r\n    new(): MimeType;\r\n}\r\n\r\ninterface MimeTypeArray {\r\n    length: number;\r\n    item(index: number): Plugin;\r\n    namedItem(type: string): Plugin;\r\n    [index: number]: Plugin;\r\n}\r\n\r\ndeclare var MimeTypeArray: {\r\n    prototype: MimeTypeArray;\r\n    new(): MimeTypeArray;\r\n}\r\n\r\ninterface MouseEvent extends UIEvent {\r\n    altKey: boolean;\r\n    button: number;\r\n    buttons: number;\r\n    clientX: number;\r\n    clientY: number;\r\n    ctrlKey: boolean;\r\n    fromElement: Element;\r\n    layerX: number;\r\n    layerY: number;\r\n    metaKey: boolean;\r\n    movementX: number;\r\n    movementY: number;\r\n    offsetX: number;\r\n    offsetY: number;\r\n    pageX: number;\r\n    pageY: number;\r\n    relatedTarget: EventTarget;\r\n    screenX: number;\r\n    screenY: number;\r\n    shiftKey: boolean;\r\n    toElement: Element;\r\n    which: number;\r\n    x: number;\r\n    y: number;\r\n    getModifierState(keyArg: string): boolean;\r\n    initMouseEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget): void;\r\n}\r\n\r\ndeclare var MouseEvent: {\r\n    prototype: MouseEvent;\r\n    new(typeArg: string, eventInitDict?: MouseEventInit): MouseEvent;\r\n}\r\n\r\ninterface MouseWheelEvent extends MouseEvent {\r\n    wheelDelta: number;\r\n    wheelDeltaX: number;\r\n    wheelDeltaY: number;\r\n    initMouseWheelEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, buttonArg: number, relatedTargetArg: EventTarget, modifiersListArg: string, wheelDeltaArg: number): void;\r\n}\r\n\r\ndeclare var MouseWheelEvent: {\r\n    prototype: MouseWheelEvent;\r\n    new(): MouseWheelEvent;\r\n}\r\n\r\ninterface MutationEvent extends Event {\r\n    attrChange: number;\r\n    attrName: string;\r\n    newValue: string;\r\n    prevValue: string;\r\n    relatedNode: Node;\r\n    initMutationEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, relatedNodeArg: Node, prevValueArg: string, newValueArg: string, attrNameArg: string, attrChangeArg: number): void;\r\n    ADDITION: number;\r\n    MODIFICATION: number;\r\n    REMOVAL: number;\r\n}\r\n\r\ndeclare var MutationEvent: {\r\n    prototype: MutationEvent;\r\n    new(): MutationEvent;\r\n    ADDITION: number;\r\n    MODIFICATION: number;\r\n    REMOVAL: number;\r\n}\r\n\r\ninterface MutationObserver {\r\n    disconnect(): void;\r\n    observe(target: Node, options: MutationObserverInit): void;\r\n    takeRecords(): MutationRecord[];\r\n}\r\n\r\ndeclare var MutationObserver: {\r\n    prototype: MutationObserver;\r\n    new(callback: MutationCallback): MutationObserver;\r\n}\r\n\r\ninterface MutationRecord {\r\n    addedNodes: NodeList;\r\n    attributeName: string;\r\n    attributeNamespace: string;\r\n    nextSibling: Node;\r\n    oldValue: string;\r\n    previousSibling: Node;\r\n    removedNodes: NodeList;\r\n    target: Node;\r\n    type: string;\r\n}\r\n\r\ndeclare var MutationRecord: {\r\n    prototype: MutationRecord;\r\n    new(): MutationRecord;\r\n}\r\n\r\ninterface NamedNodeMap {\r\n    length: number;\r\n    getNamedItem(name: string): Attr;\r\n    getNamedItemNS(namespaceURI: string, localName: string): Attr;\r\n    item(index: number): Attr;\r\n    removeNamedItem(name: string): Attr;\r\n    removeNamedItemNS(namespaceURI: string, localName: string): Attr;\r\n    setNamedItem(arg: Attr): Attr;\r\n    setNamedItemNS(arg: Attr): Attr;\r\n    [index: number]: Attr;\r\n}\r\n\r\ndeclare var NamedNodeMap: {\r\n    prototype: NamedNodeMap;\r\n    new(): NamedNodeMap;\r\n}\r\n\r\ninterface NavigationCompletedEvent extends NavigationEvent {\r\n    isSuccess: boolean;\r\n    webErrorStatus: number;\r\n}\r\n\r\ndeclare var NavigationCompletedEvent: {\r\n    prototype: NavigationCompletedEvent;\r\n    new(): NavigationCompletedEvent;\r\n}\r\n\r\ninterface NavigationEvent extends Event {\r\n    uri: string;\r\n}\r\n\r\ndeclare var NavigationEvent: {\r\n    prototype: NavigationEvent;\r\n    new(): NavigationEvent;\r\n}\r\n\r\ninterface NavigationEventWithReferrer extends NavigationEvent {\r\n    referer: string;\r\n}\r\n\r\ndeclare var NavigationEventWithReferrer: {\r\n    prototype: NavigationEventWithReferrer;\r\n    new(): NavigationEventWithReferrer;\r\n}\r\n\r\ninterface Navigator extends Object, NavigatorID, NavigatorOnLine, NavigatorContentUtils, NavigatorStorageUtils, NavigatorGeolocation, MSNavigatorDoNotTrack, MSFileSaver {\r\n    appCodeName: string;\r\n    appMinorVersion: string;\r\n    browserLanguage: string;\r\n    connectionSpeed: number;\r\n    cookieEnabled: boolean;\r\n    cpuClass: string;\r\n    language: string;\r\n    maxTouchPoints: number;\r\n    mimeTypes: MSMimeTypesCollection;\r\n    msManipulationViewsEnabled: boolean;\r\n    msMaxTouchPoints: number;\r\n    msPointerEnabled: boolean;\r\n    plugins: MSPluginsCollection;\r\n    pointerEnabled: boolean;\r\n    systemLanguage: string;\r\n    userLanguage: string;\r\n    webdriver: boolean;\r\n    getGamepads(): Gamepad[];\r\n    javaEnabled(): boolean;\r\n    msLaunchUri(uri: string, successCallback?: MSLaunchUriCallback, noHandlerCallback?: MSLaunchUriCallback): void;\r\n    vibrate(pattern: number | number[]): boolean;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Navigator: {\r\n    prototype: Navigator;\r\n    new(): Navigator;\r\n}\r\n\r\ninterface Node extends EventTarget {\r\n    attributes: NamedNodeMap;\r\n    baseURI: string;\r\n    childNodes: NodeList;\r\n    firstChild: Node;\r\n    lastChild: Node;\r\n    localName: string;\r\n    namespaceURI: string;\r\n    nextSibling: Node;\r\n    nodeName: string;\r\n    nodeType: number;\r\n    nodeValue: string;\r\n    ownerDocument: Document;\r\n    parentElement: HTMLElement;\r\n    parentNode: Node;\r\n    prefix: string;\r\n    previousSibling: Node;\r\n    textContent: string;\r\n    appendChild(newChild: Node): Node;\r\n    cloneNode(deep?: boolean): Node;\r\n    compareDocumentPosition(other: Node): number;\r\n    hasAttributes(): boolean;\r\n    hasChildNodes(): boolean;\r\n    insertBefore(newChild: Node, refChild?: Node): Node;\r\n    isDefaultNamespace(namespaceURI: string): boolean;\r\n    isEqualNode(arg: Node): boolean;\r\n    isSameNode(other: Node): boolean;\r\n    lookupNamespaceURI(prefix: string): string;\r\n    lookupPrefix(namespaceURI: string): string;\r\n    normalize(): void;\r\n    removeChild(oldChild: Node): Node;\r\n    replaceChild(newChild: Node, oldChild: Node): Node;\r\n    contains(node: Node): boolean;\r\n    ATTRIBUTE_NODE: number;\r\n    CDATA_SECTION_NODE: number;\r\n    COMMENT_NODE: number;\r\n    DOCUMENT_FRAGMENT_NODE: number;\r\n    DOCUMENT_NODE: number;\r\n    DOCUMENT_POSITION_CONTAINED_BY: number;\r\n    DOCUMENT_POSITION_CONTAINS: number;\r\n    DOCUMENT_POSITION_DISCONNECTED: number;\r\n    DOCUMENT_POSITION_FOLLOWING: number;\r\n    DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;\r\n    DOCUMENT_POSITION_PRECEDING: number;\r\n    DOCUMENT_TYPE_NODE: number;\r\n    ELEMENT_NODE: number;\r\n    ENTITY_NODE: number;\r\n    ENTITY_REFERENCE_NODE: number;\r\n    NOTATION_NODE: number;\r\n    PROCESSING_INSTRUCTION_NODE: number;\r\n    TEXT_NODE: number;\r\n}\r\n\r\ndeclare var Node: {\r\n    prototype: Node;\r\n    new(): Node;\r\n    ATTRIBUTE_NODE: number;\r\n    CDATA_SECTION_NODE: number;\r\n    COMMENT_NODE: number;\r\n    DOCUMENT_FRAGMENT_NODE: number;\r\n    DOCUMENT_NODE: number;\r\n    DOCUMENT_POSITION_CONTAINED_BY: number;\r\n    DOCUMENT_POSITION_CONTAINS: number;\r\n    DOCUMENT_POSITION_DISCONNECTED: number;\r\n    DOCUMENT_POSITION_FOLLOWING: number;\r\n    DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;\r\n    DOCUMENT_POSITION_PRECEDING: number;\r\n    DOCUMENT_TYPE_NODE: number;\r\n    ELEMENT_NODE: number;\r\n    ENTITY_NODE: number;\r\n    ENTITY_REFERENCE_NODE: number;\r\n    NOTATION_NODE: number;\r\n    PROCESSING_INSTRUCTION_NODE: number;\r\n    TEXT_NODE: number;\r\n}\r\n\r\ninterface NodeFilter {\r\n    acceptNode(n: Node): number;\r\n}\r\n\r\ndeclare var NodeFilter: {\r\n    FILTER_ACCEPT: number;\r\n    FILTER_REJECT: number;\r\n    FILTER_SKIP: number;\r\n    SHOW_ALL: number;\r\n    SHOW_ATTRIBUTE: number;\r\n    SHOW_CDATA_SECTION: number;\r\n    SHOW_COMMENT: number;\r\n    SHOW_DOCUMENT: number;\r\n    SHOW_DOCUMENT_FRAGMENT: number;\r\n    SHOW_DOCUMENT_TYPE: number;\r\n    SHOW_ELEMENT: number;\r\n    SHOW_ENTITY: number;\r\n    SHOW_ENTITY_REFERENCE: number;\r\n    SHOW_NOTATION: number;\r\n    SHOW_PROCESSING_INSTRUCTION: number;\r\n    SHOW_TEXT: number;\r\n}\r\n\r\ninterface NodeIterator {\r\n    expandEntityReferences: boolean;\r\n    filter: NodeFilter;\r\n    root: Node;\r\n    whatToShow: number;\r\n    detach(): void;\r\n    nextNode(): Node;\r\n    previousNode(): Node;\r\n}\r\n\r\ndeclare var NodeIterator: {\r\n    prototype: NodeIterator;\r\n    new(): NodeIterator;\r\n}\r\n\r\ninterface NodeList {\r\n    length: number;\r\n    item(index: number): Node;\r\n    [index: number]: Node;\r\n}\r\n\r\ndeclare var NodeList: {\r\n    prototype: NodeList;\r\n    new(): NodeList;\r\n}\r\n\r\ninterface OES_element_index_uint {\r\n}\r\n\r\ndeclare var OES_element_index_uint: {\r\n    prototype: OES_element_index_uint;\r\n    new(): OES_element_index_uint;\r\n}\r\n\r\ninterface OES_standard_derivatives {\r\n    FRAGMENT_SHADER_DERIVATIVE_HINT_OES: number;\r\n}\r\n\r\ndeclare var OES_standard_derivatives: {\r\n    prototype: OES_standard_derivatives;\r\n    new(): OES_standard_derivatives;\r\n    FRAGMENT_SHADER_DERIVATIVE_HINT_OES: number;\r\n}\r\n\r\ninterface OES_texture_float {\r\n}\r\n\r\ndeclare var OES_texture_float: {\r\n    prototype: OES_texture_float;\r\n    new(): OES_texture_float;\r\n}\r\n\r\ninterface OES_texture_float_linear {\r\n}\r\n\r\ndeclare var OES_texture_float_linear: {\r\n    prototype: OES_texture_float_linear;\r\n    new(): OES_texture_float_linear;\r\n}\r\n\r\ninterface OfflineAudioCompletionEvent extends Event {\r\n    renderedBuffer: AudioBuffer;\r\n}\r\n\r\ndeclare var OfflineAudioCompletionEvent: {\r\n    prototype: OfflineAudioCompletionEvent;\r\n    new(): OfflineAudioCompletionEvent;\r\n}\r\n\r\ninterface OfflineAudioContext extends AudioContext {\r\n    oncomplete: (ev: Event) => any;\r\n    startRendering(): void;\r\n    addEventListener(type: "complete", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var OfflineAudioContext: {\r\n    prototype: OfflineAudioContext;\r\n    new(numberOfChannels: number, length: number, sampleRate: number): OfflineAudioContext;\r\n}\r\n\r\ninterface OscillatorNode extends AudioNode {\r\n    detune: AudioParam;\r\n    frequency: AudioParam;\r\n    onended: (ev: Event) => any;\r\n    type: string;\r\n    setPeriodicWave(periodicWave: PeriodicWave): void;\r\n    start(when?: number): void;\r\n    stop(when?: number): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var OscillatorNode: {\r\n    prototype: OscillatorNode;\r\n    new(): OscillatorNode;\r\n}\r\n\r\ninterface PageTransitionEvent extends Event {\r\n    persisted: boolean;\r\n}\r\n\r\ndeclare var PageTransitionEvent: {\r\n    prototype: PageTransitionEvent;\r\n    new(): PageTransitionEvent;\r\n}\r\n\r\ninterface PannerNode extends AudioNode {\r\n    coneInnerAngle: number;\r\n    coneOuterAngle: number;\r\n    coneOuterGain: number;\r\n    distanceModel: string;\r\n    maxDistance: number;\r\n    panningModel: string;\r\n    refDistance: number;\r\n    rolloffFactor: number;\r\n    setOrientation(x: number, y: number, z: number): void;\r\n    setPosition(x: number, y: number, z: number): void;\r\n    setVelocity(x: number, y: number, z: number): void;\r\n}\r\n\r\ndeclare var PannerNode: {\r\n    prototype: PannerNode;\r\n    new(): PannerNode;\r\n}\r\n\r\ninterface PerfWidgetExternal {\r\n    activeNetworkRequestCount: number;\r\n    averageFrameTime: number;\r\n    averagePaintTime: number;\r\n    extraInformationEnabled: boolean;\r\n    independentRenderingEnabled: boolean;\r\n    irDisablingContentString: string;\r\n    irStatusAvailable: boolean;\r\n    maxCpuSpeed: number;\r\n    paintRequestsPerSecond: number;\r\n    performanceCounter: number;\r\n    performanceCounterFrequency: number;\r\n    addEventListener(eventType: string, callback: Function): void;\r\n    getMemoryUsage(): number;\r\n    getProcessCpuUsage(): number;\r\n    getRecentCpuUsage(last: number): any;\r\n    getRecentFrames(last: number): any;\r\n    getRecentMemoryUsage(last: number): any;\r\n    getRecentPaintRequests(last: number): any;\r\n    removeEventListener(eventType: string, callback: Function): void;\r\n    repositionWindow(x: number, y: number): void;\r\n    resizeWindow(width: number, height: number): void;\r\n}\r\n\r\ndeclare var PerfWidgetExternal: {\r\n    prototype: PerfWidgetExternal;\r\n    new(): PerfWidgetExternal;\r\n}\r\n\r\ninterface Performance {\r\n    navigation: PerformanceNavigation;\r\n    timing: PerformanceTiming;\r\n    clearMarks(markName?: string): void;\r\n    clearMeasures(measureName?: string): void;\r\n    clearResourceTimings(): void;\r\n    getEntries(): any;\r\n    getEntriesByName(name: string, entryType?: string): any;\r\n    getEntriesByType(entryType: string): any;\r\n    getMarks(markName?: string): any;\r\n    getMeasures(measureName?: string): any;\r\n    mark(markName: string): void;\r\n    measure(measureName: string, startMarkName?: string, endMarkName?: string): void;\r\n    now(): number;\r\n    setResourceTimingBufferSize(maxSize: number): void;\r\n    toJSON(): any;\r\n}\r\n\r\ndeclare var Performance: {\r\n    prototype: Performance;\r\n    new(): Performance;\r\n}\r\n\r\ninterface PerformanceEntry {\r\n    duration: number;\r\n    entryType: string;\r\n    name: string;\r\n    startTime: number;\r\n}\r\n\r\ndeclare var PerformanceEntry: {\r\n    prototype: PerformanceEntry;\r\n    new(): PerformanceEntry;\r\n}\r\n\r\ninterface PerformanceMark extends PerformanceEntry {\r\n}\r\n\r\ndeclare var PerformanceMark: {\r\n    prototype: PerformanceMark;\r\n    new(): PerformanceMark;\r\n}\r\n\r\ninterface PerformanceMeasure extends PerformanceEntry {\r\n}\r\n\r\ndeclare var PerformanceMeasure: {\r\n    prototype: PerformanceMeasure;\r\n    new(): PerformanceMeasure;\r\n}\r\n\r\ninterface PerformanceNavigation {\r\n    redirectCount: number;\r\n    type: number;\r\n    toJSON(): any;\r\n    TYPE_BACK_FORWARD: number;\r\n    TYPE_NAVIGATE: number;\r\n    TYPE_RELOAD: number;\r\n    TYPE_RESERVED: number;\r\n}\r\n\r\ndeclare var PerformanceNavigation: {\r\n    prototype: PerformanceNavigation;\r\n    new(): PerformanceNavigation;\r\n    TYPE_BACK_FORWARD: number;\r\n    TYPE_NAVIGATE: number;\r\n    TYPE_RELOAD: number;\r\n    TYPE_RESERVED: number;\r\n}\r\n\r\ninterface PerformanceNavigationTiming extends PerformanceEntry {\r\n    connectEnd: number;\r\n    connectStart: number;\r\n    domComplete: number;\r\n    domContentLoadedEventEnd: number;\r\n    domContentLoadedEventStart: number;\r\n    domInteractive: number;\r\n    domLoading: number;\r\n    domainLookupEnd: number;\r\n    domainLookupStart: number;\r\n    fetchStart: number;\r\n    loadEventEnd: number;\r\n    loadEventStart: number;\r\n    navigationStart: number;\r\n    redirectCount: number;\r\n    redirectEnd: number;\r\n    redirectStart: number;\r\n    requestStart: number;\r\n    responseEnd: number;\r\n    responseStart: number;\r\n    type: string;\r\n    unloadEventEnd: number;\r\n    unloadEventStart: number;\r\n}\r\n\r\ndeclare var PerformanceNavigationTiming: {\r\n    prototype: PerformanceNavigationTiming;\r\n    new(): PerformanceNavigationTiming;\r\n}\r\n\r\ninterface PerformanceResourceTiming extends PerformanceEntry {\r\n    connectEnd: number;\r\n    connectStart: number;\r\n    domainLookupEnd: number;\r\n    domainLookupStart: number;\r\n    fetchStart: number;\r\n    initiatorType: string;\r\n    redirectEnd: number;\r\n    redirectStart: number;\r\n    requestStart: number;\r\n    responseEnd: number;\r\n    responseStart: number;\r\n}\r\n\r\ndeclare var PerformanceResourceTiming: {\r\n    prototype: PerformanceResourceTiming;\r\n    new(): PerformanceResourceTiming;\r\n}\r\n\r\ninterface PerformanceTiming {\r\n    connectEnd: number;\r\n    connectStart: number;\r\n    domComplete: number;\r\n    domContentLoadedEventEnd: number;\r\n    domContentLoadedEventStart: number;\r\n    domInteractive: number;\r\n    domLoading: number;\r\n    domainLookupEnd: number;\r\n    domainLookupStart: number;\r\n    fetchStart: number;\r\n    loadEventEnd: number;\r\n    loadEventStart: number;\r\n    msFirstPaint: number;\r\n    navigationStart: number;\r\n    redirectEnd: number;\r\n    redirectStart: number;\r\n    requestStart: number;\r\n    responseEnd: number;\r\n    responseStart: number;\r\n    unloadEventEnd: number;\r\n    unloadEventStart: number;\r\n    toJSON(): any;\r\n}\r\n\r\ndeclare var PerformanceTiming: {\r\n    prototype: PerformanceTiming;\r\n    new(): PerformanceTiming;\r\n}\r\n\r\ninterface PeriodicWave {\r\n}\r\n\r\ndeclare var PeriodicWave: {\r\n    prototype: PeriodicWave;\r\n    new(): PeriodicWave;\r\n}\r\n\r\ninterface PermissionRequest extends DeferredPermissionRequest {\r\n    state: string;\r\n    defer(): void;\r\n}\r\n\r\ndeclare var PermissionRequest: {\r\n    prototype: PermissionRequest;\r\n    new(): PermissionRequest;\r\n}\r\n\r\ninterface PermissionRequestedEvent extends Event {\r\n    permissionRequest: PermissionRequest;\r\n}\r\n\r\ndeclare var PermissionRequestedEvent: {\r\n    prototype: PermissionRequestedEvent;\r\n    new(): PermissionRequestedEvent;\r\n}\r\n\r\ninterface Plugin {\r\n    description: string;\r\n    filename: string;\r\n    length: number;\r\n    name: string;\r\n    version: string;\r\n    item(index: number): MimeType;\r\n    namedItem(type: string): MimeType;\r\n    [index: number]: MimeType;\r\n}\r\n\r\ndeclare var Plugin: {\r\n    prototype: Plugin;\r\n    new(): Plugin;\r\n}\r\n\r\ninterface PluginArray {\r\n    length: number;\r\n    item(index: number): Plugin;\r\n    namedItem(name: string): Plugin;\r\n    refresh(reload?: boolean): void;\r\n    [index: number]: Plugin;\r\n}\r\n\r\ndeclare var PluginArray: {\r\n    prototype: PluginArray;\r\n    new(): PluginArray;\r\n}\r\n\r\ninterface PointerEvent extends MouseEvent {\r\n    currentPoint: any;\r\n    height: number;\r\n    hwTimestamp: number;\r\n    intermediatePoints: any;\r\n    isPrimary: boolean;\r\n    pointerId: number;\r\n    pointerType: any;\r\n    pressure: number;\r\n    rotation: number;\r\n    tiltX: number;\r\n    tiltY: number;\r\n    width: number;\r\n    getCurrentPoint(element: Element): void;\r\n    getIntermediatePoints(element: Element): void;\r\n    initPointerEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget, offsetXArg: number, offsetYArg: number, widthArg: number, heightArg: number, pressure: number, rotation: number, tiltX: number, tiltY: number, pointerIdArg: number, pointerType: any, hwTimestampArg: number, isPrimary: boolean): void;\r\n}\r\n\r\ndeclare var PointerEvent: {\r\n    prototype: PointerEvent;\r\n    new(typeArg: string, eventInitDict?: PointerEventInit): PointerEvent;\r\n}\r\n\r\ninterface PopStateEvent extends Event {\r\n    state: any;\r\n    initPopStateEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, stateArg: any): void;\r\n}\r\n\r\ndeclare var PopStateEvent: {\r\n    prototype: PopStateEvent;\r\n    new(): PopStateEvent;\r\n}\r\n\r\ninterface Position {\r\n    coords: Coordinates;\r\n    timestamp: number;\r\n}\r\n\r\ndeclare var Position: {\r\n    prototype: Position;\r\n    new(): Position;\r\n}\r\n\r\ninterface PositionError {\r\n    code: number;\r\n    message: string;\r\n    toString(): string;\r\n    PERMISSION_DENIED: number;\r\n    POSITION_UNAVAILABLE: number;\r\n    TIMEOUT: number;\r\n}\r\n\r\ndeclare var PositionError: {\r\n    prototype: PositionError;\r\n    new(): PositionError;\r\n    PERMISSION_DENIED: number;\r\n    POSITION_UNAVAILABLE: number;\r\n    TIMEOUT: number;\r\n}\r\n\r\ninterface ProcessingInstruction extends CharacterData {\r\n    target: string;\r\n}\r\n\r\ndeclare var ProcessingInstruction: {\r\n    prototype: ProcessingInstruction;\r\n    new(): ProcessingInstruction;\r\n}\r\n\r\ninterface ProgressEvent extends Event {\r\n    lengthComputable: boolean;\r\n    loaded: number;\r\n    total: number;\r\n    initProgressEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, lengthComputableArg: boolean, loadedArg: number, totalArg: number): void;\r\n}\r\n\r\ndeclare var ProgressEvent: {\r\n    prototype: ProgressEvent;\r\n    new(type: string, eventInitDict?: ProgressEventInit): ProgressEvent;\r\n}\r\n\r\ninterface Range {\r\n    collapsed: boolean;\r\n    commonAncestorContainer: Node;\r\n    endContainer: Node;\r\n    endOffset: number;\r\n    startContainer: Node;\r\n    startOffset: number;\r\n    cloneContents(): DocumentFragment;\r\n    cloneRange(): Range;\r\n    collapse(toStart: boolean): void;\r\n    compareBoundaryPoints(how: number, sourceRange: Range): number;\r\n    createContextualFragment(fragment: string): DocumentFragment;\r\n    deleteContents(): void;\r\n    detach(): void;\r\n    expand(Unit: string): boolean;\r\n    extractContents(): DocumentFragment;\r\n    getBoundingClientRect(): ClientRect;\r\n    getClientRects(): ClientRectList;\r\n    insertNode(newNode: Node): void;\r\n    selectNode(refNode: Node): void;\r\n    selectNodeContents(refNode: Node): void;\r\n    setEnd(refNode: Node, offset: number): void;\r\n    setEndAfter(refNode: Node): void;\r\n    setEndBefore(refNode: Node): void;\r\n    setStart(refNode: Node, offset: number): void;\r\n    setStartAfter(refNode: Node): void;\r\n    setStartBefore(refNode: Node): void;\r\n    surroundContents(newParent: Node): void;\r\n    toString(): string;\r\n    END_TO_END: number;\r\n    END_TO_START: number;\r\n    START_TO_END: number;\r\n    START_TO_START: number;\r\n}\r\n\r\ndeclare var Range: {\r\n    prototype: Range;\r\n    new(): Range;\r\n    END_TO_END: number;\r\n    END_TO_START: number;\r\n    START_TO_END: number;\r\n    START_TO_START: number;\r\n}\r\n\r\ninterface SVGAElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGURIReference {\r\n    target: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGAElement: {\r\n    prototype: SVGAElement;\r\n    new(): SVGAElement;\r\n}\r\n\r\ninterface SVGAngle {\r\n    unitType: number;\r\n    value: number;\r\n    valueAsString: string;\r\n    valueInSpecifiedUnits: number;\r\n    convertToSpecifiedUnits(unitType: number): void;\r\n    newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void;\r\n    SVG_ANGLETYPE_DEG: number;\r\n    SVG_ANGLETYPE_GRAD: number;\r\n    SVG_ANGLETYPE_RAD: number;\r\n    SVG_ANGLETYPE_UNKNOWN: number;\r\n    SVG_ANGLETYPE_UNSPECIFIED: number;\r\n}\r\n\r\ndeclare var SVGAngle: {\r\n    prototype: SVGAngle;\r\n    new(): SVGAngle;\r\n    SVG_ANGLETYPE_DEG: number;\r\n    SVG_ANGLETYPE_GRAD: number;\r\n    SVG_ANGLETYPE_RAD: number;\r\n    SVG_ANGLETYPE_UNKNOWN: number;\r\n    SVG_ANGLETYPE_UNSPECIFIED: number;\r\n}\r\n\r\ninterface SVGAnimatedAngle {\r\n    animVal: SVGAngle;\r\n    baseVal: SVGAngle;\r\n}\r\n\r\ndeclare var SVGAnimatedAngle: {\r\n    prototype: SVGAnimatedAngle;\r\n    new(): SVGAnimatedAngle;\r\n}\r\n\r\ninterface SVGAnimatedBoolean {\r\n    animVal: boolean;\r\n    baseVal: boolean;\r\n}\r\n\r\ndeclare var SVGAnimatedBoolean: {\r\n    prototype: SVGAnimatedBoolean;\r\n    new(): SVGAnimatedBoolean;\r\n}\r\n\r\ninterface SVGAnimatedEnumeration {\r\n    animVal: number;\r\n    baseVal: number;\r\n}\r\n\r\ndeclare var SVGAnimatedEnumeration: {\r\n    prototype: SVGAnimatedEnumeration;\r\n    new(): SVGAnimatedEnumeration;\r\n}\r\n\r\ninterface SVGAnimatedInteger {\r\n    animVal: number;\r\n    baseVal: number;\r\n}\r\n\r\ndeclare var SVGAnimatedInteger: {\r\n    prototype: SVGAnimatedInteger;\r\n    new(): SVGAnimatedInteger;\r\n}\r\n\r\ninterface SVGAnimatedLength {\r\n    animVal: SVGLength;\r\n    baseVal: SVGLength;\r\n}\r\n\r\ndeclare var SVGAnimatedLength: {\r\n    prototype: SVGAnimatedLength;\r\n    new(): SVGAnimatedLength;\r\n}\r\n\r\ninterface SVGAnimatedLengthList {\r\n    animVal: SVGLengthList;\r\n    baseVal: SVGLengthList;\r\n}\r\n\r\ndeclare var SVGAnimatedLengthList: {\r\n    prototype: SVGAnimatedLengthList;\r\n    new(): SVGAnimatedLengthList;\r\n}\r\n\r\ninterface SVGAnimatedNumber {\r\n    animVal: number;\r\n    baseVal: number;\r\n}\r\n\r\ndeclare var SVGAnimatedNumber: {\r\n    prototype: SVGAnimatedNumber;\r\n    new(): SVGAnimatedNumber;\r\n}\r\n\r\ninterface SVGAnimatedNumberList {\r\n    animVal: SVGNumberList;\r\n    baseVal: SVGNumberList;\r\n}\r\n\r\ndeclare var SVGAnimatedNumberList: {\r\n    prototype: SVGAnimatedNumberList;\r\n    new(): SVGAnimatedNumberList;\r\n}\r\n\r\ninterface SVGAnimatedPreserveAspectRatio {\r\n    animVal: SVGPreserveAspectRatio;\r\n    baseVal: SVGPreserveAspectRatio;\r\n}\r\n\r\ndeclare var SVGAnimatedPreserveAspectRatio: {\r\n    prototype: SVGAnimatedPreserveAspectRatio;\r\n    new(): SVGAnimatedPreserveAspectRatio;\r\n}\r\n\r\ninterface SVGAnimatedRect {\r\n    animVal: SVGRect;\r\n    baseVal: SVGRect;\r\n}\r\n\r\ndeclare var SVGAnimatedRect: {\r\n    prototype: SVGAnimatedRect;\r\n    new(): SVGAnimatedRect;\r\n}\r\n\r\ninterface SVGAnimatedString {\r\n    animVal: string;\r\n    baseVal: string;\r\n}\r\n\r\ndeclare var SVGAnimatedString: {\r\n    prototype: SVGAnimatedString;\r\n    new(): SVGAnimatedString;\r\n}\r\n\r\ninterface SVGAnimatedTransformList {\r\n    animVal: SVGTransformList;\r\n    baseVal: SVGTransformList;\r\n}\r\n\r\ndeclare var SVGAnimatedTransformList: {\r\n    prototype: SVGAnimatedTransformList;\r\n    new(): SVGAnimatedTransformList;\r\n}\r\n\r\ninterface SVGCircleElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    cx: SVGAnimatedLength;\r\n    cy: SVGAnimatedLength;\r\n    r: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGCircleElement: {\r\n    prototype: SVGCircleElement;\r\n    new(): SVGCircleElement;\r\n}\r\n\r\ninterface SVGClipPathElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGUnitTypes {\r\n    clipPathUnits: SVGAnimatedEnumeration;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGClipPathElement: {\r\n    prototype: SVGClipPathElement;\r\n    new(): SVGClipPathElement;\r\n}\r\n\r\ninterface SVGComponentTransferFunctionElement extends SVGElement {\r\n    amplitude: SVGAnimatedNumber;\r\n    exponent: SVGAnimatedNumber;\r\n    intercept: SVGAnimatedNumber;\r\n    offset: SVGAnimatedNumber;\r\n    slope: SVGAnimatedNumber;\r\n    tableValues: SVGAnimatedNumberList;\r\n    type: SVGAnimatedEnumeration;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_GAMMA: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_LINEAR: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_TABLE: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGComponentTransferFunctionElement: {\r\n    prototype: SVGComponentTransferFunctionElement;\r\n    new(): SVGComponentTransferFunctionElement;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_GAMMA: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_LINEAR: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_TABLE: number;\r\n    SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGDefsElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGDefsElement: {\r\n    prototype: SVGDefsElement;\r\n    new(): SVGDefsElement;\r\n}\r\n\r\ninterface SVGDescElement extends SVGElement, SVGStylable, SVGLangSpace {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGDescElement: {\r\n    prototype: SVGDescElement;\r\n    new(): SVGDescElement;\r\n}\r\n\r\ninterface SVGElement extends Element {\r\n    id: string;\r\n    onclick: (ev: MouseEvent) => any;\r\n    ondblclick: (ev: MouseEvent) => any;\r\n    onfocusin: (ev: FocusEvent) => any;\r\n    onfocusout: (ev: FocusEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onmousedown: (ev: MouseEvent) => any;\r\n    onmousemove: (ev: MouseEvent) => any;\r\n    onmouseout: (ev: MouseEvent) => any;\r\n    onmouseover: (ev: MouseEvent) => any;\r\n    onmouseup: (ev: MouseEvent) => any;\r\n    ownerSVGElement: SVGSVGElement;\r\n    viewportElement: SVGElement;\r\n    xmlbase: string;\r\n    className: any;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focusin", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focusout", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGElement: {\r\n    prototype: SVGElement;\r\n    new(): SVGElement;\r\n}\r\n\r\ninterface SVGElementInstance extends EventTarget {\r\n    childNodes: SVGElementInstanceList;\r\n    correspondingElement: SVGElement;\r\n    correspondingUseElement: SVGUseElement;\r\n    firstChild: SVGElementInstance;\r\n    lastChild: SVGElementInstance;\r\n    nextSibling: SVGElementInstance;\r\n    parentNode: SVGElementInstance;\r\n    previousSibling: SVGElementInstance;\r\n}\r\n\r\ndeclare var SVGElementInstance: {\r\n    prototype: SVGElementInstance;\r\n    new(): SVGElementInstance;\r\n}\r\n\r\ninterface SVGElementInstanceList {\r\n    length: number;\r\n    item(index: number): SVGElementInstance;\r\n}\r\n\r\ndeclare var SVGElementInstanceList: {\r\n    prototype: SVGElementInstanceList;\r\n    new(): SVGElementInstanceList;\r\n}\r\n\r\ninterface SVGEllipseElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    cx: SVGAnimatedLength;\r\n    cy: SVGAnimatedLength;\r\n    rx: SVGAnimatedLength;\r\n    ry: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGEllipseElement: {\r\n    prototype: SVGEllipseElement;\r\n    new(): SVGEllipseElement;\r\n}\r\n\r\ninterface SVGFEBlendElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    in2: SVGAnimatedString;\r\n    mode: SVGAnimatedEnumeration;\r\n    SVG_FEBLEND_MODE_COLOR: number;\r\n    SVG_FEBLEND_MODE_COLOR_BURN: number;\r\n    SVG_FEBLEND_MODE_COLOR_DODGE: number;\r\n    SVG_FEBLEND_MODE_DARKEN: number;\r\n    SVG_FEBLEND_MODE_DIFFERENCE: number;\r\n    SVG_FEBLEND_MODE_EXCLUSION: number;\r\n    SVG_FEBLEND_MODE_HARD_LIGHT: number;\r\n    SVG_FEBLEND_MODE_HUE: number;\r\n    SVG_FEBLEND_MODE_LIGHTEN: number;\r\n    SVG_FEBLEND_MODE_LUMINOSITY: number;\r\n    SVG_FEBLEND_MODE_MULTIPLY: number;\r\n    SVG_FEBLEND_MODE_NORMAL: number;\r\n    SVG_FEBLEND_MODE_OVERLAY: number;\r\n    SVG_FEBLEND_MODE_SATURATION: number;\r\n    SVG_FEBLEND_MODE_SCREEN: number;\r\n    SVG_FEBLEND_MODE_SOFT_LIGHT: number;\r\n    SVG_FEBLEND_MODE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEBlendElement: {\r\n    prototype: SVGFEBlendElement;\r\n    new(): SVGFEBlendElement;\r\n    SVG_FEBLEND_MODE_COLOR: number;\r\n    SVG_FEBLEND_MODE_COLOR_BURN: number;\r\n    SVG_FEBLEND_MODE_COLOR_DODGE: number;\r\n    SVG_FEBLEND_MODE_DARKEN: number;\r\n    SVG_FEBLEND_MODE_DIFFERENCE: number;\r\n    SVG_FEBLEND_MODE_EXCLUSION: number;\r\n    SVG_FEBLEND_MODE_HARD_LIGHT: number;\r\n    SVG_FEBLEND_MODE_HUE: number;\r\n    SVG_FEBLEND_MODE_LIGHTEN: number;\r\n    SVG_FEBLEND_MODE_LUMINOSITY: number;\r\n    SVG_FEBLEND_MODE_MULTIPLY: number;\r\n    SVG_FEBLEND_MODE_NORMAL: number;\r\n    SVG_FEBLEND_MODE_OVERLAY: number;\r\n    SVG_FEBLEND_MODE_SATURATION: number;\r\n    SVG_FEBLEND_MODE_SCREEN: number;\r\n    SVG_FEBLEND_MODE_SOFT_LIGHT: number;\r\n    SVG_FEBLEND_MODE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEColorMatrixElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    type: SVGAnimatedEnumeration;\r\n    values: SVGAnimatedNumberList;\r\n    SVG_FECOLORMATRIX_TYPE_HUEROTATE: number;\r\n    SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA: number;\r\n    SVG_FECOLORMATRIX_TYPE_MATRIX: number;\r\n    SVG_FECOLORMATRIX_TYPE_SATURATE: number;\r\n    SVG_FECOLORMATRIX_TYPE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEColorMatrixElement: {\r\n    prototype: SVGFEColorMatrixElement;\r\n    new(): SVGFEColorMatrixElement;\r\n    SVG_FECOLORMATRIX_TYPE_HUEROTATE: number;\r\n    SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA: number;\r\n    SVG_FECOLORMATRIX_TYPE_MATRIX: number;\r\n    SVG_FECOLORMATRIX_TYPE_SATURATE: number;\r\n    SVG_FECOLORMATRIX_TYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEComponentTransferElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEComponentTransferElement: {\r\n    prototype: SVGFEComponentTransferElement;\r\n    new(): SVGFEComponentTransferElement;\r\n}\r\n\r\ninterface SVGFECompositeElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    in2: SVGAnimatedString;\r\n    k1: SVGAnimatedNumber;\r\n    k2: SVGAnimatedNumber;\r\n    k3: SVGAnimatedNumber;\r\n    k4: SVGAnimatedNumber;\r\n    operator: SVGAnimatedEnumeration;\r\n    SVG_FECOMPOSITE_OPERATOR_ARITHMETIC: number;\r\n    SVG_FECOMPOSITE_OPERATOR_ATOP: number;\r\n    SVG_FECOMPOSITE_OPERATOR_IN: number;\r\n    SVG_FECOMPOSITE_OPERATOR_OUT: number;\r\n    SVG_FECOMPOSITE_OPERATOR_OVER: number;\r\n    SVG_FECOMPOSITE_OPERATOR_UNKNOWN: number;\r\n    SVG_FECOMPOSITE_OPERATOR_XOR: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFECompositeElement: {\r\n    prototype: SVGFECompositeElement;\r\n    new(): SVGFECompositeElement;\r\n    SVG_FECOMPOSITE_OPERATOR_ARITHMETIC: number;\r\n    SVG_FECOMPOSITE_OPERATOR_ATOP: number;\r\n    SVG_FECOMPOSITE_OPERATOR_IN: number;\r\n    SVG_FECOMPOSITE_OPERATOR_OUT: number;\r\n    SVG_FECOMPOSITE_OPERATOR_OVER: number;\r\n    SVG_FECOMPOSITE_OPERATOR_UNKNOWN: number;\r\n    SVG_FECOMPOSITE_OPERATOR_XOR: number;\r\n}\r\n\r\ninterface SVGFEConvolveMatrixElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    bias: SVGAnimatedNumber;\r\n    divisor: SVGAnimatedNumber;\r\n    edgeMode: SVGAnimatedEnumeration;\r\n    in1: SVGAnimatedString;\r\n    kernelMatrix: SVGAnimatedNumberList;\r\n    kernelUnitLengthX: SVGAnimatedNumber;\r\n    kernelUnitLengthY: SVGAnimatedNumber;\r\n    orderX: SVGAnimatedInteger;\r\n    orderY: SVGAnimatedInteger;\r\n    preserveAlpha: SVGAnimatedBoolean;\r\n    targetX: SVGAnimatedInteger;\r\n    targetY: SVGAnimatedInteger;\r\n    SVG_EDGEMODE_DUPLICATE: number;\r\n    SVG_EDGEMODE_NONE: number;\r\n    SVG_EDGEMODE_UNKNOWN: number;\r\n    SVG_EDGEMODE_WRAP: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEConvolveMatrixElement: {\r\n    prototype: SVGFEConvolveMatrixElement;\r\n    new(): SVGFEConvolveMatrixElement;\r\n    SVG_EDGEMODE_DUPLICATE: number;\r\n    SVG_EDGEMODE_NONE: number;\r\n    SVG_EDGEMODE_UNKNOWN: number;\r\n    SVG_EDGEMODE_WRAP: number;\r\n}\r\n\r\ninterface SVGFEDiffuseLightingElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    diffuseConstant: SVGAnimatedNumber;\r\n    in1: SVGAnimatedString;\r\n    kernelUnitLengthX: SVGAnimatedNumber;\r\n    kernelUnitLengthY: SVGAnimatedNumber;\r\n    surfaceScale: SVGAnimatedNumber;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEDiffuseLightingElement: {\r\n    prototype: SVGFEDiffuseLightingElement;\r\n    new(): SVGFEDiffuseLightingElement;\r\n}\r\n\r\ninterface SVGFEDisplacementMapElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    in2: SVGAnimatedString;\r\n    scale: SVGAnimatedNumber;\r\n    xChannelSelector: SVGAnimatedEnumeration;\r\n    yChannelSelector: SVGAnimatedEnumeration;\r\n    SVG_CHANNEL_A: number;\r\n    SVG_CHANNEL_B: number;\r\n    SVG_CHANNEL_G: number;\r\n    SVG_CHANNEL_R: number;\r\n    SVG_CHANNEL_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEDisplacementMapElement: {\r\n    prototype: SVGFEDisplacementMapElement;\r\n    new(): SVGFEDisplacementMapElement;\r\n    SVG_CHANNEL_A: number;\r\n    SVG_CHANNEL_B: number;\r\n    SVG_CHANNEL_G: number;\r\n    SVG_CHANNEL_R: number;\r\n    SVG_CHANNEL_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEDistantLightElement extends SVGElement {\r\n    azimuth: SVGAnimatedNumber;\r\n    elevation: SVGAnimatedNumber;\r\n}\r\n\r\ndeclare var SVGFEDistantLightElement: {\r\n    prototype: SVGFEDistantLightElement;\r\n    new(): SVGFEDistantLightElement;\r\n}\r\n\r\ninterface SVGFEFloodElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEFloodElement: {\r\n    prototype: SVGFEFloodElement;\r\n    new(): SVGFEFloodElement;\r\n}\r\n\r\ninterface SVGFEFuncAElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncAElement: {\r\n    prototype: SVGFEFuncAElement;\r\n    new(): SVGFEFuncAElement;\r\n}\r\n\r\ninterface SVGFEFuncBElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncBElement: {\r\n    prototype: SVGFEFuncBElement;\r\n    new(): SVGFEFuncBElement;\r\n}\r\n\r\ninterface SVGFEFuncGElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncGElement: {\r\n    prototype: SVGFEFuncGElement;\r\n    new(): SVGFEFuncGElement;\r\n}\r\n\r\ninterface SVGFEFuncRElement extends SVGComponentTransferFunctionElement {\r\n}\r\n\r\ndeclare var SVGFEFuncRElement: {\r\n    prototype: SVGFEFuncRElement;\r\n    new(): SVGFEFuncRElement;\r\n}\r\n\r\ninterface SVGFEGaussianBlurElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    stdDeviationX: SVGAnimatedNumber;\r\n    stdDeviationY: SVGAnimatedNumber;\r\n    setStdDeviation(stdDeviationX: number, stdDeviationY: number): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEGaussianBlurElement: {\r\n    prototype: SVGFEGaussianBlurElement;\r\n    new(): SVGFEGaussianBlurElement;\r\n}\r\n\r\ninterface SVGFEImageElement extends SVGElement, SVGFilterPrimitiveStandardAttributes, SVGLangSpace, SVGURIReference, SVGExternalResourcesRequired {\r\n    preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEImageElement: {\r\n    prototype: SVGFEImageElement;\r\n    new(): SVGFEImageElement;\r\n}\r\n\r\ninterface SVGFEMergeElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEMergeElement: {\r\n    prototype: SVGFEMergeElement;\r\n    new(): SVGFEMergeElement;\r\n}\r\n\r\ninterface SVGFEMergeNodeElement extends SVGElement {\r\n    in1: SVGAnimatedString;\r\n}\r\n\r\ndeclare var SVGFEMergeNodeElement: {\r\n    prototype: SVGFEMergeNodeElement;\r\n    new(): SVGFEMergeNodeElement;\r\n}\r\n\r\ninterface SVGFEMorphologyElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    operator: SVGAnimatedEnumeration;\r\n    radiusX: SVGAnimatedNumber;\r\n    radiusY: SVGAnimatedNumber;\r\n    SVG_MORPHOLOGY_OPERATOR_DILATE: number;\r\n    SVG_MORPHOLOGY_OPERATOR_ERODE: number;\r\n    SVG_MORPHOLOGY_OPERATOR_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEMorphologyElement: {\r\n    prototype: SVGFEMorphologyElement;\r\n    new(): SVGFEMorphologyElement;\r\n    SVG_MORPHOLOGY_OPERATOR_DILATE: number;\r\n    SVG_MORPHOLOGY_OPERATOR_ERODE: number;\r\n    SVG_MORPHOLOGY_OPERATOR_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFEOffsetElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    dx: SVGAnimatedNumber;\r\n    dy: SVGAnimatedNumber;\r\n    in1: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFEOffsetElement: {\r\n    prototype: SVGFEOffsetElement;\r\n    new(): SVGFEOffsetElement;\r\n}\r\n\r\ninterface SVGFEPointLightElement extends SVGElement {\r\n    x: SVGAnimatedNumber;\r\n    y: SVGAnimatedNumber;\r\n    z: SVGAnimatedNumber;\r\n}\r\n\r\ndeclare var SVGFEPointLightElement: {\r\n    prototype: SVGFEPointLightElement;\r\n    new(): SVGFEPointLightElement;\r\n}\r\n\r\ninterface SVGFESpecularLightingElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    kernelUnitLengthX: SVGAnimatedNumber;\r\n    kernelUnitLengthY: SVGAnimatedNumber;\r\n    specularConstant: SVGAnimatedNumber;\r\n    specularExponent: SVGAnimatedNumber;\r\n    surfaceScale: SVGAnimatedNumber;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFESpecularLightingElement: {\r\n    prototype: SVGFESpecularLightingElement;\r\n    new(): SVGFESpecularLightingElement;\r\n}\r\n\r\ninterface SVGFESpotLightElement extends SVGElement {\r\n    limitingConeAngle: SVGAnimatedNumber;\r\n    pointsAtX: SVGAnimatedNumber;\r\n    pointsAtY: SVGAnimatedNumber;\r\n    pointsAtZ: SVGAnimatedNumber;\r\n    specularExponent: SVGAnimatedNumber;\r\n    x: SVGAnimatedNumber;\r\n    y: SVGAnimatedNumber;\r\n    z: SVGAnimatedNumber;\r\n}\r\n\r\ndeclare var SVGFESpotLightElement: {\r\n    prototype: SVGFESpotLightElement;\r\n    new(): SVGFESpotLightElement;\r\n}\r\n\r\ninterface SVGFETileElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    in1: SVGAnimatedString;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFETileElement: {\r\n    prototype: SVGFETileElement;\r\n    new(): SVGFETileElement;\r\n}\r\n\r\ninterface SVGFETurbulenceElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\r\n    baseFrequencyX: SVGAnimatedNumber;\r\n    baseFrequencyY: SVGAnimatedNumber;\r\n    numOctaves: SVGAnimatedInteger;\r\n    seed: SVGAnimatedNumber;\r\n    stitchTiles: SVGAnimatedEnumeration;\r\n    type: SVGAnimatedEnumeration;\r\n    SVG_STITCHTYPE_NOSTITCH: number;\r\n    SVG_STITCHTYPE_STITCH: number;\r\n    SVG_STITCHTYPE_UNKNOWN: number;\r\n    SVG_TURBULENCE_TYPE_FRACTALNOISE: number;\r\n    SVG_TURBULENCE_TYPE_TURBULENCE: number;\r\n    SVG_TURBULENCE_TYPE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFETurbulenceElement: {\r\n    prototype: SVGFETurbulenceElement;\r\n    new(): SVGFETurbulenceElement;\r\n    SVG_STITCHTYPE_NOSTITCH: number;\r\n    SVG_STITCHTYPE_STITCH: number;\r\n    SVG_STITCHTYPE_UNKNOWN: number;\r\n    SVG_TURBULENCE_TYPE_FRACTALNOISE: number;\r\n    SVG_TURBULENCE_TYPE_TURBULENCE: number;\r\n    SVG_TURBULENCE_TYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGFilterElement extends SVGElement, SVGUnitTypes, SVGStylable, SVGLangSpace, SVGURIReference, SVGExternalResourcesRequired {\r\n    filterResX: SVGAnimatedInteger;\r\n    filterResY: SVGAnimatedInteger;\r\n    filterUnits: SVGAnimatedEnumeration;\r\n    height: SVGAnimatedLength;\r\n    primitiveUnits: SVGAnimatedEnumeration;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    setFilterRes(filterResX: number, filterResY: number): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGFilterElement: {\r\n    prototype: SVGFilterElement;\r\n    new(): SVGFilterElement;\r\n}\r\n\r\ninterface SVGForeignObjectElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    height: SVGAnimatedLength;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGForeignObjectElement: {\r\n    prototype: SVGForeignObjectElement;\r\n    new(): SVGForeignObjectElement;\r\n}\r\n\r\ninterface SVGGElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGGElement: {\r\n    prototype: SVGGElement;\r\n    new(): SVGGElement;\r\n}\r\n\r\ninterface SVGGradientElement extends SVGElement, SVGStylable, SVGExternalResourcesRequired, SVGURIReference, SVGUnitTypes {\r\n    gradientTransform: SVGAnimatedTransformList;\r\n    gradientUnits: SVGAnimatedEnumeration;\r\n    spreadMethod: SVGAnimatedEnumeration;\r\n    SVG_SPREADMETHOD_PAD: number;\r\n    SVG_SPREADMETHOD_REFLECT: number;\r\n    SVG_SPREADMETHOD_REPEAT: number;\r\n    SVG_SPREADMETHOD_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGGradientElement: {\r\n    prototype: SVGGradientElement;\r\n    new(): SVGGradientElement;\r\n    SVG_SPREADMETHOD_PAD: number;\r\n    SVG_SPREADMETHOD_REFLECT: number;\r\n    SVG_SPREADMETHOD_REPEAT: number;\r\n    SVG_SPREADMETHOD_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGImageElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGURIReference {\r\n    height: SVGAnimatedLength;\r\n    preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGImageElement: {\r\n    prototype: SVGImageElement;\r\n    new(): SVGImageElement;\r\n}\r\n\r\ninterface SVGLength {\r\n    unitType: number;\r\n    value: number;\r\n    valueAsString: string;\r\n    valueInSpecifiedUnits: number;\r\n    convertToSpecifiedUnits(unitType: number): void;\r\n    newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void;\r\n    SVG_LENGTHTYPE_CM: number;\r\n    SVG_LENGTHTYPE_EMS: number;\r\n    SVG_LENGTHTYPE_EXS: number;\r\n    SVG_LENGTHTYPE_IN: number;\r\n    SVG_LENGTHTYPE_MM: number;\r\n    SVG_LENGTHTYPE_NUMBER: number;\r\n    SVG_LENGTHTYPE_PC: number;\r\n    SVG_LENGTHTYPE_PERCENTAGE: number;\r\n    SVG_LENGTHTYPE_PT: number;\r\n    SVG_LENGTHTYPE_PX: number;\r\n    SVG_LENGTHTYPE_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGLength: {\r\n    prototype: SVGLength;\r\n    new(): SVGLength;\r\n    SVG_LENGTHTYPE_CM: number;\r\n    SVG_LENGTHTYPE_EMS: number;\r\n    SVG_LENGTHTYPE_EXS: number;\r\n    SVG_LENGTHTYPE_IN: number;\r\n    SVG_LENGTHTYPE_MM: number;\r\n    SVG_LENGTHTYPE_NUMBER: number;\r\n    SVG_LENGTHTYPE_PC: number;\r\n    SVG_LENGTHTYPE_PERCENTAGE: number;\r\n    SVG_LENGTHTYPE_PT: number;\r\n    SVG_LENGTHTYPE_PX: number;\r\n    SVG_LENGTHTYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGLengthList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGLength): SVGLength;\r\n    clear(): void;\r\n    getItem(index: number): SVGLength;\r\n    initialize(newItem: SVGLength): SVGLength;\r\n    insertItemBefore(newItem: SVGLength, index: number): SVGLength;\r\n    removeItem(index: number): SVGLength;\r\n    replaceItem(newItem: SVGLength, index: number): SVGLength;\r\n}\r\n\r\ndeclare var SVGLengthList: {\r\n    prototype: SVGLengthList;\r\n    new(): SVGLengthList;\r\n}\r\n\r\ninterface SVGLineElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    x1: SVGAnimatedLength;\r\n    x2: SVGAnimatedLength;\r\n    y1: SVGAnimatedLength;\r\n    y2: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGLineElement: {\r\n    prototype: SVGLineElement;\r\n    new(): SVGLineElement;\r\n}\r\n\r\ninterface SVGLinearGradientElement extends SVGGradientElement {\r\n    x1: SVGAnimatedLength;\r\n    x2: SVGAnimatedLength;\r\n    y1: SVGAnimatedLength;\r\n    y2: SVGAnimatedLength;\r\n}\r\n\r\ndeclare var SVGLinearGradientElement: {\r\n    prototype: SVGLinearGradientElement;\r\n    new(): SVGLinearGradientElement;\r\n}\r\n\r\ninterface SVGMarkerElement extends SVGElement, SVGStylable, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox {\r\n    markerHeight: SVGAnimatedLength;\r\n    markerUnits: SVGAnimatedEnumeration;\r\n    markerWidth: SVGAnimatedLength;\r\n    orientAngle: SVGAnimatedAngle;\r\n    orientType: SVGAnimatedEnumeration;\r\n    refX: SVGAnimatedLength;\r\n    refY: SVGAnimatedLength;\r\n    setOrientToAngle(angle: SVGAngle): void;\r\n    setOrientToAuto(): void;\r\n    SVG_MARKERUNITS_STROKEWIDTH: number;\r\n    SVG_MARKERUNITS_UNKNOWN: number;\r\n    SVG_MARKERUNITS_USERSPACEONUSE: number;\r\n    SVG_MARKER_ORIENT_ANGLE: number;\r\n    SVG_MARKER_ORIENT_AUTO: number;\r\n    SVG_MARKER_ORIENT_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGMarkerElement: {\r\n    prototype: SVGMarkerElement;\r\n    new(): SVGMarkerElement;\r\n    SVG_MARKERUNITS_STROKEWIDTH: number;\r\n    SVG_MARKERUNITS_UNKNOWN: number;\r\n    SVG_MARKERUNITS_USERSPACEONUSE: number;\r\n    SVG_MARKER_ORIENT_ANGLE: number;\r\n    SVG_MARKER_ORIENT_AUTO: number;\r\n    SVG_MARKER_ORIENT_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGMaskElement extends SVGElement, SVGStylable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGUnitTypes {\r\n    height: SVGAnimatedLength;\r\n    maskContentUnits: SVGAnimatedEnumeration;\r\n    maskUnits: SVGAnimatedEnumeration;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGMaskElement: {\r\n    prototype: SVGMaskElement;\r\n    new(): SVGMaskElement;\r\n}\r\n\r\ninterface SVGMatrix {\r\n    a: number;\r\n    b: number;\r\n    c: number;\r\n    d: number;\r\n    e: number;\r\n    f: number;\r\n    flipX(): SVGMatrix;\r\n    flipY(): SVGMatrix;\r\n    inverse(): SVGMatrix;\r\n    multiply(secondMatrix: SVGMatrix): SVGMatrix;\r\n    rotate(angle: number): SVGMatrix;\r\n    rotateFromVector(x: number, y: number): SVGMatrix;\r\n    scale(scaleFactor: number): SVGMatrix;\r\n    scaleNonUniform(scaleFactorX: number, scaleFactorY: number): SVGMatrix;\r\n    skewX(angle: number): SVGMatrix;\r\n    skewY(angle: number): SVGMatrix;\r\n    translate(x: number, y: number): SVGMatrix;\r\n}\r\n\r\ndeclare var SVGMatrix: {\r\n    prototype: SVGMatrix;\r\n    new(): SVGMatrix;\r\n}\r\n\r\ninterface SVGMetadataElement extends SVGElement {\r\n}\r\n\r\ndeclare var SVGMetadataElement: {\r\n    prototype: SVGMetadataElement;\r\n    new(): SVGMetadataElement;\r\n}\r\n\r\ninterface SVGNumber {\r\n    value: number;\r\n}\r\n\r\ndeclare var SVGNumber: {\r\n    prototype: SVGNumber;\r\n    new(): SVGNumber;\r\n}\r\n\r\ninterface SVGNumberList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGNumber): SVGNumber;\r\n    clear(): void;\r\n    getItem(index: number): SVGNumber;\r\n    initialize(newItem: SVGNumber): SVGNumber;\r\n    insertItemBefore(newItem: SVGNumber, index: number): SVGNumber;\r\n    removeItem(index: number): SVGNumber;\r\n    replaceItem(newItem: SVGNumber, index: number): SVGNumber;\r\n}\r\n\r\ndeclare var SVGNumberList: {\r\n    prototype: SVGNumberList;\r\n    new(): SVGNumberList;\r\n}\r\n\r\ninterface SVGPathElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGAnimatedPathData {\r\n    createSVGPathSegArcAbs(x: number, y: number, r1: number, r2: number, angle: number, largeArcFlag: boolean, sweepFlag: boolean): SVGPathSegArcAbs;\r\n    createSVGPathSegArcRel(x: number, y: number, r1: number, r2: number, angle: number, largeArcFlag: boolean, sweepFlag: boolean): SVGPathSegArcRel;\r\n    createSVGPathSegClosePath(): SVGPathSegClosePath;\r\n    createSVGPathSegCurvetoCubicAbs(x: number, y: number, x1: number, y1: number, x2: number, y2: number): SVGPathSegCurvetoCubicAbs;\r\n    createSVGPathSegCurvetoCubicRel(x: number, y: number, x1: number, y1: number, x2: number, y2: number): SVGPathSegCurvetoCubicRel;\r\n    createSVGPathSegCurvetoCubicSmoothAbs(x: number, y: number, x2: number, y2: number): SVGPathSegCurvetoCubicSmoothAbs;\r\n    createSVGPathSegCurvetoCubicSmoothRel(x: number, y: number, x2: number, y2: number): SVGPathSegCurvetoCubicSmoothRel;\r\n    createSVGPathSegCurvetoQuadraticAbs(x: number, y: number, x1: number, y1: number): SVGPathSegCurvetoQuadraticAbs;\r\n    createSVGPathSegCurvetoQuadraticRel(x: number, y: number, x1: number, y1: number): SVGPathSegCurvetoQuadraticRel;\r\n    createSVGPathSegCurvetoQuadraticSmoothAbs(x: number, y: number): SVGPathSegCurvetoQuadraticSmoothAbs;\r\n    createSVGPathSegCurvetoQuadraticSmoothRel(x: number, y: number): SVGPathSegCurvetoQuadraticSmoothRel;\r\n    createSVGPathSegLinetoAbs(x: number, y: number): SVGPathSegLinetoAbs;\r\n    createSVGPathSegLinetoHorizontalAbs(x: number): SVGPathSegLinetoHorizontalAbs;\r\n    createSVGPathSegLinetoHorizontalRel(x: number): SVGPathSegLinetoHorizontalRel;\r\n    createSVGPathSegLinetoRel(x: number, y: number): SVGPathSegLinetoRel;\r\n    createSVGPathSegLinetoVerticalAbs(y: number): SVGPathSegLinetoVerticalAbs;\r\n    createSVGPathSegLinetoVerticalRel(y: number): SVGPathSegLinetoVerticalRel;\r\n    createSVGPathSegMovetoAbs(x: number, y: number): SVGPathSegMovetoAbs;\r\n    createSVGPathSegMovetoRel(x: number, y: number): SVGPathSegMovetoRel;\r\n    getPathSegAtLength(distance: number): number;\r\n    getPointAtLength(distance: number): SVGPoint;\r\n    getTotalLength(): number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPathElement: {\r\n    prototype: SVGPathElement;\r\n    new(): SVGPathElement;\r\n}\r\n\r\ninterface SVGPathSeg {\r\n    pathSegType: number;\r\n    pathSegTypeAsLetter: string;\r\n    PATHSEG_ARC_ABS: number;\r\n    PATHSEG_ARC_REL: number;\r\n    PATHSEG_CLOSEPATH: number;\r\n    PATHSEG_CURVETO_CUBIC_ABS: number;\r\n    PATHSEG_CURVETO_CUBIC_REL: number;\r\n    PATHSEG_CURVETO_CUBIC_SMOOTH_ABS: number;\r\n    PATHSEG_CURVETO_CUBIC_SMOOTH_REL: number;\r\n    PATHSEG_CURVETO_QUADRATIC_ABS: number;\r\n    PATHSEG_CURVETO_QUADRATIC_REL: number;\r\n    PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS: number;\r\n    PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL: number;\r\n    PATHSEG_LINETO_ABS: number;\r\n    PATHSEG_LINETO_HORIZONTAL_ABS: number;\r\n    PATHSEG_LINETO_HORIZONTAL_REL: number;\r\n    PATHSEG_LINETO_REL: number;\r\n    PATHSEG_LINETO_VERTICAL_ABS: number;\r\n    PATHSEG_LINETO_VERTICAL_REL: number;\r\n    PATHSEG_MOVETO_ABS: number;\r\n    PATHSEG_MOVETO_REL: number;\r\n    PATHSEG_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGPathSeg: {\r\n    prototype: SVGPathSeg;\r\n    new(): SVGPathSeg;\r\n    PATHSEG_ARC_ABS: number;\r\n    PATHSEG_ARC_REL: number;\r\n    PATHSEG_CLOSEPATH: number;\r\n    PATHSEG_CURVETO_CUBIC_ABS: number;\r\n    PATHSEG_CURVETO_CUBIC_REL: number;\r\n    PATHSEG_CURVETO_CUBIC_SMOOTH_ABS: number;\r\n    PATHSEG_CURVETO_CUBIC_SMOOTH_REL: number;\r\n    PATHSEG_CURVETO_QUADRATIC_ABS: number;\r\n    PATHSEG_CURVETO_QUADRATIC_REL: number;\r\n    PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS: number;\r\n    PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL: number;\r\n    PATHSEG_LINETO_ABS: number;\r\n    PATHSEG_LINETO_HORIZONTAL_ABS: number;\r\n    PATHSEG_LINETO_HORIZONTAL_REL: number;\r\n    PATHSEG_LINETO_REL: number;\r\n    PATHSEG_LINETO_VERTICAL_ABS: number;\r\n    PATHSEG_LINETO_VERTICAL_REL: number;\r\n    PATHSEG_MOVETO_ABS: number;\r\n    PATHSEG_MOVETO_REL: number;\r\n    PATHSEG_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGPathSegArcAbs extends SVGPathSeg {\r\n    angle: number;\r\n    largeArcFlag: boolean;\r\n    r1: number;\r\n    r2: number;\r\n    sweepFlag: boolean;\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegArcAbs: {\r\n    prototype: SVGPathSegArcAbs;\r\n    new(): SVGPathSegArcAbs;\r\n}\r\n\r\ninterface SVGPathSegArcRel extends SVGPathSeg {\r\n    angle: number;\r\n    largeArcFlag: boolean;\r\n    r1: number;\r\n    r2: number;\r\n    sweepFlag: boolean;\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegArcRel: {\r\n    prototype: SVGPathSegArcRel;\r\n    new(): SVGPathSegArcRel;\r\n}\r\n\r\ninterface SVGPathSegClosePath extends SVGPathSeg {\r\n}\r\n\r\ndeclare var SVGPathSegClosePath: {\r\n    prototype: SVGPathSegClosePath;\r\n    new(): SVGPathSegClosePath;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicAbs extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    x2: number;\r\n    y: number;\r\n    y1: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicAbs: {\r\n    prototype: SVGPathSegCurvetoCubicAbs;\r\n    new(): SVGPathSegCurvetoCubicAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicRel extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    x2: number;\r\n    y: number;\r\n    y1: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicRel: {\r\n    prototype: SVGPathSegCurvetoCubicRel;\r\n    new(): SVGPathSegCurvetoCubicRel;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicSmoothAbs extends SVGPathSeg {\r\n    x: number;\r\n    x2: number;\r\n    y: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicSmoothAbs: {\r\n    prototype: SVGPathSegCurvetoCubicSmoothAbs;\r\n    new(): SVGPathSegCurvetoCubicSmoothAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoCubicSmoothRel extends SVGPathSeg {\r\n    x: number;\r\n    x2: number;\r\n    y: number;\r\n    y2: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoCubicSmoothRel: {\r\n    prototype: SVGPathSegCurvetoCubicSmoothRel;\r\n    new(): SVGPathSegCurvetoCubicSmoothRel;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticAbs extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    y: number;\r\n    y1: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticAbs: {\r\n    prototype: SVGPathSegCurvetoQuadraticAbs;\r\n    new(): SVGPathSegCurvetoQuadraticAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticRel extends SVGPathSeg {\r\n    x: number;\r\n    x1: number;\r\n    y: number;\r\n    y1: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticRel: {\r\n    prototype: SVGPathSegCurvetoQuadraticRel;\r\n    new(): SVGPathSegCurvetoQuadraticRel;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticSmoothAbs extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticSmoothAbs: {\r\n    prototype: SVGPathSegCurvetoQuadraticSmoothAbs;\r\n    new(): SVGPathSegCurvetoQuadraticSmoothAbs;\r\n}\r\n\r\ninterface SVGPathSegCurvetoQuadraticSmoothRel extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegCurvetoQuadraticSmoothRel: {\r\n    prototype: SVGPathSegCurvetoQuadraticSmoothRel;\r\n    new(): SVGPathSegCurvetoQuadraticSmoothRel;\r\n}\r\n\r\ninterface SVGPathSegLinetoAbs extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoAbs: {\r\n    prototype: SVGPathSegLinetoAbs;\r\n    new(): SVGPathSegLinetoAbs;\r\n}\r\n\r\ninterface SVGPathSegLinetoHorizontalAbs extends SVGPathSeg {\r\n    x: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoHorizontalAbs: {\r\n    prototype: SVGPathSegLinetoHorizontalAbs;\r\n    new(): SVGPathSegLinetoHorizontalAbs;\r\n}\r\n\r\ninterface SVGPathSegLinetoHorizontalRel extends SVGPathSeg {\r\n    x: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoHorizontalRel: {\r\n    prototype: SVGPathSegLinetoHorizontalRel;\r\n    new(): SVGPathSegLinetoHorizontalRel;\r\n}\r\n\r\ninterface SVGPathSegLinetoRel extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoRel: {\r\n    prototype: SVGPathSegLinetoRel;\r\n    new(): SVGPathSegLinetoRel;\r\n}\r\n\r\ninterface SVGPathSegLinetoVerticalAbs extends SVGPathSeg {\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoVerticalAbs: {\r\n    prototype: SVGPathSegLinetoVerticalAbs;\r\n    new(): SVGPathSegLinetoVerticalAbs;\r\n}\r\n\r\ninterface SVGPathSegLinetoVerticalRel extends SVGPathSeg {\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegLinetoVerticalRel: {\r\n    prototype: SVGPathSegLinetoVerticalRel;\r\n    new(): SVGPathSegLinetoVerticalRel;\r\n}\r\n\r\ninterface SVGPathSegList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGPathSeg): SVGPathSeg;\r\n    clear(): void;\r\n    getItem(index: number): SVGPathSeg;\r\n    initialize(newItem: SVGPathSeg): SVGPathSeg;\r\n    insertItemBefore(newItem: SVGPathSeg, index: number): SVGPathSeg;\r\n    removeItem(index: number): SVGPathSeg;\r\n    replaceItem(newItem: SVGPathSeg, index: number): SVGPathSeg;\r\n}\r\n\r\ndeclare var SVGPathSegList: {\r\n    prototype: SVGPathSegList;\r\n    new(): SVGPathSegList;\r\n}\r\n\r\ninterface SVGPathSegMovetoAbs extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegMovetoAbs: {\r\n    prototype: SVGPathSegMovetoAbs;\r\n    new(): SVGPathSegMovetoAbs;\r\n}\r\n\r\ninterface SVGPathSegMovetoRel extends SVGPathSeg {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGPathSegMovetoRel: {\r\n    prototype: SVGPathSegMovetoRel;\r\n    new(): SVGPathSegMovetoRel;\r\n}\r\n\r\ninterface SVGPatternElement extends SVGElement, SVGStylable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox, SVGURIReference, SVGUnitTypes {\r\n    height: SVGAnimatedLength;\r\n    patternContentUnits: SVGAnimatedEnumeration;\r\n    patternTransform: SVGAnimatedTransformList;\r\n    patternUnits: SVGAnimatedEnumeration;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPatternElement: {\r\n    prototype: SVGPatternElement;\r\n    new(): SVGPatternElement;\r\n}\r\n\r\ninterface SVGPoint {\r\n    x: number;\r\n    y: number;\r\n    matrixTransform(matrix: SVGMatrix): SVGPoint;\r\n}\r\n\r\ndeclare var SVGPoint: {\r\n    prototype: SVGPoint;\r\n    new(): SVGPoint;\r\n}\r\n\r\ninterface SVGPointList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGPoint): SVGPoint;\r\n    clear(): void;\r\n    getItem(index: number): SVGPoint;\r\n    initialize(newItem: SVGPoint): SVGPoint;\r\n    insertItemBefore(newItem: SVGPoint, index: number): SVGPoint;\r\n    removeItem(index: number): SVGPoint;\r\n    replaceItem(newItem: SVGPoint, index: number): SVGPoint;\r\n}\r\n\r\ndeclare var SVGPointList: {\r\n    prototype: SVGPointList;\r\n    new(): SVGPointList;\r\n}\r\n\r\ninterface SVGPolygonElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGAnimatedPoints {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPolygonElement: {\r\n    prototype: SVGPolygonElement;\r\n    new(): SVGPolygonElement;\r\n}\r\n\r\ninterface SVGPolylineElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGAnimatedPoints {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGPolylineElement: {\r\n    prototype: SVGPolylineElement;\r\n    new(): SVGPolylineElement;\r\n}\r\n\r\ninterface SVGPreserveAspectRatio {\r\n    align: number;\r\n    meetOrSlice: number;\r\n    SVG_MEETORSLICE_MEET: number;\r\n    SVG_MEETORSLICE_SLICE: number;\r\n    SVG_MEETORSLICE_UNKNOWN: number;\r\n    SVG_PRESERVEASPECTRATIO_NONE: number;\r\n    SVG_PRESERVEASPECTRATIO_UNKNOWN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMIN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMIN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMIN: number;\r\n}\r\n\r\ndeclare var SVGPreserveAspectRatio: {\r\n    prototype: SVGPreserveAspectRatio;\r\n    new(): SVGPreserveAspectRatio;\r\n    SVG_MEETORSLICE_MEET: number;\r\n    SVG_MEETORSLICE_SLICE: number;\r\n    SVG_MEETORSLICE_UNKNOWN: number;\r\n    SVG_PRESERVEASPECTRATIO_NONE: number;\r\n    SVG_PRESERVEASPECTRATIO_UNKNOWN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMAXYMIN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMIDYMIN: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMAX: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMID: number;\r\n    SVG_PRESERVEASPECTRATIO_XMINYMIN: number;\r\n}\r\n\r\ninterface SVGRadialGradientElement extends SVGGradientElement {\r\n    cx: SVGAnimatedLength;\r\n    cy: SVGAnimatedLength;\r\n    fx: SVGAnimatedLength;\r\n    fy: SVGAnimatedLength;\r\n    r: SVGAnimatedLength;\r\n}\r\n\r\ndeclare var SVGRadialGradientElement: {\r\n    prototype: SVGRadialGradientElement;\r\n    new(): SVGRadialGradientElement;\r\n}\r\n\r\ninterface SVGRect {\r\n    height: number;\r\n    width: number;\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var SVGRect: {\r\n    prototype: SVGRect;\r\n    new(): SVGRect;\r\n}\r\n\r\ninterface SVGRectElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    height: SVGAnimatedLength;\r\n    rx: SVGAnimatedLength;\r\n    ry: SVGAnimatedLength;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGRectElement: {\r\n    prototype: SVGRectElement;\r\n    new(): SVGRectElement;\r\n}\r\n\r\ninterface SVGSVGElement extends SVGElement, DocumentEvent, SVGLocatable, SVGTests, SVGStylable, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox, SVGZoomAndPan {\r\n    contentScriptType: string;\r\n    contentStyleType: string;\r\n    currentScale: number;\r\n    currentTranslate: SVGPoint;\r\n    height: SVGAnimatedLength;\r\n    onabort: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onresize: (ev: UIEvent) => any;\r\n    onscroll: (ev: UIEvent) => any;\r\n    onunload: (ev: Event) => any;\r\n    onzoom: (ev: SVGZoomEvent) => any;\r\n    pixelUnitToMillimeterX: number;\r\n    pixelUnitToMillimeterY: number;\r\n    screenPixelToMillimeterX: number;\r\n    screenPixelToMillimeterY: number;\r\n    viewport: SVGRect;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    checkEnclosure(element: SVGElement, rect: SVGRect): boolean;\r\n    checkIntersection(element: SVGElement, rect: SVGRect): boolean;\r\n    createSVGAngle(): SVGAngle;\r\n    createSVGLength(): SVGLength;\r\n    createSVGMatrix(): SVGMatrix;\r\n    createSVGNumber(): SVGNumber;\r\n    createSVGPoint(): SVGPoint;\r\n    createSVGRect(): SVGRect;\r\n    createSVGTransform(): SVGTransform;\r\n    createSVGTransformFromMatrix(matrix: SVGMatrix): SVGTransform;\r\n    deselectAll(): void;\r\n    forceRedraw(): void;\r\n    getComputedStyle(elt: Element, pseudoElt?: string): CSSStyleDeclaration;\r\n    getCurrentTime(): number;\r\n    getElementById(elementId: string): Element;\r\n    getEnclosureList(rect: SVGRect, referenceElement: SVGElement): NodeList;\r\n    getIntersectionList(rect: SVGRect, referenceElement: SVGElement): NodeList;\r\n    pauseAnimations(): void;\r\n    setCurrentTime(seconds: number): void;\r\n    suspendRedraw(maxWaitMilliseconds: number): number;\r\n    unpauseAnimations(): void;\r\n    unsuspendRedraw(suspendHandleID: number): void;\r\n    unsuspendRedrawAll(): void;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGotPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSLostPointerCapture", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "SVGAbort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "SVGError", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "SVGUnload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "SVGZoom", listener: (ev: SVGZoomEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ariarequest", listener: (ev: AriaRequestEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "command", listener: (ev: CommandEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focusin", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focusout", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "gotpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "lostpointercapture", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchcancel", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchend", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchmove", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "touchstart", listener: (ev: TouchEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "webkitfullscreenerror", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGSVGElement: {\r\n    prototype: SVGSVGElement;\r\n    new(): SVGSVGElement;\r\n}\r\n\r\ninterface SVGScriptElement extends SVGElement, SVGExternalResourcesRequired, SVGURIReference {\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGScriptElement: {\r\n    prototype: SVGScriptElement;\r\n    new(): SVGScriptElement;\r\n}\r\n\r\ninterface SVGStopElement extends SVGElement, SVGStylable {\r\n    offset: SVGAnimatedNumber;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGStopElement: {\r\n    prototype: SVGStopElement;\r\n    new(): SVGStopElement;\r\n}\r\n\r\ninterface SVGStringList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: string): string;\r\n    clear(): void;\r\n    getItem(index: number): string;\r\n    initialize(newItem: string): string;\r\n    insertItemBefore(newItem: string, index: number): string;\r\n    removeItem(index: number): string;\r\n    replaceItem(newItem: string, index: number): string;\r\n}\r\n\r\ndeclare var SVGStringList: {\r\n    prototype: SVGStringList;\r\n    new(): SVGStringList;\r\n}\r\n\r\ninterface SVGStyleElement extends SVGElement, SVGLangSpace {\r\n    media: string;\r\n    title: string;\r\n    type: string;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGStyleElement: {\r\n    prototype: SVGStyleElement;\r\n    new(): SVGStyleElement;\r\n}\r\n\r\ninterface SVGSwitchElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGSwitchElement: {\r\n    prototype: SVGSwitchElement;\r\n    new(): SVGSwitchElement;\r\n}\r\n\r\ninterface SVGSymbolElement extends SVGElement, SVGStylable, SVGLangSpace, SVGExternalResourcesRequired, SVGFitToViewBox {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGSymbolElement: {\r\n    prototype: SVGSymbolElement;\r\n    new(): SVGSymbolElement;\r\n}\r\n\r\ninterface SVGTSpanElement extends SVGTextPositioningElement {\r\n}\r\n\r\ndeclare var SVGTSpanElement: {\r\n    prototype: SVGTSpanElement;\r\n    new(): SVGTSpanElement;\r\n}\r\n\r\ninterface SVGTextContentElement extends SVGElement, SVGStylable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired {\r\n    lengthAdjust: SVGAnimatedEnumeration;\r\n    textLength: SVGAnimatedLength;\r\n    getCharNumAtPosition(point: SVGPoint): number;\r\n    getComputedTextLength(): number;\r\n    getEndPositionOfChar(charnum: number): SVGPoint;\r\n    getExtentOfChar(charnum: number): SVGRect;\r\n    getNumberOfChars(): number;\r\n    getRotationOfChar(charnum: number): number;\r\n    getStartPositionOfChar(charnum: number): SVGPoint;\r\n    getSubStringLength(charnum: number, nchars: number): number;\r\n    selectSubString(charnum: number, nchars: number): void;\r\n    LENGTHADJUST_SPACING: number;\r\n    LENGTHADJUST_SPACINGANDGLYPHS: number;\r\n    LENGTHADJUST_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTextContentElement: {\r\n    prototype: SVGTextContentElement;\r\n    new(): SVGTextContentElement;\r\n    LENGTHADJUST_SPACING: number;\r\n    LENGTHADJUST_SPACINGANDGLYPHS: number;\r\n    LENGTHADJUST_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGTextElement extends SVGTextPositioningElement, SVGTransformable {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTextElement: {\r\n    prototype: SVGTextElement;\r\n    new(): SVGTextElement;\r\n}\r\n\r\ninterface SVGTextPathElement extends SVGTextContentElement, SVGURIReference {\r\n    method: SVGAnimatedEnumeration;\r\n    spacing: SVGAnimatedEnumeration;\r\n    startOffset: SVGAnimatedLength;\r\n    TEXTPATH_METHODTYPE_ALIGN: number;\r\n    TEXTPATH_METHODTYPE_STRETCH: number;\r\n    TEXTPATH_METHODTYPE_UNKNOWN: number;\r\n    TEXTPATH_SPACINGTYPE_AUTO: number;\r\n    TEXTPATH_SPACINGTYPE_EXACT: number;\r\n    TEXTPATH_SPACINGTYPE_UNKNOWN: number;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTextPathElement: {\r\n    prototype: SVGTextPathElement;\r\n    new(): SVGTextPathElement;\r\n    TEXTPATH_METHODTYPE_ALIGN: number;\r\n    TEXTPATH_METHODTYPE_STRETCH: number;\r\n    TEXTPATH_METHODTYPE_UNKNOWN: number;\r\n    TEXTPATH_SPACINGTYPE_AUTO: number;\r\n    TEXTPATH_SPACINGTYPE_EXACT: number;\r\n    TEXTPATH_SPACINGTYPE_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGTextPositioningElement extends SVGTextContentElement {\r\n    dx: SVGAnimatedLengthList;\r\n    dy: SVGAnimatedLengthList;\r\n    rotate: SVGAnimatedNumberList;\r\n    x: SVGAnimatedLengthList;\r\n    y: SVGAnimatedLengthList;\r\n}\r\n\r\ndeclare var SVGTextPositioningElement: {\r\n    prototype: SVGTextPositioningElement;\r\n    new(): SVGTextPositioningElement;\r\n}\r\n\r\ninterface SVGTitleElement extends SVGElement, SVGStylable, SVGLangSpace {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGTitleElement: {\r\n    prototype: SVGTitleElement;\r\n    new(): SVGTitleElement;\r\n}\r\n\r\ninterface SVGTransform {\r\n    angle: number;\r\n    matrix: SVGMatrix;\r\n    type: number;\r\n    setMatrix(matrix: SVGMatrix): void;\r\n    setRotate(angle: number, cx: number, cy: number): void;\r\n    setScale(sx: number, sy: number): void;\r\n    setSkewX(angle: number): void;\r\n    setSkewY(angle: number): void;\r\n    setTranslate(tx: number, ty: number): void;\r\n    SVG_TRANSFORM_MATRIX: number;\r\n    SVG_TRANSFORM_ROTATE: number;\r\n    SVG_TRANSFORM_SCALE: number;\r\n    SVG_TRANSFORM_SKEWX: number;\r\n    SVG_TRANSFORM_SKEWY: number;\r\n    SVG_TRANSFORM_TRANSLATE: number;\r\n    SVG_TRANSFORM_UNKNOWN: number;\r\n}\r\n\r\ndeclare var SVGTransform: {\r\n    prototype: SVGTransform;\r\n    new(): SVGTransform;\r\n    SVG_TRANSFORM_MATRIX: number;\r\n    SVG_TRANSFORM_ROTATE: number;\r\n    SVG_TRANSFORM_SCALE: number;\r\n    SVG_TRANSFORM_SKEWX: number;\r\n    SVG_TRANSFORM_SKEWY: number;\r\n    SVG_TRANSFORM_TRANSLATE: number;\r\n    SVG_TRANSFORM_UNKNOWN: number;\r\n}\r\n\r\ninterface SVGTransformList {\r\n    numberOfItems: number;\r\n    appendItem(newItem: SVGTransform): SVGTransform;\r\n    clear(): void;\r\n    consolidate(): SVGTransform;\r\n    createSVGTransformFromMatrix(matrix: SVGMatrix): SVGTransform;\r\n    getItem(index: number): SVGTransform;\r\n    initialize(newItem: SVGTransform): SVGTransform;\r\n    insertItemBefore(newItem: SVGTransform, index: number): SVGTransform;\r\n    removeItem(index: number): SVGTransform;\r\n    replaceItem(newItem: SVGTransform, index: number): SVGTransform;\r\n}\r\n\r\ndeclare var SVGTransformList: {\r\n    prototype: SVGTransformList;\r\n    new(): SVGTransformList;\r\n}\r\n\r\ninterface SVGUnitTypes {\r\n    SVG_UNIT_TYPE_OBJECTBOUNDINGBOX: number;\r\n    SVG_UNIT_TYPE_UNKNOWN: number;\r\n    SVG_UNIT_TYPE_USERSPACEONUSE: number;\r\n}\r\ndeclare var SVGUnitTypes: SVGUnitTypes;\r\n\r\ninterface SVGUseElement extends SVGElement, SVGStylable, SVGTransformable, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGURIReference {\r\n    animatedInstanceRoot: SVGElementInstance;\r\n    height: SVGAnimatedLength;\r\n    instanceRoot: SVGElementInstance;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGUseElement: {\r\n    prototype: SVGUseElement;\r\n    new(): SVGUseElement;\r\n}\r\n\r\ninterface SVGViewElement extends SVGElement, SVGExternalResourcesRequired, SVGFitToViewBox, SVGZoomAndPan {\r\n    viewTarget: SVGStringList;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var SVGViewElement: {\r\n    prototype: SVGViewElement;\r\n    new(): SVGViewElement;\r\n}\r\n\r\ninterface SVGZoomAndPan {\r\n    SVG_ZOOMANDPAN_DISABLE: number;\r\n    SVG_ZOOMANDPAN_MAGNIFY: number;\r\n    SVG_ZOOMANDPAN_UNKNOWN: number;\r\n}\r\ndeclare var SVGZoomAndPan: SVGZoomAndPan;\r\n\r\ninterface SVGZoomEvent extends UIEvent {\r\n    newScale: number;\r\n    newTranslate: SVGPoint;\r\n    previousScale: number;\r\n    previousTranslate: SVGPoint;\r\n    zoomRectScreen: SVGRect;\r\n}\r\n\r\ndeclare var SVGZoomEvent: {\r\n    prototype: SVGZoomEvent;\r\n    new(): SVGZoomEvent;\r\n}\r\n\r\ninterface Screen extends EventTarget {\r\n    availHeight: number;\r\n    availWidth: number;\r\n    bufferDepth: number;\r\n    colorDepth: number;\r\n    deviceXDPI: number;\r\n    deviceYDPI: number;\r\n    fontSmoothingEnabled: boolean;\r\n    height: number;\r\n    logicalXDPI: number;\r\n    logicalYDPI: number;\r\n    msOrientation: string;\r\n    onmsorientationchange: (ev: Event) => any;\r\n    pixelDepth: number;\r\n    systemXDPI: number;\r\n    systemYDPI: number;\r\n    width: number;\r\n    msLockOrientation(orientations: string | string[]): boolean;\r\n    msUnlockOrientation(): void;\r\n    addEventListener(type: "MSOrientationChange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Screen: {\r\n    prototype: Screen;\r\n    new(): Screen;\r\n}\r\n\r\ninterface ScriptNotifyEvent extends Event {\r\n    callingUri: string;\r\n    value: string;\r\n}\r\n\r\ndeclare var ScriptNotifyEvent: {\r\n    prototype: ScriptNotifyEvent;\r\n    new(): ScriptNotifyEvent;\r\n}\r\n\r\ninterface ScriptProcessorNode extends AudioNode {\r\n    bufferSize: number;\r\n    onaudioprocess: (ev: AudioProcessingEvent) => any;\r\n    addEventListener(type: "audioprocess", listener: (ev: AudioProcessingEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var ScriptProcessorNode: {\r\n    prototype: ScriptProcessorNode;\r\n    new(): ScriptProcessorNode;\r\n}\r\n\r\ninterface Selection {\r\n    anchorNode: Node;\r\n    anchorOffset: number;\r\n    focusNode: Node;\r\n    focusOffset: number;\r\n    isCollapsed: boolean;\r\n    rangeCount: number;\r\n    type: string;\r\n    addRange(range: Range): void;\r\n    collapse(parentNode: Node, offset: number): void;\r\n    collapseToEnd(): void;\r\n    collapseToStart(): void;\r\n    containsNode(node: Node, partlyContained: boolean): boolean;\r\n    deleteFromDocument(): void;\r\n    empty(): void;\r\n    extend(newNode: Node, offset: number): void;\r\n    getRangeAt(index: number): Range;\r\n    removeAllRanges(): void;\r\n    removeRange(range: Range): void;\r\n    selectAllChildren(parentNode: Node): void;\r\n    setBaseAndExtent(baseNode: Node, baseOffset: number, extentNode: Node, extentOffset: number): void;\r\n    toString(): string;\r\n}\r\n\r\ndeclare var Selection: {\r\n    prototype: Selection;\r\n    new(): Selection;\r\n}\r\n\r\ninterface SourceBuffer extends EventTarget {\r\n    appendWindowEnd: number;\r\n    appendWindowStart: number;\r\n    audioTracks: AudioTrackList;\r\n    buffered: TimeRanges;\r\n    mode: string;\r\n    timestampOffset: number;\r\n    updating: boolean;\r\n    videoTracks: VideoTrackList;\r\n    abort(): void;\r\n    appendBuffer(data: ArrayBuffer | ArrayBufferView): void;\r\n    appendStream(stream: MSStream, maxSize?: number): void;\r\n    remove(start: number, end: number): void;\r\n}\r\n\r\ndeclare var SourceBuffer: {\r\n    prototype: SourceBuffer;\r\n    new(): SourceBuffer;\r\n}\r\n\r\ninterface SourceBufferList extends EventTarget {\r\n    length: number;\r\n    item(index: number): SourceBuffer;\r\n    [index: number]: SourceBuffer;\r\n}\r\n\r\ndeclare var SourceBufferList: {\r\n    prototype: SourceBufferList;\r\n    new(): SourceBufferList;\r\n}\r\n\r\ninterface StereoPannerNode extends AudioNode {\r\n    pan: AudioParam;\r\n}\r\n\r\ndeclare var StereoPannerNode: {\r\n    prototype: StereoPannerNode;\r\n    new(): StereoPannerNode;\r\n}\r\n\r\ninterface Storage {\r\n    length: number;\r\n    clear(): void;\r\n    getItem(key: string): any;\r\n    key(index: number): string;\r\n    removeItem(key: string): void;\r\n    setItem(key: string, data: string): void;\r\n    [key: string]: any;\r\n    [index: number]: string;\r\n}\r\n\r\ndeclare var Storage: {\r\n    prototype: Storage;\r\n    new(): Storage;\r\n}\r\n\r\ninterface StorageEvent extends Event {\r\n    url: string;\r\n    key?: string;\r\n    oldValue?: string;\r\n    newValue?: string;\r\n    storageArea?: Storage;\r\n}\r\n\r\ndeclare var StorageEvent: {\r\n    prototype: StorageEvent;\r\n    new (type: string, eventInitDict?: StorageEventInit): StorageEvent;\r\n}\r\n\r\ninterface StyleMedia {\r\n    type: string;\r\n    matchMedium(mediaquery: string): boolean;\r\n}\r\n\r\ndeclare var StyleMedia: {\r\n    prototype: StyleMedia;\r\n    new(): StyleMedia;\r\n}\r\n\r\ninterface StyleSheet {\r\n    disabled: boolean;\r\n    href: string;\r\n    media: MediaList;\r\n    ownerNode: Node;\r\n    parentStyleSheet: StyleSheet;\r\n    title: string;\r\n    type: string;\r\n}\r\n\r\ndeclare var StyleSheet: {\r\n    prototype: StyleSheet;\r\n    new(): StyleSheet;\r\n}\r\n\r\ninterface StyleSheetList {\r\n    length: number;\r\n    item(index?: number): StyleSheet;\r\n    [index: number]: StyleSheet;\r\n}\r\n\r\ndeclare var StyleSheetList: {\r\n    prototype: StyleSheetList;\r\n    new(): StyleSheetList;\r\n}\r\n\r\ninterface StyleSheetPageList {\r\n    length: number;\r\n    item(index: number): CSSPageRule;\r\n    [index: number]: CSSPageRule;\r\n}\r\n\r\ndeclare var StyleSheetPageList: {\r\n    prototype: StyleSheetPageList;\r\n    new(): StyleSheetPageList;\r\n}\r\n\r\ninterface SubtleCrypto {\r\n    decrypt(algorithm: string | Algorithm, key: CryptoKey, data: ArrayBufferView): any;\r\n    deriveBits(algorithm: string | Algorithm, baseKey: CryptoKey, length: number): any;\r\n    deriveKey(algorithm: string | Algorithm, baseKey: CryptoKey, derivedKeyType: string | Algorithm, extractable: boolean, keyUsages: string[]): any;\r\n    digest(algorithm: string | Algorithm, data: ArrayBufferView): any;\r\n    encrypt(algorithm: string | Algorithm, key: CryptoKey, data: ArrayBufferView): any;\r\n    exportKey(format: string, key: CryptoKey): any;\r\n    generateKey(algorithm: string | Algorithm, extractable: boolean, keyUsages: string[]): any;\r\n    importKey(format: string, keyData: ArrayBufferView, algorithm: string | Algorithm, extractable: boolean, keyUsages: string[]): any;\r\n    sign(algorithm: string | Algorithm, key: CryptoKey, data: ArrayBufferView): any;\r\n    unwrapKey(format: string, wrappedKey: ArrayBufferView, unwrappingKey: CryptoKey, unwrapAlgorithm: string | Algorithm, unwrappedKeyAlgorithm: string | Algorithm, extractable: boolean, keyUsages: string[]): any;\r\n    verify(algorithm: string | Algorithm, key: CryptoKey, signature: ArrayBufferView, data: ArrayBufferView): any;\r\n    wrapKey(format: string, key: CryptoKey, wrappingKey: CryptoKey, wrapAlgorithm: string | Algorithm): any;\r\n}\r\n\r\ndeclare var SubtleCrypto: {\r\n    prototype: SubtleCrypto;\r\n    new(): SubtleCrypto;\r\n}\r\n\r\ninterface Text extends CharacterData {\r\n    wholeText: string;\r\n    replaceWholeText(content: string): Text;\r\n    splitText(offset: number): Text;\r\n}\r\n\r\ndeclare var Text: {\r\n    prototype: Text;\r\n    new(): Text;\r\n}\r\n\r\ninterface TextEvent extends UIEvent {\r\n    data: string;\r\n    inputMethod: number;\r\n    locale: string;\r\n    initTextEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, dataArg: string, inputMethod: number, locale: string): void;\r\n    DOM_INPUT_METHOD_DROP: number;\r\n    DOM_INPUT_METHOD_HANDWRITING: number;\r\n    DOM_INPUT_METHOD_IME: number;\r\n    DOM_INPUT_METHOD_KEYBOARD: number;\r\n    DOM_INPUT_METHOD_MULTIMODAL: number;\r\n    DOM_INPUT_METHOD_OPTION: number;\r\n    DOM_INPUT_METHOD_PASTE: number;\r\n    DOM_INPUT_METHOD_SCRIPT: number;\r\n    DOM_INPUT_METHOD_UNKNOWN: number;\r\n    DOM_INPUT_METHOD_VOICE: number;\r\n}\r\n\r\ndeclare var TextEvent: {\r\n    prototype: TextEvent;\r\n    new(): TextEvent;\r\n    DOM_INPUT_METHOD_DROP: number;\r\n    DOM_INPUT_METHOD_HANDWRITING: number;\r\n    DOM_INPUT_METHOD_IME: number;\r\n    DOM_INPUT_METHOD_KEYBOARD: number;\r\n    DOM_INPUT_METHOD_MULTIMODAL: number;\r\n    DOM_INPUT_METHOD_OPTION: number;\r\n    DOM_INPUT_METHOD_PASTE: number;\r\n    DOM_INPUT_METHOD_SCRIPT: number;\r\n    DOM_INPUT_METHOD_UNKNOWN: number;\r\n    DOM_INPUT_METHOD_VOICE: number;\r\n}\r\n\r\ninterface TextMetrics {\r\n    width: number;\r\n}\r\n\r\ndeclare var TextMetrics: {\r\n    prototype: TextMetrics;\r\n    new(): TextMetrics;\r\n}\r\n\r\ninterface TextRange {\r\n    boundingHeight: number;\r\n    boundingLeft: number;\r\n    boundingTop: number;\r\n    boundingWidth: number;\r\n    htmlText: string;\r\n    offsetLeft: number;\r\n    offsetTop: number;\r\n    text: string;\r\n    collapse(start?: boolean): void;\r\n    compareEndPoints(how: string, sourceRange: TextRange): number;\r\n    duplicate(): TextRange;\r\n    execCommand(cmdID: string, showUI?: boolean, value?: any): boolean;\r\n    execCommandShowHelp(cmdID: string): boolean;\r\n    expand(Unit: string): boolean;\r\n    findText(string: string, count?: number, flags?: number): boolean;\r\n    getBookmark(): string;\r\n    getBoundingClientRect(): ClientRect;\r\n    getClientRects(): ClientRectList;\r\n    inRange(range: TextRange): boolean;\r\n    isEqual(range: TextRange): boolean;\r\n    move(unit: string, count?: number): number;\r\n    moveEnd(unit: string, count?: number): number;\r\n    moveStart(unit: string, count?: number): number;\r\n    moveToBookmark(bookmark: string): boolean;\r\n    moveToElementText(element: Element): void;\r\n    moveToPoint(x: number, y: number): void;\r\n    parentElement(): Element;\r\n    pasteHTML(html: string): void;\r\n    queryCommandEnabled(cmdID: string): boolean;\r\n    queryCommandIndeterm(cmdID: string): boolean;\r\n    queryCommandState(cmdID: string): boolean;\r\n    queryCommandSupported(cmdID: string): boolean;\r\n    queryCommandText(cmdID: string): string;\r\n    queryCommandValue(cmdID: string): any;\r\n    scrollIntoView(fStart?: boolean): void;\r\n    select(): void;\r\n    setEndPoint(how: string, SourceRange: TextRange): void;\r\n}\r\n\r\ndeclare var TextRange: {\r\n    prototype: TextRange;\r\n    new(): TextRange;\r\n}\r\n\r\ninterface TextRangeCollection {\r\n    length: number;\r\n    item(index: number): TextRange;\r\n    [index: number]: TextRange;\r\n}\r\n\r\ndeclare var TextRangeCollection: {\r\n    prototype: TextRangeCollection;\r\n    new(): TextRangeCollection;\r\n}\r\n\r\ninterface TextTrack extends EventTarget {\r\n    activeCues: TextTrackCueList;\r\n    cues: TextTrackCueList;\r\n    inBandMetadataTrackDispatchType: string;\r\n    kind: string;\r\n    label: string;\r\n    language: string;\r\n    mode: any;\r\n    oncuechange: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onload: (ev: Event) => any;\r\n    readyState: number;\r\n    addCue(cue: TextTrackCue): void;\r\n    removeCue(cue: TextTrackCue): void;\r\n    DISABLED: number;\r\n    ERROR: number;\r\n    HIDDEN: number;\r\n    LOADED: number;\r\n    LOADING: number;\r\n    NONE: number;\r\n    SHOWING: number;\r\n    addEventListener(type: "cuechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var TextTrack: {\r\n    prototype: TextTrack;\r\n    new(): TextTrack;\r\n    DISABLED: number;\r\n    ERROR: number;\r\n    HIDDEN: number;\r\n    LOADED: number;\r\n    LOADING: number;\r\n    NONE: number;\r\n    SHOWING: number;\r\n}\r\n\r\ninterface TextTrackCue extends EventTarget {\r\n    endTime: number;\r\n    id: string;\r\n    onenter: (ev: Event) => any;\r\n    onexit: (ev: Event) => any;\r\n    pauseOnExit: boolean;\r\n    startTime: number;\r\n    text: string;\r\n    track: TextTrack;\r\n    getCueAsHTML(): DocumentFragment;\r\n    addEventListener(type: "enter", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "exit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var TextTrackCue: {\r\n    prototype: TextTrackCue;\r\n    new(startTime: number, endTime: number, text: string): TextTrackCue;\r\n}\r\n\r\ninterface TextTrackCueList {\r\n    length: number;\r\n    getCueById(id: string): TextTrackCue;\r\n    item(index: number): TextTrackCue;\r\n    [index: number]: TextTrackCue;\r\n}\r\n\r\ndeclare var TextTrackCueList: {\r\n    prototype: TextTrackCueList;\r\n    new(): TextTrackCueList;\r\n}\r\n\r\ninterface TextTrackList extends EventTarget {\r\n    length: number;\r\n    onaddtrack: (ev: TrackEvent) => any;\r\n    item(index: number): TextTrack;\r\n    addEventListener(type: "addtrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: TextTrack;\r\n}\r\n\r\ndeclare var TextTrackList: {\r\n    prototype: TextTrackList;\r\n    new(): TextTrackList;\r\n}\r\n\r\ninterface TimeRanges {\r\n    length: number;\r\n    end(index: number): number;\r\n    start(index: number): number;\r\n}\r\n\r\ndeclare var TimeRanges: {\r\n    prototype: TimeRanges;\r\n    new(): TimeRanges;\r\n}\r\n\r\ninterface Touch {\r\n    clientX: number;\r\n    clientY: number;\r\n    identifier: number;\r\n    pageX: number;\r\n    pageY: number;\r\n    screenX: number;\r\n    screenY: number;\r\n    target: EventTarget;\r\n}\r\n\r\ndeclare var Touch: {\r\n    prototype: Touch;\r\n    new(): Touch;\r\n}\r\n\r\ninterface TouchEvent extends UIEvent {\r\n    altKey: boolean;\r\n    changedTouches: TouchList;\r\n    ctrlKey: boolean;\r\n    metaKey: boolean;\r\n    shiftKey: boolean;\r\n    targetTouches: TouchList;\r\n    touches: TouchList;\r\n}\r\n\r\ndeclare var TouchEvent: {\r\n    prototype: TouchEvent;\r\n    new(): TouchEvent;\r\n}\r\n\r\ninterface TouchList {\r\n    length: number;\r\n    item(index: number): Touch;\r\n    [index: number]: Touch;\r\n}\r\n\r\ndeclare var TouchList: {\r\n    prototype: TouchList;\r\n    new(): TouchList;\r\n}\r\n\r\ninterface TrackEvent extends Event {\r\n    track: any;\r\n}\r\n\r\ndeclare var TrackEvent: {\r\n    prototype: TrackEvent;\r\n    new(): TrackEvent;\r\n}\r\n\r\ninterface TransitionEvent extends Event {\r\n    elapsedTime: number;\r\n    propertyName: string;\r\n    initTransitionEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, propertyNameArg: string, elapsedTimeArg: number): void;\r\n}\r\n\r\ndeclare var TransitionEvent: {\r\n    prototype: TransitionEvent;\r\n    new(): TransitionEvent;\r\n}\r\n\r\ninterface TreeWalker {\r\n    currentNode: Node;\r\n    expandEntityReferences: boolean;\r\n    filter: NodeFilter;\r\n    root: Node;\r\n    whatToShow: number;\r\n    firstChild(): Node;\r\n    lastChild(): Node;\r\n    nextNode(): Node;\r\n    nextSibling(): Node;\r\n    parentNode(): Node;\r\n    previousNode(): Node;\r\n    previousSibling(): Node;\r\n}\r\n\r\ndeclare var TreeWalker: {\r\n    prototype: TreeWalker;\r\n    new(): TreeWalker;\r\n}\r\n\r\ninterface UIEvent extends Event {\r\n    detail: number;\r\n    view: Window;\r\n    initUIEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number): void;\r\n}\r\n\r\ndeclare var UIEvent: {\r\n    prototype: UIEvent;\r\n    new(type: string, eventInitDict?: UIEventInit): UIEvent;\r\n}\r\n\r\ninterface URL {\r\n    createObjectURL(object: any, options?: ObjectURLOptions): string;\r\n    revokeObjectURL(url: string): void;\r\n}\r\ndeclare var URL: URL;\r\n\r\ninterface UnviewableContentIdentifiedEvent extends NavigationEventWithReferrer {\r\n    mediaType: string;\r\n}\r\n\r\ndeclare var UnviewableContentIdentifiedEvent: {\r\n    prototype: UnviewableContentIdentifiedEvent;\r\n    new(): UnviewableContentIdentifiedEvent;\r\n}\r\n\r\ninterface ValidityState {\r\n    badInput: boolean;\r\n    customError: boolean;\r\n    patternMismatch: boolean;\r\n    rangeOverflow: boolean;\r\n    rangeUnderflow: boolean;\r\n    stepMismatch: boolean;\r\n    tooLong: boolean;\r\n    typeMismatch: boolean;\r\n    valid: boolean;\r\n    valueMissing: boolean;\r\n}\r\n\r\ndeclare var ValidityState: {\r\n    prototype: ValidityState;\r\n    new(): ValidityState;\r\n}\r\n\r\ninterface VideoPlaybackQuality {\r\n    corruptedVideoFrames: number;\r\n    creationTime: number;\r\n    droppedVideoFrames: number;\r\n    totalFrameDelay: number;\r\n    totalVideoFrames: number;\r\n}\r\n\r\ndeclare var VideoPlaybackQuality: {\r\n    prototype: VideoPlaybackQuality;\r\n    new(): VideoPlaybackQuality;\r\n}\r\n\r\ninterface VideoTrack {\r\n    id: string;\r\n    kind: string;\r\n    label: string;\r\n    language: string;\r\n    selected: boolean;\r\n    sourceBuffer: SourceBuffer;\r\n}\r\n\r\ndeclare var VideoTrack: {\r\n    prototype: VideoTrack;\r\n    new(): VideoTrack;\r\n}\r\n\r\ninterface VideoTrackList extends EventTarget {\r\n    length: number;\r\n    onaddtrack: (ev: TrackEvent) => any;\r\n    onchange: (ev: Event) => any;\r\n    onremovetrack: (ev: TrackEvent) => any;\r\n    selectedIndex: number;\r\n    getTrackById(id: string): VideoTrack;\r\n    item(index: number): VideoTrack;\r\n    addEventListener(type: "addtrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "removetrack", listener: (ev: TrackEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: VideoTrack;\r\n}\r\n\r\ndeclare var VideoTrackList: {\r\n    prototype: VideoTrackList;\r\n    new(): VideoTrackList;\r\n}\r\n\r\ninterface WEBGL_compressed_texture_s3tc {\r\n    COMPRESSED_RGBA_S3TC_DXT1_EXT: number;\r\n    COMPRESSED_RGBA_S3TC_DXT3_EXT: number;\r\n    COMPRESSED_RGBA_S3TC_DXT5_EXT: number;\r\n    COMPRESSED_RGB_S3TC_DXT1_EXT: number;\r\n}\r\n\r\ndeclare var WEBGL_compressed_texture_s3tc: {\r\n    prototype: WEBGL_compressed_texture_s3tc;\r\n    new(): WEBGL_compressed_texture_s3tc;\r\n    COMPRESSED_RGBA_S3TC_DXT1_EXT: number;\r\n    COMPRESSED_RGBA_S3TC_DXT3_EXT: number;\r\n    COMPRESSED_RGBA_S3TC_DXT5_EXT: number;\r\n    COMPRESSED_RGB_S3TC_DXT1_EXT: number;\r\n}\r\n\r\ninterface WEBGL_debug_renderer_info {\r\n    UNMASKED_RENDERER_WEBGL: number;\r\n    UNMASKED_VENDOR_WEBGL: number;\r\n}\r\n\r\ndeclare var WEBGL_debug_renderer_info: {\r\n    prototype: WEBGL_debug_renderer_info;\r\n    new(): WEBGL_debug_renderer_info;\r\n    UNMASKED_RENDERER_WEBGL: number;\r\n    UNMASKED_VENDOR_WEBGL: number;\r\n}\r\n\r\ninterface WEBGL_depth_texture {\r\n    UNSIGNED_INT_24_8_WEBGL: number;\r\n}\r\n\r\ndeclare var WEBGL_depth_texture: {\r\n    prototype: WEBGL_depth_texture;\r\n    new(): WEBGL_depth_texture;\r\n    UNSIGNED_INT_24_8_WEBGL: number;\r\n}\r\n\r\ninterface WaveShaperNode extends AudioNode {\r\n    curve: Float32Array;\r\n    oversample: string;\r\n}\r\n\r\ndeclare var WaveShaperNode: {\r\n    prototype: WaveShaperNode;\r\n    new(): WaveShaperNode;\r\n}\r\n\r\ninterface WebGLActiveInfo {\r\n    name: string;\r\n    size: number;\r\n    type: number;\r\n}\r\n\r\ndeclare var WebGLActiveInfo: {\r\n    prototype: WebGLActiveInfo;\r\n    new(): WebGLActiveInfo;\r\n}\r\n\r\ninterface WebGLBuffer extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLBuffer: {\r\n    prototype: WebGLBuffer;\r\n    new(): WebGLBuffer;\r\n}\r\n\r\ninterface WebGLContextEvent extends Event {\r\n    statusMessage: string;\r\n}\r\n\r\ndeclare var WebGLContextEvent: {\r\n    prototype: WebGLContextEvent;\r\n    new(): WebGLContextEvent;\r\n}\r\n\r\ninterface WebGLFramebuffer extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLFramebuffer: {\r\n    prototype: WebGLFramebuffer;\r\n    new(): WebGLFramebuffer;\r\n}\r\n\r\ninterface WebGLObject {\r\n}\r\n\r\ndeclare var WebGLObject: {\r\n    prototype: WebGLObject;\r\n    new(): WebGLObject;\r\n}\r\n\r\ninterface WebGLProgram extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLProgram: {\r\n    prototype: WebGLProgram;\r\n    new(): WebGLProgram;\r\n}\r\n\r\ninterface WebGLRenderbuffer extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLRenderbuffer: {\r\n    prototype: WebGLRenderbuffer;\r\n    new(): WebGLRenderbuffer;\r\n}\r\n\r\ninterface WebGLRenderingContext {\r\n    canvas: HTMLCanvasElement;\r\n    drawingBufferHeight: number;\r\n    drawingBufferWidth: number;\r\n    activeTexture(texture: number): void;\r\n    attachShader(program: WebGLProgram, shader: WebGLShader): void;\r\n    bindAttribLocation(program: WebGLProgram, index: number, name: string): void;\r\n    bindBuffer(target: number, buffer: WebGLBuffer): void;\r\n    bindFramebuffer(target: number, framebuffer: WebGLFramebuffer): void;\r\n    bindRenderbuffer(target: number, renderbuffer: WebGLRenderbuffer): void;\r\n    bindTexture(target: number, texture: WebGLTexture): void;\r\n    blendColor(red: number, green: number, blue: number, alpha: number): void;\r\n    blendEquation(mode: number): void;\r\n    blendEquationSeparate(modeRGB: number, modeAlpha: number): void;\r\n    blendFunc(sfactor: number, dfactor: number): void;\r\n    blendFuncSeparate(srcRGB: number, dstRGB: number, srcAlpha: number, dstAlpha: number): void;\r\n    bufferData(target: number, size: number | ArrayBufferView | ArrayBuffer, usage: number): void;\r\n    bufferSubData(target: number, offset: number, data: ArrayBufferView | ArrayBuffer): void;\r\n    checkFramebufferStatus(target: number): number;\r\n    clear(mask: number): void;\r\n    clearColor(red: number, green: number, blue: number, alpha: number): void;\r\n    clearDepth(depth: number): void;\r\n    clearStencil(s: number): void;\r\n    colorMask(red: boolean, green: boolean, blue: boolean, alpha: boolean): void;\r\n    compileShader(shader: WebGLShader): void;\r\n    compressedTexImage2D(target: number, level: number, internalformat: number, width: number, height: number, border: number, data: ArrayBufferView): void;\r\n    compressedTexSubImage2D(target: number, level: number, xoffset: number, yoffset: number, width: number, height: number, format: number, data: ArrayBufferView): void;\r\n    copyTexImage2D(target: number, level: number, internalformat: number, x: number, y: number, width: number, height: number, border: number): void;\r\n    copyTexSubImage2D(target: number, level: number, xoffset: number, yoffset: number, x: number, y: number, width: number, height: number): void;\r\n    createBuffer(): WebGLBuffer;\r\n    createFramebuffer(): WebGLFramebuffer;\r\n    createProgram(): WebGLProgram;\r\n    createRenderbuffer(): WebGLRenderbuffer;\r\n    createShader(type: number): WebGLShader;\r\n    createTexture(): WebGLTexture;\r\n    cullFace(mode: number): void;\r\n    deleteBuffer(buffer: WebGLBuffer): void;\r\n    deleteFramebuffer(framebuffer: WebGLFramebuffer): void;\r\n    deleteProgram(program: WebGLProgram): void;\r\n    deleteRenderbuffer(renderbuffer: WebGLRenderbuffer): void;\r\n    deleteShader(shader: WebGLShader): void;\r\n    deleteTexture(texture: WebGLTexture): void;\r\n    depthFunc(func: number): void;\r\n    depthMask(flag: boolean): void;\r\n    depthRange(zNear: number, zFar: number): void;\r\n    detachShader(program: WebGLProgram, shader: WebGLShader): void;\r\n    disable(cap: number): void;\r\n    disableVertexAttribArray(index: number): void;\r\n    drawArrays(mode: number, first: number, count: number): void;\r\n    drawElements(mode: number, count: number, type: number, offset: number): void;\r\n    enable(cap: number): void;\r\n    enableVertexAttribArray(index: number): void;\r\n    finish(): void;\r\n    flush(): void;\r\n    framebufferRenderbuffer(target: number, attachment: number, renderbuffertarget: number, renderbuffer: WebGLRenderbuffer): void;\r\n    framebufferTexture2D(target: number, attachment: number, textarget: number, texture: WebGLTexture, level: number): void;\r\n    frontFace(mode: number): void;\r\n    generateMipmap(target: number): void;\r\n    getActiveAttrib(program: WebGLProgram, index: number): WebGLActiveInfo;\r\n    getActiveUniform(program: WebGLProgram, index: number): WebGLActiveInfo;\r\n    getAttachedShaders(program: WebGLProgram): WebGLShader[];\r\n    getAttribLocation(program: WebGLProgram, name: string): number;\r\n    getBufferParameter(target: number, pname: number): any;\r\n    getContextAttributes(): WebGLContextAttributes;\r\n    getError(): number;\r\n    getExtension(name: string): any;\r\n    getFramebufferAttachmentParameter(target: number, attachment: number, pname: number): any;\r\n    getParameter(pname: number): any;\r\n    getProgramInfoLog(program: WebGLProgram): string;\r\n    getProgramParameter(program: WebGLProgram, pname: number): any;\r\n    getRenderbufferParameter(target: number, pname: number): any;\r\n    getShaderInfoLog(shader: WebGLShader): string;\r\n    getShaderParameter(shader: WebGLShader, pname: number): any;\r\n    getShaderPrecisionFormat(shadertype: number, precisiontype: number): WebGLShaderPrecisionFormat;\r\n    getShaderSource(shader: WebGLShader): string;\r\n    getSupportedExtensions(): string[];\r\n    getTexParameter(target: number, pname: number): any;\r\n    getUniform(program: WebGLProgram, location: WebGLUniformLocation): any;\r\n    getUniformLocation(program: WebGLProgram, name: string): WebGLUniformLocation;\r\n    getVertexAttrib(index: number, pname: number): any;\r\n    getVertexAttribOffset(index: number, pname: number): number;\r\n    hint(target: number, mode: number): void;\r\n    isBuffer(buffer: WebGLBuffer): boolean;\r\n    isContextLost(): boolean;\r\n    isEnabled(cap: number): boolean;\r\n    isFramebuffer(framebuffer: WebGLFramebuffer): boolean;\r\n    isProgram(program: WebGLProgram): boolean;\r\n    isRenderbuffer(renderbuffer: WebGLRenderbuffer): boolean;\r\n    isShader(shader: WebGLShader): boolean;\r\n    isTexture(texture: WebGLTexture): boolean;\r\n    lineWidth(width: number): void;\r\n    linkProgram(program: WebGLProgram): void;\r\n    pixelStorei(pname: number, param: number): void;\r\n    polygonOffset(factor: number, units: number): void;\r\n    readPixels(x: number, y: number, width: number, height: number, format: number, type: number, pixels: ArrayBufferView): void;\r\n    renderbufferStorage(target: number, internalformat: number, width: number, height: number): void;\r\n    sampleCoverage(value: number, invert: boolean): void;\r\n    scissor(x: number, y: number, width: number, height: number): void;\r\n    shaderSource(shader: WebGLShader, source: string): void;\r\n    stencilFunc(func: number, ref: number, mask: number): void;\r\n    stencilFuncSeparate(face: number, func: number, ref: number, mask: number): void;\r\n    stencilMask(mask: number): void;\r\n    stencilMaskSeparate(face: number, mask: number): void;\r\n    stencilOp(fail: number, zfail: number, zpass: number): void;\r\n    stencilOpSeparate(face: number, fail: number, zfail: number, zpass: number): void;\r\n    texImage2D(target: number, level: number, internalformat: number, width: number, height: number, border: number, format: number, type: number, pixels: ArrayBufferView): void;\r\n    texImage2D(target: number, level: number, internalformat: number, format: number, type: number, image: HTMLImageElement): void;\r\n    texImage2D(target: number, level: number, internalformat: number, format: number, type: number, canvas: HTMLCanvasElement): void;\r\n    texImage2D(target: number, level: number, internalformat: number, format: number, type: number, video: HTMLVideoElement): void;\r\n    texImage2D(target: number, level: number, internalformat: number, format: number, type: number, pixels: ImageData): void;\r\n    texParameterf(target: number, pname: number, param: number): void;\r\n    texParameteri(target: number, pname: number, param: number): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, width: number, height: number, format: number, type: number, pixels: ArrayBufferView): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, format: number, type: number, image: HTMLImageElement): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, format: number, type: number, canvas: HTMLCanvasElement): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, format: number, type: number, video: HTMLVideoElement): void;\r\n    texSubImage2D(target: number, level: number, xoffset: number, yoffset: number, format: number, type: number, pixels: ImageData): void;\r\n    uniform1f(location: WebGLUniformLocation, x: number): void;\r\n    uniform1fv(location: WebGLUniformLocation, v: Float32Array): void;\r\n    uniform1i(location: WebGLUniformLocation, x: number): void;\r\n    uniform1iv(location: WebGLUniformLocation, v: Int32Array): void;\r\n    uniform2f(location: WebGLUniformLocation, x: number, y: number): void;\r\n    uniform2fv(location: WebGLUniformLocation, v: Float32Array): void;\r\n    uniform2i(location: WebGLUniformLocation, x: number, y: number): void;\r\n    uniform2iv(location: WebGLUniformLocation, v: Int32Array): void;\r\n    uniform3f(location: WebGLUniformLocation, x: number, y: number, z: number): void;\r\n    uniform3fv(location: WebGLUniformLocation, v: Float32Array): void;\r\n    uniform3i(location: WebGLUniformLocation, x: number, y: number, z: number): void;\r\n    uniform3iv(location: WebGLUniformLocation, v: Int32Array): void;\r\n    uniform4f(location: WebGLUniformLocation, x: number, y: number, z: number, w: number): void;\r\n    uniform4fv(location: WebGLUniformLocation, v: Float32Array): void;\r\n    uniform4i(location: WebGLUniformLocation, x: number, y: number, z: number, w: number): void;\r\n    uniform4iv(location: WebGLUniformLocation, v: Int32Array): void;\r\n    uniformMatrix2fv(location: WebGLUniformLocation, transpose: boolean, value: Float32Array): void;\r\n    uniformMatrix3fv(location: WebGLUniformLocation, transpose: boolean, value: Float32Array): void;\r\n    uniformMatrix4fv(location: WebGLUniformLocation, transpose: boolean, value: Float32Array): void;\r\n    useProgram(program: WebGLProgram): void;\r\n    validateProgram(program: WebGLProgram): void;\r\n    vertexAttrib1f(indx: number, x: number): void;\r\n    vertexAttrib1fv(indx: number, values: Float32Array): void;\r\n    vertexAttrib2f(indx: number, x: number, y: number): void;\r\n    vertexAttrib2fv(indx: number, values: Float32Array): void;\r\n    vertexAttrib3f(indx: number, x: number, y: number, z: number): void;\r\n    vertexAttrib3fv(indx: number, values: Float32Array): void;\r\n    vertexAttrib4f(indx: number, x: number, y: number, z: number, w: number): void;\r\n    vertexAttrib4fv(indx: number, values: Float32Array): void;\r\n    vertexAttribPointer(indx: number, size: number, type: number, normalized: boolean, stride: number, offset: number): void;\r\n    viewport(x: number, y: number, width: number, height: number): void;\r\n    ACTIVE_ATTRIBUTES: number;\r\n    ACTIVE_TEXTURE: number;\r\n    ACTIVE_UNIFORMS: number;\r\n    ALIASED_LINE_WIDTH_RANGE: number;\r\n    ALIASED_POINT_SIZE_RANGE: number;\r\n    ALPHA: number;\r\n    ALPHA_BITS: number;\r\n    ALWAYS: number;\r\n    ARRAY_BUFFER: number;\r\n    ARRAY_BUFFER_BINDING: number;\r\n    ATTACHED_SHADERS: number;\r\n    BACK: number;\r\n    BLEND: number;\r\n    BLEND_COLOR: number;\r\n    BLEND_DST_ALPHA: number;\r\n    BLEND_DST_RGB: number;\r\n    BLEND_EQUATION: number;\r\n    BLEND_EQUATION_ALPHA: number;\r\n    BLEND_EQUATION_RGB: number;\r\n    BLEND_SRC_ALPHA: number;\r\n    BLEND_SRC_RGB: number;\r\n    BLUE_BITS: number;\r\n    BOOL: number;\r\n    BOOL_VEC2: number;\r\n    BOOL_VEC3: number;\r\n    BOOL_VEC4: number;\r\n    BROWSER_DEFAULT_WEBGL: number;\r\n    BUFFER_SIZE: number;\r\n    BUFFER_USAGE: number;\r\n    BYTE: number;\r\n    CCW: number;\r\n    CLAMP_TO_EDGE: number;\r\n    COLOR_ATTACHMENT0: number;\r\n    COLOR_BUFFER_BIT: number;\r\n    COLOR_CLEAR_VALUE: number;\r\n    COLOR_WRITEMASK: number;\r\n    COMPILE_STATUS: number;\r\n    COMPRESSED_TEXTURE_FORMATS: number;\r\n    CONSTANT_ALPHA: number;\r\n    CONSTANT_COLOR: number;\r\n    CONTEXT_LOST_WEBGL: number;\r\n    CULL_FACE: number;\r\n    CULL_FACE_MODE: number;\r\n    CURRENT_PROGRAM: number;\r\n    CURRENT_VERTEX_ATTRIB: number;\r\n    CW: number;\r\n    DECR: number;\r\n    DECR_WRAP: number;\r\n    DELETE_STATUS: number;\r\n    DEPTH_ATTACHMENT: number;\r\n    DEPTH_BITS: number;\r\n    DEPTH_BUFFER_BIT: number;\r\n    DEPTH_CLEAR_VALUE: number;\r\n    DEPTH_COMPONENT: number;\r\n    DEPTH_COMPONENT16: number;\r\n    DEPTH_FUNC: number;\r\n    DEPTH_RANGE: number;\r\n    DEPTH_STENCIL: number;\r\n    DEPTH_STENCIL_ATTACHMENT: number;\r\n    DEPTH_TEST: number;\r\n    DEPTH_WRITEMASK: number;\r\n    DITHER: number;\r\n    DONT_CARE: number;\r\n    DST_ALPHA: number;\r\n    DST_COLOR: number;\r\n    DYNAMIC_DRAW: number;\r\n    ELEMENT_ARRAY_BUFFER: number;\r\n    ELEMENT_ARRAY_BUFFER_BINDING: number;\r\n    EQUAL: number;\r\n    FASTEST: number;\r\n    FLOAT: number;\r\n    FLOAT_MAT2: number;\r\n    FLOAT_MAT3: number;\r\n    FLOAT_MAT4: number;\r\n    FLOAT_VEC2: number;\r\n    FLOAT_VEC3: number;\r\n    FLOAT_VEC4: number;\r\n    FRAGMENT_SHADER: number;\r\n    FRAMEBUFFER: number;\r\n    FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: number;\r\n    FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: number;\r\n    FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: number;\r\n    FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: number;\r\n    FRAMEBUFFER_BINDING: number;\r\n    FRAMEBUFFER_COMPLETE: number;\r\n    FRAMEBUFFER_INCOMPLETE_ATTACHMENT: number;\r\n    FRAMEBUFFER_INCOMPLETE_DIMENSIONS: number;\r\n    FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: number;\r\n    FRAMEBUFFER_UNSUPPORTED: number;\r\n    FRONT: number;\r\n    FRONT_AND_BACK: number;\r\n    FRONT_FACE: number;\r\n    FUNC_ADD: number;\r\n    FUNC_REVERSE_SUBTRACT: number;\r\n    FUNC_SUBTRACT: number;\r\n    GENERATE_MIPMAP_HINT: number;\r\n    GEQUAL: number;\r\n    GREATER: number;\r\n    GREEN_BITS: number;\r\n    HIGH_FLOAT: number;\r\n    HIGH_INT: number;\r\n    IMPLEMENTATION_COLOR_READ_FORMAT: number;\r\n    IMPLEMENTATION_COLOR_READ_TYPE: number;\r\n    INCR: number;\r\n    INCR_WRAP: number;\r\n    INT: number;\r\n    INT_VEC2: number;\r\n    INT_VEC3: number;\r\n    INT_VEC4: number;\r\n    INVALID_ENUM: number;\r\n    INVALID_FRAMEBUFFER_OPERATION: number;\r\n    INVALID_OPERATION: number;\r\n    INVALID_VALUE: number;\r\n    INVERT: number;\r\n    KEEP: number;\r\n    LEQUAL: number;\r\n    LESS: number;\r\n    LINEAR: number;\r\n    LINEAR_MIPMAP_LINEAR: number;\r\n    LINEAR_MIPMAP_NEAREST: number;\r\n    LINES: number;\r\n    LINE_LOOP: number;\r\n    LINE_STRIP: number;\r\n    LINE_WIDTH: number;\r\n    LINK_STATUS: number;\r\n    LOW_FLOAT: number;\r\n    LOW_INT: number;\r\n    LUMINANCE: number;\r\n    LUMINANCE_ALPHA: number;\r\n    MAX_COMBINED_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_CUBE_MAP_TEXTURE_SIZE: number;\r\n    MAX_FRAGMENT_UNIFORM_VECTORS: number;\r\n    MAX_RENDERBUFFER_SIZE: number;\r\n    MAX_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_TEXTURE_SIZE: number;\r\n    MAX_VARYING_VECTORS: number;\r\n    MAX_VERTEX_ATTRIBS: number;\r\n    MAX_VERTEX_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_VERTEX_UNIFORM_VECTORS: number;\r\n    MAX_VIEWPORT_DIMS: number;\r\n    MEDIUM_FLOAT: number;\r\n    MEDIUM_INT: number;\r\n    MIRRORED_REPEAT: number;\r\n    NEAREST: number;\r\n    NEAREST_MIPMAP_LINEAR: number;\r\n    NEAREST_MIPMAP_NEAREST: number;\r\n    NEVER: number;\r\n    NICEST: number;\r\n    NONE: number;\r\n    NOTEQUAL: number;\r\n    NO_ERROR: number;\r\n    ONE: number;\r\n    ONE_MINUS_CONSTANT_ALPHA: number;\r\n    ONE_MINUS_CONSTANT_COLOR: number;\r\n    ONE_MINUS_DST_ALPHA: number;\r\n    ONE_MINUS_DST_COLOR: number;\r\n    ONE_MINUS_SRC_ALPHA: number;\r\n    ONE_MINUS_SRC_COLOR: number;\r\n    OUT_OF_MEMORY: number;\r\n    PACK_ALIGNMENT: number;\r\n    POINTS: number;\r\n    POLYGON_OFFSET_FACTOR: number;\r\n    POLYGON_OFFSET_FILL: number;\r\n    POLYGON_OFFSET_UNITS: number;\r\n    RED_BITS: number;\r\n    RENDERBUFFER: number;\r\n    RENDERBUFFER_ALPHA_SIZE: number;\r\n    RENDERBUFFER_BINDING: number;\r\n    RENDERBUFFER_BLUE_SIZE: number;\r\n    RENDERBUFFER_DEPTH_SIZE: number;\r\n    RENDERBUFFER_GREEN_SIZE: number;\r\n    RENDERBUFFER_HEIGHT: number;\r\n    RENDERBUFFER_INTERNAL_FORMAT: number;\r\n    RENDERBUFFER_RED_SIZE: number;\r\n    RENDERBUFFER_STENCIL_SIZE: number;\r\n    RENDERBUFFER_WIDTH: number;\r\n    RENDERER: number;\r\n    REPEAT: number;\r\n    REPLACE: number;\r\n    RGB: number;\r\n    RGB565: number;\r\n    RGB5_A1: number;\r\n    RGBA: number;\r\n    RGBA4: number;\r\n    SAMPLER_2D: number;\r\n    SAMPLER_CUBE: number;\r\n    SAMPLES: number;\r\n    SAMPLE_ALPHA_TO_COVERAGE: number;\r\n    SAMPLE_BUFFERS: number;\r\n    SAMPLE_COVERAGE: number;\r\n    SAMPLE_COVERAGE_INVERT: number;\r\n    SAMPLE_COVERAGE_VALUE: number;\r\n    SCISSOR_BOX: number;\r\n    SCISSOR_TEST: number;\r\n    SHADER_TYPE: number;\r\n    SHADING_LANGUAGE_VERSION: number;\r\n    SHORT: number;\r\n    SRC_ALPHA: number;\r\n    SRC_ALPHA_SATURATE: number;\r\n    SRC_COLOR: number;\r\n    STATIC_DRAW: number;\r\n    STENCIL_ATTACHMENT: number;\r\n    STENCIL_BACK_FAIL: number;\r\n    STENCIL_BACK_FUNC: number;\r\n    STENCIL_BACK_PASS_DEPTH_FAIL: number;\r\n    STENCIL_BACK_PASS_DEPTH_PASS: number;\r\n    STENCIL_BACK_REF: number;\r\n    STENCIL_BACK_VALUE_MASK: number;\r\n    STENCIL_BACK_WRITEMASK: number;\r\n    STENCIL_BITS: number;\r\n    STENCIL_BUFFER_BIT: number;\r\n    STENCIL_CLEAR_VALUE: number;\r\n    STENCIL_FAIL: number;\r\n    STENCIL_FUNC: number;\r\n    STENCIL_INDEX: number;\r\n    STENCIL_INDEX8: number;\r\n    STENCIL_PASS_DEPTH_FAIL: number;\r\n    STENCIL_PASS_DEPTH_PASS: number;\r\n    STENCIL_REF: number;\r\n    STENCIL_TEST: number;\r\n    STENCIL_VALUE_MASK: number;\r\n    STENCIL_WRITEMASK: number;\r\n    STREAM_DRAW: number;\r\n    SUBPIXEL_BITS: number;\r\n    TEXTURE: number;\r\n    TEXTURE0: number;\r\n    TEXTURE1: number;\r\n    TEXTURE10: number;\r\n    TEXTURE11: number;\r\n    TEXTURE12: number;\r\n    TEXTURE13: number;\r\n    TEXTURE14: number;\r\n    TEXTURE15: number;\r\n    TEXTURE16: number;\r\n    TEXTURE17: number;\r\n    TEXTURE18: number;\r\n    TEXTURE19: number;\r\n    TEXTURE2: number;\r\n    TEXTURE20: number;\r\n    TEXTURE21: number;\r\n    TEXTURE22: number;\r\n    TEXTURE23: number;\r\n    TEXTURE24: number;\r\n    TEXTURE25: number;\r\n    TEXTURE26: number;\r\n    TEXTURE27: number;\r\n    TEXTURE28: number;\r\n    TEXTURE29: number;\r\n    TEXTURE3: number;\r\n    TEXTURE30: number;\r\n    TEXTURE31: number;\r\n    TEXTURE4: number;\r\n    TEXTURE5: number;\r\n    TEXTURE6: number;\r\n    TEXTURE7: number;\r\n    TEXTURE8: number;\r\n    TEXTURE9: number;\r\n    TEXTURE_2D: number;\r\n    TEXTURE_BINDING_2D: number;\r\n    TEXTURE_BINDING_CUBE_MAP: number;\r\n    TEXTURE_CUBE_MAP: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_X: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_Y: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_Z: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_X: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_Y: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_Z: number;\r\n    TEXTURE_MAG_FILTER: number;\r\n    TEXTURE_MIN_FILTER: number;\r\n    TEXTURE_WRAP_S: number;\r\n    TEXTURE_WRAP_T: number;\r\n    TRIANGLES: number;\r\n    TRIANGLE_FAN: number;\r\n    TRIANGLE_STRIP: number;\r\n    UNPACK_ALIGNMENT: number;\r\n    UNPACK_COLORSPACE_CONVERSION_WEBGL: number;\r\n    UNPACK_FLIP_Y_WEBGL: number;\r\n    UNPACK_PREMULTIPLY_ALPHA_WEBGL: number;\r\n    UNSIGNED_BYTE: number;\r\n    UNSIGNED_INT: number;\r\n    UNSIGNED_SHORT: number;\r\n    UNSIGNED_SHORT_4_4_4_4: number;\r\n    UNSIGNED_SHORT_5_5_5_1: number;\r\n    UNSIGNED_SHORT_5_6_5: number;\r\n    VALIDATE_STATUS: number;\r\n    VENDOR: number;\r\n    VERSION: number;\r\n    VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: number;\r\n    VERTEX_ATTRIB_ARRAY_ENABLED: number;\r\n    VERTEX_ATTRIB_ARRAY_NORMALIZED: number;\r\n    VERTEX_ATTRIB_ARRAY_POINTER: number;\r\n    VERTEX_ATTRIB_ARRAY_SIZE: number;\r\n    VERTEX_ATTRIB_ARRAY_STRIDE: number;\r\n    VERTEX_ATTRIB_ARRAY_TYPE: number;\r\n    VERTEX_SHADER: number;\r\n    VIEWPORT: number;\r\n    ZERO: number;\r\n}\r\n\r\ndeclare var WebGLRenderingContext: {\r\n    prototype: WebGLRenderingContext;\r\n    new(): WebGLRenderingContext;\r\n    ACTIVE_ATTRIBUTES: number;\r\n    ACTIVE_TEXTURE: number;\r\n    ACTIVE_UNIFORMS: number;\r\n    ALIASED_LINE_WIDTH_RANGE: number;\r\n    ALIASED_POINT_SIZE_RANGE: number;\r\n    ALPHA: number;\r\n    ALPHA_BITS: number;\r\n    ALWAYS: number;\r\n    ARRAY_BUFFER: number;\r\n    ARRAY_BUFFER_BINDING: number;\r\n    ATTACHED_SHADERS: number;\r\n    BACK: number;\r\n    BLEND: number;\r\n    BLEND_COLOR: number;\r\n    BLEND_DST_ALPHA: number;\r\n    BLEND_DST_RGB: number;\r\n    BLEND_EQUATION: number;\r\n    BLEND_EQUATION_ALPHA: number;\r\n    BLEND_EQUATION_RGB: number;\r\n    BLEND_SRC_ALPHA: number;\r\n    BLEND_SRC_RGB: number;\r\n    BLUE_BITS: number;\r\n    BOOL: number;\r\n    BOOL_VEC2: number;\r\n    BOOL_VEC3: number;\r\n    BOOL_VEC4: number;\r\n    BROWSER_DEFAULT_WEBGL: number;\r\n    BUFFER_SIZE: number;\r\n    BUFFER_USAGE: number;\r\n    BYTE: number;\r\n    CCW: number;\r\n    CLAMP_TO_EDGE: number;\r\n    COLOR_ATTACHMENT0: number;\r\n    COLOR_BUFFER_BIT: number;\r\n    COLOR_CLEAR_VALUE: number;\r\n    COLOR_WRITEMASK: number;\r\n    COMPILE_STATUS: number;\r\n    COMPRESSED_TEXTURE_FORMATS: number;\r\n    CONSTANT_ALPHA: number;\r\n    CONSTANT_COLOR: number;\r\n    CONTEXT_LOST_WEBGL: number;\r\n    CULL_FACE: number;\r\n    CULL_FACE_MODE: number;\r\n    CURRENT_PROGRAM: number;\r\n    CURRENT_VERTEX_ATTRIB: number;\r\n    CW: number;\r\n    DECR: number;\r\n    DECR_WRAP: number;\r\n    DELETE_STATUS: number;\r\n    DEPTH_ATTACHMENT: number;\r\n    DEPTH_BITS: number;\r\n    DEPTH_BUFFER_BIT: number;\r\n    DEPTH_CLEAR_VALUE: number;\r\n    DEPTH_COMPONENT: number;\r\n    DEPTH_COMPONENT16: number;\r\n    DEPTH_FUNC: number;\r\n    DEPTH_RANGE: number;\r\n    DEPTH_STENCIL: number;\r\n    DEPTH_STENCIL_ATTACHMENT: number;\r\n    DEPTH_TEST: number;\r\n    DEPTH_WRITEMASK: number;\r\n    DITHER: number;\r\n    DONT_CARE: number;\r\n    DST_ALPHA: number;\r\n    DST_COLOR: number;\r\n    DYNAMIC_DRAW: number;\r\n    ELEMENT_ARRAY_BUFFER: number;\r\n    ELEMENT_ARRAY_BUFFER_BINDING: number;\r\n    EQUAL: number;\r\n    FASTEST: number;\r\n    FLOAT: number;\r\n    FLOAT_MAT2: number;\r\n    FLOAT_MAT3: number;\r\n    FLOAT_MAT4: number;\r\n    FLOAT_VEC2: number;\r\n    FLOAT_VEC3: number;\r\n    FLOAT_VEC4: number;\r\n    FRAGMENT_SHADER: number;\r\n    FRAMEBUFFER: number;\r\n    FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: number;\r\n    FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: number;\r\n    FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: number;\r\n    FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: number;\r\n    FRAMEBUFFER_BINDING: number;\r\n    FRAMEBUFFER_COMPLETE: number;\r\n    FRAMEBUFFER_INCOMPLETE_ATTACHMENT: number;\r\n    FRAMEBUFFER_INCOMPLETE_DIMENSIONS: number;\r\n    FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: number;\r\n    FRAMEBUFFER_UNSUPPORTED: number;\r\n    FRONT: number;\r\n    FRONT_AND_BACK: number;\r\n    FRONT_FACE: number;\r\n    FUNC_ADD: number;\r\n    FUNC_REVERSE_SUBTRACT: number;\r\n    FUNC_SUBTRACT: number;\r\n    GENERATE_MIPMAP_HINT: number;\r\n    GEQUAL: number;\r\n    GREATER: number;\r\n    GREEN_BITS: number;\r\n    HIGH_FLOAT: number;\r\n    HIGH_INT: number;\r\n    IMPLEMENTATION_COLOR_READ_FORMAT: number;\r\n    IMPLEMENTATION_COLOR_READ_TYPE: number;\r\n    INCR: number;\r\n    INCR_WRAP: number;\r\n    INT: number;\r\n    INT_VEC2: number;\r\n    INT_VEC3: number;\r\n    INT_VEC4: number;\r\n    INVALID_ENUM: number;\r\n    INVALID_FRAMEBUFFER_OPERATION: number;\r\n    INVALID_OPERATION: number;\r\n    INVALID_VALUE: number;\r\n    INVERT: number;\r\n    KEEP: number;\r\n    LEQUAL: number;\r\n    LESS: number;\r\n    LINEAR: number;\r\n    LINEAR_MIPMAP_LINEAR: number;\r\n    LINEAR_MIPMAP_NEAREST: number;\r\n    LINES: number;\r\n    LINE_LOOP: number;\r\n    LINE_STRIP: number;\r\n    LINE_WIDTH: number;\r\n    LINK_STATUS: number;\r\n    LOW_FLOAT: number;\r\n    LOW_INT: number;\r\n    LUMINANCE: number;\r\n    LUMINANCE_ALPHA: number;\r\n    MAX_COMBINED_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_CUBE_MAP_TEXTURE_SIZE: number;\r\n    MAX_FRAGMENT_UNIFORM_VECTORS: number;\r\n    MAX_RENDERBUFFER_SIZE: number;\r\n    MAX_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_TEXTURE_SIZE: number;\r\n    MAX_VARYING_VECTORS: number;\r\n    MAX_VERTEX_ATTRIBS: number;\r\n    MAX_VERTEX_TEXTURE_IMAGE_UNITS: number;\r\n    MAX_VERTEX_UNIFORM_VECTORS: number;\r\n    MAX_VIEWPORT_DIMS: number;\r\n    MEDIUM_FLOAT: number;\r\n    MEDIUM_INT: number;\r\n    MIRRORED_REPEAT: number;\r\n    NEAREST: number;\r\n    NEAREST_MIPMAP_LINEAR: number;\r\n    NEAREST_MIPMAP_NEAREST: number;\r\n    NEVER: number;\r\n    NICEST: number;\r\n    NONE: number;\r\n    NOTEQUAL: number;\r\n    NO_ERROR: number;\r\n    ONE: number;\r\n    ONE_MINUS_CONSTANT_ALPHA: number;\r\n    ONE_MINUS_CONSTANT_COLOR: number;\r\n    ONE_MINUS_DST_ALPHA: number;\r\n    ONE_MINUS_DST_COLOR: number;\r\n    ONE_MINUS_SRC_ALPHA: number;\r\n    ONE_MINUS_SRC_COLOR: number;\r\n    OUT_OF_MEMORY: number;\r\n    PACK_ALIGNMENT: number;\r\n    POINTS: number;\r\n    POLYGON_OFFSET_FACTOR: number;\r\n    POLYGON_OFFSET_FILL: number;\r\n    POLYGON_OFFSET_UNITS: number;\r\n    RED_BITS: number;\r\n    RENDERBUFFER: number;\r\n    RENDERBUFFER_ALPHA_SIZE: number;\r\n    RENDERBUFFER_BINDING: number;\r\n    RENDERBUFFER_BLUE_SIZE: number;\r\n    RENDERBUFFER_DEPTH_SIZE: number;\r\n    RENDERBUFFER_GREEN_SIZE: number;\r\n    RENDERBUFFER_HEIGHT: number;\r\n    RENDERBUFFER_INTERNAL_FORMAT: number;\r\n    RENDERBUFFER_RED_SIZE: number;\r\n    RENDERBUFFER_STENCIL_SIZE: number;\r\n    RENDERBUFFER_WIDTH: number;\r\n    RENDERER: number;\r\n    REPEAT: number;\r\n    REPLACE: number;\r\n    RGB: number;\r\n    RGB565: number;\r\n    RGB5_A1: number;\r\n    RGBA: number;\r\n    RGBA4: number;\r\n    SAMPLER_2D: number;\r\n    SAMPLER_CUBE: number;\r\n    SAMPLES: number;\r\n    SAMPLE_ALPHA_TO_COVERAGE: number;\r\n    SAMPLE_BUFFERS: number;\r\n    SAMPLE_COVERAGE: number;\r\n    SAMPLE_COVERAGE_INVERT: number;\r\n    SAMPLE_COVERAGE_VALUE: number;\r\n    SCISSOR_BOX: number;\r\n    SCISSOR_TEST: number;\r\n    SHADER_TYPE: number;\r\n    SHADING_LANGUAGE_VERSION: number;\r\n    SHORT: number;\r\n    SRC_ALPHA: number;\r\n    SRC_ALPHA_SATURATE: number;\r\n    SRC_COLOR: number;\r\n    STATIC_DRAW: number;\r\n    STENCIL_ATTACHMENT: number;\r\n    STENCIL_BACK_FAIL: number;\r\n    STENCIL_BACK_FUNC: number;\r\n    STENCIL_BACK_PASS_DEPTH_FAIL: number;\r\n    STENCIL_BACK_PASS_DEPTH_PASS: number;\r\n    STENCIL_BACK_REF: number;\r\n    STENCIL_BACK_VALUE_MASK: number;\r\n    STENCIL_BACK_WRITEMASK: number;\r\n    STENCIL_BITS: number;\r\n    STENCIL_BUFFER_BIT: number;\r\n    STENCIL_CLEAR_VALUE: number;\r\n    STENCIL_FAIL: number;\r\n    STENCIL_FUNC: number;\r\n    STENCIL_INDEX: number;\r\n    STENCIL_INDEX8: number;\r\n    STENCIL_PASS_DEPTH_FAIL: number;\r\n    STENCIL_PASS_DEPTH_PASS: number;\r\n    STENCIL_REF: number;\r\n    STENCIL_TEST: number;\r\n    STENCIL_VALUE_MASK: number;\r\n    STENCIL_WRITEMASK: number;\r\n    STREAM_DRAW: number;\r\n    SUBPIXEL_BITS: number;\r\n    TEXTURE: number;\r\n    TEXTURE0: number;\r\n    TEXTURE1: number;\r\n    TEXTURE10: number;\r\n    TEXTURE11: number;\r\n    TEXTURE12: number;\r\n    TEXTURE13: number;\r\n    TEXTURE14: number;\r\n    TEXTURE15: number;\r\n    TEXTURE16: number;\r\n    TEXTURE17: number;\r\n    TEXTURE18: number;\r\n    TEXTURE19: number;\r\n    TEXTURE2: number;\r\n    TEXTURE20: number;\r\n    TEXTURE21: number;\r\n    TEXTURE22: number;\r\n    TEXTURE23: number;\r\n    TEXTURE24: number;\r\n    TEXTURE25: number;\r\n    TEXTURE26: number;\r\n    TEXTURE27: number;\r\n    TEXTURE28: number;\r\n    TEXTURE29: number;\r\n    TEXTURE3: number;\r\n    TEXTURE30: number;\r\n    TEXTURE31: number;\r\n    TEXTURE4: number;\r\n    TEXTURE5: number;\r\n    TEXTURE6: number;\r\n    TEXTURE7: number;\r\n    TEXTURE8: number;\r\n    TEXTURE9: number;\r\n    TEXTURE_2D: number;\r\n    TEXTURE_BINDING_2D: number;\r\n    TEXTURE_BINDING_CUBE_MAP: number;\r\n    TEXTURE_CUBE_MAP: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_X: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_Y: number;\r\n    TEXTURE_CUBE_MAP_NEGATIVE_Z: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_X: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_Y: number;\r\n    TEXTURE_CUBE_MAP_POSITIVE_Z: number;\r\n    TEXTURE_MAG_FILTER: number;\r\n    TEXTURE_MIN_FILTER: number;\r\n    TEXTURE_WRAP_S: number;\r\n    TEXTURE_WRAP_T: number;\r\n    TRIANGLES: number;\r\n    TRIANGLE_FAN: number;\r\n    TRIANGLE_STRIP: number;\r\n    UNPACK_ALIGNMENT: number;\r\n    UNPACK_COLORSPACE_CONVERSION_WEBGL: number;\r\n    UNPACK_FLIP_Y_WEBGL: number;\r\n    UNPACK_PREMULTIPLY_ALPHA_WEBGL: number;\r\n    UNSIGNED_BYTE: number;\r\n    UNSIGNED_INT: number;\r\n    UNSIGNED_SHORT: number;\r\n    UNSIGNED_SHORT_4_4_4_4: number;\r\n    UNSIGNED_SHORT_5_5_5_1: number;\r\n    UNSIGNED_SHORT_5_6_5: number;\r\n    VALIDATE_STATUS: number;\r\n    VENDOR: number;\r\n    VERSION: number;\r\n    VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: number;\r\n    VERTEX_ATTRIB_ARRAY_ENABLED: number;\r\n    VERTEX_ATTRIB_ARRAY_NORMALIZED: number;\r\n    VERTEX_ATTRIB_ARRAY_POINTER: number;\r\n    VERTEX_ATTRIB_ARRAY_SIZE: number;\r\n    VERTEX_ATTRIB_ARRAY_STRIDE: number;\r\n    VERTEX_ATTRIB_ARRAY_TYPE: number;\r\n    VERTEX_SHADER: number;\r\n    VIEWPORT: number;\r\n    ZERO: number;\r\n}\r\n\r\ninterface WebGLShader extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLShader: {\r\n    prototype: WebGLShader;\r\n    new(): WebGLShader;\r\n}\r\n\r\ninterface WebGLShaderPrecisionFormat {\r\n    precision: number;\r\n    rangeMax: number;\r\n    rangeMin: number;\r\n}\r\n\r\ndeclare var WebGLShaderPrecisionFormat: {\r\n    prototype: WebGLShaderPrecisionFormat;\r\n    new(): WebGLShaderPrecisionFormat;\r\n}\r\n\r\ninterface WebGLTexture extends WebGLObject {\r\n}\r\n\r\ndeclare var WebGLTexture: {\r\n    prototype: WebGLTexture;\r\n    new(): WebGLTexture;\r\n}\r\n\r\ninterface WebGLUniformLocation {\r\n}\r\n\r\ndeclare var WebGLUniformLocation: {\r\n    prototype: WebGLUniformLocation;\r\n    new(): WebGLUniformLocation;\r\n}\r\n\r\ninterface WebKitCSSMatrix {\r\n    a: number;\r\n    b: number;\r\n    c: number;\r\n    d: number;\r\n    e: number;\r\n    f: number;\r\n    m11: number;\r\n    m12: number;\r\n    m13: number;\r\n    m14: number;\r\n    m21: number;\r\n    m22: number;\r\n    m23: number;\r\n    m24: number;\r\n    m31: number;\r\n    m32: number;\r\n    m33: number;\r\n    m34: number;\r\n    m41: number;\r\n    m42: number;\r\n    m43: number;\r\n    m44: number;\r\n    inverse(): WebKitCSSMatrix;\r\n    multiply(secondMatrix: WebKitCSSMatrix): WebKitCSSMatrix;\r\n    rotate(angleX: number, angleY?: number, angleZ?: number): WebKitCSSMatrix;\r\n    rotateAxisAngle(x: number, y: number, z: number, angle: number): WebKitCSSMatrix;\r\n    scale(scaleX: number, scaleY?: number, scaleZ?: number): WebKitCSSMatrix;\r\n    setMatrixValue(value: string): void;\r\n    skewX(angle: number): WebKitCSSMatrix;\r\n    skewY(angle: number): WebKitCSSMatrix;\r\n    toString(): string;\r\n    translate(x: number, y: number, z?: number): WebKitCSSMatrix;\r\n}\r\n\r\ndeclare var WebKitCSSMatrix: {\r\n    prototype: WebKitCSSMatrix;\r\n    new(text?: string): WebKitCSSMatrix;\r\n}\r\n\r\ninterface WebKitPoint {\r\n    x: number;\r\n    y: number;\r\n}\r\n\r\ndeclare var WebKitPoint: {\r\n    prototype: WebKitPoint;\r\n    new(x?: number, y?: number): WebKitPoint;\r\n}\r\n\r\ninterface WebSocket extends EventTarget {\r\n    binaryType: string;\r\n    bufferedAmount: number;\r\n    extensions: string;\r\n    onclose: (ev: CloseEvent) => any;\r\n    onerror: (ev: Event) => any;\r\n    onmessage: (ev: MessageEvent) => any;\r\n    onopen: (ev: Event) => any;\r\n    protocol: string;\r\n    readyState: number;\r\n    url: string;\r\n    close(code?: number, reason?: string): void;\r\n    send(data: any): void;\r\n    CLOSED: number;\r\n    CLOSING: number;\r\n    CONNECTING: number;\r\n    OPEN: number;\r\n    addEventListener(type: "close", listener: (ev: CloseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "open", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var WebSocket: {\r\n    prototype: WebSocket;\r\n    new(url: string, protocols?: string | string[]): WebSocket;\r\n    CLOSED: number;\r\n    CLOSING: number;\r\n    CONNECTING: number;\r\n    OPEN: number;\r\n}\r\n\r\ninterface WheelEvent extends MouseEvent {\r\n    deltaMode: number;\r\n    deltaX: number;\r\n    deltaY: number;\r\n    deltaZ: number;\r\n    getCurrentPoint(element: Element): void;\r\n    initWheelEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, buttonArg: number, relatedTargetArg: EventTarget, modifiersListArg: string, deltaXArg: number, deltaYArg: number, deltaZArg: number, deltaMode: number): void;\r\n    DOM_DELTA_LINE: number;\r\n    DOM_DELTA_PAGE: number;\r\n    DOM_DELTA_PIXEL: number;\r\n}\r\n\r\ndeclare var WheelEvent: {\r\n    prototype: WheelEvent;\r\n    new(typeArg: string, eventInitDict?: WheelEventInit): WheelEvent;\r\n    DOM_DELTA_LINE: number;\r\n    DOM_DELTA_PAGE: number;\r\n    DOM_DELTA_PIXEL: number;\r\n}\r\n\r\ninterface Window extends EventTarget, WindowTimers, WindowSessionStorage, WindowLocalStorage, WindowConsole, GlobalEventHandlers, IDBEnvironment, WindowBase64 {\r\n    animationStartTime: number;\r\n    applicationCache: ApplicationCache;\r\n    clientInformation: Navigator;\r\n    closed: boolean;\r\n    crypto: Crypto;\r\n    defaultStatus: string;\r\n    devicePixelRatio: number;\r\n    doNotTrack: string;\r\n    document: Document;\r\n    event: Event;\r\n    external: External;\r\n    frameElement: Element;\r\n    frames: Window;\r\n    history: History;\r\n    innerHeight: number;\r\n    innerWidth: number;\r\n    length: number;\r\n    location: Location;\r\n    locationbar: BarProp;\r\n    menubar: BarProp;\r\n    msAnimationStartTime: number;\r\n    name: string;\r\n    navigator: Navigator;\r\n    offscreenBuffering: string | boolean;\r\n    onabort: (ev: Event) => any;\r\n    onafterprint: (ev: Event) => any;\r\n    onbeforeprint: (ev: Event) => any;\r\n    onbeforeunload: (ev: BeforeUnloadEvent) => any;\r\n    onblur: (ev: FocusEvent) => any;\r\n    oncanplay: (ev: Event) => any;\r\n    oncanplaythrough: (ev: Event) => any;\r\n    onchange: (ev: Event) => any;\r\n    onclick: (ev: MouseEvent) => any;\r\n    oncompassneedscalibration: (ev: Event) => any;\r\n    oncontextmenu: (ev: PointerEvent) => any;\r\n    ondblclick: (ev: MouseEvent) => any;\r\n    ondevicemotion: (ev: DeviceMotionEvent) => any;\r\n    ondeviceorientation: (ev: DeviceOrientationEvent) => any;\r\n    ondrag: (ev: DragEvent) => any;\r\n    ondragend: (ev: DragEvent) => any;\r\n    ondragenter: (ev: DragEvent) => any;\r\n    ondragleave: (ev: DragEvent) => any;\r\n    ondragover: (ev: DragEvent) => any;\r\n    ondragstart: (ev: DragEvent) => any;\r\n    ondrop: (ev: DragEvent) => any;\r\n    ondurationchange: (ev: Event) => any;\r\n    onemptied: (ev: Event) => any;\r\n    onended: (ev: Event) => any;\r\n    onerror: ErrorEventHandler;\r\n    onfocus: (ev: FocusEvent) => any;\r\n    onhashchange: (ev: HashChangeEvent) => any;\r\n    oninput: (ev: Event) => any;\r\n    onkeydown: (ev: KeyboardEvent) => any;\r\n    onkeypress: (ev: KeyboardEvent) => any;\r\n    onkeyup: (ev: KeyboardEvent) => any;\r\n    onload: (ev: Event) => any;\r\n    onloadeddata: (ev: Event) => any;\r\n    onloadedmetadata: (ev: Event) => any;\r\n    onloadstart: (ev: Event) => any;\r\n    onmessage: (ev: MessageEvent) => any;\r\n    onmousedown: (ev: MouseEvent) => any;\r\n    onmouseenter: (ev: MouseEvent) => any;\r\n    onmouseleave: (ev: MouseEvent) => any;\r\n    onmousemove: (ev: MouseEvent) => any;\r\n    onmouseout: (ev: MouseEvent) => any;\r\n    onmouseover: (ev: MouseEvent) => any;\r\n    onmouseup: (ev: MouseEvent) => any;\r\n    onmousewheel: (ev: MouseWheelEvent) => any;\r\n    onmsgesturechange: (ev: MSGestureEvent) => any;\r\n    onmsgesturedoubletap: (ev: MSGestureEvent) => any;\r\n    onmsgestureend: (ev: MSGestureEvent) => any;\r\n    onmsgesturehold: (ev: MSGestureEvent) => any;\r\n    onmsgesturestart: (ev: MSGestureEvent) => any;\r\n    onmsgesturetap: (ev: MSGestureEvent) => any;\r\n    onmsinertiastart: (ev: MSGestureEvent) => any;\r\n    onmspointercancel: (ev: MSPointerEvent) => any;\r\n    onmspointerdown: (ev: MSPointerEvent) => any;\r\n    onmspointerenter: (ev: MSPointerEvent) => any;\r\n    onmspointerleave: (ev: MSPointerEvent) => any;\r\n    onmspointermove: (ev: MSPointerEvent) => any;\r\n    onmspointerout: (ev: MSPointerEvent) => any;\r\n    onmspointerover: (ev: MSPointerEvent) => any;\r\n    onmspointerup: (ev: MSPointerEvent) => any;\r\n    onoffline: (ev: Event) => any;\r\n    ononline: (ev: Event) => any;\r\n    onorientationchange: (ev: Event) => any;\r\n    onpagehide: (ev: PageTransitionEvent) => any;\r\n    onpageshow: (ev: PageTransitionEvent) => any;\r\n    onpause: (ev: Event) => any;\r\n    onplay: (ev: Event) => any;\r\n    onplaying: (ev: Event) => any;\r\n    onpopstate: (ev: PopStateEvent) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    onratechange: (ev: Event) => any;\r\n    onreadystatechange: (ev: ProgressEvent) => any;\r\n    onreset: (ev: Event) => any;\r\n    onresize: (ev: UIEvent) => any;\r\n    onscroll: (ev: UIEvent) => any;\r\n    onseeked: (ev: Event) => any;\r\n    onseeking: (ev: Event) => any;\r\n    onselect: (ev: UIEvent) => any;\r\n    onstalled: (ev: Event) => any;\r\n    onstorage: (ev: StorageEvent) => any;\r\n    onsubmit: (ev: Event) => any;\r\n    onsuspend: (ev: Event) => any;\r\n    ontimeupdate: (ev: Event) => any;\r\n    ontouchcancel: any;\r\n    ontouchend: any;\r\n    ontouchmove: any;\r\n    ontouchstart: any;\r\n    onunload: (ev: Event) => any;\r\n    onvolumechange: (ev: Event) => any;\r\n    onwaiting: (ev: Event) => any;\r\n    opener: Window;\r\n    orientation: string | number;\r\n    outerHeight: number;\r\n    outerWidth: number;\r\n    pageXOffset: number;\r\n    pageYOffset: number;\r\n    parent: Window;\r\n    performance: Performance;\r\n    personalbar: BarProp;\r\n    screen: Screen;\r\n    screenLeft: number;\r\n    screenTop: number;\r\n    screenX: number;\r\n    screenY: number;\r\n    scrollX: number;\r\n    scrollY: number;\r\n    scrollbars: BarProp;\r\n    self: Window;\r\n    status: string;\r\n    statusbar: BarProp;\r\n    styleMedia: StyleMedia;\r\n    toolbar: BarProp;\r\n    top: Window;\r\n    window: Window;\r\n    URL: URL;\r\n    alert(message?: any): void;\r\n    blur(): void;\r\n    cancelAnimationFrame(handle: number): void;\r\n    captureEvents(): void;\r\n    close(): void;\r\n    confirm(message?: string): boolean;\r\n    focus(): void;\r\n    getComputedStyle(elt: Element, pseudoElt?: string): CSSStyleDeclaration;\r\n    getMatchedCSSRules(elt: Element, pseudoElt?: string): CSSRuleList;\r\n    getSelection(): Selection;\r\n    matchMedia(mediaQuery: string): MediaQueryList;\r\n    moveBy(x?: number, y?: number): void;\r\n    moveTo(x?: number, y?: number): void;\r\n    msCancelRequestAnimationFrame(handle: number): void;\r\n    msMatchMedia(mediaQuery: string): MediaQueryList;\r\n    msRequestAnimationFrame(callback: FrameRequestCallback): number;\r\n    msWriteProfilerMark(profilerMarkName: string): void;\r\n    open(url?: string, target?: string, features?: string, replace?: boolean): Window;\r\n    postMessage(message: any, targetOrigin: string, ports?: any): void;\r\n    print(): void;\r\n    prompt(message?: string, _default?: string): string;\r\n    releaseEvents(): void;\r\n    requestAnimationFrame(callback: FrameRequestCallback): number;\r\n    resizeBy(x?: number, y?: number): void;\r\n    resizeTo(x?: number, y?: number): void;\r\n    scroll(x?: number, y?: number): void;\r\n    scrollBy(x?: number, y?: number): void;\r\n    scrollTo(x?: number, y?: number): void;\r\n    webkitConvertPointFromNodeToPage(node: Node, pt: WebKitPoint): WebKitPoint;\r\n    webkitConvertPointFromPageToNode(node: Node, pt: WebKitPoint): WebKitPoint;\r\n    addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "afterprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "beforeunload", listener: (ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "compassneedscalibration", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "devicemotion", listener: (ev: DeviceMotionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "deviceorientation", listener: (ev: DeviceOrientationEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "hashchange", listener: (ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "offline", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "online", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "orientationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pagehide", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pageshow", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "popstate", listener: (ev: PopStateEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "readystatechange", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "storage", listener: (ev: StorageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "unload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n    [index: number]: Window;\r\n}\r\n\r\ndeclare var Window: {\r\n    prototype: Window;\r\n    new(): Window;\r\n}\r\n\r\ninterface Worker extends EventTarget, AbstractWorker {\r\n    onmessage: (ev: MessageEvent) => any;\r\n    postMessage(message: any, ports?: any): void;\r\n    terminate(): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var Worker: {\r\n    prototype: Worker;\r\n    new(stringUrl: string): Worker;\r\n}\r\n\r\ninterface XMLDocument extends Document {\r\n}\r\n\r\ndeclare var XMLDocument: {\r\n    prototype: XMLDocument;\r\n    new(): XMLDocument;\r\n}\r\n\r\ninterface XMLHttpRequest extends EventTarget, XMLHttpRequestEventTarget {\r\n    msCaching: string;\r\n    onreadystatechange: (ev: ProgressEvent) => any;\r\n    readyState: number;\r\n    response: any;\r\n    responseBody: any;\r\n    responseText: string;\r\n    responseType: string;\r\n    responseXML: any;\r\n    status: number;\r\n    statusText: string;\r\n    timeout: number;\r\n    upload: XMLHttpRequestUpload;\r\n    withCredentials: boolean;\r\n    abort(): void;\r\n    getAllResponseHeaders(): string;\r\n    getResponseHeader(header: string): string;\r\n    msCachingEnabled(): boolean;\r\n    open(method: string, url: string, async?: boolean, user?: string, password?: string): void;\r\n    overrideMimeType(mime: string): void;\r\n    send(data?: Document): void;\r\n    send(data?: string): void;\r\n    send(data?: any): void;\r\n    setRequestHeader(header: string, value: string): void;\r\n    DONE: number;\r\n    HEADERS_RECEIVED: number;\r\n    LOADING: number;\r\n    OPENED: number;\r\n    UNSENT: number;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadend", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "readystatechange", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeout", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var XMLHttpRequest: {\r\n    prototype: XMLHttpRequest;\r\n    new(): XMLHttpRequest;\r\n    DONE: number;\r\n    HEADERS_RECEIVED: number;\r\n    LOADING: number;\r\n    OPENED: number;\r\n    UNSENT: number;\r\n    create(): XMLHttpRequest;\r\n}\r\n\r\ninterface XMLHttpRequestUpload extends EventTarget, XMLHttpRequestEventTarget {\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ndeclare var XMLHttpRequestUpload: {\r\n    prototype: XMLHttpRequestUpload;\r\n    new(): XMLHttpRequestUpload;\r\n}\r\n\r\ninterface XMLSerializer {\r\n    serializeToString(target: Node): string;\r\n}\r\n\r\ndeclare var XMLSerializer: {\r\n    prototype: XMLSerializer;\r\n    new(): XMLSerializer;\r\n}\r\n\r\ninterface XPathEvaluator {\r\n    createExpression(expression: string, resolver: XPathNSResolver): XPathExpression;\r\n    createNSResolver(nodeResolver?: Node): XPathNSResolver;\r\n    evaluate(expression: string, contextNode: Node, resolver: XPathNSResolver, type: number, result: XPathResult): XPathResult;\r\n}\r\n\r\ndeclare var XPathEvaluator: {\r\n    prototype: XPathEvaluator;\r\n    new(): XPathEvaluator;\r\n}\r\n\r\ninterface XPathExpression {\r\n    evaluate(contextNode: Node, type: number, result: XPathResult): XPathExpression;\r\n}\r\n\r\ndeclare var XPathExpression: {\r\n    prototype: XPathExpression;\r\n    new(): XPathExpression;\r\n}\r\n\r\ninterface XPathNSResolver {\r\n    lookupNamespaceURI(prefix: string): string;\r\n}\r\n\r\ndeclare var XPathNSResolver: {\r\n    prototype: XPathNSResolver;\r\n    new(): XPathNSResolver;\r\n}\r\n\r\ninterface XPathResult {\r\n    booleanValue: boolean;\r\n    invalidIteratorState: boolean;\r\n    numberValue: number;\r\n    resultType: number;\r\n    singleNodeValue: Node;\r\n    snapshotLength: number;\r\n    stringValue: string;\r\n    iterateNext(): Node;\r\n    snapshotItem(index: number): Node;\r\n    ANY_TYPE: number;\r\n    ANY_UNORDERED_NODE_TYPE: number;\r\n    BOOLEAN_TYPE: number;\r\n    FIRST_ORDERED_NODE_TYPE: number;\r\n    NUMBER_TYPE: number;\r\n    ORDERED_NODE_ITERATOR_TYPE: number;\r\n    ORDERED_NODE_SNAPSHOT_TYPE: number;\r\n    STRING_TYPE: number;\r\n    UNORDERED_NODE_ITERATOR_TYPE: number;\r\n    UNORDERED_NODE_SNAPSHOT_TYPE: number;\r\n}\r\n\r\ndeclare var XPathResult: {\r\n    prototype: XPathResult;\r\n    new(): XPathResult;\r\n    ANY_TYPE: number;\r\n    ANY_UNORDERED_NODE_TYPE: number;\r\n    BOOLEAN_TYPE: number;\r\n    FIRST_ORDERED_NODE_TYPE: number;\r\n    NUMBER_TYPE: number;\r\n    ORDERED_NODE_ITERATOR_TYPE: number;\r\n    ORDERED_NODE_SNAPSHOT_TYPE: number;\r\n    STRING_TYPE: number;\r\n    UNORDERED_NODE_ITERATOR_TYPE: number;\r\n    UNORDERED_NODE_SNAPSHOT_TYPE: number;\r\n}\r\n\r\ninterface XSLTProcessor {\r\n    clearParameters(): void;\r\n    getParameter(namespaceURI: string, localName: string): any;\r\n    importStylesheet(style: Node): void;\r\n    removeParameter(namespaceURI: string, localName: string): void;\r\n    reset(): void;\r\n    setParameter(namespaceURI: string, localName: string, value: any): void;\r\n    transformToDocument(source: Node): Document;\r\n    transformToFragment(source: Node, document: Document): DocumentFragment;\r\n}\r\n\r\ndeclare var XSLTProcessor: {\r\n    prototype: XSLTProcessor;\r\n    new(): XSLTProcessor;\r\n}\r\n\r\ninterface AbstractWorker {\r\n    onerror: (ev: Event) => any;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface ChildNode {\r\n    remove(): void;\r\n}\r\n\r\ninterface DOML2DeprecatedColorProperty {\r\n    color: string;\r\n}\r\n\r\ninterface DOML2DeprecatedSizeProperty {\r\n    size: number;\r\n}\r\n\r\ninterface DocumentEvent {\r\n    createEvent(eventInterface:"AnimationEvent"): AnimationEvent;\r\n    createEvent(eventInterface:"AriaRequestEvent"): AriaRequestEvent;\r\n    createEvent(eventInterface:"AudioProcessingEvent"): AudioProcessingEvent;\r\n    createEvent(eventInterface:"BeforeUnloadEvent"): BeforeUnloadEvent;\r\n    createEvent(eventInterface:"ClipboardEvent"): ClipboardEvent;\r\n    createEvent(eventInterface:"CloseEvent"): CloseEvent;\r\n    createEvent(eventInterface:"CommandEvent"): CommandEvent;\r\n    createEvent(eventInterface:"CompositionEvent"): CompositionEvent;\r\n    createEvent(eventInterface:"CustomEvent"): CustomEvent;\r\n    createEvent(eventInterface:"DeviceMotionEvent"): DeviceMotionEvent;\r\n    createEvent(eventInterface:"DeviceOrientationEvent"): DeviceOrientationEvent;\r\n    createEvent(eventInterface:"DragEvent"): DragEvent;\r\n    createEvent(eventInterface:"ErrorEvent"): ErrorEvent;\r\n    createEvent(eventInterface:"Event"): Event;\r\n    createEvent(eventInterface:"Events"): Event;\r\n    createEvent(eventInterface:"FocusEvent"): FocusEvent;\r\n    createEvent(eventInterface:"GamepadEvent"): GamepadEvent;\r\n    createEvent(eventInterface:"HashChangeEvent"): HashChangeEvent;\r\n    createEvent(eventInterface:"IDBVersionChangeEvent"): IDBVersionChangeEvent;\r\n    createEvent(eventInterface:"KeyboardEvent"): KeyboardEvent;\r\n    createEvent(eventInterface:"LongRunningScriptDetectedEvent"): LongRunningScriptDetectedEvent;\r\n    createEvent(eventInterface:"MSGestureEvent"): MSGestureEvent;\r\n    createEvent(eventInterface:"MSManipulationEvent"): MSManipulationEvent;\r\n    createEvent(eventInterface:"MSMediaKeyMessageEvent"): MSMediaKeyMessageEvent;\r\n    createEvent(eventInterface:"MSMediaKeyNeededEvent"): MSMediaKeyNeededEvent;\r\n    createEvent(eventInterface:"MSPointerEvent"): MSPointerEvent;\r\n    createEvent(eventInterface:"MSSiteModeEvent"): MSSiteModeEvent;\r\n    createEvent(eventInterface:"MessageEvent"): MessageEvent;\r\n    createEvent(eventInterface:"MouseEvent"): MouseEvent;\r\n    createEvent(eventInterface:"MouseEvents"): MouseEvent;\r\n    createEvent(eventInterface:"MouseWheelEvent"): MouseWheelEvent;\r\n    createEvent(eventInterface:"MutationEvent"): MutationEvent;\r\n    createEvent(eventInterface:"MutationEvents"): MutationEvent;\r\n    createEvent(eventInterface:"NavigationCompletedEvent"): NavigationCompletedEvent;\r\n    createEvent(eventInterface:"NavigationEvent"): NavigationEvent;\r\n    createEvent(eventInterface:"NavigationEventWithReferrer"): NavigationEventWithReferrer;\r\n    createEvent(eventInterface:"OfflineAudioCompletionEvent"): OfflineAudioCompletionEvent;\r\n    createEvent(eventInterface:"PageTransitionEvent"): PageTransitionEvent;\r\n    createEvent(eventInterface:"PermissionRequestedEvent"): PermissionRequestedEvent;\r\n    createEvent(eventInterface:"PointerEvent"): PointerEvent;\r\n    createEvent(eventInterface:"PopStateEvent"): PopStateEvent;\r\n    createEvent(eventInterface:"ProgressEvent"): ProgressEvent;\r\n    createEvent(eventInterface:"SVGZoomEvent"): SVGZoomEvent;\r\n    createEvent(eventInterface:"SVGZoomEvents"): SVGZoomEvent;\r\n    createEvent(eventInterface:"ScriptNotifyEvent"): ScriptNotifyEvent;\r\n    createEvent(eventInterface:"StorageEvent"): StorageEvent;\r\n    createEvent(eventInterface:"TextEvent"): TextEvent;\r\n    createEvent(eventInterface:"TouchEvent"): TouchEvent;\r\n    createEvent(eventInterface:"TrackEvent"): TrackEvent;\r\n    createEvent(eventInterface:"TransitionEvent"): TransitionEvent;\r\n    createEvent(eventInterface:"UIEvent"): UIEvent;\r\n    createEvent(eventInterface:"UIEvents"): UIEvent;\r\n    createEvent(eventInterface:"UnviewableContentIdentifiedEvent"): UnviewableContentIdentifiedEvent;\r\n    createEvent(eventInterface:"WebGLContextEvent"): WebGLContextEvent;\r\n    createEvent(eventInterface:"WheelEvent"): WheelEvent;\r\n    createEvent(eventInterface: string): Event;\r\n}\r\n\r\ninterface ElementTraversal {\r\n    childElementCount: number;\r\n    firstElementChild: Element;\r\n    lastElementChild: Element;\r\n    nextElementSibling: Element;\r\n    previousElementSibling: Element;\r\n}\r\n\r\ninterface GetSVGDocument {\r\n    getSVGDocument(): Document;\r\n}\r\n\r\ninterface GlobalEventHandlers {\r\n    onpointercancel: (ev: PointerEvent) => any;\r\n    onpointerdown: (ev: PointerEvent) => any;\r\n    onpointerenter: (ev: PointerEvent) => any;\r\n    onpointerleave: (ev: PointerEvent) => any;\r\n    onpointermove: (ev: PointerEvent) => any;\r\n    onpointerout: (ev: PointerEvent) => any;\r\n    onpointerover: (ev: PointerEvent) => any;\r\n    onpointerup: (ev: PointerEvent) => any;\r\n    onwheel: (ev: WheelEvent) => any;\r\n    addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface HTMLTableAlignment {\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own ch functionality for the object.\r\n      */\r\n    ch: string;\r\n    /**\r\n      * Sets or retrieves a value that you can use to implement your own chOff functionality for the object.\r\n      */\r\n    chOff: string;\r\n    /**\r\n      * Sets or retrieves how text and other content are vertically aligned within the object that contains them.\r\n      */\r\n    vAlign: string;\r\n}\r\n\r\ninterface IDBEnvironment {\r\n    indexedDB: IDBFactory;\r\n    msIndexedDB: IDBFactory;\r\n}\r\n\r\ninterface LinkStyle {\r\n    sheet: StyleSheet;\r\n}\r\n\r\ninterface MSBaseReader {\r\n    onabort: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onload: (ev: Event) => any;\r\n    onloadend: (ev: ProgressEvent) => any;\r\n    onloadstart: (ev: Event) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    readyState: number;\r\n    result: any;\r\n    abort(): void;\r\n    DONE: number;\r\n    EMPTY: number;\r\n    LOADING: number;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadend", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface MSFileSaver {\r\n    msSaveBlob(blob: any, defaultName?: string): boolean;\r\n    msSaveOrOpenBlob(blob: any, defaultName?: string): boolean;\r\n}\r\n\r\ninterface MSNavigatorDoNotTrack {\r\n    confirmSiteSpecificTrackingException(args: ConfirmSiteSpecificExceptionsInformation): boolean;\r\n    confirmWebWideTrackingException(args: ExceptionInformation): boolean;\r\n    removeSiteSpecificTrackingException(args: ExceptionInformation): void;\r\n    removeWebWideTrackingException(args: ExceptionInformation): void;\r\n    storeSiteSpecificTrackingException(args: StoreSiteSpecificExceptionsInformation): void;\r\n    storeWebWideTrackingException(args: StoreExceptionsInformation): void;\r\n}\r\n\r\ninterface NavigatorContentUtils {\r\n}\r\n\r\ninterface NavigatorGeolocation {\r\n    geolocation: Geolocation;\r\n}\r\n\r\ninterface NavigatorID {\r\n    appName: string;\r\n    appVersion: string;\r\n    platform: string;\r\n    product: string;\r\n    productSub: string;\r\n    userAgent: string;\r\n    vendor: string;\r\n    vendorSub: string;\r\n}\r\n\r\ninterface NavigatorOnLine {\r\n    onLine: boolean;\r\n}\r\n\r\ninterface NavigatorStorageUtils {\r\n}\r\n\r\ninterface NodeSelector {\r\n    querySelector(selectors: string): Element;\r\n    querySelectorAll(selectors: string): NodeListOf<Element>;\r\n}\r\n\r\ninterface RandomSource {\r\n    getRandomValues(array: ArrayBufferView): ArrayBufferView;\r\n}\r\n\r\ninterface SVGAnimatedPathData {\r\n    pathSegList: SVGPathSegList;\r\n}\r\n\r\ninterface SVGAnimatedPoints {\r\n    animatedPoints: SVGPointList;\r\n    points: SVGPointList;\r\n}\r\n\r\ninterface SVGExternalResourcesRequired {\r\n    externalResourcesRequired: SVGAnimatedBoolean;\r\n}\r\n\r\ninterface SVGFilterPrimitiveStandardAttributes extends SVGStylable {\r\n    height: SVGAnimatedLength;\r\n    result: SVGAnimatedString;\r\n    width: SVGAnimatedLength;\r\n    x: SVGAnimatedLength;\r\n    y: SVGAnimatedLength;\r\n}\r\n\r\ninterface SVGFitToViewBox {\r\n    preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\r\n    viewBox: SVGAnimatedRect;\r\n}\r\n\r\ninterface SVGLangSpace {\r\n    xmllang: string;\r\n    xmlspace: string;\r\n}\r\n\r\ninterface SVGLocatable {\r\n    farthestViewportElement: SVGElement;\r\n    nearestViewportElement: SVGElement;\r\n    getBBox(): SVGRect;\r\n    getCTM(): SVGMatrix;\r\n    getScreenCTM(): SVGMatrix;\r\n    getTransformToElement(element: SVGElement): SVGMatrix;\r\n}\r\n\r\ninterface SVGStylable {\r\n    className: any;\r\n    style: CSSStyleDeclaration;\r\n}\r\n\r\ninterface SVGTests {\r\n    requiredExtensions: SVGStringList;\r\n    requiredFeatures: SVGStringList;\r\n    systemLanguage: SVGStringList;\r\n    hasExtension(extension: string): boolean;\r\n}\r\n\r\ninterface SVGTransformable extends SVGLocatable {\r\n    transform: SVGAnimatedTransformList;\r\n}\r\n\r\ninterface SVGURIReference {\r\n    href: SVGAnimatedString;\r\n}\r\n\r\ninterface WindowBase64 {\r\n    atob(encodedString: string): string;\r\n    btoa(rawString: string): string;\r\n}\r\n\r\ninterface WindowConsole {\r\n    console: Console;\r\n}\r\n\r\ninterface WindowLocalStorage {\r\n    localStorage: Storage;\r\n}\r\n\r\ninterface WindowSessionStorage {\r\n    sessionStorage: Storage;\r\n}\r\n\r\ninterface WindowTimers extends Object, WindowTimersExtension {\r\n    clearInterval(handle: number): void;\r\n    clearTimeout(handle: number): void;\r\n    setInterval(handler: any, timeout?: any, ...args: any[]): number;\r\n    setTimeout(handler: any, timeout?: any, ...args: any[]): number;\r\n}\r\n\r\ninterface WindowTimersExtension {\r\n    clearImmediate(handle: number): void;\r\n    msClearImmediate(handle: number): void;\r\n    msSetImmediate(expression: any, ...args: any[]): number;\r\n    setImmediate(expression: any, ...args: any[]): number;\r\n}\r\n\r\ninterface XMLHttpRequestEventTarget {\r\n    onabort: (ev: Event) => any;\r\n    onerror: (ev: Event) => any;\r\n    onload: (ev: Event) => any;\r\n    onloadend: (ev: ProgressEvent) => any;\r\n    onloadstart: (ev: Event) => any;\r\n    onprogress: (ev: ProgressEvent) => any;\r\n    ontimeout: (ev: ProgressEvent) => any;\r\n    addEventListener(type: "abort", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "error", listener: (ev: ErrorEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadend", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: "timeout", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\n}\r\n\r\ninterface StorageEventInit extends EventInit {\r\n    key?: string;\r\n    oldValue?: string;\r\n    newValue?: string;\r\n    url: string;\r\n    storageArea?: Storage;\r\n}\r\n\r\ninterface IDBObjectStoreParameters {\r\n    keyPath?: string | string[];\r\n    autoIncrement?: boolean;\r\n}\r\n\r\ninterface IDBIndexParameters {\r\n    unique?: boolean;\r\n    multiEntry?: boolean;\r\n}\r\n\r\ninterface NodeListOf<TNode extends Node> extends NodeList {\r\n    length: number;\r\n    item(index: number): TNode;\r\n    [index: number]: TNode;\r\n}\r\n\r\ninterface BlobPropertyBag {\r\n    type?: string;\r\n    endings?: string;\r\n}\r\n\r\ninterface FilePropertyBag {\r\n    type?: string;\r\n    lastModified?: number;\r\n}\r\n\r\ninterface EventListenerObject {\r\n    handleEvent(evt: Event): void;\r\n}\r\n\r\ninterface MessageEventInit extends EventInit {\r\n    data?: any;\r\n    origin?: string;\r\n    lastEventId?: string;\r\n    channel?: string;\r\n    source?: any;\r\n    ports?: MessagePort[];\r\n}\r\n\r\ninterface ProgressEventInit extends EventInit {\r\n    lengthComputable?: boolean;\r\n    loaded?: number;\r\n    total?: number;\r\n}\r\n\r\ninterface HTMLTemplateElement extends HTMLElement {\r\n    content: DocumentFragment;\r\n}\r\n\r\ndeclare var HTMLTemplateElement: {\r\n    prototype: HTMLTemplateElement;\r\n    new(): HTMLTemplateElement;\r\n}\r\n\r\ninterface HTMLPictureElement extends HTMLElement {\r\n}\r\n\r\ndeclare var HTMLPictureElement: {\r\n    prototype: HTMLPictureElement;\r\n    new(): HTMLPictureElement;\r\n}\r\n\r\ndeclare type EventListenerOrEventListenerObject = EventListener | EventListenerObject;\r\n\r\ninterface ErrorEventHandler {\r\n    (message: string, filename?: string, lineno?: number, colno?: number, error?:Error): void;\r\n}\r\ninterface PositionCallback {\r\n    (position: Position): void;\r\n}\r\ninterface PositionErrorCallback {\r\n    (error: PositionError): void;\r\n}\r\ninterface MediaQueryListListener {\r\n    (mql: MediaQueryList): void;\r\n}\r\ninterface MSLaunchUriCallback {\r\n    (): void;\r\n}\r\ninterface FrameRequestCallback {\r\n    (time: number): void;\r\n}\r\ninterface MSUnsafeFunctionCallback {\r\n    (): any;\r\n}\r\ninterface MSExecAtPriorityFunctionCallback {\r\n    (...args: any[]): any;\r\n}\r\ninterface MutationCallback {\r\n    (mutations: MutationRecord[], observer: MutationObserver): void;\r\n}\r\ninterface DecodeSuccessCallback {\r\n    (decodedData: AudioBuffer): void;\r\n}\r\ninterface DecodeErrorCallback {\r\n    (): void;\r\n}\r\ninterface FunctionStringCallback {\r\n    (data: string): void;\r\n}\r\ndeclare var Audio: {new(src?: string): HTMLAudioElement; };\r\ndeclare var Image: {new(width?: number, height?: number): HTMLImageElement; };\r\ndeclare var Option: {new(text?: string, value?: string, defaultSelected?: boolean, selected?: boolean): HTMLOptionElement; };\r\ndeclare var animationStartTime: number;\r\ndeclare var applicationCache: ApplicationCache;\r\ndeclare var clientInformation: Navigator;\r\ndeclare var closed: boolean;\r\ndeclare var crypto: Crypto;\r\ndeclare var defaultStatus: string;\r\ndeclare var devicePixelRatio: number;\r\ndeclare var doNotTrack: string;\r\ndeclare var document: Document;\r\ndeclare var event: Event;\r\ndeclare var external: External;\r\ndeclare var frameElement: Element;\r\ndeclare var frames: Window;\r\ndeclare var history: History;\r\ndeclare var innerHeight: number;\r\ndeclare var innerWidth: number;\r\ndeclare var length: number;\r\ndeclare var location: Location;\r\ndeclare var locationbar: BarProp;\r\ndeclare var menubar: BarProp;\r\ndeclare var msAnimationStartTime: number;\r\ndeclare var name: string;\r\ndeclare var navigator: Navigator;\r\ndeclare var offscreenBuffering: string | boolean;\r\ndeclare var onabort: (ev: Event) => any;\r\ndeclare var onafterprint: (ev: Event) => any;\r\ndeclare var onbeforeprint: (ev: Event) => any;\r\ndeclare var onbeforeunload: (ev: BeforeUnloadEvent) => any;\r\ndeclare var onblur: (ev: FocusEvent) => any;\r\ndeclare var oncanplay: (ev: Event) => any;\r\ndeclare var oncanplaythrough: (ev: Event) => any;\r\ndeclare var onchange: (ev: Event) => any;\r\ndeclare var onclick: (ev: MouseEvent) => any;\r\ndeclare var oncompassneedscalibration: (ev: Event) => any;\r\ndeclare var oncontextmenu: (ev: PointerEvent) => any;\r\ndeclare var ondblclick: (ev: MouseEvent) => any;\r\ndeclare var ondevicemotion: (ev: DeviceMotionEvent) => any;\r\ndeclare var ondeviceorientation: (ev: DeviceOrientationEvent) => any;\r\ndeclare var ondrag: (ev: DragEvent) => any;\r\ndeclare var ondragend: (ev: DragEvent) => any;\r\ndeclare var ondragenter: (ev: DragEvent) => any;\r\ndeclare var ondragleave: (ev: DragEvent) => any;\r\ndeclare var ondragover: (ev: DragEvent) => any;\r\ndeclare var ondragstart: (ev: DragEvent) => any;\r\ndeclare var ondrop: (ev: DragEvent) => any;\r\ndeclare var ondurationchange: (ev: Event) => any;\r\ndeclare var onemptied: (ev: Event) => any;\r\ndeclare var onended: (ev: Event) => any;\r\ndeclare var onerror: ErrorEventHandler;\r\ndeclare var onfocus: (ev: FocusEvent) => any;\r\ndeclare var onhashchange: (ev: HashChangeEvent) => any;\r\ndeclare var oninput: (ev: Event) => any;\r\ndeclare var onkeydown: (ev: KeyboardEvent) => any;\r\ndeclare var onkeypress: (ev: KeyboardEvent) => any;\r\ndeclare var onkeyup: (ev: KeyboardEvent) => any;\r\ndeclare var onload: (ev: Event) => any;\r\ndeclare var onloadeddata: (ev: Event) => any;\r\ndeclare var onloadedmetadata: (ev: Event) => any;\r\ndeclare var onloadstart: (ev: Event) => any;\r\ndeclare var onmessage: (ev: MessageEvent) => any;\r\ndeclare var onmousedown: (ev: MouseEvent) => any;\r\ndeclare var onmouseenter: (ev: MouseEvent) => any;\r\ndeclare var onmouseleave: (ev: MouseEvent) => any;\r\ndeclare var onmousemove: (ev: MouseEvent) => any;\r\ndeclare var onmouseout: (ev: MouseEvent) => any;\r\ndeclare var onmouseover: (ev: MouseEvent) => any;\r\ndeclare var onmouseup: (ev: MouseEvent) => any;\r\ndeclare var onmousewheel: (ev: MouseWheelEvent) => any;\r\ndeclare var onmsgesturechange: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturedoubletap: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgestureend: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturehold: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturestart: (ev: MSGestureEvent) => any;\r\ndeclare var onmsgesturetap: (ev: MSGestureEvent) => any;\r\ndeclare var onmsinertiastart: (ev: MSGestureEvent) => any;\r\ndeclare var onmspointercancel: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerdown: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerenter: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerleave: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointermove: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerout: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerover: (ev: MSPointerEvent) => any;\r\ndeclare var onmspointerup: (ev: MSPointerEvent) => any;\r\ndeclare var onoffline: (ev: Event) => any;\r\ndeclare var ononline: (ev: Event) => any;\r\ndeclare var onorientationchange: (ev: Event) => any;\r\ndeclare var onpagehide: (ev: PageTransitionEvent) => any;\r\ndeclare var onpageshow: (ev: PageTransitionEvent) => any;\r\ndeclare var onpause: (ev: Event) => any;\r\ndeclare var onplay: (ev: Event) => any;\r\ndeclare var onplaying: (ev: Event) => any;\r\ndeclare var onpopstate: (ev: PopStateEvent) => any;\r\ndeclare var onprogress: (ev: ProgressEvent) => any;\r\ndeclare var onratechange: (ev: Event) => any;\r\ndeclare var onreadystatechange: (ev: ProgressEvent) => any;\r\ndeclare var onreset: (ev: Event) => any;\r\ndeclare var onresize: (ev: UIEvent) => any;\r\ndeclare var onscroll: (ev: UIEvent) => any;\r\ndeclare var onseeked: (ev: Event) => any;\r\ndeclare var onseeking: (ev: Event) => any;\r\ndeclare var onselect: (ev: UIEvent) => any;\r\ndeclare var onstalled: (ev: Event) => any;\r\ndeclare var onstorage: (ev: StorageEvent) => any;\r\ndeclare var onsubmit: (ev: Event) => any;\r\ndeclare var onsuspend: (ev: Event) => any;\r\ndeclare var ontimeupdate: (ev: Event) => any;\r\ndeclare var ontouchcancel: any;\r\ndeclare var ontouchend: any;\r\ndeclare var ontouchmove: any;\r\ndeclare var ontouchstart: any;\r\ndeclare var onunload: (ev: Event) => any;\r\ndeclare var onvolumechange: (ev: Event) => any;\r\ndeclare var onwaiting: (ev: Event) => any;\r\ndeclare var opener: Window;\r\ndeclare var orientation: string | number;\r\ndeclare var outerHeight: number;\r\ndeclare var outerWidth: number;\r\ndeclare var pageXOffset: number;\r\ndeclare var pageYOffset: number;\r\ndeclare var parent: Window;\r\ndeclare var performance: Performance;\r\ndeclare var personalbar: BarProp;\r\ndeclare var screen: Screen;\r\ndeclare var screenLeft: number;\r\ndeclare var screenTop: number;\r\ndeclare var screenX: number;\r\ndeclare var screenY: number;\r\ndeclare var scrollX: number;\r\ndeclare var scrollY: number;\r\ndeclare var scrollbars: BarProp;\r\ndeclare var self: Window;\r\ndeclare var status: string;\r\ndeclare var statusbar: BarProp;\r\ndeclare var styleMedia: StyleMedia;\r\ndeclare var toolbar: BarProp;\r\ndeclare var top: Window;\r\ndeclare var window: Window;\r\ndeclare var URL: URL;\r\ndeclare function alert(message?: any): void;\r\ndeclare function blur(): void;\r\ndeclare function cancelAnimationFrame(handle: number): void;\r\ndeclare function captureEvents(): void;\r\ndeclare function close(): void;\r\ndeclare function confirm(message?: string): boolean;\r\ndeclare function focus(): void;\r\ndeclare function getComputedStyle(elt: Element, pseudoElt?: string): CSSStyleDeclaration;\r\ndeclare function getMatchedCSSRules(elt: Element, pseudoElt?: string): CSSRuleList;\r\ndeclare function getSelection(): Selection;\r\ndeclare function matchMedia(mediaQuery: string): MediaQueryList;\r\ndeclare function moveBy(x?: number, y?: number): void;\r\ndeclare function moveTo(x?: number, y?: number): void;\r\ndeclare function msCancelRequestAnimationFrame(handle: number): void;\r\ndeclare function msMatchMedia(mediaQuery: string): MediaQueryList;\r\ndeclare function msRequestAnimationFrame(callback: FrameRequestCallback): number;\r\ndeclare function msWriteProfilerMark(profilerMarkName: string): void;\r\ndeclare function open(url?: string, target?: string, features?: string, replace?: boolean): Window;\r\ndeclare function postMessage(message: any, targetOrigin: string, ports?: any): void;\r\ndeclare function print(): void;\r\ndeclare function prompt(message?: string, _default?: string): string;\r\ndeclare function releaseEvents(): void;\r\ndeclare function requestAnimationFrame(callback: FrameRequestCallback): number;\r\ndeclare function resizeBy(x?: number, y?: number): void;\r\ndeclare function resizeTo(x?: number, y?: number): void;\r\ndeclare function scroll(x?: number, y?: number): void;\r\ndeclare function scrollBy(x?: number, y?: number): void;\r\ndeclare function scrollTo(x?: number, y?: number): void;\r\ndeclare function webkitConvertPointFromNodeToPage(node: Node, pt: WebKitPoint): WebKitPoint;\r\ndeclare function webkitConvertPointFromPageToNode(node: Node, pt: WebKitPoint): WebKitPoint;\r\ndeclare function toString(): string;\r\ndeclare function addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\ndeclare function dispatchEvent(evt: Event): boolean;\r\ndeclare function removeEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;\r\ndeclare function clearInterval(handle: number): void;\r\ndeclare function clearTimeout(handle: number): void;\r\ndeclare function setInterval(handler: any, timeout?: any, ...args: any[]): number;\r\ndeclare function setTimeout(handler: any, timeout?: any, ...args: any[]): number;\r\ndeclare function clearImmediate(handle: number): void;\r\ndeclare function msClearImmediate(handle: number): void;\r\ndeclare function msSetImmediate(expression: any, ...args: any[]): number;\r\ndeclare function setImmediate(expression: any, ...args: any[]): number;\r\ndeclare var sessionStorage: Storage;\r\ndeclare var localStorage: Storage;\r\ndeclare var console: Console;\r\ndeclare var onpointercancel: (ev: PointerEvent) => any;\r\ndeclare var onpointerdown: (ev: PointerEvent) => any;\r\ndeclare var onpointerenter: (ev: PointerEvent) => any;\r\ndeclare var onpointerleave: (ev: PointerEvent) => any;\r\ndeclare var onpointermove: (ev: PointerEvent) => any;\r\ndeclare var onpointerout: (ev: PointerEvent) => any;\r\ndeclare var onpointerover: (ev: PointerEvent) => any;\r\ndeclare var onpointerup: (ev: PointerEvent) => any;\r\ndeclare var onwheel: (ev: WheelEvent) => any;\r\ndeclare var indexedDB: IDBFactory;\r\ndeclare var msIndexedDB: IDBFactory;\r\ndeclare function atob(encodedString: string): string;\r\ndeclare function btoa(rawString: string): string;\r\ndeclare function addEventListener(type: "MSGestureChange", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureDoubleTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureEnd", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureHold", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSGestureTap", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSInertiaStart", listener: (ev: MSGestureEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerCancel", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerDown", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerEnter", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerLeave", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerMove", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerOut", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerOver", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "MSPointerUp", listener: (ev: MSPointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "abort", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "afterprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "beforeprint", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "beforeunload", listener: (ev: BeforeUnloadEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "blur", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "canplay", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "canplaythrough", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "change", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "click", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "compassneedscalibration", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "contextmenu", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dblclick", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "devicemotion", listener: (ev: DeviceMotionEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "deviceorientation", listener: (ev: DeviceOrientationEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "drag", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragend", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragenter", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragleave", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragover", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "dragstart", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "drop", listener: (ev: DragEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "durationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "emptied", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "ended", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "focus", listener: (ev: FocusEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "hashchange", listener: (ev: HashChangeEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "input", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "keydown", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "keypress", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "keyup", listener: (ev: KeyboardEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "load", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "loadeddata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "loadedmetadata", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "loadstart", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "message", listener: (ev: MessageEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mousedown", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseenter", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseleave", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mousemove", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseout", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseover", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mouseup", listener: (ev: MouseEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "mousewheel", listener: (ev: MouseWheelEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "offline", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "online", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "orientationchange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pagehide", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pageshow", listener: (ev: PageTransitionEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pause", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "play", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "playing", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointercancel", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerdown", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerenter", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerleave", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointermove", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerout", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerover", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "pointerup", listener: (ev: PointerEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "popstate", listener: (ev: PopStateEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "progress", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "ratechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "readystatechange", listener: (ev: ProgressEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "reset", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "resize", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "scroll", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "seeked", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "seeking", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "select", listener: (ev: UIEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "stalled", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "storage", listener: (ev: StorageEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "submit", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "suspend", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "timeupdate", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "unload", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "volumechange", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "waiting", listener: (ev: Event) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: "wheel", listener: (ev: WheelEvent) => any, useCapture?: boolean): void;\r\ndeclare function addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;interface DOMTokenList {\r\n    [Symbol.iterator](): IterableIterator<string>;\r\n}\r\n\r\ninterface NodeList {\r\n    [Symbol.iterator](): IterableIterator<Node>\r\n}\r\n\r\ninterface NodeListOf<TNode extends Node> {\r\n    [Symbol.iterator](): IterableIterator<TNode>\r\n}\r\n\r\n/////////////////////////////\r\n/// WorkerGlobalScope APIs \r\n/////////////////////////////\r\n// These are only available in a Web Worker \r\ndeclare function importScripts(...urls: string[]): void;\r\n\r\n\r\n/////////////////////////////\r\n/// Windows Script Host APIS\r\n/////////////////////////////\r\n\r\n\r\ninterface ActiveXObject {\r\n    new (s: string): any;\r\n}\r\ndeclare var ActiveXObject: ActiveXObject;\r\n\r\ninterface ITextWriter {\r\n    Write(s: string): void;\r\n    WriteLine(s: string): void;\r\n    Close(): void;\r\n}\r\n\r\ninterface TextStreamBase {\r\n    /**\r\n     * The column number of the current character position in an input stream.\r\n     */\r\n    Column: number;\r\n\r\n    /**\r\n     * The current line number in an input stream.\r\n     */\r\n    Line: number;\r\n\r\n    /**\r\n     * Closes a text stream.\r\n     * It is not necessary to close standard streams; they close automatically when the process ends. If \r\n     * you close a standard stream, be aware that any other pointers to that standard stream become invalid.\r\n     */\r\n    Close(): void;\r\n}\r\n\r\ninterface TextStreamWriter extends TextStreamBase {\r\n    /**\r\n     * Sends a string to an output stream.\r\n     */\r\n    Write(s: string): void;\r\n\r\n    /**\r\n     * Sends a specified number of blank lines (newline characters) to an output stream.\r\n     */\r\n    WriteBlankLines(intLines: number): void;\r\n\r\n    /**\r\n     * Sends a string followed by a newline character to an output stream.\r\n     */\r\n    WriteLine(s: string): void;\r\n}\r\n\r\ninterface TextStreamReader extends TextStreamBase {\r\n    /**\r\n     * Returns a specified number of characters from an input stream, starting at the current pointer position.\r\n     * Does not return until the ENTER key is pressed.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     */\r\n    Read(characters: number): string;\r\n\r\n    /**\r\n     * Returns all characters from an input stream.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     */\r\n    ReadAll(): string;\r\n\r\n    /**\r\n     * Returns an entire line from an input stream.\r\n     * Although this method extracts the newline character, it does not add it to the returned string.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     */\r\n    ReadLine(): string;\r\n\r\n    /**\r\n     * Skips a specified number of characters when reading from an input text stream.\r\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\r\n     * @param characters Positive number of characters to skip forward. (Backward skipping is not supported.)\r\n     */\r\n    Skip(characters: number): void;\r\n\r\n    /**\r\n     * Skips the next line when reading from an input text stream.\r\n     * Can only be used on a stream in reading mode, not writing or appending mode.\r\n     */\r\n    SkipLine(): void;\r\n\r\n    /**\r\n     * Indicates whether the stream pointer position is at the end of a line.\r\n     */\r\n    AtEndOfLine: boolean;\r\n\r\n    /**\r\n     * Indicates whether the stream pointer position is at the end of a stream.\r\n     */\r\n    AtEndOfStream: boolean;\r\n}\r\n\r\ndeclare var WScript: {\r\n    /**\r\n    * Outputs text to either a message box (under WScript.exe) or the command console window followed by\r\n    * a newline (under CScript.exe).\r\n    */\r\n    Echo(s: any): void;\r\n\r\n    /**\r\n     * Exposes the write-only error output stream for the current script.\r\n     * Can be accessed only while using CScript.exe.\r\n     */\r\n    StdErr: TextStreamWriter;\r\n\r\n    /**\r\n     * Exposes the write-only output stream for the current script.\r\n     * Can be accessed only while using CScript.exe.\r\n     */\r\n    StdOut: TextStreamWriter;\r\n    Arguments: { length: number; Item(n: number): string; };\r\n\r\n    /**\r\n     *  The full path of the currently running script.\r\n     */\r\n    ScriptFullName: string;\r\n\r\n    /**\r\n     * Forces the script to stop immediately, with an optional exit code.\r\n     */\r\n    Quit(exitCode?: number): number;\r\n\r\n    /**\r\n     * The Windows Script Host build version number.\r\n     */\r\n    BuildVersion: number;\r\n\r\n    /**\r\n     * Fully qualified path of the host executable.\r\n     */\r\n    FullName: string;\r\n\r\n    /**\r\n     * Gets/sets the script mode - interactive(true) or batch(false).\r\n     */\r\n    Interactive: boolean;\r\n\r\n    /**\r\n     * The name of the host executable (WScript.exe or CScript.exe).\r\n     */\r\n    Name: string;\r\n\r\n    /**\r\n     * Path of the directory containing the host executable.\r\n     */\r\n    Path: string;\r\n\r\n    /**\r\n     * The filename of the currently running script.\r\n     */\r\n    ScriptName: string;\r\n\r\n    /**\r\n     * Exposes the read-only input stream for the current script.\r\n     * Can be accessed only while using CScript.exe.\r\n     */\r\n    StdIn: TextStreamReader;\r\n\r\n    /**\r\n     * Windows Script Host version\r\n     */\r\n    Version: string;\r\n\r\n    /**\r\n     * Connects a COM object\'s event sources to functions named with a given prefix, in the form prefix_event.\r\n     */\r\n    ConnectObject(objEventSource: any, strPrefix: string): void;\r\n\r\n    /**\r\n     * Creates a COM object.\r\n     * @param strProgiID\r\n     * @param strPrefix Function names in the form prefix_event will be bound to this object\'s COM events.\r\n     */\r\n    CreateObject(strProgID: string, strPrefix?: string): any;\r\n\r\n    /**\r\n     * Disconnects a COM object from its event sources.\r\n     */\r\n    DisconnectObject(obj: any): void;\r\n\r\n    /**\r\n     * Retrieves an existing object with the specified ProgID from memory, or creates a new one from a file.\r\n     * @param strPathname Fully qualified path to the file containing the object persisted to disk.\r\n     *                       For objects in memory, pass a zero-length string.\r\n     * @param strProgID\r\n     * @param strPrefix Function names in the form prefix_event will be bound to this object\'s COM events.\r\n     */\r\n    GetObject(strPathname: string, strProgID?: string, strPrefix?: string): any;\r\n\r\n    /**\r\n     * Suspends script execution for a specified length of time, then continues execution.\r\n     * @param intTime Interval (in milliseconds) to suspend script execution.\r\n     */\r\n    Sleep(intTime: number): void;\r\n};\r\n\r\n/**\r\n * Allows enumerating over a COM collection, which may not have indexed item access.\r\n */\r\ninterface Enumerator<T> {\r\n    /**\r\n     * Returns true if the current item is the last one in the collection, or the collection is empty,\r\n     * or the current item is undefined.\r\n     */\r\n    atEnd(): boolean;\r\n\r\n    /**\r\n     * Returns the current item in the collection\r\n     */\r\n    item(): T;\r\n\r\n    /**\r\n     * Resets the current item in the collection to the first item. If there are no items in the collection,\r\n     * the current item is set to undefined.\r\n     */\r\n    moveFirst(): void;\r\n\r\n    /**\r\n     * Moves the current item to the next item in the collection. If the enumerator is at the end of\r\n     * the collection or the collection is empty, the current item is set to undefined.\r\n     */\r\n    moveNext(): void;\r\n}\r\n\r\ninterface EnumeratorConstructor {\r\n    new <T>(collection: any): Enumerator<T>;\r\n    new (collection: any): Enumerator<any>;\r\n}\r\n\r\ndeclare var Enumerator: EnumeratorConstructor;\r\n\r\n/**\r\n * Enables reading from a COM safe array, which might have an alternate lower bound, or multiple dimensions.\r\n */\r\ninterface VBArray<T> {\r\n    /**\r\n     * Returns the number of dimensions (1-based).\r\n     */\r\n    dimensions(): number;\r\n\r\n    /**\r\n     * Takes an index for each dimension in the array, and returns the item at the corresponding location.\r\n     */\r\n    getItem(dimension1Index: number, ...dimensionNIndexes: number[]): T;\r\n\r\n    /**\r\n     * Returns the smallest available index for a given dimension.\r\n     * @param dimension 1-based dimension (defaults to 1)\r\n     */\r\n    lbound(dimension?: number): number;\r\n\r\n    /**\r\n     * Returns the largest available index for a given dimension.\r\n     * @param dimension 1-based dimension (defaults to 1)\r\n     */\r\n    ubound(dimension?: number): number;\r\n\r\n    /**\r\n     * Returns a Javascript array with all the elements in the VBArray. If there are multiple dimensions,\r\n     * each successive dimension is appended to the end of the array.\r\n     * Example: [[1,2,3],[4,5,6]] becomes [1,2,3,4,5,6]\r\n     */\r\n    toArray(): T[];\r\n}\r\n\r\ninterface VBArrayConstructor {\r\n    new <T>(safeArray: any): VBArray<T>;\r\n    new (safeArray: any): VBArray<any>;\r\n}\r\n\r\ndeclare var VBArray: VBArrayConstructor;\r\n'
}}),define("vs/language/typescript/src/worker",["require","exports","../lib/typescriptServices","../lib/lib-ts","../lib/lib-es6-ts"],function(e,n,r,t,a){function i(e,n){return new u(e,n)}var o=monaco.Promise,s={NAME:"defaultLib:lib.d.ts",CONTENTS:t.contents},l={NAME:"defaultLib:lib.es6.d.ts",CONTENTS:a.contents},u=function(){function e(e,n){this._extraLibs=Object.create(null),this._languageService=r.createLanguageService(this),this._ctx=e,this._compilerOptions=n.compilerOptions,this._extraLibs=n.extraLibs}return e.prototype.getCompilationSettings=function(){return this._compilerOptions},e.prototype.getScriptFileNames=function(){var e=this._ctx.getMirrorModels().map(function(e){return e.uri.toString()});return e.concat(Object.keys(this._extraLibs))},e.prototype._getModel=function(e){for(var n=this._ctx.getMirrorModels(),r=0;r<n.length;r++)if(n[r].uri.toString()===e)return n[r];return null},e.prototype.getScriptVersion=function(e){var n=this._getModel(e);return n?n.version.toString():this.isDefaultLibFileName(e)||e in this._extraLibs?"1":void 0},e.prototype.getScriptSnapshot=function(e){var n,r=this._getModel(e);if(r)n=r.getValue();else if(e in this._extraLibs)n=this._extraLibs[e];else if(e===s.NAME)n=s.CONTENTS;else{if(e!==l.NAME)return;n=l.CONTENTS}return{getText:function(e,r){return n.substring(e,r)},getLength:function(){return n.length},getChangeRange:function(){}}},e.prototype.getCurrentDirectory=function(){return""},e.prototype.getDefaultLibFileName=function(e){return e.target>r.ScriptTarget.ES5?s.NAME:l.NAME},e.prototype.isDefaultLibFileName=function(e){return e===this.getDefaultLibFileName(this._compilerOptions)},e.prototype.getSyntacticDiagnostics=function(e){var n=this._languageService.getSyntacticDiagnostics(e);return n.forEach(function(e){return e.file=void 0}),o.as(n)},e.prototype.getSemanticDiagnostics=function(e){var n=this._languageService.getSemanticDiagnostics(e);return n.forEach(function(e){return e.file=void 0}),o.as(n)},e.prototype.getCompilerOptionsDiagnostics=function(e){var n=this._languageService.getCompilerOptionsDiagnostics();return n.forEach(function(e){return e.file=void 0}),o.as(n)},e.prototype.getCompletionsAtPosition=function(e,n){return o.as(this._languageService.getCompletionsAtPosition(e,n))},e.prototype.getCompletionEntryDetails=function(e,n,r){return o.as(this._languageService.getCompletionEntryDetails(e,n,r))},e.prototype.getSignatureHelpItems=function(e,n){return o.as(this._languageService.getSignatureHelpItems(e,n))},e.prototype.getQuickInfoAtPosition=function(e,n){return o.as(this._languageService.getQuickInfoAtPosition(e,n))},e.prototype.getOccurrencesAtPosition=function(e,n){return o.as(this._languageService.getOccurrencesAtPosition(e,n))},e.prototype.getDefinitionAtPosition=function(e,n){return o.as(this._languageService.getDefinitionAtPosition(e,n))},e.prototype.getReferencesAtPosition=function(e,n){return o.as(this._languageService.getReferencesAtPosition(e,n))},e.prototype.getNavigationBarItems=function(e){return o.as(this._languageService.getNavigationBarItems(e))},e.prototype.getFormattingEditsForDocument=function(e,n){return o.as(this._languageService.getFormattingEditsForDocument(e,n))},e.prototype.getFormattingEditsForRange=function(e,n,r,t){return o.as(this._languageService.getFormattingEditsForRange(e,n,r,t))},e.prototype.getFormattingEditsAfterKeystroke=function(e,n,r,t){return o.as(this._languageService.getFormattingEditsAfterKeystroke(e,n,r,t))},e.prototype.getEmitOutput=function(e){return o.as(this._languageService.getEmitOutput(e))},e}();n.TypeScriptWorker=u,n.create=i});