/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.5.2(d49899a916fd99840f6f9178f2dd06e0e7013646)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
(function(){var e=["require","exports","vs/base/common/errors","vs/base/common/strings","vs/base/common/winjs.base","vs/platform/instantiation/common/instantiation","vs/nls!vs/base/common/worker/workerServer","vs/nls","vs/base/common/event","vs/editor/common/editorCommon","vs/platform/thread/common/thread","vs/base/common/platform","vs/base/common/lifecycle","vs/base/common/uri","vs/editor/common/core/range","vs/base/common/types","vs/base/common/paths","vs/platform/platform","vs/base/common/objects","vs/base/common/eventEmitter","vs/base/common/severity","vs/editor/common/modes/supports","vs/base/common/async","vs/editor/common/core/position","vs/platform/instantiation/common/descriptors","vs/editor/common/model/wordHelper","vs/editor/common/services/modeService","vs/editor/common/services/resourceService","vs/editor/common/core/modeTransition","vs/platform/telemetry/common/telemetry","vs/editor/common/modes","vs/base/common/assert","vs/editor/common/modes/abstractState","vs/base/common/collections","vs/platform/workspace/common/workspace","vs/editor/common/modes/monarch/monarchCommon","vs/editor/common/model/textModelWithTokens","vs/editor/common/model/textModel","vs/platform/markers/common/markers","vs/editor/common/core/arrays","vs/editor/common/modes/supports/richEditBrackets","vs/editor/common/modes/languageConfigurationRegistry","vs/base/common/arrays","vs/editor/common/model/modelLine","vs/platform/request/common/request","vs/platform/extensions/common/extensionsRegistry","vs/platform/extensions/common/extensions","vs/base/common/idGenerator","vs/platform/configuration/common/configuration","vs/base/common/timer","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/base/common/map","vs/editor/common/modes/lineStream","vs/base/common/cancellation","vs/base/common/events","vs/platform/thread/common/threadService","vs/base/common/htmlContent","vs/base/common/stopwatch","vs/base/common/network","vs/editor/common/modes/abstractMode","vs/editor/common/modes/supports/suggestSupport","vs/base/common/glob","vs/editor/common/model/tokensBinaryEncoding","vs/editor/common/modes/modesRegistry","vs/base/common/mime","vs/editor/common/modes/supports/tokenizationSupport","vs/platform/instantiation/common/serviceCollection","vs/editor/common/core/viewLineToken","vs/platform/event/common/event","vs/editor/common/services/modelService","vs/base/common/callbackList","vs/editor/common/modes/nullMode","vs/editor/common/config/defaultConfig","vs/platform/event/common/eventService","vs/nls!vs/editor/common/config/defaultConfig","vs/editor/common/modes/monarch/monarchCompile","vs/editor/common/model/mirrorModel","vs/editor/common/model/textModelWithMarkers","vs/editor/common/model/textModelWithTrackedRanges","vs/editor/common/model/textModelWithDecorations","vs/editor/common/model/editableTextModel","vs/editor/common/model/model","vs/nls!vs/editor/common/modes/modesRegistry","vs/nls!vs/editor/common/modes/supports/suggestSupport","vs/nls!vs/editor/common/services/modeServiceImpl","vs/nls!vs/editor/common/services/modelServiceImpl","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensions/common/abstractExtensionService","vs/nls!vs/platform/extensions/common/extensionsRegistry","vs/nls!vs/platform/jsonschemas/common/jsonContributionRegistry","vs/nls!vs/platform/message/common/message","vs/editor/common/modes/supports/characterPair","vs/editor/common/modes/languageSelector","vs/editor/common/services/editorWorkerService","vs/editor/common/model/tokenIterator","vs/nls!vs/base/common/severity","vs/editor/common/model/lineToken","vs/editor/common/services/resourceServiceImpl","vs/editor/common/worker/validationHelper","vs/editor/common/model/indentationGuesser","vs/editor/common/model/textModelWithTokensHelpers","vs/nls!vs/editor/common/model/textModelWithTokens","vs/editor/common/modes/supports/electricCharacter","vs/editor/common/modes/supports/onEnter","vs/platform/instantiation/common/instantiationService","vs/base/common/marshalling","vs/platform/message/common/message","vs/editor/common/modes/languageFeatureRegistry","vs/editor/common/modes/monarch/monarchLexer","vs/editor/common/services/languagesRegistry","vs/base/common/graph","vs/editor/common/model/editStack","vs/platform/configuration/common/configurationRegistry","vs/platform/workspace/common/baseWorkspaceContextService","vs/base/common/worker/workerProtocol","vs/platform/extensions/common/abstractExtensionService","vs/base/common/filters","vs/editor/common/viewModel/prefixSumComputer","vs/platform/request/common/baseRequestService","vs/base/common/actions","vs/editor/common/services/modeServiceImpl","vs/editor/common/services/modelServiceImpl","vs/platform/markers/common/markerService","vs/editor/common/languages.common","vs/platform/thread/common/abstractThreadService","vs/platform/thread/common/workerThreadService","vs/nls!vs/base/common/errors","vs/base/common/winjs.base.raw","vs/base/common/worker/workerServer","vs/editor/common/worker/editorWorkerServer"],t=function(t){for(var n=[],r=0,i=t.length;r<i;r++)n[r]=e[t[r]];return n};define(e[42],t([0,1]),function(e,t){"use strict";function n(e,t){return void 0===t&&(t=0),e[e.length-(1+t)]}function r(e,t){for(var n=0,r=e.length;n<r;n++)t(e[n],function(){e.splice(n,1),n--,r--})}function i(e,t,n){if(void 0===n&&(n=function(e,t){return e===t}),e.length!==t.length)return!1;for(var r=0,i=e.length;r<i;r++)if(!n(e[r],t[r]))return!1;return!0}function o(e,t,n){for(var r=0,i=e.length-1;r<=i;){var o=(r+i)/2|0,s=n(e[o],t);if(s<0)r=o+1;else{if(!(s>0))return o;i=o-1}}return-(r+1)}function s(e,t){var n=0,r=e.length;if(0===r)return 0;for(;n<r;){var i=Math.floor((n+r)/2);t(e[i])?r=i:n=i+1}return n}function a(e,t){var n=new Array;if(t)for(var r={},i=0;i<e.length;i++)for(var o=0;o<e[i].length;o++){var s=e[i][o],a=t(s);r.hasOwnProperty(a)||(r[a]=!0,n.push(s))}else for(var i=0,u=e.length;i<u;i++)n.push.apply(n,e[i]);return n}function u(e){return e?e.filter(function(e){return!!e}):e}function c(e,t){return e.indexOf(t)>=0}function l(e,t,n){var r=e[t],i=e[n];e[t]=i,e[n]=r}function d(e,t,n){e.splice(n,0,e.splice(t,1)[0])}function h(e){return!Array.isArray(e)||0===e.length}function f(e,t){if(!t)return e.filter(function(t,n){return e.indexOf(t)===n});var n=Object.create(null);return e.filter(function(e){var r=t(e);return!n[r]&&(n[r]=!0,!0)})}function p(e){var t=Object.create(null);return function(n){var r=e(n);return!t[r]&&(t[r]=!0,!0)}}function g(e,t){for(var n=0;n<e.length;n++){var r=e[n];if(t(r))return n}return-1}function m(e,t,n){void 0===n&&(n=null);var r=g(e,t);return r<0?n:e[r]}function v(e,t,n){void 0===n&&(n=function(e,t){return e===t});for(var r=0,i=0,o=Math.min(e.length,t.length);i<o&&n(e[i],t[i]);i++)r++;return r}function _(e){return e.reduce(function(e,t){return e.concat(t)},[])}function y(e,t){void 0===t&&(t=0);for(var n=[],r=t;r<e;r++)n.push(r);return n}function k(e,t,n){void 0===n&&(n=[]);for(var r=0;r<e;r++)n[r]=t();return n}function b(e,t){var n=Object.create(null);return e.forEach(function(e){return n[t(e)]=e}),n}t.tail=n,t.forEach=r,t.equals=i,t.binarySearch=o,t.findFirst=s,t.merge=a,t.coalesce=u,t.contains=c,t.swap=l,t.move=d,t.isFalsyOrEmpty=h,t.distinct=f,t.uniqueFilter=p,t.firstIndex=g,t.first=m,t.commonPrefixLength=v,t.flatten=_,t.range=y,t.fill=k,t.index=b}),define(e[31],t([0,1]),function(e,t){"use strict";function n(e,t){if(!e||null===e)throw new Error(t?"Assertion failed ("+t+")":"Assertion Failed")}t.ok=n}),define(e[33],t([0,1]),function(e,t){"use strict";function n(){return Object.create(null)}function r(){return Object.create(null)}function i(e,t,n){void 0===n&&(n=null);var r=String(t);return a(e,r)?e[r]:n}function o(e,t,n){var r=String(t);return a(e,r)?e[r]:("function"==typeof n&&(n=n()),e[r]=n,n)}function s(e,t,n){e[n(t)]=t}function a(e,t){return h.call(e,t)}function u(e){var t=[];for(var n in e)h.call(e,n)&&t.push(e[n]);return t}function c(e,t){for(var n in e)if(h.call(e,n)){var r=t({key:n,value:e[n]},function(){delete e[n]});if(r===!1)return}}function l(e,t){return!!h.call(e,t)&&(delete e[t],!0)}function d(e,t){var r=n();return e.forEach(function(e){return o(r,t(e),[]).push(e)}),r}t.createStringDictionary=n,t.createNumberDictionary=r,t.lookup=i,t.lookupOrInsert=o,t.insert=s;var h=Object.prototype.hasOwnProperty;t.contains=a,t.values=u,t.forEach=c,t.remove=l,t.groupBy=d});var n=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define(e[54],t([0,1]),function(e,t){"use strict";var r=function(){function e(e){this.time=(new Date).getTime(),this.originalEvent=e,this.source=null}return e}();t.Event=r;var i=function(e){function t(t,n,r,i){e.call(this,i),this.key=t,this.oldValue=n,this.newValue=r}return n(t,e),t}(r);t.PropertyChangeEvent=i;var o=function(e){function t(t,n){e.call(this,n),this.element=t}return n(t,e),t}(r);t.ViewerEvent=o,t.EventType={PROPERTY_CHANGED:"propertyChanged",SELECTION:"selection",FOCUS:"focus",BLUR:"blur",HIGHLIGHT:"highlight",EXPAND:"expand",COLLAPSE:"collapse",TOGGLE:"toggle",CONTENTS_CHANGED:"contentsChanged",BEFORE_RUN:"beforeRun",RUN:"run",EDIT:"edit",SAVE:"save",CANCEL:"cancel",CHANGE:"change",DISPOSE:"dispose"}}),define(e[56],t([0,1]),function(e,t){"use strict";function n(e,t){return!e&&!t||!(!e||!t)&&(Array.isArray(e)?!!Array.isArray(t)&&r(e,t):i(e,t))}function r(e,t){var n=e.length,r=t.length;if(n!==r)return!1;for(var o=0;o<n;o++)if(!i(e[o],t[o]))return!1;return!0}function i(e,t){return!e&&!t||!(!e||!t)&&("string"==typeof e?"string"==typeof t&&e===t:e.language===t.language&&e.value===t.value)}function o(e){return{language:"string",value:e}}function s(e,t){return!e&&!t||!(!e||!t)&&(e.language===t.language&&e.value===t.value)}function a(e,t){return e.formattedText===t.formattedText&&e.text===t.text&&e.className===t.className&&e.style===t.style&&e.customStyle===t.customStyle&&e.tagName===t.tagName&&e.isText===t.isText&&e.role===t.role&&e.markdown===t.markdown&&s(e.code,t.code)&&u(e.children,t.children)}function u(e,t){if(!e&&!t)return!0;if(!e||!t)return!1;var n=e.length,r=t.length;if(n!==r)return!1;for(var i=0;i<n;i++)if(!a(e[i],t[i]))return!1;return!0}t.markedStringsEquals=n,t.textToMarkedString=o,t.htmlContentElementArrEquals=u}),define(e[47],t([0,1]),function(e,t){"use strict";var n=function(){function e(e){this._prefix=e,this._lastId=0}return e.prototype.nextId=function(){return this._prefix+ ++this._lastId},e}();t.IdGenerator=n,t.defaultGenerator=new n("id#")}),define(e[51],t([0,1]),function(e,t){"use strict";var r=function(){function e(){this.map=Object.create(null),this._size=0}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.get=function(e){var t=this.peek(e);return t?t:null},e.prototype.keys=function(){var e=[];for(var t in this.map)e.push(this.map[t].key);return e},e.prototype.entries=function(){var e=[];for(var t in this.map)e.push(this.map[t]);return e},e.prototype.set=function(e,t){return!this.get(e)&&(this.push(e,t),!0)},e.prototype["delete"]=function(e){var t=this.get(e);return t?(this.pop(e),t):null},e.prototype.has=function(e){return!!this.get(e)},e.prototype.clear=function(){this.map=Object.create(null),this._size=0},e.prototype.push=function(e,t){var n={key:e,value:t};this.map[e.toString()]=n,this._size++},e.prototype.pop=function(e){delete this.map[e.toString()],this._size--},e.prototype.peek=function(e){var t=this.map[e.toString()];return t?t.value:null},e}();t.SimpleMap=r;var i=function(){function e(e,t){void 0===e&&(e=Number.MAX_VALUE),void 0===t&&(t=1),this.limit=e,this.map=Object.create(null),this._size=0,this.ratio=e*t}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.set=function(e,t){if(this.map[e])return!1;var n={key:e,value:t};return this.push(n),this._size>this.limit&&this.trim(),!0},e.prototype.get=function(e){var t=this.map[e];return t?t.value:null},e.prototype["delete"]=function(e){var t=this.map[e];return t?(this.map[e]=void 0,this._size--,t.next?t.next.prev=t.prev:this.head=t.prev,t.prev?t.prev.next=t.next:this.tail=t.next,t.value):null},e.prototype.has=function(e){return!!this.map[e]},e.prototype.clear=function(){this.map=Object.create(null),this._size=0,this.head=null,this.tail=null},e.prototype.push=function(e){this.head&&(e.prev=this.head,this.head.next=e),this.tail||(this.tail=e),this.head=e,this.map[e.key]=e,this._size++},e.prototype.trim=function(){if(this.tail)if(this.ratio<this.limit)for(var e=0,t=this.tail;t.next;){if(this.map[t.key]=void 0,this._size--,e===this.ratio){this.tail=t.next,this.tail.prev=null;break}t=t.next,e++}else this.map[this.tail.key]=void 0,this._size--,this.tail=this.tail.next,this.tail.prev=null},e}();t.LinkedMap=i;var o=function(e){function t(t){e.call(this,t)}return n(t,e),t.prototype.get=function(e){var t=this.map[e];return t?(this["delete"](e),this.push(t),t.value):null},t}(i);t.LRUCache=o}),define(e[11],t([0,1]),function(e,t){"use strict";function n(){return"undefined"!=typeof _.Worker}var r=!1,i=!1,o=!1,s=!1,a=!1,u=!1,c=!1,l=void 0,d=void 0;if(t.LANGUAGE_DEFAULT="en","object"==typeof process){r="win32"===process.platform,i="darwin"===process.platform,o="linux"===process.platform,s=!r&&0===process.getuid();var h=process.env.VSCODE_NLS_CONFIG;if(h)try{var f=JSON.parse(h),p=f.availableLanguages["*"];l=f.locale,d=p?p:t.LANGUAGE_DEFAULT}catch(g){}a=!0}else if("object"==typeof navigator){var m=navigator.userAgent;r=m.indexOf("Windows")>=0,i=m.indexOf("Macintosh")>=0,o=m.indexOf("Linux")>=0,u=!0,l=navigator.language,d=l,c=!!self.QUnit}!function(e){e[e.Web=0]="Web",e[e.Mac=1]="Mac",e[e.Linux=2]="Linux",e[e.Windows=3]="Windows"}(t.Platform||(t.Platform={}));var v=t.Platform;t._platform=v.Web,a&&(i?t._platform=v.Mac:r?t._platform=v.Windows:o&&(t._platform=v.Linux)),t.isWindows=r,t.isMacintosh=i,t.isLinux=o,t.isRootUser=s,t.isNative=a,t.isWeb=u,t.isQunit=c,t.platform=t._platform,t.language=d,t.locale=l;var _="object"==typeof self?self:global;t.globals=_,t.hasWebWorkerSupport=n,t.setTimeout=_.setTimeout.bind(_),t.clearTimeout=_.clearTimeout.bind(_),t.setInterval=_.setInterval.bind(_),t.clearInterval=_.clearInterval.bind(_)}),define(e[16],t([0,1,11]),function(e,t,n){"use strict";function r(e,n){e=u(e),n=u(n);for(var r=e.split(t.sep),i=n.split(t.sep);r.length>0&&i.length>0&&r[0]===i[0];)r.shift(),i.shift();for(var o=0,s=r.length;o<s;o++)i.unshift("..");return i.join(t.sep)}function i(e){var t=~e.lastIndexOf("/")||~e.lastIndexOf("\\");return 0===t?".":0===~t?e[0]:e.substring(0,~t)}function o(e){var t=~e.lastIndexOf("/")||~e.lastIndexOf("\\");return 0===t?e:~t===e.length-1?o(e.substring(0,e.length-1)):e.substr(~t+1)}function s(e){e=o(e);var t=~e.lastIndexOf(".");return t?e.substring(~t):""}function a(e,t){return t?!_.test(e):!v.test(e)}function u(e,t){if(null===e||void 0===e)return e;var r=e.length;if(0===r)return".";var i=n.isWindows&&t;if(a(e,i))return e;for(var o=i?"\\":"/",s=l(e,o),u=s.length,d=!1,h="",f=s.length;f<=r;f++)if(f===r||e.charCodeAt(f)===y||e.charCodeAt(f)===k){if(c(e,u,f,"..")){var p=h.lastIndexOf(o),g=h.slice(p+1);(s||g.length>0)&&".."!==g&&(h=p===-1?"":h.slice(0,p),d=!0)}else c(e,u,f,".")&&(s||h||f<r-1)&&(d=!0);if(!d){var m=e.slice(u,f);""!==h&&h[h.length-1]!==o&&(h+=o),h+=m}u=f+1,d=!1}return s+h}function c(e,t,n,r){return t+r.length===n&&e.indexOf(r,t)===t}function l(e,t){if(void 0===t&&(t="/"),!e)return"";var n=e.length,r=e.charCodeAt(0);if(r===y||r===k){if(r=e.charCodeAt(1),(r===y||r===k)&&(r=e.charCodeAt(2),r!==y&&r!==k)){for(var i=3,o=i;i<n&&(r=e.charCodeAt(i),r!==y&&r!==k);i++);if(r=e.charCodeAt(i+1),o!==i&&r!==y&&r!==k)for(i+=1;i<n;i++)if(r=e.charCodeAt(i),r===y||r===k)return e.slice(0,i+1).replace(/[\\/]/g,t)}return t}if((r>=E&&r<=I||r>=C&&r<=S)&&e.charCodeAt(1)===b)return r=e.charCodeAt(2),r===y||r===k?e.slice(0,2)+t:e.slice(0,2);var s=e.indexOf("://");if(s!==-1)for(s+=3;s<n;s++)if(r=e.charCodeAt(s),r===y||r===k)return e.slice(0,s+1);return""}function d(e){if(!n.isWindows)return!1;if(!e||e.length<5)return!1;var t=e.charCodeAt(0);if(t!==k)return!1;if(t=e.charCodeAt(1),t!==k)return!1;for(var r=2,i=r;r<e.length&&(t=e.charCodeAt(r),t!==k);r++);return i!==r&&(t=e.charCodeAt(r+1),!isNaN(t)&&t!==k)}function h(e){return e&&"/"===e[0]}function f(e){return h(u(e))?e:t.sep+e}function p(e,t){if(e===t)return!0;e=u(e),t=u(t);var r=t.length,i=t.charCodeAt(r-1);if(i===y&&(t=t.substring(0,r-1),r-=1),e===t)return!0;if(n.isLinux||(e=e.toLowerCase(),t=t.toLowerCase()),e===t)return!0;if(0!==e.indexOf(t))return!1;var o=e.charCodeAt(r);return o===y}function g(e){return!(!e||0===e.length||/^\s+$/.test(e))&&(T.lastIndex=0,!T.test(e)&&((!n.isWindows||!M.test(e))&&("."!==e&&".."!==e&&((!n.isWindows||"."!==e[e.length-1])&&(!n.isWindows||e.length===e.trim().length)))))}function m(e){return t.isAbsoluteRegex.test(e)}t.sep="/",t.nativeSep=n.isWindows?"\\":"/",t.relative=r,t.dirname=i,t.basename=o,t.extname=s;var v=/(\/\.\.?\/)|(\/\.\.?)$|^(\.\.?\/)|(\/\/+)|(\\)/,_=/(\\\.\.?\\)|(\\\.\.?)$|^(\.\.?\\)|(\\\\+)|(\/)/;t.normalize=u,t.getRoot=l,t.join=function(){for(var e="",n=0;n<arguments.length;n++){var r=arguments[n];if(n>0){var i=e.charCodeAt(e.length-1);if(i!==y&&i!==k){var o=r.charCodeAt(0);o!==y&&o!==k&&(e+=t.sep)}}e+=r}return u(e)},t.isUNC=d,t.makePosixAbsolute=f;var y="/".charCodeAt(0),k="\\".charCodeAt(0),b=":".charCodeAt(0),C="a".charCodeAt(0),E="A".charCodeAt(0),S="z".charCodeAt(0),I="Z".charCodeAt(0);t.isEqualOrParent=p;var T=n.isWindows?/[\\/:\*\?"<>\|]/g:/[\\/]/g,M=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])$/i;t.isValidBasename=g,t.isAbsoluteRegex=/^((\/|[a-zA-Z]:\\)[^\(\)<>\\'\"\[\]]+)/,t.isAbsolute=m}),define(e[57],t([0,1,11]),function(e,t,n){"use strict";var r=n.globals.performance&&"function"==typeof n.globals.performance.now,i=function(){function e(e){this._highResolution=r&&e,this._startTime=this._now(),this._stopTime=-1}return e.create=function(t){return void 0===t&&(t=!0),new e(t)},e.prototype.stop=function(){this._stopTime=this._now()},e.prototype.elapsed=function(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime},e.prototype._now=function(){return this._highResolution?n.globals.performance.now():(new Date).getTime()},e}();t.StopWatch=i}),define(e[3],t([0,1,51]),function(e,t,n){"use strict";function r(e,t,n){void 0===n&&(n="0");for(var r=""+e,i=[r],o=r.length;o<t;o++)i.push(n);return i.reverse().join("")}function i(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return 0===t.length?e:e.replace(P,function(e,n){var r=parseInt(n,10);return isNaN(r)||r<0||r>=t.length?e:t[r]})}function o(e){return e.replace(/[<|>|&]/g,function(e){switch(e){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return e}})}function s(e){return e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&")}function a(e,t){void 0===t&&(t=" ");var n=u(e,t);return c(n,t)}function u(e,t){if(!e||!t)return e;var n=t.length;if(0===n||0===e.length)return e;for(var r=0,i=-1;(i=e.indexOf(t,r))===r;)r+=n;return e.substring(r)}function c(e,t){if(!e||!t)return e;var n=t.length,r=e.length;if(0===n||0===r)return e;for(var i=r,o=-1;;){if(o=e.lastIndexOf(t,i-1),o===-1||o+n!==i)break;if(0===o)return"";i=o}return e.substring(0,i)}function l(e){return e.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}function d(e){return e.replace(/\*/g,"")}function h(e,t){if(e.length<t.length)return!1;for(var n=0;n<t.length;n++)if(e[n]!==t[n])return!1;return!0}function f(e,t){var n=e.length-t.length;return n>0?e.lastIndexOf(t)===n:0===n&&e===t}function p(e,t,n,r,i){if(""===e)throw new Error("Cannot create regex from empty string");t||(e=e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&")),r&&(/\B/.test(e.charAt(0))||(e="\\b"+e),/\B/.test(e.charAt(e.length-1))||(e+="\\b"));var o="";return i&&(o+="g"),n||(o+="i"),new RegExp(e,o)}function g(e,t,n,r){if(""===e)return null;var i=null;try{i=p(e,t,n,r,!0)}catch(o){return null}try{if(m(i))return null}catch(o){return null}return i}function m(e){if("^"===e.source||"^$"===e.source||"$"===e.source)return!1;var t=e.exec("");return t&&0===e.lastIndex}function v(e){if(!t.canNormalize||!e)return e;var n=W.get(e);if(n)return n;var r;return r=D.test(e)?e.normalize("NFC"):e,W.set(e,r),r}function _(e){for(var t=0,n=e.length;t<n;t++)if(" "!==e.charAt(t)&&"\t"!==e.charAt(t))return t;return-1}function y(e){for(var t=0,n=e.length;t<n;t++)if(" "!==e.charAt(t)&&"\t"!==e.charAt(t))return e.substring(0,t);return e}function k(e,t){void 0===t&&(t=e.length-1);for(var n=t;n>=0;n--)if(" "!==e.charAt(n)&&"\t"!==e.charAt(n))return n;return-1}function b(e,t){return e.localeCompare(t)}function C(e){return e>=97&&e<=122||e>=65&&e<=90}function E(e,t){var n=e.length,r=t.length;if(n!==r)return!1;for(var i=0;i<n;i++){var o=e.charCodeAt(i),s=t.charCodeAt(i);if(o!==s)if(C(o)&&C(s)){var a=Math.abs(o-s);if(0!==a&&32!==a)return!1}else if(String.fromCharCode(o).toLocaleLowerCase()!==String.fromCharCode(s).toLocaleLowerCase())return!1}return!0}function S(e,t){var n,r=Math.min(e.length,t.length);for(n=0;n<r;n++)if(e.charCodeAt(n)!==t.charCodeAt(n))return n;return r}function I(e,t){var n,r=Math.min(e.length,t.length),i=e.length-1,o=t.length-1;for(n=0;n<r;n++)if(e.charCodeAt(i-n)!==t.charCodeAt(o-n))return n;return r}function T(e){return e=+e,e>=11904&&e<=55215||e>=63744&&e<=64255||e>=65281&&e<=65374}function M(e,t,n){void 0===n&&(n=4);var r=Math.abs(e.length-t.length);if(r>n)return 0;var i,o,s=[],a=[];for(i=0;i<t.length+1;++i)a.push(0);for(i=0;i<e.length+1;++i)s.push(a);for(i=1;i<e.length+1;++i)for(o=1;o<t.length+1;++o)e[i-1]===t[o-1]?s[i][o]=s[i-1][o-1]+1:s[i][o]=Math.max(s[i-1][o],s[i][o-1]);return s[e.length][t.length]-Math.sqrt(r)}function w(e){for(var t,n=/\r\n|\r|\n/g,r=[0];t=n.exec(e);)r.push(n.lastIndex);return r}function L(e,n){if(e.length<n)return e;for(var r=e.split(/\b/),i=0,o=r.length-1;o>=0;o--)if(i+=r[o].length,i>n){r.splice(0,o);break}return r.join(t.empty).replace(/^\s/,t.empty)}function x(e){return e&&(e=e.replace(z,""),e=e.replace(B,"\n"),e=e.replace(F,""),e=e.replace(j,"")),e}function O(e){return e&&e.length>0&&e.charCodeAt(0)===U}function R(e,t,n){var r=e.length+t.length;return r>n&&(e="..."+e.substr(r-n)),e+=t.length>n?t.substr(t.length-n):t}function N(e){return btoa(encodeURIComponent(e))}function A(e,t){for(var n="",r=0;r<t;r++)n+=e;return n}t.empty="",t.pad=r;var P=/{(\d+)}/g;t.format=i,t.escape=o,t.escapeRegExpCharacters=s,t.trim=a,t.ltrim=u,t.rtrim=c,t.convertSimple2RegExpPattern=l,t.stripWildcards=d,t.startsWith=h,t.endsWith=f,t.createRegExp=p,t.createSafeRegExp=g,t.regExpLeadsToEndlessLoop=m,t.canNormalize="function"==typeof"".normalize;var D=/[^\u0000-\u0080]/,W=new n.LinkedMap(1e4);t.normalizeNFC=v,t.firstNonWhitespaceIndex=_,t.getLeadingWhitespace=y,t.lastNonWhitespaceIndex=k,t.localeCompare=b,t.equalsIgnoreCase=E,t.commonPrefixLength=S,t.commonSuffixLength=I,t.isFullWidthCharacter=T,t.difference=M,t.computeLineStarts=w,t.lcut=L;var z=/\x1B\x5B[12]?K/g,B=/\xA/g,F=/\x1b\[\d+m/g,j=/\x1b\[0?m/g;t.removeAnsiEscapeCodes=x;var U=65279;t.UTF8_BOM_CHARACTER=String.fromCharCode(U),t.startsWithUTF8BOM=O,t.appendWithLimit=R,t.safeBtoa=N,t.repeat=A}),define(e[116],t([0,1,3,51]),function(e,t,n,r){"use strict";function i(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return function(t,n){for(var r=0,i=e.length;r<i;r++){var o=e[r](t,n);if(o)return o}return null}}function o(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return function(t,n){for(var r=[],i=0,o=e.length;i<o;i++){var s=e[i](t,n);if(!s)return null;r=r.concat(s)}return r}}function s(e,t,n){if(!n||0===n.length||n.length<t.length)return null;e&&(t=t.toLowerCase(),n=n.toLowerCase());for(var r=0;r<t.length;r++)if(t[r]!==n[r])return null;return t.length>0?[{start:0,end:t.length}]:[]}function a(e,t){var n=t.toLowerCase().indexOf(e.toLowerCase());return n===-1?null:[{start:n,end:n+e.length}]}function u(e,t){return c(e.toLowerCase(),t.toLowerCase(),0,0)}function c(e,t,n,r){if(n===e.length)return[];if(r===t.length)return null;if(e[n]===t[r]){var i=null;if(i=c(e,t,n+1,r+1))return g({start:r,end:r+1},i)}return c(e,t,n,r+1)}function l(e){return 97<=e&&e<=122}function d(e){return 65<=e&&e<=90}function h(e){return 48<=e&&e<=57}function f(e){return[32,9,10,13].indexOf(e)>-1}function p(e){return l(e)||d(e)||h(e)}function g(e,t){return 0===t.length?t=[e]:e.end===t[0].start?t[0].start=e.start:t.unshift(e),t}function m(e,t){for(var n=t;n<e.length;n++){var r=e.charCodeAt(n);if(d(r)||h(r)||n>0&&!p(e.charCodeAt(n-1)))return n}return e.length}function v(e,t,n,r){if(n===e.length)return[];if(r===t.length)return null;if(e[n]!==t[r].toLowerCase())return null;var i=null,o=r+1;for(i=v(e,t,n+1,r+1);!i&&(o=m(t,o))<t.length;)i=v(e,t,n+1,o),o++;return null===i?null:g({start:r,end:r+1},i)}function _(e){if(e.length>60)return!1;for(var t=0,n=0,r=0,i=0,o=0,s=0;s<e.length;s++)o=e.charCodeAt(s),d(o)&&t++,l(o)&&n++,p(o)&&r++,h(o)&&i++;var a=t/e.length,u=n/e.length,c=r/e.length,f=i/e.length;return u>.2&&a<.8&&c>.6&&f<.2}function y(e){for(var t=0,n=0,r=0,i=0,o=0;o<e.length;o++)r=e.charCodeAt(o),d(r)&&t++,l(r)&&n++,f(r)&&i++;return 0!==t&&0!==n||0!==i?t<=5:e.length<=30}function k(e,t){if(!t||0===t.length)return null;if(!y(e))return null;if(!_(t))return null;for(var n=null,r=0;r<t.length&&null===(n=v(e.toLowerCase(),t,0,r));)r=m(t,r+1);return n}function b(e,t){if(!t||0===t.length)return null;for(var n=null,r=0;r<t.length&&null===(n=C(e.toLowerCase(),t,0,r));)r=E(t,r+1);return n}function C(e,t,n,r){if(n===e.length)return[];if(r===t.length)return null;if(e[n]!==t[r].toLowerCase())return null;var i=null,o=r+1;for(i=C(e,t,n+1,r+1);!i&&(o=E(t,o))<t.length;)i=C(e,t,n+1,o),o++;return null===i?null:g({start:r,end:r+1},i)}function E(e,t){for(var n=t;n<e.length;n++){var r=e.charCodeAt(n);if(f(r)||n>0&&f(e.charCodeAt(n-1)))return n}return e.length}function S(e,r,i){if(void 0===i&&(i=!1),"string"!=typeof e||"string"!=typeof r)return null;var o=T.get(e);o||(o=new RegExp(n.convertSimple2RegExpPattern(e),"i"),T.set(e,o));var s=o.exec(r);return s?[{start:s.index,end:s.index+s[0].length}]:i?I(e,r):t.fuzzyContiguousFilter(e,r)}t.or=i,t.and=o,t.matchesStrictPrefix=function(e,t){return s(!1,e,t)},t.matchesPrefix=function(e,t){return s(!0,e,t)},t.matchesContiguousSubString=a,t.matchesSubString=u,t.matchesCamelCase=k,t.matchesWords=b,function(e){e[e.Contiguous=0]="Contiguous",e[e.Separate=1]="Separate"}(t.SubstringMatching||(t.SubstringMatching={}));t.SubstringMatching;t.fuzzyContiguousFilter=i(t.matchesPrefix,k,a);var I=i(t.matchesPrefix,k,u),T=new r.LinkedMap(1e4);t.matchesFuzzy=S}),define(e[61],t([0,1,3,16,51]),function(e,t,n,r,i){"use strict";function o(e){switch(e){case 0:return"";case 1:return f+"*?";default:return"(?:"+h+"|"+f+"+"+h+"|"+h+f+"+)*?"}}function s(e,t){if(!e)return[];for(var n,r=[],i=!1,o=!1,s="",a=0;a<e.length;a++){switch(n=e[a]){case t:if(!i&&!o){r.push(s),s="";continue}break;case"{":i=!0;break;case"}":i=!1;break;case"[":o=!0;break;case"]":o=!1}s+=n}return s&&r.push(s),r}function a(e){if(!e)return"";var t="",r=s(e,"/");if(r.every(function(e){return"**"===e}))t=".*";else{var i=!1;r.forEach(function(e,u){if("**"===e)return void(i||(t+=o(2),i=!0));for(var c,l=!1,d="",p=!1,g="",m=0;m<e.length;m++)if(c=e[m],"}"!==c&&l)d+=c;else if("]"!==c&&p){var v=void 0;switch(c){case"-":v=c;break;case"^":v=c;break;default:v=n.escapeRegExpCharacters(c)}g+=v}else switch(c){case"{":l=!0;continue;case"[":p=!0;continue;case"}":var _=s(d,","),y="(?:"+_.map(function(e){return a(e)}).join("|")+")";t+=y,l=!1,d="";break;case"]":t+="["+g+"]",p=!1,g="";break;case"?":t+=f;continue;case"*":t+=o(1);continue;default:t+=n.escapeRegExpCharacters(c)}u<r.length-1&&"**"!==r[u+1]&&(t+=h),i=!1})}return t}function u(e){if(!e)return null;e=e.trim();var t=_.get(e);return t?(t.regexp&&(t.regexp.lastIndex=0),t):(t=Object.create(null),g.test(e)?t.trivia=p.T1:m.test(e)?t.trivia=p.T2:v.test(e)?t.trivia=p.T3:t.regexp=c("^"+a(e)+"$"),_.set(e,t),t)}function c(e){try{return new RegExp(e)}catch(t){return/.^/}}function l(e,t,r){if(!e||!t)return!1;if("string"==typeof e){var i=u(e);if(!i)return!1;if(i.trivia===p.T1)return n.endsWith(t,e.substr(4));if(i.trivia===p.T2){var o=e.substr(3);return t===o||n.endsWith(t,"/"+o)||n.endsWith(t,"\\"+o)}return i.trivia===p.T3?e.slice(1,-1).split(",").some(function(e){return l(e,t)}):i.regexp.test(t)}return d(e,t,r)}function d(e,t,i){for(var o,s=Object.getOwnPropertyNames(e),a=function(a){var u=s[a],c=e[u];if(c===!1)return"continue";if(l(u,t)){if("boolean"==typeof c)return{value:u};if(c&&"string"==typeof c.when){if(!i||!i.length)return"continue";o||(o=n.rtrim(r.basename(t),r.extname(t)));var d=c,h=d.when.replace("$(basename)",o);return i.some(function(e){return e===h})?{value:u}:"continue"}return{value:u}}},u=0;u<s.length;u++){var c=a(u);if("object"==typeof c)return c.value}return null}var h="[/\\\\]",f="[^/\\\\]";t.splitGlobAware=s;var p,g=/^\*\*\/\*\.[\w\.-]+$/,m=/^\*\*\/[\w\.-]+$/,v=/^{\*\*\/\*\.[\w\.-]+(,\*\*\/\*\.[\w\.-]+)*}$/;!function(e){e[e.T1=0]="T1",e[e.T2=1]="T2",e[e.T3=2]="T3"}(p||(p={}));var _=new i.LinkedMap(1e4);t.match=l}),define(e[15],t([0,1]),function(e,t){"use strict";function n(e){return Array.isArray?Array.isArray(e):!(!e||typeof e.length!==m.number||e.constructor!==Array)}function r(e){return typeof e===m.string||e instanceof String}function i(e){return n(e)&&e.every(function(e){return r(e)})}function o(e){return!(typeof e!==m.object||null===e||Array.isArray(e)||e instanceof RegExp||e instanceof Date)}function s(e){return(typeof e===m.number||e instanceof Number)&&!isNaN(e)}function a(e){return e===!0||e===!1}function u(e){return typeof e===m.undefined}function c(e){return u(e)||null===e}function l(e){if(!o(e))return!1;for(var t in e)if(v.call(e,t))return!1;return!0}function d(e){return typeof e===m["function"]}function h(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return e&&e.length>0&&e.every(d)}function f(e,t){for(var n=Math.min(e.length,t.length),r=0;r<n;r++)p(e[r],t[r])}function p(e,t){if(r(t)){if(typeof e!==t)throw new Error("argument does not match constraint: typeof "+t)}else if(d(t)){if(e instanceof t)return;if(e&&e.constructor===t)return;if(1===t.length&&t.call(void 0,e)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}function g(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var r=Object.create(e.prototype);return e.apply(r,t),r}var m={number:"number",string:"string",undefined:"undefined",object:"object","function":"function"};t.isArray=n,t.isString=r,t.isStringArray=i,t.isObject=o,t.isNumber=s,t.isBoolean=a,t.isUndefined=u,t.isUndefinedOrNull=c;var v=Object.prototype.hasOwnProperty;t.isEmptyObject=l,t.isFunction=d,t.areFunctions=h,t.validateConstraints=f,t.validateConstraint=p,t.create=g}),define(e[110],t([0,1,15,33]),function(e,t,n,r){"use strict";function i(e){return{data:e,incoming:Object.create(null),outgoing:Object.create(null)}}var o=function(){function e(e){this._hashFn=e,this._nodes=Object.create(null)}return e.prototype.roots=function(){var e=[];return r.forEach(this._nodes,function(t){n.isEmptyObject(t.value.outgoing)&&e.push(t.value)}),e},e.prototype.traverse=function(e,t,n){var r=this.lookup(e);r&&this._traverse(r,t,Object.create(null),n)},e.prototype._traverse=function(e,t,n,i){var o=this,s=this._hashFn(e.data);if(!r.contains(n,s)){n[s]=!0,i(e.data);var a=t?e.outgoing:e.incoming;r.forEach(a,function(e){return o._traverse(e.value,t,n,i)})}},e.prototype.insertEdge=function(e,t){var n=this.lookupOrInsertNode(e),r=this.lookupOrInsertNode(t);n.outgoing[this._hashFn(t)]=r,r.incoming[this._hashFn(e)]=n},e.prototype.removeNode=function(e){var t=this._hashFn(e);delete this._nodes[t],r.forEach(this._nodes,function(e){delete e.value.outgoing[t],delete e.value.incoming[t]})},e.prototype.lookupOrInsertNode=function(e){
var t=this._hashFn(e),n=r.lookup(this._nodes,t);return n||(n=i(e),this._nodes[t]=n),n},e.prototype.lookup=function(e){return r.lookup(this._nodes,this._hashFn(e))},Object.defineProperty(e.prototype,"length",{get:function(){return Object.keys(this._nodes).length},enumerable:!0,configurable:!0}),e.prototype.toString=function(){var e=[];return r.forEach(this._nodes,function(t){e.push(t.key+", (incoming)["+Object.keys(t.value.incoming).join(", ")+"], (outgoing)["+Object.keys(t.value.outgoing).join(",")+"]")}),e.join("\n")},e}();t.Graph=o}),define(e[12],t([0,1,15]),function(e,t,r){"use strict";function i(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var n=e[0];return r.isArray(n)&&(e=n),e.forEach(function(e){return e&&e.dispose()}),[]}function o(e){return{dispose:function(){return i(e)}}}function s(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return o(e.map(function(e){return{dispose:e}}))}t.empty=Object.freeze({dispose:function(){}}),t.dispose=i,t.combinedDisposable=o,t.toDisposable=s;var a=function(){function e(){this._toDispose=[]}return e.prototype.dispose=function(){this._toDispose=i(this._toDispose)},e.prototype._register=function(e){return this._toDispose.push(e),e},e}();t.Disposable=a;var u=function(e){function t(){e.apply(this,arguments)}return n(t,e),t.prototype.add=function(e){if(!Array.isArray(e))return this._register(e);for(var t=0,n=e;t<n.length;t++){var r=n[t];return this._register(r)}},t}(a);t.Disposables=u}),define(e[64],t([0,1,16,15,3,61]),function(e,t,n,r,i,o){"use strict";function s(e){p.push(e),e.userConfigured||p.forEach(function(t){t.mime===e.mime||t.userConfigured||(e.extension&&t.extension===e.extension&&console.warn("Overwriting extension <<"+e.extension+">> to now point to mime <<"+e.mime+">>"),e.filename&&t.filename===e.filename&&console.warn("Overwriting filename <<"+e.filename+">> to now point to mime <<"+e.mime+">>"),e.filepattern&&t.filepattern===e.filepattern&&console.warn("Overwriting filepattern <<"+e.filepattern+">> to now point to mime <<"+e.mime+">>"),e.firstline&&t.firstline===e.firstline&&console.warn("Overwriting firstline <<"+e.firstline+">> to now point to mime <<"+e.mime+">>"))})}function a(e){p=e?p.filter(function(e){return!e.userConfigured}):[]}function u(e,n){if(!e)return[t.MIME_UNKNOWN];e=e.toLowerCase();var r=c(e,p.filter(function(e){return e.userConfigured}));if(r)return[r,t.MIME_TEXT];var i=c(e,p.filter(function(e){return!e.userConfigured}));if(i)return[i,t.MIME_TEXT];if(n){var o=l(n);if(o)return[o,t.MIME_TEXT]}return[t.MIME_UNKNOWN]}function c(e,t){for(var r,s,a,u=n.basename(e),c=0;c<t.length;c++){var l=t[c];if(l.filename&&u===l.filename.toLowerCase()){r=l;break}if(l.filepattern){var d=l.filepattern.indexOf(n.sep)>=0?e:u;o.match(l.filepattern.toLowerCase(),d)&&(!s||l.filepattern.length>s.filepattern.length)&&(s=l)}l.extension&&i.endsWith(u,l.extension.toLowerCase())&&(!a||l.extension.length>a.extension.length)&&(a=l)}return r?r.mime:s?s.mime:a?a.mime:null}function l(e){if(i.startsWithUTF8BOM(e)&&(e=e.substr(1)),e.length>0)for(var t=0;t<p.length;++t){var n=p[t];if(n.firstline){var r=e.match(n.firstline);if(r&&r.length>0&&r[0].length===e.length)return n.mime}}return null}function d(e){if(!e)return!1;var n;return n=r.isArray(e)?e:e.split(",").map(function(e){return e.trim()}),n.indexOf(t.MIME_BINARY)>=0}function h(e){return!e||("string"==typeof e?e===t.MIME_BINARY||e===t.MIME_TEXT||e===t.MIME_UNKNOWN:1===e.length&&h(e[0]))}function f(e,t){for(var n=0;n<p.length;n++){var r=p[n];if(!r.userConfigured&&r.mime===e&&r.extension)return t+r.extension}return null}t.MIME_TEXT="text/plain",t.MIME_BINARY="application/octet-stream",t.MIME_UNKNOWN="application/unknown";var p=[];t.registerTextMime=s,t.clearTextMimes=a,t.guessMimeTypes=u,t.isBinaryMime=d,t.isUnspecific=h,t.suggestFilename=f}),define(e[18],t([0,1,15]),function(e,t,n){"use strict";function r(e){if(!e||"object"!=typeof e)return e;if(e instanceof RegExp)return e;var t=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(n){e[n]&&"object"==typeof e[n]?t[n]=r(e[n]):t[n]=e[n]}),t}function i(e){if(!e||"object"!=typeof e)return e;var t=Array.isArray(e)?[]:{};return Object.getOwnPropertyNames(e).forEach(function(n){e[n]&&"object"==typeof e[n]?t[n]=i(e[n]):t[n]=e[n]}),t}function o(e,t){return s(e,t,[])}function s(e,t,r){if(n.isUndefinedOrNull(e))return e;var i=t(e);if("undefined"!=typeof i)return i;if(n.isArray(e)){for(var o=[],a=0;a<e.length;a++)o.push(s(e[a],t,r));return o}if(n.isObject(e)){if(r.indexOf(e)>=0)throw new Error("Cannot clone recursive data-structure");r.push(e);var u={};for(var c in e)v.call(e,c)&&(u[c]=s(e[c],t,r));return r.pop(),u}return e}function a(e,t,r){return void 0===r&&(r=!0),n.isObject(e)?(n.isObject(t)&&Object.keys(t).forEach(function(i){i in e?r&&(n.isObject(e[i])&&n.isObject(t[i])?a(e[i],t[i],r):e[i]=t[i]):e[i]=t[i]}),e):t}function u(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.forEach(function(t){return Object.keys(t).forEach(function(n){return e[n]=t[n]})}),e}function c(e,t,n){return void 0===n&&(n=function(e){return e}),e.reduce(function(e,r){return u(e,(i={},i[t(r)]=n(r),i));var i},Object.create(null))}function l(e,t){if(e===t)return!0;if(null===e||void 0===e||null===t||void 0===t)return!1;if(typeof e!=typeof t)return!1;if("object"!=typeof e)return!1;if(Array.isArray(e)!==Array.isArray(t))return!1;var n,r;if(Array.isArray(e)){if(e.length!==t.length)return!1;for(n=0;n<e.length;n++)if(!l(e[n],t[n]))return!1}else{var i=[];for(r in e)i.push(r);i.sort();var o=[];for(r in t)o.push(r);if(o.sort(),!l(i,o))return!1;for(n=0;n<i.length;n++)if(!l(e[i[n]],t[i[n]]))return!1}return!0}function d(e,t,n){"undefined"==typeof e[t]&&(e[t]=n)}function h(e){for(var t={},n=0;n<e.length;++n)t[e[n]]=!0;return t}function f(e,t){void 0===t&&(t=!1),t&&(e=e.map(function(e){return e.toLowerCase()}));var n=h(e);return t?function(e){return void 0!==n[e.toLowerCase()]&&n.hasOwnProperty(e.toLowerCase())}:function(e){return void 0!==n[e]&&n.hasOwnProperty(e)}}function p(e,t){for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n]);t=t||function(){};var r=e.prototype,i=t.prototype;t.prototype=Object.create(r);for(var n in i)i.hasOwnProperty(n)&&Object.defineProperty(t.prototype,n,Object.getOwnPropertyDescriptor(i,n));Object.defineProperty(t.prototype,"constructor",{value:t,writable:!0,configurable:!0,enumerable:!0})}function g(e){var t=[];return JSON.stringify(e,function(e,r){if(n.isObject(r)||Array.isArray(r)){if(t.indexOf(r)!==-1)return"[Circular]";t.push(r)}return r})}function m(e,t,n){void 0===n&&(n=null);var r=t(e);return"undefined"==typeof r?n:r}t.clone=r,t.deepClone=i;var v=Object.prototype.hasOwnProperty;t.cloneAndChange=o,t.mixin=a,t.assign=u,t.toObject=c,t.equals=l,t.ensureProperty=d,t.arrayToHash=h,t.createKeywordMatcher=f,t.derive=p,t.safeStringify=g,t.getOrDefault=m}),define(e[13],t([0,1,11]),function(e,t,n){"use strict";function r(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()}function i(e){return encodeURIComponent(e).replace(/[!'()*]/g,r)}function o(e){return e}var s=function(){function e(){this._scheme=e._empty,this._authority=e._empty,this._path=e._empty,this._query=e._empty,this._fragment=e._empty,this._formatted=null,this._fsPath=null}return Object.defineProperty(e.prototype,"scheme",{get:function(){return this._scheme},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"authority",{get:function(){return this._authority},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"path",{get:function(){return this._path},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"query",{get:function(){return this._query},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fragment",{get:function(){return this._fragment},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fsPath",{get:function(){if(!this._fsPath){var t;t=this._authority&&"file"===this.scheme?"//"+this._authority+this._path:e._driveLetterPath.test(this._path)?this._path[1].toLowerCase()+this._path.substr(2):this._path,n.isWindows&&(t=t.replace(/\//g,"\\")),this._fsPath=t}return this._fsPath},enumerable:!0,configurable:!0}),e.prototype["with"]=function(t){if(!t)return this;var n=t.scheme||this.scheme,r=t.authority||this.authority,i=t.path||this.path,o=t.query||this.query,s=t.fragment||this.fragment;if(n===this.scheme&&r===this.authority&&i===this.path&&o===this.query&&s===this.fragment)return this;var a=new e;return a._scheme=n,a._authority=r,a._path=i,a._query=o,a._fragment=s,e._validate(a),a},e.parse=function(t){var n=new e,r=e._parseComponents(t);return n._scheme=r.scheme,n._authority=decodeURIComponent(r.authority),n._path=decodeURIComponent(r.path),n._query=decodeURIComponent(r.query),n._fragment=decodeURIComponent(r.fragment),e._validate(n),n},e.file=function(t){var n=new e;if(n._scheme="file",t=t.replace(/\\/g,e._slash),t[0]===e._slash&&t[0]===t[1]){var r=t.indexOf(e._slash,2);r===-1?n._authority=t.substring(2):(n._authority=t.substring(2,r),n._path=t.substring(r))}else n._path=t;return n._path[0]!==e._slash&&(n._path=e._slash+n._path),e._validate(n),n},e._parseComponents=function(t){var n={scheme:e._empty,authority:e._empty,path:e._empty,query:e._empty,fragment:e._empty},r=e._regexp.exec(t);return r&&(n.scheme=r[2]||n.scheme,n.authority=r[4]||n.authority,n.path=r[5]||n.path,n.query=r[7]||n.query,n.fragment=r[9]||n.fragment),n},e.from=function(t){return(new e)["with"](t)},e._validate=function(e){if(e.authority&&e.path&&"/"!==e.path[0])throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character');if(!e.authority&&0===e.path.indexOf("//"))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')},e.prototype.toString=function(t){return void 0===t&&(t=!1),t?e._asFormatted(this,!0):(this._formatted||(this._formatted=e._asFormatted(this,!1)),this._formatted)},e._asFormatted=function(t,n){var s=n?o:i,a=[],u=t.scheme,c=t.authority,l=t.path,d=t.query,h=t.fragment;if(u&&a.push(u,":"),(c||"file"===u)&&a.push("//"),c){c=c.toLowerCase();var f=c.indexOf(":");f===-1?a.push(s(c)):a.push(s(c.substr(0,f)),c.substr(f))}if(l){var p=e._upperCaseDrive.exec(l);p&&(l=p[1]+p[2].toLowerCase()+l.substr(p[1].length+p[2].length));for(var g=0;;){var f=l.indexOf(e._slash,g);if(f===-1){a.push(s(l.substring(g)).replace(/[#?]/,r));break}a.push(s(l.substring(g,f)).replace(/[#?]/,r),e._slash),g=f+1}}return d&&a.push("?",s(d)),h&&a.push("#",s(h)),a.join(e._empty)},e.prototype.toJSON=function(){return{scheme:this.scheme,authority:this.authority,path:this.path,fsPath:this.fsPath,query:this.query,fragment:this.fragment.replace(/URL_MARSHAL_REMOVE.*$/,""),external:this.toString().replace(/#?URL_MARSHAL_REMOVE.*$/,""),$mid:1}},e.revive=function(t){var n=new e;return n._scheme=t.scheme,n._authority=t.authority,n._path=t.path,n._query=t.query,n._fragment=t.fragment,n._fsPath=t.fsPath,n._formatted=t.external,e._validate(n),n},e._empty="",e._slash="/",e._regexp=/^(([^:\/?#]+?):)?(\/\/([^\/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/,e._driveLetterPath=/^\/[a-zA-z]:/,e._upperCaseDrive=/^(\/)?([A-Z]:)/,e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=s}),define(e[105],t([0,1,13]),function(e,t,n){"use strict";function r(e){return JSON.stringify(e,o)}function i(e){return JSON.parse(e,s)}function o(e,t){return t instanceof RegExp?{$mid:2,source:t.source,flags:(t.global?"g":"")+(t.ignoreCase?"i":"")+(t.multiline?"m":"")}:t}function s(e,t){var r;return void 0!==t&&null!==t&&(r=t.$mid),1===r?n["default"].revive(t):2===r?new RegExp(t.source,t.flags):t}t.stringify=r,t.parse=i}),function(){var e={};e["WinJS/Core/_WinJS"]={};var t=function(t,n,r){var i={},o=!1,s=n.map(function(t){return"exports"===t?(o=!0,i):e[t]}),a=r.apply({},s);e[t]=o?i:a};t("WinJS/Core/_Global",[],function(){"use strict";var e="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:{};return e}),t("WinJS/Core/_BaseCoreUtils",["WinJS/Core/_Global"],function(e){"use strict";function t(e){return e.supportedForProcessing=!0,e}var n=!!e.Windows;return{hasWinRT:n,markSupportedForProcessing:t,_setImmediate:e.setImmediate?e.setImmediate.bind(e):function(t){e.setTimeout(t,0)}}}),t("WinJS/Core/_WriteProfilerMark",["WinJS/Core/_Global"],function(e){"use strict";return e.msWriteProfilerMark||function(){}}),t("WinJS/Core/_Base",["WinJS/Core/_WinJS","WinJS/Core/_Global","WinJS/Core/_BaseCoreUtils","WinJS/Core/_WriteProfilerMark"],function(e,t,n,r){"use strict";function i(e,t,n){var r,i,o,s=Object.keys(t),a=Array.isArray(e);for(i=0,o=s.length;i<o;i++){var u=s[i],c=95!==u.charCodeAt(0),l=t[u];!l||"object"!=typeof l||void 0===l.value&&"function"!=typeof l.get&&"function"!=typeof l.set?c?a?e.forEach(function(e){e[u]=l}):e[u]=l:(r=r||{},r[u]={value:l,enumerable:c,configurable:!0,writable:!0}):(void 0===l.enumerable&&(l.enumerable=c),n&&l.setName&&"function"==typeof l.setName&&l.setName(n+"."+u),r=r||{},r[u]=l)}r&&(a?e.forEach(function(e){Object.defineProperties(e,r)}):Object.defineProperties(e,r))}return function(){function n(n,r){var i=n||{};if(r){var o=r.split(".");i===t&&"WinJS"===o[0]&&(i=e,o.splice(0,1));for(var s=0,a=o.length;s<a;s++){var u=o[s];i[u]||Object.defineProperty(i,u,{value:{},writable:!1,enumerable:!0,configurable:!0}),i=i[u]}}return i}function o(e,t,r){var o=n(e,t);return r&&i(o,r,t||"<ANONYMOUS>"),o}function s(e,n){return o(t,e,n)}function a(e){var t,n,i=l.uninitialized;return{setName:function(e){t=e},get:function(){switch(i){case l.initialized:return n;case l.uninitialized:i=l.working;try{r("WinJS.Namespace._lazy:"+t+",StartTM"),n=e()}finally{r("WinJS.Namespace._lazy:"+t+",StopTM"),i=l.uninitialized}return e=null,i=l.initialized,n;case l.working:throw"Illegal: reentrancy on initialization";default:throw"Illegal"}},set:function(e){switch(i){case l.working:throw"Illegal: reentrancy on initialization";default:i=l.initialized,n=e}},enumerable:!0,configurable:!0}}function u(e,r,o){var s=[e],a=null;return r&&(a=n(t,r),s.push(a)),i(s,o,r||"<ANONYMOUS>"),a}var c=e;c.Namespace||(c.Namespace=Object.create(Object.prototype));var l={uninitialized:1,working:2,initialized:3};Object.defineProperties(c.Namespace,{defineWithParent:{value:o,writable:!0,enumerable:!0,configurable:!0},define:{value:s,writable:!0,enumerable:!0,configurable:!0},_lazy:{value:a,writable:!0,enumerable:!0,configurable:!0},_moduleDefine:{value:u,writable:!0,enumerable:!0,configurable:!0}})}(),function(){function t(e,t,r){return e=e||function(){},n.markSupportedForProcessing(e),t&&i(e.prototype,t),r&&i(e,r),e}function r(e,r,o,s){if(e){r=r||function(){};var a=e.prototype;return r.prototype=Object.create(a),n.markSupportedForProcessing(r),Object.defineProperty(r.prototype,"constructor",{value:r,writable:!0,configurable:!0,enumerable:!0}),o&&i(r.prototype,o),s&&i(r,s),r}return t(r,o,s)}function o(e){e=e||function(){};var t,n;for(t=1,n=arguments.length;t<n;t++)i(e.prototype,arguments[t]);return e}e.Namespace.define("WinJS.Class",{define:t,derive:r,mix:o})}(),{Namespace:e.Namespace,Class:e.Class}}),t("WinJS/Core/_ErrorFromName",["WinJS/Core/_Base"],function(e){"use strict";var t=e.Class.derive(Error,function(e,t){this.name=e,this.message=t||e},{},{supportedForProcessing:!1});return e.Namespace.define("WinJS",{ErrorFromName:t}),t}),t("WinJS/Core/_Events",["exports","WinJS/Core/_Base"],function(e,t){"use strict";function n(e){var t="_on"+e+"state";return{get:function(){var e=this[t];return e&&e.userHandler},set:function(n){var r=this[t];n?(r||(r={wrapper:function(e){return r.userHandler(e)},userHandler:n},Object.defineProperty(this,t,{value:r,enumerable:!1,writable:!0,configurable:!0}),this.addEventListener(e,r.wrapper,!1)),r.userHandler=n):r&&(this.removeEventListener(e,r.wrapper,!1),this[t]=null)},enumerable:!0}}function r(){for(var e={},t=0,r=arguments.length;t<r;t++){var i=arguments[t];e["on"+i]=n(i)}return e}var i=t.Class.define(function(e,t,n){this.detail=t,this.target=n,this.timeStamp=Date.now(),this.type=e},{bubbles:{value:!1,writable:!1},cancelable:{value:!1,writable:!1},currentTarget:{get:function(){return this.target}},defaultPrevented:{get:function(){return this._preventDefaultCalled}},trusted:{value:!1,writable:!1},eventPhase:{value:0,writable:!1},target:null,timeStamp:null,type:null,preventDefault:function(){this._preventDefaultCalled=!0},stopImmediatePropagation:function(){this._stopImmediatePropagationCalled=!0},stopPropagation:function(){}},{supportedForProcessing:!1}),o={_listeners:null,addEventListener:function(e,t,n){n=n||!1,this._listeners=this._listeners||{};for(var r=this._listeners[e]=this._listeners[e]||[],i=0,o=r.length;i<o;i++){var s=r[i];if(s.useCapture===n&&s.listener===t)return}r.push({listener:t,useCapture:n})},dispatchEvent:function(e,t){var n=this._listeners&&this._listeners[e];if(n){var r=new i(e,t,this);n=n.slice(0,n.length);for(var o=0,s=n.length;o<s&&!r._stopImmediatePropagationCalled;o++)n[o].listener(r);return r.defaultPrevented||!1}return!1},removeEventListener:function(e,t,n){n=n||!1;var r=this._listeners&&this._listeners[e];if(r)for(var i=0,o=r.length;i<o;i++){var s=r[i];if(s.listener===t&&s.useCapture===n){r.splice(i,1),0===r.length&&delete this._listeners[e];break}}}};t.Namespace._moduleDefine(e,"WinJS.Utilities",{_createEventProperty:n,createEventProperties:r,eventMixin:o})}),t("WinJS/Core/_Trace",["WinJS/Core/_Global"],function(e){"use strict";function t(e){return e}return{_traceAsyncOperationStarting:e.Debug&&e.Debug.msTraceAsyncOperationStarting&&e.Debug.msTraceAsyncOperationStarting.bind(e.Debug)||t,_traceAsyncOperationCompleted:e.Debug&&e.Debug.msTraceAsyncOperationCompleted&&e.Debug.msTraceAsyncOperationCompleted.bind(e.Debug)||t,_traceAsyncCallbackStarting:e.Debug&&e.Debug.msTraceAsyncCallbackStarting&&e.Debug.msTraceAsyncCallbackStarting.bind(e.Debug)||t,_traceAsyncCallbackCompleted:e.Debug&&e.Debug.msTraceAsyncCallbackCompleted&&e.Debug.msTraceAsyncCallbackCompleted.bind(e.Debug)||t}}),t("WinJS/Promise/_StateMachine",["WinJS/Core/_Global","WinJS/Core/_BaseCoreUtils","WinJS/Core/_Base","WinJS/Core/_ErrorFromName","WinJS/Core/_Events","WinJS/Core/_Trace"],function(e,t,n,r,i,o){"use strict";function s(){}function a(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?A:z,e._value=t,e._setState(n)}function u(e,t,n,r,i,o){return{exception:e,error:t,promise:n,handler:o,id:r,parent:i}}function c(e,t,n,r){var i=n._isException,o=n._errorId;return u(i?t:null,i?null:t,e,o,n,r)}function l(e,t,n){var r=n._isException,i=n._errorId;return k(e,i,r),u(r?t:null,r?null:t,e,i,n)}function d(e,t){var n=++U;return k(e,n),u(null,t,e,n)}function h(e,t){var n=++U;return k(e,n,!0),u(t,null,e,n)}function f(e,t,n,r){var i=o._traceAsyncOperationStarting("WinJS.Promise.done");y(e,{c:t,e:n,p:r,asyncOpID:i})}function p(e,t,n,r){e._value=t,v(e,t,n,r),e._setState(F)}function g(t,n){var r=t._value,i=t._listeners;if(i){t._listeners=null;var s,a;for(s=0,a=Array.isArray(i)?i.length:1;s<a;s++){var u=1===a?i:i[s],c=u.c,l=u.promise;if(o._traceAsyncOperationCompleted(u.asyncOpID,e.Debug&&e.Debug.MS_ASYNC_OP_STATUS_SUCCESS),l){o._traceAsyncCallbackStarting(u.asyncOpID);try{l._setCompleteValue(c?c(r):r)}catch(d){l._setExceptionValue(d)}finally{o._traceAsyncCallbackCompleted()}l._state!==A&&l._listeners&&n.push(l)}else J.prototype.done.call(t,c)}}}function m(t,n){var r=t._value,i=t._listeners;if(i){t._listeners=null;var s,a;for(s=0,a=Array.isArray(i)?i.length:1;s<a;s++){var u=1===a?i:i[s],l=u.e,d=u.promise,h=e.Debug&&(r&&r.name===L?e.Debug.MS_ASYNC_OP_STATUS_CANCELED:e.Debug.MS_ASYNC_OP_STATUS_ERROR);if(o._traceAsyncOperationCompleted(u.asyncOpID,h),d){var f=!1;try{l?(o._traceAsyncCallbackStarting(u.asyncOpID),f=!0,l.handlesOnError||v(d,r,c,t,l),d._setCompleteValue(l(r))):d._setChainedErrorValue(r,t)}catch(p){d._setExceptionValue(p)}finally{f&&o._traceAsyncCallbackCompleted()}d._state!==A&&d._listeners&&n.push(d)}else G.prototype.done.call(t,null,l)}}}function v(e,t,n,r,i){if(M._listeners[w]){if(t instanceof Error&&t.message===L)return;M.dispatchEvent(w,n(e,t,r,i))}}function _(e,t){var n=e._listeners;if(n){var r,i;for(r=0,i=Array.isArray(n)?n.length:1;r<i;r++){var o=1===i?n:n[r],s=o.p;if(s)try{s(t)}catch(a){}o.c||o.e||!o.promise||o.promise._progress(t)}}}function y(e,t){var n=e._listeners;n?(n=Array.isArray(n)?n:[n],n.push(t)):n=t,e._listeners=n}function k(e,t,n){e._isException=n||!1,e._errorId=t}function b(e,t,n,r){e._value=t,v(e,t,n,r),e._setState(j)}function C(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?A:B,e._value=t,e._setState(n)}function E(e,t,n,r){var i=new q(e),s=o._traceAsyncOperationStarting("WinJS.Promise.then");return y(e,{promise:i,c:t,e:n,p:r,asyncOpID:s}),i}function S(n){var r;return new K(function(i){n?r=e.setTimeout(i,n):t._setImmediate(i)},function(){r&&e.clearTimeout(r)})}function I(e,t){var n=function(){t.cancel()},r=function(){e.cancel()};return e.then(n),t.then(r,r),t}e.Debug&&(e.Debug.setNonUserCodeExceptions=!0);var T=n.Class.mix(n.Class.define(null,{},{supportedForProcessing:!1}),i.eventMixin),M=new T;M._listeners={};var w="error",L="Canceled",x=!1,O={promise:1,thenPromise:2,errorPromise:4,exceptionPromise:8,completePromise:16};O.all=O.promise|O.thenPromise|O.errorPromise|O.exceptionPromise|O.completePromise;var R,N,A,P,D,W,z,B,F,j,U=1;R={name:"created",enter:function(e){e._setState(N)},cancel:s,done:s,then:s,_completed:s,_error:s,_notify:s,_progress:s,_setCompleteValue:s,_setErrorValue:s},N={name:"working",enter:s,cancel:function(e){e._setState(D)},done:f,then:E,_completed:a,_error:p,_notify:s,_progress:_,_setCompleteValue:C,_setErrorValue:b},A={name:"waiting",enter:function(e){var t=e._value;if(t instanceof q&&t._state!==j&&t._state!==B)y(t,{promise:e});else{var n=function(r){t._errorId?e._chainedError(r,t):(v(e,r,c,t,n),e._error(r))};n.handlesOnError=!0,t.then(e._completed.bind(e),n,e._progress.bind(e))}},cancel:function(e){e._setState(P)},done:f,then:E,_completed:a,_error:p,_notify:s,_progress:_,_setCompleteValue:C,_setErrorValue:b},P={name:"waiting_canceled",enter:function(e){e._setState(W);var t=e._value;t.cancel&&t.cancel()},cancel:s,done:f,then:E,_completed:a,_error:p,_notify:s,_progress:_,_setCompleteValue:C,_setErrorValue:b},D={name:"canceled",enter:function(e){e._setState(W),e._cancelAction()},cancel:s,done:f,then:E,_completed:a,_error:p,_notify:s,_progress:_,_setCompleteValue:C,_setErrorValue:b},W={name:"canceling",enter:function(e){var t=new Error(L);t.name=t.message,e._value=t,e._setState(F)},cancel:s,done:s,then:s,_completed:s,_error:s,_notify:s,_progress:s,_setCompleteValue:s,_setErrorValue:s},z={name:"complete_notify",enter:function(e){if(e.done=J.prototype.done,e.then=J.prototype.then,e._listeners)for(var t,n=[e];n.length;)t=n.shift(),t._state._notify(t,n);e._setState(B)},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:g,_progress:s,_setCompleteValue:s,_setErrorValue:s},B={name:"success",enter:function(e){e.done=J.prototype.done,e.then=J.prototype.then,e._cleanupAction()},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:g,_progress:s,_setCompleteValue:s,_setErrorValue:s},F={name:"error_notify",enter:function(e){if(e.done=G.prototype.done,e.then=G.prototype.then,e._listeners)for(var t,n=[e];n.length;)t=n.shift(),t._state._notify(t,n);e._setState(j)},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:m,_progress:s,_setCompleteValue:s,_setErrorValue:s},j={name:"error",enter:function(e){e.done=G.prototype.done,e.then=G.prototype.then,e._cleanupAction()},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:m,_progress:s,_setCompleteValue:s,_setErrorValue:s};var V,H=n.Class.define(null,{_listeners:null,_nextState:null,_state:null,_value:null,cancel:function(){this._state.cancel(this),this._run()},done:function(e,t,n){this._state.done(this,e,t,n)},then:function(e,t,n){return this._state.then(this,e,t,n)},_chainedError:function(e,t){var n=this._state._error(this,e,l,t);return this._run(),n},_completed:function(e){var t=this._state._completed(this,e);return this._run(),t},_error:function(e){var t=this._state._error(this,e,d);return this._run(),t},_progress:function(e){this._state._progress(this,e)},_setState:function(e){this._nextState=e},_setCompleteValue:function(e){this._state._setCompleteValue(this,e),this._run()},_setChainedErrorValue:function(e,t){var n=this._state._setErrorValue(this,e,l,t);return this._run(),n},_setExceptionValue:function(e){var t=this._state._setErrorValue(this,e,h);return this._run(),t},_run:function(){for(;this._nextState;)this._state=this._nextState,this._nextState=null,this._state.enter(this)}},{supportedForProcessing:!1}),q=n.Class.derive(H,function(e){x&&(x===!0||x&O.thenPromise)&&(this._stack=K._getStack()),this._creator=e,this._setState(R),this._run()},{_creator:null,_cancelAction:function(){this._creator&&this._creator.cancel()},_cleanupAction:function(){this._creator=null}},{supportedForProcessing:!1}),G=n.Class.define(function(e){x&&(x===!0||x&O.errorPromise)&&(this._stack=K._getStack()),this._value=e,v(this,e,d)},{cancel:function(){},done:function(e,t){var n=this._value;if(t)try{t.handlesOnError||v(null,n,c,this,t);var r=t(n);return void(r&&"object"==typeof r&&"function"==typeof r.done&&r.done())}catch(i){n=i}n instanceof Error&&n.message===L||K._doneHandler(n)},then:function(e,t){if(!t)return this;var n,r=this._value;try{t.handlesOnError||v(null,r,c,this,t),n=new J(t(r))}catch(i){n=i===r?this:new $(i)}return n}},{supportedForProcessing:!1}),$=n.Class.derive(G,function(e){x&&(x===!0||x&O.exceptionPromise)&&(this._stack=K._getStack()),this._value=e,v(this,e,h)},{},{supportedForProcessing:!1}),J=n.Class.define(function(e){if(x&&(x===!0||x&O.completePromise)&&(this._stack=K._getStack()),e&&"object"==typeof e&&"function"==typeof e.then){var t=new q(null);return t._setCompleteValue(e),t}this._value=e},{cancel:function(){},done:function(e){if(e)try{var t=e(this._value);t&&"object"==typeof t&&"function"==typeof t.done&&t.done()}catch(n){K._doneHandler(n)}},then:function(e){try{var t=e?e(this._value):this._value;return t===this._value?this:new J(t)}catch(n){return new $(n)}}},{supportedForProcessing:!1}),K=n.Class.derive(H,function(e,t){x&&(x===!0||x&O.promise)&&(this._stack=K._getStack()),this._oncancel=t,this._setState(R),this._run();try{var n=this._completed.bind(this),r=this._error.bind(this),i=this._progress.bind(this);e(n,r,i)}catch(o){this._setExceptionValue(o)}},{_oncancel:null,_cancelAction:function(){try{if(!this._oncancel)throw new Error("Promise did not implement oncancel");this._oncancel()}catch(e){e.message,e.stack;M.dispatchEvent("error",e)}},_cleanupAction:function(){this._oncancel=null}},{addEventListener:function(e,t,n){M.addEventListener(e,t,n)},any:function(e){return new K(function(t,n){var r=Object.keys(e);0===r.length&&t();var i=0;r.forEach(function(o){K.as(e[o]).then(function(){t({key:o,value:e[o]})},function(s){return s instanceof Error&&s.name===L?void(++i===r.length&&t(K.cancel)):void n({key:o,value:e[o]})})})},function(){var t=Object.keys(e);t.forEach(function(t){var n=K.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},as:function(e){return e&&"object"==typeof e&&"function"==typeof e.then?e:new J(e)},cancel:{get:function(){return V=V||new G(new r(L))}},dispatchEvent:function(e,t){return M.dispatchEvent(e,t)},is:function(e){return e&&"object"==typeof e&&"function"==typeof e.then},join:function(e){return new K(function(t,n,r){var i=Object.keys(e),o=Array.isArray(e)?[]:{},s=Array.isArray(e)?[]:{},a=0,u=i.length,c=function(e){if(0===--u){var a=Object.keys(o).length;if(0===a)t(s);else{var c=0;i.forEach(function(e){var t=o[e];t instanceof Error&&t.name===L&&c++}),c===a?t(K.cancel):n(o)}}else r({Key:e,Done:!0})};if(i.forEach(function(t){var n=e[t];void 0===n?a++:K.then(n,function(e){s[t]=e,c(t)},function(e){o[t]=e,c(t)})}),u-=a,0===u)return void t(s)},function(){Object.keys(e).forEach(function(t){var n=K.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},removeEventListener:function(e,t,n){M.removeEventListener(e,t,n)},supportedForProcessing:!1,then:function(e,t,n,r){return K.as(e).then(t,n,r)},thenEach:function(e,t,n,r){var i=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(o){i[o]=K.as(e[o]).then(t,n,r)}),K.join(i)},timeout:function(e,t){var n=S(e);return t?I(n,t):n},wrap:function(e){return new J(e)},wrapError:function(e){return new G(e)},_veryExpensiveTagWithStack:{get:function(){return x},set:function(e){x=e}},_veryExpensiveTagWithStack_tag:O,_getStack:function(){if(e.Debug&&e.Debug.debuggerEnabled)try{throw new Error}catch(t){return t.stack}},_cancelBlocker:function(e,t){if(!K.is(e))return K.wrap(e);var n,r,i=new K(function(e,t){n=e,r=t},function(){n=null,r=null,t&&t()});return e.then(function(e){n&&n(e)},function(e){r&&r(e)}),i}});return Object.defineProperties(K,i.createEventProperties(w)),K._doneHandler=function(e){t._setImmediate(function(){throw e})},{PromiseStateMachine:H,Promise:K,state_created:R}}),t("WinJS/Promise",["WinJS/Core/_Base","WinJS/Promise/_StateMachine"],function(e,t){"use strict";return e.Namespace.define("WinJS",{Promise:t.Promise}),t.Promise});var n=e["WinJS/Core/_WinJS"];"undefined"==typeof exports&&"function"==typeof define&&define.amd?define("vs/base/common/winjs.base.raw",n):module.exports=n,"undefined"!=typeof process&&"function"==typeof process.nextTick&&(e["WinJS/Core/_BaseCoreUtils"]._setImmediate=function(e){return process.nextTick(e)})}(),define(e[39],t([0,1]),function(e,t){"use strict";var n;!function(e){function t(e,t){var n=0,r=e.length-1;if(r<=0)return 0;for(;n<r;){var i=n+Math.ceil((r-n)/2);e[i].startIndex>t?r=i-1:n=i}return n}e.findIndexInSegmentsArray=t}(n=t.Arrays||(t.Arrays={}))}),define(e[28],t([0,1,39]),function(e,t,n){"use strict";var r=function(){function e(e,t){this.startIndex=0|e,this.mode=t,this.modeId=t.getId()}return e.findIndexInSegmentsArray=function(e,t){return n.Arrays.findIndexInSegmentsArray(e,t)},e.create=function(t){for(var n=[],r=0,i=t.length;r<i;r++){var o=t[r];n.push(new e(o.startIndex,o.mode))}return n},e}();t.ModeTransition=r}),define(e[23],t([0,1]),function(e,t){"use strict";var n=function(){function e(e,t){this.lineNumber=e,this.column=t}return e.prototype.equals=function(t){return e.equals(this,t)},e.equals=function(e,t){return!e&&!t||!!e&&!!t&&e.lineNumber===t.lineNumber&&e.column===t.column},e.prototype.isBefore=function(t){return e.isBefore(this,t)},e.isBefore=function(e,t){return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<t.column},e.prototype.isBeforeOrEqual=function(t){return e.isBeforeOrEqual(this,t)},e.isBeforeOrEqual=function(e,t){return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<=t.column},e.prototype.clone=function(){return new e(this.lineNumber,this.column)},e.prototype.toString=function(){return"("+this.lineNumber+","+this.column+")"},e.lift=function(t){return new e(t.lineNumber,t.column)},e.isIPosition=function(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column},e}();t.Position=n}),define(e[14],t([0,1,23]),function(e,t,n){"use strict";var r=function(){function e(e,t,n,r){e>n||e===n&&t>r?(this.startLineNumber=n,this.startColumn=r,this.endLineNumber=e,this.endColumn=t):(this.startLineNumber=e,this.startColumn=t,this.endLineNumber=n,this.endColumn=r)}return e.prototype.isEmpty=function(){return e.isEmpty(this)},e.isEmpty=function(e){return e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn},e.prototype.containsPosition=function(t){return e.containsPosition(this,t)},e.containsPosition=function(e,t){return!(t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber)&&(!(t.lineNumber===e.startLineNumber&&t.column<e.startColumn)&&!(t.lineNumber===e.endLineNumber&&t.column>e.endColumn))},e.prototype.containsRange=function(t){return e.containsRange(this,t)},e.containsRange=function(e,t){return!(t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber)&&(!(t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber)&&(!(t.startLineNumber===e.startLineNumber&&t.startColumn<e.startColumn)&&!(t.endLineNumber===e.endLineNumber&&t.endColumn>e.endColumn)));
},e.prototype.plusRange=function(t){return e.plusRange(this,t)},e.plusRange=function(t,n){var r,i,o,s;return n.startLineNumber<t.startLineNumber?(r=n.startLineNumber,i=n.startColumn):n.startLineNumber===t.startLineNumber?(r=n.startLineNumber,i=Math.min(n.startColumn,t.startColumn)):(r=t.startLineNumber,i=t.startColumn),n.endLineNumber>t.endLineNumber?(o=n.endLineNumber,s=n.endColumn):n.endLineNumber===t.endLineNumber?(o=n.endLineNumber,s=Math.max(n.endColumn,t.endColumn)):(o=t.endLineNumber,s=t.endColumn),new e(r,i,o,s)},e.prototype.intersectRanges=function(t){return e.intersectRanges(this,t)},e.intersectRanges=function(t,n){var r=t.startLineNumber,i=t.startColumn,o=t.endLineNumber,s=t.endColumn,a=n.startLineNumber,u=n.startColumn,c=n.endLineNumber,l=n.endColumn;return r<a?(r=a,i=u):r===a&&(i=Math.max(i,u)),o>c?(o=c,s=l):o===c&&(s=Math.min(s,l)),r>o?null:r===o&&i>s?null:new e(r,i,o,s)},e.prototype.equalsRange=function(t){return e.equalsRange(this,t)},e.equalsRange=function(e,t){return!!e&&!!t&&e.startLineNumber===t.startLineNumber&&e.startColumn===t.startColumn&&e.endLineNumber===t.endLineNumber&&e.endColumn===t.endColumn},e.prototype.getEndPosition=function(){return new n.Position(this.endLineNumber,this.endColumn)},e.prototype.getStartPosition=function(){return new n.Position(this.startLineNumber,this.startColumn)},e.prototype.cloneRange=function(){return new e(this.startLineNumber,this.startColumn,this.endLineNumber,this.endColumn)},e.prototype.toString=function(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"},e.prototype.setEndPosition=function(t,n){return new e(this.startLineNumber,this.startColumn,t,n)},e.prototype.setStartPosition=function(t,n){return new e(t,n,this.endLineNumber,this.endColumn)},e.prototype.collapseToStart=function(){return e.collapseToStart(this)},e.collapseToStart=function(t){return new e(t.startLineNumber,t.startColumn,t.startLineNumber,t.startColumn)},e.lift=function(t){return t?new e(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn):null},e.isIRange=function(e){return e&&"number"==typeof e.startLineNumber&&"number"==typeof e.startColumn&&"number"==typeof e.endLineNumber&&"number"==typeof e.endColumn},e.areIntersectingOrTouching=function(e,t){return!(e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<t.startColumn)&&!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<e.startColumn)},e.compareRangesUsingStarts=function(e,t){var n=0|e.startLineNumber,r=0|t.startLineNumber,i=0|e.startColumn,o=0|t.startColumn,s=0|e.endLineNumber,a=0|t.endLineNumber,u=0|e.endColumn,c=0|t.endColumn;return n===r?i===o?s===a?u-c:s-a:i-o:n-r},e.compareRangesUsingEnds=function(e,t){return e.endLineNumber===t.endLineNumber?e.endColumn===t.endColumn?e.startLineNumber===t.startLineNumber?e.startColumn-t.startColumn:e.startLineNumber-t.startLineNumber:e.endColumn-t.endColumn:e.endLineNumber-t.endLineNumber},e.spansMultipleLines=function(e){return e.endLineNumber>e.startLineNumber},e}();t.Range=r}),define(e[67],t([0,1,39]),function(e,t,n){"use strict";var r=function(){function e(e,t){this.startIndex=0|e,this.type=t.replace(/[^a-z0-9\-]/gi," ")}return e.prototype.equals=function(e){return this.startIndex===e.startIndex&&this.type===e.type},e.findIndexInSegmentsArray=function(e,t){return n.Arrays.findIndexInSegmentsArray(e,t)},e.equalsArray=function(e,t){var n=e.length,r=t.length;if(n!==r)return!1;for(var i=0;i<n;i++)if(!e[i].equals(t[i]))return!1;return!0},e}();t.ViewLineToken=r;var i=function(){function e(e,t,n){this._lineTokens=e,this._fauxIndentLength=0|t,this._textLength=0|n}return e.prototype.getTokens=function(){return this._lineTokens},e.prototype.getFauxIndentLength=function(){return this._fauxIndentLength},e.prototype.getTextLength=function(){return this._textLength},e.prototype.equals=function(e){return this._fauxIndentLength===e._fauxIndentLength&&this._textLength===e._textLength&&r.equalsArray(this._lineTokens,e._lineTokens)},e.prototype.findIndexOfOffset=function(e){return r.findIndexInSegmentsArray(this._lineTokens,e)},e}();t.ViewLineTokens=i}),define(e[9],t([0,1]),function(e,t){"use strict";function r(e){if(e===p.Line)return"line";if(e===p.Block)return"block";if(e===p.Underline)return"underline";throw new Error("cursorStyleToString: Unknown cursorStyle")}!function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent"}(t.WrappingIndent||(t.WrappingIndent={}));var i=(t.WrappingIndent,function(){function e(e){this.arrowSize=0|e.arrowSize,this.vertical=0|e.vertical,this.horizontal=0|e.horizontal,this.useShadows=Boolean(e.useShadows),this.verticalHasArrows=Boolean(e.verticalHasArrows),this.horizontalHasArrows=Boolean(e.horizontalHasArrows),this.handleMouseWheel=Boolean(e.handleMouseWheel),this.horizontalScrollbarSize=0|e.horizontalScrollbarSize,this.horizontalSliderSize=0|e.horizontalSliderSize,this.verticalScrollbarSize=0|e.verticalScrollbarSize,this.verticalSliderSize=0|e.verticalSliderSize,this.mouseWheelScrollSensitivity=Number(e.mouseWheelScrollSensitivity)}return e.prototype.equals=function(e){return this.arrowSize===e.arrowSize&&this.vertical===e.vertical&&this.horizontal===e.horizontal&&this.useShadows===e.useShadows&&this.verticalHasArrows===e.verticalHasArrows&&this.horizontalHasArrows===e.horizontalHasArrows&&this.handleMouseWheel===e.handleMouseWheel&&this.horizontalScrollbarSize===e.horizontalScrollbarSize&&this.horizontalSliderSize===e.horizontalSliderSize&&this.verticalScrollbarSize===e.verticalScrollbarSize&&this.verticalSliderSize===e.verticalSliderSize&&this.mouseWheelScrollSensitivity===e.mouseWheelScrollSensitivity},e.prototype.clone=function(){return new e(this)},e}());t.InternalEditorScrollbarOptions=i;var o=function(){function e(e){this.isViewportWrapping=Boolean(e.isViewportWrapping),this.wrappingColumn=0|e.wrappingColumn,this.wrappingIndent=0|e.wrappingIndent,this.wordWrapBreakBeforeCharacters=String(e.wordWrapBreakBeforeCharacters),this.wordWrapBreakAfterCharacters=String(e.wordWrapBreakAfterCharacters),this.wordWrapBreakObtrusiveCharacters=String(e.wordWrapBreakObtrusiveCharacters)}return e.prototype.equals=function(e){return this.isViewportWrapping===e.isViewportWrapping&&this.wrappingColumn===e.wrappingColumn&&this.wrappingIndent===e.wrappingIndent&&this.wordWrapBreakBeforeCharacters===e.wordWrapBreakBeforeCharacters&&this.wordWrapBreakAfterCharacters===e.wordWrapBreakAfterCharacters&&this.wordWrapBreakObtrusiveCharacters===e.wordWrapBreakObtrusiveCharacters},e.prototype.clone=function(){return new e(this)},e}();t.EditorWrappingInfo=o;var s=function(){function e(t){this.theme=String(t.theme),this.canUseTranslate3d=Boolean(t.canUseTranslate3d),this.experimentalScreenReader=Boolean(t.experimentalScreenReader),this.rulers=e._toSortedIntegerArray(t.rulers),this.ariaLabel=String(t.ariaLabel),this.lineNumbers=t.lineNumbers,this.selectOnLineNumbers=Boolean(t.selectOnLineNumbers),this.glyphMargin=Boolean(t.glyphMargin),this.revealHorizontalRightPadding=0|t.revealHorizontalRightPadding,this.roundedSelection=Boolean(t.roundedSelection),this.overviewRulerLanes=0|t.overviewRulerLanes,this.cursorBlinking=String(t.cursorBlinking),this.cursorStyle=0|t.cursorStyle,this.hideCursorInOverviewRuler=Boolean(t.hideCursorInOverviewRuler),this.scrollBeyondLastLine=Boolean(t.scrollBeyondLastLine),this.editorClassName=String(t.editorClassName),this.stopRenderingLineAfter=0|t.stopRenderingLineAfter,this.renderWhitespace=Boolean(t.renderWhitespace),this.indentGuides=Boolean(t.indentGuides),this.scrollbar=t.scrollbar.clone()}return e._toSortedIntegerArray=function(e){if(!Array.isArray(e))return[];var t=e,n=t.map(function(e){var t=parseInt(e,10);return isNaN(t)?0:t});return n.sort(),n},e._numberArraysEqual=function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0},e.prototype.equals=function(t){return this.theme===t.theme&&this.canUseTranslate3d===t.canUseTranslate3d&&this.experimentalScreenReader===t.experimentalScreenReader&&e._numberArraysEqual(this.rulers,t.rulers)&&this.ariaLabel===t.ariaLabel&&this.lineNumbers===t.lineNumbers&&this.selectOnLineNumbers===t.selectOnLineNumbers&&this.glyphMargin===t.glyphMargin&&this.revealHorizontalRightPadding===t.revealHorizontalRightPadding&&this.roundedSelection===t.roundedSelection&&this.overviewRulerLanes===t.overviewRulerLanes&&this.cursorBlinking===t.cursorBlinking&&this.cursorStyle===t.cursorStyle&&this.hideCursorInOverviewRuler===t.hideCursorInOverviewRuler&&this.scrollBeyondLastLine===t.scrollBeyondLastLine&&this.editorClassName===t.editorClassName&&this.stopRenderingLineAfter===t.stopRenderingLineAfter&&this.renderWhitespace===t.renderWhitespace&&this.indentGuides===t.indentGuides&&this.scrollbar.equals(t.scrollbar)},e.prototype.createChangeEvent=function(t){return{theme:this.theme!==t.theme,canUseTranslate3d:this.canUseTranslate3d!==t.canUseTranslate3d,experimentalScreenReader:this.experimentalScreenReader!==t.experimentalScreenReader,rulers:!e._numberArraysEqual(this.rulers,t.rulers),ariaLabel:this.ariaLabel!==t.ariaLabel,lineNumbers:this.lineNumbers!==t.lineNumbers,selectOnLineNumbers:this.selectOnLineNumbers!==t.selectOnLineNumbers,glyphMargin:this.glyphMargin!==t.glyphMargin,revealHorizontalRightPadding:this.revealHorizontalRightPadding!==t.revealHorizontalRightPadding,roundedSelection:this.roundedSelection!==t.roundedSelection,overviewRulerLanes:this.overviewRulerLanes!==t.overviewRulerLanes,cursorBlinking:this.cursorBlinking!==t.cursorBlinking,cursorStyle:this.cursorStyle!==t.cursorStyle,hideCursorInOverviewRuler:this.hideCursorInOverviewRuler!==t.hideCursorInOverviewRuler,scrollBeyondLastLine:this.scrollBeyondLastLine!==t.scrollBeyondLastLine,editorClassName:this.editorClassName!==t.editorClassName,stopRenderingLineAfter:this.stopRenderingLineAfter!==t.stopRenderingLineAfter,renderWhitespace:this.renderWhitespace!==t.renderWhitespace,indentGuides:this.indentGuides!==t.indentGuides,scrollbar:!this.scrollbar.equals(t.scrollbar)}},e.prototype.clone=function(){return new e(this)},e}();t.InternalEditorViewOptions=s;var a=function(){function e(e){this.selectionClipboard=Boolean(e.selectionClipboard),this.hover=Boolean(e.hover),this.contextmenu=Boolean(e.contextmenu),this.quickSuggestions=Boolean(e.quickSuggestions),this.quickSuggestionsDelay=e.quickSuggestionsDelay||0,this.parameterHints=Boolean(e.parameterHints),this.iconsInSuggestions=Boolean(e.iconsInSuggestions),this.formatOnType=Boolean(e.formatOnType),this.suggestOnTriggerCharacters=Boolean(e.suggestOnTriggerCharacters),this.acceptSuggestionOnEnter=Boolean(e.acceptSuggestionOnEnter),this.selectionHighlight=Boolean(e.selectionHighlight),this.outlineMarkers=Boolean(e.outlineMarkers),this.referenceInfos=Boolean(e.referenceInfos),this.folding=Boolean(e.folding)}return e.prototype.equals=function(e){return this.selectionClipboard===e.selectionClipboard&&this.hover===e.hover&&this.contextmenu===e.contextmenu&&this.quickSuggestions===e.quickSuggestions&&this.quickSuggestionsDelay===e.quickSuggestionsDelay&&this.parameterHints===e.parameterHints&&this.iconsInSuggestions===e.iconsInSuggestions&&this.formatOnType===e.formatOnType&&this.suggestOnTriggerCharacters===e.suggestOnTriggerCharacters&&this.acceptSuggestionOnEnter===e.acceptSuggestionOnEnter&&this.selectionHighlight===e.selectionHighlight&&this.outlineMarkers===e.outlineMarkers&&this.referenceInfos===e.referenceInfos&&this.folding===e.folding},e.prototype.clone=function(){return new e(this)},e}();t.EditorContribOptions=a;var u=function(){function e(e){this.lineHeight=0|e.lineHeight,this.readOnly=Boolean(e.readOnly),this.wordSeparators=String(e.wordSeparators),this.autoClosingBrackets=Boolean(e.autoClosingBrackets),this.useTabStops=Boolean(e.useTabStops),this.tabFocusMode=Boolean(e.tabFocusMode),this.layoutInfo=e.layoutInfo.clone(),this.fontInfo=e.fontInfo.clone(),this.viewInfo=e.viewInfo.clone(),this.wrappingInfo=e.wrappingInfo.clone(),this.contribInfo=e.contribInfo.clone()}return e.prototype.equals=function(e){return this.lineHeight===e.lineHeight&&this.readOnly===e.readOnly&&this.wordSeparators===e.wordSeparators&&this.autoClosingBrackets===e.autoClosingBrackets&&this.useTabStops===e.useTabStops&&this.tabFocusMode===e.tabFocusMode&&this.layoutInfo.equals(e.layoutInfo)&&this.fontInfo.equals(e.fontInfo)&&this.viewInfo.equals(e.viewInfo)&&this.wrappingInfo.equals(e.wrappingInfo)&&this.contribInfo.equals(e.contribInfo)},e.prototype.createChangeEvent=function(e){return{lineHeight:this.lineHeight!==e.lineHeight,readOnly:this.readOnly!==e.readOnly,wordSeparators:this.wordSeparators!==e.wordSeparators,autoClosingBrackets:this.autoClosingBrackets!==e.autoClosingBrackets,useTabStops:this.useTabStops!==e.useTabStops,tabFocusMode:this.tabFocusMode!==e.tabFocusMode,layoutInfo:!this.layoutInfo.equals(e.layoutInfo),fontInfo:!this.fontInfo.equals(e.fontInfo),viewInfo:this.viewInfo.createChangeEvent(e.viewInfo),wrappingInfo:!this.wrappingInfo.equals(e.wrappingInfo),contribInfo:!this.contribInfo.equals(e.contribInfo)}},e.prototype.clone=function(){return new e(this)},e}();t.InternalEditorOptions=u,function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(t.OverviewRulerLane||(t.OverviewRulerLane={}));t.OverviewRulerLane;!function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.EndOfLinePreference||(t.EndOfLinePreference={}));t.EndOfLinePreference;!function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.DefaultEndOfLine||(t.DefaultEndOfLine={}));t.DefaultEndOfLine;!function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}(t.EndOfLineSequence||(t.EndOfLineSequence={}));t.EndOfLineSequence;!function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(t.TrackedRangeStickiness||(t.TrackedRangeStickiness={}));t.TrackedRangeStickiness;!function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"}(t.CursorChangeReason||(t.CursorChangeReason={}));t.CursorChangeReason;!function(e){e[e.Simple=0]="Simple",e[e.Center=1]="Center",e[e.CenterIfOutsideViewport=2]="CenterIfOutsideViewport"}(t.VerticalRevealType||(t.VerticalRevealType={}));var c=(t.VerticalRevealType,function(){function e(e){this.width=0|e.width,this.height=0|e.height,this.top=0|e.top,this.right=0|e.right}return e.prototype.equals=function(e){return this.width===e.width&&this.height===e.height&&this.top===e.top&&this.right===e.right},e.prototype.clone=function(){return new e(this)},e}());t.OverviewRulerPosition=c;var l=function(){function e(e){this.width=0|e.width,this.height=0|e.height,this.glyphMarginLeft=0|e.glyphMarginLeft,this.glyphMarginWidth=0|e.glyphMarginWidth,this.glyphMarginHeight=0|e.glyphMarginHeight,this.lineNumbersLeft=0|e.lineNumbersLeft,this.lineNumbersWidth=0|e.lineNumbersWidth,this.lineNumbersHeight=0|e.lineNumbersHeight,this.decorationsLeft=0|e.decorationsLeft,this.decorationsWidth=0|e.decorationsWidth,this.decorationsHeight=0|e.decorationsHeight,this.contentLeft=0|e.contentLeft,this.contentWidth=0|e.contentWidth,this.contentHeight=0|e.contentHeight,this.verticalScrollbarWidth=0|e.verticalScrollbarWidth,this.horizontalScrollbarHeight=0|e.horizontalScrollbarHeight,this.overviewRuler=e.overviewRuler.clone()}return e.prototype.equals=function(e){return this.width===e.width&&this.height===e.height&&this.glyphMarginLeft===e.glyphMarginLeft&&this.glyphMarginWidth===e.glyphMarginWidth&&this.glyphMarginHeight===e.glyphMarginHeight&&this.lineNumbersLeft===e.lineNumbersLeft&&this.lineNumbersWidth===e.lineNumbersWidth&&this.lineNumbersHeight===e.lineNumbersHeight&&this.decorationsLeft===e.decorationsLeft&&this.decorationsWidth===e.decorationsWidth&&this.decorationsHeight===e.decorationsHeight&&this.contentLeft===e.contentLeft&&this.contentWidth===e.contentWidth&&this.contentHeight===e.contentHeight&&this.verticalScrollbarWidth===e.verticalScrollbarWidth&&this.horizontalScrollbarHeight===e.horizontalScrollbarHeight&&this.overviewRuler.equals(e.overviewRuler)},e.prototype.clone=function(){return new e(this)},e}();t.EditorLayoutInfo=l,function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET"}(t.MouseTargetType||(t.MouseTargetType={}));t.MouseTargetType;t.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS="editorTextFocus",t.KEYBINDING_CONTEXT_EDITOR_FOCUS="editorFocus",t.KEYBINDING_CONTEXT_EDITOR_TAB_MOVES_FOCUS="editorTabMovesFocus",t.KEYBINDING_CONTEXT_EDITOR_HAS_MULTIPLE_SELECTIONS="editorHasMultipleSelections",t.KEYBINDING_CONTEXT_EDITOR_HAS_NON_EMPTY_SELECTION="editorHasSelection",t.KEYBINDING_CONTEXT_EDITOR_LANGUAGE_ID="editorLangId",t.SHOW_ACCESSIBILITY_HELP_ACTION_ID="editor.action.showAccessibilityHelp";var d=function(){function e(e){this.fontFamily=String(e.fontFamily),this.fontSize=0|e.fontSize,this.lineHeight=0|e.lineHeight}return e.prototype.getId=function(){return this.fontFamily+"-"+this.fontSize+"-"+this.lineHeight},e}();t.BareFontInfo=d;var h=function(e){function t(t){e.call(this,t),this.typicalHalfwidthCharacterWidth=t.typicalHalfwidthCharacterWidth,this.typicalFullwidthCharacterWidth=t.typicalFullwidthCharacterWidth,this.spaceWidth=t.spaceWidth,this.maxDigitWidth=t.maxDigitWidth}return n(t,e),t.prototype.equals=function(e){return this.fontFamily===e.fontFamily&&this.fontSize===e.fontSize&&this.lineHeight===e.lineHeight&&this.typicalHalfwidthCharacterWidth===e.typicalHalfwidthCharacterWidth&&this.typicalFullwidthCharacterWidth===e.typicalFullwidthCharacterWidth&&this.spaceWidth===e.spaceWidth&&this.maxDigitWidth===e.maxDigitWidth},t.prototype.clone=function(){return new t(this)},t}(d);t.FontInfo=h,t.ViewEventNames={ModelFlushedEvent:"modelFlushedEvent",LinesDeletedEvent:"linesDeletedEvent",LinesInsertedEvent:"linesInsertedEvent",LineChangedEvent:"lineChangedEvent",TokensChangedEvent:"tokensChangedEvent",DecorationsChangedEvent:"decorationsChangedEvent",CursorPositionChangedEvent:"cursorPositionChangedEvent",CursorSelectionChangedEvent:"cursorSelectionChangedEvent",RevealRangeEvent:"revealRangeEvent",LineMappingChangedEvent:"lineMappingChangedEvent",ScrollRequestEvent:"scrollRequestEvent"};var f=function(){function e(e,t,n,r){this.top=0|e,this.left=0|t,this.width=0|n,this.height=0|r}return e}();t.Viewport=f,function(e){e[e.Value=0]="Value",e[e.Selection=1]="Selection",e[e.Position=2]="Position",e[e.Scroll=3]="Scroll"}(t.CodeEditorStateFlag||(t.CodeEditorStateFlag={}));t.CodeEditorStateFlag;t.EditorType={ICodeEditor:"vs.editor.ICodeEditor",IDiffEditor:"vs.editor.IDiffEditor"},t.ClassName={EditorWarningDecoration:"greensquiggly",EditorErrorDecoration:"redsquiggly"},t.EventType={Disposed:"disposed",ConfigurationChanged:"configurationChanged",ModelDispose:"modelDispose",ModelChanged:"modelChanged",ModelTokensChanged:"modelTokensChanged",ModelModeChanged:"modelsModeChanged",ModelModeSupportChanged:"modelsModeSupportChanged",ModelOptionsChanged:"modelOptionsChanged",ModelRawContentChanged:"contentChanged",ModelContentChanged2:"contentChanged2",ModelRawContentChangedFlush:"flush",ModelRawContentChangedLinesDeleted:"linesDeleted",ModelRawContentChangedLinesInserted:"linesInserted",ModelRawContentChangedLineChanged:"lineChanged",EditorTextBlur:"blur",EditorTextFocus:"focus",EditorFocus:"widgetFocus",EditorBlur:"widgetBlur",ModelDecorationsChanged:"decorationsChanged",CursorPositionChanged:"positionChanged",CursorSelectionChanged:"selectionChanged",CursorRevealRange:"revealRange",CursorScrollRequest:"scrollRequest",ViewFocusGained:"focusGained",ViewFocusLost:"focusLost",ViewFocusChanged:"focusChanged",ViewScrollChanged:"scrollChanged",ViewZonesChanged:"zonesChanged",ViewLayoutChanged:"viewLayoutChanged",ContextMenu:"contextMenu",MouseDown:"mousedown",MouseUp:"mouseup",MouseMove:"mousemove",MouseLeave:"mouseleave",KeyDown:"keydown",KeyUp:"keyup",EditorLayout:"editorLayout",DiffUpdated:"diffUpdated"},t.Handler={ExecuteCommand:"executeCommand",ExecuteCommands:"executeCommands",CursorLeft:"cursorLeft",CursorLeftSelect:"cursorLeftSelect",CursorWordLeft:"cursorWordLeft",CursorWordStartLeft:"cursorWordStartLeft",CursorWordEndLeft:"cursorWordEndLeft",CursorWordLeftSelect:"cursorWordLeftSelect",CursorWordStartLeftSelect:"cursorWordStartLeftSelect",CursorWordEndLeftSelect:"cursorWordEndLeftSelect",CursorRight:"cursorRight",CursorRightSelect:"cursorRightSelect",CursorWordRight:"cursorWordRight",CursorWordStartRight:"cursorWordStartRight",CursorWordEndRight:"cursorWordEndRight",CursorWordRightSelect:"cursorWordRightSelect",CursorWordStartRightSelect:"cursorWordStartRightSelect",CursorWordEndRightSelect:"cursorWordEndRightSelect",CursorUp:"cursorUp",CursorUpSelect:"cursorUpSelect",CursorDown:"cursorDown",CursorDownSelect:"cursorDownSelect",CursorPageUp:"cursorPageUp",CursorPageUpSelect:"cursorPageUpSelect",CursorPageDown:"cursorPageDown",CursorPageDownSelect:"cursorPageDownSelect",CursorHome:"cursorHome",CursorHomeSelect:"cursorHomeSelect",CursorEnd:"cursorEnd",CursorEndSelect:"cursorEndSelect",ExpandLineSelection:"expandLineSelection",CursorTop:"cursorTop",CursorTopSelect:"cursorTopSelect",CursorBottom:"cursorBottom",CursorBottomSelect:"cursorBottomSelect",CursorColumnSelectLeft:"cursorColumnSelectLeft",CursorColumnSelectRight:"cursorColumnSelectRight",CursorColumnSelectUp:"cursorColumnSelectUp",CursorColumnSelectPageUp:"cursorColumnSelectPageUp",CursorColumnSelectDown:"cursorColumnSelectDown",CursorColumnSelectPageDown:"cursorColumnSelectPageDown",AddCursorDown:"addCursorDown",AddCursorUp:"addCursorUp",CursorUndo:"cursorUndo",MoveTo:"moveTo",MoveToSelect:"moveToSelect",ColumnSelect:"columnSelect",CreateCursor:"createCursor",LastCursorMoveToSelect:"lastCursorMoveToSelect",JumpToBracket:"jumpToBracket",Type:"type",ReplacePreviousChar:"replacePreviousChar",Paste:"paste",Tab:"tab",Indent:"indent",Outdent:"outdent",DeleteLeft:"deleteLeft",DeleteRight:"deleteRight",DeleteWordLeft:"deleteWordLeft",DeleteWordStartLeft:"deleteWordStartLeft",DeleteWordEndLeft:"deleteWordEndLeft",DeleteWordRight:"deleteWordRight",DeleteWordStartRight:"deleteWordStartRight",DeleteWordEndRight:"deleteWordEndRight",DeleteAllLeft:"deleteAllLeft",DeleteAllRight:"deleteAllRight",RemoveSecondaryCursors:"removeSecondaryCursors",CancelSelection:"cancelSelection",Cut:"cut",Undo:"undo",Redo:"redo",WordSelect:"wordSelect",WordSelectDrag:"wordSelectDrag",LastCursorWordSelect:"lastCursorWordSelect",LineSelect:"lineSelect",LineSelectDrag:"lineSelectDrag",LastCursorLineSelect:"lastCursorLineSelect",LastCursorLineSelectDrag:"lastCursorLineSelectDrag",LineInsertBefore:"lineInsertBefore",LineInsertAfter:"lineInsertAfter",LineBreakInsert:"lineBreakInsert",SelectAll:"selectAll",ScrollLineUp:"scrollLineUp",ScrollLineDown:"scrollLineDown",ScrollPageUp:"scrollPageUp",ScrollPageDown:"scrollPageDown"},function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline"}(t.TextEditorCursorStyle||(t.TextEditorCursorStyle={}));var p=t.TextEditorCursorStyle;t.cursorStyleToString=r;var g=function(){function e(e,t,n,r){this.from=0|e,this.to=0|t,this.colorId=0|n,this.position=0|r}return e}();t.ColorZone=g;var m=function(){function e(e,t,n,r,i,o){this.startLineNumber=e,this.endLineNumber=t,this.position=n,this.forceHeight=r,this._color=i,this._darkColor=o,this._colorZones=null}return e.prototype.getColor=function(e){return e?this._darkColor:this._color},e.prototype.equals=function(e){return this.startLineNumber===e.startLineNumber&&this.endLineNumber===e.endLineNumber&&this.position===e.position&&this.forceHeight===e.forceHeight&&this._color===e._color&&this._darkColor===e._darkColor},e.prototype.compareTo=function(e){return this.startLineNumber===e.startLineNumber?this.endLineNumber===e.endLineNumber?this.forceHeight===e.forceHeight?this.position===e.position?this._darkColor===e._darkColor?this._color===e._color?0:this._color<e._color?-1:1:this._darkColor<e._darkColor?-1:1:this.position-e.position:this.forceHeight-e.forceHeight:this.endLineNumber-e.endLineNumber:this.startLineNumber-e.startLineNumber},e.prototype.setColorZones=function(e){this._colorZones=e},e.prototype.getColorZones=function(){return this._colorZones},e}();t.OverviewRulerZone=m}),define(e[99],t([0,1]),function(e,t){"use strict";function n(e,t,n,r){var o;for(o=0;o<t&&o<r;o++){var s=e.charCodeAt(o),a=n.charCodeAt(o);if(s!==a)break}for(var u=0,c=0,l=o;l<t;l++){var s=e.charCodeAt(l);s===i?u++:c++}for(var d=0,h=0,l=o;l<r;l++){var a=n.charCodeAt(l);a===i?d++:h++}if(u>0&&c>0)return 0;if(d>0&&h>0)return 0;var f=Math.abs(c-h),p=Math.abs(u-d);return 0===f?p:p%f===0?p/f:0}function r(e,t,r){for(var s=0,a=0,u="",c=0,l=[2,4,6,8],d=8,h=[0,0,0,0,0,0,0,0,0],f=0,p=e.length;f<p;f++){for(var g=e[f],m=!1,v=0,_=0,y=0,k=0,b=g.length;k<b;k++){var C=g.charCodeAt(k);if(C===o)y++;else{if(C!==i){m=!0,v=k;break}_++}}if(m){y>0?s++:_>1&&a++;var E=n(u,c,g,v);E<=d&&h[E]++,u=g,c=v}}var S=n(u,c,"",0);S<=d&&h[S]++;var I=r;s!==a&&(I=s<a);var T=t,M=I?0:.1*e.length;return l.forEach(function(e){var t=h[e];t>M&&(M=t,T=e)}),{insertSpaces:I,tabSize:T}}var i=" ".charCodeAt(0),o="\t".charCodeAt(0);t.guessIndentation=r}),define(e[96],t([0,1,39]),function(e,t,n){"use strict";var r=function(){function e(e,t){this.startIndex=0|e,this.type=t}return e.prototype.equals=function(e){return this.startIndex===e.startIndex&&this.type===e.type},e.findIndexInSegmentsArray=function(e,t){return n.Arrays.findIndexInSegmentsArray(e,t)},e.equalsArray=function(e,t){var n=e.length,r=t.length;if(n!==r)return!1;for(var i=0;i<n;i++)if(!e[i].equals(t[i]))return!1;return!0},e}();t.LineToken=r}),define(e[94],t([0,1]),function(e,t){"use strict";var n=function(){function e(e,t){this._model=e,this._currentLineNumber=t.lineNumber,this._currentTokenIndex=0,this._readLineTokens(this._currentLineNumber),this._next=null,this._prev=null;for(var n=t.column-1,r=Number.MAX_VALUE,i=this._currentLineTokens.getTokenCount()-1;i>=0;i--){var o=this._currentLineTokens.getTokenStartIndex(i);if(o<=n&&n<=r){this._currentTokenIndex=i,this._next=this._current(),this._prev=this._current();break}r=o}}return e.prototype._readLineTokens=function(e){this._currentLineTokens=this._model.getLineTokens(e,!1)},e.prototype._advanceNext=function(){if(this._prev=this._next,this._next=null,this._currentTokenIndex+1<this._currentLineTokens.getTokenCount())this._currentTokenIndex++,this._next=this._current();else{for(;this._currentLineNumber+1<=this._model.getLineCount();)if(this._currentLineNumber++,this._readLineTokens(this._currentLineNumber),this._currentLineTokens.getTokenCount()>0){this._currentTokenIndex=0,this._next=this._current();break}null===this._next&&(this._readLineTokens(this._currentLineNumber),this._currentTokenIndex=this._currentLineTokens.getTokenCount(),this._advancePrev(),this._next=null)}},e.prototype._advancePrev=function(){if(this._next=this._prev,this._prev=null,this._currentTokenIndex>0)this._currentTokenIndex--,this._prev=this._current();else for(;this._currentLineNumber>1;)if(this._currentLineNumber--,this._readLineTokens(this._currentLineNumber),this._currentLineTokens.getTokenCount()>0){this._currentTokenIndex=this._currentLineTokens.getTokenCount()-1,this._prev=this._current();break}},e.prototype._current=function(){var e=this._currentLineTokens.getTokenStartIndex(this._currentTokenIndex),t=this._currentLineTokens.getTokenType(this._currentTokenIndex),n=this._currentLineTokens.getTokenEndIndex(this._currentTokenIndex,this._model.getLineContent(this._currentLineNumber).length);return{token:{startIndex:e,type:t},lineNumber:this._currentLineNumber,startColumn:e+1,endColumn:n+1}},e.prototype.hasNext=function(){return null!==this._next},e.prototype.next=function(){var e=this._next;return this._advanceNext(),e},e.prototype.hasPrev=function(){return null!==this._prev},e.prototype.prev=function(){var e=this._prev;return this._advancePrev(),e},e.prototype._invalidate=function(){var e=function(){throw new Error("iteration isn't valid anymore")};this.hasNext=e,this.next=e,this.hasPrev=e,this.prev=e},e}();t.TokenIterator=n}),define(e[25],t([0,1]),function(e,t){"use strict";function n(e){void 0===e&&(e="");for(var n=t.USUAL_WORD_SEPARATORS,r="(-?\\d*\\.\\d\\w*)|([^",i=0;i<n.length;i++)e.indexOf(n[i])>=0||(r+="\\"+n[i]);return r+="\\s]+)",new RegExp(r,"g")}function r(e){var n=t.DEFAULT_WORD_REGEXP;if(e&&e instanceof RegExp)if(e.global)n=e;else{var r="g";e.ignoreCase&&(r+="i"),e.multiline&&(r+="m"),n=new RegExp(e.source,r)}return n.lastIndex=0,n}function i(e,t,n,r){var i,o,s,a,u,c,l=n.match(t);if(l)for(i=0;i<l.length;i++)if(c=l[i].trim(),c.length>0&&(o=n.indexOf(c,s),s=o+c.length,a=r+o+1,u=r+s+1,a<=e&&e<=u))return{word:c,startColumn:a,endColumn:u};return null}t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?",t.createWordRegExp=n,t.DEFAULT_WORD_REGEXP=n(),t.ensureValidWordDefinition=r,t.getWordAtText=i}),define(e[32],t([0,1]),function(e,t){"use strict";var n=function(){function e(e,t){void 0===t&&(t=null),this.mode=e,this.stateData=t}return e.prototype.getMode=function(){return this.mode},e.prototype.clone=function(){var e=this.makeClone();return e.initializeFrom(this),e},e.prototype.makeClone=function(){throw new Error("Abstract Method")},e.prototype.initializeFrom=function(e){this.stateData=null!==e.stateData?e.stateData.clone():null},e.prototype.getStateData=function(){return this.stateData},e.prototype.setStateData=function(e){this.stateData=e},e.prototype.equals=function(t){return null!==t&&this.mode===t.getMode()&&(t instanceof e&&e.safeEquals(this.stateData,t.stateData))},e.prototype.tokenize=function(e){throw new Error("Abstract Method")},e.safeEquals=function(e,t){return null===e&&null===t||null!==e&&null!==t&&e.equals(t)},e.safeClone=function(e){return e?e.clone():null},e}();t.AbstractState=n}),define(e[92],t([0,1,61]),function(e,t,n){"use strict";function r(e,t,n){return i(e,t,n)>0}function i(e,t,r){if(Array.isArray(e)){var o=e.map(function(e){return i(e,t,r)});return Math.max.apply(Math,o)}if("string"==typeof e)return e===r?10:"*"===e?5:0;if(e){var s=e,a=0;if(s.language)if(s.language===r)a+=10;else{if("*"!==s.language)return 0;a+=5}if(s.scheme){if(s.scheme!==t.scheme)return 0;a+=10}if(s.pattern)if(s.pattern===t.fsPath)a+=10;else{if(!n.match(s.pattern,t.fsPath))return 0;a+=5}return a}}Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=r,t.score=i}),define(e[52],t([0,1]),function(e,t){"use strict";var n=function(){function e(e){this._source=e,this.sourceLength=e.length,this._pos=0,this.whitespace="\t  ",this.whitespaceArr=this.stringToArray(this.whitespace),this.separators="",this.separatorsArr=this.stringToArray(this.separators),this.tokenStart=-1,this.tokenEnd=-1}return e.prototype.stringToArray=function(t){return e.STRING_TO_ARRAY_CACHE.hasOwnProperty(t)||(e.STRING_TO_ARRAY_CACHE[t]=this.actualStringToArray(t)),e.STRING_TO_ARRAY_CACHE[t]},e.prototype.actualStringToArray=function(e){for(var t=0,n=0;n<e.length;n++)t=Math.max(t,e.charCodeAt(n));for(var r=[],n=0;n<=t;n++)r[n]=!1;for(var n=0;n<e.length;n++)r[e.charCodeAt(n)]=!0;return r},e.prototype.pos=function(){return this._pos},e.prototype.eos=function(){return this._pos>=this.sourceLength},e.prototype.peek=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");return this._source[this._pos]},e.prototype.next=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");
return this.tokenStart=-1,this.tokenEnd=-1,this._source[this._pos++]},e.prototype.next2=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");this.tokenStart=-1,this.tokenEnd=-1,this._pos++},e.prototype.advance=function(e){if(0===e)return"";var t=this._pos;return this._pos+=e,this.tokenStart=-1,this.tokenEnd=-1,this._source.substring(t,this._pos)},e.prototype._advance2=function(e){return 0===e?e:(this._pos+=e,this.tokenStart=-1,this.tokenEnd=-1,e)},e.prototype.advanceToEOS=function(){var e=this._pos;return this._pos=this.sourceLength,this.resetPeekedToken(),this._source.substring(e,this._pos)},e.prototype.goBack=function(e){this._pos-=e,this.resetPeekedToken()},e.prototype.createPeeker=function(e){var t=this;if(e instanceof RegExp)return function(){var n=e.exec(t._source.substr(t._pos));if(null===n)return 0;if(0!==n.index)throw new Error('Regular expression must begin with the character "^"');return n[0].length};if((e instanceof String||"string"==typeof e)&&e)return function(){for(var n=e.length,r=t._pos+n<=t.sourceLength,i=0;r&&i<n;i++)r=t._source.charCodeAt(t._pos+i)===e.charCodeAt(i);return r?n:0};throw new Error("Condition must be either a regular expression, function or a non-empty string")},e.prototype._advanceIfStringCaseInsensitive=function(e){var t,n=this._pos,r=this._source,i=e.length;if(i<1||n+i>this.sourceLength)return 0;for(t=0;t<i;t++)if(r.charAt(n+t).toLowerCase()!==e.charAt(t).toLowerCase())return 0;return i},e.prototype.advanceIfStringCaseInsensitive=function(e){return this.advance(this._advanceIfStringCaseInsensitive(e))},e.prototype.advanceIfStringCaseInsensitive2=function(e){return this._advance2(this._advanceIfStringCaseInsensitive(e))},e.prototype._advanceIfString=function(e){var t,n=this._pos,r=this._source,i=e.length;if(i<1||n+i>this.sourceLength)return 0;for(t=0;t<i;t++)if(r.charCodeAt(n+t)!==e.charCodeAt(t))return 0;return i},e.prototype.advanceIfString=function(e){return this.advance(this._advanceIfString(e))},e.prototype.advanceIfString2=function(e){return this._advance2(this._advanceIfString(e))},e.prototype._advanceIfCharCode=function(e){return this._pos<this.sourceLength&&this._source.charCodeAt(this._pos)===e?1:0},e.prototype.advanceIfCharCode=function(e){return this.advance(this._advanceIfCharCode(e))},e.prototype.advanceIfCharCode2=function(e){return this._advance2(this._advanceIfCharCode(e))},e.prototype._advanceIfRegExp=function(e){return this._pos>=this.sourceLength?0:e.test(this._source.substr(this._pos))?RegExp.lastMatch.length:0},e.prototype.advanceIfRegExp=function(e){return this.advance(this._advanceIfRegExp(e))},e.prototype.advanceIfRegExp2=function(e){return this._advance2(this._advanceIfRegExp(e))},e.prototype.advanceLoop=function(e,t,n){if(this.eos())return"";var r=this.createPeeker(e),i=this._pos,o=0,s=null;for(s=t?function(e){return e>0}:function(e){return 0===e};!this.eos()&&s(o=r());)o>0?this.advance(o):this.next();return n&&!this.eos()&&this.advance(o),this._source.substring(i,this._pos)},e.prototype.advanceWhile=function(e){return this.advanceLoop(e,!0,!1)},e.prototype.advanceUntil=function(e,t){return this.advanceLoop(e,!1,t)},e.prototype._advanceUntilString=function(e,t){if(this.eos()||0===e.length)return 0;var n=this._pos,r=this._source.indexOf(e,n);return r===-1?this.sourceLength-n:t?r+e.length-n:r-n},e.prototype.advanceUntilString=function(e,t){return this.advance(this._advanceUntilString(e,t))},e.prototype.advanceUntilString2=function(e,t){return this._advance2(this._advanceUntilString(e,t))},e.prototype.resetPeekedToken=function(){this.tokenStart=-1,this.tokenEnd=-1},e.prototype.setTokenRules=function(e,t){this.separators===e&&this.whitespace===t||(this.separators=e,this.separatorsArr=this.stringToArray(this.separators),this.whitespace=t,this.whitespaceArr=this.stringToArray(this.whitespace),this.resetPeekedToken())},e.prototype.peekToken=function(){if(this.tokenStart!==-1)return this._source.substring(this.tokenStart,this.tokenEnd);var e=this._source,t=this.sourceLength,n=this.whitespaceArr,r=this.separatorsArr,i=this._pos;if(i>=t)throw new Error("Stream is at the end");for(;n[e.charCodeAt(i)]&&i<t;)i++;var o=i;if(r[e.charCodeAt(o)]&&o<t)o++;else for(;!r[e.charCodeAt(o)]&&!n[e.charCodeAt(o)]&&o<t;)o++;return this.tokenStart=i,this.tokenEnd=o,e.substring(i,o)},e.prototype.nextToken=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");var e;return e=this.tokenStart===-1?this.peekToken():this._source.substring(this.tokenStart,this.tokenEnd),this._pos=this.tokenEnd,this.tokenStart=-1,this.tokenEnd=-1,e},e.prototype.peekWhitespace=function(){for(var e=this._source,t=this.sourceLength,n=this.whitespaceArr,r=this._pos;n[e.charCodeAt(r)]&&r<t;)r++;return e.substring(this._pos,r)},e.prototype._skipWhitespace=function(){for(var e=this._source,t=this.sourceLength,n=this.whitespaceArr,r=this._pos,i=this._pos;n[e.charCodeAt(i)]&&i<t;)i++;return i-r},e.prototype.skipWhitespace=function(){return this.advance(this._skipWhitespace())},e.prototype.skipWhitespace2=function(){return this._advance2(this._skipWhitespace())},e.STRING_TO_ARRAY_CACHE={},e}();t.LineStream=n}),define(e[35],t([0,1]),function(e,t){"use strict";function n(e){return!e}function r(e,t){return e.ignoreCase&&t?t.toLowerCase():t}function i(e){return e.replace(/[&<>'"_]/g,"-")}function o(e,t){console.log(e.languageId+": "+t)}function s(e,t){throw new Error(e.languageId+": "+t)}function a(e,t,i,o,s){var a=/\$((\$)|(#)|(\d\d?)|[sS](\d\d?)|@(\w+))/g,u=null;return t.replace(a,function(t,a,c,l,d,h,f,p,g){return n(c)?n(l)?!n(d)&&d<o.length?r(e,o[d]):!n(f)&&e&&"string"==typeof e[f]?e[f]:(null===u&&(u=s.split("."),u.unshift(s)),!n(h)&&h<u.length?r(e,u[h]):""):r(e,i):"$"})}function u(e,t){for(;t&&t.length>0;){var n=e.tokenizer[t];if(n)return n;var r=t.lastIndexOf(".");t=r<0?null:t.substr(0,r)}return null}function c(e,t){for(;t&&t.length>0;){var n=e.stateNames[t];if(n)return!0;var r=t.lastIndexOf(".");t=r<0?null:t.substr(0,r)}return!1}!function(e){e[e.None=0]="None",e[e.Open=1]="Open",e[e.Close=-1]="Close"}(t.MonarchBracket||(t.MonarchBracket={}));t.MonarchBracket;t.empty=n,t.fixCase=r,t.sanitize=i,t.log=o,t.throwError=s,t.substituteMatches=a,t.findRules=u,t.stateExists=c}),define(e[75],t([0,1,18,35]),function(e,t,n,r){"use strict";function i(e,t){if(!t)return!1;if(!Array.isArray(t))return!1;var n;for(n in t)if(t.hasOwnProperty(n)&&!e(t[n]))return!1;return!0}function o(e,t,n){return"boolean"==typeof e?e:(n&&(e||void 0===t)&&n(),void 0===t?null:t)}function s(e,t,n){return"string"==typeof e?e:(n&&(e||void 0===t)&&n(),void 0===t?null:t)}function a(e,t){if("string"!=typeof t)return null;for(var n=0;t.indexOf("@")>=0&&n<5;)n++,t=t.replace(/@(\w+)/g,function(n,i){var o="";return"string"==typeof e[i]?o=e[i]:e[i]&&e[i]instanceof RegExp?o=e[i].source:void 0===e[i]?r.throwError(e,"language definition does not contain attribute '"+i+"', used at: "+t):r.throwError(e,"attribute reference '"+i+"' must be a string, used at: "+t),r.empty(o)?"":"(?:"+o+")"});return new RegExp(t,e.ignoreCase?"i":"")}function u(e,t,n,r){if(r<0)return e;if(r<t.length)return t[r];if(r>=100){r-=100;var i=n.split(".");if(i.unshift(n),r<i.length)return i[r]}return null}function c(e,t,o,s){var c=-1,l=o,d=o.match(/^\$(([sS]?)(\d\d?)|#)(.*)$/);d&&(d[3]&&(c=parseInt(d[3]),d[2]&&(c+=100)),l=d[4]);var h="~",f=l;l&&0!==l.length?/^\w*$/.test(f)?h="==":(d=l.match(/^(@|!@|~|!~|==|!=)(.*)$/),d&&(h=d[1],f=d[2])):(h="!=",f="");var p;if("~"!==h&&"!~"!==h||!/^(\w|\|)*$/.test(f))if("@"===h||"!@"===h){var g=e[f];g||r.throwError(e,"the @ match target '"+f+"' is not defined, in rule: "+t),i(function(e){return"string"==typeof e},g)||r.throwError(e,"the @ match target '"+f+"' must be an array of strings, in rule: "+t);var m=n.createKeywordMatcher(g,e.ignoreCase);p=function(e){return"@"===h?m(e):!m(e)}}else if("~"===h||"!~"===h)if(f.indexOf("$")<0){var v=a(e,"^"+f+"$");p=function(e){return"~"===h?v.test(e):!v.test(e)}}else p=function(t,n,i,o){var s=a(e,"^"+r.substituteMatches(e,f,n,i,o)+"$");return s.test(t)};else if(f.indexOf("$")<0){var _=r.fixCase(e,f);p=function(e){return"=="===h?e===_:e!==_}}else{var _=r.fixCase(e,f);p=function(t,n,i,o,s){var a=r.substituteMatches(e,_,n,i,o);return"=="===h?t===a:t!==a}}else{var m=n.createKeywordMatcher(f.split("|"),e.ignoreCase);p=function(e){return"~"===h?m(e):!m(e)}}return c===-1?{name:o,value:s,test:function(e,t,n,r){return p(e,e,t,n,r)}}:{name:o,value:s,test:function(e,t,n,r){var i=u(e,t,n,c);return p(i?i:"",e,t,n,r)}}}function l(e,t,n){if(n){if("string"==typeof n)return n;if(n.token||""===n.token){if("string"!=typeof n.token)return r.throwError(e,"a 'token' attribute must be of type string, in rule: "+t),{token:""};var i={token:n.token};if(n.token.indexOf("$")>=0&&(i.tokenSubst=!0),"string"==typeof n.bracket&&("@open"===n.bracket?i.bracket=r.MonarchBracket.Open:"@close"===n.bracket?i.bracket=r.MonarchBracket.Close:r.throwError(e,"a 'bracket' attribute must be either '@open' or '@close', in rule: "+t)),n.next)if("string"!=typeof n.next)r.throwError(e,"the next state must be a string value in rule: "+t);else{var o=n.next;/^(@pop|@push|@popall)$/.test(o)||("@"===o[0]&&(o=o.substr(1)),o.indexOf("$")<0&&(r.stateExists(e,r.substituteMatches(e,o,"",[],""))||r.throwError(e,"the next state '"+n.next+"' is not defined in rule: "+t))),i.next=o}return"number"==typeof n.goBack&&(i.goBack=n.goBack),"string"==typeof n.switchTo&&(i.switchTo=n.switchTo),"string"==typeof n.log&&(i.log=n.log),"string"==typeof n.nextEmbedded&&(i.nextEmbedded=n.nextEmbedded,e.usesEmbedded=!0),i}if(Array.isArray(n)){var s,a=[];for(s in n)n.hasOwnProperty(s)&&(a[s]=l(e,t,n[s]));return{group:a}}if(n.cases){var u,d=[];for(u in n.cases)if(n.cases.hasOwnProperty(u)){var h=l(e,t,n.cases[u]);"@default"===u||"@"===u||""===u?d.push({test:null,value:h,name:u}):"@eos"===u?d.push({test:function(e,t,n,r){return r},value:h,name:u}):d.push(c(e,t,u,h))}var f=e.defaultToken;return{test:function(e,t,n,r){var i;for(i in d)if(d.hasOwnProperty(i)){var o=!d[i].test||d[i].test(e,t,n,r);if(o)return d[i].value}return f}}}return r.throwError(e,"an action must be a string, an object with a 'token' or 'cases' attribute, or an array of actions; in rule: "+t),""}return{token:""}}function d(e,t){function n(e,u,c){var l;for(l in c)if(c.hasOwnProperty(l)){var d=c[l],f=d.include;if(f)"string"!=typeof f&&r.throwError(i,"an 'include' attribute must be a string at: "+e),"@"===f[0]&&(f=f.substr(1)),t.tokenizer[f]||r.throwError(i,"include target '"+f+"' is not defined at: "+e),n(e+"."+f,u,t.tokenizer[f]);else{var p=new h(e);if(Array.isArray(d)&&d.length>=1&&d.length<=3)if(p.setRegex(a,d[0]),d.length>=3)if("string"==typeof d[1])p.setAction(a,{token:d[1],next:d[2]});else if("object"==typeof d[1]){var g=d[1];g.next=d[2],p.setAction(a,g)}else r.throwError(i,"a next state as the last element of a rule can only be given if the action is either an object or a string, at: "+e);else p.setAction(a,d[1]);else d.regex||r.throwError(i,"a rule must either be an array, or an object with a 'regex' or 'include' field at: "+e),d.name&&(p.name=s(d.name)),d.matchOnlyAtStart&&(p.matchOnlyAtLineStart=o(d.matchOnlyAtLineStart)),p.setRegex(a,d.regex),p.setAction(a,d.action);u.push(p)}}}if(!t||"object"!=typeof t)throw new Error("Monarch: expecting a language definition object");var i={};i.languageId=e,i.noThrow=!1,i.maxStack=100,i.start=s(t.start),i.ignoreCase=o(t.ignoreCase,!1),i.tokenPostfix=s(t.tokenPostfix,"."+i.languageId),i.defaultToken=s(t.defaultToken,"source",function(){r.throwError(i,"the 'defaultToken' must be a string")}),i.usesEmbedded=!1;var a=t;a.languageId=e,a.ignoreCase=i.ignoreCase,a.noThrow=i.noThrow,a.usesEmbedded=i.usesEmbedded,a.stateNames=t.tokenizer,a.defaultToken=i.defaultToken,t.tokenizer&&"object"==typeof t.tokenizer||r.throwError(i,"a language definition must define the 'tokenizer' attribute as an object"),i.tokenizer=[];var u;for(u in t.tokenizer)if(t.tokenizer.hasOwnProperty(u)){i.start||(i.start=u);var c=t.tokenizer[u];i.tokenizer[u]=new Array,n("tokenizer."+u,i.tokenizer[u],c)}i.usesEmbedded=a.usesEmbedded,t.brackets?Array.isArray(t.brackets)||r.throwError(i,"the 'brackets' attribute must be defined as an array"):t.brackets=[{open:"{",close:"}",token:"delimiter.curly"},{open:"[",close:"]",token:"delimiter.square"},{open:"(",close:")",token:"delimiter.parenthesis"},{open:"<",close:">",token:"delimiter.angle"}];var l=[];for(var d in t.brackets)if(t.brackets.hasOwnProperty(d)){var f=t.brackets[d];f&&Array.isArray(f)&&3===f.length&&(f={token:f[2],open:f[0],close:f[1]}),f.open===f.close&&r.throwError(i,"open and close brackets in a 'brackets' attribute must be different: "+f.open+"\n hint: use the 'bracket' attribute if matching on equal brackets is required."),"string"==typeof f.open&&"string"==typeof f.token?l.push({token:s(f.token)+i.tokenPostfix,open:r.fixCase(i,s(f.open)),close:r.fixCase(i,s(f.close))}):r.throwError(i,"every element in the 'brackets' array must be a '{open,close,token}' object or array")}return i.brackets=l,i.noThrow=!0,i}var h=function(){function e(e){this.regex=new RegExp(""),this.action={token:""},this.matchOnlyAtLineStart=!1,this.name="",this.name=e}return e.prototype.setRegex=function(e,t){var n;"string"==typeof t?n=t:t instanceof RegExp?n=t.source:r.throwError(e,"rules must start with a match string or regular expression: "+this.name),this.matchOnlyAtLineStart=n.length>0&&"^"===n[0],this.name=this.name+": "+n,this.regex=a(e,"^(?:"+(this.matchOnlyAtLineStart?n.substr(1):n)+")")},e.prototype.setAction=function(e,t){this.action=l(e,this.name,t)},e}();t.compile=d}),define(e[71],t([0,1]),function(e,t){"use strict";function n(e,t,n,r,i){void 0===r&&(r=0);var o=[{startIndex:r,type:""}],s=[{startIndex:r,mode:e}];return{tokens:o,actualStopOffset:r+t.length,endState:n,modeTransitions:s}}var r=function(){function e(e,t){this.mode=e,this.stateData=t}return e.prototype.clone=function(){var t=this.stateData?this.stateData.clone():null;return new e(this.mode,t)},e.prototype.equals=function(e){if(this.mode!==e.getMode())return!1;var t=e.getStateData();return!this.stateData&&!t||!(!this.stateData||!t)&&this.stateData.equals(t)},e.prototype.getMode=function(){return this.mode},e.prototype.tokenize=function(e){return e.advanceToEOS(),{type:""}},e.prototype.getStateData=function(){return this.stateData},e.prototype.setStateData=function(e){this.stateData=e},e}();t.NullState=r;var i=function(){function e(){}return e.prototype.getId=function(){return e.ID},e.prototype.toSimplifiedMode=function(){return this},e.ID="vs.editor.modes.nullMode",e}();t.NullMode=i,t.nullTokenize=n}),define(e[21],t([0,1,3,18,28]),function(e,t,n,r,i){"use strict";function o(e,t,n){var r=e.modeTransitions;if(1===r.length)return n(r[0].modeId,e,t);var o=i.ModeTransition.findIndexInSegmentsArray(r,t),s=r[o].mode,a=r[o].startIndex,u=e.findIndexOfOffset(a),l=-1,d=-1;o+1<r.length?(d=e.findIndexOfOffset(r[o+1].startIndex),l=e.getTokenStartIndex(d)):(d=e.getTokenCount(),l=e.getLineContent().length);var h=e.getTokenStartIndex(u),f=new c(e,s,u,d,h,l);return n(s.getId(),f,t-h)}function s(e){return l.test(e)}var a=function(){function e(e,t){this.startIndex=e,this.type=t}return e.prototype.toString=function(){return"("+this.startIndex+", "+this.type+")"},e}();t.Token=a;var u=function(){function e(e,t,n,r){this.tokens=e,this.modeTransitions=t,this.actualStopOffset=n,this.endState=r,this.retokenize=null}return e}();t.LineTokens=u,t.handleEvent=o;var c=function(){function e(e,t,n,r,o,s){this.modeTransitions=[new i.ModeTransition(0,t)],this._actual=e,this._firstTokenInModeIndex=n,this._nextTokenAfterMode=r,this._firstTokenCharacterOffset=o,this._nextCharacterAfterModeIndex=s}return e.prototype.getLineContent=function(){var e=this._actual.getLineContent();return e.substring(this._firstTokenCharacterOffset,this._nextCharacterAfterModeIndex)},e.prototype.getTokenCount=function(){return this._nextTokenAfterMode-this._firstTokenInModeIndex},e.prototype.findIndexOfOffset=function(e){return this._actual.findIndexOfOffset(e+this._firstTokenCharacterOffset)-this._firstTokenInModeIndex},e.prototype.getTokenStartIndex=function(e){return this._actual.getTokenStartIndex(e+this._firstTokenInModeIndex)-this._firstTokenCharacterOffset},e.prototype.getTokenEndIndex=function(e){return this._actual.getTokenEndIndex(e+this._firstTokenInModeIndex)-this._firstTokenCharacterOffset},e.prototype.getTokenType=function(e){return this._actual.getTokenType(e+this._firstTokenInModeIndex)},e.prototype.getTokenText=function(e){return this._actual.getTokenText(e+this._firstTokenInModeIndex)},e}();t.FilteredLineContext=c;var l=/\b(comment|string|regex)\b/;t.ignoreBracketsInToken=s;var d=function(){function e(){}return e.registerDefaultSnippets=function(e,t){this._defaultSnippets[e]=(this._defaultSnippets[e]||[]).concat(t)},e.registerSnippets=function(e,t,n){var r=this._snippets[e];r||(this._snippets[e]=r={}),r[t]=n},e.getNonWhitespacePrefix=function(e,t){var n=e.getLineContent(t.lineNumber),r=n.match(/[^\s]+$/);return r?r[0]:""},e.getSnippets=function(t,i){var o=t.getWordAtPosition(i),s=o?o.word.substring(0,i.column-o.startColumn).toLowerCase():"",a=e.getNonWhitespacePrefix(t,i).toLowerCase(),u={currentWord:s,incomplete:0===s.length,suggestions:[]},c=t.getModeId(),l=[],d=this._snippets[c];if(d)for(var h in d)l=l.concat(d[h]);var f=this._defaultSnippets[c];return f&&(l=l.concat(f)),l.forEach(function(e){if(0===s.length&&0===a.length);else{var t=e.label.toLowerCase();if(s.length>0&&n.startsWith(t,s));else{if(!(a.length>s.length&&n.startsWith(t,a)))return;e=r.clone(e),e.overwriteBefore=a.length}}u.suggestions.push(e)}),u},e._defaultSnippets=Object.create(null),e._snippets=Object.create(null),e}();t.SnippetsRegistry=d}),define(e[91],t([0,1,21]),function(e,t,n){"use strict";var r=function(){function e(e,t,n){this._registry=e,this._modeId=t,this._autoClosingPairs=n.autoClosingPairs,this._autoClosingPairs||(this._autoClosingPairs=n.brackets?n.brackets.map(function(e){return{open:e[0],close:e[1]}}):[]),this._surroundingPairs=n.surroundingPairs||this._autoClosingPairs}return e.prototype.getAutoClosingPairs=function(){return this._autoClosingPairs},e.prototype.shouldAutoClosePair=function(e,t,r){var i=this;return n.handleEvent(t,r,function(t,n,r){if(i._modeId===t){if(0===n.getTokenCount())return!0;for(var o=n.findIndexOfOffset(r-1),s=n.getTokenType(o),a=0;a<i._autoClosingPairs.length;++a)if(i._autoClosingPairs[a].open===e){if(i._autoClosingPairs[a].notIn)for(var u=0;u<i._autoClosingPairs[a].notIn.length;++u)if(s.indexOf(i._autoClosingPairs[a].notIn[u])>-1)return!1;break}return!0}var c=i._registry.getCharacterPairSupport(t);return c?c.shouldAutoClosePair(e,n,r):null})},e.prototype.getSurroundingPairs=function(){return this._surroundingPairs},e}();t.CharacterPairSupport=r}),define(e[40],t([0,1,3,14]),function(e,t,n,r){"use strict";function i(e,t){var n={};return function(r){var i=e(r);return n.hasOwnProperty(i)||(n[i]=t(r)),n[i]}}function o(e){var t="("+e.map(n.escapeRegExpCharacters).join(")|(")+")";return n.createRegExp(t,!0,!1,!1,!1)}function s(e){for(var t="",n=e.length-1;n>=0;n--)t+=e.charAt(n);return t}var a=function(){function e(e,t){var n=this;this.brackets=t.map(function(t){return{modeId:e,open:t[0],close:t[1],forwardRegex:u({open:t[0],close:t[1]}),reversedRegex:c({open:t[0],close:t[1]})}}),this.forwardRegex=l(this.brackets),this.reversedRegex=d(this.brackets),this.textIsBracket={},this.textIsOpenBracket={},this.maxBracketLength=0,this.brackets.forEach(function(e){n.textIsBracket[e.open]=e,n.textIsBracket[e.close]=e,n.textIsOpenBracket[e.open]=!0,n.textIsOpenBracket[e.close]=!1,n.maxBracketLength=Math.max(n.maxBracketLength,e.open.length),n.maxBracketLength=Math.max(n.maxBracketLength,e.close.length)})}return e}();t.RichEditBrackets=a;var u=i(function(e){return e.open+";"+e.close},function(e){return o([e.open,e.close])}),c=i(function(e){return e.open+";"+e.close},function(e){return o([s(e.open),s(e.close)])}),l=i(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[];return e.forEach(function(e){t.push(e.open),t.push(e.close)}),o(t)}),d=i(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[];return e.forEach(function(e){t.push(s(e.open)),t.push(s(e.close))}),o(t)}),h=function(){function e(){}return e._findPrevBracketInText=function(e,t,n,i){var o=n.match(e);if(!o)return null;var s=n.length-o.index,a=o[0].length,u=i+s;return new r.Range(t,u-a+1,t,u+1)},e.findPrevBracketInToken=function(e,t,n,r,i){for(var o="",s=i-1;s>=r;s--)o+=n.charAt(s);return this._findPrevBracketInText(e,t,o,r)},e.findNextBracketInText=function(e,t,n,i){var o=n.match(e);if(!o)return null;var s=o.index,a=o[0].length,u=i+s;return new r.Range(t,u+1,t,u+1+a)},e.findNextBracketInToken=function(e,t,n,r,i){var o=n.substring(r,i);return this.findNextBracketInText(e,t,o,r)},e}();t.BracketsUtils=h}),define(e[102],t([0,1,3,21,40]),function(e,t,n,r,i){"use strict";var o=function(){function e(e,t,n,r){this._registry=e,this._modeId=t,this.contribution=r||{},this.brackets=new s(t,n,this.contribution.docComment)}return e.prototype.getElectricCharacters=function(){return Array.isArray(this.contribution.embeddedElectricCharacters)?this.contribution.embeddedElectricCharacters.concat(this.brackets.getElectricCharacters()):this.brackets.getElectricCharacters()},e.prototype.onElectricCharacter=function(e,t){var n=this;return r.handleEvent(e,t,function(e,t,r){if(n._modeId===e)return n.brackets.onElectricCharacter(t,r);var i=n._registry.getElectricCharacterSupport(e);return i?i.onElectricCharacter(t,r):null})},e}();t.BracketElectricCharacterSupport=o;var s=function(){function e(e,t,n){void 0===n&&(n=null),this._modeId=e,this._richEditBrackets=t,this._docComment=n?n:null}return e.prototype.getElectricCharacters=function(){var e=[];if(this._richEditBrackets)for(var t=0,n=this._richEditBrackets.brackets.length;t<n;t++){var r=this._richEditBrackets.brackets[t],i=r.close.charAt(r.close.length-1);e.push(i)}return this._docComment&&e.push(this._docComment.open.charAt(this._docComment.open.length-1)),e=e.filter(function(e,t,n){return n.indexOf(e)===t})},e.prototype.onElectricCharacter=function(e,t){return 0===e.getTokenCount()?null:this._onElectricCharacterDocComment(e,t)||this._onElectricCharacterStandardBrackets(e,t)},e.prototype.containsTokenTypes=function(e,t){for(var n=t.split("."),r=0;r<n.length;++r)if(e.indexOf(n[r])<0)return!1;return!0},e.prototype._onElectricCharacterStandardBrackets=function(e,t){if(!this._richEditBrackets||0===this._richEditBrackets.brackets.length)return null;var o=this._richEditBrackets.reversedRegex,s=e.getLineContent(),a=e.findIndexOfOffset(t),u=e.getTokenStartIndex(a),c=t+1,l=n.firstNonWhitespaceIndex(e.getLineContent());if(l!==-1&&l<u)return null;if(!r.ignoreBracketsInToken(e.getTokenType(a))){var d=i.BracketsUtils.findPrevBracketInToken(o,1,s,u,c);if(d){var h=s.substring(d.startColumn-1,d.endColumn-1),f=this._richEditBrackets.textIsOpenBracket[h];if(!f)return{matchOpenBracket:h}}}return null},e.prototype._onElectricCharacterDocComment=function(e,t){if(!this._docComment||!this._docComment.close)return null;var n=e.getLineContent(),r=n[t];if(r!==this._docComment.open.charAt(this._docComment.open.length-1))return null;if(n.indexOf(this._docComment.close,t)>=0)return null;var i=e.findIndexOfOffset(t);return this.containsTokenTypes(e.getTokenType(i),this._docComment.scope)?n.substring(e.getTokenStartIndex(i),t+1)!==this._docComment.open?null:{appendText:this._docComment.close}:null},e}();t.Brackets=s}),define(e[65],t([0,1,52,71,21]),function(e,t,n,r,i){"use strict";function o(e){return"function"==typeof e}var s=function(){function e(e,t,n,r){if(this._mode=e,this.customization=t,this.supportsNestedModes=n,this._embeddedModesListeners={},this.supportsNestedModes&&!this._mode.setTokenizationSupport)throw new Error("Cannot be a mode with nested modes unless I can emit a tokenizationSupport changed event!");this.shouldGenerateEmbeddedModels=r,this.defaults={enterNestedMode:!o(t.enterNestedMode),getNestedMode:!o(t.getNestedMode),getNestedModeInitialState:!o(t.getNestedModeInitialState),getLeavingNestedModeData:!o(t.getLeavingNestedModeData),onReturningFromNestedMode:!o(t.onReturningFromNestedMode)}}return e.prototype.dispose=function(){for(var e in this._embeddedModesListeners)this._embeddedModesListeners[e].dispose(),delete this._embeddedModesListeners[e]},e.prototype.getInitialState=function(){return this.customization.getInitialState()},e.prototype.tokenize=function(e,t,n,r){return void 0===n&&(n=0),void 0===r&&(r=n+e.length),t.getMode()!==this._mode?this._nestedTokenize(e,t,n,r,[],[]):this._myTokenize(e,t,n,r,[],[])},e.prototype._nestedTokenize=function(e,t,n,i,o,s){for(var a=t.getStateData(),u=this.getLeavingNestedModeData(e,a),c=t;c.getStateData()&&c.getStateData().getMode()!==this._mode;)c=c.getStateData();var l=c.getMode();if(!u){var d;return d=l.tokenizationSupport?l.tokenizationSupport.tokenize(e,t,n,i):r.nullTokenize(l,e,t,n),d.tokens=o.concat(d.tokens),d.modeTransitions=s.concat(d.modeTransitions),d}var h=u.nestedModeBuffer;if(h.length>0){var f;f=l.tokenizationSupport?l.tokenizationSupport.tokenize(h,t,n,i):r.nullTokenize(l,h,t,n),t=f.endState,o=o.concat(f.tokens),s=s.concat(f.modeTransitions)}var p=u.bufferAfterNestedMode,g=u.stateAfterNestedMode;return g.setStateData(a.getStateData()),this.onReturningFromNestedMode(g,t),this._myTokenize(p,g,n+h.length,i,o,s)},e.prototype._myTokenize=function(t,r,o,s,a,u){var c,l,d=this,h=new n.LineStream(t),f=null,p=null;r=r.clone(),(u.length<=0||u[u.length-1].mode!==this._mode)&&u.push({startIndex:o,mode:this._mode});for(var g=Math.min(s-o,t.length);h.pos()<g;){l=h.pos();do{if(c=r.tokenize(h),null===c||void 0===c||(void 0===c.type||null===c.type)&&(void 0===c.nextState||null===c.nextState))throw new Error("Tokenizer must return a valid state");if(c.nextState&&(c.nextState.setStateData(r.getStateData()),r=c.nextState),h.pos()<=l)throw new Error("Stream did not advance while tokenizing. Mode id is "+this._mode.getId()+' (stuck at token type: "'+c.type+'", prepend tokens: "'+a.map(function(e){return e.type}).join(",")+'").')}while(!c.type&&""!==c.type);if((f!==c.type||c.dontMergeWithPrev||null===f)&&a.push(new i.Token(l+o,c.type)),f=c.type,this.supportsNestedModes&&this.enterNestedMode(r)){var m=this._getEmbeddedLevel(r);if(m<e.MAX_EMBEDDED_LEVELS){var v=this.getNestedModeInitialState(r),_=v.state.getMode();if("function"==typeof _.addSupportChangedListener&&!this._embeddedModesListeners.hasOwnProperty(_.getId())){var y=!1;this._embeddedModesListeners[_.getId()]=_.addSupportChangedListener(function(e){y||e.tokenizationSupport&&(y=!0,d._mode.setTokenizationSupport(function(e){return e.tokenizationSupport}),y=!1)})}if(!h.eos()){var k=t.substr(h.pos()),b=this._nestedTokenize(k,v.state,o+h.pos(),s,a,u);return b.retokenize=b.retokenize||v.missingModePromise,b}r=v.state,p=v.missingModePromise}}}return{tokens:a,actualStopOffset:h.pos()+o,modeTransitions:u,endState:r,retokenize:p}},e.prototype._getEmbeddedLevel=function(e){for(var t=-1;e;)t++,e=e.getStateData();return t},e.prototype.enterNestedMode=function(e){return!this.defaults.enterNestedMode&&this.customization.enterNestedMode(e)},e.prototype.getNestedMode=function(e){return this.defaults.getNestedMode?null:this.customization.getNestedMode(e)},e._validatedNestedMode=function(e){var t=new r.NullMode,n=null;return e&&e.mode&&(t=e.mode),e&&e.missingModePromise&&(n=e.missingModePromise),{mode:t,missingModePromise:n}},e.prototype.getNestedModeInitialState=function(t){if(this.defaults.getNestedModeInitialState){var n,i=e._validatedNestedMode(this.getNestedMode(t)),o=i.missingModePromise;return n=i.mode.tokenizationSupport?i.mode.tokenizationSupport.getInitialState():new r.NullState(i.mode,null),n.setStateData(t),{state:n,missingModePromise:o}}return this.customization.getNestedModeInitialState(t)},e.prototype.getLeavingNestedModeData=function(e,t){return this.defaults.getLeavingNestedModeData?null:this.customization.getLeavingNestedModeData(e,t)},e.prototype.onReturningFromNestedMode=function(e,t){return this.defaults.onReturningFromNestedMode?null:this.customization.onReturningFromNestedMode(e,t)},e.MAX_EMBEDDED_LEVELS=5,e}();t.TokenizationSupport=s}),define(e[108],t([0,1,32,52,35,65]),function(e,t,r,i,o,s){"use strict";function a(e,t){if(!t)return null;t=o.fixCase(e,t);for(var n=e.brackets,r=0;r<n.length;r++){var i=n[r];if(i.open===t)return{token:i.token,bracketType:o.MonarchBracket.Open};if(i.close===t)return{token:i.token,bracketType:o.MonarchBracket.Close}}return null}function u(e,t,n){return new s.TokenizationSupport(t,{getInitialState:function(){return new c(t,e,n)},enterNestedMode:function(e){return e instanceof c&&e.embeddedEntered},getNestedMode:function(t){var n=t.embeddedMode;if(!e.isRegisteredMode(n))return{mode:e.getMode("text/plain"),missingModePromise:null};var r=e.getMode(n);return r?{mode:r,missingModePromise:null}:{mode:e.getMode("text/plain"),missingModePromise:e.getOrCreateMode(n).then(function(){return null})}},getLeavingNestedModeData:function(e,t){for(var n=t.clone(),r=new i.LineStream(e);!r.eos()&&n.embeddedMode;)n.tokenize(r,!0);if(n.embeddedMode)return null;var o=r.pos();return{nestedModeBuffer:e.substring(0,o),bufferAfterNestedMode:e.substring(o),stateAfterNestedMode:n}}},n.usesEmbedded,(!1))}var c=function(e){function t(n,r,i,o,s){e.call(this,n),this.id=t.ID++,this.modeService=r,this.lexer=i,this.stack=o?o:[i.start],this.embeddedMode=s?s:null,this.embeddedEntered=!1,this.groupActions=null,this.groupMatches=null,this.groupMatched=null,this.groupRule=null}return n(t,e),t.prototype.makeClone=function(){return new t(this.getMode(),this.modeService,this.lexer,this.stack.slice(0),this.embeddedMode)},t.prototype.equals=function(n){if(!e.prototype.equals.call(this,n))return!1;if(!(n instanceof t))return!1;var r=n;if(this.stack.length!==r.stack.length||this.lexer.languageId!==r.lexer.languageId||this.embeddedMode!==r.embeddedMode)return!1;var i;for(i in this.stack)if(this.stack.hasOwnProperty(i)&&this.stack[i]!==r.stack[i])return!1;return!0},t.prototype.tokenize=function(e,t){var n=this.stack.length,r=0,i=this.stack[0];this.embeddedEntered=!1;var s=null,u=null,c=null,l=null,d=null;if(this.groupActions)r=this.groupActions.length,s=this.groupMatches,u=this.groupMatched.shift(),c=this.groupActions.shift(),d=this.groupRule,0===this.groupActions.length&&(this.groupActions=null,this.groupMatches=null,this.groupMatched=null,this.groupRule=null);else{if(e.eos())return{type:""};var h=e.advanceToEOS();e.goBack(h.length);var f=this.lexer.tokenizer[i];if(f||(f=o.findRules(this.lexer,i)),f){d=null;var p,g=e.pos();for(p in f)if(f.hasOwnProperty(p)&&(d=f[p],(0===g||!d.matchOnlyAtLineStart)&&(s=h.match(d.regex)))){u=s[0],c=d.action;break}}else o.throwError(this.lexer,"tokenizer state is not defined: "+i)}for(s||(s=[""],u=""),c||(e.eos()||(s=[e.peek()],u=s[0]),c=this.lexer.defaultToken),e.advance(u.length);c.test;){var m=c.test(u,s,i,e.eos());c=m}var v=null;if("string"==typeof c||Array.isArray(c))v=c;else if(c.group)v=c.group;else if(null!==c.token&&void 0!==c.token){if(v=c.token,c.tokenSubst&&(v=o.substituteMatches(this.lexer,v,u,s,i)),c.nextEmbedded)if("@pop"===c.nextEmbedded)this.embeddedMode||o.throwError(this.lexer,"cannot pop embedded mode if not inside one"),this.embeddedMode=null;else if(this.embeddedMode)o.throwError(this.lexer,"cannot enter embedded mode from within an embedded mode");else{this.embeddedMode=o.substituteMatches(this.lexer,c.nextEmbedded,u,s,i);var _=this.modeService.getModeIdForLanguageName(this.embeddedMode);this.embeddedMode&&_&&(this.embeddedMode=_),this.embeddedEntered=!0}if(c.goBack&&e.goBack(c.goBack),c.switchTo&&"string"==typeof c.switchTo){var y=o.substituteMatches(this.lexer,c.switchTo,u,s,i);"@"===y[0]&&(y=y.substr(1)),o.findRules(this.lexer,y)?this.stack[0]=y:o.throwError(this.lexer,"trying to switch to a state '"+y+"' that is undefined in rule: "+d.name),
l=null}else if(c.transform&&"function"==typeof c.transform)this.stack=c.transform(this.stack),l=null;else if(c.next)if("@push"===c.next)this.stack.length>=this.lexer.maxStack?o.throwError(this.lexer,"maximum tokenizer stack size reached: ["+this.stack[0]+","+this.stack[1]+",...,"+this.stack[this.stack.length-2]+","+this.stack[this.stack.length-1]+"]"):this.stack.unshift(i);else if("@pop"===c.next)this.stack.length<=1?o.throwError(this.lexer,"trying to pop an empty stack in rule: "+d.name):this.stack.shift();else if("@popall"===c.next)this.stack.length>1&&(this.stack=[this.stack[this.stack.length-1]]);else{var y=o.substituteMatches(this.lexer,c.next,u,s,i);"@"===y[0]&&(y=y.substr(1)),o.findRules(this.lexer,y)?this.stack.unshift(y):o.throwError(this.lexer,"trying to set a next state '"+y+"' that is undefined in rule: "+d.name)}c.log&&"string"==typeof c.log&&o.log(this.lexer,this.lexer.languageId+": "+o.substituteMatches(this.lexer,c.log,u,s,i))}if(null===v&&(o.throwError(this.lexer,"lexer rule has no well-defined action in rule: "+d.name),v=this.lexer.defaultToken),Array.isArray(v)){this.groupActions&&this.groupActions.length>0&&o.throwError(this.lexer,"groups cannot be nested: "+d.name),s.length!==v.length+1&&o.throwError(this.lexer,"matched number of groups does not match the number of actions in rule: "+d.name);for(var k=0,b=1;b<s.length;b++)k+=s[b].length;return k!==u.length&&o.throwError(this.lexer,"with groups, all characters should be matched in consecutive groups in rule: "+d.name),this.groupMatches=s,this.groupMatched=s.slice(1),this.groupActions=v.slice(0),this.groupRule=d,e.goBack(u.length),this.tokenize(e)}if("@rematch"===v&&(e.goBack(u.length),u="",s=null,v=""),0===u.length)if(n!==this.stack.length||i!==this.stack[0]||(this.groupActions?this.groupActions.length:0)!==r){if(!t)return this.tokenize(e)}else o.throwError(this.lexer,"no progress in tokenizer in rule: "+d.name),e.advanceToEOS();if(0===v.indexOf("@brackets")){var C=v.substr("@brackets".length),E=a(this.lexer,u);return E||(o.throwError(this.lexer,"@brackets token returned but no bracket defined as: "+u),E={token:"",bracketType:o.MonarchBracket.None}),{type:o.sanitize(E.token+C)}}var S=""===v?"":v+this.lexer.tokenPostfix;return{type:o.sanitize(S)}},t.ID=0,t}(r.AbstractState);t.MonarchLexer=c,t.createTokenizationSupport=u}),define(e[117],t([0,1]),function(e,t){"use strict";var n=function(){function e(e,t){this.index=e,this.remainder=t}return e}();t.PrefixSumIndexOfResult=n;var r=function(){function e(e){this.values=e,this.prefixSum=[];for(var t=0,n=this.values.length;t<n;t++)this.prefixSum[t]=0;this.prefixSumValidIndex=-1}return e.prototype.getCount=function(){return this.values.length},e.prototype.insertValue=function(e,t){e=Math.floor(e),t=Math.floor(t),this.values.splice(e,0,t),this.prefixSum.splice(e,0,0),e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1)},e.prototype.insertValues=function(t,n){t=Math.floor(t),0!==n.length&&(this.values=this.values.slice(0,t).concat(n).concat(this.values.slice(t)),this.prefixSum=this.prefixSum.slice(0,t).concat(e._zeroArray(n.length)).concat(this.prefixSum.slice(t)),t-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=t-1))},e._zeroArray=function(e){e=Math.floor(e);for(var t=[],n=0;n<e;n++)t[n]=0;return t},e.prototype.changeValue=function(e,t){e=Math.floor(e),t=Math.floor(t),this.values[e]!==t&&(this.values[e]=t,e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1))},e.prototype.removeValues=function(e,t){e=Math.floor(e),t=Math.floor(t),this.values.splice(e,t),this.prefixSum.splice(e,t),e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1)},e.prototype.getTotalValue=function(){return 0===this.values.length?0:this.getAccumulatedValue(this.values.length-1)},e.prototype.getAccumulatedValue=function(e){if(e=Math.floor(e),e<0)return 0;if(e<=this.prefixSumValidIndex)return this.prefixSum[e];var t=this.prefixSumValidIndex+1;0===t&&(this.prefixSum[0]=this.values[0],t++),e>=this.values.length&&(e=this.values.length-1);for(var n=t;n<=e;n++)this.prefixSum[n]=this.prefixSum[n-1]+this.values[n];return this.prefixSumValidIndex=Math.max(this.prefixSumValidIndex,e),this.prefixSum[e]},e.prototype.getIndexOf=function(e){e=Math.floor(e);for(var t,r,i,o=0,s=this.values.length-1;o<=s;)if(t=o+(s-o)/2|0,r=this.getAccumulatedValue(t),i=r-this.values[t],e<i)s=t-1;else{if(!(e>=r))break;o=t+1}return new n(t,e-i)},e}();t.PrefixSumComputer=r}),define(e[126],t([7,6]),function(e,t){return e.create("vs/base/common/errors",t)}),define(e[2],t([0,1,126,18,11,15,42,3]),function(e,t,n,r,i,o,s,a){"use strict";function u(e){t.errorHandler.setUnexpectedErrorHandler(e)}function c(e){m(e)||t.errorHandler.onUnexpectedError(e)}function l(e){return e.then(null,c)}function d(e){if(e instanceof Error){var t=e.name,n=e.message,r=e.stacktrace||e.stack;return{$isError:!0,name:t,message:n,stack:r}}return e}function h(e,t){var n=new I(e);return t?n.verboseMessage:n.message}function f(e,t){return e.message?t&&(e.stack||e.stacktrace)?n.localize(7,null,p(e),e.stack||e.stacktrace):p(e):n.localize(8,null)}function p(e){return"string"==typeof e.code&&"number"==typeof e.errno&&"string"==typeof e.syscall?n.localize(9,null,e.message):e.message}function g(e,t){if(void 0===e&&(e=null),void 0===t&&(t=!1),!e)return n.localize(10,null);if(Array.isArray(e)){var r=s.coalesce(e),i=g(r[0],t);return r.length>1?n.localize(11,null,i,r.length):i}if(o.isString(e))return e;if(!o.isUndefinedOrNull(e.status))return h(e,t);if(e.detail){var a=e.detail;if(a.error){if(a.error&&!o.isUndefinedOrNull(a.error.status))return h(a.error,t);if(!o.isArray(a.error))return f(a.error,t);for(var u=0;u<a.error.length;u++)if(a.error[u]&&!o.isUndefinedOrNull(a.error[u].status))return h(a.error[u],t)}if(a.exception)return o.isUndefinedOrNull(a.exception.status)?f(a.exception,t):h(a.exception,t)}return e.stack?f(e,t):e.message?e.message:n.localize(12,null)}function m(e){return e instanceof Error&&e.name===T&&e.message===T}function v(){var e=new Error(T);return e.name=e.message,e}function _(){return new Error(n.localize(13,null))}function y(e){return e?new Error(n.localize(14,null,e)):new Error(n.localize(15,null))}function k(e){return e?new Error(n.localize(16,null,e)):new Error(n.localize(17,null))}function b(e){return e?new Error("readonly property '"+e+" cannot be changed'"):new Error("readonly property cannot be changed")}function C(e){return i.isWeb?new Error(n.localize(18,null)):new Error(n.localize(19,null,JSON.stringify(e)))}function E(e,t){void 0===t&&(t={});var n=new Error(e);return o.isNumber(t.severity)&&(n.severity=t.severity),t.actions&&(n.actions=t.actions),n}var S=function(){function e(){this.listeners=[],this.unexpectedErrorHandler=function(e){i.setTimeout(function(){if(e.stack)throw new Error(e.message+"\n\n"+e.stack);throw e},0)}}return e.prototype.addListener=function(e){var t=this;return this.listeners.push(e),function(){t._removeListener(e)}},e.prototype.emit=function(e){this.listeners.forEach(function(t){t(e)})},e.prototype._removeListener=function(e){this.listeners.splice(this.listeners.indexOf(e),1)},e.prototype.setUnexpectedErrorHandler=function(e){this.unexpectedErrorHandler=e},e.prototype.getUnexpectedErrorHandler=function(){return this.unexpectedErrorHandler},e.prototype.onUnexpectedError=function(e){this.unexpectedErrorHandler(e),this.emit(e)},e}();t.ErrorHandler=S,t.errorHandler=new S,t.setUnexpectedErrorHandler=u,t.onUnexpectedError=c,t.onUnexpectedPromiseError=l,t.transformErrorForSerialization=d;var I=function(){function e(e){this.status=e.status,this.statusText=e.statusText,this.name="ConnectionError";try{this.responseText=e.responseText}catch(t){this.responseText=""}if(this.errorMessage=null,this.errorCode=null,this.errorObject=null,this.responseText)try{var n=JSON.parse(this.responseText);this.errorMessage=n.message,this.errorCode=n.code,this.errorObject=n}catch(r){}}return Object.defineProperty(e.prototype,"message",{get:function(){return this.connectionErrorToMessage(this,!1)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"verboseMessage",{get:function(){return this.connectionErrorToMessage(this,!0)},enumerable:!0,configurable:!0}),e.prototype.connectionErrorDetailsToMessage=function(e,t){var r=e.errorCode,i=e.errorMessage;return null!==r&&null!==i?n.localize(0,null,a.rtrim(i,"."),r):null!==i?i:t&&null!==e.responseText?e.responseText:null},e.prototype.connectionErrorToMessage=function(e,t){var r=this.connectionErrorDetailsToMessage(e,t);return 401===e.status?null!==r?n.localize(1,null,r):n.localize(2,null):r?r:e.status>0&&null!==e.statusText?t&&null!==e.responseText&&e.responseText.length>0?n.localize(3,null,e.statusText,e.status,e.responseText):n.localize(4,null,e.statusText,e.status):t&&null!==e.responseText&&e.responseText.length>0?n.localize(5,null,e.responseText):n.localize(6,null)},e}();t.ConnectionError=I,r.derive(Error,I),t.toErrorMessage=g;var T="Canceled";t.isPromiseCanceledError=m,t.canceled=v,t.notImplemented=_,t.illegalArgument=y,t.illegalState=k,t.readonly=b,t.loaderError=C,t.create=E}),define(e[70],t([0,1,2]),function(e,t,n){"use strict";var r=function(){function e(){}return e.prototype.add=function(e,t,n){var r=this;void 0===t&&(t=null),this._callbacks||(this._callbacks=[],this._contexts=[]),this._callbacks.push(e),this._contexts.push(t),Array.isArray(n)&&n.push({dispose:function(){return r.remove(e,t)}})},e.prototype.remove=function(e,t){if(void 0===t&&(t=null),this._callbacks){for(var n=!1,r=0,i=this._callbacks.length;r<i;r++)if(this._callbacks[r]===e){if(this._contexts[r]===t)return this._callbacks.splice(r,1),void this._contexts.splice(r,1);n=!0}if(n)throw new Error("When adding a listener with a context, you should remove it with the same context")}},e.prototype.invoke=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];if(this._callbacks){for(var r=[],i=this._callbacks.slice(0),o=this._contexts.slice(0),s=0,a=i.length;s<a;s++)try{r.push(i[s].apply(o[s],e))}catch(u){n.onUnexpectedError(u)}return r}},e.prototype.isEmpty=function(){return!this._callbacks||0===this._callbacks.length},e.prototype.dispose=function(){this._callbacks=void 0,this._contexts=void 0},e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=r}),define(e[8],t([0,1,70]),function(e,t,n){"use strict";function r(e,t){return function(n,r,i){var o=e.addListener2(t,function(){n.apply(r,arguments)});return Array.isArray(i)&&i.push(o),o}}function i(e,t){return function(n,r,i){return void 0===r&&(r=null),e(function(e){return n.call(r,t(e))},null,i)}}function o(e,t){return function(n,r,i){return void 0===r&&(r=null),e(function(e){return t(e)&&n.call(r,e)},null,i)}}function s(e,t,n){void 0===n&&(n=100);var r,i,o,s=new u({onFirstListenerAdd:function(){r=e(function(e){i=t(i,e),clearTimeout(o),o=setTimeout(function(){s.fire(i),i=void 0},n)})},onLastListenerRemove:function(){r.dispose()}});return s.event}var a;!function(e){var t={dispose:function(){}};e.None=function(){return t}}(a||(a={})),Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=a;var u=function(){function e(e){this._options=e}return Object.defineProperty(e.prototype,"event",{get:function(){var t=this;return this._event||(this._event=function(r,i,o){t._callbacks||(t._callbacks=new n["default"]),t._options&&t._options.onFirstListenerAdd&&t._callbacks.isEmpty()&&t._options.onFirstListenerAdd(t),t._callbacks.add(r,i);var s;return s={dispose:function(){s.dispose=e._noop,t._disposed||(t._callbacks.remove(r,i),t._options&&t._options.onLastListenerRemove&&t._callbacks.isEmpty()&&t._options.onLastListenerRemove(t))}},Array.isArray(o)&&o.push(s),s}),this._event},enumerable:!0,configurable:!0}),e.prototype.fire=function(e){this._callbacks&&this._callbacks.invoke.call(this._callbacks,e)},e.prototype.dispose=function(){this._callbacks&&(this._callbacks.dispose(),this._callbacks=void 0,this._disposed=!0)},e._noop=function(){},e}();t.Emitter=u,t.fromEventEmitter=r,t.mapEvent=i,t.filterEvent=o,t.debounceEvent=s;var c;!function(e){e[e.Idle=0]="Idle",e[e.Running=1]="Running"}(c||(c={}));var l=function(){function e(){this.buffers=[]}return e.prototype.wrapEvent=function(e){var t=this;return function(n,r,i){return e(function(e){var i=t.buffers[t.buffers.length-1];i?i.push(function(){return n.call(r,e)}):n.call(r,e)},void 0,i)}},e.prototype.bufferEvents=function(e){var t=[];this.buffers.push(t),e(),this.buffers.pop(),t.forEach(function(e){return e()})},e}();t.EventBufferer=l}),define(e[53],t([0,1,8]),function(e,t,n){"use strict";var r;!function(e){e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:n["default"].None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:n["default"].None})}(r=t.CancellationToken||(t.CancellationToken={}));var i=Object.freeze(function(e,t){var n=setTimeout(e.bind(t),0);return{dispose:function(){clearTimeout(n)}}}),o=function(){function e(){this._isCancelled=!1}return e.prototype.cancel=function(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this._emitter=void 0))},Object.defineProperty(e.prototype,"isCancellationRequested",{get:function(){return this._isCancelled},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onCancellationRequested",{get:function(){return this._isCancelled?i:(this._emitter||(this._emitter=new n.Emitter),this._emitter.event)},enumerable:!0,configurable:!0}),e}(),s=function(){function e(){}return Object.defineProperty(e.prototype,"token",{get:function(){return this._token||(this._token=new o),this._token},enumerable:!0,configurable:!0}),e.prototype.cancel=function(){this._token?this._token.cancel():this._token=r.Cancelled},e.prototype.dispose=function(){this.cancel()},e}();t.CancellationTokenSource=s}),define(e[19],t([0,1,2]),function(e,t,r){"use strict";function i(e){try{return e()}catch(t){r.onUnexpectedError(t)}}function o(e,t){try{return e(t)}catch(n){r.onUnexpectedError(n)}}var s=function(){function e(e,t){void 0===e&&(e=null),void 0===t&&(t=null),this._type=e,this._data=t}return e.prototype.getType=function(){return this._type},e.prototype.getData=function(){return this._data},e}();t.EmitterEvent=s;var a=function(){function e(e){if(void 0===e&&(e=null),this._listeners={},this._bulkListeners=[],this._collectedEvents=[],this._deferredCnt=0,e){this._allowedEventTypes={};for(var t=0;t<e.length;t++)this._allowedEventTypes[e[t]]=!0}else this._allowedEventTypes=null}return e.prototype.dispose=function(){this._listeners={},this._bulkListeners=[],this._collectedEvents=[],this._deferredCnt=0,this._allowedEventTypes=null},e.prototype.addListener=function(e,t){if("*"===e)throw new Error("Use addBulkListener(listener) to register your listener!");if(this._allowedEventTypes&&!this._allowedEventTypes.hasOwnProperty(e))throw new Error("This object will never emit this event type!");this._listeners.hasOwnProperty(e)?this._listeners[e].push(t):this._listeners[e]=[t];var n=this;return{dispose:function(){n&&(n._removeListener(e,t),n=null,t=null)}}},e.prototype.addListener2=function(e,t){return this.addListener(e,t)},e.prototype.addOneTimeDisposableListener=function(e,t){var n=this.addListener(e,function(e){n.dispose(),t(e)});return n},e.prototype.addBulkListener=function(e){var t=this;return this._bulkListeners.push(e),{dispose:function(){t._removeBulkListener(e)}}},e.prototype.addBulkListener2=function(e){return this.addBulkListener(e)},e.prototype.addEmitter=function(e){var t=this;return e.addBulkListener2(function(e){var n=e;0===t._deferredCnt?t._emitEvents(n):t._collectedEvents.push.apply(t._collectedEvents,n)})},e.prototype.addEmitter2=function(e){return this.addEmitter(e)},e.prototype._removeListener=function(e,t){if(this._listeners.hasOwnProperty(e))for(var n=this._listeners[e],r=0,i=n.length;r<i;r++)if(n[r]===t){n.splice(r,1);break}},e.prototype._removeBulkListener=function(e){for(var t=0,n=this._bulkListeners.length;t<n;t++)if(this._bulkListeners[t]===e){this._bulkListeners.splice(t,1);break}},e.prototype._emitToSpecificTypeListeners=function(e,t){if(this._listeners.hasOwnProperty(e))for(var n=this._listeners[e].slice(0),r=0,i=n.length;r<i;r++)o(n[r],t)},e.prototype._emitToBulkListeners=function(e){for(var t=this._bulkListeners.slice(0),n=0,r=t.length;n<r;n++)o(t[n],e)},e.prototype._emitEvents=function(e){this._bulkListeners.length>0&&this._emitToBulkListeners(e);for(var t=0,n=e.length;t<n;t++){var r=e[t];this._emitToSpecificTypeListeners(r.getType(),r.getData())}},e.prototype.emit=function(e,t){if(void 0===t&&(t={}),this._allowedEventTypes&&!this._allowedEventTypes.hasOwnProperty(e))throw new Error("Cannot emit this event type because it wasn't white-listed!");if(this._listeners.hasOwnProperty(e)||0!==this._bulkListeners.length){var n=new s(e,t);0===this._deferredCnt?this._emitEvents([n]):this._collectedEvents.push(n)}},e.prototype.deferredEmit=function(e){this._deferredCnt=this._deferredCnt+1;var t=i(e);return this._deferredCnt=this._deferredCnt-1,0===this._deferredCnt&&this._emitCollected(),t},e.prototype._emitCollected=function(){var e=this._collectedEvents;this._collectedEvents=[],e.length>0&&this._emitEvents(e)},e}();t.EventEmitter=a;var u=function(){function e(e,t){this.target=e,this.arg=t}return e}(),c=function(e){function t(t){void 0===t&&(t=null),e.call(this,t),this._emitQueue=[]}return n(t,e),t.prototype._emitToSpecificTypeListeners=function(e,t){if(this._listeners.hasOwnProperty(e))for(var n=this._listeners[e],r=0,i=n.length;r<i;r++)this._emitQueue.push(new u(n[r],t))},t.prototype._emitToBulkListeners=function(e){for(var t=this._bulkListeners,n=0,r=t.length;n<r;n++)this._emitQueue.push(new u(t[n],e))},t.prototype._emitEvents=function(t){for(e.prototype._emitEvents.call(this,t);this._emitQueue.length>0;){var n=this._emitQueue.shift();o(n.target,n.arg)}},t}(a);t.OrderGuaranteeEventEmitter=c}),define(e[49],t([0,1,11,2,57]),function(e,t,n,r,i){"use strict";function o(e,t,n,r){return h.start(e,t,n,r)}function s(){return h}t.ENABLE_TIMER=!1;var a=n.globals.msWriteProfilerMark;!function(e){e[e.EDITOR=0]="EDITOR",e[e.LANGUAGES=1]="LANGUAGES",e[e.WORKER=2]="WORKER",e[e.WORKBENCH=3]="WORKBENCH",e[e.STARTUP=4]="STARTUP"}(t.Topic||(t.Topic={}));var u=t.Topic,c=function(){function e(){}return e.prototype.stop=function(){},e.prototype.timeTaken=function(){return-1},e}(),l=function(){function e(e,t,n,r,o){if(this.timeKeeper=e,this.name=t,this.description=o,this.topic=n,this.stopTime=null,r)return void(this.startTime=r);if(this.startTime=new Date,this.sw=i.StopWatch.create(),a){var s=["Monaco",this.topic,this.name,"start"];a(s.join("|"))}}return e.prototype.stop=function(e){if(null===this.stopTime){if(e)return this.stopTime=e,this.sw=null,void this.timeKeeper._onEventStopped(this);if(this.stopTime=new Date,this.sw&&this.sw.stop(),this.timeKeeper._onEventStopped(this),a){var t=["Monaco",this.topic,this.name,"stop"];a(t.join("|"))}}},e.prototype.timeTaken=function(){return this.sw?this.sw.elapsed():this.stopTime?this.stopTime.getTime()-this.startTime.getTime():-1},e}(),d=function(){function e(){this.cleaningIntervalId=-1,this.collectedEvents=[],this.listeners=[]}return e.prototype.isEnabled=function(){return t.ENABLE_TIMER},e.prototype.start=function(e,n,r,i){if(!this.isEnabled())return t.nullEvent;var o;"string"==typeof e?o=e:e===u.EDITOR?o="Editor":e===u.LANGUAGES?o="Languages":e===u.WORKER?o="Worker":e===u.WORKBENCH?o="Workbench":e===u.STARTUP&&(o="Startup"),this.initAutoCleaning();var s=new l(this,n,o,r,i);return this.addEvent(s),s},e.prototype.dispose=function(){this.cleaningIntervalId!==-1&&(n.clearInterval(this.cleaningIntervalId),this.cleaningIntervalId=-1)},e.prototype.addListener=function(e){var t=this;return this.listeners.push(e),{dispose:function(){for(var n=0;n<t.listeners.length;n++)if(t.listeners[n]===e)return void t.listeners.splice(n,1)}}},e.prototype.addEvent=function(t){t.id=e.EVENT_ID,e.EVENT_ID++,this.collectedEvents.push(t),this.collectedEvents.length>e._EVENT_CACHE_LIMIT&&this.collectedEvents.shift()},e.prototype.initAutoCleaning=function(){var t=this;this.cleaningIntervalId===-1&&(this.cleaningIntervalId=n.setInterval(function(){var n=Date.now();t.collectedEvents.forEach(function(t){!t.stopTime&&n-t.startTime.getTime()>=e._MAX_TIMER_LENGTH&&t.stop()})},e._CLEAN_UP_INTERVAL))},e.prototype.getCollectedEvents=function(){return this.collectedEvents.slice(0)},e.prototype.clearCollectedEvents=function(){this.collectedEvents=[]},e.prototype._onEventStopped=function(e){for(var t=[e],n=this.listeners.slice(0),i=0;i<n.length;i++)try{n[i](t)}catch(o){r.onUnexpectedError(o)}},e.prototype.setInitialCollectedEvents=function(t,n){var r=this;this.isEnabled()&&(n&&(e.PARSE_TIME=n),t.forEach(function(e){var t=new l(r,e.name,e.topic,e.startTime,e.description);t.stop(e.stopTime),r.addEvent(t)}))},e._MAX_TIMER_LENGTH=6e4,e._CLEAN_UP_INTERVAL=12e4,e._EVENT_CACHE_LIMIT=1e3,e.EVENT_ID=1,e.PARSE_TIME=new Date,e}();t.TimeKeeper=d;var h=new d;t.nullEvent=new c,t.start=o,t.getTimeKeeper=s}),define(e[4],t([127,2]),function(e,t){"use strict";function n(e){var n=e.detail,i=n.id;return n.parent?void(n.handler&&r&&delete r[i]):(r[i]=n,void(1===Object.keys(r).length&&setTimeout(function(){var e=r;r={},Object.keys(e).forEach(function(n){var r=e[n];r.exception?t.onUnexpectedError(r.exception):r.error&&t.onUnexpectedError(r.error),console.log("WARNING: Promise with no error callback:"+r.id),console.log(r),r.exception&&console.log(r.exception.stack)})},0)))}var r={};return e.Promise.addEventListener("error",n),{Promise:e.Promise,TPromise:e.Promise,PPromise:e.Promise}}),define(e[119],t([0,1,4,19,54]),function(e,t,r,i,o){"use strict";function s(e){return!!e&&(e instanceof a||"string"==typeof e.id&&("string"==typeof e.label&&("string"==typeof e["class"]&&("boolean"==typeof e.enabled&&("boolean"==typeof e.checked&&"function"==typeof e.run)))))}t.isAction=s;var a=function(e){function t(t,n,r,i,o){void 0===n&&(n=""),void 0===r&&(r=""),void 0===i&&(i=!0),void 0===o&&(o=null),e.call(this),this._id=t,this._label=n,this._cssClass=r,this._enabled=i,this._actionCallback=o}return n(t,e),Object.defineProperty(t.prototype,"id",{get:function(){return this._id},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"label",{get:function(){return this._label},set:function(e){this._setLabel(e)},enumerable:!0,configurable:!0}),t.prototype._setLabel=function(e){this._label!==e&&(this._label=e,this.emit(t.LABEL,{source:this}))},Object.defineProperty(t.prototype,"tooltip",{get:function(){return this._tooltip},set:function(e){this._setTooltip(e)},enumerable:!0,configurable:!0}),t.prototype._setTooltip=function(e){this._tooltip!==e&&(this._tooltip=e,this.emit(t.TOOLTIP,{source:this}))},Object.defineProperty(t.prototype,"class",{get:function(){return this._cssClass},set:function(e){this._setClass(e)},enumerable:!0,configurable:!0}),t.prototype._setClass=function(e){this._cssClass!==e&&(this._cssClass=e,this.emit(t.CLASS,{source:this}))},Object.defineProperty(t.prototype,"enabled",{get:function(){return this._enabled},set:function(e){this._setEnabled(e)},enumerable:!0,configurable:!0}),t.prototype._setEnabled=function(e){this._enabled!==e&&(this._enabled=e,this.emit(t.ENABLED,{source:this}))},Object.defineProperty(t.prototype,"checked",{get:function(){return this._checked},set:function(e){this._setChecked(e)},enumerable:!0,configurable:!0}),t.prototype._setChecked=function(e){this._checked!==e&&(this._checked=e,this.emit(t.CHECKED,{source:this}))},Object.defineProperty(t.prototype,"order",{get:function(){return this._order},set:function(e){this._order=e},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"actionCallback",{get:function(){return this._actionCallback},set:function(e){this._actionCallback=e},enumerable:!0,configurable:!0}),t.prototype.run=function(e){return null!==this._actionCallback?this._actionCallback(e):r.TPromise.as(!0)},t.LABEL="label",t.TOOLTIP="tooltip",t.CLASS="class",t.ENABLED="enabled",t.CHECKED="checked",t}(i.EventEmitter);t.Action=a;var u=function(e){function t(){e.apply(this,arguments)}return n(t,e),t.prototype.run=function(e,t){var n=this;return e.enabled?(this.emit(o.EventType.BEFORE_RUN,{action:e}),r.TPromise.as(e.run(t)).then(function(t){n.emit(o.EventType.RUN,{action:e,result:t})},function(t){n.emit(o.EventType.RUN,{action:e,error:t})})):r.TPromise.as(null)},t}(i.EventEmitter);t.ActionRunner=u}),define(e[22],t([0,1,2,11,4,53,12]),function(e,t,r,i,o,s,a){"use strict";function u(e){return e&&"function"==typeof e.then}function c(e){return u(e)?e:o.TPromise.as(e)}function l(e){var t=new s.CancellationTokenSource;return new o.TPromise(function(n,r){var i=e(t.token);u(i)?i.then(n,r):n(i)},function(){t.cancel()})}function d(e,t){return e.onCancellationRequested(function(){return t.cancel()}),t}function h(e,t){return new o.TPromise(function(n,i,o){e.done(function(e){try{t(e)}catch(i){r.onUnexpectedError(i)}n(e)},function(e){try{t(e)}catch(n){r.onUnexpectedError(n)}i(e)},function(e){o(e)})},function(){e.cancel()})}function f(e){function t(){return e.length?e.pop()():null}function n(e){e&&r.push(e);var i=t();return i?i.then(n):o.TPromise.as(r)}var r=[];return e=e.reverse(),o.TPromise.as(null).then(n)}function p(e){var t,n=this,r=!1;return function(){return r?t:(r=!0,t=e.apply(n,arguments))}}function g(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return new o.Promise(function(n,r){return e.apply(void 0,t.concat([function(e,t){return e?r(e):n(t)}]))})}function m(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];return new o.Promise(function(r,i){return t.call.apply(t,[e].concat(n,[function(e,t){return e?i(e):r(t)}]))})}t.toThenable=c,t.asWinJsPromise=l,t.wireCancellationToken=d;var v=function(){function e(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}return e.prototype.queue=function(e){var t=this;if(this.activePromise){if(this.queuedPromiseFactory=e,!this.queuedPromise){var n=function(){t.queuedPromise=null;var e=t.queue(t.queuedPromiseFactory);return t.queuedPromiseFactory=null,e};this.queuedPromise=new o.Promise(function(e,r,i){t.activePromise.then(n,n,i).done(e)},function(){t.activePromise.cancel()})}return new o.Promise(function(e,n,r){t.queuedPromise.then(e,n,r)},function(){})}return this.activePromise=e(),new o.Promise(function(e,n,r){t.activePromise.done(function(n){t.activePromise=null,e(n)},function(e){t.activePromise=null,n(e)},r)},function(){t.activePromise.cancel()})},e}();t.Throttler=v;var _=function(){function e(){this.current=o.TPromise.as(null)}return e.prototype.queue=function(e){return this.current=this.current.then(function(){return e()})},e}();t.SimpleThrottler=_;var y=function(){function e(e){this.defaultDelay=e,this.timeout=null,this.completionPromise=null,this.onSuccess=null,this.task=null}return e.prototype.trigger=function(e,t){var n=this;return void 0===t&&(t=this.defaultDelay),this.task=e,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new o.Promise(function(e){n.onSuccess=e},function(){}).then(function(){n.completionPromise=null,n.onSuccess=null;var e=n.task;return n.task=null,e()})),this.timeout=setTimeout(function(){n.timeout=null,n.onSuccess(null)},t),this.completionPromise},e.prototype.isTriggered=function(){return null!==this.timeout},e.prototype.cancel=function(){this.cancelTimeout(),this.completionPromise&&(this.completionPromise.cancel(),this.completionPromise=null)},e.prototype.cancelTimeout=function(){null!==this.timeout&&(clearTimeout(this.timeout),this.timeout=null)},e}();t.Delayer=y;var k=function(e){function t(t){e.call(this,t),this.throttler=new v}return n(t,e),t.prototype.trigger=function(t,n){var r=this;return e.prototype.trigger.call(this,function(){return r.throttler.queue(t)},n)},t}(y);t.ThrottledDelayer=k;var b=function(e){function t(t,n){void 0===n&&(n=0),e.call(this,t),this.minimumPeriod=n,this.periodThrottler=new v}return n(t,e),t.prototype.trigger=function(t,n){var r=this;return e.prototype.trigger.call(this,function(){return r.periodThrottler.queue(function(){return o.Promise.join([o.TPromise.timeout(r.minimumPeriod),t()]).then(function(e){return e[1]})})},n)},t}(k);t.PeriodThrottledDelayer=b;var C=function(){function e(){var e=this;this._value=new o.TPromise(function(t,n){e._completeCallback=t,e._errorCallback=n})}return Object.defineProperty(e.prototype,"value",{get:function(){return this._value},enumerable:!0,configurable:!0}),e.prototype.complete=function(e){this._completeCallback(e)},e.prototype.error=function(e){this._errorCallback(e)},e}();t.PromiseSource=C;var E=function(e){function t(t){var n,i,o;e.call(this,function(e,t,r){n=e,i=t,o=r},function(){i(r.canceled())}),t.then(n,i,o)}return n(t,e),t}(o.TPromise);t.ShallowCancelThenPromise=E,t.always=h,t.sequence=f,t.once=p;var S=function(){function e(e){this.maxDegreeOfParalellism=e,this.outstandingPromises=[],this.runningPromises=0}return e.prototype.queue=function(e){var t=this;return new o.TPromise(function(n,r,i){t.outstandingPromises.push({factory:e,c:n,e:r,p:i}),t.consume()})},e.prototype.consume=function(){for(var e=this;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){var t=this.outstandingPromises.shift();this.runningPromises++;var n=t.factory();n.done(t.c,t.e,t.p),n.done(function(){return e.consumed()},function(){return e.consumed()})}},e.prototype.consumed=function(){this.runningPromises--,this.consume()},e}();t.Limiter=S;var I=function(e){function t(){e.call(this),this._token=-1}return n(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){this._token!==-1&&(i.clearTimeout(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){var n=this;this.cancel(),this._token=i.setTimeout(function(){n._token=-1,e()},t)},t.prototype.setIfNotSet=function(e,t){var n=this;this._token===-1&&(this._token=i.setTimeout(function(){n._token=-1,e()},t))},t}(a.Disposable);t.TimeoutTimer=I;var T=function(e){function t(){e.call(this),this._token=-1}return n(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){this._token!==-1&&(i.clearInterval(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){this.cancel(),this._token=i.setInterval(function(){e()},t)},t}(a.Disposable);t.IntervalTimer=T;var M=function(){function e(e,t){this.timeoutToken=-1,this.runner=e,this.timeout=t,this.timeoutHandler=this.onTimeout.bind(this)}return e.prototype.dispose=function(){this.cancel(),this.runner=null},e.prototype.cancel=function(){this.isScheduled()&&(i.clearTimeout(this.timeoutToken),this.timeoutToken=-1)},e.prototype.setRunner=function(e){this.runner=e},e.prototype.schedule=function(e){void 0===e&&(e=this.timeout),this.cancel(),this.timeoutToken=i.setTimeout(this.timeoutHandler,e)},e.prototype.isScheduled=function(){return this.timeoutToken!==-1},e.prototype.onTimeout=function(){this.timeoutToken=-1,this.runner&&this.runner()},e}();t.RunOnceScheduler=M,t.nfcall=g,t.ninvoke=m}),define(e[58],t([0,1,4]),function(e,t,n){"use strict";function r(e){var t=null,r=!1;return new n.TPromise(function(n,i,o){t=new XMLHttpRequest,t.onreadystatechange=function(){r||(4===t.readyState?(t.status>=200&&t.status<300||1223===t.status?n(t):i(t),t.onreadystatechange=function(){}):o(t))},t.open(e.type||"GET",e.url,!0,e.user,e.password),t.responseType=e.responseType||"",Object.keys(e.headers||{}).forEach(function(n){t.setRequestHeader(n,e.headers[n])}),e.customRequestInitializer&&e.customRequestInitializer(t),t.send(e.data)},function(){r=!0,t.abort()})}var i;!function(e){e.inMemory="inmemory",e.vscode="vscode",e.internal="private",e.http="http",e.https="https",e.file="file"}(i=t.Schemas||(t.Schemas={})),t.xhr=r}),define(e[114],t([0,1,4]),function(e,t,n){"use strict";t.MessageType={INITIALIZE:"$initialize",REPLY:"$reply",PRINT:"$print"},t.ReplyType={COMPLETE:"complete",ERROR:"error",PROGRESS:"progress"},t.PrintType={LOG:"log",DEBUG:"debug",INFO:"info",WARN:"warn",ERROR:"error"
};var r=function(){function e(e){this._requester=e,this._bigHandler=null}return e.prototype.callOnRemote=function(e,t,n){return this._requester.request("_proxyObj",{proxyId:e,path:t,args:n})},e.prototype.setManyHandler=function(e){this._bigHandler=e},e.prototype.handleMessage=function(e){if(!this._bigHandler)throw new Error("got message before big handler attached!");return this._invokeHandler(e.proxyId,e.path,e.args)},e.prototype._invokeHandler=function(e,t,r){try{return n.TPromise.as(this._bigHandler.handle(e,t,r))}catch(i){return n.TPromise.wrapError(i)}},e}();t.RemoteCom=r}),define(e[128],t([0,1,2,105,4,114]),function(e,t,n,r,i,o){"use strict";function s(e){return new a(e)}var a=function(){function t(e){this._postSerializedMessage=e,this._workerId=0,this._requestHandler=null,this._lastReq=0,this._awaitedReplies={},this._bindConsole(),this._remoteCom=new o.RemoteCom(this)}return t.prototype.getRemoteCom=function(){return this._remoteCom},t.prototype._bindConsole=function(){self.console={log:this._sendPrintMessage.bind(this,o.PrintType.LOG),debug:this._sendPrintMessage.bind(this,o.PrintType.DEBUG),info:this._sendPrintMessage.bind(this,o.PrintType.INFO),warn:this._sendPrintMessage.bind(this,o.PrintType.WARN),error:this._sendPrintMessage.bind(this,o.PrintType.ERROR)},n.setUnexpectedErrorHandler(function(e){self.console.error(e)})},t.prototype._sendPrintMessage=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];var i=t.map(function(e){return e instanceof Error?n.transformErrorForSerialization(e):e}),s={monacoWorker:!0,from:this._workerId,req:"0",type:o.MessageType.PRINT,level:e,payload:1===i.length?i[0]:i};this._postMessage(s)},t.prototype._sendReply=function(e,t,r){var i={monacoWorker:!0,from:this._workerId,req:"0",id:e,type:o.MessageType.REPLY,action:t,payload:r instanceof Error?n.transformErrorForSerialization(r):r};this._postMessage(i)},t.prototype.request=function(e,t){if("$"===e.charAt(0))throw new Error("Illegal requestName: "+e);var n=String(++this._lastReq),r={monacoWorker:!0,from:this._workerId,req:n,type:e,payload:t},o={c:null,e:null,p:null},s=new i.TPromise(function(e,t,n){o.c=e,o.e=t,o.p=n});return this._awaitedReplies[n]=o,this._postMessage(r),s},t.prototype.loadModule=function(e,t,n){self.require([e],function(){for(var e=[],n=0;n<arguments.length;n++)e[n-0]=arguments[n];t(e[0])},n)},t.prototype.onmessage=function(e){this._onmessage(r.parse(e))},t.prototype._postMessage=function(e){this._postSerializedMessage(r.stringify(e))},t.prototype._onmessage=function(t){var n=this;if(t.type===o.MessageType.REPLY){var r=t;if(!r.seq||!this._awaitedReplies.hasOwnProperty(r.seq))return void console.error("Worker received unexpected reply from main thread",t);var i=this._awaitedReplies[r.seq];return delete this._awaitedReplies[r.seq],void(r.err?i.e(r.err):i.c(r.payload))}var s=this._sendReply.bind(this,t.id,o.ReplyType.COMPLETE),a=this._sendReply.bind(this,t.id,o.ReplyType.ERROR),u=this._sendReply.bind(this,t.id,o.ReplyType.PROGRESS);switch(t.type){case o.MessageType.INITIALIZE:this._workerId=t.payload.id;var c=t.payload.loaderConfiguration;if(c){"undefined"!=typeof c.baseUrl&&delete c.baseUrl,"undefined"!=typeof c.paths&&"undefined"!=typeof c.paths.vs&&delete c.paths.vs;var l=c["vs/nls"];l&&l.pseudo&&e(["vs/nls"],function(e){e.setPseudoTranslation(l.pseudo)}),c.catchError=!0,self.require.config(c)}var d=t.payload.MonacoEnvironment;d&&(self.MonacoEnvironment=d),this.loadModule(t.payload.moduleId,function(e){n._requestHandler=e.value,s()},a);break;default:this._handleMessage(t,s,a,u)}},t.prototype._handleMessage=function(e,t,r,i){if("_proxyObj"===e.type)return void this._remoteCom.handleMessage(e.payload).then(t,r,i);if(!this._requestHandler)return void r("Request handler not loaded");if(e.type in this._requestHandler&&"function"==typeof this._requestHandler[e.type])try{this._requestHandler[e.type].call(this._requestHandler,this,t,r,i,e.payload)}catch(o){r(n.transformErrorForSerialization(o))}else this._requestHandler.request(this,t,r,i,e)},t}();t.WorkerServer=a,t.create=s}),define(e[111],t([0,1,2]),function(e,t,n){"use strict";var r=function(){function e(e){this.model=e,this.currentOpenStackElement=null,this.past=[],this.future=[]}return e.prototype.pushStackElement=function(){null!==this.currentOpenStackElement&&(this.past.push(this.currentOpenStackElement),this.currentOpenStackElement=null)},e.prototype.clear=function(){this.currentOpenStackElement=null,this.past=[],this.future=[]},e.prototype.pushEditOperation=function(e,t,r){this.future=[],this.currentOpenStackElement||(this.currentOpenStackElement={beforeVersionId:this.model.getAlternativeVersionId(),beforeCursorState:e,editOperations:[],afterCursorState:null,afterVersionId:-1});var i={operations:this.model.applyEdits(t)};this.currentOpenStackElement.editOperations.push(i);try{this.currentOpenStackElement.afterCursorState=r?r(i.operations):null}catch(o){n.onUnexpectedError(o),this.currentOpenStackElement.afterCursorState=null}return this.currentOpenStackElement.afterVersionId=this.model.getVersionId(),this.currentOpenStackElement.afterCursorState},e.prototype.undo=function(){if(this.pushStackElement(),this.past.length>0){var e=this.past.pop();try{for(var t=e.editOperations.length-1;t>=0;t--)e.editOperations[t]={operations:this.model.applyEdits(e.editOperations[t].operations)}}catch(n){return this.clear(),null}return this.future.push(e),{selections:e.beforeCursorState,recordedVersionId:e.beforeVersionId}}return null},e.prototype.redo=function(){if(this.future.length>0){if(this.currentOpenStackElement)throw new Error("How is this possible?");var e=this.future.pop();try{for(var t=0;t<e.editOperations.length;t++)e.editOperations[t]={operations:this.model.applyEdits(e.editOperations[t].operations)}}catch(n){return this.clear(),null}return this.past.push(e),{selections:e.afterCursorState,recordedVersionId:e.afterVersionId}}return null},e}();t.EditStack=r}),define(e[62],t([0,1,2,3,67]),function(e,t,n,r,i){"use strict";var o=4294967295,s=65535,a=1,u=Math.pow(2,32),c=new i.ViewLineToken(0,""),l=[],d=[],h=[c],f=[0],p=function(){function e(){this._inflate=[""],this._deflate={"":0}}return e}();t.TokensInflatorMap=p;var g=function(){function e(){}return e.deflateArr=function(e,t){if(0===t.length)return d;if(1===t.length&&0===t[0].startIndex&&!t[0].type)return f;var r,i,o,s,c,l=e._inflate,h=e._deflate,p=-1,g=new Array(t.length);for(r=0,i=t.length;r<i;r++)c=t[r],c.startIndex<=p&&(c.startIndex=p+1,n.onUnexpectedError({message:"Invalid tokens detected",tokens:t})),h.hasOwnProperty(c.type)?o=h[c.type]:(o=l.length,h[c.type]=o,l.push(c.type)),s=o*u+c.startIndex*a,g[r]=s,p=c.startIndex;return g},e.getStartIndex=function(e){return e/a&o},e.getType=function(e,t){var n=t/u&s;return 0===n?r.empty:e._inflate[n]},e.inflateArr=function(e,t){if(0===t.length)return l;if(1===t.length&&0===t[0])return h;for(var n=[],r=e._inflate,c=0,d=t.length;c<d;c++){var f=t[c],p=f/a&o,g=f/u&s;n.push(new i.ViewLineToken(p,r[g]))}return n},e.findIndexOfOffset=function(e,t){return this.findIndexInSegmentsArray(e,t)},e.sliceAndInflate=function(e,t,n,r,c){if(0===t.length)return l;if(1===t.length&&0===t[0])return h;var d=this.findIndexInSegmentsArray(t,n),f=[],p=e._inflate,g=t[d],m=g/u&s,v=0;f.push(new i.ViewLineToken(v,p[m]));for(var _=d+1,y=t.length;_<y;_++){g=t[_];var k=g/a&o;if(k>=r)break;m=g/u&s,v=k-n+c,f.push(new i.ViewLineToken(v,p[m]))}return f},e.findIndexInSegmentsArray=function(e,t){for(var n,r,i=0,o=e.length-1;i<o;)n=i+Math.ceil((o-i)/2),r=4294967295&e[n],r>t?o=n-1:i=n;return i},e.START_INDEX_MASK=o,e.TYPE_MASK=s,e.START_INDEX_OFFSET=a,e.TYPE_OFFSET=u,e}();t.TokensBinaryEncoding=g}),define(e[43],t([0,1,3,62,28,67]),function(e,t,n,r,i,o){"use strict";function s(e,t,n){if(0===n)return null;if(!t||0===t.length)return null;if(1===t.length&&0===t[0].startIndex&&""===t[0].type)return null;var i=r.TokensBinaryEncoding.deflateArr(e,t);return new v(e,i)}function a(e,t,n){return 0===n?null:t&&0!==t.length?1===t.length&&0===t[0]?null:new v(e,t):null}function u(e,t){return t&&0!==t.length?1===t.length&&0===t[0].startIndex&&t[0].mode===e?null:t:null}var c,l=r.TokensBinaryEncoding.START_INDEX_MASK,d=r.TokensBinaryEncoding.TYPE_MASK,h=r.TokensBinaryEncoding.START_INDEX_OFFSET,f=r.TokensBinaryEncoding.TYPE_OFFSET,p={adjust:function(){},finish:function(){}},g={adjustDelta:function(){},adjustSet:function(){},finish:function(){}};!function(e){e[e.MarkerDefined=0]="MarkerDefined",e[e.ForceMove=1]="ForceMove",e[e.ForceStay=2]="ForceStay"}(c||(c={}));var m=function(){function e(e,t){this._lineNumber=0|e,this._text=t,this._isInvalid=!1,this._state=null,this._modeTransitions=null,this._lineTokens=null,this._markers=null}return Object.defineProperty(e.prototype,"lineNumber",{get:function(){return this._lineNumber},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"text",{get:function(){return this._text},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isInvalid",{get:function(){return this._isInvalid},set:function(e){this._isInvalid=e},enumerable:!0,configurable:!0}),e.prototype.setState=function(e){this._state=e},e.prototype.getState=function(){return this._state||null},e.prototype.getModeTransitions=function(e){return this._modeTransitions?this._modeTransitions:[new i.ModeTransition(0,e)]},e.prototype.setTokens=function(e,t,n,r){this._lineTokens=s(e,t,this._text.length),this._modeTransitions=u(n,r)},e.prototype._setLineTokensFromDeflated=function(e,t){this._lineTokens=a(e,t,this._text.length)},e.prototype.getTokens=function(){return this._lineTokens?this._lineTokens:0===this._text.length?_.INSTANCE:y.INSTANCE},e.prototype._createTokensAdjuster=function(){if(!this._lineTokens)return p;var e=this._lineTokens,t=e.getBinaryEncodedTokens(),n=t.length,r=0,i=0,o=function(e,o,s){for(var a=s-1;i<e&&r<n;){if(i>0&&0!==o){var u=t[r]/f&d,c=Math.max(a,i+o),p=u*f+c*h;if(o<0)for(;r>0;){var g=t[r-1]/h&l;if(!(g>=c))break;t.splice(r-1,1),n--,r--}t[r]=p}r++,r<n&&(i=t[r]/h&l)}},s=function(e,t){o(Number.MAX_VALUE,e,1)};return{adjust:o,finish:s}},e.prototype._setText=function(e){if(this._text=e,this._lineTokens){for(var t=this._lineTokens.getBinaryEncodedTokensMap(),n=this._lineTokens.getBinaryEncodedTokens(),r=this._text.length;n.length>0;){var i=n[n.length-1]/h&l;if(i<r)break;n.pop()}this._setLineTokensFromDeflated(t,n)}},e.prototype._createMarkersAdjuster=function(t){var n=this;if(!this._markers)return g;if(0===this._markers.length)return g;this._markers.sort(e._compareMarkers);var r=this._markers,i=r.length,o=0,s=r[o],a=function(e,t){return s.column<e||!(s.column>e)&&(t!==c.ForceMove&&(t===c.ForceStay||s.stickToPreviousCharacter))},u=function(e,u,c,l){for(;o<i&&a(e,l);){if(0!==u){var d=Math.max(c,s.column+u);s.column!==d&&(t[s.id]=!0,s.oldLineNumber=s.oldLineNumber||n._lineNumber,s.oldColumn=s.oldColumn||s.column,s.column=d)}o++,o<i&&(s=r[o])}},l=function(e,u,c){for(;o<i&&a(e,c);)s.column!==u&&(t[s.id]=!0,s.oldLineNumber=s.oldLineNumber||n._lineNumber,s.oldColumn=s.oldColumn||s.column,s.column=u),o++,o<i&&(s=r[o])},d=function(e,t){u(Number.MAX_VALUE,e,1,c.MarkerDefined)};return{adjustDelta:u,adjustSet:l,finish:d}},e.prototype.applyEdits=function(e,t){for(var n=0,r=this._text,i=this._createTokensAdjuster(),o=this._createMarkersAdjuster(e),s=0,a=t.length;s<a;s++){var u=t[s],l=n+u.startColumn,d=n+u.endColumn,h=d-l,f=u.text.length;i.adjust(u.startColumn-1,n,1),o.adjustDelta(u.startColumn,n,1,u.forceMoveMarkers?c.ForceMove:h>0?c.ForceStay:c.MarkerDefined);var p=Math.min(h,f);p>0&&(i.adjust(u.startColumn-1+p,n,l),u.forceMoveMarkers||o.adjustDelta(u.startColumn+p,n,l,u.forceMoveMarkers?c.ForceMove:h>f?c.ForceStay:c.MarkerDefined)),r=r.substring(0,l-1)+u.text+r.substring(d-1),n+=f-h,i.adjust(u.endColumn,n,l),o.adjustSet(u.endColumn,l+f,u.forceMoveMarkers?c.ForceMove:c.MarkerDefined)}return i.finish(n,r.length),o.finish(n,r.length),this._setText(r),n},e.prototype.split=function(t,n,r){var i=this._text.substring(0,n-1),o=this._text.substring(n-1),s=null;if(this._markers){this._markers.sort(e._compareMarkers);for(var a=0,u=this._markers.length;a<u;a++){var c=this._markers[a];if(c.column>n||c.column===n&&(r||!c.stickToPreviousCharacter)){var l=this._markers.slice(0,a);s=this._markers.slice(a),this._markers=l;break}}if(s)for(var a=0,u=s.length;a<u;a++){var c=s[a];t[c.id]=!0,c.oldLineNumber=c.oldLineNumber||this._lineNumber,c.oldColumn=c.oldColumn||c.column,c.column-=n-1}}this._setText(i);var d=new e(this._lineNumber+1,o);return s&&d.addMarkers(s),d},e.prototype.append=function(e,t){var n=this._text.length;this._setText(this._text+t._text);var r=t._lineTokens;if(r){var i=r.getBinaryEncodedTokens();if(n>0)for(var o=0,s=i.length;o<s;o++){var a=i[o],u=a/h&l,c=a/f&d,p=u+n,g=c*f+p*h;i[o]=g}var m=this._lineTokens;m?this._setLineTokensFromDeflated(m.getBinaryEncodedTokensMap(),m.getBinaryEncodedTokens().concat(i)):this._setLineTokensFromDeflated(r.getBinaryEncodedTokensMap(),i)}if(t._markers){for(var v=t._markers,o=0,s=v.length;o<s;o++){var _=v[o];e[_.id]=!0,_.oldLineNumber=_.oldLineNumber||t.lineNumber,_.oldColumn=_.oldColumn||_.column,_.column+=n}this.addMarkers(v)}},e.prototype.addMarker=function(e){e.line=this,this._markers?this._markers.push(e):this._markers=[e]},e.prototype.addMarkers=function(e){if(0!==e.length){var t,n;for(t=0,n=e.length;t<n;t++)e[t].line=this;this._markers?this._markers=this._markers.concat(e):this._markers=e.slice(0)}},e._compareMarkers=function(e,t){return e.column===t.column?(e.stickToPreviousCharacter?0:1)-(t.stickToPreviousCharacter?0:1):e.column-t.column},e.prototype.removeMarker=function(e){if(this._markers){var t=this._indexOfMarkerId(e.id);t>=0&&(e.line=null,this._markers.splice(t,1)),0===this._markers.length&&(this._markers=null)}},e.prototype.removeMarkers=function(e){if(this._markers){for(var t=0,n=this._markers.length;t<n;t++){var r=this._markers[t];e[r.id]&&(r.line=null,this._markers.splice(t,1),n--,t--)}0===this._markers.length&&(this._markers=null)}},e.prototype.getMarkers=function(){return this._markers?this._markers.slice(0):[]},e.prototype.updateLineNumber=function(e,t){if(this._markers){var n,r,i,o=this._markers;for(n=0,r=o.length;n<r;n++)i=o[n],e[i.id]=!0,i.oldLineNumber=i.oldLineNumber||this._lineNumber}this._lineNumber=t},e.prototype.deleteLine=function(e,t,n){if(this._markers){var r,i,o,s=this._markers;for(r=0,i=s.length;r<i;r++)o=s[r],e[o.id]=!0,o.oldColumn=o.oldColumn||o.column,o.oldLineNumber=o.oldLineNumber||n,o.column=t;return s}return[]},e.prototype._indexOfMarkerId=function(e){for(var t=this._markers,n=0,r=t.length;n<r;n++)if(t[n].id===e)return n},e}();t.ModelLine=m;var v=function(){function e(e,t){this.map=e,this._tokens=t}return e.prototype.getBinaryEncodedTokensMap=function(){return this.map},e.prototype.getBinaryEncodedTokens=function(){return this._tokens},e.prototype.getTokenCount=function(){return this._tokens.length},e.prototype.getTokenStartIndex=function(e){return r.TokensBinaryEncoding.getStartIndex(this._tokens[e])},e.prototype.getTokenType=function(e){return r.TokensBinaryEncoding.getType(this.map,this._tokens[e])},e.prototype.getTokenEndIndex=function(e,t){return e+1<this._tokens.length?r.TokensBinaryEncoding.getStartIndex(this._tokens[e+1]):t},e.prototype.equals=function(t){if(t instanceof e){if(this.map!==t.map)return!1;if(this._tokens.length!==t._tokens.length)return!1;for(var n=0,r=this._tokens.length;n<r;n++)if(this._tokens[n]!==t._tokens[n])return!1;return!0}if(!(t instanceof e))return!1},e.prototype.findIndexOfOffset=function(e){return r.TokensBinaryEncoding.findIndexOfOffset(this._tokens,e)},e.prototype.inflate=function(){return r.TokensBinaryEncoding.inflateArr(this.map,this._tokens)},e.prototype.sliceAndInflate=function(e,t,n){return r.TokensBinaryEncoding.sliceAndInflate(this.map,this._tokens,e,t,n)},e}();t.LineTokens=v;var _=function(){function e(){}return e.prototype.getTokenCount=function(){return 0},e.prototype.getTokenStartIndex=function(e){return 0},e.prototype.getTokenType=function(e){return n.empty},e.prototype.getTokenEndIndex=function(e,t){return 0},e.prototype.equals=function(e){return e===this},e.prototype.findIndexOfOffset=function(e){return 0},e.prototype.inflate=function(){return[]},e.prototype.sliceAndInflate=function(e,t,n){return[]},e.INSTANCE=new e,e}(),y=function(){function e(){}return e.prototype.getTokenCount=function(){return 1},e.prototype.getTokenStartIndex=function(e){return 0},e.prototype.getTokenType=function(e){return n.empty},e.prototype.getTokenEndIndex=function(e,t){return t},e.prototype.equals=function(e){return this===e},e.prototype.findIndexOfOffset=function(e){return 0},e.prototype.inflate=function(){return[new o.ViewLineToken(0,"")]},e.prototype.sliceAndInflate=function(e,t,n){return[new o.ViewLineToken(0,"")]},e.INSTANCE=new e,e}();t.DefaultLineTokens=y}),define(e[107],t([0,1,8,92]),function(e,t,n,r){"use strict";var i=function(){function e(){this._clock=0,this._entries=[],this._onDidChange=new n.Emitter}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),e.prototype.register=function(e,t,n){var r=this;void 0===n&&(n=!1);var i={selector:e,provider:t,isBuiltin:n,_score:-1,_time:this._clock++};return this._entries.push(i),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),{dispose:function(){if(i){var e=r._entries.indexOf(i);e>=0&&(r._entries.splice(e,1),r._lastCandidate=void 0,r._onDidChange.fire(r._entries.length),i=void 0)}}}},e.prototype.has=function(e){return this.all(e).length>0},e.prototype.all=function(e){if(!e||e.isTooLargeForHavingAMode())return[];this._updateScores(e);for(var t=[],n=0,r=this._entries;n<r.length;n++){var i=r[n];i._score>0&&t.push(i.provider)}return t},e.prototype.ordered=function(e){var t=[];return this._orderedForEach(e,function(e){return t.push(e.provider)}),t},e.prototype.orderedGroups=function(e){var t,n,r=[];return this._orderedForEach(e,function(e){t&&n===e._score?t.push(e.provider):(n=e._score,t=[e.provider],r.push(t))}),r},e.prototype._orderedForEach=function(e,t){if(e&&!e.isTooLargeForHavingAMode()){this._updateScores(e);for(var n=0;n<this._entries.length;n++){var r=this._entries[n];r._score>0&&t(r)}}},e.prototype._updateScores=function(t){var n={uri:t.uri.toString(),language:t.getModeId()};if(!this._lastCandidate||this._lastCandidate.language!==n.language||this._lastCandidate.uri!==n.uri){this._lastCandidate=n;for(var i=0,o=this._entries;i<o.length;i++){var s=o[i];s._score=r.score(s.selector,t.uri,t.getModeId()),s.isBuiltin&&s._score>0&&(s._score=.5,s._time=-1)}this._entries.sort(e._compareByScoreAndTime)}},e._compareByScoreAndTime=function(e,t){return e._score<t._score?1:e._score>t._score?-1:e._time<t._time?1:e._time>t._time?-1:0},e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=i}),define(e[30],t([0,1,107]),function(e,t,n){"use strict";!function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(t.DocumentHighlightKind||(t.DocumentHighlightKind={}));t.DocumentHighlightKind;!function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null"}(t.SymbolKind||(t.SymbolKind={}));var r,r=t.SymbolKind;!function(e){function t(t){switch(t){case e.Method:return"method";case e.Function:return"function";case e.Constructor:return"constructor";case e.Variable:return"variable";case e.Class:return"class";case e.Interface:return"interface";case e.Namespace:return"namespace";case e.Package:return"package";case e.Module:return"module";case e.Property:return"property";case e.Enum:return"enum";case e.String:return"string";case e.File:return"file";case e.Array:return"array";case e.Number:return"number";case e.Boolean:return"boolean";case e.Object:return"object";case e.Key:return"key";case e.Null:return"null"}return"property"}function n(t){switch(t){case"method":return e.Method;case"function":return e.Function;case"constructor":return e.Constructor;case"variable":return e.Variable;case"class":return e.Class;case"interface":return e.Interface;case"namespace":return e.Namespace;case"package":return e.Package;case"module":return e.Module;case"property":return e.Property;case"enum":return e.Enum;case"string":return e.String;case"file":return e.File;case"array":return e.Array;case"number":return e.Number;case"boolean":return e.Boolean;case"object":return e.Object;case"key":return e.Key;case"null":return e.Null}return e.Property}e.from=t,e.to=n}(r=t.SymbolKind||(t.SymbolKind={})),function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(t.IndentAction||(t.IndentAction={}));t.IndentAction;t.ReferenceProviderRegistry=new n["default"],t.RenameProviderRegistry=new n["default"],t.SuggestRegistry=new n["default"],t.SignatureHelpProviderRegistry=new n["default"],t.HoverProviderRegistry=new n["default"],t.DocumentSymbolProviderRegistry=new n["default"],t.DocumentHighlightProviderRegistry=new n["default"],t.DefinitionProviderRegistry=new n["default"],t.CodeLensProviderRegistry=new n["default"],t.CodeActionProviderRegistry=new n["default"],t.DocumentFormattingEditProviderRegistry=new n["default"],t.DocumentRangeFormattingEditProviderRegistry=new n["default"],t.OnTypeFormattingEditProviderRegistry=new n["default"],t.LinkProviderRegistry=new n["default"]}),define(e[103],t([0,1,2,3,30,21]),function(e,t,n,r,i,o){"use strict";var s=function(){function e(t,n,r){this._registry=t,r=r||{},r.brackets=r.brackets||[["(",")"],["{","}"],["[","]"]],this._modeId=n,this._brackets=r.brackets.map(function(t){return{open:t[0],openRegExp:e._createOpenBracketRegExp(t[0]),close:t[1],closeRegExp:e._createCloseBracketRegExp(t[1])}}),this._regExpRules=r.regExpRules||[],this._indentationRules=r.indentationRules}return e.prototype.onEnter=function(e,t){var n=this,r=e.getLineContext(t.lineNumber);return o.handleEvent(r,t.column-1,function(r,i,o){if(n._modeId===r)return n._onEnter(e,t);var s=n._registry.getOnEnterSupport(r);return s?s.onEnter(e,t):null})},e.prototype._onEnter=function(e,t){var n=e.getLineContent(t.lineNumber),r=n.substr(0,t.column-1),i=n.substr(t.column-1),o=1===t.lineNumber?"":e.getLineContent(t.lineNumber-1);return this._actualOnEnter(o,r,i)},e.prototype._actualOnEnter=function(t,n,r){for(var i=0,o=this._regExpRules.length;i<o;i++){var s=this._regExpRules[i];if(s.beforeText.test(n)){if(!s.afterText)return s.action;if(s.afterText.test(r))return s.action}}if(n.length>0&&r.length>0)for(var i=0,o=this._brackets.length;i<o;i++){var a=this._brackets[i];if(a.openRegExp.test(n)&&a.closeRegExp.test(r))return e._INDENT_OUTDENT}if(this._indentationRules){if(this._indentationRules.increaseIndentPattern&&this._indentationRules.increaseIndentPattern.test(n))return e._INDENT;if(this._indentationRules.indentNextLinePattern&&this._indentationRules.indentNextLinePattern.test(n))return e._INDENT;if(/^\s/.test(n)){if(this._indentationRules.decreaseIndentPattern&&this._indentationRules.decreaseIndentPattern.test(r))return e._OUTDENT;if(this._indentationRules.indentNextLinePattern&&this._indentationRules.indentNextLinePattern.test(t))return e._OUTDENT}}if(n.length>0)for(var i=0,o=this._brackets.length;i<o;i++){var a=this._brackets[i];if(a.openRegExp.test(n))return e._INDENT}return null},e._createOpenBracketRegExp=function(t){var n=r.escapeRegExpCharacters(t);return/\B/.test(n.charAt(0))||(n="\\b"+n),n+="\\s*$",e._safeRegExp(n)},e._createCloseBracketRegExp=function(t){var n=r.escapeRegExpCharacters(t);return/\B/.test(n.charAt(n.length-1))||(n+="\\b"),n="^\\s*"+n,e._safeRegExp(n)},e._safeRegExp=function(e){try{return new RegExp(e)}catch(t){return n.onUnexpectedError(t),null}},e._INDENT={indentAction:i.IndentAction.Indent},e._INDENT_OUTDENT={indentAction:i.IndentAction.IndentOutdent},e._OUTDENT={indentAction:i.IndentAction.Outdent},e}();t.OnEnterSupport=s}),define(e[41],t([0,1,30,91,102,103,40,8,2,23,3,25]),function(e,t,n,r,i,o,s,a,u,c,l,d){"use strict";var h=function(){function e(n,o,a){var u=null;o&&(u=o._conf),this._conf=e._mergeConf(u,a),this._conf.brackets&&(this.brackets=new s.RichEditBrackets(n,this._conf.brackets)),this._handleOnEnter(n,this._conf),this._handleComments(n,this._conf),this._conf.autoClosingPairs&&(this.characterPair=new r.CharacterPairSupport(t.LanguageConfigurationRegistry,n,this._conf)),(this._conf.__electricCharacterSupport||this._conf.brackets)&&(this.electricCharacter=new i.BracketElectricCharacterSupport(t.LanguageConfigurationRegistry,n,this.brackets,this._conf.__electricCharacterSupport)),this.wordDefinition=this._conf.wordPattern||d.DEFAULT_WORD_REGEXP}return e._mergeConf=function(e,t){return{comments:e?t.comments||e.comments:t.comments,brackets:e?t.brackets||e.brackets:t.brackets,wordPattern:e?t.wordPattern||e.wordPattern:t.wordPattern,indentationRules:e?t.indentationRules||e.indentationRules:t.indentationRules,onEnterRules:e?t.onEnterRules||e.onEnterRules:t.onEnterRules,autoClosingPairs:e?t.autoClosingPairs||e.autoClosingPairs:t.autoClosingPairs,surroundingPairs:e?t.surroundingPairs||e.surroundingPairs:t.surroundingPairs,__electricCharacterSupport:e?t.__electricCharacterSupport||e.__electricCharacterSupport:t.__electricCharacterSupport}},e.prototype._handleOnEnter=function(e,n){var r={},i=!0;n.brackets&&(i=!1,r.brackets=n.brackets),n.indentationRules&&(i=!1,r.indentationRules=n.indentationRules),n.onEnterRules&&(i=!1,r.regExpRules=n.onEnterRules),i||(this.onEnter=new o.OnEnterSupport(t.LanguageConfigurationRegistry,e,r))},e.prototype._handleComments=function(e,t){var n=t.comments;if(n&&(this.comments={},n.lineComment&&(this.comments.lineCommentToken=n.lineComment),n.blockComment)){var r=n.blockComment,i=r[0],o=r[1];this.comments.blockCommentStartToken=i,this.comments.blockCommentEndToken=o}},e}();t.RichEditSupport=h;var f=function(){function e(){this._onDidChange=new a.Emitter,this.onDidChange=this._onDidChange.event,this._entries=Object.create(null)}return e.prototype.register=function(e,t){var n=this._entries[e]||null;return this._entries[e]=new h(e,n,t),this._onDidChange.fire(void 0),{dispose:function(){}}},e.prototype._getRichEditSupport=function(e){return this._entries[e]},e.prototype.getElectricCharacterSupport=function(e){var t=this._getRichEditSupport(e);return t?t.electricCharacter||null:null},e.prototype.getComments=function(e){var t=this._getRichEditSupport(e);return t?t.comments||null:null},e.prototype.getCharacterPairSupport=function(e){var t=this._getRichEditSupport(e);return t?t.characterPair||null:null},e.prototype.getWordDefinition=function(e){var t=this._getRichEditSupport(e);return t?t.wordDefinition||null:null},e.prototype.getOnEnterSupport=function(e){var t=this._getRichEditSupport(e);return t?t.onEnter||null:null},e.prototype.getRawEnterActionAtPosition=function(e,t,n){var r,i=this.getOnEnterSupport(e.getMode().getId());if(i)try{r=i.onEnter(e,new c.Position(t,n))}catch(o){u.onUnexpectedError(o)}return r},e.prototype.getEnterActionAtPosition=function(e,t,r){var i=e.getLineContent(t),o=l.getLeadingWhitespace(i);o.length>r-1&&(o=o.substring(0,r-1));var s=this.getRawEnterActionAtPosition(e,t,r);return s?s.appendText||(s.indentAction===n.IndentAction.Indent||s.indentAction===n.IndentAction.IndentOutdent?s.appendText="\t":s.appendText=""):s={indentAction:n.IndentAction.None,appendText:""},s.removeText&&(o=o.substring(0,o.length-1)),{enterAction:s,indentation:o}},e.prototype.getBracketsSupport=function(e){var t=this._getRichEditSupport(e);return t?t.brackets||null:null},e}();t.LanguageConfigurationRegistryImpl=f,t.LanguageConfigurationRegistry=new f}),define(e[100],t([0,1,28,41,25]),function(e,t,n,r,i){"use strict";var o=function(){function e(){}return e._safeGetWordDefinition=function(e){return r.LanguageConfigurationRegistry.getWordDefinition(e.getId())},e.massageWordDefinitionOf=function(t){return i.ensureValidWordDefinition(e._safeGetWordDefinition(t))},e._getWordAtColumn=function(t,n,r,o){var s=o[r].startIndex,a=r+1<o.length?o[r+1].startIndex:t.length,u=o[r].mode;return i.getWordAtText(n,e.massageWordDefinitionOf(u),t.substring(s,a),s)},e.getWordAtPosition=function(t,r){if(!t._lineIsTokenized(r.lineNumber))return i.getWordAtText(r.column,e.massageWordDefinitionOf(t.getMode()),t.getLineContent(r.lineNumber),0);var o=null,s=t.getLineContent(r.lineNumber),a=t._getLineModeTransitions(r.lineNumber),u=r.column-1,c=n.ModeTransition.findIndexInSegmentsArray(a,u);return o=e._getWordAtColumn(s,r.column,c,a),!o&&c>0&&a[c].startIndex===u&&(o=e._getWordAtColumn(s,r.column,c-1,a)),o},e}();t.WordHelper=o}),define(e[95],t([7,6]),function(e,t){return e.create("vs/base/common/severity",t)}),define(e[20],t([0,1,95,3]),function(e,t,n,r){"use strict";var i;!function(e){e[e.Ignore=0]="Ignore",e[e.Info=1]="Info",e[e.Warning=2]="Warning",e[e.Error=3]="Error"}(i||(i={}));var i;!function(e){function t(t){return t?r.equalsIgnoreCase(s,t)?e.Error:r.equalsIgnoreCase(a,t)||r.equalsIgnoreCase(u,t)?e.Warning:r.equalsIgnoreCase(c,t)?e.Info:e.Ignore:e.Ignore}function i(e){return l[e]||r.empty}function o(e,t){return t-e}var s="error",a="warning",u="warn",c="info",l=Object.create(null);l[e.Error]=n.localize(0,null),l[e.Warning]=n.localize(1,null),l[e.Info]=n.localize(2,null),e.fromValue=t,e.toString=i,e.compare=o}(i||(i={})),Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=i}),define(e[74],t([7,6]),function(e,t){return e.create("vs/editor/common/config/defaultConfig",t)}),define(e[72],t([0,1,74,11,25]),function(e,t,n,r,i){"use strict";t.DEFAULT_INDENTATION={tabSize:4,insertSpaces:!0,detectIndentation:!0},t.DEFAULT_TRIM_AUTO_WHITESPACE=!0;var o="Consolas, 'Courier New', monospace",s="Menlo, Monaco, 'Courier New', monospace",a="'Droid Sans Mono', 'Courier New', monospace, 'Droid Sans Fallback'";t.GOLDEN_LINE_HEIGHT_RATIO=r.isMacintosh?1.5:1.35;var u=function(){function e(){this.editor={experimentalScreenReader:!0,rulers:[],wordSeparators:i.USUAL_WORD_SEPARATORS,selectionClipboard:!0,ariaLabel:n.localize(0,null),lineNumbers:!0,selectOnLineNumbers:!0,lineNumbersMinChars:5,glyphMargin:!1,lineDecorationsWidth:10,revealHorizontalRightPadding:30,roundedSelection:!0,theme:"vs",readOnly:!1,scrollbar:{verticalScrollbarSize:14,horizontal:"auto",useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1},overviewRulerLanes:2,cursorBlinking:"blink",cursorStyle:"line",fontLigatures:!1,disableTranslate3d:!1,hideCursorInOverviewRuler:!1,scrollBeyondLastLine:!0,automaticLayout:!1,wrappingColumn:300,wrappingIndent:"same",wordWrapBreakBeforeCharacters:"([{‘“〈《「『【〔（［｛｢£¥＄￡￥+＋",wordWrapBreakAfterCharacters:" \t})]?|&,;¢°′″‰℃、。｡､￠，．：；？！％・･ゝゞヽヾーァィゥェォッャュョヮヵヶぁぃぅぇぉっゃゅょゎゕゖㇰㇱㇲㇳㇴㇵㇶㇷㇸㇹㇺㇻㇼㇽㇾㇿ々〻ｧｨｩｪｫｬｭｮｯｰ’”〉》」』】〕）］｝｣",wordWrapBreakObtrusiveCharacters:".",tabFocusMode:!1,hover:!0,contextmenu:!0,mouseWheelScrollSensitivity:1,quickSuggestions:!0,quickSuggestionsDelay:10,parameterHints:!0,iconsInSuggestions:!0,autoClosingBrackets:!0,formatOnType:!1,suggestOnTriggerCharacters:!0,acceptSuggestionOnEnter:!0,selectionHighlight:!0,outlineMarkers:!1,referenceInfos:!0,folding:!0,renderWhitespace:!1,indentGuides:!1,useTabStops:!0,fontFamily:r.isMacintosh?s:r.isLinux?a:o,fontSize:r.isMacintosh?12:14,lineHeight:0}}return e}();t.DefaultConfig=new u}),define(e[37],t([0,1,19,3,23,14,9,43,99,72,117]),function(e,t,r,i,o,s,a,u,c,l,d){"use strict";var h=999;t.LONG_LINE_BOUNDARY=1e3;var f=function(e){function r(t,n){t.push(a.EventType.ModelRawContentChanged,a.EventType.ModelOptionsChanged),e.call(this,t),this._shouldSimplifyMode=n.length>r.MODEL_SYNC_LIMIT,this._shouldDenyMode=n.length>r.MODEL_TOKENIZATION_LIMIT,this._options=n.options,this._constructLines(n),this._setVersionId(1),
this._isDisposed=!1,this._isDisposing=!1}return n(r,e),r.prototype.isTooLargeForHavingAMode=function(){return this._shouldDenyMode},r.prototype.isTooLargeForHavingARichMode=function(){return this._shouldSimplifyMode},r.prototype.getOptions=function(){return this._options},r.prototype.updateOptions=function(e){var t=!1,n={tabSize:!1,insertSpaces:!1,trimAutoWhitespace:!1};"undefined"!=typeof e.insertSpaces&&this._options.insertSpaces!==e.insertSpaces&&(t=!0,n.insertSpaces=!0,this._options.insertSpaces=e.insertSpaces),"undefined"!=typeof e.tabSize&&this._options.tabSize!==e.tabSize&&(t=!0,n.tabSize=!0,this._options.tabSize=e.tabSize),"undefined"!=typeof e.trimAutoWhitespace&&this._options.trimAutoWhitespace!==e.trimAutoWhitespace&&(t=!0,n.trimAutoWhitespace=!0,this._options.trimAutoWhitespace=e.trimAutoWhitespace),t&&this.emit(a.EventType.ModelOptionsChanged,n)},r.prototype.detectIndentation=function(e,t){var n=this._lines.map(function(e){return e.text}),r=c.guessIndentation(n,t,e);this.updateOptions({insertSpaces:r.insertSpaces,tabSize:r.tabSize})},r.prototype._normalizeIndentationFromWhitespace=function(e){for(var t=this._options.tabSize,n=this._options.insertSpaces,r=0,i=0;i<e.length;i++)"\t"===e.charAt(i)?r+=t:r++;var o="";if(!n){var s=Math.floor(r/t);r%=t;for(var i=0;i<s;i++)o+="\t"}for(var i=0;i<r;i++)o+=" ";return o},r.prototype.normalizeIndentation=function(e){var t=i.firstNonWhitespaceIndex(e);return t===-1&&(t=e.length),this._normalizeIndentationFromWhitespace(e.substring(0,t))+e.substring(t)},r.prototype.getOneIndent=function(){var e=this._options.tabSize,t=this._options.insertSpaces;if(t){for(var n="",r=0;r<e;r++)n+=" ";return n}return"\t"},r.prototype.getVersionId=function(){return this._versionId},r.prototype.getAlternativeVersionId=function(){return this._alternativeVersionId},r.prototype._ensureLineStarts=function(){if(!this._lineStarts){for(var e=[],t=this._EOL.length,n=0,r=this._lines.length;n<r;n++)e.push(this._lines[n].text.length+t);this._lineStarts=new d.PrefixSumComputer(e)}},r.prototype.getOffsetAt=function(e){var t=this.validatePosition(e);return this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(t.lineNumber-2)+t.column-1},r.prototype.getPositionAt=function(e){e=Math.floor(e),e=Math.max(0,e),this._ensureLineStarts();var t=this._lineStarts.getIndexOf(e),n=this._lines[t.index].text.length;return new o.Position(t.index+1,Math.min(t.remainder+1,n+1))},r.prototype._increaseVersionId=function(){this._setVersionId(this._versionId+1)},r.prototype._setVersionId=function(e){this._versionId=e,this._alternativeVersionId=this._versionId},r.prototype._overwriteAlternativeVersionId=function(e){this._alternativeVersionId=e},r.prototype.isDisposed=function(){return this._isDisposed},r.prototype.dispose=function(){this._isDisposed=!0,this._lines=null,this._EOL=null,this._BOM=null,e.prototype.dispose.call(this)},r.prototype._createContentChangedFlushEvent=function(){return{changeType:a.EventType.ModelRawContentChangedFlush,detail:null,versionId:-1,isUndoing:!1,isRedoing:!1}},r.prototype._emitContentChanged2=function(e,t,n,r,i,o,u,c){var l={range:new s.Range(e,t,n,r),rangeLength:i,text:o,eol:this._EOL,versionId:this.getVersionId(),isUndoing:u,isRedoing:c};this._isDisposing||this.emit(a.EventType.ModelContentChanged2,l)},r.prototype._resetValue=function(e,t){this._constructLines(t),this._increaseVersionId(),e.detail=this.toRawText(),e.versionId=this._versionId},r.prototype.toRawText=function(){return{BOM:this._BOM,EOL:this._EOL,lines:this.getLinesContent(),length:this.getValueLength(),options:this._options}},r.prototype.equals=function(e){if(this._BOM!==e.BOM)return!1;if(this._EOL!==e.EOL)return!1;if(this._lines.length!==e.lines.length)return!1;for(var t=0,n=this._lines.length;t<n;t++)if(this._lines[t].text!==e.lines[t])return!1;return!0},r.prototype.setValue=function(e){if(null!==e){var t=null;t=r.toRawText(e,{tabSize:this._options.tabSize,insertSpaces:this._options.insertSpaces,trimAutoWhitespace:this._options.trimAutoWhitespace,detectIndentation:!1,defaultEOL:this._options.defaultEOL}),this.setValueFromRawText(t)}},r.prototype.setValueFromRawText=function(e){if(null!==e){var t=this.getFullModelRange(),n=this.getValueLengthInRange(t),r=this.getLineCount(),i=this.getLineMaxColumn(r),o=this._createContentChangedFlushEvent();this._resetValue(o,e),this._emitModelContentChangedFlushEvent(o),this._emitContentChanged2(1,1,r,i,n,this.getValue(),!1,!1)}},r.prototype.getValue=function(e,t){void 0===t&&(t=!1);var n=this.getFullModelRange(),r=this.getValueInRange(n,e);return t?this._BOM+r:r},r.prototype.getValueLength=function(e,t){void 0===t&&(t=!1);var n=this.getFullModelRange(),r=this.getValueLengthInRange(n,e);return t?this._BOM.length+r:r},r.prototype.getEmptiedValueInRange=function(e,t,n){void 0===t&&(t=""),void 0===n&&(n=a.EndOfLinePreference.TextDefined);var r=this.validateRange(e);if(r.isEmpty())return"";if(r.startLineNumber===r.endLineNumber)return this._repeatCharacter(t,r.endColumn-r.startColumn);var i=this._getEndOfLine(n),o=r.startLineNumber-1,s=r.endLineNumber-1,u=[];u.push(this._repeatCharacter(t,this._lines[o].text.length-r.startColumn+1));for(var c=o+1;c<s;c++)u.push(this._repeatCharacter(t,this._lines[c].text.length));return u.push(this._repeatCharacter(t,r.endColumn-1)),u.join(i)},r.prototype._repeatCharacter=function(e,t){for(var n="",r=0;r<t;r++)n+=e;return n},r.prototype.getValueInRange=function(e,t){void 0===t&&(t=a.EndOfLinePreference.TextDefined);var n=this.validateRange(e);if(n.isEmpty())return"";if(n.startLineNumber===n.endLineNumber)return this._lines[n.startLineNumber-1].text.substring(n.startColumn-1,n.endColumn-1);var r=this._getEndOfLine(t),i=n.startLineNumber-1,o=n.endLineNumber-1,s=[];s.push(this._lines[i].text.substring(n.startColumn-1));for(var u=i+1;u<o;u++)s.push(this._lines[u].text);return s.push(this._lines[o].text.substring(0,n.endColumn-1)),s.join(r)},r.prototype.getValueLengthInRange=function(e,t){void 0===t&&(t=a.EndOfLinePreference.TextDefined);var n=this.validateRange(e);if(n.isEmpty())return 0;if(n.startLineNumber===n.endLineNumber)return n.endColumn-n.startColumn;var r=this.getOffsetAt(new o.Position(n.startLineNumber,n.startColumn)),i=this.getOffsetAt(new o.Position(n.endLineNumber,n.endColumn));return i-r},r.prototype.isDominatedByLongLines=function(){var e,n,r,i=0,o=0,s=this._lines;for(e=0,n=this._lines.length;e<n;e++)r=s[e].text.length,r>=t.LONG_LINE_BOUNDARY?o+=r:i+=r;return o>i},r.prototype.getLineCount=function(){return this._lines.length},r.prototype.getLineContent=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._lines[e-1].text},r.prototype.getLinesContent=function(){for(var e=[],t=0,n=this._lines.length;t<n;t++)e[t]=this._lines[t].text;return e},r.prototype.getEOL=function(){return this._EOL},r.prototype.setEOL=function(e){var t=e===a.EndOfLineSequence.CRLF?"\r\n":"\n";if(this._EOL!==t){var n=this.getFullModelRange(),r=this.getValueLengthInRange(n),i=this.getLineCount(),o=this.getLineMaxColumn(i);this._EOL=t,this._lineStarts=null,this._increaseVersionId();var s=this._createContentChangedFlushEvent();s.detail=this.toRawText(),s.versionId=this._versionId,this._emitModelContentChangedFlushEvent(s),this._emitContentChanged2(1,1,i,o,r,this.getValue(),!1,!1)}},r.prototype.getLineMinColumn=function(e){return 1},r.prototype.getLineMaxColumn=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._lines[e-1].text.length+1},r.prototype.getLineFirstNonWhitespaceColumn=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");var t=i.firstNonWhitespaceIndex(this._lines[e-1].text);return t===-1?0:t+1},r.prototype.getLineLastNonWhitespaceColumn=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");var t=i.lastNonWhitespaceIndex(this._lines[e-1].text);return t===-1?0:t+2},r.prototype.validateLineNumber=function(e){return e<1&&(e=1),e>this._lines.length&&(e=this._lines.length),e},r.prototype.validatePosition=function(e){var t=e.lineNumber?e.lineNumber:1,n=e.column?e.column:1;if(t<1)t=1,n=1;else if(t>this._lines.length)t=this._lines.length,n=this.getLineMaxColumn(t);else{var r=this.getLineMaxColumn(t);n<1?n=1:n>r&&(n=r)}return new o.Position(t,n)},r.prototype.validateRange=function(e){var t=this.validatePosition(new o.Position(e.startLineNumber,e.startColumn)),n=this.validatePosition(new o.Position(e.endLineNumber,e.endColumn));return new s.Range(t.lineNumber,t.column,n.lineNumber,n.column)},r.prototype.modifyPosition=function(e,t){return this.getPositionAt(this.getOffsetAt(e)+t)},r.prototype.getFullModelRange=function(){var e=this.getLineCount();return new s.Range(1,1,e,this.getLineMaxColumn(e))},r.prototype._emitModelContentChangedFlushEvent=function(e){this._isDisposing||this.emit(a.EventType.ModelRawContentChanged,e)},r.toRawText=function(e,t){for(var n=0,r=-1;(r=e.indexOf("\r",r+1))!==-1;)n++;var o=e.split(/\r\n|\r|\n/),s="";i.startsWithUTF8BOM(o[0])&&(s=i.UTF8_BOM_CHARACTER,o[0]=o[0].substr(1));var u=o.length-1,l="";l=0===u?t.defaultEOL===a.DefaultEndOfLine.LF?"\n":"\r\n":n>u/2?"\r\n":"\n";var d;if(t.detectIndentation){var h=c.guessIndentation(o,t.tabSize,t.insertSpaces);d={tabSize:h.tabSize,insertSpaces:h.insertSpaces,trimAutoWhitespace:t.trimAutoWhitespace,defaultEOL:t.defaultEOL}}else d={tabSize:t.tabSize,insertSpaces:t.insertSpaces,trimAutoWhitespace:t.trimAutoWhitespace,defaultEOL:t.defaultEOL};return{BOM:s,EOL:l,lines:o,length:e.length,options:d}},r.prototype._constructLines=function(e){var t,n,r=e.lines,i=[];for(t=0,n=r.length;t<n;t++)i.push(new u.ModelLine(t+1,r[t]));this._BOM=e.BOM,this._EOL=e.EOL,this._lines=i,this._lineStarts=null},r.prototype._getEndOfLine=function(e){switch(e){case a.EndOfLinePreference.LF:return"\n";case a.EndOfLinePreference.CRLF:return"\r\n";case a.EndOfLinePreference.TextDefined:return this.getEOL()}throw new Error("Unknown EOL preference")},r.prototype.findMatches=function(e,t,n,r,o,a){void 0===a&&(a=h);var u=i.createSafeRegExp(e,n,r,o);if(!u)return[];var c;return c=s.Range.isIRange(t)?t:this.getFullModelRange(),this._doFindMatches(c,u,a)},r.prototype.findNextMatch=function(e,t,n,r,o){var s=i.createSafeRegExp(e,n,r,o);if(!s)return null;var a,u,c=this.validatePosition(t),l=this.getLineCount(),d=c.lineNumber;if(a=this._lines[d-1].text.substring(c.column-1),u=this._findMatchInLine(s,a,d,c.column-1))return u;for(var h=1;h<=l;h++){var f=(d+h-1)%l;if(a=this._lines[f].text,u=this._findMatchInLine(s,a,f+1,0))return u}return null},r.prototype.findPreviousMatch=function(e,t,n,r,o){var s=i.createSafeRegExp(e,n,r,o);if(!s)return null;var a,u,c=this.validatePosition(t),l=this.getLineCount(),d=c.lineNumber;if(a=this._lines[d-1].text.substring(0,c.column-1),u=this._findLastMatchInLine(s,a,d))return u;for(var h=1;h<=l;h++){var f=(l+d-h-1)%l;if(a=this._lines[f].text,u=this._findLastMatchInLine(s,a,f+1))return u}return null},r.prototype._doFindMatches=function(e,t,n){var r,i=[],o=0;if(e.startLineNumber===e.endLineNumber)return r=this._lines[e.startLineNumber-1].text.substring(e.startColumn-1,e.endColumn-1),o=this._findMatchesInLine(t,r,e.startLineNumber,e.startColumn-1,o,i,n),i;r=this._lines[e.startLineNumber-1].text.substring(e.startColumn-1),o=this._findMatchesInLine(t,r,e.startLineNumber,e.startColumn-1,o,i,n);for(var s=e.startLineNumber+1;s<e.endLineNumber&&o<n;s++)o=this._findMatchesInLine(t,this._lines[s-1].text,s,0,o,i,n);return o<n&&(r=this._lines[e.endLineNumber-1].text.substring(0,e.endColumn-1),o=this._findMatchesInLine(t,r,e.endLineNumber,0,o,i,n)),i},r.prototype._findMatchInLine=function(e,t,n,r){var i=e.exec(t);return i?new s.Range(n,i.index+1+r,n,i.index+1+i[0].length+r):null},r.prototype._findLastMatchInLine=function(e,t,n){for(var r,i=null;r=e.exec(t);){var o=new s.Range(n,r.index+1,n,r.index+1+r[0].length);if(o.equalsRange(i))break;i=o}return i},r.prototype._findMatchesInLine=function(e,t,n,r,i,o,a){var u;e.lastIndex=0;do if(u=e.exec(t)){var c=new s.Range(n,u.index+1+r,n,u.index+1+u[0].length+r);if(c.equalsRange(o[o.length-1]))return i;if(o.push(c),i++,i>=a)return i}while(u);return i},r.MODEL_SYNC_LIMIT=5242880,r.MODEL_TOKENIZATION_LIMIT=20971520,r.DEFAULT_CREATION_OPTIONS={tabSize:l.DEFAULT_INDENTATION.tabSize,insertSpaces:l.DEFAULT_INDENTATION.insertSpaces,detectIndentation:!1,defaultEOL:a.DefaultEndOfLine.LF,trimAutoWhitespace:l.DEFAULT_TRIM_AUTO_WHITESPACE},r}(r.OrderGuaranteeEventEmitter);t.TextModel=f;var p=function(){function e(){}return e.fromString=function(e,t){return f.toRawText(e,t)},e.fromStringWithModelOptions=function(e,t){var n=t.getOptions();return f.toRawText(e,{tabSize:n.tabSize,insertSpaces:n.insertSpaces,trimAutoWhitespace:n.trimAutoWhitespace,detectIndentation:!1,defaultEOL:n.defaultEOL})},e}();t.RawText=p}),define(e[101],t([7,6]),function(e,t){return e.create("vs/editor/common/model/textModelWithTokens",t)}),define(e[36],t([0,1,101,22,2,12,57,49,4,9,37,100,94,71,21,40,28,96,62,41]),function(e,t,r,i,o,s,a,u,c,l,d,h,f,p,g,m,v,_,y,k){"use strict";var b=function(){function e(e,t){var n=this;this._modePromise=e,this._externalModePromise=new c.TPromise(function(e,t,r){n._externalModePromise_c=e,n._externalModePromise_e=t},function(){}),this._model=t,this._isDisposed=!1,c.TPromise.timeout(0).then(function(){return n._modePromise}).then(function(e){if(n._isDisposed)return void n._externalModePromise_c(!1);var t=n._model;n.dispose(),t.setMode(e),t._warmUpTokens(),n._externalModePromise_c(!0)}).done(null,function(e){n._externalModePromise_e(e),o.onUnexpectedError(e)})}return e.prototype.getModePromise=function(){return this._externalModePromise},e.prototype.dispose=function(){this._modePromise=null,this._model=null,this._isDisposed=!0},e}(),C=function(){function e(e,t){var n=this;this._retokenizePromise=e,this._model=t,this._isDisposed=!1,this.isFulfilled=!1,c.TPromise.timeout(0).then(function(){return n._retokenizePromise}).then(function(){n._isDisposed||(n.isFulfilled=!0,n._model.onRetokenizerFulfilled())}).done(null,o.onUnexpectedError)}return e.prototype.getRange=function(){return null},e.prototype.dispose=function(){this._retokenizePromise=null,this._model=null,this._isDisposed=!0},e}();t.FullModelRetokenizer=C;var E=function(){function e(e,t){this.modeTransitions=t.getModeTransitions(e),this._text=t.text,this._lineTokens=t.getTokens()}return e.prototype.getLineContent=function(){return this._text},e.prototype.getTokenCount=function(){return this._lineTokens.getTokenCount()},e.prototype.getTokenStartIndex=function(e){return this._lineTokens.getTokenStartIndex(e)},e.prototype.getTokenEndIndex=function(e){return this._lineTokens.getTokenEndIndex(e,this._text.length)},e.prototype.getTokenType=function(e){return this._lineTokens.getTokenType(e)},e.prototype.getTokenText=function(e){var t=this._lineTokens.getTokenStartIndex(e),n=this._lineTokens.getTokenEndIndex(e,this._text.length);return this._text.substring(t,n)},e.prototype.findIndexOfOffset=function(e){return this._lineTokens.findIndexOfOffset(e)},e}(),S=function(e){function t(t,n,r,o){var s=this;if(t.push(l.EventType.ModelTokensChanged),t.push(l.EventType.ModelModeChanged),t.push(l.EventType.ModelModeSupportChanged),e.call(this,t,n),this._shouldAutoTokenize=r,this._mode=null,this._modeListener=null,this._modeToModelBinder=null,this._tokensInflatorMap=null,this._invalidLineStartIndex=0,this._lastState=null,this._revalidateTokensTimeout=-1,this._scheduleRetokenizeNow=null,this._retokenizers=null,o)if(c.TPromise.is(o)){var a=o._value;if(a&&"function"==typeof a.getId)this._mode=this._massageMode(a),this._resetModeListener(this._mode);else{var u=o;this._modeToModelBinder=new b(u,this),this._mode=new p.NullMode}}else this._mode=this._massageMode(o),this._resetModeListener(this._mode);else this._mode=new p.NullMode;this._revalidateTokensTimeout=-1,this._scheduleRetokenizeNow=new i.RunOnceScheduler(function(){return s._retokenizeNow()},200),this._retokenizers=[],this._resetTokenizationState()}return n(t,e),t.prototype.dispose=function(){this._modeToModelBinder&&(this._modeToModelBinder.dispose(),this._modeToModelBinder=null),this._resetModeListener(null),this._clearTimers(),this._mode=null,this._lastState=null,this._tokensInflatorMap=null,this._retokenizers=s.dispose(this._retokenizers),this._scheduleRetokenizeNow.dispose(),e.prototype.dispose.call(this)},t.prototype._massageMode=function(e){return this.isTooLargeForHavingAMode()?new p.NullMode:this.isTooLargeForHavingARichMode()?e.toSimplifiedMode():e},t.prototype.whenModeIsReady=function(){var e=this;return this._modeToModelBinder?this._modeToModelBinder.getModePromise().then(function(){return e._mode}):c.TPromise.as(this._mode)},t.prototype.onRetokenizerFulfilled=function(){this._scheduleRetokenizeNow.schedule()},t.prototype._retokenizeNow=function(){var e=this._retokenizers.filter(function(e){return e.isFulfilled});this._retokenizers=this._retokenizers.filter(function(e){return!e.isFulfilled});for(var t=!1,n=0;n<e.length;n++)e[n].getRange()||(t=!0);if(t){for(var n=0,r=this._lines.length;n<r;n++)this._lines[n].isInvalid=!0;this._invalidLineStartIndex=0}else{for(var i=Number.MAX_VALUE,n=0;n<e.length;n++){var o=e[n].getRange();i=Math.min(i,o.startLineNumber);for(var s=o.startLineNumber;s<=o.endLineNumber;s++)this._lines[s-1].isInvalid=!0}i-1<this._invalidLineStartIndex&&(this._invalidLineStartIndex<this._lines.length&&(this._lines[this._invalidLineStartIndex].isInvalid=!0),this._invalidLineStartIndex=i-1)}this._beginBackgroundTokenization();for(var n=0;n<e.length;n++)e[n].dispose()},t.prototype._createRetokenizer=function(e,t){return new C(e,this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._resetTokenizationState()},t.prototype._resetMode=function(e,t){this._mode=t,this._resetModeListener(t),this._resetTokenizationState(),this.emitModelTokensChangedEvent(1,this.getLineCount())},t.prototype._resetModeListener=function(e){var t=this;this._modeListener&&(this._modeListener.dispose(),this._modeListener=null),e&&"function"==typeof e.addSupportChangedListener&&(this._modeListener=e.addSupportChangedListener(function(e){return t._onModeSupportChanged(e)}))},t.prototype._onModeSupportChanged=function(e){this._emitModelModeSupportChangedEvent(e),e.tokenizationSupport&&(this._resetTokenizationState(),this.emitModelTokensChangedEvent(1,this.getLineCount()))},t.prototype._resetTokenizationState=function(){this._retokenizers=s.dispose(this._retokenizers),this._scheduleRetokenizeNow.cancel(),this._clearTimers();for(var e=0;e<this._lines.length;e++)this._lines[e].setState(null);this._initializeTokenizationState()},t.prototype._clearTimers=function(){this._revalidateTokensTimeout!==-1&&(clearTimeout(this._revalidateTokensTimeout),this._revalidateTokensTimeout=-1)},t.prototype._initializeTokenizationState=function(){var e=null;if(this._mode.tokenizationSupport)try{e=this._mode.tokenizationSupport.getInitialState()}catch(n){n.friendlyMessage=t.MODE_TOKENIZATION_FAILED_MSG,o.onUnexpectedError(n),this._mode=new p.NullMode}e||(e=new p.NullState(this._mode,null)),this._lines[0].setState(e),this._lastState=null,this._tokensInflatorMap=new y.TokensInflatorMap,this._invalidLineStartIndex=0,this._beginBackgroundTokenization()},t.prototype.getLineTokens=function(e,t){if(void 0===t&&(t=!1),e<1||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return t||this._updateTokensUntilLine(e,!0),this._lines[e-1].getTokens()},t.prototype.getLineContext=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._updateTokensUntilLine(e,!0),new E(this._mode,this._lines[e-1])},t.prototype._getInternalTokens=function(e){return this._updateTokensUntilLine(e,!0),this._lines[e-1].getTokens()},t.prototype.getMode=function(){return this._mode},t.prototype.setMode=function(e){if(e)if(this._modeToModelBinder&&(this._modeToModelBinder.dispose(),this._modeToModelBinder=null),c.TPromise.is(e))this._modeToModelBinder=new b(e,this);else{var t=this._massageMode(e);if(this._mode!==t){var n={oldMode:this._mode,newMode:t};this._resetMode(n,t),this._emitModelModeChangedEvent(n)}}},t.prototype.getModeIdAtPosition=function(e,t){var n=this.validatePosition({lineNumber:e,column:t}),r=n.lineNumber,i=n.column;if(1===i)return this.getStateBeforeLine(r).getMode().getId();if(i===this.getLineMaxColumn(r))return this.getStateAfterLine(r).getMode().getId();var o=this._getLineModeTransitions(r),s=v.ModeTransition.findIndexInSegmentsArray(o,i-1);return o[s].modeId},t.prototype._invalidateLine=function(e){this._lines[e].isInvalid=!0,e<this._invalidLineStartIndex&&(this._invalidLineStartIndex<this._lines.length&&(this._lines[this._invalidLineStartIndex].isInvalid=!0),this._invalidLineStartIndex=e,this._beginBackgroundTokenization())},t._toLineTokens=function(e){if(!e||0===e.length)return[];if(e[0]instanceof _.LineToken)return e;for(var t=[],n=0,r=e.length;n<r;n++)t[n]=new _.LineToken(e[n].startIndex,e[n].type);return t},t._toModeTransitions=function(e){if(!e||0===e.length)return[];if(e[0]instanceof v.ModeTransition)return e;for(var t=[],n=0,r=e.length;n<r;n++)t[n]=new v.ModeTransition(e[n].startIndex,e[n].mode);return t},t.prototype._updateLineTokens=function(e,n,r,i){this._lines[e].setTokens(n,t._toLineTokens(i.tokens),r,t._toModeTransitions(i.modeTransitions))},t.prototype._beginBackgroundTokenization=function(){var e=this;this._shouldAutoTokenize&&this._revalidateTokensTimeout===-1&&(this._revalidateTokensTimeout=setTimeout(function(){e._revalidateTokensTimeout=-1,e._revalidateTokensNow()},0))},t.prototype._warmUpTokens=function(){for(var e=Math.min(100,this.getLineCount()),t=e,n=1;n<=e;n++){var r=this._lines[n-1].text;if(r.length>=200){t=n-1;break}}this._revalidateTokensNow(t)},t.prototype._revalidateTokensNow=function(e){void 0===e&&(e=this._invalidLineStartIndex+1e6);var t=u.start(u.Topic.EDITOR,"backgroundTokenization");e=Math.min(this._lines.length,e);for(var n,r=20,i=this._invalidLineStartIndex+1,o=0,s=0,c=0,l=a.StopWatch.create(!1),d=i;d<=e;d++){if(n=l.elapsed(),n>r){e=d-1;break}if(s=this._lines[d-1].text.length,o>0&&(c=n/o*s,n+c>r)){e=d-1;break}this._updateTokensUntilLine(d,!1),o+=s}n=l.elapsed(),i<=e&&this.emitModelTokensChangedEvent(i,e),this._invalidLineStartIndex<this._lines.length&&this._beginBackgroundTokenization(),t.stop()},t.prototype.getStateBeforeLine=function(e){return this._updateTokensUntilLine(e-1,!0),this._lines[e-1].getState()},t.prototype.getStateAfterLine=function(e){return this._updateTokensUntilLine(e,!0),e<this._lines.length?this._lines[e].getState():this._lastState},t.prototype._getLineModeTransitions=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._updateTokensUntilLine(e,!0),this._lines[e-1].getModeTransitions(this._mode)},t.prototype._updateTokensUntilLine=function(e,n){for(var r=this._lines.length,i=e-1,s=1e9,a=this._invalidLineStartIndex+1,u=e,c=this._invalidLineStartIndex;c<=i;c++){var l=c+1,d=null,h=this._lines[c].text;if(this._mode.tokenizationSupport){try{d=this._mode.tokenizationSupport.tokenize(this._lines[c].text,this._lines[c].getState(),0,s)}catch(f){f.friendlyMessage=t.MODE_TOKENIZATION_FAILED_MSG,o.onUnexpectedError(f)}d&&d.retokenize&&this._retokenizers.push(this._createRetokenizer(d.retokenize,c+1)),d&&d.tokens&&d.tokens.length>0&&(d.actualStopOffset=Math.max(d.actualStopOffset,d.tokens[d.tokens.length-1].startIndex+1)),d&&d.actualStopOffset<h.length&&(d.tokens.push({startIndex:d.actualStopOffset,type:""}),d.endState=this._lines[c].getState())}if(d||(d=p.nullTokenize(this._mode,h,this._lines[c].getState())),d.modeTransitions||(d.modeTransitions=[]),0===d.modeTransitions.length&&d.modeTransitions.push({startIndex:0,mode:this._mode}),this._updateLineTokens(c,this._tokensInflatorMap,this._mode,d),this._lines[c].isInvalid&&(this._lines[c].isInvalid=!1),l<r)if(null!==this._lines[l].getState()&&d.endState.equals(this._lines[l].getState())){for(var g=c+1;g<r&&!this._lines[g].isInvalid;){if(g+1<r){if(null===this._lines[g+1].getState())break}else if(null===this._lastState)break;g++}this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,g),c=g-1}else this._lines[l].setState(d.endState);else this._lastState=d.endState}this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,i+1),n&&a<=u&&this.emitModelTokensChangedEvent(a,u)},t.prototype.emitModelTokensChangedEvent=function(e,t){var n={fromLineNumber:e,toLineNumber:t};this._isDisposing||this.emit(l.EventType.ModelTokensChanged,n)},t.prototype._emitModelModeChangedEvent=function(e){this._isDisposing||this.emit(l.EventType.ModelModeChanged,e)},t.prototype._emitModelModeSupportChangedEvent=function(e){this._isDisposing||this.emit(l.EventType.ModelModeSupportChanged,e)},t.prototype._lineIsTokenized=function(e){return this._invalidLineStartIndex>e-1},t.prototype._getWordDefinition=function(){return h.WordHelper.massageWordDefinitionOf(this._mode)},t.prototype.getWordAtPosition=function(e){return h.WordHelper.getWordAtPosition(this,this.validatePosition(e))},t.prototype.getWordUntilPosition=function(e){var t=this.getWordAtPosition(e);return t?{word:t.word.substr(0,e.column-t.startColumn),startColumn:t.startColumn,endColumn:e.column}:{word:"",startColumn:e.column,endColumn:e.column}},t.prototype.tokenIterator=function(e,t){var n=new f.TokenIterator(this,this.validatePosition(e)),r=t(n);return n._invalidate(),r},t.prototype.findMatchingBracketUp=function(e,t){var n=this.validatePosition(t),r=this._lines[n.lineNumber-1].getModeTransitions(this._mode),i=v.ModeTransition.findIndexInSegmentsArray(r,n.column-1),o=r[i],s=k.LanguageConfigurationRegistry.getBracketsSupport(o.modeId);if(!s)return null;var a=s.textIsBracket[e];return a?this._findMatchingBracketUp(a,n):null},t.prototype.matchBracket=function(e){return this._matchBracket(this.validatePosition(e))},t.prototype._matchBracket=function(e){var t=e.lineNumber,n=this._lines[t-1].text,r=this._lines[t-1].getTokens(),i=r.findIndexOfOffset(e.column-1),o=r.getTokenStartIndex(i),s=this._lines[t-1].getModeTransitions(this._mode),a=v.ModeTransition.findIndexInSegmentsArray(s,e.column-1),u=s[a],c=k.LanguageConfigurationRegistry.getBracketsSupport(u.modeId);if(i>0&&o===e.column-1){var l=i-1,d=r.getTokenType(l);if(!g.ignoreBracketsInToken(d)){var h=r.getTokenStartIndex(l),f=u,p=c;if(a>0&&u.startIndex===e.column-1&&(f=s[a-1],p=k.LanguageConfigurationRegistry.getBracketsSupport(f.modeId)),p){h=Math.max(h,e.column-1-p.maxBracketLength);var _=m.BracketsUtils.findPrevBracketInToken(p.reversedRegex,t,n,h,o);if(_&&_.startColumn<=e.column&&e.column<=_.endColumn){var y=n.substring(_.startColumn-1,_.endColumn-1),b=this._matchFoundBracket(_,p.textIsBracket[y],p.textIsOpenBracket[y]);if(b)return b}}}}if(!g.ignoreBracketsInToken(r.getTokenType(i))&&c){o=Math.max(o,e.column-1-c.maxBracketLength);var C=r.getTokenEndIndex(i,n.length);for(C=Math.min(C,e.column-1+c.maxBracketLength);;){var _=m.BracketsUtils.findNextBracketInText(c.forwardRegex,t,n.substring(o,C),o);if(!_)break;if(_.startColumn<=e.column&&e.column<=_.endColumn){var y=n.substring(_.startColumn-1,_.endColumn-1),b=this._matchFoundBracket(_,c.textIsBracket[y],c.textIsOpenBracket[y]);if(b)return b}o=_.endColumn-1}}return null},t.prototype._matchFoundBracket=function(e,t,n){if(n){var r=this._findMatchingBracketDown(t,e.getEndPosition());if(r)return[e,r]}else{var r=this._findMatchingBracketUp(t,e.getStartPosition());if(r)return[e,r]}return null},t.prototype._findMatchingBracketUp=function(e,t){for(var n=e.modeId,r=e.reversedRegex,i=-1,o=t.lineNumber;o>=1;o--){var s=this._lines[o-1].getTokens(),a=this._lines[o-1].text,u=this._lines[o-1].getModeTransitions(this._mode),c=u.length-1,l=u[c].startIndex,d=u[c].modeId,h=s.getTokenCount()-1,f=a.length;o===t.lineNumber&&(h=s.findIndexOfOffset(t.column-1),f=t.column-1,c=v.ModeTransition.findIndexInSegmentsArray(u,t.column-1),l=u[c].startIndex,d=u[c].modeId);for(var p=h;p>=0;p--){var _=s.getTokenType(p),y=s.getTokenStartIndex(p);if(y<l&&(c--,l=u[c].startIndex,d=u[c].modeId),d===n&&!g.ignoreBracketsInToken(_))for(;;){var k=m.BracketsUtils.findPrevBracketInToken(r,o,a,y,f);if(!k)break;var b=a.substring(k.startColumn-1,k.endColumn-1);if(b===e.open?i++:b===e.close&&i--,0===i)return k;f=k.startColumn-1}f=y}}return null},t.prototype._findMatchingBracketDown=function(e,t){for(var n=e.modeId,r=e.forwardRegex,i=1,o=t.lineNumber,s=this.getLineCount();o<=s;o++){var a=this._lines[o-1].getTokens(),u=this._lines[o-1].text,c=this._lines[o-1].getModeTransitions(this._mode),l=0,d=l+1<c.length?c[l+1].startIndex:u.length+1,h=c[l].modeId,f=0,p=a.getTokenStartIndex(f);o===t.lineNumber&&(f=a.findIndexOfOffset(t.column-1),p=Math.max(p,t.column-1),l=v.ModeTransition.findIndexInSegmentsArray(c,t.column-1),d=l+1<c.length?c[l+1].startIndex:u.length+1,h=c[l].modeId);for(var _=f,y=a.getTokenCount();_<y;_++){var k=a.getTokenType(_),b=a.getTokenEndIndex(_,u.length);if(p>=d&&(l++,d=l+1<c.length?c[l+1].startIndex:u.length+1,h=c[l].modeId),h===n&&!g.ignoreBracketsInToken(k))for(;;){var C=m.BracketsUtils.findNextBracketInToken(r,o,u,p,b);if(!C)break;var E=u.substring(C.startColumn-1,C.endColumn-1);if(E===e.open?i++:E===e.close&&i--,0===i)return C;p=C.endColumn-1}p=b}}return null},t.prototype.findPrevBracket=function(e){for(var t=this.validatePosition(e),n=/[\(\)\[\]\{\}]/,r=t.lineNumber;r>=1;r--){var i=this._lines[r-1].getTokens(),o=this._lines[r-1].text,s=i.getTokenCount()-1,a=o.length;r===t.lineNumber&&(s=i.findIndexOfOffset(t.column-1),a=t.column-1);for(var u=s;u>=0;u--){var c=i.getTokenType(u),l=i.getTokenStartIndex(u);if(!g.ignoreBracketsInToken(c)){var d=m.BracketsUtils.findPrevBracketInToken(n,r,o,l,a);if(d)return this._toFoundBracket(d)}a=l}}return null},t.prototype.findNextBracket=function(e){for(var t=this.validatePosition(e),n=/[\(\)\[\]\{\}]/,r=t.lineNumber,i=this.getLineCount();r<=i;r++){var o=this._lines[r-1].getTokens(),s=this._lines[r-1].text,a=0,u=o.getTokenStartIndex(a);r===t.lineNumber&&(a=o.findIndexOfOffset(t.column-1),u=Math.max(u,t.column-1));for(var c=a,l=o.getTokenCount();c<l;c++){var d=o.getTokenType(c),h=o.getTokenEndIndex(c,s.length);if(!g.ignoreBracketsInToken(d)){var f=m.BracketsUtils.findNextBracketInToken(n,r,s,u,h);if(f)return this._toFoundBracket(f)}u=h}}return null},t.prototype._toFoundBracket=function(e){if(!e)return null;var t=this.getValueInRange(e);switch(t){case"(":return{range:e,open:"(",close:")",isOpen:!0};case")":return{range:e,open:"(",close:")",isOpen:!1};case"[":return{range:e,open:"[",close:"]",isOpen:!0};case"]":return{range:e,open:"[",close:"]",isOpen:!1};case"{":return{range:e,open:"{",close:"}",isOpen:!0};case"}":return{range:e,open:"{",close:"}",isOpen:!1}}return null},t.MODE_TOKENIZATION_FAILED_MSG=r.localize(0,null),t}(d.TextModel);t.TextModelWithTokens=S}),define(e[76],t([0,1,12,9,43,37,36,14,23]),function(e,t,r,i,o,s,a,u,c){"use strict";function l(e,t,n){return void 0===t&&(t=null),new p(null,0,s.TextModel.toRawText(e,s.TextModel.DEFAULT_CREATION_OPTIONS),t,n)}var d=function(e){function t(t,n,r,o,s){e.call(this,t.concat([i.EventType.ModelDispose]),r,!1,o),this._setVersionId(n),this._associatedResource=s}return n(t,e),t.prototype.getModeId=function(){return this.getMode().getId()},t.prototype.getEmbeddedAtPosition=function(e){return null},t.prototype.getAllEmbedded=function(){return[]},t.prototype._constructLines=function(t){e.prototype._constructLines.call(this,t),this._EOL="\n"},t.prototype.destroy=function(){this.dispose()},t.prototype.dispose=function(){this.emit(i.EventType.ModelDispose),e.prototype.dispose.call(this)},Object.defineProperty(t.prototype,"uri",{get:function(){return this._associatedResource},enumerable:!0,configurable:!0}),t.prototype.getRangeFromOffsetAndLength=function(e,t){var n=this.getPositionAt(e),r=this.getPositionAt(e+t);return new u.Range(n.lineNumber,n.column,r.lineNumber,r.column)},t.prototype.getOffsetAndLengthFromRange=function(e){
var t=this.getOffsetAt(new c.Position(e.startLineNumber,e.startColumn)),n=this.getOffsetAt(new c.Position(e.endLineNumber,e.endColumn));return{offset:t,length:n-t}},t.prototype.getPositionFromOffset=function(e){return this.getPositionAt(e)},t.prototype.getOffsetFromPosition=function(e){return this.getOffsetAt(e)},t.prototype.getLineStart=function(e){return e<1&&(e=1),e>this.getLineCount()&&(e=this.getLineCount()),this.getOffsetAt(new c.Position(e,1))},t.prototype.getAllWordsWithRange=function(){if(this._lines.length>1e4)return[];var e,t=[],n=function(n){var i=r.text.substring(n.start,n.end),o={startLineNumber:e+1,startColumn:n.start+1,endLineNumber:e+1,endColumn:n.end+1};t.push({text:i,range:o})};for(e=0;e<this._lines.length;e++){var r=this._lines[e];this.wordenize(r.text).forEach(n)}return t},t.prototype.getAllWords=function(){var e=this,t=[];return this._lines.forEach(function(n){e.wordenize(n.text).forEach(function(e){t.push(n.text.substring(e.start,e.end))})}),t},t.prototype.getAllUniqueWords=function(e){var t=!1,n={};return this.getAllWords().filter(function(r){return e&&!t&&e===r?(t=!0,!1):!n[r]&&(n[r]=!0,!0)})},t.prototype.wordenize=function(e){for(var t,n=[],r=this._getWordDefinition();t=r.exec(e);)n.push({start:t.index,end:t.index+t[0].length});return n},t}(a.TextModelWithTokens);t.AbstractMirrorModel=d;var h=function(e){function t(n,r,i,o){e.call(this,["changed"],n.getVersionId(),t._getMirrorValueWithinRanges(n,r),i,o),this._actualModel=n}return n(t,e),t._getMirrorValueWithinRanges=function(e,t){var n,r="",i=1,o=1;for(n=0;n<t.length;n++){var a=t[n];r+=e.getEmptiedValueInRange({startLineNumber:i,startColumn:o,endLineNumber:a.startLineNumber,endColumn:a.startColumn}," "),r+=e.getValueInRange(a),i=a.endLineNumber,o=a.endColumn}var u=e.getLineCount(),c=e.getLineMaxColumn(u);r+=e.getEmptiedValueInRange({startLineNumber:i,startColumn:o,endLineNumber:u,endColumn:c}," ");var l=e.getOptions();return s.TextModel.toRawText(r,{tabSize:l.tabSize,insertSpaces:l.insertSpaces,detectIndentation:!1,defaultEOL:l.defaultEOL,trimAutoWhitespace:l.trimAutoWhitespace})},t.prototype.setIncludedRanges=function(e){var n=this.getVersionId();this._constructLines(t._getMirrorValueWithinRanges(this._actualModel,e)),this._resetTokenizationState(),this._setVersionId(n+1),this.emit("changed",{})},t}(d);t.MirrorModelEmbedded=h;var f=function(){function e(e){this.mode=e,this.ranges=[]}return e}();t.createTestMirrorModelFromString=l;var p=function(e){function t(t,n,r,i,o){e.call(this,["changed"],n,r,i,o),this._resourceService=t,this._embeddedModels={},this._updateEmbeddedModels()}return n(t,e),t.prototype.getEmbeddedAtPosition=function(e){var t=this.getModeIdAtPosition(e.lineNumber,e.column);return this._embeddedModels.hasOwnProperty(t)?this._embeddedModels[t]:null},t.prototype.getAllEmbedded=function(){var e=this;return Object.keys(this._embeddedModels).map(function(t){return e._embeddedModels[t]})},t.prototype.dispose=function(){var t=this;e.prototype.dispose.call(this);var n=Object.keys(this._embeddedModels).map(function(e){return t._embeddedModels[e]});n.forEach(function(e){return t._resourceService.remove(e.uri)}),r.dispose(n),this._embeddedModels={}},t.prototype.setMode=function(t){e.prototype.setMode.call(this,t),this._updateEmbeddedModels()},t._getModesRanges=function(e){for(var t={},n=function(e,n){return t.hasOwnProperty(e)||(t[e]=new f(n)),t[e]},r=e.getLineCount(),i=e.getMode().getId(),o=e.getMode(),s=1,a=1,u=1;u<=r;u++)for(var c=e._getLineModeTransitions(u),l=0;l<c.length;l++){var d=c[l];if(d.modeId!==i){var h=n(i,o);h.ranges.push({startLineNumber:s,startColumn:a,endLineNumber:u,endColumn:d.startIndex+1}),i=d.modeId,o=d.mode,s=u,a=d.startIndex+1}}var p=r,g=e.getLineMaxColumn(p);if(s!==p||a!==g){var h=n(i,o);h.ranges.push({startLineNumber:s,startColumn:a,endLineNumber:p,endColumn:g})}return t},t.prototype._updateEmbeddedModels=function(){if(!this._resourceService||!this.getMode().tokenizationSupport||!this.getMode().tokenizationSupport.shouldGenerateEmbeddedModels)return!1;for(var e=t._getModesRanges(this),n=Object.keys(this._embeddedModels),r=0;r<n.length;r++){var i=n[r];e.hasOwnProperty(i)||this._embeddedModels[i].setIncludedRanges([{startLineNumber:1,startColumn:1,endLineNumber:1,endColumn:1}])}for(var o=Object.keys(e),r=0;r<o.length;r++){var s=o[r];if(this._embeddedModels.hasOwnProperty(s))this._embeddedModels[s].setIncludedRanges(e[s].ranges);else{var a=this.uri["with"]({fragment:this.uri.fragment+"URL_MARSHAL_REMOVE"+s});this._embeddedModels[s]=new h(this,e[s].ranges,e[s].mode,a),this._resourceService.insert(this._embeddedModels[s].uri,this._embeddedModels[s])}}return!1},t.prototype.onEvents=function(e){for(var t=!1,n=0,r=e.contentChanged.length;n<r;n++){var o=e.contentChanged[n];switch(this._setVersionId(o.versionId),o.changeType){case i.EventType.ModelRawContentChangedFlush:this._onLinesFlushed(o),t=!0;break;case i.EventType.ModelRawContentChangedLinesDeleted:this._onLinesDeleted(o),t=!0;break;case i.EventType.ModelRawContentChangedLinesInserted:this._onLinesInserted(o),t=!0;break;case i.EventType.ModelRawContentChangedLineChanged:this._onLineChanged(o),t=!0}}var s=!1;return t&&(this.emit("changed",{}),s=this._updateEmbeddedModels()),s},t.prototype._onLinesFlushed=function(e){this._constructLines(e.detail),this._resetTokenizationState()},t.prototype._onLineChanged=function(e){this._lines[e.lineNumber-1].applyEdits({},[{startColumn:1,endColumn:Number.MAX_VALUE,text:e.detail,forceMoveMarkers:!1}]),this._lineStarts&&this._lineStarts.changeValue(e.lineNumber-1,this._lines[e.lineNumber-1].text.length+this._EOL.length),this._invalidateLine(e.lineNumber-1)},t.prototype._onLinesDeleted=function(e){var t=e.fromLineNumber-1,n=e.toLineNumber-1,r=this._lines[t].getState();this._lines.splice(t,n-t+1),this._lineStarts&&this._lineStarts.removeValues(t,n-t+1),t<this._lines.length&&(this._lines[t].setState(r),this._invalidateLine(t))},t.prototype._onLinesInserted=function(e){var t,n,r=e.detail.split("\n"),i=[];for(t=e.fromLineNumber-1,n=0;t<e.toLineNumber;t++,n++)this._lines.splice(t,0,new o.ModelLine(0,r[n])),i.push(r[n].length+this._EOL.length);this._lineStarts&&this._lineStarts.insertValues(e.fromLineNumber-1,i),e.fromLineNumber>=2&&this._invalidateLine(e.fromLineNumber-2)},t}(d);t.MirrorModel=p}),define(e[77],t([0,1,47,23,36]),function(e,t,r,i,o){"use strict";var s=function(){function e(e,t,n){this.id=e,this.column=t,this.stickToPreviousCharacter=n,this.oldLineNumber=0,this.oldColumn=0,this.line=null}return e.prototype.toString=function(){return"{'"+this.id+"';"+this.column+","+this.stickToPreviousCharacter+",["+this.oldLineNumber+","+this.oldColumn+"]}"},e}();t.LineMarker=s;var a=0,u=function(e){function t(t,n,i){e.call(this,t,n,!0,i),this._markerIdGenerator=new r.IdGenerator(++a+";"),this._markerIdToMarker={}}return n(t,e),t.prototype.dispose=function(){this._markerIdToMarker=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._markerIdToMarker={}},t.prototype._addMarker=function(e,t,n){var r=this.validatePosition(new i.Position(e,t)),o=new s(this._markerIdGenerator.nextId(),r.column,n);return this._markerIdToMarker[o.id]=o,this._lines[r.lineNumber-1].addMarker(o),o.id},t.prototype._addMarkers=function(e){for(var t=Object.create(null),n=[],r=0,i=e.length;r<i;r++){var o=e[r],a=new s(this._markerIdGenerator.nextId(),o.column,o.stickToPreviousCharacter);this._markerIdToMarker[a.id]=a,t[o.lineNumber]||(t[o.lineNumber]=[]),t[o.lineNumber].push(a),n.push(a.id)}for(var u=Object.keys(t),r=0,i=u.length;r<i;r++){var c=parseInt(u[r],10);this._lines[c-1].addMarkers(t[u[r]])}return n},t.prototype._changeMarker=function(e,t,n){if(this._markerIdToMarker.hasOwnProperty(e)){var r=this._markerIdToMarker[e],o=this.validatePosition(new i.Position(t,n));o.lineNumber!==r.line.lineNumber&&(r.line.removeMarker(r),this._lines[o.lineNumber-1].addMarker(r)),r.column=o.column}},t.prototype._changeMarkerStickiness=function(e,t){if(this._markerIdToMarker.hasOwnProperty(e)){var n=this._markerIdToMarker[e];n.stickToPreviousCharacter!==t&&(n.stickToPreviousCharacter=t)}},t.prototype._getMarker=function(e){if(this._markerIdToMarker.hasOwnProperty(e)){var t=this._markerIdToMarker[e];return new i.Position(t.line.lineNumber,t.column)}return null},t.prototype._getMarkersCount=function(){return Object.keys(this._markerIdToMarker).length},t.prototype._getLineMarkers=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._lines[e-1].getMarkers()},t.prototype._removeMarker=function(e){if(this._markerIdToMarker.hasOwnProperty(e)){var t=this._markerIdToMarker[e];t.line.removeMarker(t),delete this._markerIdToMarker[e]}},t.prototype._removeMarkers=function(e){for(var t=Object.create(null),n=0,r=e.length;n<r;n++){var i=e[n];if(this._markerIdToMarker.hasOwnProperty(i)){var o=this._markerIdToMarker[i],s=o.line.lineNumber;t[s]||(t[s]=Object.create(null)),t[s][i]=!0,delete this._markerIdToMarker[i]}}for(var a=Object.keys(t),n=0,r=a.length;n<r;n++){var s=parseInt(a[n],10);this._lines[s-1].removeMarkers(t[a[n]])}},t.prototype._getMarkersInMap=function(e){for(var t=[],n=Object.keys(e),r=0,i=n.length;r<i;r++){var o=n[r];this._markerIdToMarker.hasOwnProperty(o)&&t.push(this._markerIdToMarker[o])}return t},t}(o.TextModelWithTokens);t.TextModelWithMarkers=u}),define(e[78],t([0,1,47,14,9,77,36]),function(e,t,r,i,o,s,a){"use strict";var u=function(e){function t(t,n,r){e.call(this,t,r),this.trackedRangeId=r.addTrackedRange({startLineNumber:n,startColumn:1,endLineNumber:n,endColumn:r.getLineMaxColumn(n)},o.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges)}return n(t,e),t.prototype.getRange=function(){return this._model.getTrackedRange(this.trackedRangeId)},t.prototype.dispose=function(){var t=this._model;t.isValidTrackedRange(this.trackedRangeId)&&t.removeTrackedRange(this.trackedRangeId),e.prototype.dispose.call(this)},t}(a.FullModelRetokenizer),c=function(){function e(e,t,n){this.id=e,this.startMarkerId=t,this.endMarkerId=n}return e}(),l=0,d=function(e){function t(t,n,i){e.call(this,t,n,i),this._rangeIdGenerator=new r.IdGenerator(++l+";"),this._ranges={},this._markerIdToRangeId={},this._multiLineTrackedRanges={}}return n(t,e),t.prototype._createRetokenizer=function(e,t){return new u(e,t,this)},t.prototype.dispose=function(){this._ranges=null,this._markerIdToRangeId=null,this._multiLineTrackedRanges=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._ranges={},this._markerIdToRangeId={},this._multiLineTrackedRanges={}},t.prototype._setRangeIsMultiLine=function(e,t){var n=this._multiLineTrackedRanges.hasOwnProperty(e);!n&&t?this._multiLineTrackedRanges[e]=!0:n&&!t&&delete this._multiLineTrackedRanges[e]},t.prototype._shouldStartMarkerSticksToPreviousCharacter=function(e){return e===o.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges||e===o.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore},t.prototype._shouldEndMarkerSticksToPreviousCharacter=function(e){return e===o.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges||e===o.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore},t.prototype._getTrackedRangesCount=function(){return Object.keys(this._ranges).length},t.prototype.addTrackedRange=function(e,t){e=this.validateRange(e);var n=this._shouldStartMarkerSticksToPreviousCharacter(t),r=this._shouldEndMarkerSticksToPreviousCharacter(t),i=this._addMarker(e.startLineNumber,e.startColumn,n),o=this._addMarker(e.endLineNumber,e.endColumn,r),s=new c(this._rangeIdGenerator.nextId(),i,o);return this._ranges[s.id]=s,this._markerIdToRangeId[i]=s.id,this._markerIdToRangeId[o]=s.id,this._setRangeIsMultiLine(s.id,e.startLineNumber!==e.endLineNumber),s.id},t.prototype._addTrackedRanges=function(e,t){for(var n=[],r=0,i=e.length;r<i;r++){var o=e[r],s=t[r];n.push({lineNumber:o.startLineNumber,column:o.startColumn,stickToPreviousCharacter:this._shouldStartMarkerSticksToPreviousCharacter(s)}),n.push({lineNumber:o.endLineNumber,column:o.endColumn,stickToPreviousCharacter:this._shouldEndMarkerSticksToPreviousCharacter(s)})}for(var a=this._addMarkers(n),u=[],r=0,i=e.length;r<i;r++){var o=e[r],l=a[2*r],d=a[2*r+1],h=new c(this._rangeIdGenerator.nextId(),l,d);this._ranges[h.id]=h,this._markerIdToRangeId[l]=h.id,this._markerIdToRangeId[d]=h.id,this._setRangeIsMultiLine(h.id,o.startLineNumber!==o.endLineNumber),u.push(h.id)}return u},t.prototype.changeTrackedRange=function(e,t){if(this._ranges.hasOwnProperty(e)){t=this.validateRange(t);var n=this._ranges[e];this._changeMarker(n.startMarkerId,t.startLineNumber,t.startColumn),this._changeMarker(n.endMarkerId,t.endLineNumber,t.endColumn),this._setRangeIsMultiLine(n.id,t.startLineNumber!==t.endLineNumber)}},t.prototype.changeTrackedRangeStickiness=function(e,t){if(this._ranges.hasOwnProperty(e)){var n=this._ranges[e];this._changeMarkerStickiness(n.startMarkerId,this._shouldStartMarkerSticksToPreviousCharacter(t)),this._changeMarkerStickiness(n.endMarkerId,this._shouldEndMarkerSticksToPreviousCharacter(t))}},t.prototype.isValidTrackedRange=function(e){return!(this._isDisposed||!this._ranges)&&this._ranges.hasOwnProperty(e)},t.prototype.removeTrackedRange=function(e){if(this._ranges.hasOwnProperty(e)){var t=this._ranges[e];this._removeMarker(t.startMarkerId),this._removeMarker(t.endMarkerId),this._setRangeIsMultiLine(t.id,!1),delete this._ranges[t.id],delete this._markerIdToRangeId[t.startMarkerId],delete this._markerIdToRangeId[t.endMarkerId]}},t.prototype.removeTrackedRanges=function(e){for(var t=[],n=0,r=e.length;n<r;n++){var i=e[n];if(this._ranges.hasOwnProperty(i)){var o=this._ranges[i];t.push(o.startMarkerId),t.push(o.endMarkerId),this._setRangeIsMultiLine(o.id,!1),delete this._ranges[o.id],delete this._markerIdToRangeId[o.startMarkerId],delete this._markerIdToRangeId[o.endMarkerId]}}t.length>0&&this._removeMarkers(t)},t.prototype._newEditorRange=function(e,t){return t.isBefore(e)?new i.Range(e.lineNumber,e.column,e.lineNumber,e.column):new i.Range(e.lineNumber,e.column,t.lineNumber,t.column)},t.prototype.getTrackedRange=function(e){var t=this._ranges[e],n=this._getMarker(t.startMarkerId),r=this._getMarker(t.endMarkerId);return this._newEditorRange(n,r)},t.prototype._getMultiLineTrackedRanges=function(e,t){for(var n=[],r=Object.keys(this._multiLineTrackedRanges),i=0,o=r.length;i<o;i++){var s=r[i],a=this._ranges[s],u=this._getMarker(a.startMarkerId);if(!(u.lineNumber>t)){var c=this._getMarker(a.endMarkerId);c.lineNumber<e||n.push({id:a.id,range:this._newEditorRange(u,c)})}}return n},t.prototype.getLinesTrackedRanges=function(e,t){var n,r,i,o,s,a,u,c,l=this._getMultiLineTrackedRanges(e,t),d={};for(o=0,s=l.length;o<s;o++)d[l[o].id]=!0;for(a=e;a<=t;a++)for(n=this._getLineMarkers(a),o=0,s=n.length;o<s;o++)r=n[o],this._markerIdToRangeId.hasOwnProperty(r.id)&&(i=this._markerIdToRangeId[r.id],d.hasOwnProperty(i)||(u=this._getMarker(this._ranges[i].startMarkerId),c=this._getMarker(this._ranges[i].endMarkerId),l.push({id:i,range:this._newEditorRange(u,c)}),d[i]=!0));return l},t.prototype._onChangedMarkers=function(e){var t,n,r,i,o,s,a={};for(o=0,s=e.length;o<s;o++)i=e[o],this._markerIdToRangeId.hasOwnProperty(i.id)&&(r=this._markerIdToRangeId[i.id],n=this._ranges[r],a.hasOwnProperty(n.id)?t=a[n.id]:(t={startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0},a[n.id]=t),i.id===n.startMarkerId?(t.startLineNumber=i.oldLineNumber,t.startColumn=i.oldColumn):(t.endLineNumber=i.oldLineNumber,t.endColumn=i.oldColumn),this._setRangeIsMultiLine(n.id,this._getMarker(n.startMarkerId).lineNumber!==this._getMarker(n.endMarkerId).lineNumber));return a},t}(s.TextModelWithMarkers);t.TextModelWithTrackedRanges=d}),define(e[79],t([0,1,2,56,3,47,14,9,78]),function(e,t,r,i,o,s,a,u,c){"use strict";function l(e){return e.replace(/[^a-z0-9\-]/gi," ")}function d(e){return new v(e)}function h(e,t){return void 0===t&&(t=null),new y(e,t)}var f=function(){function e(){this.changedMarkers={},this.oldDecorationRange={},this.oldDecorationOptions={},this.newOrChangedDecorations={},this.removedDecorations={}}return e.prototype.addNewDecoration=function(e){this.newOrChangedDecorations[e]=!0},e.prototype.addRemovedDecoration=function(e,t,n,r){this.newOrChangedDecorations.hasOwnProperty(e)&&delete this.newOrChangedDecorations[e],this.oldDecorationRange.hasOwnProperty(e)||(this.oldDecorationRange[e]=n),this.oldDecorationOptions.hasOwnProperty(e)||(this.oldDecorationOptions[e]=r),this.removedDecorations[e]=!0},e.prototype.addMovedDecoration=function(e,t){this.oldDecorationRange.hasOwnProperty(e)||(this.oldDecorationRange[e]=t),this.newOrChangedDecorations[e]=!0},e.prototype.addUpdatedDecoration=function(e,t){this.oldDecorationOptions.hasOwnProperty(e)||(this.oldDecorationOptions[e]=t),this.newOrChangedDecorations[e]=!0},e}();t.DeferredEventsBuilder=f;var p=0,g=function(e){function t(t,n,r){t.push(u.EventType.ModelDecorationsChanged),e.call(this,t,n,r),this._decorationIdGenerator=new s.IdGenerator(++p+";"),this.decorations={},this.rangeIdToDecorationId={},this._currentDeferredEvents=null}return n(t,e),t.prototype.dispose=function(){this.decorations=null,this.rangeIdToDecorationId=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this.decorations={},this.rangeIdToDecorationId={}},t.prototype.changeDecorations=function(e,t){var n=this;return void 0===t&&(t=0),this._withDeferredEvents(function(i){var o={addDecoration:function(e,r){return n._addDecorationImpl(i,t,n.validateRange(e),d(r))},changeDecoration:function(e,t){n._changeDecorationImpl(i,e,n.validateRange(t))},changeDecorationOptions:function(e,t){n._changeDecorationOptionsImpl(i,e,d(t))},removeDecoration:function(e){n._removeDecorationImpl(i,e)},deltaDecorations:function(e,r){return n._deltaDecorationsImpl(i,t,e,n._normalizeDeltaDecorations(r))}},s=null;try{s=e(o)}catch(a){r.onUnexpectedError(a)}return o.addDecoration=null,o.changeDecoration=null,o.removeDecoration=null,o.deltaDecorations=null,s})},t.prototype.deltaDecorations=function(e,t,n){return void 0===n&&(n=0),e||(e=[]),this.changeDecorations(function(n){return n.deltaDecorations(e,t)},n)},t.prototype.removeAllDecorationsWithOwnerId=function(e){for(var t=[],n=Object.keys(this.decorations),r=0,i=n.length;r<i;r++){var o=n[r],s=this.decorations[o];s.ownerId===e&&t.push(s.id)}this._removeDecorationsImpl(null,t)},t.prototype.getDecorationOptions=function(e){return this.decorations.hasOwnProperty(e)?this.decorations[e].options:null},t.prototype.getDecorationRange=function(e){if(this.decorations.hasOwnProperty(e)){var t=this.decorations[e];return this.getTrackedRange(t.rangeId)}return null},t.prototype.getLineDecorations=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=!1),e<1||e>this.getLineCount()?[]:this.getLinesDecorations(e,e,t,n)},t.prototype._getDecorationsInRange=function(e,t,n,r,i,o){var s,a,c,l,d=[],h=this.getLinesTrackedRanges(e,n);for(a=0,l=h.length;a<l;a++)if(c=h[a],this.rangeIdToDecorationId.hasOwnProperty(c.id)){if(s=this.decorations[this.rangeIdToDecorationId[c.id]],i&&s.ownerId&&s.ownerId!==i)continue;if(o&&(s.options.className===u.ClassName.EditorErrorDecoration||s.options.className===u.ClassName.EditorWarningDecoration))continue;if(c.range.startLineNumber===e&&c.range.endColumn<t)continue;if(c.range.endLineNumber===n&&c.range.startColumn>r)continue;d.push({id:s.id,ownerId:s.ownerId,range:c.range,options:s.options})}return d},t.prototype.getLinesDecorations=function(e,t,n,r){void 0===n&&(n=0),void 0===r&&(r=!1);var i=this.getLineCount();return e=Math.min(i,Math.max(1,e)),t=Math.min(i,Math.max(1,t)),this._getDecorationsInRange(e,1,t,Number.MAX_VALUE,n,r)},t.prototype.getDecorationsInRange=function(e,t,n){var r=this.validateRange(e);return this._getDecorationsInRange(r.startLineNumber,r.startColumn,r.endLineNumber,r.endColumn,t,n)},t.prototype.getAllDecorations=function(e,t){void 0===e&&(e=0),void 0===t&&(t=!1);for(var n=[],r=Object.keys(this.decorations),i=0,o=r.length;i<o;i++){var s=r[i],a=this.decorations[s];e&&a.ownerId&&a.ownerId!==e||(!t||a.options.className!==u.ClassName.EditorErrorDecoration&&a.options.className!==u.ClassName.EditorWarningDecoration)&&n.push({id:a.id,ownerId:a.ownerId,range:this.getTrackedRange(a.rangeId),options:a.options})}return n},t.prototype._withDeferredEvents=function(e){var t=this;return this.deferredEmit(function(){var n=!t._currentDeferredEvents;n&&(t._currentDeferredEvents=new f);try{var r=e(t._currentDeferredEvents);n&&t._handleCollectedEvents(t._currentDeferredEvents)}finally{n&&(t._currentDeferredEvents=null)}return r})},t.prototype._handleCollectedEvents=function(e){var t=this._getMarkersInMap(e.changedMarkers),n=this._onChangedMarkers(t);this._onChangedRanges(e,n),this._handleCollectedDecorationsEvents(e);for(var r=0,i=t.length;r<i;r++)t[r].oldLineNumber=0,t[r].oldColumn=0},t.prototype._onChangedRanges=function(e,t){for(var n=Object.keys(t),r=0,i=n.length;r<i;r++){var o=n[r];if(this.rangeIdToDecorationId.hasOwnProperty(o)){var s=this.rangeIdToDecorationId[o];e.addMovedDecoration(s,t[o])}}},t.prototype._handleCollectedDecorationsEvents=function(e){for(var t,n,r=[],i=[],o=[],s=Object.keys(e.newOrChangedDecorations),a=0,c=s.length;a<c;a++){var l=s[a];o.push(l),t=this._getDecorationData(l),t.isForValidation=t.options.className===u.ClassName.EditorErrorDecoration||t.options.className===u.ClassName.EditorWarningDecoration,r.push(t),e.oldDecorationRange.hasOwnProperty(l)&&(n=e.oldDecorationRange[l],n.startLineNumber=n.startLineNumber||t.range.startLineNumber,n.startColumn=n.startColumn||t.range.startColumn,n.endLineNumber=n.endLineNumber||t.range.endLineNumber,n.endColumn=n.endColumn||t.range.endColumn)}s=Object.keys(e.removedDecorations);for(var a=0,c=s.length;a<c;a++){var l=s[a];o.push(l),i.push(l)}if(o.length>0){var d={ids:o,addedOrChangedDecorations:r,removedDecorations:i,oldOptions:e.oldDecorationOptions,oldRanges:e.oldDecorationRange};this.emitModelDecorationsChangedEvent(d)}},t.prototype._getDecorationData=function(e){var t=this.decorations[e];return{id:t.id,ownerId:t.ownerId,range:this.getTrackedRange(t.rangeId),isForValidation:!1,options:t.options}},t.prototype.emitModelDecorationsChangedEvent=function(e){this._isDisposing||this.emit(u.EventType.ModelDecorationsChanged,e)},t.prototype._normalizeDeltaDecorations=function(e){for(var t=[],n=0,r=e.length;n<r;n++){var i=e[n];t.push(new _(n,this.validateRange(i.range),d(i.options)))}return t},t.prototype._addDecorationImpl=function(e,t,n,r){var i=this.addTrackedRange(n,r.stickiness),o=new m(this._decorationIdGenerator.nextId(),t,i,r);return this.decorations[o.id]=o,this.rangeIdToDecorationId[i]=o.id,e.addNewDecoration(o.id),o.id},t.prototype._addDecorationsImpl=function(e,t,n){for(var r=this._addTrackedRanges(n.map(function(e){return e.range}),n.map(function(e){return e.options.stickiness})),i=[],o=0,s=n.length;o<s;o++){var a=r[o],u=new m(this._decorationIdGenerator.nextId(),t,a,n[o].options);this.decorations[u.id]=u,this.rangeIdToDecorationId[a]=u.id,e.addNewDecoration(u.id),i.push(u.id)}return i},t.prototype._changeDecorationImpl=function(e,t,n){if(this.decorations.hasOwnProperty(t)){var r=this.decorations[t],i=this.getTrackedRange(r.rangeId);this.changeTrackedRange(r.rangeId,n),e.addMovedDecoration(t,i)}},t.prototype._changeDecorationOptionsImpl=function(e,t,n){if(this.decorations.hasOwnProperty(t)){var r=this.decorations[t],i=r.options;i.stickiness!==n.stickiness&&this.changeTrackedRangeStickiness(r.rangeId,n.stickiness),r.options=n,e.addUpdatedDecoration(t,i)}},t.prototype._removeDecorationImpl=function(e,t){if(this.decorations.hasOwnProperty(t)){var n=this.decorations[t],r=null;e&&(r=this.getTrackedRange(n.rangeId)),this.removeTrackedRange(n.rangeId),delete this.rangeIdToDecorationId[n.rangeId],delete this.decorations[t],e&&e.addRemovedDecoration(t,n.ownerId,r,n.options)}},t.prototype._removeDecorationsImpl=function(e,t){for(var n=[],r=0,i=t.length;r<i;r++){var o=t[r];if(this.decorations.hasOwnProperty(o)){var s=this.decorations[o];if(e){var a=this.getTrackedRange(s.rangeId);e.addRemovedDecoration(o,s.ownerId,a,s.options)}n.push(s.rangeId),delete this.rangeIdToDecorationId[s.rangeId],delete this.decorations[o]}}n.length>0&&this.removeTrackedRanges(n)},t.prototype._resolveOldDecorations=function(e){for(var t=[],n=0,r=e.length;n<r;n++){var i=e[n];if(this.decorations.hasOwnProperty(i)){var o=this.decorations[i];t.push({id:i,range:this.getTrackedRange(o.rangeId),options:o.options})}}return t},t.prototype._deltaDecorationsImpl=function(e,t,n,r){if(0===n.length)return this._addDecorationsImpl(e,t,r);if(0===r.length)return this._removeDecorationsImpl(e,n),[];var i=this._resolveOldDecorations(n);i.sort(function(e,t){return a.Range.compareRangesUsingStarts(e.range,t.range)}),r.sort(function(e,t){return a.Range.compareRangesUsingStarts(e.range,t.range)});for(var o=[],s=0,u=i.length,c=0,l=r.length,d=[],h=[];s<u&&c<l;){var f=i[s],p=r[c],g=a.Range.compareRangesUsingStarts(f.range,p.range);g<0?(h.push(f.id),s++):g>0?(d.push(p),c++):f.options.equals(p.options)?(o[p.index]=f.id,s++,c++):(h.push(f.id),s++)}for(;s<u;)h.push(i[s].id),s++;for(;c<l;)d.push(r[c]),c++;if(h.length>0&&this._removeDecorationsImpl(e,h),d.length>0)for(var m=this._addDecorationsImpl(e,t,d),v=0,_=d.length;v<_;v++)o[d[v].index]=m[v];return o},t}(c.TextModelWithTrackedRanges);t.TextModelWithDecorations=g;var m=function(){function e(e,t,n,r){this.id=e,this.ownerId=t,this.rangeId=n,this.options=r}return e}(),v=function(){function e(e){this.stickiness=e.stickiness||u.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges,this.className=l(e.className||o.empty),this.glyphMarginHoverMessage=e.glyphMarginHoverMessage||o.empty,this.hoverMessage=e.hoverMessage||[],this.isWholeLine=e.isWholeLine||!1,this.overviewRuler=h(e.overviewRuler,e.showInOverviewRuler),this.glyphMarginClassName=l(e.glyphMarginClassName||o.empty),this.linesDecorationsClassName=l(e.linesDecorationsClassName||o.empty),this.inlineClassName=l(e.inlineClassName||o.empty),this.beforeContentClassName=l(e.beforeContentClassName||o.empty),this.afterContentClassName=l(e.afterContentClassName||o.empty)}return e._overviewRulerEquals=function(e,t){return e.color===t.color&&e.position===t.position&&e.darkColor===t.darkColor},e.prototype.equals=function(t){return this.stickiness===t.stickiness&&this.className===t.className&&this.glyphMarginHoverMessage===t.glyphMarginHoverMessage&&this.isWholeLine===t.isWholeLine&&this.showInOverviewRuler===t.showInOverviewRuler&&this.glyphMarginClassName===t.glyphMarginClassName&&this.linesDecorationsClassName===t.linesDecorationsClassName&&this.inlineClassName===t.inlineClassName&&this.beforeContentClassName===t.beforeContentClassName&&this.afterContentClassName===t.afterContentClassName&&i.markedStringsEquals(this.hoverMessage,t.hoverMessage)&&e._overviewRulerEquals(this.overviewRuler,t.overviewRuler)},e}(),_=function(){function e(e,t,n){this.index=e,this.range=t,this.options=n}return e}(),y=function(){function e(e,t){this.color=o.empty,this.darkColor=o.empty,this.position=u.OverviewRulerLane.Center,t&&(this.color=t),e&&e.color&&(this.color=e.color),e&&e.darkColor&&(this.darkColor=e.darkColor),e&&e.hasOwnProperty("position")&&(this.position=e.position)}return e}()}),define(e[80],t([0,1,14,9,111,43,79,3]),function(e,t,r,i,o,s,a,u){"use strict";var c=function(e){function t(t,n,r){t.push(i.EventType.ModelRawContentChanged),t.push(i.EventType.ModelContentChanged2),e.call(this,t,n,r),this._commandManager=new o.EditStack(this),this._isUndoing=!1,this._isRedoing=!1,this._hasEditableRange=!1,this._editableRangeId=null,this._trimAutoWhitespaceLines=null}return n(t,e),t.prototype.onDidChangeRawContent=function(e){return this.addListener2(i.EventType.ModelRawContentChanged,e)},t.prototype.onDidChangeContent=function(e){return this.addListener2(i.EventType.ModelContentChanged2,e)},t.prototype.dispose=function(){this._commandManager=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._commandManager=new o.EditStack(this),this._hasEditableRange=!1,this._editableRangeId=null,this._trimAutoWhitespaceLines=null},t.prototype.pushStackElement=function(){this._commandManager.pushStackElement()},t.prototype.pushEditOperations=function(e,t,n){var i=this;return this.deferredEmit(function(){if(i._options.trimAutoWhitespace&&i._trimAutoWhitespaceLines){for(var o=t.map(function(e){return{range:i.validateRange(e.range),text:e.text}}),s=!0,a=0,u=e.length;a<u;a++){for(var c=e[a],l=!1,d=0,h=o.length;d<h;d++){var f=o[d].range,p=f.startLineNumber>c.endLineNumber,g=c.startLineNumber>f.endLineNumber;if(!p&&!g){l=!0;break}}if(!l){s=!1;break}}if(s)for(var a=0,u=i._trimAutoWhitespaceLines.length;a<u;a++){for(var m=i._trimAutoWhitespaceLines[a],v=i.getLineMaxColumn(m),_=!0,d=0,h=o.length;d<h;d++){var f=o[d].range,y=o[d].text;if(!(m<f.startLineNumber||m>f.endLineNumber||m===f.startLineNumber&&f.startColumn===v&&f.isEmpty()&&y&&y.length>0&&"\n"===y.charAt(0))){_=!1;break}}_&&t.push({identifier:null,range:new r.Range(m,1,m,v),text:null,forceMoveMarkers:!1,isAutoWhitespaceEdit:!1})}i._trimAutoWhitespaceLines=null}return i._commandManager.pushEditOperation(e,t,n)})},t.prototype._reduceOperations=function(e){return e.length<1e3?e:[this._toSingleEditOperation(e)]},t.prototype._toSingleEditOperation=function(e){for(var t=!1,n=e[0].range,i=e[e.length-1].range,o=new r.Range(n.startLineNumber,n.startColumn,i.endLineNumber,i.endColumn),s=n.startLineNumber,a=n.startColumn,u=[],c=0,l=e.length;c<l;c++){var d=e[c],h=d.range;t=t||d.forceMoveMarkers;for(var f=s;f<h.startLineNumber;f++)f===s?u.push(this._lines[f-1].text.substring(a-1)):(u.push("\n"),u.push(this._lines[f-1].text));if(h.startLineNumber===s?u.push(this._lines[h.startLineNumber-1].text.substring(a-1,h.startColumn-1)):(u.push("\n"),u.push(this._lines[h.startLineNumber-1].text.substring(0,h.startColumn-1))),d.lines)for(var p=0,g=d.lines.length;p<g;p++)0!==p&&u.push("\n"),u.push(d.lines[p]);s=d.range.endLineNumber,a=d.range.endColumn}return{sortIndex:0,identifier:e[0].identifier,range:o,rangeLength:this.getValueLengthInRange(o),lines:u.join("").split("\n"),forceMoveMarkers:t,isAutoWhitespaceEdit:!1}},t._sortOpsAscending=function(e,t){var n=r.Range.compareRangesUsingEnds(e.range,t.range);return 0===n?e.sortIndex-t.sortIndex:n},t._sortOpsDescending=function(e,t){var n=r.Range.compareRangesUsingEnds(e.range,t.range);return 0===n?t.sortIndex-e.sortIndex:-n},t.prototype.applyEdits=function(e){if(0===e.length)return[];for(var n=[],r=0;r<e.length;r++){var i=e[r],o=this.validateRange(i.range);n[r]={sortIndex:r,identifier:i.identifier,range:o,rangeLength:this.getValueLengthInRange(o),lines:i.text?i.text.split(/\r\n|\r|\n/):null,forceMoveMarkers:i.forceMoveMarkers,isAutoWhitespaceEdit:i.isAutoWhitespaceEdit||!1}}n.sort(t._sortOpsAscending);for(var r=0,s=n.length-1;r<s;r++){var a=n[r].range.getEndPosition(),c=n[r+1].range.getStartPosition();if(c.isBefore(a))throw new Error("Overlapping ranges are not allowed!")}n=this._reduceOperations(n);for(var l=this.getEditableRange(),d=l.getStartPosition(),h=l.getEndPosition(),r=0;r<n.length;r++){var f=n[r].range;if(!d.isBeforeOrEqual(f.getStartPosition())||!f.getEndPosition().isBeforeOrEqual(h))throw new Error("Editing outside of editable range not allowed!")}for(var p=t._getInverseEditRanges(n),g=[],m=[],r=0;r<n.length;r++){var i=n[r],v=p[r];if(g[r]={identifier:i.identifier,range:v,text:this.getValueInRange(i.range),forceMoveMarkers:i.forceMoveMarkers},this._options.trimAutoWhitespace&&i.isAutoWhitespaceEdit&&i.range.isEmpty())for(var _=v.startLineNumber;_<=v.endLineNumber;_++){var y="";_===v.startLineNumber&&(y=this.getLineContent(i.range.startLineNumber),u.firstNonWhitespaceIndex(y)!==-1)||m.push({lineNumber:_,oldContent:y})}}if(this._applyEdits(n),this._trimAutoWhitespaceLines=null,this._options.trimAutoWhitespace&&m.length>0){m.sort(function(e,t){return t.lineNumber-e.lineNumber;
}),this._trimAutoWhitespaceLines=[];for(var r=0,k=m.length;r<k;r++){var _=m[r].lineNumber;if(!(r>0&&m[r-1].lineNumber===_)){var b=m[r].oldContent,C=this.getLineContent(_);0!==C.length&&C!==b&&u.firstNonWhitespaceIndex(C)===-1&&this._trimAutoWhitespaceLines.push(_)}}}return g},t._getInverseEditRanges=function(e){for(var t,n,i=[],o=null,s=0,a=e.length;s<a;s++){var u=e[s],c=void 0,l=void 0;o?o.range.endLineNumber===u.range.startLineNumber?(c=t,l=n+(u.range.startColumn-o.range.endColumn)):(c=t+(u.range.startLineNumber-o.range.endLineNumber),l=u.range.startColumn):(c=u.range.startLineNumber,l=u.range.startColumn);var d=void 0;if(u.lines&&u.lines.length>0){var h=u.lines.length,f=u.lines[0],p=u.lines[h-1];d=1===h?new r.Range(c,l,c,l+f.length):new r.Range(c,l,c+h-1,p.length+1)}else d=new r.Range(c,l,c,l);t=d.endLineNumber,n=d.endColumn,i.push(d),o=u}return i},t.prototype._applyEdits=function(e){var n=this;e.sort(t._sortOpsDescending),this._withDeferredEvents(function(t){for(var o=[],a=[],u=[],c=function(e){e.startColumn===e.endColumn&&0===e.text.length||u.push(e)},l=function(){if(0!==u.length){u.reverse();for(var e=u[0].lineNumber,r=0,i=1,s=u.length;i<s;i++){var a=u[i].lineNumber;a!==e&&(n._invalidateLine(e-1),n._lines[e-1].applyEdits(t.changedMarkers,u.slice(r,i)),n._lineStarts&&n._lineStarts.changeValue(e-1,n._lines[e-1].text.length+n._EOL.length),o.push(n._createLineChangedEvent(e)),e=a,r=i)}n._invalidateLine(e-1),n._lines[e-1].applyEdits(t.changedMarkers,u.slice(r,u.length)),n._lineStarts&&n._lineStarts.changeValue(e-1,n._lines[e-1].text.length+n._EOL.length),o.push(n._createLineChangedEvent(e)),u=[]}},d=e[e.length-1].range.startLineNumber,h=e[0].range.endLineNumber+1,f=0,p=0,g=e.length;p<g;p++){var m=e[p],v=m.range.startLineNumber,_=m.range.startColumn,y=m.range.endLineNumber,k=m.range.endColumn;if(v!==y||_!==k||m.lines&&0!==m.lines.length){var b=y-v,C=m.lines?m.lines.length-1:0,E=Math.min(b,C);f+=C-b;for(var S=E;S>=0;S--){var I=v+S;c({lineNumber:I,startColumn:I===v?_:1,endColumn:I===y?k:n.getLineMaxColumn(I),text:m.lines?m.lines[S]:"",forceMoveMarkers:m.forceMoveMarkers})}if(E<b){l();var T=v+E,M=n.getLineMaxColumn(T),w=n._lines[y-1].split(t.changedMarkers,k,!1);n._invalidateLine(T-1);for(var L=y-T,x=[],S=0;S<L;S++){var O=T+S;x=x.concat(n._lines[O].deleteLine(t.changedMarkers,M,O+1))}n._lines.splice(T,L),n._lineStarts&&n._lineStarts.removeValues(T,L),n._lines[T-1].append(t.changedMarkers,w),n._lineStarts&&n._lineStarts.changeValue(T-1,n._lines[T-1].text.length+n._EOL.length),n._lines[T-1].addMarkers(x),o.push(n._createLineChangedEvent(T)),o.push(n._createLinesDeletedEvent(T+1,T+L))}if(E<C){l();var R=v+E,N=R===v?_:1;m.lines&&(N+=m.lines[E].length);var A=n._lines[R-1].split(t.changedMarkers,N,m.forceMoveMarkers);n._lineStarts&&n._lineStarts.changeValue(R-1,n._lines[R-1].text.length+n._EOL.length),o.push(n._createLineChangedEvent(R)),n._invalidateLine(R-1);for(var P=[],D=[],S=E+1;S<=C;S++){var W=v+S;n._lines.splice(W-1,0,new s.ModelLine(W,m.lines[S])),P.push(m.lines[S]),D.push(m.lines[S].length+n._EOL.length)}P[P.length-1]+=A.text,n._lineStarts&&n._lineStarts.insertValues(v+E,D),n._lines[v+C-1].append(t.changedMarkers,A),n._lineStarts&&n._lineStarts.changeValue(v+C-1,n._lines[v+C-1].text.length+n._EOL.length),o.push(n._createLinesInsertedEvent(R+1,v+C,P.join("\n")))}a.push({range:new r.Range(v,_,y,k),rangeLength:m.rangeLength,text:m.lines?m.lines.join(n.getEOL()):"",eol:n._EOL,versionId:-1,isUndoing:n._isUndoing,isRedoing:n._isRedoing})}}l(),h=Math.max(1,Math.min(n.getLineCount(),h+f)),0!==f&&(h=n.getLineCount());for(var z=d;z<=h;z++)n._lines[z-1].updateLineNumber(t.changedMarkers,z);if(0!==o.length||0!==a.length){0===o.length&&o.push(n._createLineChangedEvent(d));var B=Math.max(o.length,a.length),F=n.getVersionId()+B;n._setVersionId(F);for(var p=o.length-1,j=F;p>=0;p--,j--)o[p].versionId=j;for(var p=a.length-1,j=F;p>=0;p--,j--)a[p].versionId=j;for(var p=0,g=o.length;p<g;p++)n.emit(i.EventType.ModelRawContentChanged,o[p]);for(var p=0,g=a.length;p<g;p++)n.emit(i.EventType.ModelContentChanged2,a[p])}})},t.prototype._assertLineNumbersOK=function(){for(var e=0,t=0,n=this._lines.length;t<n;t++){var r=this._lines[t],i=t+1;if(r.lineNumber!==i)throw new Error("Invalid lineNumber at line: "+i+"; text is: "+this.getValue());for(var o=r.getMarkers(),s=0,a=o.length;s<a;s++){e++;var u=o[s].id,c=this._markerIdToMarker[u];if(c.line!==r)throw new Error("Misplaced marker with id "+u)}}var l=Object.keys(this._markerIdToMarker).length;if(l!==e)throw new Error("There are misplaced markers!")},t.prototype.undo=function(){var e=this;return this._withDeferredEvents(function(){e._isUndoing=!0;var t=e._commandManager.undo();return e._isUndoing=!1,t?(e._overwriteAlternativeVersionId(t.recordedVersionId),t.selections):null})},t.prototype.redo=function(){var e=this;return this._withDeferredEvents(function(){e._isRedoing=!0;var t=e._commandManager.redo();return e._isRedoing=!1,t?(e._overwriteAlternativeVersionId(t.recordedVersionId),t.selections):null})},t.prototype.setEditableRange=function(e){this._commandManager.clear(),this._hasEditableRange&&(this.removeTrackedRange(this._editableRangeId),this._editableRangeId=null,this._hasEditableRange=!1),e&&(this._hasEditableRange=!0,this._editableRangeId=this.addTrackedRange(e,i.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges))},t.prototype.hasEditableRange=function(){return this._hasEditableRange},t.prototype.getEditableRange=function(){return this._hasEditableRange?this.getTrackedRange(this._editableRangeId):this.getFullModelRange()},t.prototype._createLineChangedEvent=function(e){return{changeType:i.EventType.ModelRawContentChangedLineChanged,lineNumber:e,detail:this._lines[e-1].text,versionId:-1,isUndoing:this._isUndoing,isRedoing:this._isRedoing}},t.prototype._createLinesDeletedEvent=function(e,t){return{changeType:i.EventType.ModelRawContentChangedLinesDeleted,fromLineNumber:e,toLineNumber:t,versionId:-1,isUndoing:this._isUndoing,isRedoing:this._isRedoing}},t.prototype._createLinesInsertedEvent=function(e,t,n){return{changeType:i.EventType.ModelRawContentChangedLinesInserted,fromLineNumber:e,toLineNumber:t,detail:n,versionId:-1,isUndoing:this._isUndoing,isRedoing:this._isRedoing}},t}(a.TextModelWithDecorations);t.EditableTextModel=c}),define(e[81],t([0,1,13,9,80,37]),function(e,t,r,i,o,s){"use strict";var a=0,u={},c=function(e){function t(t,n,o){if(void 0===o&&(o=null),e.call(this,[i.EventType.ModelDispose],t,n),a++,this.id="$model"+a,"undefined"==typeof o||null===o?this._associatedResource=r["default"].parse("inmemory://model/"+a):this._associatedResource=o,u[String(this._associatedResource)])throw new Error("Cannot instantiate a second Model with the same URI!");this._attachedEditorCount=0,u[String(this._associatedResource)]=!0}return n(t,e),t.prototype.onDidChangeModeSupport=function(e){return this.addListener2(i.EventType.ModelModeSupportChanged,e)},t.prototype.onDidChangeDecorations=function(e){return this.addListener2(i.EventType.ModelDecorationsChanged,e)},t.prototype.onDidChangeOptions=function(e){return this.addListener2(i.EventType.ModelOptionsChanged,e)},t.prototype.onWillDispose=function(e){return this.addListener2(i.EventType.ModelDispose,e)},t.prototype.onDidChangeMode=function(e){return this.addListener2(i.EventType.ModelModeChanged,e)},t.prototype.addBulkListener=function(t){return e.prototype.addBulkListener.call(this,t)},t.createFromString=function(e,n,r,i){void 0===n&&(n=s.TextModel.DEFAULT_CREATION_OPTIONS),void 0===r&&(r=null),void 0===i&&(i=null);var o=s.TextModel.toRawText(e,n);return new t(o,r,i)},t.prototype.getModeId=function(){return this.getMode().getId()},t.prototype.destroy=function(){this.dispose()},t.prototype.dispose=function(){this._isDisposing=!0,delete u[String(this._associatedResource)],this.emit(i.EventType.ModelDispose),e.prototype.dispose.call(this),this._isDisposing=!1},t.prototype.onBeforeAttached=function(){this._attachedEditorCount++,this._warmUpTokens()},t.prototype.onBeforeDetached=function(){this._attachedEditorCount--},t.prototype.isAttachedToEditor=function(){return this._attachedEditorCount>0},Object.defineProperty(t.prototype,"uri",{get:function(){return this._associatedResource},enumerable:!0,configurable:!0}),t}(o.EditableTextModel);t.Model=c}),define(e[82],t([7,6]),function(e,t){return e.create("vs/editor/common/modes/modesRegistry",t)}),define(e[83],t([7,6]),function(e,t){return e.create("vs/editor/common/modes/supports/suggestSupport",t)}),define(e[84],t([7,6]),function(e,t){return e.create("vs/editor/common/services/modeServiceImpl",t)}),define(e[85],t([7,6]),function(e,t){return e.create("vs/editor/common/services/modelServiceImpl",t)}),define(e[86],t([7,6]),function(e,t){return e.create("vs/platform/configuration/common/configurationRegistry",t)}),define(e[87],t([7,6]),function(e,t){return e.create("vs/platform/extensions/common/abstractExtensionService",t)}),define(e[88],t([7,6]),function(e,t){return e.create("vs/platform/extensions/common/extensionsRegistry",t)}),define(e[89],t([7,6]),function(e,t){return e.create("vs/platform/jsonschemas/common/jsonContributionRegistry",t)}),define(e[90],t([7,6]),function(e,t){return e.create("vs/platform/message/common/message",t)}),define(e[24],t([0,1,2]),function(e,t,r){"use strict";var i=function(){function e(e){this._staticArguments=e}return e.prototype.appendStaticArguments=function(e){this._staticArguments.push.apply(this._staticArguments,e)},e.prototype.staticArguments=function(e){return isNaN(e)?this._staticArguments.slice(0):this._staticArguments[e]},e.prototype._validate=function(e){if(!e)throw r.illegalArgument("can not be falsy")},e}();t.AbstractDescriptor=i;var o=function(e){function t(t){for(var n=[],r=1;r<arguments.length;r++)n[r-1]=arguments[r];e.call(this,n),this._ctor=t}return n(t,e),Object.defineProperty(t.prototype,"ctor",{get:function(){return this._ctor},enumerable:!0,configurable:!0}),t.prototype.bind=function(){for(var e=[],n=0;n<arguments.length;n++)e[n-0]=arguments[n];var r=[];return r=r.concat(this.staticArguments()),r=r.concat(e),new(t.bind.apply(t,[void 0].concat([this._ctor],r)))},t}(i);t.SyncDescriptor=o,t.createSyncDescriptor=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return new(o.bind.apply(o,[void 0].concat([e],t)))};var s=function(e){function t(t,n){for(var r=[],i=2;i<arguments.length;i++)r[i-2]=arguments[i];if(e.call(this,r),this._moduleName=t,this._ctorName=n,"string"!=typeof t)throw new Error("Invalid AsyncDescriptor arguments, expected `moduleName` to be a string!")}return n(t,e),t.create=function(e,n){return new t(e,n)},Object.defineProperty(t.prototype,"moduleName",{get:function(){return this._moduleName},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"ctorName",{get:function(){return this._ctorName},enumerable:!0,configurable:!0}),t.prototype.bind=function(){for(var e=[],n=0;n<arguments.length;n++)e[n-0]=arguments[n];var r=[];return r=r.concat(this.staticArguments()),r=r.concat(e),new(t.bind.apply(t,[void 0].concat([this.moduleName,this.ctorName],r)))},t}(i);t.AsyncDescriptor=s;var a=function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];return new(s.bind.apply(s,[void 0].concat([e,t],n)))};t.createAsyncDescriptor0=a,t.createAsyncDescriptor1=a,t.createAsyncDescriptor2=a,t.createAsyncDescriptor3=a,t.createAsyncDescriptor4=a,t.createAsyncDescriptor5=a,t.createAsyncDescriptor6=a,t.createAsyncDescriptor7=a}),define(e[5],t([0,1]),function(e,t){"use strict";function n(e,t,n,r){t[o.DI_TARGET]===t?t[o.DI_DEPENDENCIES].push({id:e,index:n,optional:r}):(t[o.DI_DEPENDENCIES]=[{id:e,index:n,optional:r}],t[o.DI_TARGET]=t)}function r(e){var t=function(e,r,i){if(3!==arguments.length)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");n(t,e,i,!1)};return t.toString=function(){return e},t}function i(e){return function(t,r,i){if(3!==arguments.length)throw new Error("@optional-decorator can only be used to decorate a parameter");n(e,t,i,!0)}}var o;!function(e){function t(t){return t[e.DI_DEPENDENCIES]||[]}e.DI_TARGET="$di$target",e.DI_DEPENDENCIES="$di$dependencies",e.getServiceDependencies=t}(o=t._util||(t._util={})),t.IInstantiationService=r("instantiationService"),t.createDecorator=r,t.optional=i}),define(e[93],t([0,1,5]),function(e,t,n){"use strict";t.ID_EDITOR_WORKER_SERVICE="editorWorkerService",t.IEditorWorkerService=n.createDecorator(t.ID_EDITOR_WORKER_SERVICE)}),define(e[26],t([0,1,5]),function(e,t,n){"use strict";t.IModeService=n.createDecorator("modeService")}),define(e[69],t([0,1,5]),function(e,t,n){"use strict";t.IModelService=n.createDecorator("modelService")}),define(e[27],t([0,1,5]),function(e,t,n){"use strict";t.ResourceEvents={ADDED:"resource.added",REMOVED:"resource.removed",CHANGED:"resource.changed"},t.IResourceService=n.createDecorator("resourceService")}),define(e[97],t([0,1,19,12,27]),function(e,t,r,i,o){"use strict";var s=function(e){function t(){e.call(this),this.serviceId=o.IResourceService,this.data={},this.unbinds={}}return n(t,e),t.prototype.addListener2_=function(t,n){return e.prototype.addListener2.call(this,t,n)},t.prototype._anonymousModelId=function(e){for(var t="",n=0;n<e.length;n++){var r=e[n];t+=r>="0"&&r<="9"?"0":r>="a"&&r<="z"?"a":r>="A"&&r<="Z"?"A":r}return t},t.prototype.insert=function(e,t){var n=this;if(this.contains(e))throw new Error("ResourceService: Cannot add model "+this._anonymousModelId(e.toString())+" because it already exists!");var r=e.toString();this.data[r]=t,this.unbinds[r]=[],this.unbinds[r].push(t.addBulkListener2(function(t){n.emit(o.ResourceEvents.CHANGED,{url:e,originalEvents:t})})),this.emit(o.ResourceEvents.ADDED,{url:e,addedElement:t})},t.prototype.get=function(e){return this.data[e.toString()]?this.data[e.toString()]:null},t.prototype.all=function(){var e=this;return Object.keys(this.data).map(function(t){return e.data[t]})},t.prototype.contains=function(e){return!!this.data[e.toString()]},t.prototype.remove=function(e){if(this.contains(e)){var t=e.toString(),n=this.data[t];this.unbinds[t]=i.dispose(this.unbinds[t]),delete this.unbinds[t],delete this.data[t],this.emit(o.ResourceEvents.REMOVED,{url:e,removedElement:n})}},t}(r.EventEmitter);t.ResourceService=s}),define(e[98],t([0,1,22,12,27]),function(e,t,n,r,i){"use strict";var o=function(){function e(e,t){var n=this;this._toDispose=[],this._changeCallback=t,this._model=e,this._isDirty=!1,this._toDispose.push(e.addBulkListener2(function(e){return n._onModelChanged(e)}))}return e.prototype.dispose=function(){this._toDispose=r.dispose(this._toDispose),this._changeCallback=null},e.prototype.markAsClean=function(){this._isDirty=!1},e.prototype.markAsDirty=function(){this._isDirty=!0},e.prototype.isDirty=function(){return this._isDirty},e.prototype.getMirrorModel=function(){return this._model},e.prototype._onModelChanged=function(e){for(var t=!1,n=0;!t&&n<e.length;n++)"changed"===e[n].getType()&&(t=!0);t&&this._changeCallback(this)},e}(),s=function(){function e(e,t,r){var o=this;this._toDispose=[],this._resourceService=e,this._callback=r,this._filter=function(e){return e.getMode().getId()===t},this._validationDelay=500,this._models={},this._isDueToConfigurationChange=!1,this._toDispose.push(this._resourceService.addListener2_(i.ResourceEvents.ADDED,function(e){o._onResourceAdded(e)})),this._toDispose.push(this._resourceService.addListener2_(i.ResourceEvents.REMOVED,function(e){o._onResourceRemoved(e)})),this._validate=new n.RunOnceScheduler(function(){return o._invokeCallback()},this._validationDelay),this._toDispose.push(this._validate),this._resourceService.all().forEach(function(e){return o._addElement(e)})}return e.prototype.dispose=function(){var e=this;this._toDispose=r.dispose(this._toDispose),r.dispose(Object.keys(this._models).map(function(t){return e._models[t]})),this._models=null},e.prototype.trigger=function(){this._validate.schedule()},e.prototype.triggerDueToConfigurationChange=function(){this._isDueToConfigurationChange=!0,this._validate.schedule()},e.prototype._addElement=function(e){var t=this;if(this._filter(e)){var n=e,r=new o(n,function(e){return t._onChanged(e)});this._models[n.uri.toString()]=r,this._onChanged(r)}},e.prototype._onResourceAdded=function(e){var t=e.url.toString();this._models.hasOwnProperty(t)&&this._models[t].dispose(),this._addElement(e.addedElement)},e.prototype._onResourceRemoved=function(e){var t=e.url.toString();this._models.hasOwnProperty(t)&&(this._models[t].dispose(),delete this._models[t])},e.prototype._onChanged=function(e){e.markAsDirty(),this._validate.schedule()},e.prototype._invokeCallback=function(){var e=this;if(this._isEnabled){var t=[],n=[];Object.keys(this._models).map(function(t){return e._models[t]}).forEach(function(e){e.isDirty()?(t.push(e.getMirrorModel().uri),e.markAsClean()):n.push(e.getMirrorModel().uri)});var r=this._isDueToConfigurationChange;this._isDueToConfigurationChange=!1;var i=t;r&&(i=i.concat(n)),this._callback(i)}},e.prototype.enable=function(){this._isEnabled=!0,this.trigger()},e}();t.ValidationHelper=s}),define(e[48],t([0,1,5]),function(e,t,n){"use strict";function r(e,t,n){function r(e,t){for(var n=e,r=0;r<t.length;r++)if(n=n[t[r]],!n)return;return n}var i=t.split("."),o=r(e,i);return"undefined"==typeof o?n:o}t.IConfigurationService=n.createDecorator("configurationService"),t.getConfigurationValue=r}),define(e[68],t([0,1,5]),function(e,t,n){"use strict";t.IEventService=n.createDecorator("eventService")}),define(e[73],t([0,1,19,68]),function(e,t,r,i){"use strict";var o=function(e){function t(){e.call(this),this.serviceId=i.IEventService}return n(t,e),t}(r.EventEmitter);t.EventService=o}),define(e[46],t([0,1,5]),function(e,t,n){"use strict";t.IExtensionService=n.createDecorator("extensionService")}),define(e[66],t([0,1,42]),function(e,t,n){"use strict";var r=function(){function e(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];this._entries=[];for(var n=0,r=e;n<r.length;n++){var i=r[n];this.set(i[0],i[1])}}return e.prototype.set=function(t,r){var i=[t,r],o=n.binarySearch(this._entries,i,e._entryCompare);if(!(o<0)){var s=this._entries[o];return this._entries[o]=i,s[1]}this._entries.splice(~o,0,i)},e.prototype.forEach=function(e){for(var t=0,n=this._entries;t<n.length;t++){var r=n[t],i=r[0],o=r[1];e(i,o)}},e.prototype.has=function(t){return n.binarySearch(this._entries,e._searchEntry(t),e._entryCompare)>=0},e.prototype.get=function(t){var r=n.binarySearch(this._entries,e._searchEntry(t),e._entryCompare);if(r>=0)return this._entries[r][1]},e._searchEntry=function(t){return e._dummy[0]=t,e._dummy},e._entryCompare=function(e,t){var n=e[0].toString(),r=t[0].toString();return n<r?-1:n>r?1:0},e._dummy=[void 0,void 0],e}();t.ServiceCollection=r}),define(e[104],t([0,1,4,2,15,31,110,24,5,66]),function(e,t,n,r,i,o,s,a,u,c){"use strict";var l=function(){function t(e,t){void 0===e&&(e=new c.ServiceCollection),void 0===t&&(t=!1),this._services=e,this._strict=t,this._services.set(u.IInstantiationService,this)}return t.prototype.createChild=function(e){var n=this;return this._services.forEach(function(t,r){e.has(t)||(r instanceof a.SyncDescriptor&&(r=n._createAndCacheServiceInstance(t,r)),e.set(t,r))}),new t(e,this._strict)},t.prototype.invokeFunction=function(e){for(var t=this,n=[],i=1;i<arguments.length;i++)n[i-1]=arguments[i];var o;try{return o={get:function(e,n){var r=t._getOrCreateServiceInstance(e);if(!r&&n!==u.optional)throw new Error("[invokeFunction] unkown service '"+e+"'");return r}},e.apply(void 0,[o].concat(n))}finally{o.get=function(){throw r.illegalState("service accessor is only valid during the invocation of its target method")}}},t.prototype.createInstance=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return e instanceof a.AsyncDescriptor?this._createInstanceAsync(e,t):e instanceof a.SyncDescriptor?this._createInstance(e,t):this._createInstance(new a.SyncDescriptor(e),t)},t.prototype._createInstanceAsync=function(t,i){var o,s=this;return new n.TPromise(function(n,u,c){e([t.moduleName],function(e){if(o&&u(o),!e)return u(r.illegalArgument("module not found: "+t.moduleName));var c;if(c=t.ctorName?e[t.ctorName]:e,"function"!=typeof c)return u(r.illegalArgument("not a function: "+t.ctorName||t.moduleName));try{i.unshift.apply(i,t.staticArguments()),n(s._createInstance(new a.SyncDescriptor(c),i))}catch(l){return u(l)}},u)},function(){o=r.canceled()})},t.prototype._createInstance=function(e,t){var n=this,r=e.staticArguments().concat(t),o=u._util.getServiceDependencies(e.ctor).sort(function(e,t){return e.index-t.index}),s=o.map(function(t){var r=n._getOrCreateServiceInstance(t.id);if(!r&&n._strict&&!t.optional)throw new Error("[createInstance] "+e.ctor.name+" depends on UNKNOWN service "+t.id+".");return r}),a=o.length>0?o[0].index:r.length;if(r.length!==a){console.warn("[createInstance] First service dependency of "+e.ctor.name+" at position "+(a+1)+" conflicts with "+r.length+" static arguments");var c=a-r.length;r=c>0?r.concat(new Array(c)):r.slice(0,a)}var l=[e.ctor];l.push.apply(l,r),l.push.apply(l,s);var d=i.create.apply(null,l);return e._validate(d),d},t.prototype._getOrCreateServiceInstance=function(e){var t=this._services.get(e);return t instanceof a.SyncDescriptor?this._createAndCacheServiceInstance(e,t):t},t.prototype._createAndCacheServiceInstance=function(e,t){function n(){var e=new Error("[createInstance] cyclic dependency between services");throw e.message=r.toString(),e}o.ok(this._services.get(e)instanceof a.SyncDescriptor);for(var r=new s.Graph(function(e){return e.id.toString()}),i=0,c=[{id:e,desc:t}];c.length;){var l=c.pop();r.lookupOrInsertNode(l),i++>100&&n();for(var d=u._util.getServiceDependencies(l.desc.ctor),h=0,f=d;h<f.length;h++){var p=f[h],g=this._services.get(p.id);if(g||console.warn("[createInstance] "+e+" depends on "+p.id+" which is NOT registered."),g instanceof a.SyncDescriptor){var m={id:p.id,desc:g};r.insertEdge(l,m),c.push(m)}}}for(;;){var v=r.roots();if(0===v.length){0!==r.length&&n();break}for(var _=0,y=v;_<y.length;_++){var k=y[_],b=this._createInstance(k.data.desc,[]);this._services.set(k.data.id,b),r.removeNode(k.data)}}return this._services.get(e)},t}();t.InstantiationService=l}),define(e[38],t([0,1,5]),function(e,t,n){"use strict";t.IMarkerService=n.createDecorator("markerService"),function(e){e[e["transient"]=1]="transient",e[e.permanent=2]="permanent"}(t.MarkerType||(t.MarkerType={}));t.MarkerType}),define(e[106],t([0,1,90,4,20,5,119]),function(e,t,n,r,i,o,s){"use strict";t.CloseAction=new s.Action("close.message",n.localize(0,null),null,(!0),function(){return r.TPromise.as(!0)}),t.CancelAction=new s.Action("close.message",n.localize(1,null),null,(!0),function(){return r.TPromise.as(!0)}),t.IMessageService=o.createDecorator("messageService"),t.Severity=i["default"]}),define(e[17],t([0,1,15,31]),function(e,t,n,r){"use strict";var i=function(){function e(){this.data={}}return e.prototype.add=function(e,t){r.ok(n.isString(e)),r.ok(n.isObject(t)),r.ok(!this.data.hasOwnProperty(e),"There is already an extension with this id"),this.data[e]=t},e.prototype.knows=function(e){return this.data.hasOwnProperty(e)},e.prototype.as=function(e){return this.data[e]||null},e}();t.Registry=new i;var o=function(){function e(){this.toBeInstantiated=[],this.instances=[]}return e.prototype.setInstantiationService=function(e){for(this.instantiationService=e;this.toBeInstantiated.length>0;){var t=this.toBeInstantiated.shift();this.instantiate(t)}},e.prototype.instantiate=function(e){var t=this.instantiationService.createInstance(e);this.instances.push(t)},e.prototype._register=function(e){this.instantiationService?this.instantiate(e):this.toBeInstantiated.push(e)},e.prototype._getInstances=function(){return this.instances.slice(0)},e.prototype._setInstances=function(e){this.instances=e},e}();t.BaseRegistry=o}),define(e[63],t([0,1,82,8,17]),function(e,t,n,r,i){"use strict";t.Extensions={ModesRegistry:"editor.modesRegistry"};var o=function(){function e(){this._onDidAddCompatModes=new r.Emitter,this.onDidAddCompatModes=this._onDidAddCompatModes.event,this._onDidAddLanguages=new r.Emitter,this.onDidAddLanguages=this._onDidAddLanguages.event,this._compatModes=[],this._languages=[]}return e.prototype.registerCompatModes=function(e){this._compatModes=this._compatModes.concat(e),this._onDidAddCompatModes.fire(e)},e.prototype.registerCompatMode=function(e){this._compatModes.push(e),this._onDidAddCompatModes.fire([e])},e.prototype.getCompatModes=function(){return this._compatModes.slice(0)},e.prototype.registerLanguage=function(e){this._languages.push(e),this._onDidAddLanguages.fire([e])},e.prototype.registerLanguages=function(e){this._languages=this._languages.concat(e),this._onDidAddLanguages.fire(e)},e.prototype.getLanguages=function(){return this._languages.slice(0)},e}();t.EditorModesRegistry=o,t.ModesRegistry=new o,i.Registry.add(t.Extensions.ModesRegistry,t.ModesRegistry),t.ModesRegistry.registerLanguage({id:"plaintext",extensions:[".txt",".gitignore"],aliases:[n.localize(0,null),"text"],mimetypes:["text/plain"]})}),define(e[109],t([0,1,2,8,64,3,63]),function(e,t,n,r,i,o,s){"use strict";var a=Object.prototype.hasOwnProperty,u=function(){function e(e){var t=this;void 0===e&&(e=!0),this._onDidAddModes=new r.Emitter,this.onDidAddModes=this._onDidAddModes.event,this.knownModeIds={},this.mime2LanguageId={},this.name2LanguageId={},this.id2Name={},this.id2Extensions={},this.compatModes={},this.lowerName2Id={},this.id2ConfigurationFiles={},e&&(this._registerCompatModes(s.ModesRegistry.getCompatModes()),s.ModesRegistry.onDidAddCompatModes(function(e){return t._registerCompatModes(e)}),this._registerLanguages(s.ModesRegistry.getLanguages()),s.ModesRegistry.onDidAddLanguages(function(e){return t._registerLanguages(e)}))}return e.prototype._registerCompatModes=function(e){for(var t=[],n=0;n<e.length;n++){var r=e[n];this._registerLanguage({id:r.id,extensions:r.extensions,filenames:r.filenames,firstLine:r.firstLine,aliases:r.aliases,mimetypes:r.mimetypes}),this.compatModes[r.id]={moduleId:r.moduleId,ctorName:r.ctorName},t.push(r.id)}this._onDidAddModes.fire(t)},e.prototype._registerLanguages=function(e){for(var t=[],n=0;n<e.length;n++)this._registerLanguage(e[n]),t.push(e[n].id);this._onDidAddModes.fire(t)},e.prototype._setLanguageName=function(e,t,n){var r=this.id2Name[e];if(r){if(!n)return;delete this.name2LanguageId[r]}this.name2LanguageId[t]=e,this.id2Name[e]=t},e.prototype._registerLanguage=function(e){this.knownModeIds[e.id]=!0;var t=null;if("undefined"!=typeof e.mimetypes&&Array.isArray(e.mimetypes))for(var r=0;r<e.mimetypes.length;r++)t||(t=e.mimetypes[r]),this.mime2LanguageId[e.mimetypes[r]]=e.id;if(t||(t="text/x-"+e.id,this.mime2LanguageId[t]=e.id),Array.isArray(e.extensions)){this.id2Extensions[e.id]=this.id2Extensions[e.id]||[];for(var s=0,a=e.extensions;s<a.length;s++){var u=a[s];i.registerTextMime({mime:t,extension:u}),this.id2Extensions[e.id].push(u)}}if(Array.isArray(e.filenames))for(var c=0,l=e.filenames;c<l.length;c++){var d=l[c];i.registerTextMime({mime:t,filename:d})}if(Array.isArray(e.filenamePatterns))for(var h=0,f=e.filenamePatterns;h<f.length;h++){var p=f[h];i.registerTextMime({mime:t,filepattern:p})}if("string"==typeof e.firstLine&&e.firstLine.length>0){var g=e.firstLine;"^"!==g.charAt(0)&&(g="^"+g);try{var m=new RegExp(g);o.regExpLeadsToEndlessLoop(m)||i.registerTextMime({mime:t,firstline:m})}catch(v){n.onUnexpectedError(v)}}if(this.lowerName2Id[e.id.toLowerCase()]=e.id,"undefined"!=typeof e.aliases&&Array.isArray(e.aliases))for(var r=0;r<e.aliases.length;r++)e.aliases[r]&&0!==e.aliases[r].length&&(this.lowerName2Id[e.aliases[r].toLowerCase()]=e.id);var _="undefined"!=typeof e.aliases&&Array.isArray(e.aliases)&&e.aliases.length>0;if(_&&null===e.aliases[0]);else{var y=(_?e.aliases[0]:null)||e.id;this._setLanguageName(e.id,y,_)}"string"==typeof e.configuration&&(this.id2ConfigurationFiles[e.id]=this.id2ConfigurationFiles[e.id]||[],this.id2ConfigurationFiles[e.id].push(e.configuration))},e.prototype.isRegisteredMode=function(e){return!!a.call(this.mime2LanguageId,e)||a.call(this.knownModeIds,e)},e.prototype.getRegisteredModes=function(){return Object.keys(this.knownModeIds)},e.prototype.getRegisteredLanguageNames=function(){return Object.keys(this.name2LanguageId)},e.prototype.getLanguageName=function(e){return this.id2Name[e]||null},e.prototype.getModeIdForLanguageNameLowercase=function(e){return this.lowerName2Id[e]||null},e.prototype.getConfigurationFiles=function(e){return this.id2ConfigurationFiles[e]||[]},e.prototype.getMimeForMode=function(e){for(var t=Object.keys(this.mime2LanguageId),n=0,r=t.length;n<r;n++){var i=t[n],o=this.mime2LanguageId[i];if(o===e)return i}return null},e.prototype.extractModeIds=function(e){var t=this;return e?e.split(",").map(function(e){return e.trim()}).map(function(e){return t.mime2LanguageId[e]||e}).filter(function(e){return t.knownModeIds[e]}):[]},e.prototype.getModeIdsFromLanguageName=function(e){return e&&a.call(this.name2LanguageId,e)?[this.name2LanguageId[e]]:[]},e.prototype.getModeIdsFromFilenameOrFirstLine=function(e,t){if(!e&&!t)return[];var n=i.guessMimeTypes(e,t);return this.extractModeIds(n.join(","))},e.prototype.getCompatMode=function(e){return this.compatModes[e]||null},e.prototype.getExtensions=function(e){var t=this.name2LanguageId[e];return t?this.id2Extensions[t]:[]},e}();t.LanguagesRegistry=u}),define(e[50],t([0,1,89,17,19]),function(e,t,n,r,i){"use strict";function o(e){return e.length>0&&"#"===e.charAt(e.length-1)?e.substring(0,e.length-1):e}t.Extensions={JSONContribution:"base.contributions.json"};var s=function(){function e(){this.schemasById={},this.eventEmitter=new i.EventEmitter}return e.prototype.addRegistryChangedListener=function(e){return this.eventEmitter.addListener2("registryChanged",e)},e.prototype.registerSchema=function(e,t){this.schemasById[o(e)]=t,this.eventEmitter.emit("registryChanged",{})},e.prototype.getSchemaContributions=function(){return{schemas:this.schemasById}},e}(),a=new s;r.Registry.add(t.Extensions.JSONContribution,a),a.registerSchema("http://json-schema.org/draft-04/schema#",{id:"http://json-schema.org/draft-04/schema#",title:n.localize(0,null),$schema:"http://json-schema.org/draft-04/schema#",definitions:{schemaArray:{type:"array",minItems:1,items:{$ref:"#"}},positiveInteger:{type:"integer",minimum:0},positiveIntegerDefault0:{allOf:[{$ref:"#/definitions/positiveInteger"},{"default":0}]},simpleTypes:{type:"string","enum":["array","boolean","integer","null","number","object","string"]},stringArray:{type:"array",items:{type:"string"},minItems:1,uniqueItems:!0}},type:"object",properties:{id:{type:"string",format:"uri",description:n.localize(1,null)},$schema:{type:"string",format:"uri",description:n.localize(2,null)},title:{type:"string",description:n.localize(3,null)},description:{type:"string",description:n.localize(4,null)},"default":{description:n.localize(5,null)},multipleOf:{type:"number",minimum:0,exclusiveMinimum:!0,description:n.localize(6,null)},maximum:{type:"number",description:n.localize(7,null)},exclusiveMaximum:{type:"boolean","default":!1,description:n.localize(8,null)},minimum:{type:"number",description:n.localize(9,null)},exclusiveMinimum:{type:"boolean","default":!1,description:n.localize(10,null)},maxLength:{allOf:[{$ref:"#/definitions/positiveInteger"}],description:n.localize(11,null)},minLength:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}],description:n.localize(12,null)},pattern:{type:"string",format:"regex",description:n.localize(13,null)},additionalItems:{anyOf:[{type:"boolean"},{$ref:"#"}],"default":{},description:n.localize(14,null)},items:{anyOf:[{$ref:"#"},{$ref:"#/definitions/schemaArray"}],"default":{},description:n.localize(15,null)},maxItems:{allOf:[{$ref:"#/definitions/positiveInteger"}],description:n.localize(16,null)},minItems:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}],description:n.localize(17,null)},uniqueItems:{type:"boolean","default":!1,description:n.localize(18,null)
},maxProperties:{allOf:[{$ref:"#/definitions/positiveInteger"}],description:n.localize(19,null)},minProperties:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}],description:n.localize(20,null)},required:{allOf:[{$ref:"#/definitions/stringArray"}],description:n.localize(21,null)},additionalProperties:{anyOf:[{type:"boolean"},{$ref:"#"}],"default":{},description:n.localize(22,null)},definitions:{type:"object",additionalProperties:{$ref:"#"},"default":{},description:n.localize(23,null)},properties:{type:"object",additionalProperties:{$ref:"#"},"default":{},description:n.localize(24,null)},patternProperties:{type:"object",additionalProperties:{$ref:"#"},"default":{},description:n.localize(25,null)},dependencies:{type:"object",additionalProperties:{anyOf:[{$ref:"#"},{$ref:"#/definitions/stringArray"}]},description:n.localize(26,null)},"enum":{type:"array",minItems:1,uniqueItems:!0,description:n.localize(27,null)},type:{anyOf:[{$ref:"#/definitions/simpleTypes"},{type:"array",items:{$ref:"#/definitions/simpleTypes"},minItems:1,uniqueItems:!0}],description:n.localize(28,null)},format:{anyOf:[{type:"string",description:n.localize(29,null),"enum":["date-time","uri","email","hostname","ipv4","ipv6","regex"]},{type:"string"}]},allOf:{allOf:[{$ref:"#/definitions/schemaArray"}],description:n.localize(30,null)},anyOf:{allOf:[{$ref:"#/definitions/schemaArray"}],description:n.localize(31,null)},oneOf:{allOf:[{$ref:"#/definitions/schemaArray"}],description:n.localize(32,null)},not:{allOf:[{$ref:"#"}],description:n.localize(33,null)}},dependencies:{exclusiveMaximum:["maximum"],exclusiveMinimum:["minimum"]},"default":{}})}),define(e[45],t([0,1,88,2,16,20,50,17]),function(e,t,n,r,i,o,s,a){"use strict";function u(e,t,r){if(!t)return r.push(n.localize(0,null)),!1;if("string"!=typeof t.publisher)return r.push(n.localize(1,null,"publisher")),!1;if("string"!=typeof t.name)return r.push(n.localize(2,null,"name")),!1;if("string"!=typeof t.version)return r.push(n.localize(3,null,"version")),!1;if(!t.engines)return r.push(n.localize(4,null,"engines")),!1;if("string"!=typeof t.engines.vscode)return r.push(n.localize(5,null,"engines.vscode")),!1;if("undefined"!=typeof t.extensionDependencies&&!c(t.extensionDependencies))return r.push(n.localize(6,null,"extensionDependencies")),!1;if("undefined"!=typeof t.activationEvents){if(!c(t.activationEvents))return r.push(n.localize(7,null,"activationEvents")),!1;if("undefined"==typeof t.main)return r.push(n.localize(8,null,"activationEvents","main")),!1}if("undefined"!=typeof t.main){if("string"!=typeof t.main)return r.push(n.localize(9,null,"main")),!1;var o=i.normalize(i.join(e,t.main));if(o.indexOf(e)&&r.push(n.localize(10,null,o,e)),"undefined"==typeof t.activationEvents)return r.push(n.localize(11,null,"activationEvents","main")),!1}return!0}function c(e){if(!Array.isArray(e))return!1;for(var t=0,n=e.length;t<n;t++)if("string"!=typeof e[t])return!1;return!0}var l=function(){function e(e,t){this._messageHandler=e,this._source=t}return e.prototype._msg=function(e,t){this._messageHandler({type:e,message:t,source:this._source})},e.prototype.error=function(e){this._msg(o["default"].Error,e)},e.prototype.warn=function(e){this._msg(o["default"].Warning,e)},e.prototype.info=function(e){this._msg(o["default"].Info,e)},e}();t.isValidExtensionDescription=u;var d=Object.hasOwnProperty,h=a.Registry.as(s.Extensions.JSONContribution),f=function(){function e(e,t){this.name=e,this._registry=t,this._handler=null,this._messageHandler=null}return e.prototype.setHandler=function(e){if(this._handler)throw new Error("Handler already set!");this._handler=e,this._handle()},e.prototype.handle=function(e){this._messageHandler=e,this._handle()},e.prototype._handle=function(){var e=this;this._handler&&this._messageHandler&&this._registry.registerPointListener(this.name,function(t){var n=t.map(function(t){return{description:t,value:t.contributes[e.name],collector:new l(e._messageHandler,t.extensionFolderPath)}});e._handler(n)})},e}(),p="vscode://schemas/vscode-extensions",g={"default":{name:"{{name}}",description:"{{description}}",author:"{{author}}",version:"{{1.0.0}}",main:"{{pathToMain}}",dependencies:{}},properties:{displayName:{description:n.localize(12,null),type:"string"},categories:{description:n.localize(13,null),type:"array",items:{type:"string","enum":["Languages","Snippets","Linters","Themes","Debuggers","Productivity","Other"]}},galleryBanner:{type:"object",description:n.localize(14,null),properties:{color:{description:n.localize(15,null),type:"string"},theme:{description:n.localize(16,null),type:"string","enum":["dark","light"]}}},publisher:{description:n.localize(17,null),type:"string"},activationEvents:{description:n.localize(18,null),type:"array",items:{type:"string"}},extensionDependencies:{description:n.localize(19,null),type:"array",items:{type:"string"}},scripts:{type:"object",properties:{"vscode:prepublish":{description:n.localize(20,null),type:"string"}}},contributes:{description:n.localize(21,null),type:"object",properties:{},"default":{}}}},m=function(){function e(){this._extensionsMap={},this._extensionsArr=[],this._activationMap={},this._pointListeners=[],this._extensionPoints={},this._oneTimeActivationEventListeners={}}return e.prototype.registerPointListener=function(t,n){var r={extensionPoint:t,listener:n};this._pointListeners.push(r),this._triggerPointListener(r,e._filterWithExtPoint(this.getAllExtensionDescriptions(),t))},e.prototype.registerExtensionPoint=function(e,t){if(d.call(this._extensionPoints,e))throw new Error("Duplicate extension point: "+e);var n=new f(e,this);return this._extensionPoints[e]=n,g.properties.contributes.properties[e]=t,h.registerSchema(p,g),n},e.prototype.handleExtensionPoints=function(e){var t=this;Object.keys(this._extensionPoints).forEach(function(n){t._extensionPoints[n].handle(e)})},e.prototype._triggerPointListener=function(e,t){if(t&&0!==t.length)try{e.listener(t)}catch(n){r.onUnexpectedError(n)}},e.prototype.registerExtensions=function(t){for(var n=0,r=t.length;n<r;n++){var i=t[n];if(d.call(this._extensionsMap,i.id))console.error("Extension `"+i.id+"` is already registered");else if(this._extensionsMap[i.id]=i,this._extensionsArr.push(i),Array.isArray(i.activationEvents))for(var o=0,s=i.activationEvents.length;o<s;o++){var a=i.activationEvents[o];this._activationMap[a]=this._activationMap[a]||[],this._activationMap[a].push(i)}}for(var n=0,r=this._pointListeners.length;n<r;n++){var u=this._pointListeners[n],c=e._filterWithExtPoint(t,u.extensionPoint);this._triggerPointListener(u,c)}},e._filterWithExtPoint=function(e,t){return e.filter(function(e){return e.contributes&&d.call(e.contributes,t)})},e.prototype.getExtensionDescriptionsForActivationEvent=function(e){return d.call(this._activationMap,e)?this._activationMap[e].slice(0):[]},e.prototype.getAllExtensionDescriptions=function(){return this._extensionsArr.slice(0)},e.prototype.getExtensionDescription=function(e){return d.call(this._extensionsMap,e)?this._extensionsMap[e]:null},e.prototype.registerOneTimeActivationEventListener=function(e,t){d.call(this._oneTimeActivationEventListeners,e)||(this._oneTimeActivationEventListeners[e]=[]),this._oneTimeActivationEventListeners[e].push(t)},e.prototype.triggerActivationEventListeners=function(e){if(d.call(this._oneTimeActivationEventListeners,e)){var t=this._oneTimeActivationEventListeners[e];delete this._oneTimeActivationEventListeners[e];for(var n=0,i=t.length;n<i;n++){var o=t[n];try{o()}catch(s){r.onUnexpectedError(s)}}}},e}(),v={ExtensionsRegistry:"ExtensionsRegistry"};a.Registry.add(v.ExtensionsRegistry,new m),t.ExtensionsRegistry=a.Registry.as(v.ExtensionsRegistry),h.registerSchema(p,g)}),define(e[112],t([0,1,86,8,17,18,45,50]),function(e,t,n,r,i,o,s,a){"use strict";t.Extensions={Configuration:"base.contributions.configuration"};var u="vscode://schemas/settings",c=i.Registry.as(a.Extensions.JSONContribution),l=function(){function e(){this.configurationContributors=[],this.configurationSchema={allOf:[]},this._onDidRegisterConfiguration=new r.Emitter,c.registerSchema(u,this.configurationSchema)}return Object.defineProperty(e.prototype,"onDidRegisterConfiguration",{get:function(){return this._onDidRegisterConfiguration.event},enumerable:!0,configurable:!0}),e.prototype.registerConfiguration=function(e){this.configurationContributors.push(e),this.registerJSONConfiguration(e),this._onDidRegisterConfiguration.fire(this)},e.prototype.getConfigurations=function(){return this.configurationContributors.slice(0)},e.prototype.registerJSONConfiguration=function(e){var t=o.clone(e);this.configurationSchema.allOf.push(t),c.registerSchema(u,this.configurationSchema)},e}(),d=new l;i.Registry.add(t.Extensions.Configuration,d);var h=s.ExtensionsRegistry.registerExtensionPoint("configuration",{description:n.localize(0,null),type:"object",defaultSnippets:[{body:{title:"",properties:{}}}],properties:{title:{description:n.localize(1,null),type:"string"},properties:{description:n.localize(2,null),type:"object",additionalProperties:{$ref:"http://json-schema.org/draft-04/schema#"}}}});h.setHandler(function(e){for(var t=0;t<e.length;t++){var r=e[t].value,i=e[t].collector;if(r.type&&"object"!==r.type?i.warn(n.localize(3,null)):r.type="object",r.title&&"string"!=typeof r.title&&i.error(n.localize(4,null)),r.properties&&"object"!=typeof r.properties)return void i.error(n.localize(5,null));var s=o.clone(r);s.id=e[t].description.id,d.registerConfiguration(s)}})}),define(e[60],t([0,1,116,112,17,83,22]),function(e,t,n,r,i,o,s){"use strict";function a(e){if(e){var t=n.fuzzyContiguousFilter,r=[];return r.push({currentWord:e.currentWord,suggestions:e.suggestions.filter(function(n){return!!t(e.currentWord,n.label)}),incomplete:e.incomplete}),r}}var u=function(){function e(e,t){this._editorWorkerService=e,this._configurationService=t}return Object.defineProperty(e.prototype,"triggerCharacters",{get:function(){return[]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"shouldAutotriggerSuggest",{get:function(){return!0},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"filter",{get:function(){return n.matchesStrictPrefix},enumerable:!0,configurable:!0}),e.prototype.provideCompletionItems=function(e,t,n){var r=this._configurationService.getConfiguration("editor");return!r||r.wordBasedSuggestions?s.wireCancellationToken(n,this._editorWorkerService.textualSuggest(e.uri,t)):[]},e._c=i.Registry.as(r.Extensions.Configuration).registerConfiguration({type:"object",order:5.1,properties:{"editor.wordBasedSuggestions":{type:"boolean",description:o.localize(0,null),"default":!0}}}),e}();t.TextualSuggestSupport=u,t.filterSuggestions=a});var r=this&&this.__decorate||function(e,t,n,r){var i,o=arguments.length,s=o<3?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(o<3?i(s):o>3?i(t,n,s):i(t,n))||s);return o>3&&s&&Object.defineProperty(t,n,s),s},i=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define(e[59],t([0,1,19,4,24,5,48,30,60,93,25]),function(e,t,o,s,a,u,c,l,d,h,f){"use strict";function p(e){return void 0===e&&(e=""),f.createWordRegExp(e)}function g(){return{tokenizationSupport:!0}}t.createWordRegExp=p;var m=function(){function e(e,t,n,r,i){this._descriptor=e,this._workerDescriptor=a.createAsyncDescriptor1(t,n),this._superWorkerModuleId=r,this._instantiationService=i,this._workerPiecePromise=null}return e.prototype.worker=function(e){return this._getOrCreateWorker().then(e)},e.prototype._getOrCreateWorker=function(){var t=this;if(!this._workerPiecePromise){var n=this._superWorkerModuleId?e._loadModule(this._superWorkerModuleId):s.TPromise.as(null);this._workerPiecePromise=n.then(function(){return e._loadModule(t._workerDescriptor.moduleName)}).then(function(){return t._instantiationService.createInstance(t._workerDescriptor,t._descriptor.id)})}return this._workerPiecePromise},e._loadModule=function(e){return new s.TPromise(function(t,n,r){self.require([e],t,n)},function(){})},e}();t.ModeWorkerManager=m;var v=function(){function e(e){this._modeId=e,this._eventEmitter=new o.EventEmitter,this._simplifiedMode=null}return e.prototype.getId=function(){return this._modeId},e.prototype.toSimplifiedMode=function(){return this._simplifiedMode||(this._simplifiedMode=new _(this)),this._simplifiedMode},e.prototype.addSupportChangedListener=function(e){return this._eventEmitter.addListener2("modeSupportChanged",e)},e.prototype.setTokenizationSupport=function(e){var t=this,n=e(this);return this.tokenizationSupport=n,this._eventEmitter.emit("modeSupportChanged",g()),{dispose:function(){t.tokenizationSupport===n&&(delete t.tokenizationSupport,t._eventEmitter.emit("modeSupportChanged",g()))}}},e}();t.AbstractMode=v;var _=function(){function e(e){var t=this;this._sourceMode=e,this._eventEmitter=new o.EventEmitter,this._id="vs.editor.modes.simplifiedMode:"+e.getId(),this._assignSupports(),this._sourceMode.addSupportChangedListener&&this._sourceMode.addSupportChangedListener(function(e){t._assignSupports(),t._eventEmitter.emit("modeSupportChanged",e)})}return e.prototype.getId=function(){return this._id},e.prototype.toSimplifiedMode=function(){return this},e.prototype._assignSupports=function(){this.tokenizationSupport=this._sourceMode.tokenizationSupport},e}();t.isDigit=function(){var e="0".charCodeAt(0),t="1".charCodeAt(0),n="2".charCodeAt(0),r="3".charCodeAt(0),i="4".charCodeAt(0),o="5".charCodeAt(0),s="6".charCodeAt(0),a="7".charCodeAt(0),u="8".charCodeAt(0),c="9".charCodeAt(0),l="a".charCodeAt(0),d="b".charCodeAt(0),h="c".charCodeAt(0),f="d".charCodeAt(0),p="e".charCodeAt(0),g="f".charCodeAt(0),m="A".charCodeAt(0),v="B".charCodeAt(0),_="C".charCodeAt(0),y="D".charCodeAt(0),k="E".charCodeAt(0),b="F".charCodeAt(0);return function(C,E){var S=C.charCodeAt(0);switch(E){case 1:return S===e;case 2:return S>=e&&S<=t;case 3:return S>=e&&S<=n;case 4:return S>=e&&S<=r;case 5:return S>=e&&S<=i;case 6:return S>=e&&S<=o;case 7:return S>=e&&S<=s;case 8:return S>=e&&S<=a;case 9:return S>=e&&S<=u;case 10:return S>=e&&S<=c;case 11:return S>=e&&S<=c||S===l||S===m;case 12:return S>=e&&S<=c||S>=l&&S<=d||S>=m&&S<=v;case 13:return S>=e&&S<=c||S>=l&&S<=h||S>=m&&S<=_;case 14:return S>=e&&S<=c||S>=l&&S<=f||S>=m&&S<=y;case 15:return S>=e&&S<=c||S>=l&&S<=p||S>=m&&S<=k;default:return S>=e&&S<=c||S>=l&&S<=g||S>=m&&S<=b}}}();var y=function(e){function t(t,n,r){e.call(this,t.id),r&&l.SuggestRegistry.register(this.getId(),new d.TextualSuggestSupport(r,n),!0)}return n(t,e),t=r([i(1,c.IConfigurationService),i(2,u.optional(h.IEditorWorkerService))],t)}(v);t.FrankensteinMode=y}),define(e[115],t([0,1,87,20,4,46,45]),function(e,t,n,r,i,o,s){"use strict";var a=Object.hasOwnProperty,u=function(){function e(e){this.activationFailed=e}return e}();t.ActivatedExtension=u;var c=function(){function e(e){var t=this;this.serviceId=o.IExtensionService,e?(this._onReady=i.TPromise.as(!0),this._onReadyC=function(e){}):this._onReady=new i.TPromise(function(e,n,r){t._onReadyC=e},function(){console.warn("You should really not try to cancel this ready promise!")}),this._activatingExtensions={},this._activatedExtensions={}}return e.prototype._triggerOnReady=function(){this._onReadyC(!0)},e.prototype.onReady=function(){return this._onReady},e.prototype.getExtensionsStatus=function(){return null},e.prototype.isActivated=function(e){return a.call(this._activatedExtensions,e)},e.prototype.activateByEvent=function(e){var t=this;return this._onReady.then(function(){s.ExtensionsRegistry.triggerActivationEventListeners(e);var n=s.ExtensionsRegistry.getExtensionDescriptionsForActivationEvent(e);return t._activateExtensions(n,0)})},e.prototype.activateById=function(e){var t=this;return this._onReady.then(function(){var n=s.ExtensionsRegistry.getExtensionDescription(e);if(!n)throw new Error("Extension `"+e+"` is not known");return t._activateExtensions([n],0)})},e.prototype._handleActivateRequest=function(e,t,i){for(var o="undefined"==typeof e.extensionDependencies?[]:e.extensionDependencies,u=!0,c=0,l=o.length;c<l;c++){var d=o[c],h=s.ExtensionsRegistry.getExtensionDescription(d);if(!h)return this._showMessage(r["default"].Error,n.localize(0,null,d,e.id)),void(this._activatedExtensions[e.id]=this._createFailedExtension());if(a.call(this._activatedExtensions,d)){var f=this._activatedExtensions[d];if(f.activationFailed)return this._showMessage(r["default"].Error,n.localize(1,null,d,e.id)),void(this._activatedExtensions[e.id]=this._createFailedExtension())}else u=!1,t[d]=h}u?t[e.id]=e:i.push(e)},e.prototype._activateExtensions=function(e,t){var o=this;if(0===e.length)return i.TPromise.as(void 0);if(e=e.filter(function(e){return!a.call(o._activatedExtensions,e.id)}),0===e.length)return i.TPromise.as(void 0);if(t>10){for(var s=0,u=e.length;s<u;s++)this._showMessage(r["default"].Error,n.localize(2,null,e[s].id)),this._activatedExtensions[e[s].id]=this._createFailedExtension();return i.TPromise.as(void 0)}for(var c=Object.create(null),l=[],s=0,u=e.length;s<u;s++)this._handleActivateRequest(e[s],c,l);for(var s=0,u=l.length;s<u;s++)c[l[s].id]&&delete c[l[s].id];var d=Object.keys(c).map(function(e){return c[e]});return 0===l.length?i.TPromise.join(d.map(function(e){return o._activateExtension(e)})).then(function(e){}):this._activateExtensions(d,t+1).then(function(e){return o._activateExtensions(l,t+1)})},e.prototype._activateExtension=function(e){var t=this;return a.call(this._activatedExtensions,e.id)?i.TPromise.as(void 0):a.call(this._activatingExtensions,e.id)?this._activatingExtensions[e.id]:(this._activatingExtensions[e.id]=this._actualActivateExtension(e).then(null,function(i){return t._showMessage(r["default"].Error,n.localize(3,null,e.id,i.message)),console.error("Activating extension `"+e.id+"` failed: ",i.message),console.log("Here is the error stack: ",i.stack),t._createFailedExtension()}).then(function(n){t._activatedExtensions[e.id]=n,delete t._activatingExtensions[e.id]}),this._activatingExtensions[e.id])},e}();t.AbstractExtensionService=c}),define(e[44],t([0,1,5]),function(e,t,n){"use strict";t.IRequestService=n.createDecorator("requestService")}),define(e[29],t([0,1,4,49,5]),function(e,t,n,r,i){"use strict";function o(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return{log:function(t,n){return e.forEach(function(e){return e.log(t,n)})}}}function s(e){if(!e)return e;for(var t="",n=0;n<e.length;n++){var r=e[n];t+=r>="0"&&r<="9"?"0":r>="a"&&r<="z"?"a":r>="A"&&r<="Z"?"A":r}return t}t.ITelemetryService=i.createDecorator("telemetryService"),t.NullTelemetryService={serviceId:void 0,timedPublicLog:function(e,t){return r.nullEvent},publicLog:function(e,t){return n.TPromise.as(null)},isOptedIn:!0,getTelemetryInfo:function(){return n.TPromise.as({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId"})}},t.combinedAppender=o,t.NullAppender={log:function(){return null}},t.anonymize=s}),define(e[118],t([0,1,13,4,58,3,49,22,18,44,29]),function(e,t,n,r,i,o,s,a,u,c,l){"use strict";var d=function(){function e(e,t){void 0===t&&(t=l.NullTelemetryService),this.serviceId=c.IRequestService;var n=null,r=e.getWorkspace();this._serviceMap=r||Object.create(null),this._telemetryService=t,r&&(n=o.rtrim(r.resource.toString(),"/")+"/"),this.computeOrigin(n)}return e.prototype.computeOrigin=function(e){if(e){this._origin=e;var t=n["default"].parse(this._origin).path;t&&t.length>0&&(this._origin=this._origin.substring(0,this._origin.length-t.length+1)),o.endsWith(this._origin,"/")||(this._origin+="/")}else this._origin="/"},e.prototype.makeCrossOriginRequest=function(e){return null},e.prototype.makeRequest=function(e){var t=s.nullEvent,n=!1,c=e.url;if(!c)throw new Error("IRequestService.makeRequest: Url is required");if((o.startsWith(c,"http://")||o.startsWith(c,"https://"))&&this._origin&&!o.startsWith(c,this._origin)){var l=this.makeCrossOriginRequest(e);if(l)return l;n=!0}var d=e,h=r.TPromise.as(void 0);return n||(d=this._telemetryService.getTelemetryInfo().then(function(e){var t={};t["X-TelemetrySession"]=e.sessionId,t["X-Requested-With"]="XMLHttpRequest",d.headers=u.mixin(d.headers,t)})),e.timeout&&(d.customRequestInitializer=function(t){t.timeout=e.timeout}),h.then(function(){return a.always(i.xhr(d),function(e){t.data&&(t.data.status=e.status),t.stop()})})},e}();t.BaseRequestService=d}),define(e[10],t([0,1,5]),function(e,t,n){"use strict";t.IThreadService=n.createDecorator("threadService");var r=function(){function e(){}return e}();t.IRemotableCtorMap=r;var i=function(){function e(){}return e}();t.IRemotableCtorAffinityMap=i;var o=function(){function e(){}return e.getId=function(t){return t[e.PROP_NAME]||null},e.MainContext=function(t){return function(n){e._ensureUnique(t),e.Registry.MainContext[t]=n,n[e.PROP_NAME]=t}},e.ExtHostContext=function(t){return function(n){e._ensureUnique(t),e.Registry.ExtHostContext[t]=n,n[e.PROP_NAME]=t}},e.WorkerContext=function(t,n){return function(r){e._ensureUnique(t),e.Registry.WorkerContext[t]={ctor:r,affinity:n},r[e.PROP_NAME]=t}},e._ensureUnique=function(t){if(e.Registry.MainContext[t]||e.Registry.ExtHostContext[t]||e.Registry.WorkerContext[t])throw new Error("Duplicate Remotable identifier found")},e.PROP_NAME="$__REMOTABLE_ID",e.Registry={MainContext:Object.create(null),ExtHostContext:Object.create(null),WorkerContext:Object.create(null)},e}();t.Remotable=o,function(e){e[e.None=0]="None",e[e.Group1=1]="Group1",e[e.Group2=2]="Group2",e[e.Group3=3]="Group3",e[e.Group4=4]="Group4",e[e.Group5=5]="Group5",e[e.Group6=6]="Group6",e[e.Group7=7]="Group7",e[e.Group8=8]="Group8",e[e.Group9=9]="Group9",e[e.All=10]="All"}(t.ThreadAffinity||(t.ThreadAffinity={}));t.ThreadAffinity}),define(e[120],t([0,1,84,2,8,12,18,16,4,64,24,46,45,10,59,63,109,26,48,32,21]),function(e,t,o,s,a,u,c,l,d,h,f,p,g,m,v,_,y,k,b,C,E){"use strict";function S(e){return"undefined"==typeof e||!!Array.isArray(e)&&e.every(function(e){return"string"==typeof e})}function I(e,t){return e?"string"!=typeof e.id?(t.error(o.localize(10,null,"id")),!1):S(e.extensions)?S(e.filenames)?"undefined"!=typeof e.firstLine&&"string"!=typeof e.firstLine?(t.error(o.localize(13,null,"firstLine")),!1):"undefined"!=typeof e.configuration&&"string"!=typeof e.configuration?(t.error(o.localize(14,null,"configuration")),!1):S(e.aliases)?!!S(e.mimetypes)||(t.error(o.localize(16,null,"mimetypes")),!1):(t.error(o.localize(15,null,"aliases")),!1):(t.error(o.localize(12,null,"filenames")),!1):(t.error(o.localize(11,null,"extensions")),!1):(t.error(o.localize(9,null,T.name)),!1)}var T=g.ExtensionsRegistry.registerExtensionPoint("languages",{description:o.localize(0,null),type:"array",defaultSnippets:[{body:[{id:"",aliases:[],extensions:[]}]}],items:{type:"object",defaultSnippets:[{body:{id:"",extensions:[]}}],properties:{id:{description:o.localize(1,null),type:"string"},aliases:{description:o.localize(2,null),type:"array",items:{type:"string"}},extensions:{description:o.localize(3,null),"default":[".foo"],type:"array",items:{type:"string"}},filenames:{description:o.localize(4,null),type:"array",items:{type:"string"}},filenamePatterns:{description:o.localize(5,null),type:"array",items:{type:"string"}},mimetypes:{description:o.localize(6,null),type:"array",items:{type:"string"}},firstLine:{description:o.localize(7,null),type:"string"},configuration:{description:o.localize(8,null),type:"string"}}}}),M=function(){function e(e,t){var n=this;this.serviceId=k.IModeService,this._onDidAddModes=new a.Emitter,this.onDidAddModes=this._onDidAddModes.event,this._onDidCreateMode=new a.Emitter,this.onDidCreateMode=this._onDidCreateMode.event,this._threadService=e,this._extensionService=t,this._activationPromises={},this._instantiatedModes={},this._config={},this._registry=new y.LanguagesRegistry,this._registry.onDidAddModes(function(e){return n._onDidAddModes.fire(e)})}return e.prototype.getConfigurationForMode=function(e){return this._config[e]||{}},e.prototype.configureMode=function(e,t){var n=this.getModeId(e);n&&this.configureModeById(n,t)},e.prototype.configureModeById=function(e,t){var n=this._config[e]||{},r=c.mixin(c.clone(n),t);if(!c.equals(n,r)){this._config[e]=r;var i=this.getMode(e);i&&i.configSupport&&i.configSupport.configure(this.getConfigurationForMode(e))}},e.prototype.configureAllModes=function(e){var t=this;if(e){var n=this._registry.getRegisteredModes();n.forEach(function(n){var r=e[n];t.configureModeById(n,r)})}},e.prototype.isRegisteredMode=function(e){return this._registry.isRegisteredMode(e)},e.prototype.isCompatMode=function(e){var t=this._registry.getCompatMode(e);return!!t},e.prototype.getRegisteredModes=function(){return this._registry.getRegisteredModes()},e.prototype.getRegisteredLanguageNames=function(){return this._registry.getRegisteredLanguageNames()},e.prototype.getExtensions=function(e){return this._registry.getExtensions(e)},e.prototype.getMimeForMode=function(e){return this._registry.getMimeForMode(e)},e.prototype.getLanguageName=function(e){return this._registry.getLanguageName(e)},e.prototype.getModeIdForLanguageName=function(e){return this._registry.getModeIdForLanguageNameLowercase(e)},e.prototype.getModeId=function(e){var t=this._registry.extractModeIds(e);return t.length>0?t[0]:null},e.prototype.getConfigurationFiles=function(e){return this._registry.getConfigurationFiles(e)},e.prototype.lookup=function(e){for(var t=[],n=this._registry.extractModeIds(e),r=0;r<n.length;r++){var i=n[r];t.push({modeId:i,isInstantiated:this._instantiatedModes.hasOwnProperty(i)})}return t},e.prototype.getMode=function(e){for(var t=this._registry.extractModeIds(e),n=!1,r=0;r<t.length;r++){if(this._instantiatedModes.hasOwnProperty(t[r]))return this._instantiatedModes[t[r]];n=n||"plaintext"===t[r]}if(n){var i=null;return this.getOrCreateMode(e).then(function(e){i=e}).done(null,s.onUnexpectedError),i}},e.prototype.getModeIdByLanguageName=function(e){var t=this._registry.getModeIdsFromLanguageName(e);return t.length>0?t[0]:null},e.prototype.getModeIdByFilenameOrFirstLine=function(e,t){var n=this._registry.getModeIdsFromFilenameOrFirstLine(e,t);return n.length>0?n[0]:null},e.prototype.onReady=function(){return this._extensionService.onReady()},e.prototype.getOrCreateMode=function(e){var t=this;return this.onReady().then(function(){var n=t.getModeId(e);return t._getOrCreateMode(n||"plaintext")})},e.prototype.getOrCreateModeByLanguageName=function(e){var t=this;return this.onReady().then(function(){var n=t.getModeIdByLanguageName(e);return t._getOrCreateMode(n||"plaintext")})},e.prototype.getOrCreateModeByFilenameOrFirstLine=function(e,t){var n=this;return this.onReady().then(function(){var r=n.getModeIdByFilenameOrFirstLine(e,t);return n._getOrCreateMode(r||"plaintext")})},e.prototype._getOrCreateMode=function(e){var t=this;if(this._instantiatedModes.hasOwnProperty(e))return d.TPromise.as(this._instantiatedModes[e]);if(this._activationPromises.hasOwnProperty(e))return this._activationPromises[e];var n,r,i=new d.TPromise(function(e,t,i){n=e,r=t});return this._activationPromises[e]=i,this._createMode(e).then(function(n){return t._instantiatedModes[e]=n,delete t._activationPromises[e],t._onDidCreateMode.fire(n),t._extensionService.activateByEvent("onLanguage:"+e).done(null,s.onUnexpectedError),t._instantiatedModes[e]}).then(n,r),i},e.prototype._createMode=function(e){var t=this,n=this._createModeDescriptor(e),r=this._registry.getCompatMode(e);if(r){var i=f.createAsyncDescriptor1(r.moduleId,r.ctorName);return this._threadService.createInstance(i,n).then(function(n){return n.configSupport&&n.configSupport.configure(t.getConfigurationForMode(e)),n})}return d.TPromise.as(this._threadService.createInstance(v.FrankensteinMode,n))},e.prototype._createModeDescriptor=function(e){return{id:e}},e.prototype._registerTokenizationSupport=function(e,t){return e.setTokenizationSupport?e.setTokenizationSupport(t):(console.warn("Cannot register tokenizationSupport on mode "+e.getId()+" because it does not support it."),u.empty)},e.prototype.registerModeSupport=function(e,t){var n=this;if(this._instantiatedModes.hasOwnProperty(e))return this._registerTokenizationSupport(this._instantiatedModes[e],t);var r,i=new d.TPromise(function(e,t){r=e}),o=this.onDidCreateMode(function(i){i.getId()===e&&(r(n._registerTokenizationSupport(i,t)),o.dispose())});return{dispose:function(){i.done(function(e){return e.dispose()},null)}}},e.prototype.registerTokenizationSupport=function(e,t){return this.registerModeSupport(e,t)},e.prototype.registerTokenizationSupport2=function(e,t){return this.registerModeSupport(e,function(e){return new L(e,t)})},e}();t.ModeServiceImpl=M;var w=function(){function e(e,t,n){this._mode=e,this._actual=t,this._stateData=n}return Object.defineProperty(e.prototype,"actual",{get:function(){return this._actual},enumerable:!0,configurable:!0}),e.prototype.clone=function(){return new e(this._mode,this._actual.clone(),C.AbstractState.safeClone(this._stateData))},e.prototype.equals=function(t){return t instanceof e&&(!!this._actual.equals(t._actual)&&C.AbstractState.safeEquals(this._stateData,t._stateData))},e.prototype.getMode=function(){return this._mode},e.prototype.tokenize=function(e){throw new Error("Unexpected tokenize call!")},e.prototype.getStateData=function(){return this._stateData},e.prototype.setStateData=function(e){this._stateData=e},e}();t.TokenizationState2Adapter=w;var L=function(){function e(e,t){this.shouldGenerateEmbeddedModels=!1,this._mode=e,this._actual=t}return e.prototype.getInitialState=function(){return new w(this._mode,this._actual.getInitialState(),null)},e.prototype.tokenize=function(e,t,n,r){if(void 0===n&&(n=0),t instanceof w){var i=this._actual.tokenize(e,t.actual),o=[];return i.tokens.forEach(function(e){if("string"==typeof e.scopes)o.push(new E.Token(e.startIndex+n,e.scopes));else{if(!Array.isArray(e.scopes)||1!==e.scopes.length)throw new Error("Only token scopes as strings or of precisely 1 length are supported at this time!");o.push(new E.Token(e.startIndex+n,e.scopes[0]))}}),{tokens:o,actualStopOffset:n+e.length,endState:new w(t.getMode(),i.endState,t.getStateData()),modeTransitions:[{startIndex:n,mode:t.getMode()}]}}throw new Error("Unexpected state to tokenize with!")},e}();t.TokenizationSupport2Adapter=L;var x=function(e){function t(t,n,r){var i=this;e.call(this,t,n),this._configurationService=r,this._hasInitialized=!1,T.setHandler(function(e){for(var t=[],n=0,r=e.length;n<r;n++){var i=e[n];if(Array.isArray(i.value))for(var s=0,a=i.value.length;s<a;s++){var u=i.value[s];if(I(u,i.collector)){var c=u.configuration?l.join(i.description.extensionFolderPath,u.configuration):u.configuration;t.push({id:u.id,extensions:u.extensions,filenames:u.filenames,filenamePatterns:u.filenamePatterns,firstLine:u.firstLine,aliases:u.aliases,mimetypes:u.mimetypes,configuration:c})}}else i.collector.error(o.localize(17,null,T.name))}_.ModesRegistry.registerLanguages(t)}),this._configurationService.onDidUpdateConfiguration(function(e){return i.onConfigurationChange(e.config)})}return n(t,e),t.prototype.onReady=function(){var e=this;if(!this._onReadyPromise){var t=this._configurationService.getConfiguration();this._onReadyPromise=this._extensionService.onReady().then(function(){return e.onConfigurationChange(t),!0})}return this._onReadyPromise},t.prototype.onConfigurationChange=function(e){var t=this;h.clearTextMimes(!0),e.files&&e.files.associations&&Object.keys(e.files.associations).forEach(function(n){h.registerTextMime({mime:t.getMimeForMode(e.files.associations[n]),filepattern:n,userConfigured:!0})})},t.prototype._getModeServiceWorkerHelper=function(){var e=this._threadService.getRemotable(O);if(!this._hasInitialized){this._hasInitialized=!0;var t={compatModes:_.ModesRegistry.getCompatModes(),languages:_.ModesRegistry.getLanguages()};e._initialize(t),_.ModesRegistry.onDidAddCompatModes(function(t){return e._acceptCompatModes(t)}),_.ModesRegistry.onDidAddLanguages(function(t){
return e._acceptLanguages(t)})}return e},t.prototype.configureModeById=function(t,n){this._getModeServiceWorkerHelper().configureModeById(t,n),e.prototype.configureModeById.call(this,t,n)},t.prototype._createMode=function(t){return this._getModeServiceWorkerHelper().instantiateMode(t),e.prototype._createMode.call(this,t)},t=r([i(0,m.IThreadService),i(1,p.IExtensionService),i(2,b.IConfigurationService)],t)}(M);t.MainThreadModeServiceImpl=x;var O=function(){function e(e){this._modeService=e}return e.prototype._initialize=function(e){_.ModesRegistry.registerCompatModes(e.compatModes),_.ModesRegistry.registerLanguages(e.languages)},e.prototype._acceptCompatModes=function(e){_.ModesRegistry.registerCompatModes(e)},e.prototype._acceptLanguages=function(e){_.ModesRegistry.registerLanguages(e)},e.prototype.instantiateMode=function(e){this._modeService.getOrCreateMode(e).done(null,s.onUnexpectedError)},e.prototype.configureModeById=function(e,t){this._modeService.configureMode(e,t)},e=r([m.Remotable.WorkerContext("ModeServiceWorkerHelper",m.ThreadAffinity.All),i(0,k.IModeService)],e)}();t.ModeServiceWorkerHelper=O}),define(e[121],t([0,1,85,2,8,56,20,13,38,29,10,14,9,76,81,26,69,27,11,48,72,106]),function(e,t,n,o,s,a,u,c,l,d,h,f,p,g,m,v,_,y,k,b,C,E){"use strict";function S(e){return e.toString()}var I=function(){function e(e,t){var n=this;this.model=e,this.isSyncedToWorkers=!1,this._markerDecorations=[],this._modelEventsListener=e.addBulkListener(function(e){return t(n,e)})}return e.prototype.dispose=function(){this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,[]),this._modelEventsListener.dispose(),this._modelEventsListener=null,this.model=null},e.prototype.getModelId=function(){return S(this.model.uri)},e.prototype.acceptMarkerDecorations=function(e){this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,e)},e}(),T=function(){function e(){}return e.setMarkers=function(e,t){var n=this;t=t.slice(0,500);var r=t.map(function(t){return{range:n._createDecorationRange(e.model,t),options:n._createDecorationOption(t)}});e.acceptMarkerDecorations(r)},e._createDecorationRange=function(e,t){var n=e.validateRange(new f.Range(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn)),r=new f.Range(n.startLineNumber,n.startColumn,n.endLineNumber,n.endColumn);if(r.isEmpty()){var i=e.getWordAtPosition(r.getStartPosition());if(i)r.startColumn=i.startColumn,r.endColumn=i.endColumn;else{var o=e.getLineLastNonWhitespaceColumn(n.startLineNumber)||e.getLineMaxColumn(n.startLineNumber);1===o||(r.endColumn>=o?(r.endColumn=o,r.startColumn=o-1):r.endColumn+=1)}}else if(t.endColumn===Number.MAX_VALUE&&1===t.startColumn&&r.startLineNumber===r.endLineNumber){var s=e.getLineFirstNonWhitespaceColumn(t.startLineNumber);s<r.endColumn&&(r.startColumn=s,t.startColumn=s)}return r},e._createDecorationOption=function(e){var t,n,r,i=null;switch(e.severity){case u["default"].Ignore:break;case u["default"].Warning:case u["default"].Info:t=p.ClassName.EditorWarningDecoration,n="rgba(18,136,18,0.7)",r="rgba(18,136,18,0.7)";break;case u["default"].Error:default:t=p.ClassName.EditorErrorDecoration,n="rgba(255,18,18,0.7)",r="rgba(255,18,18,0.7)"}return"string"==typeof e.message?i=[a.textToMarkedString(e.message)]:Array.isArray(e.message)?i=e.message:e.message&&(i=[e.message]),i&&e.source&&i.unshift("["+e.source+"] "),{stickiness:p.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:t,hoverMessage:i,overviewRuler:{color:n,darkColor:r,position:p.OverviewRulerLane.Right}}},e}(),M=function(){function e(e,t,r,i,o){var a=this;this.serviceId=_.IModelService,this._modelCreationOptions={tabSize:C.DEFAULT_INDENTATION.tabSize,insertSpaces:C.DEFAULT_INDENTATION.insertSpaces,detectIndentation:C.DEFAULT_INDENTATION.detectIndentation,defaultEOL:k.isLinux||k.isMacintosh?p.DefaultEndOfLine.LF:p.DefaultEndOfLine.CRLF,trimAutoWhitespace:C.DEFAULT_TRIM_AUTO_WHITESPACE},this._threadService=e,this._markerService=t,this._modeService=r,this._workerHelper=this._threadService.getRemotable(w),this._configurationService=i,this._messageService=o,this._hasShownMigrationMessage=!1,this._models={},this._onModelAdded=new s.Emitter,this._onModelRemoved=new s.Emitter,this._onModelModeChanged=new s.Emitter,this._markerService&&(this._markerServiceSubscription=this._markerService.onMarkerChanged(this._handleMarkerChange,this));var c=function(e){var t=!1,r=C.DEFAULT_INDENTATION.tabSize;if(e.editor&&"undefined"!=typeof e.editor.tabSize){var i=parseInt(e.editor.tabSize,10);isNaN(i)||(r=i),t=t||"auto"===e.editor.tabSize}var o=C.DEFAULT_INDENTATION.insertSpaces;e.editor&&"undefined"!=typeof e.editor.insertSpaces&&(o="false"!==e.editor.insertSpaces&&Boolean(e.editor.insertSpaces),t=t||"auto"===e.editor.insertSpaces);var s=a._modelCreationOptions.defaultEOL,c=e.files&&e.files.eol;"\r\n"===c?s=p.DefaultEndOfLine.CRLF:"\n"===c&&(s=p.DefaultEndOfLine.LF);var l=a._modelCreationOptions.trimAutoWhitespace;e.editor&&"undefined"!=typeof e.editor.trimAutoWhitespace&&(l="false"!==e.editor.trimAutoWhitespace&&Boolean(e.editor.trimAutoWhitespace));var d=C.DEFAULT_INDENTATION.detectIndentation;e.editor&&"undefined"!=typeof e.editor.detectIndentation&&(d="false"!==e.editor.detectIndentation&&Boolean(e.editor.detectIndentation)),a._setModelOptions({tabSize:r,insertSpaces:o,detectIndentation:d,defaultEOL:s,trimAutoWhitespace:l}),t&&!a._hasShownMigrationMessage&&(a._hasShownMigrationMessage=!0,a._messageService.show(u["default"].Info,n.localize(0,null)))};this._configurationServiceSubscription=this._configurationService.onDidUpdateConfiguration(function(e){c(e.config)}),c(this._configurationService.getConfiguration())}return e.prototype.getCreationOptions=function(){return this._modelCreationOptions},e.prototype._setModelOptions=function(e){if(this._modelCreationOptions.detectIndentation===e.detectIndentation&&this._modelCreationOptions.insertSpaces===e.insertSpaces&&this._modelCreationOptions.tabSize===e.tabSize&&this._modelCreationOptions.trimAutoWhitespace===e.trimAutoWhitespace)return void(this._modelCreationOptions=e);this._modelCreationOptions=e;for(var t=Object.keys(this._models),n=0,r=t.length;n<r;n++){var i=t[n],o=this._models[i];this._modelCreationOptions.detectIndentation?(o.model.detectIndentation(this._modelCreationOptions.insertSpaces,this._modelCreationOptions.tabSize),o.model.updateOptions({trimAutoWhitespace:this._modelCreationOptions.trimAutoWhitespace})):o.model.updateOptions({insertSpaces:this._modelCreationOptions.insertSpaces,tabSize:this._modelCreationOptions.tabSize,trimAutoWhitespace:this._modelCreationOptions.trimAutoWhitespace})}},e.prototype.dispose=function(){this._markerServiceSubscription&&this._markerServiceSubscription.dispose(),this._configurationServiceSubscription.dispose()},e.prototype._handleMarkerChange=function(e){var t=this;e.forEach(function(e){var n=S(e),r=t._models[n];r&&T.setMarkers(r,t._markerService.read({resource:e,take:500}))})},e.prototype._shouldSyncModelToWorkers=function(e){return!e.isTooLargeForHavingARichMode()&&this._modeService.isCompatMode(e.getMode().getId())},e.prototype._createModelData=function(e,t,n){var r,i=this;r="string"==typeof e?m.Model.createFromString(e,this._modelCreationOptions,t,n):new m.Model(e,t,n);var o=S(r.uri);if(this._models[o])throw new Error("ModelService: Cannot add model "+d.anonymize(o)+" because it already exists!");var s=new I(r,function(e,t){return i._onModelEvents(e,t)});return this._models[o]=s,s},e.prototype.createModel=function(e,t,n){var r=this._createModelData(e,t,n);return this._markerService&&T.setMarkers(r,this._markerService.read({resource:r.model.uri})),this._shouldSyncModelToWorkers(r.model)&&this._beginWorkerSync(r),this._onModelAdded.fire(r.model),r.model},e.prototype.destroyModel=function(e){var t=this._models[S(e)];t&&t.model.dispose()},e.prototype.getModels=function(){for(var e=[],t=Object.keys(this._models),n=0,r=t.length;n<r;n++){var i=t[n];e.push(this._models[i].model)}return e},e.prototype.getModel=function(e){var t=S(e),n=this._models[t];return n?n.model:null},Object.defineProperty(e.prototype,"onModelAdded",{get:function(){return this._onModelAdded?this._onModelAdded.event:null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onModelRemoved",{get:function(){return this._onModelRemoved?this._onModelRemoved.event:null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onModelModeChanged",{get:function(){return this._onModelModeChanged?this._onModelModeChanged.event:null},enumerable:!0,configurable:!0}),e.prototype._beginWorkerSync=function(t){if(t.isSyncedToWorkers)throw new Error("Model is already being synced to workers!");t.isSyncedToWorkers=!0,this._workerHelper.$_acceptNewModel(e._getBoundModelData(t.model))},e.prototype._stopWorkerSync=function(e){if(!e.isSyncedToWorkers)throw new Error("Model is already not being synced to workers!");e.isSyncedToWorkers=!1,this._workerHelper.$_acceptDidDisposeModel(e.model.uri)},e.prototype._onModelDisposing=function(e){var t=S(e.uri),n=this._models[t];n.isSyncedToWorkers&&this._stopWorkerSync(n),delete this._models[t],n.dispose(),this._onModelRemoved.fire(e)},e._getBoundModelData=function(e){return{url:e.uri,versionId:e.getVersionId(),value:e.toRawText(),modeId:e.getMode().getId()}},e.prototype._onModelEvents=function(e,t){for(var n=0,r=t.length;n<r;n++){var i=t[n];if(i.getType()===p.EventType.ModelDispose)return void this._onModelDisposing(e.model)}for(var n=0,r=t.length;n<r;n++){var i=t[n];if(i.getType()===p.EventType.ModelModeChanged){var o=e.isSyncedToWorkers,s=this._shouldSyncModelToWorkers(e.model);if(this._onModelModeChanged.fire({model:e.model,oldModeId:i.getData().oldMode.getId()}),!o)return s?void this._beginWorkerSync(e):void 0;if(!s)return void this._stopWorkerSync(e);this._workerHelper.$_acceptDidChangeModelMode(e.getModelId(),e.model.getMode().getId())}}if(e.isSyncedToWorkers){for(var a={contentChanged:[]},n=0,r=t.length;n<r;n++){var i=t[n];i.getType()===p.EventType.ModelRawContentChanged&&a.contentChanged.push(i.getData())}a.contentChanged.length>0&&this._workerHelper.$_acceptModelEvents(e.getModelId(),a)}},e=r([i(0,h.IThreadService),i(1,l.IMarkerService),i(2,v.IModeService),i(3,b.IConfigurationService),i(4,E.IMessageService)],e)}();t.ModelServiceImpl=M;var w=function(){function e(e,t){this._resourceService=e,this._modeService=t}return e.prototype.$_acceptNewModel=function(e){var t=this,n=new g.MirrorModel(this._resourceService,e.versionId,e.value,null,e.url);return this._resourceService.insert(n.uri,n),this._modeService.getOrCreateMode(e.modeId).then(function(e){t._resourceService.remove(n.uri),n.setMode(e),t._resourceService.insert(n.uri,n)})},e.prototype.$_acceptDidChangeModelMode=function(e,t){var n=this,r=this._resourceService.get(c["default"].parse(e));return this._modeService.getOrCreateMode(t).then(function(e){n._resourceService.remove(r.uri),r.setMode(e),n._resourceService.insert(r.uri,r)})},e.prototype.$_acceptDidDisposeModel=function(e){var t=this._resourceService.get(e);this._resourceService.remove(e),t&&t.dispose()},e.prototype.$_acceptModelEvents=function(e,t){var n=this._resourceService.get(c["default"].parse(e));if(!n)throw new Error("Received model events for missing model "+d.anonymize(e));try{n.onEvents(t)}catch(r){o.onUnexpectedError(r)}},e=r([h.Remotable.WorkerContext("ModelServiceWorkerHelper",h.ThreadAffinity.All),i(0,y.IResourceService),i(1,v.IModeService)],e)}();t.ModelServiceWorkerHelper=w}),define(e[122],t([0,1,42,58,3,33,13,8,20,10,38]),function(e,t,o,s,a,u,c,l,d,h,f){"use strict";var p;!function(e){function t(e){var t=/^(.*)→(.*)$/.exec(e);return{owner:t[1],resource:c["default"].parse(t[2])}}function n(e){return e.owner+"→"+e.resource}function r(e,t){return new RegExp(a.format(o,e?a.escapeRegExpCharacters(e):".*",t?a.escapeRegExpCharacters(t.toString()):".*"))}function i(e,t){return e+"→"+t}e.fromValue=t,e.valueOf=n;var o="^({0})→({1})$";e.selector=r,e.raw=i}(p||(p={}));var g=function(){function e(){this.serviceId=f.IMarkerService,this._data=Object.create(null),this._stats=this._emptyStats(),this._onMarkerChanged=new l.Emitter}return e.prototype.getStatistics=function(){return this._stats},Object.defineProperty(e.prototype,"onMarkerChanged",{get:function(){return this._onMarkerChanged?this._onMarkerChanged.event:null},enumerable:!0,configurable:!0}),e.prototype.changeOne=function(e,t,n){this._doChangeOne(e,t,n)&&this._onMarkerChanged.fire([t])},e.prototype.remove=function(e,t){if(!o.isFalsyOrEmpty(t)){for(var n,r=0,i=t;r<i.length;r++){var s=i[r];this._doChangeOne(e,s,void 0)&&(n||(n=[]),n.push(s))}n&&this._onMarkerChanged.fire(n)}},e.prototype._doChangeOne=function(e,t,n){var r=p.raw(e,t),i=this._data[r],s=!o.isFalsyOrEmpty(i),a=!o.isFalsyOrEmpty(n),u=this._computeStats(i),c=this._computeStats(n);if(s||a)return a?this._data[r]=n:s&&delete this._data[r],this._isStatRelevant(t)&&(this._updateStatsMinus(u),this._updateStatsPlus(c)),!0},e.prototype.changeAll=function(e,t){var n=this,r=Object.create(null),i=this._emptyStats();if(this._forEach(e,void 0,void 0,-1,function(e,t){var o=p.fromValue(e.key).resource;n._isStatRelevant(o)&&n._updateStatsPlus(i,n._computeStats(e.value)),r[o.toString()]=o,t()}),this._updateStatsMinus(i),!o.isFalsyOrEmpty(t)){var s=this._emptyStats();t.forEach(function(t){r[t.resource.toString()]=t.resource,u.lookupOrInsert(n._data,p.raw(e,t.resource),[]).push(t.marker),n._isStatRelevant(t.resource)&&n._updateStatsMarker(s,t.marker)}),this._updateStatsPlus(s)}this._onMarkerChanged.fire(u.values(r))},e.prototype.read=function(e){var t=this;void 0===e&&(e=Object.create(null));var n=[];return this._forEach(e.owner,e.resource,e.selector,e.take,function(e){return t._fromEntry(e,n)}),n},e.prototype._isStatRelevant=function(e){return e.scheme!==s.Schemas.inMemory},e.prototype._forEach=function(e,t,n,r,i){var o=n||p.selector(e,t),s=0;u.forEach(this._data,function(e,t){if(o.test(e.key)&&(i(e,t),r>0&&s++>=r))return!1})},e.prototype._fromEntry=function(t,n){var r=p.fromValue(t.key);t.value.forEach(function(t){var i=e._sanitize(t);i&&n.push({owner:r.owner,resource:r.resource,code:t.code,message:t.message,source:t.source,severity:t.severity,startLineNumber:t.startLineNumber,startColumn:t.startColumn,endLineNumber:t.endLineNumber,endColumn:t.endColumn})})},e.prototype._computeStats=function(e){var t=0,n=0,r=0,i=0;if(e)for(var o=0;o<e.length;o++){var s=e[o];if(s.severity)switch(s.severity){case d["default"].Error:t++;break;case d["default"].Warning:n++;break;case d["default"].Info:r++;break;default:i++}else i++}return{errors:t,warnings:n,infos:r,unknwons:i}},e.prototype._emptyStats=function(){return{errors:0,warnings:0,infos:0,unknwons:0}},e.prototype._updateStatsPlus=function(e,t){t||(t=e,e=this._stats),e.errors+=t.errors,e.warnings+=t.warnings,e.infos+=t.infos,e.unknwons+=t.unknwons},e.prototype._updateStatsMinus=function(e,t){t||(t=e,e=this._stats),e.errors-=t.errors,e.warnings-=t.warnings,e.infos-=t.infos,e.unknwons-=t.unknwons},e.prototype._updateStatsMarker=function(e,t){switch(t.severity){case d["default"].Error:e.errors++;break;case d["default"].Warning:e.warnings++;break;case d["default"].Info:e.infos++;break;default:e.unknwons++}},e._sanitize=function(e){return!!e.message&&(e.code=e.code||null,e.startLineNumber=e.startLineNumber>0?e.startLineNumber:1,e.startColumn=e.startColumn>0?e.startColumn:1,e.endLineNumber=e.endLineNumber>=e.startLineNumber?e.endLineNumber:e.startLineNumber,e.endColumn=e.endColumn>0?e.endColumn:e.startColumn,!0)},e}();t.MarkerService=g;var m=function(e){function t(t){e.call(this),this._proxy=t.getRemotable(v)}return n(t,e),t.prototype.changeOne=function(t,n,r){e.prototype.changeOne.call(this,t,n,r),this._proxy.changeOne(t,n,r)},t.prototype.changeAll=function(t,n){e.prototype.changeAll.call(this,t,n),this._proxy.changeAll(t,n)},t}(g);t.SecondaryMarkerService=m;var v=function(e){function t(n){e.call(this),n.registerRemotableInstance(t,this)}return n(t,e),t.prototype.changeOne=function(t,n,r){e.prototype.changeOne.call(this,t,n,r)},t.prototype.changeAll=function(t,n){e.prototype.changeAll.call(this,t,n)},t=r([h.Remotable.MainContext("MainProcessMarkerService"),i(0,h.IThreadService)],t)}(g);t.MainProcessMarkerService=v}),define(e[55],t([0,1,4,10]),function(e,t,n,r){"use strict";function i(e,t){for(var n in e)if(e[n]===t)return n;throw new Error("Member not found in prototype")}function o(e){var n=e[t.THREAD_SERVICE_PROPERTY_NAME];if(!n)throw new Error("Objects that use thread attributes must be instantiated with the thread service");return n}function s(e,t,s,a){void 0===a&&(a=r.ThreadAffinity.None);var u,c=i(e.prototype,t);"function"==typeof s?u=s:"undefined"!=typeof s&&(a=s),e.prototype[c]=function(){for(var e=[],r=0;r<arguments.length;r++)e[r-0]=arguments[r];if(u){var i=this,s=u.call(i);return n.TPromise.is(s)||(s=n.TPromise.as(s)),s.then(function(){return o(i).OneWorker(i,c,t,e,a)})}return o(this).OneWorker(this,c,t,e,a)}}function a(e,t){var n=i(e.prototype,t);e.prototype[n]=function(){for(var e=[],r=0;r<arguments.length;r++)e[r-0]=arguments[r];return o(this).AllWorkers(this,n,t,e)}}t.THREAD_SERVICE_PROPERTY_NAME="__$$__threadService",t.OneWorkerAttr=s,t.AllWorkersAttr=a}),define(e[124],t([0,1,4,10,55,24]),function(e,t,n,r,i,o){"use strict";function s(e,t,n){var r={$__IS_REMOTE_OBJ:!0};for(var i in n.prototype)"function"==typeof n.prototype[i]&&(r[i]=a(e,t,i));return r}function a(e,t,n){return function(){for(var r=[],i=0;i<arguments.length;i++)r[i-0]=arguments[i];return e.callOnRemote(t,n,r)}}var u=function(){function e(e){this.isInMainThread=e,this._boundObjects={},this._pendingObjects=[],this._localObjMap=Object.create(null),this._proxyObjMap=Object.create(null)}return e.prototype.setInstantiationService=function(e){this._instantiationService=e},e.prototype.createInstance=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return this._doCreateInstance(e)},e.prototype._doCreateInstance=function(e){var t=this,r=this._instantiationService.createInstance.apply(this._instantiationService,e);if(n.TPromise.is(r)){var i;return i=r.then(function(e){if(e.asyncCtor){var t=e.asyncCtor();if(n.TPromise.is(t))return t.then(function(){return e})}return e}),this._pendingObjects.push(i),i.then(function(e){for(var n=t._finishInstance(e),r=0;r<t._pendingObjects.length;r++)if(t._pendingObjects[r]===i){t._pendingObjects.splice(r,1);break}return n})}return this._finishInstance(r)},e.prototype._finishInstance=function(e){return e[i.THREAD_SERVICE_PROPERTY_NAME]=this,this._boundObjects[e.getId()]=e,e.creationDone&&e.creationDone(),e},e.prototype.handle=function(e,t,n){if(!this._localObjMap[e])throw new Error("Unknown actor "+e);var r=this._localObjMap[e],i=r[t];if("function"!=typeof i)throw new Error("Unknown method "+t+" on actor "+e);return i.apply(r,n)},e.prototype._getOrCreateProxyInstance=function(e,t,n){if(this._proxyObjMap[t])return this._proxyObjMap[t];var r=s(e,t,n.ctor);return this._proxyObjMap[t]=r,r},e.prototype._registerLocalInstance=function(e,t){this._localObjMap[e]=t},e.prototype._getOrCreateLocalInstance=function(e,t){if(this._localObjMap[e])return this._localObjMap[e];var n=this._instantiationService.createInstance(t);return this._registerLocalInstance(e,n),n},e.prototype.getRemotable=function(e){var t=r.Remotable.getId(e);if(!t)throw new Error("Unknown Remotable: <<"+t+">>");var n=o.createSyncDescriptor(e);if(r.Remotable.Registry.MainContext[t])return this._registerAndInstantiateMainProcessActor(t,n);if(r.Remotable.Registry.ExtHostContext[t])return this._registerAndInstantiateExtHostActor(t,n);if(r.Remotable.Registry.WorkerContext[t])return this._registerAndInstantiateWorkerActor(t,n,r.Remotable.Registry.WorkerContext[t].affinity);throw new Error("Unknown Remotable: <<"+t+">>")},e.prototype.registerRemotableInstance=function(e,t){var n=r.Remotable.getId(e);if(!n)throw new Error("Unknown Remotable: <<"+n+">>");if(r.Remotable.Registry.MainContext[n])return this._registerMainProcessActor(n,t);if(r.Remotable.Registry.ExtHostContext[n])return this._registerExtHostActor(n,t);if(r.Remotable.Registry.WorkerContext[n])return this._registerWorkerActor(n,t);throw new Error("Unknown Remotable: <<"+n+">>")},e}();t.AbstractThreadService=u}),define(e[125],t([0,1,4,124,10]),function(e,t,r,i,o){"use strict";var s=function(e){function t(t){e.call(this,!1),this.serviceId=o.IThreadService,this._remoteCom=t,this._remoteCom.setManyHandler(this)}return n(t,e),t.prototype._handleRequest=function(e,t,n){var i=this;if(!this._boundObjects.hasOwnProperty(e))return r.TPromise.join(this._pendingObjects.slice(0)).then(function(){if(!i._boundObjects.hasOwnProperty(e))return r.TPromise.wrapError(new Error("Bound object `"+e+"` was not found."));var o=i._boundObjects[e];return r.TPromise.as(o[t].apply(o,n))});var o=this._boundObjects[e];return r.TPromise.as(o[t].apply(o,n))},t.prototype.dispatch=function(e){try{var t=e.payload,n=this._handleRequest(t[0],t[1],t[2]);return r.TPromise.is(n)?n:r.TPromise.as(n)}catch(i){return r.TPromise.wrapError(i)}},t.prototype.OneWorker=function(e,t,n,r,i){return n.apply(e,r)},t.prototype.AllWorkers=function(e,t,n,r){return n.apply(e,r)},t.prototype._registerAndInstantiateMainProcessActor=function(e,t){return this._getOrCreateProxyInstance(this._remoteCom,e,t)},t.prototype._registerMainProcessActor=function(e,t){throw new Error("Not supported in this runtime context!")},t.prototype._registerAndInstantiateExtHostActor=function(e,t){throw new Error("Not supported in this runtime context: Cannot communicate from Worker directly to Extension Host!")},t.prototype._registerExtHostActor=function(e,t){throw new Error("Not supported in this runtime context!")},t.prototype._registerAndInstantiateWorkerActor=function(e,t,n){return this._getOrCreateLocalInstance(e,t)},t.prototype._registerWorkerActor=function(e,t){this._registerLocalInstance(e,t)},t}(i.AbstractThreadService);t.WorkerThreadService=s}),define(e[34],t([0,1,5]),function(e,t,n){"use strict";t.IWorkspaceContextService=n.createDecorator("contextService")}),define(e[123],t([0,1,31,22,70,53,33,8,54,12,16,13,17,50,44,34,29,10,55,9,30,59,32,35,108,75,41,60,65,69,26]),function(e,t){"use strict"}),define(e[113],t([0,1,13,16,34]),function(e,t,n,r,i){"use strict";var o=function(){function e(e,t,n){void 0===n&&(n={}),this.serviceId=i.IWorkspaceContextService,this.workspace=e,this.configuration=t,this.options=n}return e.prototype.getWorkspace=function(){return this.workspace},e.prototype.getConfiguration=function(){return this.configuration},e.prototype.getOptions=function(){return this.options},e.prototype.isInsideWorkspace=function(e){return!(!e||!this.workspace)&&r.isEqualOrParent(e.fsPath,this.workspace.resource.fsPath)},e.prototype.toWorkspaceRelativePath=function(e){return this.isInsideWorkspace(e)?r.normalize(r.relative(this.workspace.resource.fsPath,e.fsPath)):null},e.prototype.toResource=function(e){return"string"==typeof e&&this.workspace?n["default"].file(r.join(this.workspace.resource.fsPath,e)):null},e}();t.BaseWorkspaceContextService=o}),define(e[129],t([0,1,20,73,68,115,46,66,104,122,38,118,44,29,125,10,113,34,120,26,121,97,27,123,98]),function(e,t,r,i,o,s,a,u,c,l,d,h,f,p,g,m,v,_,y,k,b,C,E){"use strict";var S=function(e){function t(){e.call(this,!0)}return n(t,e),t.prototype._showMessage=function(e,t){switch(e){case r["default"].Error:console.error(t);break;case r["default"].Warning:console.warn(t);break;case r["default"].Info:console.info(t);break;default:console.log(t)}},t.prototype._createFailedExtension=function(){throw new Error("unexpected")},t.prototype._actualActivateExtension=function(e){throw new Error("unexpected")},t}(s.AbstractExtensionService),I=function(){function e(){}return e.prototype.initialize=function(e,t,n,r,s){var I=new u.ServiceCollection,T=new S,M=new v.BaseWorkspaceContextService(s.contextService.workspace,s.contextService.configuration,s.contextService.options);this.threadService=new g.WorkerThreadService(e.getRemoteCom()),this.threadService.setInstantiationService(new c.InstantiationService(new u.ServiceCollection([m.IThreadService,this.threadService])));var w=new C.ResourceService,L=new l.SecondaryMarkerService(this.threadService),x=new y.ModeServiceImpl(this.threadService,T),O=new h.BaseRequestService(M,p.NullTelemetryService);I.set(a.IExtensionService,T),I.set(m.IThreadService,this.threadService),I.set(k.IModeService,x),I.set(_.IWorkspaceContextService,M),I.set(o.IEventService,new i.EventService),I.set(E.IResourceService,w),I.set(d.IMarkerService,L),I.set(f.IRequestService,O);var R=new c.InstantiationService(I);this.threadService.setInstantiationService(R),this.threadService.getRemotable(y.ModeServiceWorkerHelper),this.threadService.getRemotable(b.ModelServiceWorkerHelper),t(void 0)},e.prototype.request=function(e,t,n,r,i){this.threadService.dispatch(i).then(t,n,r)},e}();t.EditorWorkerServer=I,t.value=new I})}).call(this);
//# sourceMappingURL=../../../../../min-maps/vs/base/common/worker/workerServer.js.map