/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.5.2(d49899a916fd99840f6f9178f2dd06e0e7013646)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
(function(){var e=["require","exports","vs/base/common/errors","vs/base/common/winjs.base","vs/editor/common/editorCommonExtensions","vs/editor/common/modes","vs/platform/keybinding/common/keybindingService","vs/platform/instantiation/common/instantiation","vs/base/common/async","vs/base/common/keyCodes","vs/platform/keybinding/common/keybindingsRegistry","vs/base/common/strings","vs/editor/common/services/codeEditorService","vs/languages/html/common/htmlTokenTypes","vs/platform/editor/common/editor","vs/nls!vs/base/common/keyCodes","vs/nls","vs/editor/contrib/suggest/common/suggest","vs/platform/platform","vs/editor/common/config/config","vs/editor/common/editorCommon","vs/nls!vs/languages/html/common/htmlWorker","vs/languages/html/common/htmlScanner","vs/base/common/uri","vs/editor/contrib/referenceSearch/common/referenceSearch","vs/base/common/platform","vs/editor/common/core/position","vs/nls!vs/languages/html/common/htmlTags","vs/editor/contrib/hover/common/hover","vs/base/common/arrays","vs/languages/html/common/htmlTags","vs/base/common/network","vs/editor/common/services/modelService","vs/platform/instantiation/common/descriptors","vs/base/common/types","vs/editor/common/modes/supports","vs/languages/html/common/htmlWorker","vs/languages/lib/common/beautify-html","vs/platform/telemetry/common/telemetry","vs/platform/workspace/common/workspace","vs/platform/markers/common/markers","vs/editor/common/services/resourceService","vs/languages/html/common/htmlEmptyTagsShared","vs/editor/common/modes/supports/suggestSupport","vs/base/common/paths"],t=function(t){for(var n=[],o=0,r=t.length;o<r;o++)n[o]=e[t[o]];return n};define(e[22],t([0,1,13]),function(e,t,n){"use strict";function o(e){switch(e){case n.DELIM_START:case n.DELIM_END:case n.DELIM_ASSIGN:return!0}return!1}function r(e){switch(e){case n.DELIM_START:case n.DELIM_END:case n.DELIM_ASSIGN:case n.ATTRIB_NAME:case n.ATTRIB_VALUE:return!0}return n.isTag(e)}function i(e,t){var n=t.column-1,i=t.lineNumber,a=e.getLineTokens(i),l=e.getLineContent(i),s=a.findIndexOfOffset(n),c=a.getTokenCount(),u=a.getTokenType(s),d=a.getTokenStartIndex(s),p=a.getTokenEndIndex(s,l.length);return""!==u&&!o(u)||d!==n||(s--,s>=0?(u=a.getTokenType(s),d=a.getTokenStartIndex(s),p=a.getTokenEndIndex(s,l.length)):(u="",d=p=0)),{getTokenType:function(){return u},isAtTokenEnd:function(){return n===p},isAtTokenStart:function(){return n===d},getTokenContent:function(){return l.substring(d,p)},isOpenBrace:function(){return d<p&&"<"===l.charAt(d)},getTokenPosition:function(){return{lineNumber:i,column:d+1}},getTokenRange:function(){return{startLineNumber:i,startColumn:d+1,endLineNumber:i,endColumn:p+1}},getModel:function(){return e},scanBack:function(){if(i<=0)return!1;s--;do{for(;s>=0;){if(u=a.getTokenType(s),d=a.getTokenStartIndex(s),p=a.getTokenEndIndex(s,l.length),r(u))return!0;s--}i--,i>0&&(a=e.getLineTokens(i),l=e.getLineContent(i),c=a.getTokenCount(),s=c-1)}while(i>0);return a=null,u=l="",d=p=c=0,!1},scanForward:function(){if(i>e.getLineCount())return!1;s++;do{for(;s<c;){if(u=a.getTokenType(s),d=a.getTokenStartIndex(s),p=a.getTokenEndIndex(s,l.length),r(u))return!0;s++}i++,s=0,i<=e.getLineCount()&&(a=e.getLineTokens(i),l=e.getLineContent(i),c=a.getTokenCount())}while(i<=e.getLineCount());return u=l="",d=p=c=0,!1}}}t.getScanner=i}),define(e[15],t([16,21]),function(e,t){return e.create("vs/base/common/keyCodes",t)}),define(e[9],t([0,1,15,25]),function(e,t,n,o){"use strict";function r(e,t){var n=[];e(n);for(var o={},r=0,i=n.length;r<i;r++)n[r]&&(o[n[r]]=r);t(o);var a={};for(var l in o)o.hasOwnProperty(l)&&(a[l]=o[l],a[l.toLowerCase()]=o[l]);return new c(n,a)}function i(e,t,n){var o=[],r=h.hasCtrlCmd(e),a=h.hasShift(e),l=h.hasAlt(e),s=h.hasWinCtrl(e),c=h.extractKeyCode(e),u=t.getLabelForKey(c);if(!u)return"";(r&&!n.isMacintosh||s&&n.isMacintosh)&&o.push(t.ctrlKeyLabel),a&&o.push(t.shiftKeyLabel),l&&o.push(t.altKeyLabel),r&&n.isMacintosh&&o.push(t.cmdKeyLabel),s&&!n.isMacintosh&&o.push(t.windowsKeyLabel),o.push(u);var d=o.join(t.modifierSeparator);return h.hasChord(e)?d+" "+i(h.extractChordPart(e),t,n):d}function a(e,t){e.length>0&&e.push({tagName:"span",text:"+"}),e.push({tagName:"span",className:"monaco-kbkey",text:t})}function l(e,t,n,o){void 0===o&&(o=!1);var r=[],i=h.hasCtrlCmd(e),s=h.hasShift(e),c=h.hasAlt(e),u=h.hasWinCtrl(e),d=h.extractKeyCode(e),p=t.getLabelForKey(d);if(!p)return[];(i&&!n.isMacintosh||u&&n.isMacintosh)&&a(r,t.ctrlKeyLabel),s&&a(r,t.shiftKeyLabel),c&&a(r,t.altKeyLabel),i&&n.isMacintosh&&a(r,t.cmdKeyLabel),u&&!n.isMacintosh&&a(r,t.windowsKeyLabel),a(r,p);var m=null;return h.hasChord(e)&&(m=l(h.extractChordPart(e),t,n,!0),r.push({tagName:"span",text:" "}),r=r.concat(m)),o?r:[{tagName:"span",className:"monaco-kb",children:r}]}!function(e){e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.MAX_VALUE=109]="MAX_VALUE"}(t.KeyCode||(t.KeyCode={}));var s,s=t.KeyCode,c=function(){function e(e,t){this._fromKeyCode=e,this._toKeyCode=t}return e.prototype.fromKeyCode=function(e){return this._fromKeyCode[e]},e.prototype.toKeyCode=function(e){return this._toKeyCode.hasOwnProperty(e)?this._toKeyCode[e]:s.Unknown},e}(),u=r(function(e){e[s.Unknown]="unknown",e[s.Backspace]="Backspace",e[s.Tab]="Tab",e[s.Enter]="Enter",e[s.Shift]="Shift",e[s.Ctrl]="Ctrl",e[s.Alt]="Alt",e[s.PauseBreak]="PauseBreak",e[s.CapsLock]="CapsLock",e[s.Escape]="Escape",e[s.Space]="Space",e[s.PageUp]="PageUp",e[s.PageDown]="PageDown",e[s.End]="End",e[s.Home]="Home",e[s.LeftArrow]="LeftArrow",e[s.UpArrow]="UpArrow",e[s.RightArrow]="RightArrow",e[s.DownArrow]="DownArrow",e[s.Insert]="Insert",e[s.Delete]="Delete",e[s.KEY_0]="0",e[s.KEY_1]="1",e[s.KEY_2]="2",e[s.KEY_3]="3",e[s.KEY_4]="4",e[s.KEY_5]="5",e[s.KEY_6]="6",e[s.KEY_7]="7",e[s.KEY_8]="8",e[s.KEY_9]="9",e[s.KEY_A]="A",e[s.KEY_B]="B",e[s.KEY_C]="C",e[s.KEY_D]="D",e[s.KEY_E]="E",e[s.KEY_F]="F",e[s.KEY_G]="G",e[s.KEY_H]="H",e[s.KEY_I]="I",e[s.KEY_J]="J",e[s.KEY_K]="K",e[s.KEY_L]="L",e[s.KEY_M]="M",e[s.KEY_N]="N",e[s.KEY_O]="O",e[s.KEY_P]="P",e[s.KEY_Q]="Q",e[s.KEY_R]="R",e[s.KEY_S]="S",e[s.KEY_T]="T",e[s.KEY_U]="U",e[s.KEY_V]="V",e[s.KEY_W]="W",e[s.KEY_X]="X",e[s.KEY_Y]="Y",e[s.KEY_Z]="Z",e[s.ContextMenu]="ContextMenu",e[s.F1]="F1",e[s.F2]="F2",e[s.F3]="F3",e[s.F4]="F4",e[s.F5]="F5",e[s.F6]="F6",e[s.F7]="F7",e[s.F8]="F8",e[s.F9]="F9",e[s.F10]="F10",e[s.F11]="F11",e[s.F12]="F12",e[s.F13]="F13",e[s.F14]="F14",e[s.F15]="F15",e[s.F16]="F16",e[s.F17]="F17",e[s.F18]="F18",e[s.F19]="F19",e[s.NumLock]="NumLock",e[s.ScrollLock]="ScrollLock",e[s.US_SEMICOLON]=";",e[s.US_EQUAL]="=",e[s.US_COMMA]=",",e[s.US_MINUS]="-",e[s.US_DOT]=".",e[s.US_SLASH]="/",e[s.US_BACKTICK]="`",e[s.US_OPEN_SQUARE_BRACKET]="[",e[s.US_BACKSLASH]="\\",e[s.US_CLOSE_SQUARE_BRACKET]="]",e[s.US_QUOTE]="'",e[s.OEM_8]="OEM_8",e[s.OEM_102]="OEM_102",e[s.NUMPAD_0]="NumPad0",e[s.NUMPAD_1]="NumPad1",e[s.NUMPAD_2]="NumPad2",e[s.NUMPAD_3]="NumPad3",e[s.NUMPAD_4]="NumPad4",e[s.NUMPAD_5]="NumPad5",e[s.NUMPAD_6]="NumPad6",e[s.NUMPAD_7]="NumPad7",e[s.NUMPAD_8]="NumPad8",e[s.NUMPAD_9]="NumPad9",e[s.NUMPAD_MULTIPLY]="NumPad_Multiply",e[s.NUMPAD_ADD]="NumPad_Add",e[s.NUMPAD_SEPARATOR]="NumPad_Separator",e[s.NUMPAD_SUBTRACT]="NumPad_Subtract",e[s.NUMPAD_DECIMAL]="NumPad_Decimal",e[s.NUMPAD_DIVIDE]="NumPad_Divide"},function(e){e["\r"]=s.Enter}),d=r(function(e){for(var t=0,n=u._fromKeyCode.length;t<n;t++)e[t]=u._fromKeyCode[t];e[s.LeftArrow]="Left",e[s.UpArrow]="Up",e[s.RightArrow]="Right",e[s.DownArrow]="Down"},function(e){e.OEM_1=s.US_SEMICOLON,e.OEM_PLUS=s.US_EQUAL,e.OEM_COMMA=s.US_COMMA,e.OEM_MINUS=s.US_MINUS,e.OEM_PERIOD=s.US_DOT,e.OEM_2=s.US_SLASH,e.OEM_3=s.US_BACKTICK,e.OEM_4=s.US_OPEN_SQUARE_BRACKET,e.OEM_5=s.US_BACKSLASH,e.OEM_6=s.US_CLOSE_SQUARE_BRACKET,e.OEM_7=s.US_QUOTE,e.OEM_8=s.OEM_8,e.OEM_102=s.OEM_102});!function(e){function t(e){return u.fromKeyCode(e)}function n(e){return u.toKeyCode(e)}e.toString=t,e.fromString=n}(s=t.KeyCode||(t.KeyCode={}));var p=32768,m=16384,g=8192,f=4096,y=4095,h=function(){function e(){}return e.extractFirstPart=function(e){return 65535&e},e.extractChordPart=function(e){return e>>16&65535},e.hasChord=function(e){return 0!==this.extractChordPart(e)},e.hasCtrlCmd=function(e){return!!(e&p)},e.hasShift=function(e){return!!(e&m)},e.hasAlt=function(e){return!!(e&g)},e.hasWinCtrl=function(e){return!!(e&f)},e.extractKeyCode=function(e){return e&y},e}();t.BinaryKeybindings=h;var C=function(){function e(){}return e.chord=function(e,t){return e|(65535&t)<<16},e.CtrlCmd=p,e.Shift=m,e.Alt=g,e.WinCtrl=f,e}();t.KeyMod=C;var E=function(){function e(){}return e.ENTER=s.Enter,e.SHIFT_ENTER=C.Shift|s.Enter,e.CTRLCMD_ENTER=C.CtrlCmd|s.Enter,e.WINCTRL_ENTER=C.WinCtrl|s.Enter,e.TAB=s.Tab,e.SHIFT_TAB=C.Shift|s.Tab,e.ESCAPE=s.Escape,e.SPACE=s.Space,e.DELETE=s.Delete,e.SHIFT_DELETE=C.Shift|s.Delete,e.CTRLCMD_BACKSPACE=C.CtrlCmd|s.Backspace,e.UP_ARROW=s.UpArrow,e.SHIFT_UP_ARROW=C.Shift|s.UpArrow,e.CTRLCMD_UP_ARROW=C.CtrlCmd|s.UpArrow,e.DOWN_ARROW=s.DownArrow,e.SHIFT_DOWN_ARROW=C.Shift|s.DownArrow,e.CTRLCMD_DOWN_ARROW=C.CtrlCmd|s.DownArrow,e.LEFT_ARROW=s.LeftArrow,e.RIGHT_ARROW=s.RightArrow,e.HOME=s.Home,e.END=s.End,e.PAGE_UP=s.PageUp,e.SHIFT_PAGE_UP=C.Shift|s.PageUp,e.PAGE_DOWN=s.PageDown,e.SHIFT_PAGE_DOWN=C.Shift|s.PageDown,e.F2=s.F2,e.CTRLCMD_S=C.CtrlCmd|s.KEY_S,e.CTRLCMD_C=C.CtrlCmd|s.KEY_C,e.CTRLCMD_V=C.CtrlCmd|s.KEY_V,e}();t.CommonKeybindings=E;var b=function(){function e(e){this.value=e}return e._toUSLabel=function(e,t){return i(e,t.isMacintosh?K.INSTANCE:w.INSTANCE,t)},e._toUSAriaLabel=function(e,t){return i(e,v.INSTANCE,t)},e._toUSHTMLLabel=function(e,t){return l(e,t.isMacintosh?K.INSTANCE:w.INSTANCE,t)},e._toCustomLabel=function(e,t,n){return i(e,t,n)},e._toCustomHTMLLabel=function(e,t,n){return l(e,t,n)},e._toElectronAccelerator=function(e,t){return h.hasChord(e)?null:i(e,_.INSTANCE,t)},e.getUserSettingsKeybindingRegex=function(){if(!this._cachedKeybindingRegex){var e="numpad(0|1|2|3|4|5|6|7|8|9|_multiply|_add|_subtract|_decimal|_divide|_separator)",t="`|\\-|=|\\[|\\]|\\\\\\\\|;|'|,|\\.|\\/|oem_8|oem_102",n="left|up|right|down|pageup|pagedown|end|home|tab|enter|escape|space|backspace|delete|pausebreak|capslock|insert|contextmenu|numlock|scrolllock",o="[a-z]|[0-9]|f(1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19)",r="(("+[e,t,n,o].join(")|(")+"))",i="((ctrl|shift|alt|cmd|win|meta)\\+)*",a="("+i+r+")";this._cachedKeybindingRegex='"\\s*('+a+"(\\s+"+a+')?)\\s*"'}return this._cachedKeybindingRegex},e.toUserSettingsLabel=function(e,t){void 0===t&&(t=o);var n=i(e,T.INSTANCE,t);return n=n.toLowerCase(),t.isMacintosh?n=n.replace(/meta/g,"cmd"):t.isWindows&&(n=n.replace(/meta/g,"win")),n},e.fromUserSettingsLabel=function(t,n){if(void 0===n&&(n=o),!t)return null;t=t.toLowerCase().trim();for(var r=!1,i=!1,a=!1,l=!1,s="";/^(ctrl|shift|alt|meta|win|cmd)(\+|\-)/.test(t);)/^ctrl(\+|\-)/.test(t)&&(n.isMacintosh?l=!0:r=!0,t=t.substr("ctrl-".length)),/^shift(\+|\-)/.test(t)&&(i=!0,t=t.substr("shift-".length)),/^alt(\+|\-)/.test(t)&&(a=!0,t=t.substr("alt-".length)),/^meta(\+|\-)/.test(t)&&(n.isMacintosh?r=!0:l=!0,t=t.substr("meta-".length)),/^win(\+|\-)/.test(t)&&(n.isMacintosh?r=!0:l=!0,t=t.substr("win-".length)),/^cmd(\+|\-)/.test(t)&&(n.isMacintosh?r=!0:l=!0,t=t.substr("cmd-".length));var c=0,u=t.indexOf(" ");u>0?(s=t.substring(0,u),c=e.fromUserSettingsLabel(t.substring(u),n)):s=t;var p=d.toKeyCode(s),m=0;return r&&(m|=C.CtrlCmd),i&&(m|=C.Shift),a&&(m|=C.Alt),l&&(m|=C.WinCtrl),m|=p,C.chord(m,c)},e.prototype.hasCtrlCmd=function(){return h.hasCtrlCmd(this.value)},e.prototype.hasShift=function(){return h.hasShift(this.value)},e.prototype.hasAlt=function(){return h.hasAlt(this.value)},e.prototype.hasWinCtrl=function(){return h.hasWinCtrl(this.value)},e.prototype.extractKeyCode=function(){return h.extractKeyCode(this.value)},e.prototype._toUSLabel=function(t){return void 0===t&&(t=o),e._toUSLabel(this.value,t)},e.prototype._toUSAriaLabel=function(t){return void 0===t&&(t=o),e._toUSAriaLabel(this.value,t)},e.prototype._toUSHTMLLabel=function(t){return void 0===t&&(t=o),e._toUSHTMLLabel(this.value,t)},e.prototype.toCustomLabel=function(t,n){return void 0===n&&(n=o),e._toCustomLabel(this.value,t,n)},e.prototype.toCustomHTMLLabel=function(t,n){return void 0===n&&(n=o),e._toCustomHTMLLabel(this.value,t,n)},e.prototype._toElectronAccelerator=function(t){return void 0===t&&(t=o),e._toElectronAccelerator(this.value,t)},e.prototype.toUserSettingsLabel=function(t){return void 0===t&&(t=o),e.toUserSettingsLabel(this.value,t)},e._cachedKeybindingRegex=null,e}();t.Keybinding=b;var _=function(){function e(){this.ctrlKeyLabel="Ctrl",this.shiftKeyLabel="Shift",this.altKeyLabel="Alt",this.cmdKeyLabel="Cmd",this.windowsKeyLabel="Super",this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){switch(e){case s.UpArrow:return"Up";case s.DownArrow:return"Down";case s.LeftArrow:return"Left";case s.RightArrow:return"Right"}return s.toString(e)},e.INSTANCE=new e,e}();t.ElectronAcceleratorLabelProvider=_;var K=function(){function e(){this.ctrlKeyLabel="⌃",this.shiftKeyLabel="⇧",this.altKeyLabel="⌥",this.cmdKeyLabel="⌘",this.windowsKeyLabel=n.localize(0,null),this.modifierSeparator=""}return e.prototype.getLabelForKey=function(t){switch(t){case s.LeftArrow:return e.leftArrowUnicodeLabel;case s.UpArrow:return e.upArrowUnicodeLabel;case s.RightArrow:return e.rightArrowUnicodeLabel;case s.DownArrow:return e.downArrowUnicodeLabel}return s.toString(t)},e.INSTANCE=new e,e.leftArrowUnicodeLabel=String.fromCharCode(8592),e.upArrowUnicodeLabel=String.fromCharCode(8593),e.rightArrowUnicodeLabel=String.fromCharCode(8594),e.downArrowUnicodeLabel=String.fromCharCode(8595),e}();t.MacUIKeyLabelProvider=K;var v=function(){function e(){this.ctrlKeyLabel=n.localize(1,null),this.shiftKeyLabel=n.localize(2,null),this.altKeyLabel=n.localize(3,null),this.cmdKeyLabel=n.localize(4,null),this.windowsKeyLabel=n.localize(5,null),this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){return s.toString(e)},e.INSTANCE=new K,e}();t.AriaKeyLabelProvider=v;var w=function(){function e(){this.ctrlKeyLabel=n.localize(6,null),this.shiftKeyLabel=n.localize(7,null),this.altKeyLabel=n.localize(8,null),this.cmdKeyLabel=n.localize(9,null),this.windowsKeyLabel=n.localize(10,null),this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){return s.toString(e)},e.INSTANCE=new e,e}();t.ClassicUIKeyLabelProvider=w;var T=function(){function e(){this.ctrlKeyLabel="Ctrl",this.shiftKeyLabel="Shift",this.altKeyLabel="Alt",this.cmdKeyLabel="Meta",this.windowsKeyLabel="Meta",this.modifierSeparator="+"}return e.prototype.getLabelForKey=function(e){return d.fromKeyCode(e)},e.INSTANCE=new e,e}()}),define(e[27],t([16,21]),function(e,t){return e.create("vs/languages/html/common/htmlTags",t)}),/*!
BEGIN THIRD PARTY
*/
/*--------------------------------------------------------------------------------------------
 *  This file is based on or incorporates material from the projects listed below (Third Party IP).
 *  The original copyright notice and the license under which Microsoft received such Third Party IP,
 *  are set forth below. Such licenses and notices are provided for informational purposes only.
 *  Microsoft licenses the Third Party IP to you under the licensing terms for the Microsoft product.
 *  Microsoft reserves all other rights not expressly granted under this agreement, whether by implication,
 *  estoppel or otherwise.
 *--------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------
 *  Copyright © 2015 W3C® (MIT, ERCIM, Keio, Beihang). This software or document includes includes material copied
 *  from or derived from HTML 5.1 W3C Working Draft (http://www.w3.org/TR/2015/WD-html51-20151008/.)"
 *--------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------
 *  Ionic Main Site (https://github.com/driftyco/ionic-site).
 *  Copyright Drifty Co. http://drifty.com/.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file
 *  except in compliance with the License. You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
 *  WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
 *  MERCHANTABLITY OR NON-INFRINGEMENT.
 *
 *  See the Apache Version 2.0 License for specific language governing permissions
 *  and limitations under the License.
 *--------------------------------------------------------------------------------------------*/
define(e[30],t([0,1,11,27]),function(e,t,n,o){"use strict";function r(){var e=["aria-activedescendant","aria-atomic:b","aria-autocomplete:autocomplete","aria-busy:b","aria-checked:tristate","aria-colcount","aria-colindex","aria-colspan","aria-controls","aria-current:current","aria-describedat","aria-describedby","aria-disabled:b","aria-dropeffect:dropeffect","aria-errormessage","aria-expanded:u","aria-flowto","aria-grabbed:u","aria-haspopup:b","aria-hidden:b","aria-invalid:invalid","aria-kbdshortcuts","aria-label","aria-labelledby","aria-level","aria-live:live","aria-modal:b","aria-multiline:b","aria-multiselectable:b","aria-orientation:orientation","aria-owns","aria-placeholder","aria-posinset","aria-pressed:tristate","aria-readonly:b","aria-relevant:relevant","aria-required:b","aria-roledescription","aria-rowcount","aria-rowindex","aria-rowspan","aria-selected:u","aria-setsize","aria-sort:sort","aria-valuemax","aria-valuemin","aria-valuenow","aria-valuetext","accesskey","class","contenteditable:b","contextmenu","dir:d","draggable:b","dropzone","hidden:v","id","itemid","itemprop","itemref","itemscope:v","itemtype","lang","role:roles","spellcheck:b","style","tabindex","title","translate:y"],n=["onabort","onblur","oncanplay","oncanplaythrough","onchange","onclick","oncontextmenu","ondblclick","ondrag","ondragend","ondragenter","ondragleave","ondragover","ondragstart","ondrop","ondurationchange","onemptied","onended","onerror","onfocus","onformchange","onforminput","oninput","oninvalid","onkeydown","onkeypress","onkeyup","onload","onloadeddata","onloadedmetadata","onloadstart","onmousedown","onmousemove","onmouseout","onmouseover","onmouseup","onmousewheel","onpause","onplay","onplaying","onprogress","onratechange","onreset","onresize","onreadystatechange","onscroll","onseeked","onseeking","onselect","onshow","onstalled","onsubmit","onsuspend","ontimeupdate","onvolumechange","onwaiting"],o={b:["true","false"],u:["true","false","undefined"],o:["on","off"],y:["yes","no"],w:["soft","hard"],d:["ltr","rtl","auto"],m:["GET","POST","dialog"],fm:["GET","POST"],s:["row","col","rowgroup","colgroup"],t:["hidden","text","search","tel","url","email","password","datetime","date","month","week","time","datetime-local","number","range","color","checkbox","radio","file","submit","image","reset","button"],im:["verbatim","latin","latin-name","latin-prose","full-width-latin","kana","kana-name","katakana","numeric","tel","email","url"],bt:["button","submit","reset","menu"],lt:["1","a","A","i","I"],mt:["context","toolbar"],mit:["command","checkbox","radio"],et:["application/x-www-form-urlencoded","multipart/form-data","text/plain"],tk:["subtitles","captions","descriptions","chapters","metadata"],pl:["none","metadata","auto"],sh:["circle","default","poly","rect"],xo:["anonymous","use-credentials"],sb:["allow-forms","allow-modals","allow-pointer-lock","allow-popups","allow-popups-to-escape-sandbox","allow-same-origin","allow-scripts","allow-top-navigation"],tristate:["true","false","mixed","undefined"],inputautocomplete:["additional-name","address-level1","address-level2","address-level3","address-level4","address-line1","address-line2","address-line3","bday","bday-year","bday-day","bday-month","billing","cc-additional-name","cc-csc","cc-exp","cc-exp-month","cc-exp-year","cc-family-name","cc-given-name","cc-name","cc-number","cc-type","country","country-name","current-password","email","family-name","fax","given-name","home","honorific-prefix","honorific-suffix","impp","language","mobile","name","new-password","nickname","organization","organization-title","pager","photo","postal-code","sex","shipping","street-address","tel-area-code","tel","tel-country-code","tel-extension","tel-local","tel-local-prefix","tel-local-suffix","tel-national","transaction-amount","transaction-currency","url","username","work"],autocomplete:["inline","list","both","none"],current:["page","step","location","date","time","true","false"],dropeffect:["copy","move","link","execute","popup","none"],invalid:["grammar","false","spelling","true"],live:["off","polite","assertive"],orientation:["vertical","horizontal","undefined"],relevant:["additions","removals","text","all","additions text"],sort:["ascending","descending","none","other"],roles:["alert","alertdialog","button","checkbox","dialog","gridcell","link","log","marquee","menuitem","menuitemcheckbox","menuitemradio","option","progressbar","radio","scrollbar","searchbox","slider","spinbutton","status","switch","tab","tabpanel","textbox","timer","tooltip","treeitem","combobox","grid","listbox","menu","menubar","radiogroup","tablist","tree","treegrid","application","article","cell","columnheader","definition","directory","document","feed","figure","group","heading","img","list","listitem","math","none","note","presentation","region","row","rowgroup","rowheader","separator","table","term","text","toolbar","banner","complementary","contentinfo","form","main","navigation","region","search"]};return{collectTags:function(e){return l(e,t.HTML_TAGS)},collectAttributes:function(o,r){s(o,r,t.HTML_TAGS,e),n.forEach(function(e){r(e,"event")})},collectValues:function(n,r,i){return c(n,r,i,t.HTML_TAGS,e,o)}}}function i(){var e={input:["ng-model","ng-required","ng-minlength","ng-maxlength","ng-pattern","ng-trim"],select:["ng-model"],textarea:["ng-model","ng-required","ng-minlength","ng-maxlength","ng-pattern","ng-trim"]},t=["ng-app","ng-bind","ng-bind-html","ng-bind-template","ng-blur","ng-change","ng-checked","ng-class","ng-class-even","ng-class-odd","ng-click","ng-cloak","ng-controller","ng-copy","ng-csp","ng-cut","ng-dblclick","ng-disabled","ng-focus","ng-form","ng-hide","ng-href","ng-if","ng-include","ng-init","ng-jq","ng-keydown","ng-keypress","ng-keyup","ng-list","ng-model-options","ng-mousedown","ng-mouseenter","ng-mouseleave","ng-mousemove","ng-mouseover","ng-mouseup","ng-non-bindable","ng-open","ng-options","ng-paste","ng-pluralize","ng-readonly","ng-repeat","ng-selected","ng-show","ng-src","ng-srcset","ng-style","ng-submit","ng-switch","ng-transclude","ng-value"];return{collectTags:function(e){},collectAttributes:function(n,o){if(n){var r=e[n];r&&r.forEach(function(e){o(e,null),o("data-"+e,null)})}t.forEach(function(e){o(e,null),o("data-"+e,null)})},collectValues:function(e,t,n){}}}function a(){var e={a:["nav-direction:navdir","nav-transition:trans"],button:["menu-toggle:menusides"]},n=["collection-repeat","force-refresh-images:b","ion-stop-event","item-height","item-render-buffer","item-width","menu-close:v","on-double-tap","on-drag","on-drag-down","on-drag-left","on-drag-right","on-drag-up","on-hold","on-release","on-swipe","on-swipe-down","on-swipe-left","on-swipe-right","on-swipe-up","on-tap","on-touch"],o={align:["center","left","right"],b:["true","false"],inputtype:["email","number","password","search","tel","text","url"],listtype:["card","list-inset"],menusides:["left","right"],navdir:["back","enter","exit","forward","swap"],navsides:["left","primary","right","secondary"],scrolldir:["x","xy","y"],trans:["android","ios","none"]};return{collectTags:function(e){return l(e,t.IONIC_TAGS)},collectAttributes:function(o,r){if(s(o,r,t.IONIC_TAGS,n),o){var i=e[o];i&&i.forEach(function(e){var t=e.split(":");r(t[0],t[1])})}},collectValues:function(r,i,a){return c(r,i,a,t.IONIC_TAGS,n,o,e)}}}function l(e,t){for(var n in t)e(n,t[n].label)}function s(e,t,n,o){if(o.forEach(function(e){var n=e.split(":");t(n[0],n[1])}),e){var r=n[e];if(r){var i=r.attributes;i&&i.forEach(function(e){var n=e.split(":");t(n[0],n[1])})}}}function c(e,t,o,r,i,a,l){var s=t+":",c=function(e){e.forEach(function(e){if(e.length>s.length&&n.startsWith(e,s)){var r=e.substr(s.length);if("v"===r)o(t);else{var i=a[r];i&&i.forEach(o)}}})};if(e){var u=r[e];if(u){var d=u.attributes;d&&c(d)}}if(c(i),l){var p=l[e];p&&c(p)}}var u=function(){function e(e,t){void 0===t&&(t=[]),this.label=e,this.attributes=t}return e}();t.HTMLTagSpecification=u,t.HTML_TAGS={html:new u(o.localize(0,null),["manifest"]),head:new u(o.localize(1,null)),title:new u(o.localize(2,null)),base:new u(o.localize(3,null),["href","target"]),link:new u(o.localize(4,null),["href","crossorigin:xo","rel","media","hreflang","type","sizes"]),meta:new u(o.localize(5,null),["name","http-equiv","content","charset"]),style:new u(o.localize(6,null),["media","nonce","type","scoped:v"]),body:new u(o.localize(7,null),["onafterprint","onbeforeprint","onbeforeunload","onhashchange","onlanguagechange","onmessage","onoffline","ononline","onpagehide","onpageshow","onpopstate","onstorage","onunload"]),article:new u(o.localize(8,null)),section:new u(o.localize(9,null)),nav:new u(o.localize(10,null)),aside:new u(o.localize(11,null)),h1:new u(o.localize(12,null)),h2:new u(o.localize(13,null)),h3:new u(o.localize(14,null)),h4:new u(o.localize(15,null)),h5:new u(o.localize(16,null)),h6:new u(o.localize(17,null)),header:new u(o.localize(18,null)),footer:new u(o.localize(19,null)),address:new u(o.localize(20,null)),p:new u(o.localize(21,null)),hr:new u(o.localize(22,null)),pre:new u(o.localize(23,null)),blockquote:new u(o.localize(24,null),["cite"]),ol:new u(o.localize(25,null),["reversed:v","start","type:lt"]),ul:new u(o.localize(26,null)),li:new u(o.localize(27,null),["value"]),dl:new u(o.localize(28,null)),dt:new u(o.localize(29,null)),dd:new u(o.localize(30,null)),figure:new u(o.localize(31,null)),figcaption:new u(o.localize(32,null)),main:new u(o.localize(33,null)),div:new u(o.localize(34,null)),a:new u(o.localize(35,null),["href","target","download","ping","rel","hreflang","type"]),em:new u(o.localize(36,null)),strong:new u(o.localize(37,null)),small:new u(o.localize(38,null)),s:new u(o.localize(39,null)),cite:new u(o.localize(40,null)),q:new u(o.localize(41,null),["cite"]),dfn:new u(o.localize(42,null)),abbr:new u(o.localize(43,null)),ruby:new u(o.localize(44,null)),rb:new u(o.localize(45,null)),rt:new u(o.localize(46,null)),rp:new u(o.localize(47,null)),time:new u(o.localize(48,null),["datetime"]),code:new u(o.localize(49,null)),"var":new u(o.localize(50,null)),samp:new u(o.localize(51,null)),kbd:new u(o.localize(52,null)),sub:new u(o.localize(53,null)),sup:new u(o.localize(54,null)),i:new u(o.localize(55,null)),b:new u(o.localize(56,null)),u:new u(o.localize(57,null)),mark:new u(o.localize(58,null)),bdi:new u(o.localize(59,null)),bdo:new u(o.localize(60,null)),span:new u(o.localize(61,null)),br:new u(o.localize(62,null)),wbr:new u(o.localize(63,null)),ins:new u(o.localize(64,null)),del:new u(o.localize(65,null),["cite","datetime"]),picture:new u(o.localize(66,null)),img:new u(o.localize(67,null),["alt","src","srcset","crossorigin:xo","usemap","ismap:v","width","height"]),iframe:new u(o.localize(68,null),["src","srcdoc","name","sandbox:sb","seamless:v","allowfullscreen:v","width","height"]),embed:new u(o.localize(69,null),["src","type","width","height"]),object:new u(o.localize(70,null),["data","type","typemustmatch:v","name","usemap","form","width","height"]),param:new u(o.localize(71,null),["name","value"]),video:new u(o.localize(72,null),["src","crossorigin:xo","poster","preload:pl","autoplay:v","mediagroup","loop:v","muted:v","controls:v","width","height"]),audio:new u(o.localize(73,null),["src","crossorigin:xo","preload:pl","autoplay:v","mediagroup","loop:v","muted:v","controls:v"]),source:new u(o.localize(74,null),["src","type"]),track:new u(o.localize(75,null),["default:v","kind:tk","label","src","srclang"]),map:new u(o.localize(76,null),["name"]),area:new u(o.localize(77,null),["alt","coords","shape:sh","href","target","download","ping","rel","hreflang","type"]),table:new u(o.localize(78,null),["sortable:v","border"]),caption:new u(o.localize(79,null)),colgroup:new u(o.localize(80,null),["span"]),col:new u(o.localize(81,null),["span"]),tbody:new u(o.localize(82,null)),thead:new u(o.localize(83,null)),tfoot:new u(o.localize(84,null)),tr:new u(o.localize(85,null)),td:new u(o.localize(86,null),["colspan","rowspan","headers"]),th:new u(o.localize(87,null),["colspan","rowspan","headers","scope:s","sorted","abbr"]),form:new u(o.localize(88,null),["accept-charset","action","autocomplete:o","enctype:et","method:m","name","novalidate:v","target"]),label:new u(o.localize(89,null),["form","for"]),input:new u(o.localize(90,null),["accept","alt","autocomplete:inputautocomplete","autofocus:v","checked:v","dirname","disabled:v","form","formaction","formenctype:et","formmethod:fm","formnovalidate:v","formtarget","height","inputmode:im","list","max","maxlength","min","minlength","multiple:v","name","pattern","placeholder","readonly:v","required:v","size","src","step","type:t","value","width"]),button:new u(o.localize(91,null),["autofocus:v","disabled:v","form","formaction","formenctype:et","formmethod:fm","formnovalidate:v","formtarget","name","type:bt","value"]),select:new u(o.localize(92,null),["autocomplete:inputautocomplete","autofocus:v","disabled:v","form","multiple:v","name","required:v","size"]),datalist:new u(o.localize(93,null)),optgroup:new u(o.localize(94,null),["disabled:v","label"]),option:new u(o.localize(95,null),["disabled:v","label","selected:v","value"]),textarea:new u(o.localize(96,null),["autocomplete:inputautocomplete","autofocus:v","cols","dirname","disabled:v","form","inputmode:im","maxlength","minlength","name","placeholder","readonly:v","required:v","rows","wrap:w"]),output:new u(o.localize(97,null),["for","form","name"]),progress:new u(o.localize(98,null),["value","max"]),meter:new u(o.localize(99,null),["value","min","max","low","high","optimum"]),fieldset:new u(o.localize(100,null),["disabled:v","form","name"]),legend:new u(o.localize(101,null)),details:new u(o.localize(102,null),["open:v"]),summary:new u(o.localize(103,null)),dialog:new u(o.localize(104,null)),script:new u(o.localize(105,null),["src","type","charset","async:v","defer:v","crossorigin:xo","nonce"]),noscript:new u(o.localize(106,null)),template:new u(o.localize(107,null)),canvas:new u(o.localize(108,null),["width","height"])},t.IONIC_TAGS={"ion-checkbox":new u(o.localize(109,null),["name","ng-false-value","ng-model","ng-true-value"]),"ion-content":new u(o.localize(110,null),["delegate-handle","direction:scrolldir","has-bouncing:b","locking:b","on-scroll","on-scroll-complete","overflow-scroll:b","padding:b","scroll:b","scrollbar-x:b","scrollbar-y:b","start-x","start-y"]),"ion-delete-button":new u(o.localize(111,null),[]),"ion-footer-bar":new u(o.localize(112,null),["align-title:align","keyboard-attach:v"]),"ion-header-bar":new u(o.localize(113,null),["align-title:align","no-tap-scroll:b"]),"ion-infinite-scroll":new u(o.localize(114,null),["distance","icon","immediate-check:b","on-infinite","spinner"]),"ion-input":new u(o.localize(115,null),["type:inputtype","clearInput:v"]),"ion-item":new u(o.localize(116,null),[]),"ion-list":new u(o.localize(117,null),["can-swipe:b","delegate-handle","show-delete:b","show-reorder:b","type:listtype"]),"ion-modal-view":new u(o.localize(118,null),[]),"ion-nav-back-button":new u(o.localize(119,null),[]),"ion-nav-bar":new u(o.localize(120,null),["align-title:align","delegate-handle","no-tap-scroll:b"]),"ion-nav-buttons":new u(o.localize(121,null),["side:navsides"]),"ion-nav-title":new u(o.localize(122,null),[]),"ion-nav-view":new u(o.localize(123,null),["name"]),"ion-option-button":new u(o.localize(124,null),[]),"ion-pane":new u(o.localize(125,null),[]),"ion-popover-view":new u(o.localize(126,null),[]),"ion-radio":new u(o.localize(127,null),["disabled:b","icon","name","ng-disabled:b","ng-model","ng-value","value"]),"ion-refresher":new u(o.localize(128,null),["disable-pulling-rotation:b","on-pulling","on-refresh","pulling-icon","pulling-text","refreshing-icon","spinner"]),"ion-reorder-button":new u(o.localize(129,null),["on-reorder"]),"ion-scroll":new u(o.localize(130,null),["delegate-handle","direction:scrolldir","has-bouncing:b","locking:b","max-zoom","min-zoom","on-refresh","on-scroll","paging:b","scrollbar-x:b","scrollbar-y:b","zooming:b"]),"ion-side-menu":new u(o.localize(131,null),["is-enabled:b","expose-aside-when","side:navsides","width"]),"ion-side-menu-content":new u(o.localize(132,null),["drag-content:b","edge-drag-threshold"]),"ion-side-menus":new u(o.localize(133,null),["delegate-handle","enable-menu-with-back-views:b"]),"ion-slide":new u(o.localize(134,null),[]),"ion-slide-box":new u(o.localize(135,null),["active-slide","auto-play:b","delegate-handle","does-continue:b","on-slide-changed","pager-click","show-pager:b","slide-interval"]),"ion-spinner":new u(o.localize(136,null),["icon"]),"ion-tab":new u(o.localize(137,null),["badge","badge-style","disabled","hidden","href","icon","icon-off","icon-on","ng-click","on-deselect","on-select","title"]),"ion-tabs":new u(o.localize(138,null),["delegate-handle"]),"ion-title":new u(o.localize(139,null),[]),"ion-toggle":new u(o.localize(140,null),["name","ng-false-value","ng-model","ng-true-value","toggle-class"]),"ion-view ":new u(o.localize(141,null),["cache-view:b","can-swipe-back:b","hide-back-button:b","hide-nav-bar:b","view-title"])},t.getHTML5TagProvider=r,t.getAngularTagProvider=i,t.getIonicTagProvider=a}),/*!
END THIRD PARTY
*/
define(e[12],t([0,1,7]),function(e,t,n){"use strict";t.ID_CODE_EDITOR_SERVICE="codeEditorService",t.ICodeEditorService=n.createDecorator(t.ID_CODE_EDITOR_SERVICE)}),define(e[14],t([0,1,7]),function(e,t,n){"use strict";t.IEditorService=n.createDecorator("editorService"),function(e){e[e.LEFT=0]="LEFT",e[e.CENTER=1]="CENTER",e[e.RIGHT=2]="RIGHT"}(t.Position||(t.Position={}));var o=t.Position;t.POSITIONS=[o.LEFT,o.CENTER,o.RIGHT],function(e){e[e.LEFT=0]="LEFT",e[e.RIGHT=1]="RIGHT"}(t.Direction||(t.Direction={}));t.Direction}),define(e[6],t([0,1,7]),function(e,t,n){"use strict";function o(e,t){var n=e.getType(),o=t.getType();if(n!==o)return n-o;switch(n){case r.KbDefinedExpression:return e.cmp(t);case r.KbNotExpression:return e.cmp(t);case r.KbEqualsExpression:return e.cmp(t);case r.KbNotEqualsExpression:return e.cmp(t);default:throw new Error("Unknown KbExpr!")}}!function(e){e[e.KbDefinedExpression=1]="KbDefinedExpression",e[e.KbNotExpression=2]="KbNotExpression",e[e.KbEqualsExpression=3]="KbEqualsExpression",e[e.KbNotEqualsExpression=4]="KbNotEqualsExpression",e[e.KbAndExpression=5]="KbAndExpression"}(t.KbExprType||(t.KbExprType={}));var r=t.KbExprType,i=function(){function e(e){this.key=e}return e.prototype.getType=function(){return r.KbDefinedExpression},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:0},e.prototype.equals=function(t){return t instanceof e&&this.key===t.key},e.prototype.evaluate=function(e){return!!e[this.key]},e.prototype.normalize=function(){return this},e.prototype.serialize=function(){return this.key},e}();t.KbDefinedExpression=i;var a=function(){function e(e,t){this.key=e,this.value=t}return e.prototype.getType=function(){return r.KbEqualsExpression},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0},e.prototype.equals=function(t){return t instanceof e&&(this.key===t.key&&this.value===t.value)},e.prototype.evaluate=function(e){return e[this.key]==this.value},e.prototype.normalize=function(){return"boolean"==typeof this.value?this.value?new i(this.key):new s(this.key):this},e.prototype.serialize=function(){return"boolean"==typeof this.value?this.normalize().serialize():this.key+" == '"+this.value+"'"},e}();t.KbEqualsExpression=a;var l=function(){function e(e,t){this.key=e,this.value=t}return e.prototype.getType=function(){return r.KbNotEqualsExpression},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0},e.prototype.equals=function(t){return t instanceof e&&(this.key===t.key&&this.value===t.value)},e.prototype.evaluate=function(e){return e[this.key]!=this.value},e.prototype.normalize=function(){return"boolean"==typeof this.value?this.value?new s(this.key):new i(this.key):this},e.prototype.serialize=function(){return"boolean"==typeof this.value?this.normalize().serialize():this.key+" != '"+this.value+"'"},e}();t.KbNotEqualsExpression=l;var s=function(){function e(e){this.key=e}return e.prototype.getType=function(){return r.KbNotExpression},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:0},e.prototype.equals=function(t){return t instanceof e&&this.key===t.key},e.prototype.evaluate=function(e){return!e[this.key]},e.prototype.normalize=function(){return this},e.prototype.serialize=function(){return"!"+this.key},e}();t.KbNotExpression=s;var c=function(){function e(t){this.expr=e._normalizeArr(t)}return e.prototype.getType=function(){return r.KbAndExpression},e.prototype.equals=function(t){if(t instanceof e){if(this.expr.length!==t.expr.length)return!1;for(var n=0,o=this.expr.length;n<o;n++)if(!this.expr[n].equals(t.expr[n]))return!1;return!0}},e.prototype.evaluate=function(e){for(var t=0,n=this.expr.length;t<n;t++)if(!this.expr[t].evaluate(e))return!1;return!0},e._normalizeArr=function(t){var n=[];if(t){for(var r=0,i=t.length;r<i;r++){var a=t[r];a&&(a=a.normalize(),a&&(a instanceof e?n=n.concat(a.expr):n.push(a)))}n.sort(o)}return n},e.prototype.normalize=function(){return 0===this.expr.length?null:1===this.expr.length?this.expr[0]:this},e.prototype.serialize=function(){return 0===this.expr.length?"":1===this.expr.length?this.normalize().serialize():this.expr.map(function(e){return e.serialize()}).join(" && ")},e}();t.KbAndExpression=c,t.KbExpr={has:function(e){return new i(e)},equals:function(e,t){return new a(e,t)},notEquals:function(e,t){return new l(e,t)},not:function(e){return new s(e)},and:function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return new c(e)},deserialize:function(e){if(!e)return null;var n=e.split("&&"),o=new c(n.map(function(e){return t.KbExpr._deserializeOne(e)}));return o.normalize()},_deserializeOne:function(e){if(e=e.trim(),e.indexOf("!=")>=0){var n=e.split("!=");return new l(n[0].trim(),t.KbExpr._deserializeValue(n[1]))}if(e.indexOf("==")>=0){var n=e.split("==");return new a(n[0].trim(),t.KbExpr._deserializeValue(n[1]))}return/^\!\s*/.test(e)?new s(e.substr(1).trim()):new i(e)},_deserializeValue:function(e){if(e=e.trim(),"true"===e)return!0;if("false"===e)return!1;var t=/^'([^']*)'$/.exec(e);return t?t[1].trim():e}},t.IKeybindingService=n.createDecorator("keybindingService"),t.SET_CONTEXT_COMMAND_ID="setContext"}),define(e[10],t([0,1,9,25,34,18]),function(e,t,n,o,r,i){"use strict";var a=function(){function e(){this.WEIGHT={editorCore:function(e){return void 0===e&&(e=0),0+e},editorContrib:function(e){return void 0===e&&(e=0),100+e},workbenchContrib:function(e){return void 0===e&&(e=0),200+e},builtinExtension:function(e){return void 0===e&&(e=0),300+e},externalExtension:function(e){return void 0===e&&(e=0),400+e}},this._keybindings=[],this._commands=Object.create(null)}return e.bindToCurrentPlatform=function(e){if(o.isWindows){if(e&&e.win)return e.win}else if(o.isMacintosh){if(e&&e.mac)return e.mac}else if(e&&e.linux)return e.linux;return e},e.prototype.registerCommandRule=function(t){var n=this,o=e.bindToCurrentPlatform(t);o&&o.primary&&this.registerDefaultKeybinding(o.primary,t.id,t.weight,0,t.when),o&&Array.isArray(o.secondary)&&o.secondary.forEach(function(e,o){return n.registerDefaultKeybinding(e,t.id,t.weight,-o-1,t.when)})},e.prototype.registerCommandDesc=function(e){this.registerCommandRule(e);var t=e.handler,n=e.description||t.description;if("object"==typeof n){for(var o=[],i=0,a=n.args;i<a.length;i++){var l=a[i];o.push(l.constraint)}t=function(t){for(var n=[],i=1;i<arguments.length;i++)n[i-1]=arguments[i];return r.validateConstraints(n,o),e.handler.apply(e,[t].concat(n))}}t.description=n,this._commands[e.id]=t},e.prototype.getCommands=function(){return this._commands},e.prototype.registerDefaultKeybinding=function(e,t,r,i,a){o.isWindows&&n.BinaryKeybindings.hasCtrlCmd(e)&&!n.BinaryKeybindings.hasShift(e)&&n.BinaryKeybindings.hasAlt(e)&&!n.BinaryKeybindings.hasWinCtrl(e)&&/^[A-Z0-9\[\]\|\;\'\,\.\/\`]$/.test(n.KeyCode.toString(n.BinaryKeybindings.extractKeyCode(e)))&&console.warn("Ctrl+Alt+ keybindings should not be used by default under Windows. Offender: ",e," for ",t),this._keybindings.push({keybinding:e,command:t,when:a,weight1:r,weight2:i})},e.prototype.getDefaultKeybindings=function(){return this._keybindings},e}();t.KeybindingsRegistry=new a,t.Extensions={EditorModes:"platform.keybindingsRegistry"},i.Registry.add(t.Extensions.EditorModes,t.KeybindingsRegistry)}),define(e[19],t([0,1,9,14,6,10,20,12]),function(e,t,n,o,r,i,a,l){"use strict";function s(e,t,n){var o=t.get(l.ICodeEditorService).getFocusedCodeEditor();return o?o:(n&&console.warn("Cannot execute "+e+" because no code editor is focused."),null)}function c(e,t,n){var o=s(e,t,!0);o&&n(o)}function u(e){var t=e.get(o.IEditorService),n=t.getActiveEditor&&t.getActiveEditor();if(n){var r=n.getControl();if(r&&"function"==typeof r.getEditorType){var i=r;return i}}return null}function d(e,t,n){c(e,t,function(t){t.trigger("keyboard",e,n)})}function p(e,t,n,o){void 0===n&&(n=i.KeybindingsRegistry.WEIGHT.editorCore());var l={id:e,handler:d.bind(null,e),weight:n,when:o?o:r.KbExpr.has(a.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),primary:t.primary,secondary:t.secondary,win:t.win,mac:t.mac,linux:t.linux};i.KeybindingsRegistry.registerCommandDesc(l)}function m(e){var t={id:e,handler:d.bind(null,e),weight:i.KeybindingsRegistry.WEIGHT.editorCore(),when:null,primary:0};i.KeybindingsRegistry.registerCommandDesc(t);var n={id:"default:"+e,handler:function(t,n){c(e,t,function(t){t.trigger("keyboard",e,n)})},weight:i.KeybindingsRegistry.WEIGHT.editorCore(),when:null,primary:0};i.KeybindingsRegistry.registerCommandDesc(n)}function g(e,t){return e?n.KeyMod.Shift|n.KeyMod.Alt|t:n.KeyMod.Alt|t}function f(e,t){return e?n.KeyMod.CtrlCmd|n.KeyMod.Shift|t:n.KeyMod.CtrlCmd|t}function y(e,t,n){p(e,{primary:f(t,n),mac:{primary:g(t,n)}})}function h(e,t){var n=a.Handler.SelectAll,o=s(n,e,!1);if(o&&o.isFocused())return void o.trigger("keyboard",n,t);var r=document.activeElement;if(r&&["input","textarea"].indexOf(r.tagName.toLowerCase())>=0)return void r.select();var i=u(e);return i?void i.trigger("keyboard",n,t):void 0}var C=a.Handler;t.findFocusedEditor=s,t.withCodeEditorFromCommandHandler=c,t.getActiveEditor=u,m(C.Type),m(C.ReplacePreviousChar),m(C.Paste),m(C.Cut),p(C.CursorLeft,{primary:n.KeyCode.LeftArrow,mac:{primary:n.KeyCode.LeftArrow,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_B]}}),p(C.CursorLeftSelect,{primary:n.KeyMod.Shift|n.KeyCode.LeftArrow}),p(C.CursorRight,{primary:n.KeyCode.RightArrow,mac:{primary:n.KeyCode.RightArrow,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_F]}}),p(C.CursorRightSelect,{primary:n.KeyMod.Shift|n.KeyCode.RightArrow}),p(C.CursorUp,{primary:n.KeyCode.UpArrow,mac:{primary:n.KeyCode.UpArrow,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_P]}}),p(C.CursorUpSelect,{primary:n.KeyMod.Shift|n.KeyCode.UpArrow,secondary:[f(!0,n.KeyCode.UpArrow)],mac:{primary:n.KeyMod.Shift|n.KeyCode.UpArrow},linux:{primary:n.KeyMod.Shift|n.KeyCode.UpArrow}}),p(C.CursorDown,{primary:n.KeyCode.DownArrow,mac:{primary:n.KeyCode.DownArrow,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_N]}}),p(C.CursorDownSelect,{primary:n.KeyMod.Shift|n.KeyCode.DownArrow,secondary:[f(!0,n.KeyCode.DownArrow)],mac:{primary:n.KeyMod.Shift|n.KeyCode.DownArrow},linux:{primary:n.KeyMod.Shift|n.KeyCode.DownArrow}}),p(C.CursorPageUp,{primary:n.KeyCode.PageUp}),p(C.CursorPageUpSelect,{primary:n.KeyMod.Shift|n.KeyCode.PageUp}),p(C.CursorPageDown,{primary:n.KeyCode.PageDown}),p(C.CursorPageDownSelect,{primary:n.KeyMod.Shift|n.KeyCode.PageDown}),p(C.CursorHome,{primary:n.KeyCode.Home,mac:{primary:n.KeyCode.Home,secondary:[n.KeyMod.CtrlCmd|n.KeyCode.LeftArrow,n.KeyMod.WinCtrl|n.KeyCode.KEY_A]}}),p(C.CursorHomeSelect,{primary:n.KeyMod.Shift|n.KeyCode.Home,mac:{primary:n.KeyMod.Shift|n.KeyCode.Home,secondary:[n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.LeftArrow]}}),p(C.CursorEnd,{primary:n.KeyCode.End,mac:{primary:n.KeyCode.End,secondary:[n.KeyMod.CtrlCmd|n.KeyCode.RightArrow,n.KeyMod.WinCtrl|n.KeyCode.KEY_E]}}),p(C.CursorEndSelect,{primary:n.KeyMod.Shift|n.KeyCode.End,mac:{primary:n.KeyMod.Shift|n.KeyCode.End,secondary:[n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.RightArrow]}}),p(C.ExpandLineSelection,{primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_I}),p(C.ScrollLineUp,{primary:n.KeyMod.CtrlCmd|n.KeyCode.UpArrow,mac:{primary:n.KeyMod.WinCtrl|n.KeyCode.PageUp}}),p(C.ScrollLineDown,{primary:n.KeyMod.CtrlCmd|n.KeyCode.DownArrow,mac:{primary:n.KeyMod.WinCtrl|n.KeyCode.PageDown}}),p(C.ScrollPageUp,{primary:n.KeyMod.CtrlCmd|n.KeyCode.PageUp,win:{primary:n.KeyMod.Alt|n.KeyCode.PageUp},linux:{primary:n.KeyMod.Alt|n.KeyCode.PageUp}}),p(C.ScrollPageDown,{primary:n.KeyMod.CtrlCmd|n.KeyCode.PageDown,win:{primary:n.KeyMod.Alt|n.KeyCode.PageDown},linux:{primary:n.KeyMod.Alt|n.KeyCode.PageDown}}),p(C.CursorColumnSelectLeft,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.LeftArrow,linux:{primary:0}}),p(C.CursorColumnSelectRight,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.RightArrow,linux:{primary:0}}),p(C.CursorColumnSelectUp,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.UpArrow,linux:{primary:0}}),p(C.CursorColumnSelectPageUp,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.PageUp,linux:{primary:0}}),p(C.CursorColumnSelectDown,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.DownArrow,linux:{primary:0}}),p(C.CursorColumnSelectPageDown,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyMod.Alt|n.KeyCode.PageDown,linux:{primary:0}}),p(C.Tab,{primary:n.KeyCode.Tab},i.KeybindingsRegistry.WEIGHT.editorCore(),r.KbExpr.and(r.KbExpr.has(a.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),r.KbExpr.not(a.KEYBINDING_CONTEXT_EDITOR_TAB_MOVES_FOCUS))),p(C.Outdent,{primary:n.KeyMod.Shift|n.KeyCode.Tab},i.KeybindingsRegistry.WEIGHT.editorCore(),r.KbExpr.and(r.KbExpr.has(a.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),r.KbExpr.not(a.KEYBINDING_CONTEXT_EDITOR_TAB_MOVES_FOCUS))),p(C.DeleteLeft,{primary:n.KeyCode.Backspace,secondary:[n.KeyMod.Shift|n.KeyCode.Backspace],mac:{primary:n.KeyCode.Backspace,secondary:[n.KeyMod.Shift|n.KeyCode.Backspace,n.KeyMod.WinCtrl|n.KeyCode.KEY_H,n.KeyMod.WinCtrl|n.KeyCode.Backspace]}}),p(C.DeleteRight,{primary:n.KeyCode.Delete,mac:{primary:n.KeyCode.Delete,secondary:[n.KeyMod.WinCtrl|n.KeyCode.KEY_D,n.KeyMod.WinCtrl|n.KeyCode.Delete]}}),p(C.DeleteAllLeft,{primary:null,mac:{primary:n.KeyMod.CtrlCmd|n.KeyCode.Backspace}}),p(C.DeleteAllRight,{primary:null,mac:{primary:n.KeyMod.WinCtrl|n.KeyCode.KEY_K,secondary:[n.KeyMod.CtrlCmd|n.KeyCode.Delete]}}),y(C.CursorWordStartLeft,!1,n.KeyCode.LeftArrow),p(C.CursorWordEndLeft,{primary:0}),p(C.CursorWordLeft,{primary:0}),y(C.CursorWordStartLeftSelect,!0,n.KeyCode.LeftArrow),p(C.CursorWordEndLeftSelect,{primary:0}),p(C.CursorWordLeftSelect,{primary:0}),y(C.CursorWordEndRight,!1,n.KeyCode.RightArrow),p(C.CursorWordStartRight,{primary:0}),p(C.CursorWordRight,{primary:0}),y(C.CursorWordEndRightSelect,!0,n.KeyCode.RightArrow),p(C.CursorWordStartRightSelect,{primary:0}),p(C.CursorWordRightSelect,{primary:0}),y(C.DeleteWordLeft,!1,n.KeyCode.Backspace),p(C.DeleteWordStartLeft,{primary:0}),p(C.DeleteWordEndLeft,{primary:0}),y(C.DeleteWordRight,!1,n.KeyCode.Delete),p(C.DeleteWordStartRight,{primary:0}),p(C.DeleteWordEndRight,{primary:0}),p(C.CancelSelection,{primary:n.KeyCode.Escape,secondary:[n.KeyMod.Shift|n.KeyCode.Escape]},i.KeybindingsRegistry.WEIGHT.editorCore(),r.KbExpr.and(r.KbExpr.has(a.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),r.KbExpr.has(a.KEYBINDING_CONTEXT_EDITOR_HAS_NON_EMPTY_SELECTION))),p(C.RemoveSecondaryCursors,{primary:n.KeyCode.Escape,secondary:[n.KeyMod.Shift|n.KeyCode.Escape]},i.KeybindingsRegistry.WEIGHT.editorCore(1),r.KbExpr.and(r.KbExpr.has(a.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS),r.KbExpr.has(a.KEYBINDING_CONTEXT_EDITOR_HAS_MULTIPLE_SELECTIONS))),p(C.CursorTop,{primary:n.KeyMod.CtrlCmd|n.KeyCode.Home,mac:{primary:n.KeyMod.CtrlCmd|n.KeyCode.UpArrow}}),p(C.CursorTopSelect,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.Home,mac:{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.UpArrow}}),p(C.CursorBottom,{primary:n.KeyMod.CtrlCmd|n.KeyCode.End,mac:{primary:n.KeyMod.CtrlCmd|n.KeyCode.DownArrow}}),p(C.CursorBottomSelect,{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.End,mac:{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.DownArrow}}),p(C.LineBreakInsert,{primary:null,mac:{primary:n.KeyMod.WinCtrl|n.KeyCode.KEY_O}}),p(C.Undo,{primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_Z}),p(C.CursorUndo,{primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_U}),p(C.Redo,{primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_Y,secondary:[n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.KEY_Z],mac:{primary:n.KeyMod.CtrlCmd|n.KeyMod.Shift|n.KeyCode.KEY_Z}}),i.KeybindingsRegistry.registerCommandDesc({id:"editor.action.selectAll",handler:h,weight:i.KeybindingsRegistry.WEIGHT.editorCore(),when:null,primary:n.KeyMod.CtrlCmd|n.KeyCode.KEY_A})}),define(e[4],t([0,1,2,23,33,6,10,18,38,19,26,20,32]),function(e,t,n,o,r,i,a,l,s,c,u,d,p){"use strict";function m(e,t,n){c.withCodeEditorFromCommandHandler(e,t,function(t){t.trigger("keyboard",e,n)})}function g(e,t,o){var r=c.findFocusedEditor(e,t,!1);if(r)return void r.trigger("keyboard",e,o);var i=c.getActiveEditor(t);if(i){var a=i.getAction(e);return void(a&&(t.get(s.ITelemetryService).publicLog("editorActionInvoked",{name:a.label}),a.run().done(null,n.onUnexpectedError)))}}function f(e,t){var n=i.KbExpr.has(e?d.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS:d.KEYBINDING_CONTEXT_EDITOR_FOCUS);return t?i.KbExpr.and(n,i.KbExpr.has(t)):n}function y(e,t){return function(n,o){c.withCodeEditorFromCommandHandler(e,n,function(e){t(n,e,o||{})})}}!function(e){e[e.None=0]="None",e[e.EditorTextFocus=1]="EditorTextFocus",e[e.EditorFocus=2]="EditorFocus"}(t.ContextKey||(t.ContextKey={}));var h=t.ContextKey,C=function(){function e(e,t,n,o,r){void 0===o&&(o=w),this.ctor=e,this.id=t,this.label=n,this.alias=r,this.kbOpts=o}return e}();t.EditorActionDescriptor=C;var E;!function(e){function t(e){l.Registry.as(K.EditorCommonContributions).registerEditorAction(e)}function r(e){l.Registry.as(K.EditorCommonContributions).registerEditorContribution2(e)}function i(){return l.Registry.as(K.EditorCommonContributions).getEditorContributions2()}function s(e){return void 0===e&&(e=0),a.KeybindingsRegistry.WEIGHT.editorContrib(e)}function c(e,t,n,o,r,i){var l={id:e,handler:y(e,i),weight:t,when:f(o,r),primary:n.primary,secondary:n.secondary,win:n.win,linux:n.linux,mac:n.mac};a.KeybindingsRegistry.registerCommandDesc(l)}function d(e,t){a.KeybindingsRegistry.registerCommandDesc({id:e,handler:function(e,n){return t(e,n||{})},weight:a.KeybindingsRegistry.WEIGHT.editorContrib(),primary:void 0,when:void 0})}function m(e,t){d(e,function(e,r){var i=r.resource,a=r.position;if(!(i instanceof o["default"]&&u.Position.isIPosition(a)))throw n.illegalArgument();var l=e.get(p.IModelService).getModel(i);if(!l)throw n.illegalArgument();var s=u.Position.lift(a);return t(l,s,r)})}e.registerEditorAction=t,e.registerEditorContribution=r,e.getEditorContributions=i,e.commandWeight=s,e.registerEditorCommand=c,e.registerLanguageCommand=d,e.registerDefaultLanguageCommand=m}(E=t.CommonEditorRegistry||(t.CommonEditorRegistry={}));var b=function(){function e(e){this._ctor=e}return e.prototype.createInstance=function(e,t){return e.createInstance(this._ctor,t)},e}(),_=function(){function e(e,t,n,o){this._descriptor=r.createSyncDescriptor(e,{id:t,label:n,alias:o})}return e.prototype.createInstance=function(e,t){return e.createInstance(this._descriptor,t)},e}(),K={EditorCommonContributions:"editor.commonContributions"},v=function(){function e(){this.editorContributions=[]}return e.prototype.registerEditorContribution2=function(e){this.editorContributions.push(new b(e))},e.prototype.registerEditorAction=function(e){var t=e.kbOpts.handler;t||(t=e.kbOpts.context===h.EditorTextFocus||e.kbOpts.context===h.EditorFocus?m.bind(null,e.id):g.bind(null,e.id));var n=null;"undefined"==typeof e.kbOpts.kbExpr?e.kbOpts.context===h.EditorTextFocus?n=i.KbExpr.has(d.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS):e.kbOpts.context===h.EditorFocus&&(n=i.KbExpr.has(d.KEYBINDING_CONTEXT_EDITOR_FOCUS)):n=e.kbOpts.kbExpr;var o={id:e.id,handler:t,weight:a.KeybindingsRegistry.WEIGHT.editorContrib(),when:n,primary:e.kbOpts.primary,secondary:e.kbOpts.secondary,win:e.kbOpts.win,linux:e.kbOpts.linux,mac:e.kbOpts.mac};a.KeybindingsRegistry.registerCommandDesc(o),this.editorContributions.push(new _(e.ctor,e.id,e.label,e.alias))},e.prototype.getEditorContributions2=function(){return this.editorContributions.slice(0)},e}();l.Registry.add(K.EditorCommonContributions,new v);var w={primary:null,context:h.EditorTextFocus}}),define(e[28],t([0,1,29,2,3,4,5,8]),function(e,t,n,o,r,i,a,l){"use strict";function s(e,t){var i=a.HoverProviderRegistry.ordered(e),s=[],c=i.map(function(n,r){return l.asWinJsPromise(function(o){return n.provideHover(e,t,o)}).then(function(e){if(e){var t="undefined"!=typeof e.range,n="undefined"!=typeof e.contents&&e.contents&&e.contents.length>0;t&&n&&(s[r]=e)}},function(e){o.onUnexpectedError(e)})});return r.TPromise.join(c).then(function(){return n.coalesce(s)})}t.getHover=s,i.CommonEditorRegistry.registerDefaultLanguageCommand("_executeHoverProvider",s)}),define(e[24],t([0,1,2,3,4,5,8]),function(e,t,n,o,r,i,a){"use strict";function l(e,t){var r=i.ReferenceProviderRegistry.ordered(e).map(function(o){return a.asWinJsPromise(function(n){return o.provideReferences(e,t,{includeDeclaration:!0},n)}).then(function(e){if(Array.isArray(e))return e},function(e){n.onUnexpectedError(e)})});return o.TPromise.join(r).then(function(e){for(var t=[],n=0,o=e;n<o.length;n++){var r=o[n];r&&t.push.apply(t,r)}return t})}t.provideReferences=l,r.CommonEditorRegistry.registerDefaultLanguageCommand("_executeReferenceProvider",l)}),define(e[17],t([0,1,8,29,2,3,4,5,35]),function(e,t,n,o,r,i,a,l,s){"use strict";function c(e,t,a){a||(a=l.SuggestRegistry.orderedGroups(e));var c=[],u=a.map(function(a,l){return function(){if(!(c.length>0))return i.TPromise.join(a.map(function(i){return n.asWinJsPromise(function(n){return i.provideCompletionItems(e,t,n)}).then(function(e){if(e)for(var t=0,n=e;t<n.length;t++){var r=n[t];r&&!o.isFalsyOrEmpty(r.suggestions)&&c.push({support:i,currentWord:r.currentWord,incomplete:r.incomplete,suggestions:r.suggestions})}},r.onUnexpectedError)}))}});return n.sequence(u).then(function(){var n=s.SnippetsRegistry.getSnippets(e,t);return c.push(n),c})}t.Context={Visible:"suggestWidgetVisible",MultipleSuggestions:"suggestWidgetMultipleSuggestions",AcceptOnKey:"suggestionSupportsAcceptOnKey"},t.provideCompletionItems=c,a.CommonEditorRegistry.registerDefaultLanguageCommand("_executeCompletionItemProvider",function(e,t,n){return c(e,t)})});var n=this&&this.__decorate||function(e,t,n,o){var r,i=arguments.length,a=i<3?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(e,t,n,o);else for(var l=e.length-1;l>=0;l--)(r=e[l])&&(a=(i<3?r(a):i>3?r(t,n,a):r(t,n))||a);return i>3&&a&&Object.defineProperty(t,n,a),a},o=this&&this.__param||function(e,t){return function(n,o){t(n,o,e)}};define(e[36],t([0,1,23,3,37,30,31,5,11,26,39,40,41,22,13,42,43,44,28,24,17]),function(e,t,r,i,a,l,s,c,u,d,p,m,g,f,y,h,C,E,b,_,K){"use strict";function v(e){return/^\s*$/.test(e)}var w;!function(e){e[e.LOOKING_FOR_HREF_OR_SRC=1]="LOOKING_FOR_HREF_OR_SRC",e[e.AFTER_HREF_OR_SRC=2]="AFTER_HREF_OR_SRC"}(w||(w={}));var T=function(){function e(e,t,n,o){this._modeId=e,this.resourceService=t,this.markerService=n,this._contextService=o,this._tagProviders=[],this._tagProviders.push(l.getHTML5TagProvider()),this.addCustomTagProviders(this._tagProviders)}return e.prototype.addCustomTagProviders=function(e){e.push(l.getAngularTagProvider()),e.push(l.getIonicTagProvider())},e.prototype.provideDocumentRangeFormattingEdits=function(e,t,n){return this.formatHTML(e,t,n)},e.prototype.formatHTML=function(e,t,n){var o=this.resourceService.get(e),r=t?o.getValueInRange(t):o.getValue(),l={indent_size:n.insertSpaces?n.tabSize:1,indent_char:n.insertSpaces?" ":"\t",wrap_line_length:this.getFormatOption("wrapLineLength",120),unformatted:this.getTagsFormatOption("unformatted",void 0),indent_inner_html:this.getFormatOption("indentInnerHtml",!1),preserve_newlines:this.getFormatOption("preserveNewLines",!1),max_preserve_newlines:this.getFormatOption("maxPreserveNewLines",void 0),indent_handlebars:this.getFormatOption("indentHandlebars",!1),end_with_newline:this.getFormatOption("endWithNewline",!1),extra_liners:this.getTagsFormatOption("extraLiners",void 0)},s=a.html_beautify(r,l);return i.TPromise.as([{range:t,text:s}])},e.prototype.getFormatOption=function(e,t){if(this.formatSettings&&this.formatSettings.hasOwnProperty(e)){var n=this.formatSettings[e];if(null!==n)return n}return t},e.prototype.getTagsFormatOption=function(e,t){var n=this.getFormatOption(e,null);return"string"==typeof n?n.length>0?n.split(",").map(function(e){return e.trim().toLowerCase()}):[]:t},e.prototype._doConfigure=function(e){return this.formatSettings=e&&e.format,i.TPromise.as(null)},e.prototype._delegateToModeAtPosition=function(e,t,n){var o=this.resourceService.get(e);if(!o)return null;var r=o.getEmbeddedAtPosition(t);if(!r)return n(!1,o);var i=r.getMode();return n(i.getId()!==this._modeId,r)},e.prototype._delegateToAllModes=function(e,t){var n=this.resourceService.get(e);return n?t(n.getAllEmbedded()):null},e.prototype.provideHover=function(e,t){return this._delegateToModeAtPosition(e,t,function(e,n){if(e)return b.getHover(n,d.Position.lift(t)).then(function(e){return e.length>0?e[0]:null})})},e.prototype.provideReferences=function(e,t){return this._delegateToModeAtPosition(e,t,function(e,n){if(e)return _.provideReferences(n,d.Position.lift(t))})},e.prototype.findMatchingOpenTag=function(e){for(var t={},n=!1;e.scanBack();)if(y.isTag(e.getTokenType())&&!n){var o=e.getTokenContent();if(e.scanBack(),e.getTokenType()===y.DELIM_END)t[o]=(t[o]||0)+1;else if(!h.isEmptyElement(o)){if(!t[o])return o;t[o]--}}else e.getTokenType()===y.DELIM_START&&(n="/>"===e.getTokenContent());return null},e.prototype.collectTagSuggestions=function(e,t,n){var o=this,r=e.getModel(),i=r.getLineContent(t.lineNumber),a=i.substr(t.column-1),l=v(a)||u.startsWith(a,"<")?">":"",s=function(a){var s=e.getTokenPosition(),c=o.findMatchingOpenTag(e);if(c){var u={label:"/"+c,codeSnippet:"/"+c+l,overwriteBefore:a,type:"property"};n.suggestions.push(u);var d=e.getTokenPosition();if(s.lineNumber!==d.lineNumber){var p=r.getLineContent(d.lineNumber).substring(0,d.column-1),m=r.getLineContent(s.lineNumber).substring(0,s.column-1);v(p)&&v(m)&&(u.overwriteBefore=t.column-1,u.codeSnippet=p+"</"+c+l,u.filterText=i.substring(0,t.column-1))}return!0}return!1};if(e.getTokenType()===y.DELIM_END){var c=s(n.currentWord.length+1);c||this._tagProviders.forEach(function(e){e.collectTags(function(e,t){n.suggestions.push({label:"/"+e,overwriteBefore:n.currentWord.length+1,codeSnippet:"/"+e+l,type:"property",documentationLabel:t})})})}else s(n.currentWord.length),this._tagProviders.forEach(function(e){e.collectTags(function(e,t){n.suggestions.push({label:e,codeSnippet:e,type:"property",documentationLabel:t})})})},e.prototype.collectContentSuggestions=function(e){},e.prototype.collectAttributeSuggestions=function(e,t){var n=null;do{if(y.isTag(e.getTokenType())){n=e.getTokenContent();break}if(e.getTokenType()===y.DELIM_START)break}while(e.scanBack());this._tagProviders.forEach(function(e){e.collectAttributes(n,function(e,n){var o=e;"v"!==n&&(o+='="{{}}"'),t.suggestions.push({label:e,codeSnippet:o,type:"handler"===n?"function":"value"})})})},e.prototype.collectAttributeValueSuggestions=function(e,t){for(var n=e.getTokenType()===y.DELIM_ASSIGN,o=null,r=null;e.scanBack();)if(e.getTokenType()===y.ATTRIB_NAME){o=e.getTokenContent();break}for(;e.scanBack();){if(y.isTag(e.getTokenType())){r=e.getTokenContent();break}if(e.getTokenType()===y.DELIM_START)return}this._tagProviders.forEach(function(e){e.collectValues(r,o,function(e){t.suggestions.push({label:e,codeSnippet:n?'"'+e+'"':e,type:"unit"})})})},e.prototype.provideCompletionItems=function(e,t){var n=this;return this._delegateToModeAtPosition(e,t,function(o,r){return o?K.provideCompletionItems(r,d.Position.lift(t)):n.suggestHTML(e,t)})},e.prototype.suggestHTML=function(e,t){return this.doSuggest(e,t).then(function(e){return C.filterSuggestions(e)})},e.prototype.doSuggest=function(e,t){var n=this.resourceService.get(e),o=n.getWordUntilPosition(t).word,r={currentWord:o,suggestions:[]},a=f.getScanner(n,t);switch(a.getTokenType()){case y.DELIM_START:case y.DELIM_END:a.isOpenBrace()?this.collectTagSuggestions(a,t,r):this.collectContentSuggestions(r);break;case y.ATTRIB_NAME:this.collectAttributeSuggestions(a,r);break;case y.ATTRIB_VALUE:this.collectAttributeValueSuggestions(a,r);break;case y.DELIM_ASSIGN:a.isAtTokenEnd()&&this.collectAttributeValueSuggestions(a,r);break;case"":if(v(a.getTokenContent())&&a.scanBack())switch(a.getTokenType()){case y.ATTRIB_VALUE:case y.ATTRIB_NAME:this.collectAttributeSuggestions(a,r);break;case y.DELIM_ASSIGN:this.collectAttributeValueSuggestions(a,r);break;case y.DELIM_START:case y.DELIM_END:a.isOpenBrace()?this.collectTagSuggestions(a,t,r):this.collectContentSuggestions(r);break;default:y.isTag(a.getTokenType())&&this.collectAttributeSuggestions(a,r)}else this.collectContentSuggestions(r);break;default:y.isTag(a.getTokenType())&&(a.scanBack(),this.collectTagSuggestions(a,t,r))}return i.TPromise.as(r)},e.prototype.findMatchingBracket=function(e,t){if(h.isEmptyElement(e))return null;var n=0;if(t.scanBack(),t.getTokenType()===y.DELIM_END)for(var o=!1;t.scanBack();)if(y.isTag(t.getTokenType())&&t.getTokenContent()===e&&!o){var r=t.getTokenRange();if(t.scanBack(),t.getTokenType()===y.DELIM_START){if(0===n)return r;n--}else n++}else t.getTokenType()===y.DELIM_START&&(o="/>"===t.getTokenContent());else for(var i=!1;t.scanForward();)if(y.isTag(t.getTokenType())&&t.getTokenContent()===e)if(i){if(n--,n<=0)return t.getTokenRange()}else if(t.scanForward(),t.getTokenType()===y.DELIM_START&&"/>"===t.getTokenContent()){if(n<=0)return null}else n++;else t.getTokenType()===y.DELIM_START?i=!1:t.getTokenType()===y.DELIM_END&&(i=!0);return null},e.prototype.provideDocumentHighlights=function(e,t,n){void 0===n&&(n=!1);var o=this.resourceService.get(e),r=o.getWordAtPosition(t),a=r?r.word:"",l=[],s=f.getScanner(o,t);if(y.isTag(s.getTokenType())){var u=s.getTokenContent();l.push({range:s.getTokenRange(),kind:c.DocumentHighlightKind.Read});var d=this.findMatchingBracket(u,s);d&&l.push({range:d,kind:c.DocumentHighlightKind.Read})}else for(var p=o.getAllWordsWithRange(),m=Math.min(1e3,p.length),g=0;g<m;g++)p[g].text===a&&l.push({range:p[g].range,kind:c.DocumentHighlightKind.Read});return i.TPromise.as(l)},e._stripQuotes=function(e){return e.replace(/^'([^']+)'$/,function(e,t){return t}).replace(/^"([^"]+)"$/,function(e,t){return t})},e._getWorkspaceUrl=function(t,n,o){if(o=e._stripQuotes(o),/^\s*javascript\:/i.test(o)||/^\s*\#/i.test(o))return null;if(/^\s*https?:\/\//i.test(o)||/^\s*file:\/\//i.test(o))return o.replace(/^\s*/g,"");if(/^\s*\/\//i.test(o)){var r=s.Schemas.http;return t.scheme===s.Schemas.https&&(r=s.Schemas.https),r+":"+o.replace(/^\s*/g,"")}var i=E.dirname(t.path),a=null;o.length>0&&"/"===o.charAt(0)?a=o:(a=E.join(i,o),a=a.replace(/^(\/\.\.)+/,""));var l=t["with"]({path:a}).toString(),c=n?n.toString():null;if(c&&u.startsWith(t.toString(),c)){var d=u.commonPrefixLength(c,l);return u.endsWith(c,"/")&&(d=l.lastIndexOf("/",d)+1),c+l.substr(d)}return l},e.prototype.createLink=function(t,n,o,r,i,a){var l=e._getWorkspaceUrl(t,n,o);return l?{range:{startLineNumber:r,startColumn:i,endLineNumber:r,endColumn:a},url:l}:null},e.prototype._computeHTMLLinks=function(e){var t,n,o,i,a,l,s,c,u,d,p=e.getLineCount(),m=[],g=w.LOOKING_FOR_HREF_OR_SRC,f=e.uri,h=null,C=this._contextService.getWorkspace();if(C){var E=String(C.resource);h="/"===E.charAt(E.length-1)?r["default"].parse(E):r["default"].parse(E+"/")}for(t=1;t<=p;t++)for(n=e.getLineContent(t),o=n.length,i=e.getLineTokens(t),s=0,l=i.getTokenCount();s<l;s++)switch(a=i.getTokenType(s)){case y.DELIM_ASSIGN:case"":break;case y.ATTRIB_NAME:c=i.getTokenEndIndex(s,o),u=n.substring(i.getTokenStartIndex(s),c).toLowerCase(),g="src"===u||"href"===u?w.AFTER_HREF_OR_SRC:w.LOOKING_FOR_HREF_OR_SRC;break;case y.ATTRIB_VALUE:g===w.AFTER_HREF_OR_SRC&&(c=i.getTokenEndIndex(s,o),u=n.substring(i.getTokenStartIndex(s),c),d=this.createLink(f,h,u,t,i.getTokenStartIndex(s)+2,c),d&&m.push(d),g=w.LOOKING_FOR_HREF_OR_SRC);default:y.isTag(a)?g=w.LOOKING_FOR_HREF_OR_SRC:g===w.AFTER_HREF_OR_SRC&&(g=w.LOOKING_FOR_HREF_OR_SRC)}return m},e.prototype.provideLinks=function(e){var t=this.resourceService.get(e);return i.TPromise.as(this._computeHTMLLinks(t))},e=n([o(1,g.IResourceService),o(2,m.IMarkerService),o(3,p.IWorkspaceContextService)],e)}();t.HTMLWorker=T})}).call(this);
//# sourceMappingURL=../../../../../min-maps/vs/languages/html/common/htmlWorker.js.map