/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.5.2(d49899a916fd99840f6f9178f2dd06e0e7013646)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
(function(){var e=["exports","require","vs/languages/json/common/features/jsonTokenTypes","vs/nls!vs/base/common/json","vs/base/common/json","vs/languages/json/common/features/tokenization","vs/base/common/async","vs/nls","vs/languages/json/common/json","vs/nls!vs/languages/json/common/json","vs/platform/platform","vs/editor/common/modes/abstractMode","vs/platform/thread/common/threadService","vs/platform/thread/common/thread","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/instantiation/common/instantiation","vs/editor/common/modes/languageConfigurationRegistry","vs/editor/common/modes"],r=function(r){for(var n=[],t=0,o=r.length;t<o;t++)n[t]=e[r[t]];return n};define(e[2],r([1,0]),function(e,r){"use strict";r.TOKEN_DELIM_OBJECT="punctuation.bracket.json",r.TOKEN_DELIM_ARRAY="punctuation.array.json",r.TOKEN_DELIM_COLON="punctuation.colon.json",r.TOKEN_DELIM_COMMA="punctuation.comma.json",r.TOKEN_VALUE_BOOLEAN="support.property-value.keyword.json",r.TOKEN_VALUE_NULL="support.property-value.constant.other.json",r.TOKEN_VALUE_STRING="support.property-value.string.value.json",r.TOKEN_VALUE_NUMBER="support.property-value.constant.numeric.json",r.TOKEN_PROPERTY_NAME="support.type.property-name.json",r.TOKEN_COMMENT_BLOCK="comment.block.json",r.TOKEN_COMMENT_LINE="comment.line.json"}),define(e[3],r([7,9]),function(e,r){return e.create("vs/base/common/json",r)}),define(e[4],r([1,0,3]),function(e,r,n){"use strict";function t(e,r){function n(r,n){for(var t=0,o=0;t<r||!n;){var a=e.charCodeAt(d);if(a>=v._0&&a<=v._9)o=16*o+a-v._0;else if(a>=v.A&&a<=v.F)o=16*o+a-v.A+10;else{if(!(a>=v.a&&a<=v.f))break;o=16*o+a-v.a+10}d++,t++}return t<r&&(o=-1),o}function t(e){d=e,m="",h=0,E=k.Unknown,C=g.None}function c(){var r=d;if(e.charCodeAt(d)===v._0)d++;else for(d++;d<e.length&&i(e.charCodeAt(d));)d++;if(d<e.length&&e.charCodeAt(d)===v.dot){if(d++,!(d<e.length&&i(e.charCodeAt(d))))return C=g.UnexpectedEndOfNumber,e.substring(r,d);for(d++;d<e.length&&i(e.charCodeAt(d));)d++}var n=d;if(d<e.length&&(e.charCodeAt(d)===v.E||e.charCodeAt(d)===v.e))if(d++,(d<e.length&&e.charCodeAt(d)===v.plus||e.charCodeAt(d)===v.minus)&&d++,d<e.length&&i(e.charCodeAt(d))){for(d++;d<e.length&&i(e.charCodeAt(d));)d++;n=d}else C=g.UnexpectedEndOfNumber;return e.substring(r,n)}function s(){for(var r="",t=d;;){if(d>=f){r+=e.substring(t,d),C=g.UnexpectedEndOfString;break}var o=e.charCodeAt(d);if(o===v.doubleQuote){r+=e.substring(t,d),d++;break}if(o!==v.backslash){if(a(o)){r+=e.substring(t,d),C=g.UnexpectedEndOfString;break}d++}else{if(r+=e.substring(t,d),d++,d>=f){C=g.UnexpectedEndOfString;break}switch(o=e.charCodeAt(d++)){case v.doubleQuote:r+='"';break;case v.backslash:r+="\\";break;case v.slash:r+="/";break;case v.b:r+="\b";break;case v.f:r+="\f";break;case v.n:r+="\n";break;case v.r:r+="\r";break;case v.t:r+="\t";break;case v.u:var i=n(4,!0);i>=0?r+=String.fromCharCode(i):C=g.InvalidUnicode;break;default:C=g.InvalidEscapeCharacter}t=d}}return r}function u(){if(m="",C=g.None,h=d,d>=f)return h=f,E=k.EOF;var r=e.charCodeAt(d);if(o(r)){do d++,m+=String.fromCharCode(r),r=e.charCodeAt(d);while(o(r));return E=k.Trivia}if(a(r))return d++,m+=String.fromCharCode(r),r===v.carriageReturn&&e.charCodeAt(d)===v.lineFeed&&(d++,m+="\n"),E=k.LineBreakTrivia;switch(r){case v.openBrace:return d++,E=k.OpenBraceToken;case v.closeBrace:return d++,E=k.CloseBraceToken;case v.openBracket:return d++,E=k.OpenBracketToken;case v.closeBracket:return d++,E=k.CloseBracketToken;case v.colon:return d++,E=k.ColonToken;case v.comma:return d++,E=k.CommaToken;case v.doubleQuote:return d++,m=s(),E=k.StringLiteral;case v.slash:var n=d-1;if(e.charCodeAt(d+1)===v.slash){for(d+=2;d<f&&!a(e.charCodeAt(d));)d++;return m=e.substring(n,d),E=k.LineCommentTrivia}if(e.charCodeAt(d+1)===v.asterisk){d+=2;for(var t=f-1,u=!1;d<t;){var p=e.charCodeAt(d);if(p===v.asterisk&&e.charCodeAt(d+1)===v.slash){d+=2,u=!0;break}d++}return u||(d++,C=g.UnexpectedEndOfComment),m=e.substring(n,d),E=k.BlockCommentTrivia}return m+=String.fromCharCode(r),d++,E=k.Unknown;case v.minus:if(m+=String.fromCharCode(r),d++,d===f||!i(e.charCodeAt(d)))return E=k.Unknown;case v._0:case v._1:case v._2:case v._3:case v._4:case v._5:case v._6:case v._7:case v._8:case v._9:return m+=c(),E=k.NumericLiteral;default:for(;d<f&&l(r);)d++,r=e.charCodeAt(d);if(h!==d){switch(m=e.substring(h,d)){case"true":return E=k.TrueKeyword;case"false":return E=k.FalseKeyword;case"null":return E=k.NullKeyword}return E=k.Unknown}return m+=String.fromCharCode(r),d++,E=k.Unknown}}function l(e){if(o(e)||a(e))return!1;switch(e){case v.closeBrace:case v.closeBracket:case v.openBrace:case v.openBracket:case v.doubleQuote:case v.colon:case v.comma:return!1}return!0}function p(){var e;do e=u();while(e>=k.LineCommentTrivia&&e<=k.Trivia);return e}void 0===r&&(r=!1);var d=0,f=e.length,m="",h=0,E=k.Unknown,C=g.None;return{setPosition:t,getPosition:function(){return d},scan:r?p:u,getToken:function(){return E},getTokenValue:function(){return m},getTokenOffset:function(){return h},getTokenLength:function(){return d-h},getTokenError:function(){return C}}}function o(e){return e===v.space||e===v.tab||e===v.verticalTab||e===v.formFeed||e===v.nonBreakingSpace||e===v.ogham||e>=v.enQuad&&e<=v.zeroWidthSpace||e===v.narrowNoBreakSpace||e===v.mathematicalSpace||e===v.ideographicSpace||e===v.byteOrderMark}function a(e){return e===v.lineFeed||e===v.carriageReturn||e===v.lineSeparator||e===v.paragraphSeparator}function i(e){return e>=v._0&&e<=v._9}function c(e,r){var n,o,a=t(e),i=[],c=0;do switch(o=a.getPosition(),n=a.scan()){case k.LineCommentTrivia:case k.BlockCommentTrivia:case k.EOF:c!==o&&i.push(e.substring(c,o)),void 0!==r&&i.push(a.getTokenValue().replace(/[^\r\n]/g,r)),c=a.getPosition()}while(n!==k.EOF);return i.join("")}function s(e){switch(e){case E.InvalidSymbol:return n.localize(0,null);case E.InvalidNumberFormat:return n.localize(1,null);case E.PropertyNameExpected:return n.localize(2,null);case E.ValueExpected:return n.localize(3,null);case E.ColonExpected:return n.localize(4,null);case E.CommaExpected:return n.localize(5,null);case E.CloseBraceExpected:return n.localize(6,null);case E.CloseBracketExpected:return n.localize(7,null);case E.EndOfFileExpected:return n.localize(8,null);default:return""}}function u(e){switch(typeof e){case"boolean":return"boolean";case"number":return"number";case"string":return"string";default:return"null"}}function l(e,r){function n(e,r,n,t){i.value=e,i.offset=r,i.length=n,i.type=t,i.columnOffset=void 0,a=i}var t=[],o=new Object,a=void 0,i={value:void 0,offset:void 0,length:void 0,type:void 0},c=!1;try{h(e,{onObjectBegin:function(e,n){if(r<=e)throw o;a=void 0,c=r>e,t.push("")},onObjectProperty:function(e,a,i){if(r<a)throw o;if(n(e,a,i,"property"),t[t.length-1]=e,r<=a+i)throw o},onObjectEnd:function(e,n){if(r<=e)throw o;a=void 0,t.pop()},onArrayBegin:function(e,n){if(r<=e)throw o;a=void 0,t.push(0)},onArrayEnd:function(e,n){if(r<=e)throw o;a=void 0,t.pop()},onLiteralValue:function(e,t,a){if(r<t)throw o;if(n(e,t,a,u(e)),r<=t+a)throw o},onSeparator:function(e,n,i){if(r<=n)throw o;if(":"===e&&"property"===a.type)a.columnOffset=n,c=!1,a=void 0;else if(","===e){var s=t[t.length-1];"number"==typeof s?t[t.length-1]=s+1:(c=!0,t[t.length-1]=""),a=void 0}}})}catch(s){if(s!==o)throw s}return""===t[t.length-1]&&t.pop(),{path:t,previousNode:a,isAtPropertyKey:c,matches:function(e){for(var r=0,n=0;r<e.length&&n<t.length;n++)if(e[r]===t[n]||"*"===e[r])r++;else if("**"!==e[r])return!1;return r===e.length}}}function p(e,r,n){function t(e){Array.isArray(a)?a.push(e):o&&(a[o]=e)}void 0===r&&(r=[]);var o=null,a=[],i=[],c={onObjectBegin:function(){var e={};t(e),i.push(a),a=e,o=null},onObjectProperty:function(e){o=e},onObjectEnd:function(){a=i.pop()},onArrayBegin:function(){var e=[];t(e),i.push(a),a=e,o=null},onArrayEnd:function(){a=i.pop()},onLiteralValue:t,onError:function(e){r.push({error:e})}};return h(e,c,n),a[0]}function d(e,r,n){function t(e){"property"===a.type&&(a.length=e-a.offset,a=a.parent)}function o(e){return a.children.push(e),t(e.offset+e.length),e}void 0===r&&(r=[]);var a={type:"array",offset:-1,length:-1,children:[]},i={onObjectBegin:function(e){a=o({type:"object",offset:e,length:-1,parent:a,children:[]})},onObjectProperty:function(e,r,n){a=o({type:"property",offset:r,length:-1,parent:a,children:[]}),a.children.push({type:"string",value:e,offset:r,length:n,parent:a})},onObjectEnd:function(e,r){t(e),a.length=e+r-a.offset,a=a.parent},onArrayBegin:function(e,r){a=o({type:"array",offset:e,length:-1,parent:a,children:[]})},onArrayEnd:function(e,r){a.length=e+r-a.offset,a=a.parent},onLiteralValue:function(e,r,n){o({type:u(e),offset:r,length:n,parent:a,value:e})},onSeparator:function(e,r,n){"property"===a.type&&(":"===e?a.columnOffset=r:","===e&&t(r))},onError:function(e){r.push({error:e})}};h(e,i,n);var c=a.children[0];return c&&delete c.parent,c}function f(e,r){if(e){for(var n=e,t=0,o=r;t<o.length;t++){var a=o[t];if("string"==typeof a){if("object"!==n.type)return;for(var i=!1,c=0,s=n.children;c<s.length;c++){var u=s[c];if(u.children[0].value===a){n=u.children[1],i=!0;break}}if(!i)return}else{var l=a;if("array"!==n.type||l<0||l>=n.children.length)return;n=n.children[l]}}return n}}function m(e){if("array"===e.type)return e.children.map(m);if("object"===e.type){for(var r={},n=0,t=e.children;n<t.length;n++){var o=t[n];r[o.children[0].value]=m(o.children[1])}return r}return e.value}function h(e,r,n){function o(e){return e?function(){return e(m.getTokenOffset(),m.getTokenLength())}:function(){return!0}}function a(e){return e?function(r){return e(r,m.getTokenOffset(),m.getTokenLength())}:function(){return!0}}function i(){for(;;){var e=m.scan();switch(e){case k.LineCommentTrivia:case k.BlockCommentTrivia:S&&c(E.InvalidSymbol);break;case k.Unknown:c(E.InvalidSymbol);break;case k.Trivia:case k.LineBreakTrivia:break;default:return e}}}function c(e,r,n){if(void 0===r&&(r=[]),void 0===n&&(n=[]),b(e),r.length+n.length>0)for(var t=m.getToken();t!==k.EOF;){if(r.indexOf(t)!==-1){i();break}if(n.indexOf(t)!==-1)break;t=i()}}function s(e){if(m.getToken()!==k.StringLiteral)return!1;var r=m.getTokenValue();return e?y(r):g(r),i(),!0}function u(){switch(m.getToken()){case k.NumericLiteral:var e=0;try{e=JSON.parse(m.getTokenValue()),"number"!=typeof e&&(c(E.InvalidNumberFormat),e=0)}catch(r){c(E.InvalidNumberFormat)}y(e);break;case k.NullKeyword:y(null);break;case k.TrueKeyword:y(!0);break;case k.FalseKeyword:y(!1);break;default:return!1}return i(),!0}function l(){return s(!1)?(m.getToken()===k.ColonToken?(_(":"),i(),f()||c(E.ValueExpected,[],[k.CloseBraceToken,k.CommaToken])):c(E.ColonExpected,[],[k.CloseBraceToken,k.CommaToken]),!0):(c(E.PropertyNameExpected,[],[k.CloseBraceToken,k.CommaToken]),!1)}function p(){if(m.getToken()!==k.OpenBraceToken)return!1;h(),i();for(var e=!1;m.getToken()!==k.CloseBraceToken&&m.getToken()!==k.EOF;)m.getToken()===k.CommaToken?(e||c(E.ValueExpected,[],[]),_(","),i()):e&&c(E.CommaExpected,[],[]),l()||c(E.ValueExpected,[],[k.CloseBraceToken,k.CommaToken]),e=!0;return v(),m.getToken()!==k.CloseBraceToken?c(E.CloseBraceExpected,[k.CloseBraceToken],[]):i(),!0}function d(){if(m.getToken()!==k.OpenBracketToken)return!1;C(),i();for(var e=!1;m.getToken()!==k.CloseBracketToken&&m.getToken()!==k.EOF;)m.getToken()===k.CommaToken?(e||c(E.ValueExpected,[],[]),_(","),i()):e&&c(E.CommaExpected,[],[]),f()||c(E.ValueExpected,[],[k.CloseBracketToken,k.CommaToken]),e=!0;return T(),m.getToken()!==k.CloseBracketToken?c(E.CloseBracketExpected,[k.CloseBracketToken],[]):i(),!0}function f(){return d()||p()||s(!0)||u()}var m=t(e,!1),h=o(r.onObjectBegin),g=a(r.onObjectProperty),v=o(r.onObjectEnd),C=o(r.onArrayBegin),T=o(r.onArrayEnd),y=a(r.onLiteralValue),_=a(r.onSeparator),b=a(r.onError),S=n&&n.disallowComments;return i(),m.getToken()===k.EOF||(f()?(m.getToken()!==k.EOF&&c(E.EndOfFileExpected,[],[]),!0):(c(E.ValueExpected,[],[]),!1))}!function(e){e[e.None=0]="None",e[e.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=2]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",e[e.InvalidUnicode=4]="InvalidUnicode",e[e.InvalidEscapeCharacter=5]="InvalidEscapeCharacter"}(r.ScanError||(r.ScanError={}));var g=r.ScanError;!function(e){e[e.Unknown=0]="Unknown",e[e.OpenBraceToken=1]="OpenBraceToken",e[e.CloseBraceToken=2]="CloseBraceToken",e[e.OpenBracketToken=3]="OpenBracketToken",e[e.CloseBracketToken=4]="CloseBracketToken",e[e.CommaToken=5]="CommaToken",e[e.ColonToken=6]="ColonToken",e[e.NullKeyword=7]="NullKeyword",e[e.TrueKeyword=8]="TrueKeyword",e[e.FalseKeyword=9]="FalseKeyword",e[e.StringLiteral=10]="StringLiteral",e[e.NumericLiteral=11]="NumericLiteral",e[e.LineCommentTrivia=12]="LineCommentTrivia",e[e.BlockCommentTrivia=13]="BlockCommentTrivia",e[e.LineBreakTrivia=14]="LineBreakTrivia",e[e.Trivia=15]="Trivia",e[e.EOF=16]="EOF"}(r.SyntaxKind||(r.SyntaxKind={}));var k=r.SyntaxKind;r.createScanner=t;var v;!function(e){e[e.nullCharacter=0]="nullCharacter",e[e.maxAsciiCharacter=127]="maxAsciiCharacter",e[e.lineFeed=10]="lineFeed",e[e.carriageReturn=13]="carriageReturn",e[e.lineSeparator=8232]="lineSeparator",e[e.paragraphSeparator=8233]="paragraphSeparator",e[e.nextLine=133]="nextLine",e[e.space=32]="space",e[e.nonBreakingSpace=160]="nonBreakingSpace",e[e.enQuad=8192]="enQuad",e[e.emQuad=8193]="emQuad",e[e.enSpace=8194]="enSpace",e[e.emSpace=8195]="emSpace",e[e.threePerEmSpace=8196]="threePerEmSpace",e[e.fourPerEmSpace=8197]="fourPerEmSpace",e[e.sixPerEmSpace=8198]="sixPerEmSpace",e[e.figureSpace=8199]="figureSpace",e[e.punctuationSpace=8200]="punctuationSpace",e[e.thinSpace=8201]="thinSpace",e[e.hairSpace=8202]="hairSpace",e[e.zeroWidthSpace=8203]="zeroWidthSpace",e[e.narrowNoBreakSpace=8239]="narrowNoBreakSpace",e[e.ideographicSpace=12288]="ideographicSpace",e[e.mathematicalSpace=8287]="mathematicalSpace",e[e.ogham=5760]="ogham",e[e._=95]="_",e[e.$=36]="$",e[e._0=48]="_0",e[e._1=49]="_1",e[e._2=50]="_2",e[e._3=51]="_3",e[e._4=52]="_4",e[e._5=53]="_5",e[e._6=54]="_6",e[e._7=55]="_7",e[e._8=56]="_8",e[e._9=57]="_9",e[e.a=97]="a",e[e.b=98]="b",e[e.c=99]="c",e[e.d=100]="d",e[e.e=101]="e",e[e.f=102]="f",e[e.g=103]="g",e[e.h=104]="h",e[e.i=105]="i",e[e.j=106]="j",e[e.k=107]="k",e[e.l=108]="l",e[e.m=109]="m",e[e.n=110]="n",e[e.o=111]="o",e[e.p=112]="p",e[e.q=113]="q",e[e.r=114]="r",e[e.s=115]="s",e[e.t=116]="t",e[e.u=117]="u",e[e.v=118]="v",e[e.w=119]="w",e[e.x=120]="x",e[e.y=121]="y",e[e.z=122]="z",e[e.A=65]="A",e[e.B=66]="B",e[e.C=67]="C",e[e.D=68]="D",e[e.E=69]="E",e[e.F=70]="F",e[e.G=71]="G",e[e.H=72]="H",e[e.I=73]="I",e[e.J=74]="J",e[e.K=75]="K",e[e.L=76]="L",e[e.M=77]="M",e[e.N=78]="N",e[e.O=79]="O",e[e.P=80]="P",e[e.Q=81]="Q",e[e.R=82]="R",e[e.S=83]="S",e[e.T=84]="T",e[e.U=85]="U",e[e.V=86]="V",e[e.W=87]="W",e[e.X=88]="X",e[e.Y=89]="Y",e[e.Z=90]="Z",e[e.ampersand=38]="ampersand",e[e.asterisk=42]="asterisk",e[e.at=64]="at",e[e.backslash=92]="backslash",e[e.bar=124]="bar",e[e.caret=94]="caret",e[e.closeBrace=125]="closeBrace",e[e.closeBracket=93]="closeBracket",e[e.closeParen=41]="closeParen",e[e.colon=58]="colon",e[e.comma=44]="comma",e[e.dot=46]="dot",e[e.doubleQuote=34]="doubleQuote",e[e.equals=61]="equals",e[e.exclamation=33]="exclamation",e[e.greaterThan=62]="greaterThan",e[e.lessThan=60]="lessThan",e[e.minus=45]="minus",e[e.openBrace=123]="openBrace",e[e.openBracket=91]="openBracket",e[e.openParen=40]="openParen",e[e.percent=37]="percent",e[e.plus=43]="plus",e[e.question=63]="question",e[e.semicolon=59]="semicolon",e[e.singleQuote=39]="singleQuote",e[e.slash=47]="slash",e[e.tilde=126]="tilde",e[e.backspace=8]="backspace",e[e.formFeed=12]="formFeed",e[e.byteOrderMark=65279]="byteOrderMark",e[e.tab=9]="tab",e[e.verticalTab=11]="verticalTab"}(v||(v={})),r.stripComments=c,function(e){e[e.InvalidSymbol=0]="InvalidSymbol",e[e.InvalidNumberFormat=1]="InvalidNumberFormat",e[e.PropertyNameExpected=2]="PropertyNameExpected",e[e.ValueExpected=3]="ValueExpected",e[e.ColonExpected=4]="ColonExpected",e[e.CommaExpected=5]="CommaExpected",e[e.CloseBraceExpected=6]="CloseBraceExpected",e[e.CloseBracketExpected=7]="CloseBracketExpected",e[e.EndOfFileExpected=8]="EndOfFileExpected"}(r.ParseErrorCode||(r.ParseErrorCode={}));var E=r.ParseErrorCode;r.getParseErrorMessage=s,r.getLocation=l,r.parse=p,r.parseTree=d,r.findNodeAtLocation=f,r.getNodeValue=m,r.visit=h}),define(e[5],r([1,0,4,2]),function(e,r,n,t){"use strict";function o(e,r){return{shouldGenerateEmbeddedModels:!1,getInitialState:function(){return new i(e,null,null,(!1))},tokenize:function(n,t,o,i){return a(e,r,n,t,o,i)}}}function a(e,r,o,a,c,s){void 0===c&&(c=0);var u=0,l=!1;switch(a.scanError){case n.ScanError.UnexpectedEndOfString:o='"'+o,u=1;break;case n.ScanError.UnexpectedEndOfComment:o="/*"+o,u=2}var p,d,f=n.createScanner(o),m=a.lastWasColon;for(d={tokens:[],actualStopOffset:o.length,endState:a.clone(),modeTransitions:[{startIndex:0,mode:e}]};;){var h=c+f.getPosition(),g="";if(p=f.scan(),p===n.SyntaxKind.EOF)break;if(h===c+f.getPosition())throw new Error("Scanner did not advance, next 3 characters are: "+o.substr(f.getPosition(),3));switch(l&&(h-=u),l=u>0,p){case n.SyntaxKind.OpenBraceToken:g=t.TOKEN_DELIM_OBJECT,m=!1;break;case n.SyntaxKind.CloseBraceToken:g=t.TOKEN_DELIM_OBJECT,m=!1;break;case n.SyntaxKind.OpenBracketToken:g=t.TOKEN_DELIM_ARRAY,m=!1;break;case n.SyntaxKind.CloseBracketToken:g=t.TOKEN_DELIM_ARRAY,m=!1;break;case n.SyntaxKind.ColonToken:g=t.TOKEN_DELIM_COLON,m=!0;break;case n.SyntaxKind.CommaToken:g=t.TOKEN_DELIM_COMMA,m=!1;break;case n.SyntaxKind.TrueKeyword:case n.SyntaxKind.FalseKeyword:g=t.TOKEN_VALUE_BOOLEAN,m=!1;break;case n.SyntaxKind.NullKeyword:g=t.TOKEN_VALUE_NULL,m=!1;break;case n.SyntaxKind.StringLiteral:g=m?t.TOKEN_VALUE_STRING:t.TOKEN_PROPERTY_NAME,m=!1;break;case n.SyntaxKind.NumericLiteral:g=t.TOKEN_VALUE_NUMBER,m=!1}if(r)switch(p){case n.SyntaxKind.LineCommentTrivia:g=t.TOKEN_COMMENT_LINE;break;case n.SyntaxKind.BlockCommentTrivia:g=t.TOKEN_COMMENT_BLOCK}d.endState=new i(a.getMode(),a.getStateData(),f.getTokenError(),m),d.tokens.push({startIndex:h,type:g})}return d}r.createTokenizationSupport=o;var i=function(){function e(e,r,n,t){this._mode=e,this._state=r,this.scanError=n,this.lastWasColon=t}return e.prototype.clone=function(){return new e(this._mode,this._state,this.scanError,this.lastWasColon)},e.prototype.equals=function(r){return r===this||!!(r&&r instanceof e)&&(this.scanError===r.scanError&&this.lastWasColon===r.lastWasColon)},e.prototype.getMode=function(){return this._mode},e.prototype.tokenize=function(e){throw new Error},e.prototype.getStateData=function(){return this._state},e.prototype.setStateData=function(e){this._state=e},e}()});var n=this&&this.__extends||function(e,r){function n(){this.constructor=e}for(var t in r)r.hasOwnProperty(t)&&(e[t]=r[t]);e.prototype=null===r?Object.create(r):(n.prototype=r.prototype,new n)},t=this&&this.__decorate||function(e,r,n,t){var o,a=arguments.length,i=a<3?r:null===t?t=Object.getOwnPropertyDescriptor(r,n):t;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)i=Reflect.decorate(e,r,n,t);else for(var c=e.length-1;c>=0;c--)(o=e[c])&&(i=(a<3?o(i):a>3?o(r,n,i):o(r,n))||i);return a>3&&i&&Object.defineProperty(r,n,i),i},o=this&&this.__param||function(e,r){return function(n,t){r(n,t,e)}};define(e[8],r([1,0,17,10,5,11,12,13,14,15,16,6]),function(e,r,a,i,c,s,u,l,p,d,f,m){"use strict";var h=function(e){function r(n,t,o){var i=this;e.call(this,n.id),this._modeWorkerManager=new s.ModeWorkerManager(n,"vs/languages/json/common/jsonWorker","JSONWorker",null,t),this._threadService=o,this.tokenizationSupport=c.createTokenizationSupport(this,!0),f.LanguageConfigurationRegistry.register(this.getId(),r.LANG_CONFIG),a.HoverProviderRegistry.register(this.getId(),{provideHover:function(e,r,n){return m.wireCancellationToken(n,i._provideHover(e.uri,r))}},!0),this.inplaceReplaceSupport=this,this.configSupport=this,a.DocumentSymbolProviderRegistry.register(this.getId(),{provideDocumentSymbols:function(e,r){return m.wireCancellationToken(r,i._provideDocumentSymbols(e.uri))}},!0),a.DocumentFormattingEditProviderRegistry.register(this.getId(),{provideDocumentFormattingEdits:function(e,r,n){return m.wireCancellationToken(n,i._provideDocumentFormattingEdits(e.uri,r))}},!0),a.DocumentRangeFormattingEditProviderRegistry.register(this.getId(),{provideDocumentRangeFormattingEdits:function(e,r,n,t){return m.wireCancellationToken(t,i._provideDocumentRangeFormattingEdits(e.uri,r,n))}},!0),a.SuggestRegistry.register(this.getId(),{triggerCharacters:[],shouldAutotriggerSuggest:!0,provideCompletionItems:function(e,r,n){return m.wireCancellationToken(n,i._provideCompletionItems(e.uri,r))}},!0)}return n(r,e),r.prototype.creationDone=function(){var e=this;if(this._threadService.isInMainThread){this._pickAWorkerToValidate(),this._configureWorkerSchemas(this.getSchemaConfiguration());var r=i.Registry.as(p.Extensions.JSONContribution);r.addRegistryChangedListener(function(r){e._configureWorkerSchemas(e.getSchemaConfiguration())})}},r.prototype._worker=function(e){return this._modeWorkerManager.worker(e)},r.prototype.getSchemaConfiguration=function(){var e=i.Registry.as(p.Extensions.JSONContribution);return e.getSchemaContributions()},r.prototype.configure=function(e){return this._threadService.isInMainThread?this._configureWorkers(e):this._worker(function(r){return r._doConfigure(e)})},r.prototype._configureWorkers=function(e){return this._worker(function(r){return r._doConfigure(e)})},r.prototype._configureWorkerSchemas=function(e){return this._worker(function(r){return r.setSchemaContributions(e)})},r.prototype._pickAWorkerToValidate=function(){return this._worker(function(e){return e.enableValidator()})},r.prototype.navigateValueSet=function(e,r,n){return this._worker(function(t){return t.navigateValueSet(e,r,n)})},r.prototype._provideCompletionItems=function(e,r){return this._worker(function(n){return n.provideCompletionItems(e,r)})},r.prototype._provideHover=function(e,r){return this._worker(function(n){return n.provideHover(e,r)})},r.prototype._provideDocumentSymbols=function(e){return this._worker(function(r){return r.provideDocumentSymbols(e)})},r.prototype._provideDocumentFormattingEdits=function(e,r){return this._worker(function(n){return n.format(e,null,r)})},r.prototype._provideDocumentRangeFormattingEdits=function(e,r,n){return this._worker(function(t){return t.format(e,r,n)})},r.LANG_CONFIG={wordPattern:s.createWordRegExp(".-"),comments:{lineComment:"//",blockComment:["/*","*/"]},brackets:[["{","}"],["[","]"]],autoClosingPairs:[{open:"{",close:"}",notIn:["string"]},{open:"[",close:"]",notIn:["string"]},{open:'"',close:'"',notIn:["string"]}]},r.$_configureWorkers=u.AllWorkersAttr(r,r.prototype._configureWorkers),r.$_configureWorkerSchemas=u.AllWorkersAttr(r,r.prototype._configureWorkerSchemas),r.$_pickAWorkerToValidate=u.OneWorkerAttr(r,r.prototype._pickAWorkerToValidate,l.ThreadAffinity.Group1),r.$navigateValueSet=u.OneWorkerAttr(r,r.prototype.navigateValueSet),r.$_provideCompletionItems=u.OneWorkerAttr(r,r.prototype._provideCompletionItems),r.$_provideHover=u.OneWorkerAttr(r,r.prototype._provideHover),r.$_provideDocumentSymbols=u.OneWorkerAttr(r,r.prototype._provideDocumentSymbols),r.$_provideDocumentFormattingEdits=u.OneWorkerAttr(r,r.prototype._provideDocumentFormattingEdits),r.$_provideDocumentRangeFormattingEdits=u.OneWorkerAttr(r,r.prototype._provideDocumentRangeFormattingEdits),r=t([o(1,d.IInstantiationService),o(2,l.IThreadService)],r)}(s.AbstractMode);r.JSONMode=h})}).call(this);
//# sourceMappingURL=../../../../../min-maps/vs/languages/json/common/json.js.map